/******* CODIGOS_POSTALES *******/

CREATE TABLE CODIGOS_POSTALES
(
  COD_POSTAL          VARCHAR2(5 BYTE)          NOT NULL,
  ORDEN_LOCALIZACION  NUMBER(5)                 NOT NULL,
  LOCALIZACION        VARCHAR2(50 BYTE)         NOT NULL,
  COD_POBLACION       NUMBER(10)                NOT NULL,
  COD_PROVINCIA       NUMBER(3)                 NOT NULL,
  COD_COMARCA         NUMBER(3),
  COD_COMUNIDAD       NUMBER(3),
  COD_PAIS            VARCHAR2(3 BYTE)          NOT NULL,
  SECUENCIAL          NUMBER(10)                NOT NULL,
  INDBAJA             VARCHAR2(1 BYTE)          NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

ALTER TABLE CODIGOS_POSTALES ADD (
  PRIMARY KEY
  (COD_POSTAL, ORDEN_LOCALIZACION)
  USING INDEX
    TABLESPACE PREINS_EXT_DAT
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                BUFFER_POOL      DEFAULT
                FLASH_CACHE      DEFAULT
                CELL_FLASH_CACHE DEFAULT
               )
  ENABLE VALIDATE);

Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24402', 0, 'Ponferrada', 241152, 24, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 29, 'Canal (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 30, 'Canle (Ponte Carreira)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 31, 'Carballal de Marzoa', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 32, 'A Carballeira (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 33, 'A Carballeira (Ponte Carreira)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 34, 'Casa de Gomez', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 35, 'O Casal (Aiazo-San Pedro)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 36, 'O Casal (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 37, 'O Casal (Vitre-San Xoan)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 38, 'Casanova (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 39, 'Castro (Marzoa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 40, 'Castro (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 41, 'O Castro (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 42, 'O Castro (Ordes-Santa Maria)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 43, 'Celtigos (San Xulian)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 44, 'Central Electrica', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 45, 'Chedas (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 46, 'Chosa Grande (Fonte Carreira)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 47, 'Cima da Aldea', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 48, 'Cimadevila (Frades)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 49, 'Cimadevila (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 50, 'Coba (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 51, 'Cornes', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 25, 'Vieiteiro (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 26, 'Vilar (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 27, 'Vuiteiro', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 1, 'Abeleiral', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 2, 'Acevido', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 3, 'Airabella (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 4, 'Argana', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 5, 'Asadoira', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 6, 'Aveleiras', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 7, 'Bustabade (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 8, 'Cabalares (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 9, 'Caldahortiga', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 10, 'Camparado', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 11, 'Canteira (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 12, 'Capela (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 13, 'Carabullo', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 14, 'Carrilnovo', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 15, 'Casareos', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 16, 'Caspita', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 17, 'Cernamoura', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 18, 'Chao (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 19, 'Corredoira (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 20, 'Costa (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 21, 'Doces', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 22, 'Esfarrapa (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 23, 'Fragacha (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 24, 'A Iglesia (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 25, 'Latas', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 26, 'Marban', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 27, 'Mariadamido', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 28, 'A Meira (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 29, 'Morado', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 30, 'Panda (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 31, 'Pendopazo', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 32, 'Pino (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 33, 'Pousada (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 34, 'Ramallal (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 35, 'Ramisquido (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 36, 'Rego (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 37, 'Rego do Frondal', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 38, 'Riveira (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 39, 'Santachon', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 40, 'Seixas (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 41, 'Serra (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 42, 'Souto (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 43, 'Souto Chao (Seixas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 44, 'Vilar da Fraga', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15567', 45, 'Xunco', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 1, 'Bacelar (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 2, 'Cabanela (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 3, 'Cabaza (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 4, 'Calbelas', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 5, 'Casanova (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 6, 'Casas (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 7, 'Condado', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 8, 'Cortella (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 9, 'Coto (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 10, 'Couce do Bao', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 11, 'Couce Vilas', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 12, 'Espariza', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 13, 'Espiga', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 14, 'Esteve', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 15, 'Freixeiro (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 16, 'Iglesia (Recemell)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 17, 'Lafonte', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 18, 'Laveiga', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 19, 'Lavila', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 20, 'Leiron', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 21, 'Machuco (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 22, 'Machuconovo', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 23, 'A Meira (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 24, 'Moninos', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 25, 'Outeiro (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 26, 'Paleira (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 27, 'Paleira Nova', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 28, 'Pena de Eiriz (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 29, 'Pendrade', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 30, 'Perillon', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 31, 'Porta (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 32, 'Portelo', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 33, 'Porto Dos Bois', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 34, 'Pumar (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 35, 'Retorta (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 36, 'Rodela (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 37, 'San Estevo (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 38, 'San Pedro (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 39, 'Santa Cristina', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 40, 'Seixas (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 41, 'Souto (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 42, 'Suinlle', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 43, 'Tafornelos', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 44, 'Teixeiro (Recemil)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 45, 'Toca', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 46, 'Veiga (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 47, 'Vila (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 48, 'Vilar (Recemel)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15568', 49, 'Vilastriz', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 1, 'Abelleira de Abaixo', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 2, 'Abelleira de Arriba', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 3, 'Abrueiros', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 4, 'Agreste', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 5, 'Aldar (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 6, 'Barbas', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 7, 'Barqueira Vella', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 8, 'A Barqueira', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 9, 'Boneiro', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 10, 'Bordo (Os Casares)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 11, 'Cabanas (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 12, 'Calvela (Os Casares)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 13, 'Campo da Iglesia', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 14, 'Campos (Os Casares)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 15, 'Candal (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 16, 'Carballas (Casares)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 17, 'Casaldalla de Arriba', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 18, 'Casanova (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 19, 'Casanova (Casares)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 20, 'Casares', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 21, 'Casavella (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 22, 'Castros (Labarquera)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 23, 'Covelo (Casares)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 24, 'Cruz Encarnada', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 25, 'Cuqueira', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 26, 'Curutelo', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 27, 'Escote', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 28, 'Espino', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 29, 'Faguelo', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 30, 'Feal (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 31, 'Felgosa (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 32, 'Folgosa (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 33, 'Fragas (Os Casares)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 34, 'Guelle (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 35, 'Lamigueiro Novo', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 36, 'Lamigueiro Vello', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 37, 'Lubeira', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 38, 'Montillon (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 39, 'Navallos', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 40, 'Nestas', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 41, 'Outeiro (Os Casares)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 42, 'Painceira (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 43, 'Paleira (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 44, 'Paradegua', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 45, 'Paraiso (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 46, 'Pedras Chantada', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 47, 'Penas (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 48, 'Pereiros', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 49, 'Porto (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 50, 'Poza da Auga', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 51, 'Raoa (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 52, 'Rego de Madeira', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 53, 'Rexedoira', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 54, 'Riovello (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 55, 'Riva de Abaixo (Casares)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 56, 'Riva de Arriba (Casares)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 57, 'Rozo', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 58, 'Seoane (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 59, 'Sete de Abaixo (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 60, 'Sete de Arriba (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 61, 'Sosloureiros', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 62, 'Soutullo (Santa Cruz Moeche)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 63, 'Toree', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 64, 'Travesas (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15569', 65, 'Ulfe (A Barqueira)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15570', 1, 'Casadelos-Xubia', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15570', 2, 'Vista Alegre (Doso-Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15570', 3, 'Xubia', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 1, 'Agras', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 2, 'Amenadas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 3, 'Ansede', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 4, 'Barracons', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 5, 'Bico do Souto', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 6, 'Cadaval (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 7, 'Casilla (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 8, 'Castieiro (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 9, 'Cerrallon', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 10, 'Cobas (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 11, 'Cruz Dos Caidos', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 12, 'Feal (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 13, 'Ferrerias (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 14, 'Forcas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 15, 'Freixeiro (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 16, 'Freixeiro (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 17, 'Gandara (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 18, 'Lagoas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 19, 'Pieiros (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 20, 'Pion (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 21, 'Ponto', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 22, 'Revolta (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 23, 'San Clemente (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 24, 'San Roque (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15572', 25, 'Telleiras (Xubia)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 1, 'Abelleira (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 2, 'Avelleira', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 3, 'Barcia (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 4, 'Batan (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 5, 'Cabanas (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 6, 'Cal (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 7, 'Camio Grande (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 8, 'Campo (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 9, 'Campo Ladrado', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 10, 'Cancelas (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 11, 'Casanova (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 12, 'Casilla de Peavidreir', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 13, 'Castelo (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 14, 'Cernada (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 15, 'Chao (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 16, 'Correlo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 17, 'Cortella (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 18, 'Eirixado', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 19, 'Ferreira (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 20, 'Fondalada', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 21, 'Fontan (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 22, 'Fontao (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 23, 'Fontela (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 24, 'Fontela de Arriba (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 25, 'Foxo de Abaixo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 26, 'Foxos de Arriba', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 27, 'Fraguela (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 28, 'Freixo (As Pontes)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 29, 'Freixo (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 30, 'Furado (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 31, 'Gundisalva', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 32, 'Lauriao', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 33, 'Longara (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 34, 'Lourido (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 35, 'Monte (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 36, 'Narahio', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 37, 'Naveiras (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 38, 'Neiras', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 39, 'Paraos (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 40, 'Pena (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 41, 'Penamoura (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 42, 'Penavidreira', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 43, 'Pereiras (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 44, 'Pico (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 45, 'Pielas (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 46, 'Pieiro (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 47, 'Pousadoiro (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 48, 'Pradella', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 49, 'Quintia (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 50, 'Rio Limpo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 51, 'Saldoiro de Abaixo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 52, 'Saldoiro de Arriba', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 53, 'Vila (Narahio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15576', 54, 'Vilaria', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 1, 'Abuinoso', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 2, 'Aguas (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 3, 'Anca', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 4, 'Arda', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 5, 'Atrio (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 6, 'Bacela', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 7, 'Balbis de Abaixo', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 8, 'Balbis de Arriba', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 9, 'Bargo Segundo', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 10, 'Bazon', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 11, 'Berdiscal', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 12, 'Bernes', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 13, 'Bouzarredonda', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 14, 'Braria', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 15, 'Braa (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 16, 'Bustelo (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 17, 'Cabezin (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 18, 'Cabrita', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 19, 'Cal (Cruz del Pouso)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 20, 'Casanova (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 21, 'Castros (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 22, 'Cerdeiras (Vista Alegre-Cruz d', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 23, 'Chao de Dos', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 24, 'Chisqueira', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 25, 'Cobeluda', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 26, 'Cobos (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 27, 'Combarro (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 28, 'Corras (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 29, 'Costa (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 30, 'Coto (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 31, 'Cruz do Pouso', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 32, 'Doso', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 33, 'Escorial (Vista Alegre-Cruz do', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 34, 'Fabrica de Labaora', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 35, 'Fabrica do Monte', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 36, 'Florida (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 37, 'Fonte Vella', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 38, 'Forxa (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 39, 'Gaibas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 40, 'Galanos', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 41, 'Gandarela (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 42, 'Iglesiavieja', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 43, 'Latedo', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 44, 'Liares (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 45, 'Llano', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 46, 'Mourela de Arriba', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 47, 'Nogueirido (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 48, 'Paderno', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 49, 'Pedros (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 50, 'Picota (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 51, 'Pielas (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 52, 'Porta Vasoa', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 53, 'Pouso Vello (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 54, 'Puntal de Abaixo', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 55, 'Puntal de Arriba', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 56, 'Rio Cobo', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 57, 'San Antonio (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 58, 'San Isidro (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 59, 'Sandes (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 60, 'Santa', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 61, 'Silva (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 62, 'Toeleira', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 63, 'Torrentes (Vista Alegre)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 64, 'Tortas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 65, 'Tortos', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 66, 'Trasmonte (Vista Alegre-Cruz d', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 67, 'Verdescal', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15577', 68, 'Vidueiros (Vista Alegre Cruz D', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 1, 'Agramonte', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 2, 'Agrande', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 3, 'Areosa (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 4, 'Berruga', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 5, 'Borrallada (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 6, 'Borreiros (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 7, 'Calle Das Rocas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 8, 'Campo Das Ratas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 9, 'Carballosa (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 10, 'Carella (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 11, 'Castro (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 12, 'Chousa (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 13, 'Costa (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 14, 'Fernande (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 15, 'Forxas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 16, 'Fraga (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 17, 'Gadoy', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 18, 'Godos', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 19, 'Iglesario (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 20, 'A Iglesia (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 21, 'Mata', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 22, 'Nelle', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 23, 'Pena Parda', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 24, 'Penadembade', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 25, 'Pumario (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 26, 'San Xiao de Naron', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 27, 'San Xulian de Naron', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 28, 'Sequeiro (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 29, 'Sobecos', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 30, 'Telleira (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 31, 'Venta (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 32, 'Vicas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15578', 33, 'Vilar (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 1, 'Canido', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 2, 'Canton', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 3, 'Castro (Roxal)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 4, 'Chao de Aldea (O Roxal)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 5, 'Cheda (O Roxal)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 6, 'Fervenza (O Roxal)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 7, 'Foxos', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 8, 'Fraguela (O Roxal)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 9, 'Lobeira', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 10, 'Lodeiro (O Roxal)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 11, 'Macieira (O Roxal)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 12, 'Mosteiron (O Roxal)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 13, 'Muchiqueira', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 14, 'Parte de Casadelos', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 15, 'Porta de Pena', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 16, 'O Roxal', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 17, 'Vila de Anca', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 18, 'Viladonelle', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15579', 19, 'Vilar (O Roxal)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 1, 'Albigueira', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 2, 'Amido', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 3, 'Armida', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 4, 'Arvigueira', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 5, 'Bouza Maior (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 6, 'Camio (Iglesia Feita Grande)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 7, 'Camposa (Iglesiasfeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 8, 'Cando (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 9, 'Capelo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 10, 'Carboados', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 11, 'Cargadoiro', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 12, 'Carrio', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 13, 'Casatellada (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 14, 'Castieira (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 15, 'Castro (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 16, 'Coruxa (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 17, 'Costeiras (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 18, 'Coto (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 19, 'Couce (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 20, 'Fervenza (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 21, 'Fonte Taberna', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 22, 'Fraga (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 23, 'A Fraga (Mandia)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 24, 'Fraganova (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 25, 'Fraguela (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 26, 'Gaiteiros', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 27, 'Granxa (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 28, 'Grauxa', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 29, 'Hermida (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 30, 'Idreiro', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 31, 'Iglesiafeita', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 32, 'Lamestra (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 33, 'Lombo (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 34, 'Miguelares', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 35, 'Navallo (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 36, 'Outeiro (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 37, 'Pallota (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 38, 'Pedramaior (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 39, 'Pedreira (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 40, 'Pedrira', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 41, 'Penadameda', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 42, 'Penalonga', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 43, 'Pradovello', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 44, 'Ramadela (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 45, 'Regueiro (Cabado)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 46, 'Remecieiro', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 47, 'Riveira (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 48, 'Solposto', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 49, 'Soperredo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 50, 'Soutullo (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 51, 'Tesouro', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 52, 'Tiraz', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 53, 'Torre (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 54, 'Vilar (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15580', 55, 'Vilarbello (Iglesiafeita)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 1, 'Almigonde', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 2, 'Campo de Chao (Espiar)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 3, 'Capela (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 4, 'Carballal (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 5, 'Carboeiro (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 6, 'Castrillos', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 7, 'Ceramica', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 8, 'Empedrada', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 9, 'Fontela (Lamas)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 10, 'Freixo (Lamas)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 11, 'Gruido (Lamas)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 12, 'Higoso', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 13, 'A Iglesia (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 14, 'Paa de Abaixo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 15, 'Paleira Bella', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 16, 'Pe do Monte', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 17, 'Pumario (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 18, 'Regoa', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 19, 'Seixo (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 20, 'Sumeiro (Espieredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 21, 'Toiverde', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15582', 22, 'Tuiverde', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15585', 0, 'Aveneiral', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15587', 0, 'Pedroso (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15590', 1, 'Barca de Abaixo (A Graa)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15590', 2, 'Brion (A Graa)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15590', 3, 'A Cabana (A Graa)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15590', 4, 'Cabreira (A Graa)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15590', 5, 'Os Corrales (A Graa)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15590', 6, 'A Graa', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15590', 7, 'A Graa (Ferrol)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15590', 8, 'Os Landroves', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15590', 9, 'Martin (A Graa)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15590', 10, 'San Antonio (A Graa)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15591', 1, 'Os Corrales', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15591', 2, 'Costa de Chamorro', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15591', 3, 'Custa Brava', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15591', 4, 'Feira do Dous', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15591', 5, 'Liares (San Felipe)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15591', 6, 'A Malata', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15591', 7, 'Montecuruto', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15591', 8, 'Pescante', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15591', 9, 'San Cristobo (San Felipe)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15591', 10, 'San Felipe', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 1, 'Arealba', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 2, 'Ariz', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 3, 'Calle Nova', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 4, 'Canecha', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 5, 'Casas (A Maria)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 6, 'Fontaia', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 7, 'Pardieira (A Maria)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 8, 'Picho (A Maria)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 9, 'Pragaio', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 10, 'Priagal', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 11, 'Rio do Muio', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 12, 'San Pedro (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 13, 'San Xurxo da Maria', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 14, 'De San Xurxo', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 15, 'Souto (A Maria)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 16, 'Telleira (A Maria)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 17, 'Vila da Area', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15592', 18, 'Vila da Iglesia', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 1, 'Atarre', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 2, 'Balon', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 3, 'Balon (Bello)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 4, 'Barca de Abaixo (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 5, 'Barca de Arriba', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 6, 'Barcia (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 7, 'Cal (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 8, 'Camio da Fonte', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 9, 'Castro (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 10, 'Chousa (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 11, 'Confurco (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 12, 'Coto (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 13, 'Croa', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 14, 'Curras (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 15, 'Donios', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 16, 'A Espieira (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 17, 'Fonta (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 18, 'Fonte (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 19, 'Fontemaior (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 20, 'Monte Ventoso', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 21, 'Mouga (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 22, 'Outeiro (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 23, 'Paredes (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 24, 'Pereira (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 25, 'Pieiro', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15593', 26, 'Souto de Arriba (Balon)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 1, 'Abelleira (Ferrol)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 2, 'Acosta (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 3, 'Aldea (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 4, 'Aniros (Ferrol)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 5, 'Apescadora', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 6, 'Barcia (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 7, 'Barreira (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 11, 'Caeiras', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 8, 'Barreiro (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 9, 'Buide (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 10, 'Cabazas (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 12, 'Campoles', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 13, 'Campotes', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 14, 'Casa Cereixo', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 15, 'Os Casas', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 16, 'Castieira (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 17, 'Cha de Maria', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 18, 'Cobarredeira (Ferrol)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 19, 'Cobas (Ferrol)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 20, 'Cocheira (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 21, 'Codesal (Serantes)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 22, 'Cos', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 23, 'Cruceiro (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 24, 'Cuartilillos', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 25, 'Os Curras (Cobas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 26, 'Curtia', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 27, 'Esmelle', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 28, 'Fajardo', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 29, 'Faro Prior', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 30, 'Fonte do Conde', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 31, 'Fraga (Serantes)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 32, 'Iglesia (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 33, 'Longra (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 34, 'Ludeiro (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 35, 'Migoes', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 36, 'Modia (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 37, 'Mouga (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 38, 'Pedra (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 39, 'Pedregosas', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 40, 'Pedreira (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 41, 'Pion (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 42, 'Pontigas (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 43, 'Pozas (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 44, 'Prior', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 45, 'Raxon', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 46, 'Rioxunto', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 47, 'Salgueiro (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 48, 'Soagraa', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 49, 'Suagraa', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 50, 'Tralo Castro', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 51, 'Vilar (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15594', 52, 'Xuncal (Covas)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 1, 'Acruz', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 2, 'Agra de Mandia', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 3, 'Agra de Marmacon', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 4, 'Apedra', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 5, 'Apedreira (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 6, 'Bailadora (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 7, 'Boucella', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 8, 'Bustelo (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 9, 'O Casal', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 10, 'Cha (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 11, 'Confurco (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 12, 'Cotillon (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 13, 'Ferreiros (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 14, 'Fonta (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 15, 'Fontela (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 16, 'Machuco (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 17, 'Mandia', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 18, 'Marmancon (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 19, 'Muio do Vento (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 20, 'Ocampo', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 21, 'Opaz', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 22, 'Orregaledo', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 23, 'Outeiro (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 24, 'Papy', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 25, 'A Pedreira (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 26, 'Pulmario', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 27, 'Rilo (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 28, 'Seixo Blanco', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 29, 'Seixo Blanco (Santa Uxia Mandi', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 30, 'Taboada (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15595', 31, 'Vilela (Mandia)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 1, 'Barreiros (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 2, 'Boeira', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 3, 'Borrallada (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 4, 'Camio (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 5, 'Camionovo', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 6, 'Cantalarrana (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 7, 'Carballo (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 8, 'Cucheiro (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 9, 'Eiravedra (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 10, 'Feira (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 11, 'Figueiras (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 12, 'Freixido (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 13, 'Gandara (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 14, 'Giobe', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 15, 'Jabroeira', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 16, 'Laguela', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 17, 'Martianes', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 18, 'Pedreira (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 19, 'Pereiro (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 20, 'Placente', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 21, 'Prados (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 22, 'Rapadoiro (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 23, 'Revolta (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 24, 'Rio da Lousa', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 25, 'Rocha (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 26, 'Sabin', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 27, 'Salgueiral (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 28, 'Salgueiras (Sedes)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 29, 'Sedes', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15596', 30, 'Vilallonte', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 1, 'Barengas', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 2, 'Barrio Torres', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 3, 'Bazon de Abaixo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 4, 'Bazon de Arriba', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 5, 'Cameleiro (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 6, 'O Carballo (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 7, 'Carballofurado', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 8, 'Casanova (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 9, 'Castro Abaixo (San Salvador-Pe', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 10, 'Castro da Hermida', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 11, 'Castro Hermida (San Salvador-P', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 12, 'Catasol (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 13, 'Catro (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 14, 'Cerdeiras (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 15, 'Combayo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 16, 'Congostras (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 17, 'Cordeiras', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 18, 'Corredoira (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 19, 'Costeira (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 20, 'Eirado (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 21, 'Espieira (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 22, 'Estacion (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 23, 'Faxin (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 24, 'Fraga (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 25, 'Gaiba (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 26, 'Gandara (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 27, 'Graa (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 28, 'Jaiva', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 29, 'Loureiros (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 30, 'Mosteiro (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 31, 'Muio (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 32, 'Novas (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 33, 'Painzas (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 34, 'Pallota (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 35, 'Pedra (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 36, 'Pedroso', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 37, 'Pereiruga de Abaixo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 38, 'Pereiruga de Arriba', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 39, 'Pieiros (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 40, 'Portela (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 41, 'Pouso (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 42, 'Pouso Vello (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 43, 'Pozo (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 44, 'Pradelo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 45, 'Revolta (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 46, 'Rio do Couto', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 47, 'Rioboello', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 48, 'Soilan', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 49, 'Vacariza (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 50, 'Vidueiro (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15597', 51, 'Vidueiros (Pedroso)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 1, 'Capela (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 2, 'Carceiro', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 3, 'Carreiras (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 4, 'Chabola (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 5, 'Cotillon (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 6, 'Escoitadoiro', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 7, 'Esfondelada', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 8, 'Ferreira (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 9, 'Folgosa (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 10, 'Fonte San Pelaio', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 11, 'Loureiro (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 12, 'Montaboi', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 13, 'Monte (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 14, 'Navallo (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 15, 'Pedreira (Extramundi)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 16, 'Pereiras (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 17, 'Pereiro (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 18, 'Pesegueiro (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 19, 'Picheira (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 20, 'Ramadela (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 21, 'Rega (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 22, 'Regueiro (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 23, 'Santocabro', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 24, 'Sestol', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 25, 'Teixeiro (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 26, 'Tembras', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15598', 27, 'Valio (Ferreira)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15600', 1, 'Aguabar', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15600', 2, 'Pontedeume (Santiago)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 1, 'O Ameneiral (Nogueirosa-San Co', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 2, 'Aurela', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 3, 'Barral de Abaixo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 4, 'Barral de Arriba', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 5, 'O Barral (Nogueirosa-San Cosme', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 6, 'Bouza Longa (Ombre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 7, 'Cabria Nova', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 8, 'Cabria Vella', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 9, 'Campo (Hombre)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 10, 'Capela (Nogueirosa)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 11, 'A Capela (Nogueirosa-San Cosme', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 12, 'Cartelida', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 13, 'Castelo (Ombre)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 14, 'O Castro (Nogueirosa)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 15, 'Centroa', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 16, 'Chao de Ombre', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 17, 'Chousa da Via', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 18, 'A Cruz do Cabildo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 19, 'Curbeira (Nogueirosa)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 20, 'Esteiro (Ombre)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 21, 'Figueirido (Nogueirosa)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 22, 'Filgueira (Ombre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 23, 'Fonte de Castido', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 24, 'Fonte de Hombre', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 25, 'Goibe (Hombre)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 26, 'A Graa (Nogueirosa)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 27, 'Gunturiz (Ombre)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 28, 'O Lourido (Nogueirosa)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 29, 'A Media', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 30, 'Nogueirosa (San Cosme)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 31, 'Ombre (Santa Maria)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 32, 'A Orela', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 33, 'Outeiro (Ombre-Santa Maria)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 34, 'Peteiro de Abaixo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 35, 'O Peteiro (Nogueirosa)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 36, 'A Pillada', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 37, 'As Pontellas', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 38, 'Portela (Ombre-Santa Maria)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 39, 'Rega (Hombre)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 40, 'A Rega (Ombre-Santa Maria)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 41, 'A Regueira (Hombre)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 42, 'Riolongo', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 43, 'San Cibrao', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 44, 'San Cillao (Ombre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 45, 'San Cosme (Nogueirosa)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 46, 'O Silvar (Nogueirosa)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 47, 'Sobrado (Hombre)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 48, 'O Viso (Ombre)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15608', 49, 'A Via (Nogueirosa)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 1, 'Abesada (Perbes)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 2, 'Allares', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 3, 'Allon', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 4, 'Andahio', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 5, 'Andel', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 6, 'Arbosa', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 7, 'Balgote', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 8, 'Barranqueira (Boebre)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 9, 'Belo', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 10, 'Bermao', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 11, 'Berrugueiro', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 12, 'Bizues', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 13, 'Boebre (Santiago)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 14, 'Bufarda (Ombre)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 15, 'Buia (San Xoan de Vilanova)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 16, 'Buzarda', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 17, 'Caldagueiro', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 18, 'Caldevias', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 19, 'La Calle (Perbes)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 20, 'Campo de Cosme (Nogueirosa)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 21, 'Castrelo (Perbes)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 22, 'Centroa (Santa Maria)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 23, 'O Cobo', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 24, 'Corras (Perbes)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 25, 'Couto (San Xoan de Vilanova)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 26, 'Curio', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 27, 'Fontina', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 28, 'Gonzalvo', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 29, 'Graa (San Xoan Vilanova)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 30, 'A Herbosa', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 31, 'Lugar da Torre', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 32, 'Lugar Das Vias', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 33, 'Lugar de Leira', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 34, 'Lugar do Curro', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 35, 'Lugar do Souto', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 36, 'Monteagudo (Perbes)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 37, 'Nigrofe', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 38, 'Parga (Boebre-Santiago)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 39, 'Perbes (San Pedro)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 40, 'De Perbes', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 41, 'A Picota (Perbes)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 42, 'O Pilleiro', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 43, 'O Portio (Centroa)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 44, 'Rio de Baobre', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 45, 'San Bollo', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 46, 'San Xoan de Vilanova', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 47, 'Sino (Perbes)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 48, 'O Sisto (Boebre)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 49, 'Sixto (Perbes)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 50, 'Ventosa (Centroa)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 51, 'Ver (Boebre-Santiago)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 52, 'Vilanova', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 53, 'Vizus', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 54, 'O Xabroal (Boebre-Santiago)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 55, 'O Xabroal', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15609', 56, 'Modia (San Xoan de Vilanova)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 1, 'Asurira', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 2, 'Azureira (Facira)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 3, 'Bediu', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 4, 'Cangostras', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 5, 'Casal (Goente)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 6, 'Eume', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 7, 'Iglesario (Eume)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 8, 'Louseira (Eume)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 9, 'Lousentin', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 10, 'Lousentin Pequeno', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 11, 'Meizoso (Goente)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 12, 'Painzas (Eume)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 13, 'Pazo (Goente)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 14, 'Portolio', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 15, 'Seixo (Goente)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 16, 'Teixidelos', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 17, 'Veiga (Goente)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15610', 18, 'Vila de Neda', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 1, 'Balbis (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 2, 'Barqueiro (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 3, 'Bouces', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 4, 'Canetas', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 5, 'Casabella (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 6, 'Casanova (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 7, 'Casilla (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 8, 'Cotio (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 9, 'Curras (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 10, 'Erines', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 11, 'Feal (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 12, 'Formariz (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 13, 'Garcia (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 14, 'Iglesia (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 15, 'Manxarin', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 16, 'Martices', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 17, 'A Meira (Erins)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 18, 'Pedra do Couto', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 19, 'A Pena (Erins)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 20, 'Pieiros (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 21, 'Porcar (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 22, 'Rivas (Erins)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 23, 'Salto de Abaixo (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 24, 'Salto de Arriba (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 25, 'Santa Cruz (Erines)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 26, 'Traseiras', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15611', 27, 'Valedoso', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 1, 'Ameneiros (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 2, 'Barcia (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 3, 'Carretera (Reguela)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 4, 'Cerdeiras (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 5, 'Chao de Cruz', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 6, 'Os Duras', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 7, 'Gobariz', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 8, 'Iglesario (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 9, 'Lagoa (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 10, 'Lamas (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 11, 'Lavandeira de Abaixo', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 12, 'Lavandeira de Arriba (Soaserra', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 13, 'Leiranova', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 14, 'Lousada (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 15, 'Lugar do Paso', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 16, 'O Monte (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 17, 'Orta', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 18, 'Paz (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 19, 'Penela (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 20, 'Reguela', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 21, 'Revoltas (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 22, 'Rua (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 23, 'San Marcos (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 24, 'Sardias', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 25, 'Serra (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 26, 'Soaserra', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 27, 'Sumiero', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15612', 28, 'Xavariz (Soaserra)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 1, 'Abelleira (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 2, 'Aguarrubias', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 3, 'Ameneiro (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 4, 'Arnoso', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 5, 'Astoxia', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 6, 'Barbela', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 7, 'Barreiro (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 8, 'Bertoa', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 9, 'Bouza (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 10, 'Brea (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 11, 'Buia (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 12, 'Caaveiro (Pontedeume)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 13, 'Cabalar (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 14, 'Cabodantoi (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 15, 'Cadaval (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 16, 'Cadoval', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 17, 'Calzados (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 18, 'Calzados (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 19, 'Campo de Cabodantoi', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 20, 'Campos (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 21, 'Campos Verdes (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 22, 'Capela (A Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 23, 'A Capela (Pontedeume)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 24, 'Carballas (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 25, 'Carboeiro (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 26, 'Casanova (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 27, 'Casilla (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 28, 'Castieira (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 29, 'Castieiro (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 30, 'Castoar', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 31, 'Cenzoi', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 32, 'Chabola (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 33, 'Cobos (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 34, 'Corveira (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 35, 'Coto (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 36, 'Coto (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 37, 'Cruz de Moa', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 38, 'Estoxa (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 39, 'As Filgueiras (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 40, 'Finde', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 41, 'Fonte (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 42, 'Fonte (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 43, 'Formariz (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 44, 'Fornelos (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 45, 'Graa (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 46, 'Grua', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 47, 'Guille', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 48, 'Gungual', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 49, 'A Iglesia (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 50, 'Inxertados', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 51, 'Lagoa (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 52, 'Lar', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 53, 'Lombo (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 54, 'Lugar de Carballo', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 55, 'Machuco (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 56, 'Martin (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 57, 'Mende (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 58, 'Mosterio de Caaveiro', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 59, 'Mourente (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 60, 'Mourias', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 61, 'As Neves (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 62, 'Outeiro (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 63, 'As Paces (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 64, 'Paz (O Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 65, 'Pazo (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 66, 'Peitas', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 67, 'Penagrande (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 68, 'Penedo (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 69, 'Pereiro (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 70, 'Pieiro (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 71, 'Porcar (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 72, 'Porta (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 73, 'Poulo (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 74, 'Pousadoiro (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 75, 'Pouso (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 76, 'Prado do Muio', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 77, 'Rexidoiro', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 78, 'Ribeira de Arriba', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 79, 'Sabugueiro (A Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 80, 'Sande (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 81, 'Seixo (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 82, 'Sellabreo', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 83, 'Soapena', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 84, 'Teixeira de Abaixo', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 85, 'Teixeira de Arriba', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 86, 'Teixido de Abaixo', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 87, 'Teixido de Arriba', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 88, 'Teixo (Caaveiro)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 89, 'Veiga (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 90, 'Vidueiro (Caaveiro-Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 91, 'Vilar (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 92, 'Vilar de Mouros', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 93, 'Vilario (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 94, 'Vilaron', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 95, 'Vilasuso (Capela)', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 96, 'Xasen de Abaixo', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 97, 'Xasen de Arriba', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15613', 98, 'Xasen do Medio', 150183, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 1, 'Allegue', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 2, 'Andrade (San Martio)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 3, 'Ar (Campolongo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 4, 'O Barreiro (Campo Longo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 5, 'O Barro (Breamo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 6, 'O Barro (Vilar)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 7, 'Bellavista', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 8, 'Breamo (San Miguel)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 9, 'Camio Vello (Campolon)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 10, 'A Campanilla (Campo Longo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 11, 'Campo Longo (Campo Longo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 12, 'Campo Longo - Cruceiro', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 13, 'Cario (Campolongo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 14, 'Castros (Campolongo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 15, 'Cermuzo', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 16, 'Chao de Vilar (San Pedro)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 17, 'Chaos (Compolongo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 18, 'Cornide (Campolongo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 19, 'Coves', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 20, 'Coves (Andrade)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 21, 'Finca Varela', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 22, 'Fonte Melendre', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 23, 'Goive de Arriba (Campo Longo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 24, 'Grove', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 25, 'Gunturiz (Campolongo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 26, 'A Igrexa (Vilar-San Pedro)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 27, 'Os Loureiros (Campo Longo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 28, 'Lugar da Iglesia (Campolongo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 29, 'Lugar de Pin', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 30, 'Lugar do Monte', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 31, 'Lugarecho', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 32, 'Ogrobe (Andrade)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 33, 'As Pedridas', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 34, 'A Pia (Andrade-San Martio)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 35, 'A Regueira (Campo Longo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 36, 'Talega', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 37, 'Torre (Campolongo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 38, 'A Torre (Vilar-San Pedro)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 39, 'Valdeviatos', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 40, 'A Veiga (Campo Longo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 41, 'O Vidreiro', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 42, 'Vilamoire', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 43, 'Vilar (Campolongo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 44, 'Vilar (San Pedro)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15614', 45, 'Vista Alegre (Campolongo)', 150695, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 1, 'Abelleira (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 2, 'Acoi', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 3, 'Albarella', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 4, 'Areosa (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 5, 'Arnelas', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 6, 'Balbon', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 7, 'Breama (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 8, 'O Carballo (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 9, 'Careiro (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 10, 'Casilla (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 11, 'Castelo (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 12, 'Castrillon (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 13, 'Castro (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 14, 'Chapizo (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 15, 'Chousa (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 16, 'Cioi', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 17, 'Doroa (Pontedeume)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 18, 'Doroeira', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 19, 'Enxertia', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 20, 'Esqueira', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 21, 'Fonte Vieita', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 22, 'Fraga (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 23, 'Greleira', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 24, 'Jubita', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 25, 'Livuren', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 26, 'Lodeiro (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 27, 'Longra (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 28, 'Loureiro (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 45, 'Souto da Cana', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 46, 'Vila Elena', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 1, 'Aveleira (Camio Grande)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 2, 'Camio Grande (Camio Grande)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 3, 'Campanario (Camiogrande)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 4, 'Carretera (Camiogrande)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 5, 'Castelo (Camiogrande)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 6, 'Cerdeirios', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 7, 'Cereixa', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 8, 'Choca', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 9, 'Chousa (Camiogrande)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 10, 'Cortes (Camio Grande)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 11, 'Cotillon (Camio Grande)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 12, 'Cruce de Carreteras', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 13, 'Cruce de Rancho', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 14, 'A Fonte (Camio Grande)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 15, 'Fraga (Camio Grande)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 16, 'A Gallada', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 17, 'Iglesario (Camio Grande)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 18, 'Limodre', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 19, 'Lodairo', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 20, 'Lugar da Iglesia (Camio Grand', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 21, 'Lugar de Favita', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 22, 'Nueva', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 23, 'Porto Mahon (Camio Grande)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 24, 'Rio Castro (Camio Grande)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 25, 'Souto Bello (Camio Grande)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15627', 26, 'Teuropeira', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 1, 'Barrosa (Mio)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 3, 'Cobo (Mio)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 4, 'Curros (Mio)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 5, 'Fonte (Mio)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 6, 'Iglesia (Mio)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 7, 'Loios (Mio)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 8, 'A Meda', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 9, 'Mio (Pontedeume)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 10, 'Pardieira (Mio)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 11, 'Ponte do Porco (Mio)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 12, 'Raxel', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 13, 'Rigueira (Mio)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 14, 'Rua (Mio)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 15, 'Sombreo', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 16, 'Telle', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 1, 'Abelleira (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 2, 'Acosta (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 3, 'Agra (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 4, 'Ansimonde', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 5, 'Apuza', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 6, 'Atrio (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 7, 'Bando (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 8, 'Barbeita (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 9, 'Barcia (Bomantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 10, 'Os Barrios', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 11, 'Bemantes', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 12, 'Brea (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 13, 'Cachufeira', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 14, 'Cal (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 15, 'Callobre (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 16, 'Cancelo (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 17, 'Casa do Monte de Anido', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 18, 'Cerdeirido', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 19, 'Chelo', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 20, 'Corredoira (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 21, 'Cruceiro (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 22, 'Feira do Tres', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 23, 'Fieiteira (Devesos)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 24, 'Folgueira (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 25, 'Fondal do Atrio', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 26, 'A Fontela', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 27, 'Formigueiro (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 28, 'Frebencias', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 29, 'Graa (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 30, 'Nogueirido (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 31, 'Opico', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 32, 'Padrin de Abaixo (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 33, 'Padrin de Arriba (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 34, 'Paredes (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 35, 'Pazo (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 36, 'Pedreira (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 37, 'Penedo (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 38, 'Pousadoira', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 39, 'Quinta (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 40, 'Retriz', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 41, 'Sanchal de Abaixo', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 42, 'Sanchal de Arriba', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 43, 'Santa Uxia (Ribeira)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 44, 'Souto (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 45, 'Terron', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 46, 'A Tolda', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 47, 'A Torre (Bemantes)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 48, 'Vigo de Abaixo', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15635', 49, 'Vigo de Arriba', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 1, 'Areosa (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 2, 'Barrio (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 3, 'Castro (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 4, 'Chosa Grande (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 5, 'Coruxo (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 6, 'Crego', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 7, 'Goiba', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 8, 'Gundin (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 9, 'Libureo', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 10, 'Mide', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 11, 'Monte (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 12, 'Penadeiglesia', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 13, 'Pozo (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 14, 'Reboira (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 15, 'Rua (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 16, 'Souto Calvo (Vilarmaior)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 17, 'Vilamunoi', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 18, 'Vilapape', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15637', 19, 'Vilarmaior', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 1, 'Abeal', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 2, 'Barreira (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 3, 'Barruda', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 4, 'Belsar', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 5, 'Cabo de Aldea (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 6, 'Campo (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 7, 'Central de Fenosa Tor', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 8, 'Cernada de Arriba (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 9, 'Coruxas', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 10, 'Espeldoa', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 11, 'Fraga (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 12, 'Gabin', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 13, 'Gallan', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 14, 'Goian', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 15, 'Guimil', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 16, 'Guiulle', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 17, 'Iglesia (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 18, 'Lama (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 19, 'Liares (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 20, 'Lubeiras', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 21, 'Lugarexo', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 22, 'Millarengo', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 23, 'Molinos de los Gallego', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 24, 'Nogueirido (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 25, 'Pachote', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 26, 'Penagrande (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 27, 'Picote', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 28, 'Rua (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 29, 'Sestelo (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 30, 'Sobrado (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 31, 'Torres (Pontedeume)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 32, 'Vilamateo', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15638', 33, 'Vilario (Torres)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 1, 'Baobre', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 2, 'Bescuteiro', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 3, 'Breama (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 4, 'Carantoa (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 5, 'Casilla (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 6, 'Chao (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 7, 'Coido (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 8, 'Escorial (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 9, 'Fontao (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 10, 'Fonte Bieita', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 11, 'Jungero', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 12, 'Leiro (Pontedeume)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 13, 'Loureiro (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 14, 'Muio de Prado', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 15, 'Outeiro (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 16, 'O Pazo (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 17, 'Pedreira (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 18, 'Pedrosas', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 19, 'Penela (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 20, 'Picho (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 21, 'Pontebaxoi', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 22, 'Portobello', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 23, 'Sabugueiro (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 24, 'Trasdoroa', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 25, 'Viadeiro', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15639', 26, 'Xuncal (Leiro)', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 1, 'Balbis (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 2, 'Bos', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 3, 'Brea (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 4, 'O Castro (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 5, 'Corral de la Iglesia (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 6, 'Cubelo (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 7, 'Detras de la Iglesia', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 8, 'Guisamo', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 9, 'Loureda (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 10, 'O Marco (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 11, 'Mote do Marco', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 12, 'Orto (San Martio-Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 13, 'Pedras Blancas', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 14, 'Rua Nova (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 15, 'San Paio (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 16, 'Sobre da Iglesia', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 17, 'Tras Iglesia (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 18, 'Vilar (Guisamo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15640', 19, 'El Vilar', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 1, 'Aldea de Arriba (Cecebre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 2, 'Apeadeiro (Cecebre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 3, 'Barrio (Cecebre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 4, 'Cecebre (San Salvador)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 5, 'Frais (Cecebre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 6, 'Galieiros (Cecebre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 7, 'Mediavila', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 8, 'Mota (Cecebre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 9, 'Pieiro (Cecebre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 10, 'Quintan (Cecebre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15650', 11, 'Sobrexexe', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 1, 'Barbain', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 2, 'Barral (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 3, 'Bribes (Pequeno)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 4, 'Bribes (San Cipriano)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 5, 'Carballo (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 6, 'Castrovigo (Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 7, 'Corgo (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 8, 'Costa (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 9, 'Curras (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 10, 'Folgueira (Vigo Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 11, 'Fontaia (Vigo Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 12, 'Fonte Guntin', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 13, 'Fontefria (Vigo Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 14, 'Fontemoura', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 15, 'Fraguia', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 16, 'Golpilleiras', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 17, 'Grela (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 18, 'Lamio (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 19, 'Lapa', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 20, 'Lema (Santa Maria Vigo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 21, 'Longueiral', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 22, 'Monte (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 23, 'Moscallentas', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 24, 'Mourama', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 25, 'Mourelos (Souto)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 26, 'Naveira (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 27, 'Nebrixe', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 28, 'Ousende (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 29, 'Outeiro (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 30, 'Pedre (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 31, 'Peiraio', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 32, 'Prados Vellos', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 33, 'Rigueiras', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 34, 'Riveiria (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 35, 'San Roque (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 36, 'Santa Maria de Vigo', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 37, 'Tuio', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 38, 'Veiga (Bribes)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 39, 'Veiga (Vigo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 40, 'Vigo (Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 41, 'Vilar (Vigo-Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15659', 42, 'Vilarto', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 1, 'Amil (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 2, 'Arrigada', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 3, 'Atrio (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 4, 'A Barcala (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 5, 'Barreira (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 6, 'Cambre (Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 7, 'Casilla de Carro', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 8, 'Coroada', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 9, 'Cruceiro (Armental-Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 10, 'Cruceiro (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 11, 'Cruz (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 12, 'Drozo (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 13, 'Estacion (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 14, 'Estorrentada', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 15, 'Freande', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 16, 'Muios (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 17, 'Paso Nivel', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 18, 'Penouvia (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 19, 'Rocon', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 20, 'Sixto (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 21, 'Socampo', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 1, 'Aberto', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 22, 'Toural (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15660', 23, 'Valado (Cambre)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 2, 'Abrueiras (Trasmonte)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 3, 'Alvaron (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 4, 'Armental (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 5, 'Braa (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 6, 'Calle (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 7, 'Canal (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 8, 'Carbal', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 9, 'Cela (San Xulian-Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 10, 'Cobelo (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 11, 'Curro (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 12, 'Espirito Santo (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 13, 'Fabas (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 14, 'Fontenla (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 15, 'Gandara (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 16, 'Lendoiro', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 17, 'Ordias (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 18, 'Outeiro (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 19, 'Pastel', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 20, 'Patia', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 21, 'Pena (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 22, 'Pombo (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 23, 'Ponte (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 24, 'Pravio (San Xoan)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 25, 'Rueiro (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 26, 'Ruibelo', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 27, 'San Bartolome (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15668', 28, 'Souto (Pravio)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 1, 'Andeiro', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 2, 'Ascaris (Meijido)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 3, 'Bamdero', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 4, 'Brexo (San Pedro)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 5, 'Cereixeiro', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 6, 'Corgos (Meixido)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 7, 'Coruxos (Meixigo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 8, 'Covagas', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 9, 'Fonte (Meixigo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 10, 'Formigueiro (Meixido)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 11, 'Gosende (Meixigo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 12, 'A Iglesia (Andeir0)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 13, 'Lagoa (Meixigo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 14, 'Meixigo', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 15, 'Outeiro (Meixigo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 16, 'Pagueira', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 17, 'Parrocha (Meixigo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 18, 'Pazos (Meixigo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 19, 'Pieiro (Meixigo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 20, 'Roncesvalles', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 21, 'San Paio', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 22, 'Sarnoso', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 23, 'Torre (De Andeiro)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15669', 24, 'Torre de Meixigo', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 1, 'Barcala (O Burgo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 2, 'O Burgo (Burgo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 3, 'O Castro (Burgo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 4, 'El Chalet Bailly (Burgo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 5, 'Estacion (O Burgo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 6, 'Fabrica de Cros', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 7, 'Fabrica de Koipe', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 8, 'Ribados', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 9, 'Ribaos', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 10, 'As Ruas', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15670', 11, 'Universidade Laboral', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15679', 1, 'Barcala (Poligono Temple)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15679', 2, 'Graxal', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15679', 3, 'Hacidama', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15679', 4, 'Tapia (O Burgo)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15679', 5, 'Temple (Santa Maria)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15680', 1, 'O Casal (Ordes-Santa Maria)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15680', 2, 'As Casillas (Ordes-Santa Maria', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15680', 3, 'Ceidon', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15680', 4, 'Ordes (Ordes)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15681', 0, 'Feas de Riba', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 1, 'Abeleiras (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 2, 'Abongo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 3, 'Areosa (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 4, 'Balsa (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 5, 'Bedrobe', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 6, 'Belvis (Parada)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 7, 'Cabaleiros', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 8, 'Campo de Arriba (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 9, 'Carballa Drade', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 10, 'Casais (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 11, 'Casaldabad', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 12, 'Castrillon (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 13, 'Costa (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 14, 'Formarigo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 15, 'Iglesia (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 16, 'Leobalde (San Cristobal)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 17, 'Liario', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 18, 'Meixome (Parada)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 19, 'Nogueira de Le Stido', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 20, 'Oleiros (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 21, 'Painza (Parada)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 22, 'Paradela (Parada)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 23, 'Penelas (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 24, 'Pereirovello', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 25, 'Pontepedra', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 26, 'Regueiro (Parada)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 27, 'Salgueiroas (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 28, 'Seixan', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 29, 'Soufe', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 30, 'Tae', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 31, 'Tordoia (San Xoan)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 32, 'Vilar (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15683', 33, 'Vilarchan', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 1, 'Abeneiras', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 2, 'Os Abeneiros (Santaia de Gorgu', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 3, 'Abres', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 4, 'A Agela (Santaia de Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 5, 'Agramaior (Santaia de Gorgullo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 6, 'A Agrela (Lesta)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 7, 'Agromaior', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 8, 'Alban', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 9, 'Altiboia (Santaia de Gorgullos', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 10, 'Ambroa (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 11, 'Andoio', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 12, 'Anxeriz', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 13, 'Arcai de Arriba', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 14, 'Baldaio', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 15, 'Bardaos (Santa Maria)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 16, 'Barral (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 17, 'Barral (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 18, 'Borreiros (Santaia de Gorgullo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 19, 'Bouzamerelle', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 20, 'Bouzaran', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 21, 'Bouzas (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 22, 'Brandariz (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 23, 'Brandoas de Abaixo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 24, 'Brandoas de Arriba', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 25, 'Buda', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 26, 'Burgan', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 27, 'Burgao de Abaixo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 28, 'Burgao de Arriba', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 29, 'Burreiros (Santaia de Gorgullo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 30, 'Buo de Gorgullos', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 31, 'Cabanelas (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 32, 'Camio (Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 33, 'O Camio (Santa Maria Gorgullo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 34, 'Campo do Millo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 35, 'Campoleiro', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 36, 'Carballal (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 37, 'Carballal (Santaia de Gorgullo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 38, 'Carballeira de Abaixo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 39, 'Carballeira de Arriba', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 40, 'Carballo Verde', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 41, 'Casal (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 42, 'Casalde Devesa', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 43, 'Casas Novas (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 44, 'Caso do Tendeiro', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 45, 'Castenda (Santa Maria-Santaia', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 46, 'Castenda (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 47, 'Castieiras (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 48, 'Castieiro (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 49, 'Castro (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 50, 'Castro (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 51, 'Castro (Santaia de Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 52, 'Cerdeiras (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 53, 'Cerdeiras (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 54, 'Chaian', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 55, 'Codesal (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 56, 'Coroto (Gorgullos-Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 57, 'Costa (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 58, 'O Couto (Santalla Gorgull)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 59, 'Croto', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 60, 'Cruceiro (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 61, 'Cruxeira (Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 62, 'A Cruz (Santalla de Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 63, 'Del', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 64, 'Deleonor', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 65, 'Ferreira (Campo Hospital)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 66, 'Folgueira (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 67, 'Folgueira de Abaixo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 68, 'Folgueira de Arriba (Tordoia)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 69, 'Fontaias', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 70, 'Fontan (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 71, 'Fornelos (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 72, 'Frixoi', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 73, 'Gabian (Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 74, 'Gandara (Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 75, 'Gorgullos (Santa Maria)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 76, 'Guillufe', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 77, 'Iglesia (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 78, 'Iglesia (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 79, 'Iglesia (Barbeiros)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 80, 'Iglesia (Bardaos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 81, 'Iglesia (Vilabade)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 82, 'A Igrexa (Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 83, 'A Igrexa (Lesta)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 84, 'Lesta (Santo Andre)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 85, 'Lestido (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 86, 'Liste', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 87, 'Malvares', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 88, 'Nio do Corbo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 89, 'Nogueira (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 90, 'Outeiro (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 91, 'Outeiro (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 92, 'Pazo (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 93, 'Pazo (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 94, 'O Pazo (Santalla de Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 95, 'Pazos (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 96, 'Pazos (Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 97, 'Pedregais', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 98, 'Pedrouzo (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 99, 'Pereira (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 100, 'As Pereirias', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 101, 'Picota (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 102, 'Picota (Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 103, 'Pintan', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 104, 'Pispieiro', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 105, 'Pieiro (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 106, 'Pobanza', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 107, 'Pontes', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 108, 'Portocios', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 109, 'Pousadoiro (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 110, 'Prado (Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 111, 'Pubanza', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 112, 'Rabo de Lobo', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 113, 'Rapadoiro (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 114, 'Raa (Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 115, 'Reboredo (Santaia de Gorgullos', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 116, 'Rego (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 117, 'Ribeiro (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 118, 'Rio da Vila (Andoio)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 119, 'Riveiro (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 120, 'Saboi', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 121, 'Santaia de Gorgullos', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 122, 'Santiavedra', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 123, 'Sares', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 124, 'Tieira', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 125, 'Tivianes', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 126, 'Torre (Anxeriz)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15684', 127, 'Torre (Gorgullos)', 150840, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 1, 'Abella (Santo Estevo)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 2, 'Agualada (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 3, 'Albite (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 4, 'Albite (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 5, 'Albixoi', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 6, 'A Aldeia', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 7, 'Amil (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 8, 'Ansemonde', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 9, 'O Ar (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 10, 'Areosa (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 11, 'Arosa (Xanceda-Iglesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 12, 'Astrai', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 13, 'A Baiuca (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 14, 'A Baiuca (Papucin-Santa Maria)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 15, 'Os Baltares', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 16, 'Barbeiros (Santa Maria)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 17, 'O Barreiro (Galegos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 18, 'Bascoi', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 19, 'Beledo', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 20, 'Bermui (Ponte de Castro)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 21, 'Berxa', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 22, 'Bieites', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 23, 'Os Blancos', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 24, 'Cabanas (Ponte de Castro)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 25, 'O Cabezo', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 26, 'Caboladron', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 27, 'Cabra (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 28, 'Cabrui', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 29, 'Calles (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 30, 'Camios', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 31, 'Campelo (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 32, 'Campo (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 33, 'Campo (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 34, 'Campo (A Xanceda-Iglesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 35, 'Campo Das Mantaras', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 36, 'Campo de Mesia', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 37, 'Candal (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 38, 'Canedo (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 39, 'Os Canedos (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 40, 'Carballa (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 41, 'Carballal (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 42, 'O Carballal (Arbella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 43, 'O Carballal (Mesos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 44, 'O Carballal (Papucin)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 45, 'Carballas (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 46, 'Carballeira (Ponte de Castro)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 47, 'Carballeira (A Xanceda-Iglesia', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 48, 'Cargas (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 49, 'Os Carrucheiros', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 50, 'Casa de Gregorio', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 51, 'Casa do Pinar', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 52, 'Casagrande (A-Xanceda Iglesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 53, 'Casanova (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 54, 'Casanova (Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 55, 'A Casanova (Albixoi-Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 56, 'Casas do Pinar (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 57, 'Castieira (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 58, 'Castieiras (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 59, 'Castieiras (Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 60, 'Castrallon (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 61, 'Castro (Ponte de Castro)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 62, 'Castro (Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 63, 'O Castro (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 64, 'Chamuin (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 65, 'A Cheda (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 66, 'Cimadevila (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 67, 'Consello de Abaixo', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 68, 'Consello de Arriba', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 69, 'Coredoira (Ponte Carreira Abel', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 70, 'Corralvello (Abella-Santo Este', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 71, 'Corredoira (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 72, 'Corredoira (Juandelaiglesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 73, 'Corredoira (Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 74, 'Corredoiras Cumbraos (Cumbraos', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 75, 'Corrillos (San Xoan da Iglesia', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 76, 'Coruxo (Barbeiros)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 77, 'Couto (Iglesia-Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 78, 'Couto (Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 79, 'Cruceiro (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 80, 'Cruceiro (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 81, 'O Cruceiro (Barbeiros)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 82, 'Cruz (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 83, 'Cumbraos (Santa Maria)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 84, 'Cumbraos (Santiago)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 85, 'Currillos (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 86, 'Curro (Senra)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 87, 'Damelas (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 88, 'Edrao Mesia', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 89, 'Empalme (Ponte de Castro)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 90, 'Escarabelleira (Viamesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 91, 'Fachas', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 92, 'Feas (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 93, 'Fieiteira (Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 94, 'A Figueira (Mesos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 95, 'A Figueira (Papucin)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 96, 'Foncellas', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 97, 'Fondevila (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 98, 'Fondo (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 99, 'Fondo da Aldea (Barbeiros)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 100, 'Fondo da Aldea (Mesia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 101, 'Fondo de Vila', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 102, 'O Fontao de Abaixo', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 103, 'O Fontao de Arriba', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 104, 'O Fontao (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 105, 'Fonte (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 106, 'Fonte (Ordes-Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 107, 'Fonte (Ponte Castro)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 108, 'Fonte do Roso', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 109, 'Fontemouro', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 110, 'Formigueiro (Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 111, 'Foucellas', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 112, 'Foxo (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 113, 'Frades (San Martio)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 114, 'Fraga (Albixoi)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 115, 'Fraga (Cabrui)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 116, 'Fraga (Xanceda)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 117, 'Fraga da Lata', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 118, 'Fraga de Cumbraos', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 119, 'Gandara (Mesos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 120, 'A Gandara (Abella)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 121, 'A Gandara (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 122, 'Gandarela (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 123, 'Gasalla', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 124, 'Gemeras', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 125, 'Gosende (Ordes-Ponte de Castro', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 126, 'Grabanja (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15685', 127, 'A Granxa (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 1, 'Aboi (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 2, 'Agramaior (Marzoa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 3, 'Aldin', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 4, 'Alemparte', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 5, 'Altiboa', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 6, 'Altiboia (Maizon)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 7, 'Alto de Aboi', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 8, 'O Alto (Gafoi)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 9, 'A Ameixeira (Marzoa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 10, 'Areosa (Marzoa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 11, 'Augas Santas', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 12, 'Aa (Santa Maria)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 13, 'Aa de Meus', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 14, 'O Barazon (Moar-Santaia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 15, 'Barcia (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 16, 'O Barreiro (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 17, 'O Barreiro (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 18, 'Beiruga', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 19, 'Beria', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 20, 'Boado (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 21, 'Bouzamonte', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 22, 'Cachada (Frades)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 23, 'Campo de Carro', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 24, 'Campo Reires', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 25, 'O Campo (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 26, 'O Campo (Frades)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 27, 'O Campo (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 28, 'Campoduro', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 9, 'Forcadenla', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 10, 'Loroo (Santiago)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 11, 'La Marola', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 12, 'Medoira', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 13, 'Parroquia', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 14, 'Rial de Abajo', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 15, 'Romelle', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 16, 'Santo Adrio de Castro', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 17, 'A Vicenta', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 1, 'A Atalaia (Meanos)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 2, 'As Edreiras (Meanos)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 3, 'Froxan (Meanos)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 4, 'Langueiron', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 5, 'Longueiron (Meanos)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 6, 'Maxin', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 7, 'Meanos', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 8, 'Rial de Arriba', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 9, 'San Martio de Meanos', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 10, 'Vila (Meanos)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15857', 11, 'Vilar de Lamas', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 1, 'As Abellas', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 2, 'Campos (Muio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 3, 'A Churia (Muio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 4, 'O Couto (Muio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 5, 'A Fonte Espios (Muio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 6, 'Maran', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 7, 'Muio (San Tirso)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 8, 'Pedra Padreiro (Muio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 9, 'A Santa (Muio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 10, 'A Toxa (Muio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15858', 11, 'O Vilar (Muio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 1, 'Acalabanda (Bandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 2, 'Borreiros (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 3, 'Brandomil (San Pedro)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 4, 'Brandoas (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 5, 'Casa Forestal', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 6, 'Castraron', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 7, 'Charia', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 8, 'Costa (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 9, 'Os Currais (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 10, 'Cutuio', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 11, 'Espio (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 12, 'Fonte (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 13, 'Fontecrego', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 14, 'A Gris (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 15, 'Iglesia (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 16, 'A Lagoa (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 17, 'Limideiro', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 18, 'Loyola', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 19, 'Muio (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 20, 'Padreiro (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 21, 'Parada (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 22, 'Pedra (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 23, 'Pedreiro', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 24, 'Os Pedrouzos (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 25, 'Pereira (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 26, 'Pereiria (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 27, 'Pudenza', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 28, 'Quintans (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 29, 'Vilarcobo', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15859', 30, 'A Xestosa (Brandomil)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 1, 'Aran (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 2, 'Aranton', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 3, 'Busto (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 4, 'Buxan (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 5, 'Cabreira (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 6, 'Carballeira (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 7, 'Castro (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 8, 'Cova (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 9, 'Fornos (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 10, 'Guldris (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 11, 'Mato (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 12, 'Pardieira (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 13, 'Picotos', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 14, 'Ponte (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 15, 'Rebordelos (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 16, 'Rieiro (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 17, 'Rubin', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 18, 'Santa Sabina (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 19, 'Travesas (Santiago)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 20, 'Valio (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 21, 'Varilongo', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 22, 'Vilarnovo (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 23, 'Vilarqueimado', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15860', 24, 'Xesteira (Travesas)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 1, 'Abeleiras (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 2, 'Abuin (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 3, 'Amenzons', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 4, 'Carboeiro (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 5, 'Casasoa', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 6, 'Castro (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 7, 'Castropombo', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 8, 'Cruz de Santos', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 9, 'Fafia', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 10, 'Failde', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 11, 'Freixeiro (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 12, 'Iglesia (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 13, 'Illa', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 14, 'Pombal (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 15, 'Portocarreiro', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 16, 'Portochan (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 17, 'Portomadeiro', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 18, 'Salgueiroas (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 19, 'Ser (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 20, 'Tarroal', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 21, 'Vento (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15861', 22, 'Vilarnovo (Ser)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15862', 1, 'Cruz (Sueros)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15862', 2, 'Edreira (Sueros)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15862', 3, 'Faxin (Suevos)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15862', 4, 'Francos (Suevos)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15862', 5, 'Gosende (Suevos)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15862', 6, 'Hermida (Suevos)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15862', 7, 'Marcelle (Suevos)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15862', 8, 'Reguengo', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15862', 9, 'Suevos (Suevos)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15862', 10, 'Vilar de Outeiro (Suevos)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 1, 'Baixadoira', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 2, 'A Baa', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 3, 'Campelo (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 4, 'Canlis', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 5, 'Carballeira (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 6, 'Castieira (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 7, 'Castro (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 8, 'Costa (Labaa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 9, 'Espesedo (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 10, 'Fampousa', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 11, 'Ferreiros (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 12, 'Folgueira (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 13, 'Guende (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 14, 'Liares (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 15, 'Loureiro (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 16, 'Paredes (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 17, 'A Riva (Labaria)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 18, 'Salvande', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 19, 'San Vicente (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 20, 'San Xoan (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 21, 'Seor (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 22, 'Trece (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 23, 'Vigobo', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 24, 'Vilarnovo (A Baa)', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15863', 25, 'Visia', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 1, 'Agron (San Lourenzo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 2, 'Ames (San Tome)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 3, 'Arufe', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 4, 'Burgueiros', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 5, 'Calo (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 6, 'Capeans', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 7, 'Carballo (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 8, 'Caroubans', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 9, 'Cobas (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 10, 'Combao (Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 11, 'Fabrica de Aserrar', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 12, 'Ferreiros (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 13, 'Folgueiras (Calo-San Xoan)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 14, 'Fontemiron', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 15, 'O Galieiro (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 16, 'A Garea', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 17, 'Gasamans', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 18, 'A Igrexa (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 19, 'Insua (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 20, 'Leborans', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 21, 'Lena', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 22, 'Lens (San Paio)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 23, 'O Lombao (Covas)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 24, 'Loureiro (Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 25, 'Loureiros (Covas)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 26, 'Miso', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 27, 'Monte (Covas)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 28, 'Novais (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 29, 'Outeiro (Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 30, 'Pazo (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 31, 'Pieiro (Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 32, 'Pior (Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 33, 'A Ponte Maceira', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 34, 'Ponte Nova (Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 35, 'A Ponte Nova (Ames)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 36, 'Ponte Vello (Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 37, 'O Portanxil', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 38, 'Portor de Abaixo', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 39, 'Portor de Arriba', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 40, 'Rebordans (Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 41, 'Reino (Trasmonte)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 42, 'Saleirons', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 43, 'Salgueiro (Trasmonte)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 44, 'Sandar', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 45, 'Suevos (Trasmonte)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 46, 'A Tarroeira (Ames)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 47, 'Trasmil (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 48, 'Trasmonte (Santa Maria)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15864', 49, 'Ventosa (A Ponte Maceira)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 1, 'Aguiar', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 2, 'Boa Ventura', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 3, 'Boimil (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 4, 'Boullon (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 5, 'Brans de Abaixo (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 6, 'Brans de Arriba (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 7, 'Brion de Abaixo (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 8, 'Brion de Arriba (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 9, 'Brion (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 10, 'Buratia', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 11, 'Cabreiros (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 12, 'Cantelar', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 13, 'Casal (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 14, 'O Enxo', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 15, 'Gronzo', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 16, 'Guldris (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 17, 'Iglesia (Boullon)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 18, 'Iglesia (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 19, 'Lamio (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 20, 'Liares (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 21, 'Pedrouzos (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 22, 'Quintans (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 23, 'Rial (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 24, 'Riazoas', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 25, 'Tembra', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 26, 'Torre (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15865', 27, 'Trasouteiro (Brion)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 1, 'Ameneiro (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 2, 'Barreiras (Bugallido)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 3, 'Barreiro (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 4, 'As Buceleiras', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 5, 'Bugallido (San Pedro)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 6, 'Cabanas (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 7, 'A Casalonga (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 8, 'Castaal', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 9, 'Cobas (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 10, 'Cornide (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 11, 'Eirapedria', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 12, 'Espio (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 13, 'O Faramello (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 14, 'Firmistans', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 15, 'Framan', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 16, 'Francos (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 17, 'De Francos', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 18, 'Guimarans (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 19, 'Iglesia (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 20, 'O Instrumento (Bugallido)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 21, 'Osebe', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 22, 'Osebe (Bugallido)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 23, 'O Outeiro (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 24, 'Pazos (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 25, 'Pedreira (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 26, 'Pontes (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 27, 'Quintilans', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 28, 'Reborido (Bugallido)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 29, 'Riotinto', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 30, 'Tarrio (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 31, 'Texexe', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 32, 'Vila Verde', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 33, 'Vilar de Abaixo (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 34, 'Vilar de Arriba (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 35, 'Vilar do Medio (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15866', 36, 'Vilaverde (Osebe)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 1, 'Ameixenda', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 2, 'Ameixenda (Santa Maria)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 3, 'Cortegada', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 4, 'Folgueira (Ameixenda)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 5, 'Iglesia (Ameixenda)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 6, 'Insua (Agron)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 7, 'Mercuto', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 8, 'Mercuto de Abaixo', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 9, 'Montemaior (Ameixenda)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 10, 'O Pazo (Agron)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 11, 'Pedrarrubia', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 12, 'Quintans (Ameixenda)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 13, 'Raoa (Fecha)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 14, 'O Roxido', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 15, 'Sura', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 16, 'Tambre (Fecha)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15870', 17, 'Vilar (Ameixenda)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 1, 'Balindo', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 2, 'Campo (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 3, 'Cernadas (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 4, 'Cobas (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 5, 'Cornes (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 6, 'Covas (Pieiro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 7, 'Entrepontes', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 8, 'Fernande (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 9, 'Fontaia (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 10, 'Frenza (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 11, 'Iglesia (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 12, 'Iglesia (Vilario)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 13, 'Mamoa (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 14, 'Novais (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 15, 'Picaraa (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 16, 'Pieiro (San Mamede)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 17, 'Pontes (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 18, 'Portal', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 19, 'Portomeiro', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 20, 'Portomouro', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 21, 'Remuio', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 22, 'Rua (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 23, 'Rueiro (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 52, 'As Corredoiras (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 53, 'As Corredoiras (Santa Eulalia', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 54, 'O Covelo (Marzoa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 55, 'Cubelo (Ponte Carreira)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 56, 'Os Curras (Gafoi)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 57, 'Os Currillos (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 58, 'O Cuvelo (Marzoa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 59, 'A Devesa (Ponte do Porto)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 60, 'Os Fernandes', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 61, 'Figueira (Ponte Carreira)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 62, 'Fondo da Aldea (Visantoa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 63, 'Fonsa', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 64, 'Fonte Santaia', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 65, 'O Fontelo (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 66, 'Fontenlo (Teo)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 67, 'Fontorto', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 68, 'Fousa', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 69, 'Frades', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 70, 'A Fraga (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 71, 'A Fraga (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 72, 'Freixomil', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 73, 'Galegos (San Martio)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 74, 'Gandara de San Marti', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 75, 'Gandarela (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 76, 'A Grela de Abaixo', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 77, 'A Grela de Arriba', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 78, 'A Hedra', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 79, 'A Iglesia (Paralelos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 80, 'A Igrexa', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 81, 'A Igrexa (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 82, 'A Igrexa (Vitre)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 83, 'A Igrexa (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 84, 'A Igrexa (Aa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 85, 'A Igrexa (Marzoa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 86, 'A Igrexa (Aiazo)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 87, 'A Igrexa (Boado)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 88, 'Lagares', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 89, 'O Lameiro (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 90, 'Lapelas (Ponte Carreira)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 91, 'As Lapelas (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 92, 'Leiras (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 93, 'Leiro', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 94, 'Os Loureiros (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 95, 'Maquia (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 96, 'A Maquia (Buscas)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 97, 'Meixonfrio (Marzoa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 98, 'Moar (Santaia)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 99, 'Onsa', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 100, 'Ouceira (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 101, 'O Outeiro de Abaixo (Poulo)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 102, 'O Outeiro (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 103, 'O Outeiro (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 104, 'O Paraxon', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 105, 'Pasarelos (San Roman)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 106, 'Pazo de Galegos', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 107, 'O Pazo (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 108, 'Pedra de Moar', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 109, 'Pedreira (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 110, 'A Pedreira de Baixo', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 111, 'A Pedreira de Riba', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 112, 'A Pedreira do Medio (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 113, 'Pereiruga (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 114, 'A Pereiruga', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 115, 'Pieiro (Cumbraos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 116, 'Pieiro (Xavestre)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 117, 'O Pieiro (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 118, 'O Pieiro (Vitre)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 119, 'O Pombo (Celtigos)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 120, 'Ponte (Marzoa)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 121, 'Ponte (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 122, 'Ponte Brates', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 123, 'Ponte Carreira', 150389, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 124, 'A Ponte (Galegos-San Martio)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 125, 'Porta Dos Caos', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 126, 'Poza de Marzoa', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15686', 127, 'Queiris (Moar)', 150471, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 1, 'Abelaio', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 2, 'Agro Choco', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 3, 'Agro do Mestre', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 4, 'Alardo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 5, 'Aldea de Abaixo (Berceo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 6, 'Aldea Vella', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 7, 'Amil (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 8, 'Arbelaio', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 9, 'Ribeira (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 10, 'Aroxa', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 11, 'A Baixa (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 12, 'Balo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 13, 'Balvis', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 14, 'Barca (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 15, 'Barco (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 16, 'Barral (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 17, 'Barral (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 18, 'Benza', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 19, 'Berreo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 20, 'Brea (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 21, 'Brea (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 22, 'Burata (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 23, 'Campo (San Xoan)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 24, 'Campo (Trazos)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 25, 'Camposa (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 26, 'Camposoandres', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 27, 'Candendo (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 28, 'Carabelo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41701', 0, 'Dos Hermanas', 410384, 41, 
    99, 1, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 29, 'Casal (Moar-Santa Eulalia)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 30, 'Casal de Mato (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 31, 'Castelo (Santa Maria Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 32, 'Castieira (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 33, 'Castieira (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 34, 'Castieira (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 35, 'Castrelo (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 36, 'Castro (Monzo-Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 37, 'Castro (Restande-Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 38, 'Cerdeiras (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 39, 'Cobas (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 40, 'O Combel de Abaixo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 41, 'O Combel de Arriba', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 42, 'Cruceiro (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 43, 'A Cuca (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 44, 'Eirexe (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 45, 'Eirexe (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 46, 'Fonte (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 47, 'Fontearnosa', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 48, 'Fontia', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 49, 'Gonselle de Abaixo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 50, 'Gonselle de Arriba', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 51, 'Iglesia (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 52, 'Iglesia (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 53, 'Iglesia (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 54, 'Larin (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 55, 'Lenguelle (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 56, 'Lestido (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 57, 'Lestrove (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 58, 'Longarela', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 59, 'Merelle (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 60, 'Monzo (San Martio)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 61, 'Morlan (Sta Maria)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 62, 'Morlan de Abaixo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 63, 'Nogallans', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 64, 'Noia (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 65, 'Numide (Santiago)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 67, 'Outeiro (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 68, 'Outeiro (Castelo Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 69, 'Outeiro (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 70, 'O Outeiro (Poulo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 71, 'Paroxas', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 72, 'Pedregueira (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 73, 'Pedrido (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 74, 'A Pereira (Buscas)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 75, 'Pereiras (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 76, 'Pia (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 77, 'Pieiro (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 78, 'Ponte (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 79, 'Ponte Alvar (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 80, 'A Ponte Quinin', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 81, 'Pota do Pedro', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 82, 'Pumar (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 83, 'Quintans (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 84, 'Quintans (Campotrazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 85, 'Raindo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 86, 'Rego de Gatos', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 87, 'Rego Salgueiro', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 88, 'Restande (Sta Maria)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 89, 'Restande de Abaixo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 90, 'Rial (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 91, 'Arnoba', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 92, 'Roseais', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 93, 'Rosende (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 94, 'Roubada', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 95, 'Rua (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 96, 'San Martio (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 97, 'San Pedro (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 98, 'Santo Domingo (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 99, 'Sar de Abaixo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 100, 'Sar de Arriba', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 101, 'Sartegos', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 102, 'Souto de Abaixo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 103, 'Souto de Arriba (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 104, 'Souto de Morlan', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 105, 'Tarrio (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 106, 'Tarrio (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 107, 'Torna', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 108, 'Torre (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 109, 'Trazo (Sta Maria)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 110, 'Ventas do Lengelle', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 111, 'Viao Grande', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 112, 'Viao Pequeno', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 113, 'Vilacoba (Restande)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 114, 'Vilar (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 115, 'Vilar (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 116, 'Vilario (Trazo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 117, 'Vilarradeira', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 118, 'Vilasuso (Berreo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 119, 'Vilasuso de Abaixo (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 120, 'Vilasuso de Arriba (Xavestre)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 121, 'Vixou de Abaixo', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 122, 'Xavestre (San Cristovo)', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 123, 'Xixirei', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 1, 'A Agrexa (Bean)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 2, 'Aldea de Baixo (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 3, 'Aldris', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 4, 'Anxeles (San Xoan de Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 5, 'Arderis', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 6, 'A Armada (Marzoa)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 7, 'Baiuca (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 8, 'Barral (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 9, 'Barreira (San Xoan de Calvente', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 10, 'Barreiro (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 11, 'Bascoa', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 12, 'Baxoia', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 13, 'Bean (Santa Maria)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 14, 'Berdomas', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 15, 'Bouzalonga (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 16, 'Bran (San Xoan de Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 17, 'Burata (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 18, 'Cabanas (San Xoan de Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 19, 'Cachopal (San Xoan Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 20, 'Carabelos (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 21, 'Os Carabelos (Ordes)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 22, 'Carballal (Senta)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 23, 'Carballas (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 24, 'Carballos (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 25, 'Cardama', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 26, 'Carollo', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 27, 'Cas', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 28, 'Castieiro Redondo (Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 29, 'Castro (Senta)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 30, 'Cercedo (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 31, 'Couso (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 32, 'Cruceiro (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 33, 'Curros (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 34, 'Deixebre', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 35, 'Eiras (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 36, 'A Eirexe (Pereira)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 37, 'Eiris (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 38, 'A Ermida', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 39, 'Falmega', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 40, 'Fonte da Via', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 41, 'Fornelos (Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 42, 'Fote da Via', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 43, 'Fraga (Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 44, 'Franco (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 45, 'Gadamil', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 46, 'Gandara (San Miguel)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 47, 'Garga', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 48, 'Grabanja (Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 49, 'Iglesia (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 50, 'A Iglesia (Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 51, 'A Iglesia (Gandara)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 52, 'A Iglesia (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 53, 'A Igrexa (Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 54, 'A Igrexa (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 55, 'Lamela (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 56, 'Loureiro (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 57, 'Mandes', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 58, 'Mario (Rairiz)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 59, 'Meimixe (San Xoan de Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 60, 'Mijoy', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 61, 'Nouche', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 62, 'Oroso (San Martio-Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 63, 'Oroso de Abaixo (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 64, 'De Oroso (Vilacid)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 65, 'Pazo de Vilarullo Trasmonte', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 66, 'Pedredo', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 67, 'Pedrouzo (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 68, 'Pena (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 69, 'Peteiro (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 70, 'Pieiro (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 71, 'Pieiron', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 72, 'Pontellos', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 73, 'Regueira (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 74, 'Regueiro (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 75, 'Requeixo (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 76, 'Rias (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 77, 'Rodiso', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 78, 'Rua (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 79, 'Sabel', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 80, 'Sar (Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 81, 'Senra (Sta Eulalia)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 82, 'O Souto (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 83, 'Taberna (Xanceda)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 84, 'Torre (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 85, 'Ulloa', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 86, 'Valverde', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 87, 'Ventosa (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 88, 'Vica', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 89, 'Vieiro (Calvente)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 90, 'Vilabarro', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 91, 'Vilacid de Abaixo', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 92, 'Vilacid de Arriba', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 93, 'Vilalbarro', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 94, 'Vilanova (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 95, 'Vilar de Abaixo (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 96, 'Vilar de Arriba (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 97, 'Vilarelle (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 98, 'Vilares (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 99, 'Vilarromaris (Santo Tomas)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 100, 'Vilasuso (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 101, 'Via (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15688', 102, 'Vian (Senra)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 1, 'Achan', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 2, 'Adina', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 3, 'Adina Vella', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 4, 'Adran (O Meson do Vento)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 5, 'Adran (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 6, 'A Agrela (Parada)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 7, 'Aiazo (San Pedro)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 8, 'A Albaria', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 9, 'Aldea de Baixo (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 10, 'A Altiboia (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 11, 'O Alto (Ordes)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 12, 'Ameiros (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 13, 'Ameixeira (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 14, 'O Aneiro', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 15, 'Ardemil (San Pedro)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 16, 'A Armada (Vilamaior-Santiago)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 17, 'Aruxia', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 18, 'Axans', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 19, 'Bailia (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 20, 'Balga', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 21, 'A Barcula', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 22, 'A Bascula', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 23, 'O Batan (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 24, 'Beilia', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 25, 'O Bidueiro (Ordes)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 26, 'Blanca', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 27, 'A Boucia (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 28, 'Brea del Meson', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 29, 'Brega', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 30, 'Bruma', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 31, 'Brumeiral', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 32, 'Burgao (Trasmonte)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 33, 'Buscas (San Paio)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 34, 'Busto (Bisantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 35, 'Cabeza de Lobo', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 36, 'Cabra (Meson do Vento)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 37, 'Cacheiros', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 38, 'Calexo', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 39, 'Calle de Ferreiros (San Verisi', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 40, 'A Calle (Poulo)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 41, 'Calzada de Buscas', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 42, 'Calzada de Visantoa', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 43, 'Campo do Sino', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 44, 'O Canedo (O Meson do Vento)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 45, 'A Canle (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 46, 'Cano', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 47, 'Caprucheiros', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 48, 'Carballedo', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 49, 'Carballedo (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 50, 'A Carballeira (O Meson do Vent', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 51, 'A Carballeira (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 52, 'A Carballeira (Parada)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 53, 'Carballo Torto (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 54, 'O Carballo (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 55, 'O Carballo (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 56, 'O Carballo (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 57, 'Carracedo (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 58, 'Os Carras', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 59, 'A Carreira (O Meson do Vento)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 60, 'Casa do Monte', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 61, 'Casabella (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 62, 'O Casal de Visantoa', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 63, 'O Casal (Vilamaior-Santiago)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 64, 'Casanova (Corredoiras)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 65, 'A Casanova (O Meson do Vento)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 69, 'Caserio', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 66, 'A Casanova (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 67, 'A Casanova (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 68, 'A Casavella (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 70, 'Castenda (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 71, 'Castenda de Parada', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 72, 'A Castieira (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 73, 'A Castieira (Ordes)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 74, 'Castieiro Redondo (Moar)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 75, 'Castrelo (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 76, 'Castrelos (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 77, 'Castro (Trasmonte)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 78, 'O Castro (Visantoa-Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 79, 'O Castro (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 80, 'O Castro (O Meson do Vento)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 81, 'O Castro (Parada)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 82, 'O Castro (Vilamaior-Santiago)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 83, 'Cercedo (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 84, 'Cercedo (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 85, 'A Cerdeira (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 86, 'Cernadas (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 87, 'Cernadas (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 88, 'Cestaos', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 89, 'A Cestea', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 90, 'Chan (Meson do Vento)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 91, 'O Chan (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 92, 'Codeseda', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 93, 'As Corredoiras (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 94, 'Costa (Trasmonte)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 95, 'A Costa (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 96, 'A Costa (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 97, 'A Costa (Poulo)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 98, 'Coto (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 99, 'Cruceiro (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 100, 'O Cruceiro (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 101, 'Cruz de Folgoso (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 102, 'A Cruz (Lesta-Ordes)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 103, 'Cubelo (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 104, 'Cubo (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 105, 'Curro (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 106, 'Curro (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 107, 'Darefe', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 108, 'Edreira (Via)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 109, 'A Eirexe (Pereira-Santaia)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 110, 'Empalme (Trasmonte)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 111, 'Escabelleira (Visantoa)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 112, 'Esmoris (Buscas)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 113, 'A Espenica', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 114, 'A Espieira (Leira)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 115, 'O Espio (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 116, 'Esquipa (Trasmonte)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 117, 'Estacion', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 118, 'A Estacion (Parada)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 119, 'A Fabrica (Ordes)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 120, 'Faramillans', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 121, 'Feixomil', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 122, 'A Figueira (O Meson do Vento)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 123, 'A Filgueira (Ardemil-San Pedro', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 124, 'Folgoso (Montaos)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 125, 'Folgoso (Poulo)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 126, 'Folgueira (O Meson do Vento)', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15689', 127, 'Fonte Estrei', 150597, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 1, 'Canzobre (Uxes)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 2, 'A Coriscada (Uxes)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 3, 'Frean (Uxes)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 4, 'Iglesario (Moras)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 5, 'Insua (Uxes)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 6, 'Martulo (Uxes)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 7, 'Monte de Arcas', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 8, 'Moras (San Esteban)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 9, 'Moras do Medio', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 10, 'Roxias', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 11, 'Santa Cecilia', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 12, 'Souto (Uxes)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 13, 'Uxes', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15690', 14, 'De Uxes', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15691', 1, 'De Ordes Pontraga', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15691', 2, 'Pontraga', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15692', 1, 'Cruz do Monte (Trasmonte)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15692', 2, 'Fafian', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15692', 3, 'De Gargatrasmonte', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15692', 4, 'Outeiro (Trasmonte)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15692', 5, 'Zon', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15701', 0, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15702', 2, 'Sar (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15702', 3, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15703', 1, 'Cotaredo (San Lazaro-Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15703', 2, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15704', 0, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15705', 2, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15706', 4, 'Conxo (Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15706', 8, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15707', 0, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15770', 0, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15771', 0, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15780', 0, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15781', 0, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15782', 0, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15800', 0, 'Melide (Melide)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 1, 'Abucide', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 2, 'Acibadoiro', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 3, 'Arnade', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 4, 'Arriba (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 5, 'Arxubide', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 6, 'Barrigas', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 7, 'Bragaa (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 8, 'Braas (Santa Maria)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 9, 'Buxan (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 10, 'Cabana (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 11, 'Cabanelas (Priorada)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 12, 'Cabanelas (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 13, 'Campo (Vilamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 14, 'A Capela (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 15, 'Carboeiro (Vilamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 16, 'Cardal', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 17, 'Cardelle', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 18, 'Casarellos (Vilamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 19, 'Casavella (Paredela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 20, 'Castelo (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 21, 'Castro (Vilamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 22, 'Castro de Lobos', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 23, 'Castros (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 24, 'Chente', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 25, 'Cimadevila (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 26, 'Codesas (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 27, 'Codezas', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 28, 'Coitos', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 29, 'Coto (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 30, 'Couso (Villamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 31, 'Cubelas (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 32, 'Curros (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 33, 'Donelle (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 34, 'Eirixe (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 35, 'Eirixe (Villamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 36, 'Fondevila (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 37, 'Foxo do Cabrito', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 38, 'Franquean', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 39, 'Gandara (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 40, 'Goias', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 41, 'Gramela (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 42, 'Graa (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 43, 'Grimonde', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 44, 'Guillamil', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 45, 'Gullamil', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 46, 'A Iglesia (Montes)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 47, 'A Iglesia (Vilouriz)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 48, 'Insua (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 49, 'Irago de Abaixo', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 50, 'Irago de Arriba', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 51, 'Lamea', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 52, 'Mangueiro (Villamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 53, 'Mirallos', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 54, 'Mirce (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 55, 'Mocigueira', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 56, 'Monte (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 57, 'Monte (Santa Eufemia)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 58, 'Monte da Feira', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 59, 'Montelen', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 60, 'Moruxosa', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 61, 'Ordes (Santa Maria-Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 62, 'Outeiro (Braas)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 63, 'Outeiro (Villamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 64, 'Paradela (San Paio)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 65, 'Pazo (Villamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 66, 'Pazo de Abaixo (Freixo)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 67, 'Pazo de Arriba (Freixo)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 68, 'Pazos (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 69, 'Penagudin', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 70, 'Penas (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 71, 'Penaventosa', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 72, 'Pieiro (Villamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 73, 'Ponte Queimadas', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 74, 'Porto (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 75, 'Portobal', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 76, 'Portolar', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 77, 'Portosalgueiro (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 78, 'Prados (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 79, 'Priorato (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 80, 'Quinta (Villamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 81, 'Raoa (Villamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 82, 'Riodeameneiro', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 83, 'Saamil (Villamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 84, 'Saburin', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 85, 'Salgueiro (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 86, 'Salgueiros (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 87, 'San Xulian (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 88, 'Souto (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 89, 'Tisete', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 90, 'Trandeiras (Souto)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 91, 'Vaamonde (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 92, 'Vilamor (San Estevo)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 93, 'Vilamor de Abaixo', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 94, 'Vilamor de Arriba', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 95, 'Vilares (Paradela)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15806', 96, 'Vilouriz (Vilamor)', 150835, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 1, 'Abeleiras (Presras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 2, 'Agrufen', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 3, 'Aguion', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 4, 'Albite Alto', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 5, 'Aldra', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 6, 'Algalia', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 7, 'Aljo Freo', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 8, 'Alto (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 9, 'Vilasantar', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 10, 'Anguieiro (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 11, 'Anxeles (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 12, 'Areas (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 13, 'Arentia', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 14, 'Armental (San Martio)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 15, 'Arosa (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 16, 'Atal', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 17, 'Bao (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 18, 'Barbeito (San Silbedo)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 19, 'Barcioi (Melide)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 20, 'Barrio (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 21, 'Batan (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 22, 'Bau', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 23, 'Boa Vista', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 24, 'Bolecos', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 25, 'Brai', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 26, 'Cabana (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 27, 'Cabaxe', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 28, 'Campo (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 29, 'Campo (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 30, 'Campo da Feira (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 31, 'Campo da Lanza', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 32, 'Campo do Ollo', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 33, 'Canabal (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 34, 'Cando (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 35, 'Carapatelo', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 36, 'Carballas (Silvan)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 37, 'Carballoa', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 38, 'Carballos (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 39, 'Carelle (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 40, 'Carragoro (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 41, 'Carretera (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 42, 'Casademonte', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 43, 'Casadovento', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 44, 'Casal (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 45, 'Casanova (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 46, 'Casas (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 47, 'Casas do Monte (Correidoras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 48, 'Casas Novas (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 49, 'Casavella (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 50, 'Casavella (Vilarmide)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 51, 'Casilla (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 52, 'Castieiro (Carredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 53, 'Castieiros (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 54, 'Castro (Armental-Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 55, 'Castro (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 56, 'Castro (Vilario Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 57, 'Cen Casas (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 58, 'Cernada', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 59, 'Cernadas (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 60, 'Cezar (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 61, 'Chancela (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 62, 'Chanela (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 63, 'Chavella', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 64, 'Chope', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 65, 'Chousas', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 66, 'Cimadevila (Liares)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 85, 'Dias', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 67, 'Cobas (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 68, 'Conchadas', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 69, 'Condes (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 70, 'Corneda', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 71, 'Corral San Martin (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 72, 'Corras (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 73, 'Corredoiras (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 74, 'Corredoiras (P. Santa Maria Do', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 75, 'Corredoiras (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 76, 'Coto (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 77, 'Coubos', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 78, 'Cruceiro (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 79, 'Cruceiro (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 80, 'Cruceiro Boavista', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 81, 'Curras (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 82, 'Curro Pequeno (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 83, 'Curtis (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 84, 'Curtiela (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 86, 'Dormea', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 87, 'Eijon', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 88, 'Eirexe (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 89, 'Eirique', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 90, 'Eirixe (Armental)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 91, 'Eirixe (Curtis)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 92, 'Eirixe (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 93, 'Eirixe (Vilario)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 94, 'A Fabrica', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 95, 'Fachal', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 96, 'Faquiolde', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 97, 'Faxinde', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 98, 'Feira (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 99, 'Fernelos', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 100, 'Fervedoiro', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 101, 'Filgueira (Liares)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 102, 'Filgueiras (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 103, 'Folgoso (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 104, 'Follente (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 105, 'Fonte (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 106, 'Fonte Xoan', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 107, 'Forno (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 108, 'Foro (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 109, 'Fraga (Presaras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 110, 'Fraga (Zas de Rei)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 111, 'Gandara (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 112, 'Giliade', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 113, 'Gomeras', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 114, 'Granxeo', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 115, 'Granxeo (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 116, 'Grobas', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 117, 'Gudil', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 118, 'Gugun', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 119, 'Guiliade (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 120, 'Guillareo', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 121, 'Gujin (Vilasantar)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 122, 'Hospital (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 123, 'Iglesia Feita', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 124, 'A Iglesia (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 125, 'A Iglesia (Dormea)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 126, 'A Iglesia (Rodieiros)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15807', 127, 'Insua (Corredoiras)', 150905, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 1, 'Abeancos (San Cosme Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 2, 'Agro do Chao', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 3, 'Andean', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 4, 'Arcediago', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 5, 'Barazon (Santa Maria)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 6, 'Barazon Grande', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 7, 'Barazon Pequeno', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 8, 'Barral (Melide-Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 9, 'Barreiras (Abeancos)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 10, 'Bran (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 11, 'Canal (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 12, 'Carballal (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 13, 'Casal (Melide-Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 14, 'Casal (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 15, 'Casanova (Melide-Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 16, 'Casanova (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 17, 'Casilla (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 18, 'Castro (Abeancos)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 19, 'Castro (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 20, 'Castro (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 21, 'Chain (Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 22, 'Choren', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 23, 'Cimadevila (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 24, 'Compostela (Abeacos)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 25, 'Cruz (Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 26, 'Curutelo (Abeancos)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 27, 'Eirexe (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 28, 'Feal (Abeancos)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 29, 'Filgueira (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 30, 'Fondelo', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 31, 'Gaulfes', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 32, 'Goxan Grande', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 33, 'Goxan Pequeno', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 34, 'Guillar', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 35, 'A Iglesia (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 36, 'A Iglesia (San Cosme)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 37, 'A Iglesia (San Salvador)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 38, 'Jeoine', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 39, 'Joaine (Melide-Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 40, 'Labradio', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 41, 'Marino', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 42, 'Martagona', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 43, 'Medos (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 44, 'Melide (Santa Maria Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 45, 'Mercorans (Abeancos)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 46, 'Mirce (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 47, 'Moldes (San Martio)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 48, 'Montecelo (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 49, 'Mosteiro (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 50, 'Mourazos (San Xurxo)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 51, 'Outeirio', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 52, 'Outeiro (Melide-Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 53, 'Padron (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 54, 'Pedreiras (Melide)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 55, 'Pena (Melide)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 56, 'Penas (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 57, 'Pereiras (Abeancos)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 58, 'Ponte de Penas', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 59, 'Pontenova', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 60, 'Portocabado (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 61, 'Portochao', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 62, 'Portodis', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 63, 'Pouzada', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 64, 'Pumares (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 65, 'Quinzan', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 66, 'Rairiz (Santa Eulalia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 67, 'Raado (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 68, 'Real (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 69, 'Reboredo (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 70, 'Reboredo (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 75, 'Romeao', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 71, 'Requeixo (Abeancos)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 72, 'Revolta (Abeancos)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 73, 'Ribas (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 74, 'Richinol', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 76, 'Sampaio (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 77, 'San Martio (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 78, 'San Martio (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 79, 'San Xurxo', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 80, 'Santa Maria (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 81, 'Santiso (Santa Maria)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 82, 'Sarandeses', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 83, 'Sargudeses', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 84, 'Segade (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 85, 'Seoane (Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 86, 'Serantes (Santa Eulalia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 87, 'Serrallo', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 88, 'Sestelo (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 89, 'Silva (Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 90, 'Sobradelo', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 91, 'Souto (Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 92, 'Sucarreira', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 93, 'Talin', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 94, 'Teillor', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 95, 'Transfontao', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 96, 'Traspedra', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 97, 'Trebolo', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 98, 'Veiga (Abeancos)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 99, 'Vide (Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 100, 'Vilar (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 101, 'Vilar (Rairiz)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 102, 'Vilela (Moldes)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 103, 'Vimianzo (Santiso)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 104, 'Xesteira (Niodaguia)', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15808', 105, 'Zaramil', 150793, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 1, 'Abeancos (San Salvador Melide)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 2, 'Agron (Santa Eulalia)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 3, 'Albin', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 4, 'Albite (Vilasantar)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 5, 'Albite (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 6, 'Amboaxe', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 7, 'Andariz', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 8, 'Anduria (Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 9, 'Anxeles (Priorada)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 10, 'A Baiuca (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 11, 'Barco (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 12, 'Barreiro de Abaixo', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 13, 'Barreiro de Arriba', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 14, 'Barreiros (San Mamede-Melide)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 15, 'Beigondo', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 16, 'Belmil', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 17, 'Brau', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 18, 'Busel de Abaixo', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 19, 'Busel de Arriba', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 20, 'Calvos (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 21, 'Campo (Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 22, 'Campo do Meire', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 23, 'Campolongo (Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 24, 'Campolongo (Priorada)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 25, 'Capelos (Barreiros)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 26, 'Capelos (Liares)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 27, 'Carballido (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 28, 'Carreira (Paradela)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 29, 'Casal (Pezobes-Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 30, 'Casalmeao', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 31, 'Casares (Liares)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 32, 'Casas Novas (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 33, 'Castelo (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 34, 'Castieiroa', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 35, 'Castro (Meire)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 36, 'Castro (Santo Tome Priorada)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 37, 'Cazallas (Castro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 38, 'Cazallas (San Cibrao)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 39, 'Cimadevila (Abeacos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 40, 'Cimadevila (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 41, 'Conelle', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 42, 'Corbelle (Priorada)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 43, 'Cornixa', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 44, 'Corral do Medio (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 45, 'Cruz (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 46, 'Desicabo', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 47, 'Donide', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 48, 'Eirixe (Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 49, 'Figueiras (Abeacos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 50, 'Figueiras (Priorada)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 51, 'Folladela (San Pedro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 52, 'Fondevila (Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 53, 'Fonte Ameneiro', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 54, 'Fonte Fria (Cumbraos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 55, 'Fonteameneiro', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 56, 'Fontecoba (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 57, 'Foro (Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 58, 'O Foro', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 59, 'Forte Novo', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 60, 'Forte Vello', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 61, 'Fungueirada', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 62, 'Furelos', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 63, 'O Galieiro (Agron)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 64, 'Garceiras', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 65, 'Garea', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 66, 'Gondollin (San Martin)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 67, 'Graa (Meire)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 68, 'Graa (Vilasantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 69, 'Guende (Melide)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 70, 'Iglesia (Melide)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 71, 'A Iglesia (Oleiros)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 72, 'A Igrexa (Agron)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 73, 'Irexe', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 74, 'Lamelas (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 75, 'Leboreiros (Santa Maria)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 76, 'Lieira (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 77, 'Loures', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 78, 'Lubeiro (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 79, 'Maceda (San Pedro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 80, 'Mangueiro (Santo Tome)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 81, 'Marcoraos de Abaixo', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 82, 'Marcoraos de Arriba', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 83, 'Marras', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 84, 'Martin de Abaixo', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 85, 'Martin de Arriba', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 86, 'Mascao (Probada)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 87, 'Mato (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 88, 'Meire (San Pedro Melide)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 89, 'Monteagudo (Liares)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 90, 'Montouto (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 91, 'Moreda', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 92, 'Oleiros (San Martio-Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 93, 'Outeiro (Liares)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 94, 'Outeiro (Paradela)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 95, 'Outeiro (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 96, 'Panabispo (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 97, 'Papucin (Santa Maria)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 98, 'Paraos (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 99, 'Pardieiros (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 100, 'Pazo (Vilasantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 101, 'Pazos (Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 102, 'Pedrouzos (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 103, 'Pena (Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 104, 'Pena (Priorada)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 105, 'Pena (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 106, 'Penacoba', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 107, 'Penagundin', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 108, 'Penas (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 109, 'Ponte de Penas', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 110, 'Penela (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 111, 'Penelas (Souto)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 112, 'Pereiro (Priorada)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 113, 'Petos', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 114, 'Pezobres (San Cristovo)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 115, 'Picouto', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 116, 'Picouto (Visantoa)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 117, 'Pieiro (Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 118, 'Pieiro (Anos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 119, 'Pieiros (Barreiro)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 120, 'Pior (Meire)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 121, 'Porto (Abeancos)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 122, 'Porto (Priorada)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 123, 'Priorada', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 124, 'Pumares (Liares)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 125, 'Puin', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 126, 'Quintelas', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15809', 127, 'Raido (Barreiros)', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15810', 1, 'Arzua', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15810', 2, 'Os Carballas (Curtis)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 1, 'Acea (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 2, 'Albariza (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 3, 'Amilladoiro (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 4, 'Carreira (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 5, 'Casas do Gado', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 6, 'Castro (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 7, 'Cataron (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 8, 'Cotaron (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 9, 'Couso (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 10, 'Gomar', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 11, 'Gondrei', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 12, 'Guitiza', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 13, 'La Iglesia Nueva', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 14, 'Lodeiro (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 15, 'Louseira (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 16, 'Mirador', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 17, 'Muradelo', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 18, 'Outeiro (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 19, 'Ponte Pedra', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 20, 'Porcariza (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 21, 'Porta (San Pedro)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 22, 'Reboredo (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 23, 'Sobrado', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 24, 'Torante', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 25, 'Vilanova (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15813', 26, 'Vilarchao', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 1, 'Armada (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 2, 'Balbis (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 3, 'Baratellados', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 4, 'Barra (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 5, 'Campelos (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 6, 'Carballas (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 7, 'Carelle (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 8, 'Carragoto (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 9, 'Casal (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 10, 'Casanova (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 11, 'Casanova (Nogueira-Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 12, 'Castro (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 13, 'Corral de Senin (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 14, 'Farragoto', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 15, 'Folgoso (Santa Cristina)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 16, 'Fondo da Aldea', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 17, 'Freira', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 18, 'Froxa (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 19, 'A Iglesia (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 20, 'Lamas (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 21, 'Madelos (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 22, 'Medorra (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 23, 'Meson (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 24, 'Mosqueiros', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 25, 'Nogueira (San Xurxo)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 26, 'Pedralobeira', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 27, 'Peruxil', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 28, 'Pieiro (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 29, 'Pieiro (Nogueira)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 30, 'Seixo (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 31, 'Sixto (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 32, 'Tellados', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15814', 33, 'Vallo (Carelle)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 1, 'Abeledo (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 2, 'Abeleiras (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 3, 'Aldea do Muio', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 4, 'Altopaso', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 5, 'Anuqueira', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 6, 'Brea (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 7, 'Cabanas (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 8, 'Camareiro (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 9, 'Campelos (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 10, 'Campo (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 11, 'Campo Verde (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 12, 'Carral (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 13, 'Casa Camio (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 14, 'Castro do Seixo', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 15, 'Cepo (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 16, 'Cimadevila (Roade Cumbraos)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 17, 'Cimadevila (Roade-Pousada)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 18, 'Codesoso (San Miguel)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 19, 'Cruces (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 20, 'Cruz do Castro (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 21, 'Cumbraos (San Xulian)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 22, 'Dondo de Codeso', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 23, 'Eirexe (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 24, 'Esgueva', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 25, 'Espieira (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 26, 'Fraga ((Codesoso))', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 27, 'Fraga (Cumbraos)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 28, 'Grandamea', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 29, 'Graas', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 30, 'Guixo', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 31, 'Junta de Aguas', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 32, 'Junto de la Iglesia', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 33, 'Lago (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 34, 'Lagoa (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 35, 'Lodeiro (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 36, 'Mancieiras', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 37, 'Mandeo (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 38, 'Marco Das Pias', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 39, 'Mato (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 40, 'Medoa (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 41, 'Meson (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 42, 'Monteagudo (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 29, 'A Meira (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 30, 'Orio', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 31, 'Pales', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 32, 'Pazo (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 33, 'Pereiro (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 34, 'Pousada (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 35, 'Puzas', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 36, 'Redondela (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 37, 'Rieiro de Abaixo (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 38, 'Rieiro de Arriba (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 39, 'Rocha (Doroa)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 40, 'Socamio', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 41, 'Verdeal', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 42, 'Viaxe de Abaixo', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15615', 43, 'Viaxe de Arriba', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 1, 'Acibeiro (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 2, 'Agra (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 3, 'Allon', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 4, 'Anduria (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 5, 'Baltar (Grandal-Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 6, 'Bouzoa (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 7, 'Brea (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 8, 'Cabezal (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 9, 'Carballas (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 10, 'Castieira Bella', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 11, 'Castieira Nova', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 12, 'Castro (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 13, 'Cepeira (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 14, 'Os Chaos (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 15, 'Cobo (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 16, 'Espieira (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 17, 'Fraga (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 18, 'Gaiba (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 19, 'Goiba de Abaixo', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 20, 'Grandal', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 21, 'Iglesia (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 22, 'Maceira (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 23, 'Pallara', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 24, 'Penedo (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 25, 'Peringon', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 26, 'Porto (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 27, 'Ribeira (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 28, 'Samil (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 29, 'Teixoeira (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 30, 'Vilaboa (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15616', 31, 'Vilar (Grandal)', 150912, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 1, 'Abarcobo', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 2, 'Avorcobo', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 3, 'Bullon', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 4, 'Cabana (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 5, 'Campos (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 6, 'Candedo (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 7, 'Casa Americo', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 8, 'Casa do Monte (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 9, 'Casal (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 10, 'Casaldarriba', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 11, 'Castieiras (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 12, 'Cruceiro (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 13, 'Curbeiras', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 14, 'Curma de Abaixo', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 15, 'Curma de Arriba', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 16, 'Feal (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 17, 'Fonte Davila (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 18, 'Fornos (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 19, 'Gaspalledo', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 20, 'Gollente', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 21, 'Gulpilleira (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 22, 'Hermida (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 23, 'Leguas', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 24, 'Lugar da Iglesia (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 25, 'Naveira (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 26, 'Pazo (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 27, 'Pieiro (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 28, 'Pieiro de Abaixo (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 29, 'Pieiro de Arriba (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 30, 'Pieiro del Medio (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 31, 'Portocobo (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 32, 'Pradagrande', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 33, 'Pradapequena', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 34, 'Primoi', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 35, 'Queixeiro', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 36, 'Redondo (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 37, 'Regueiro (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 38, 'Rudeiro (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 39, 'Souto (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 40, 'Torre (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 41, 'Vilafail', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 42, 'Vite (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15617', 43, 'Vias (Vilacha)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 1, 'Abeledo (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 2, 'Abial', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 3, 'Acea (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 4, 'Agudeiro de Abaixo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 5, 'Agudeiro de Arriba', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 6, 'Aguillon (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 7, 'Airabella (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 8, 'Armada do Cando', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 9, 'Aspera (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 10, 'Barral (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 11, 'Bolleira (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 12, 'Bordo (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 13, 'Bouzamayor (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 14, 'Calvela (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 15, 'Camio Real', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 16, 'Campo (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 17, 'A Capela (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 18, 'Carballal (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 19, 'Carballeira (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 20, 'Carballio (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 21, 'Carballo (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 22, 'Carballos (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 23, 'Carreiras (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 24, 'Casablanca (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 25, 'Casal de Salgueiro', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 26, 'Casalbito de Abaixo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 27, 'Casalbito de Arriba', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 28, 'Casanova (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 29, 'Casanova (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 30, 'Casavella (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 31, 'Castieira (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 32, 'Castieiro (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 33, 'Castro (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 34, 'Coira (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 35, 'Conchousa', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 36, 'Convento (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 37, 'Cortellos', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 38, 'Cotillon (Nonfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 39, 'Cruz (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 40, 'Curras (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 41, 'Dialcabo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 42, 'Eiras (Visuras)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 43, 'Enviande', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 44, 'Ferrerias (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 45, 'Fonte (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 46, 'Fonteseca', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 47, 'Fraemelle', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 48, 'Frances (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 49, 'Graa da Cea', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 50, 'Graas do Xestal', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 51, 'Guitiriz (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 52, 'Iglesia (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 53, 'Lamelas (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 54, 'Lombo (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 55, 'Louseira (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 56, 'Mallo (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 57, 'Mariadona', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 58, 'Mascoto (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 59, 'A Meira (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 60, 'Montelongo (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 61, 'Muio Vello', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 62, 'Muio Vello (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 63, 'Muios (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 64, 'Nebras', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 65, 'Pape', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 66, 'Pardieira (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 67, 'Patrimonio', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 68, 'Pazo (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 69, 'Pazos (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 70, 'Pazos de Arriba (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 71, 'Penaparda', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 72, 'Penedos (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 73, 'Pereiro (Visiura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 74, 'Peteiro (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 75, 'Peteiro (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 76, 'Picheira (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 77, 'Pila da Lea', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 78, 'Pluma', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 79, 'Plumario', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 80, 'Portoloxio', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 81, 'Pumar (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 82, 'Rebordelo (Montero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 83, 'Rego do Eixo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 84, 'Regodueiro', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 85, 'Regueiro (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 86, 'Riveira (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 87, 'San Andres (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 88, 'San Xulian de Arca', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 89, 'Sanguiedo (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 90, 'Seixas (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 91, 'Seixo (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 92, 'Sotes', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 93, 'Taboada (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 94, 'Teixeiro (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 95, 'Tercias (Tercias)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 96, 'Terqueiras', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 97, 'Tineo (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 98, 'Torno (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 99, 'Torre (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 100, 'Travesas (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 101, 'Valcobo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 102, 'Valente', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 103, 'Vila Xestoso', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 104, 'Vilaboi (Monfero)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 105, 'Vilarboi', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15618', 106, 'Visura (Visura)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 1, 'Argimiro Guillen', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 2, 'Asdeleiros', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 3, 'Bolgate', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 4, 'Casa do Conde', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 5, 'Couras', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 6, 'Cuarto de Mauro', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 7, 'Jabucas', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 8, 'O Marteirado', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 9, 'Monfero', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 10, 'Monte da Iglesia', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15619', 11, 'Parga (Perbes)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 1, 'Bailos', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 2, 'O Bao', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 3, 'Capricho (Mena)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 4, 'Casas (Mugardos)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 5, 'Catro Camios (Mugardos)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 6, 'Coto (Mugardos)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 7, 'O Cristo (Mugardos)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 8, 'Meha (Sta Cruz)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 9, 'Mugardos', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 10, 'A Pedreira (Mugardos)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 11, 'Pedrozos', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 12, 'Penaba', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 13, 'A Redonda (Mugardos)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 14, 'As Vias (Mugardos)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15620', 15, 'Xesteira', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 1, 'Apeadeiro (Cabanas)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 2, 'Areal', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 3, 'Cabanas (Pontedeume)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 4, 'Calle de Abaixo (Cabanas)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 5, 'Camio Vello (Cabanas)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 6, 'Campo do Oito', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 7, 'O Carballo (Cabanas)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 8, 'Fontao (Cabanas)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 9, 'Lousido', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 10, 'Meson (Cabanas)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 11, 'Palacio (Cabanas)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 12, 'Penso (Cabanas)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 13, 'Regueiro (Cabanas)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 14, 'Souto (Cabanas)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15621', 15, 'Tras da Vila', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 1, 'Anidos (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 2, 'Barreira (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 3, 'Batan (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 4, 'Cardeita', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 5, 'Chamoso (San Martio-Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 6, 'Chao de Aldea (San Martio-Por', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 7, 'Chaos (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 8, 'Costa (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 9, 'Curras (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 10, 'Emplazado', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 7, 'Castro (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 8, 'Cebreiro (San Xulian)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 9, 'Cerceda (San Miguel Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 10, 'Leboran Grande', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 11, 'Pazo (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 12, 'O Pino (San Vicente)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 13, 'Pieiro (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 14, 'Quintas (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 15, 'Ras', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 16, 'San Miguel (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 17, 'San Sadurnio (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 18, 'Tarroeira (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 19, 'Vento (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 20, 'Vilacha (O Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 21, 'Vilar (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 22, 'Vilarmeao', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 1, 'Abelenda (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 2, 'Andeade', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 3, 'Aquelavila (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 4, 'Baiobre (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 5, 'Barrido', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 6, 'Beseo (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 7, 'Beseo de Abaixo (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 8, 'Beseo de Arriba (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 9, 'Boavista', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 10, 'Calle de Ferreiros', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 11, 'Casa Grande (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 12, 'Casal (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 13, 'Castelo (Cebreiro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 14, 'Castelo (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 15, 'Castro (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 16, 'Cimadevila (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 17, 'Ferreiros (San Mamede)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 18, 'Ferreiros (San Verisimo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 19, 'Fontealvite', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 20, 'Forte (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 21, 'Frechazo Primeiro', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 22, 'Frechazo Ultimo', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 23, 'Gordela (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 24, 'A Iglesia (Andeade)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 25, 'A Iglesia (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 26, 'A Iglesia (San Mamede)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 27, 'A Iglesia (San Verisimo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 28, 'Lago (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 29, 'Laa de Abaixo', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 30, 'Laa de Arriba', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 31, 'Lenguelle (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 32, 'Loureiros (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 33, 'Margaride', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 34, 'Muia', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 35, 'Murgas (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 36, 'Oca de Abaixo', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 37, 'Oca de Arriba (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 38, 'Outeiro (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 39, 'Outeiro (Pino)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 40, 'Outeiro (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 41, 'Oza (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 42, 'Ponte (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 43, 'Quinta (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 44, 'Quintas (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 45, 'Quion (San Fiz)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 46, 'Ramil (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 47, 'Regas (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 48, 'Rouris (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 49, 'Rozas', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 50, 'Salceda', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 51, 'San Fins (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 52, 'Suso (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 53, 'Taboada (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 54, 'Torre (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 55, 'Toxa (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 56, 'Valladolid (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 57, 'Vilanova (Quion)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 58, 'Vilar (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15824', 59, 'Xesta (Ferreiros)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 1, 'Bascuas', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 2, 'Carballo (Pumara)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 3, 'Carrizal (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 4, 'Casal (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 5, 'Castaeda', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 6, 'Castromil (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 7, 'Curro (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 8, 'Doroa (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 9, 'Figueroa (San Paio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 10, 'Fonte Albite', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 11, 'Fonte da Prata', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 12, 'Fraga da Alta', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 13, 'Fucarelos (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 14, 'Gato', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 15, 'Guldris (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 16, 'Outarelo', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 17, 'Outeiro de Abaixo (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 18, 'Outeiro de Arriba (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 19, 'Pazo (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 20, 'Pedrido (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 21, 'Pena (Pumara)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 22, 'Ponte Carreira (Pastor)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 23, 'Porfia', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 24, 'Portela (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 25, 'Pumar (Santa Maria)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 26, 'Rendal (Santa Maria)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 27, 'Rendal de Abaixo', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 28, 'Rendal de Arriba', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 29, 'Ribadiso (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 30, 'Rio (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 31, 'Sampaio (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 32, 'Sedor', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 33, 'Tras Iglesia (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 34, 'Trigas', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 35, 'Vila (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15825', 36, 'Vilar (Pumar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 1, 'Albite (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 2, 'Baladas (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 3, 'Boente', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 4, 'Cabazas (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 5, 'Campos (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 6, 'Casal (Campos-Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 7, 'Casal (San Roman-Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 8, 'Cimadevila (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 9, 'Costa (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 10, 'Florida (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 11, 'Gudin (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 12, 'Iglesia (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 13, 'A Iglesia (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 14, 'Marto', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 15, 'Martulo (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 16, 'Montoutio', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 17, 'Outeiro (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 18, 'Parabispo (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 19, 'Pazos (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 20, 'Pedrouzos (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 21, 'Pena (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 22, 'Peroxa (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 23, 'Quintela (San Roman-Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 24, 'Quintela (Verelas-Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 25, 'Reboredo (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 26, 'Riazon (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 27, 'Rioa', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 28, 'Riocobo (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 29, 'Rocamador', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 30, 'San Lourenzo (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 31, 'San Martio de Abaixo (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 32, 'San Martio de Arriba (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 33, 'San Roman (San Pedro)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 34, 'Trasiglesia (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 35, 'Varelas (San Marin)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 36, 'Veiga (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 37, 'Vilamea (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 38, 'Vilar (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15826', 39, 'Vilar do Monte (Boente)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15830', 1, 'Negreira', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15830', 2, 'Negreira (Circular)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15830', 3, 'Negreiroa', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15830', 4, 'Patrocinio', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15830', 5, 'Vilachan (Negreira)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15830', 6, 'Viso (Negreira)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 1, 'Abeleiras (Negreira)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 2, 'Almozara', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 3, 'Altamira (Ponte Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 4, 'Antes (San Cosme)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 5, 'Baos (Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 6, 'Barbeira', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 7, 'Barcala (Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 8, 'Barreiros (Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 9, 'Campelo (Fontecada)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 10, 'Casais (Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 11, 'Choupana (Barcala)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 12, 'Choupana (Fontecada)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 13, 'Cobas (Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 14, 'Codesedo', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 15, 'Conguio', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 16, 'Corna (Fontecada)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 17, 'Corneira', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 18, 'Cruce (Barcala)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 19, 'Emes', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 20, 'Ferreiros (Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 21, 'Fontecada', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 22, 'Grille', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 23, 'Lameiro (Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 24, 'Loureiro (Fontecada)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 25, 'Nians', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 26, 'Ordoeste', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 27, 'Pallota (Fontecada)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 28, 'Parada (Fontecada)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 29, 'Paraxe', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 30, 'Pazos (Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 31, 'Ponte Brandomil', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 32, 'Porvenir', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 33, 'Quelabanda', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 34, 'Rial (Barcala)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 35, 'Ribadeza', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 36, 'Riveiro (Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 37, 'San Cipriano', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 38, 'Seoane (Brandomil)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 39, 'Trapexo', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 40, 'Trians', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 41, 'Vilar (Antes)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15837', 42, 'Vilar (Pereira)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 1, 'Agris (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 2, 'Alvite (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 3, 'Ameixeiras (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 4, 'Aro', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 5, 'Babion', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 6, 'Braa (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 7, 'Broo (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 8, 'Bugallido (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 9, 'Camio Real (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 10, 'Campelo (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 11, 'Campolongo (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 12, 'Cornado (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 13, 'Couso (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 14, 'Eiroa (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 15, 'Espesedo (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 16, 'Farrapa', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 17, 'Feans (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 18, 'Fornios', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 19, 'Fornos (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 20, 'Gorgal', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 21, 'Landeira (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 22, 'Marcelle (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 23, 'Meiro', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 24, 'Mouris', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 25, 'Pedralonga (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 26, 'Pedreiras (Aro)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 27, 'A Pena', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 28, 'Pesadoira', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 29, 'Rapota', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 30, 'Redemuios', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 31, 'Rons', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 32, 'Salgueira', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 33, 'Trasbarcala', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 34, 'Tuas', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 35, 'Vilaserio', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 36, 'Xallas de Abaixo', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15838', 37, 'Xallas de Arriba', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 1, 'Abeanca', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 2, 'Agra (Viceso)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 3, 'Agris (Agris)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 4, 'Arieira', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 5, 'Arzon', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 6, 'Barbazan', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 7, 'Barquia (Agris)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 8, 'Campos (Viceso)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 9, 'Cantalarrana (Laas)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 10, 'Casal de Mato (Negreira)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 11, 'Castro (Laas)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 12, 'Ceilan (Laas)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 13, 'Chancela de Abaixo', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 14, 'Chancela de Arriba', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 15, 'Corbelle (Couzadon)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 16, 'Corpachon', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 17, 'Coton', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 18, 'Cruxido (Liaio)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 19, 'Duomes', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 20, 'Esparis', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 21, 'Fiopans', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 22, 'Fontan (Liaio)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 23, 'Fonte Paredes', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 24, 'Forxan', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 25, 'Gandara (Liaio)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 26, 'Gocende (Neves)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 27, 'Gonte', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 28, 'Hombre (Viceso)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 29, 'Iglesia (Viceso)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 30, 'Laas (Negreira)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 31, 'Logrosa', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 32, 'Lovios', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 33, 'Lueiro', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 34, 'Mayo Grande', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 35, 'Mayo Pequeo', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 36, 'Meimendre', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 37, 'Miarello', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 38, 'Mondris', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 39, 'Monte (As Laas)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 40, 'Mourentans', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 41, 'Nanton (A Baa)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 42, 'Ons', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 43, 'Pazos (Viceso)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 44, 'Porqueira', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 45, 'Pousada (Viceso)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 46, 'Rioboo (Liaio)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 47, 'Romaris (Liaio)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 48, 'Salao Grande', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 49, 'Salao Pequeno', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 50, 'San Mamede Monte (Laas)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 51, 'Sibreiro (Agris)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 52, 'Trece (Liaio)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 53, 'Viceso', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 54, 'Vilar (Viceso)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 55, 'Vilar de Suso (Laas)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 56, 'Vilar de Torre', 150079, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 7, 'Farias', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15839', 57, 'Vilario (Agris)', 150562, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15840', 1, 'Santa Catalina (Santa Comba)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15840', 2, 'Santa Comba', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15840', 3, 'Santa Comba (Santa Comba)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 1, 'Aldea (Santa Comba)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 2, 'Caselas (Santacomba)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 3, 'Cerdeiras (Santacomba)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 4, 'Cerdeiras de Abaixo', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 5, 'O Combarro (Santa Comba)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 6, 'Cubelo (Santacomba)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 8, 'Gontan', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 9, 'Guisande (Santacomba)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 10, 'Ponte de Arriba', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 11, 'Randufe de Abaixo', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 12, 'Randufe de Arriba', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 13, 'Santa Catalina Armada (Santa C', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 14, 'Sordeiras', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 15, 'Torre (Santa Comba)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 16, 'Ventosa (Santacomba)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15841', 17, 'Ventosa de Abaixo', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 1, 'Agris (Grixoa)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 2, 'Aldea (Grixoa)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 3, 'Antes (Grixoa)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 4, 'Aran (Grixoa)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 5, 'Arman', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 6, 'Cicere', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 7, 'Combarro (Grixoa)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 8, 'Grixoa de Esternande', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 9, 'Mallon (Grixoa)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 10, 'Paia', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 11, 'Vilar de Celtigos', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15845', 12, 'Vilario (Grixoa)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 1, 'Albarin (Mallon)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 2, 'Albergue', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 3, 'Alon de Abaixo', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 4, 'Alon de Arriba', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 5, 'Arosa (Mallon)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 6, 'Casadoira', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 7, 'Catadoiro (Mallon)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 8, 'Costa (Mallon)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 9, 'Couto (Mallon)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 10, 'Cruzana', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 11, 'Esmorode', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 12, 'Labradas (Mallon)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 13, 'Lugar da Escola', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 14, 'Mallon', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 15, 'Oreo', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 16, 'Outeiro (Mallon)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 17, 'Ponte Vilar (Grixoa)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 18, 'Ribeiro (Mallon)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 19, 'A Roza', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 20, 'Sisto (Mallon)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 21, 'Sugrais', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 22, 'Tapia (Mallon)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 23, 'Traida de Aguas', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 24, 'Tres Lugares', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15846', 25, 'Truebe', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 1, 'Bazar (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 2, 'Bouza (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 3, 'Bustelo (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 4, 'Carballal (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 5, 'Castro (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 6, 'Figueiras (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 7, 'Iglesia (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 8, 'Montouto (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 9, 'Mourelle', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 10, 'Negreira (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 11, 'Pereira (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 12, 'Porto (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 13, 'Recarei (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 14, 'Sabaceda (Vilamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 15, 'Turnes', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15847', 16, 'Vilamaior', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 1, 'Albarin (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 2, 'Amarelle (Villamaior)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 3, 'Boaa de Abaixo (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 4, 'Boaa de Arriba (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 5, 'Boimente (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 6, 'Bravo (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 7, 'Campo (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 8, 'Casanova (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 9, 'Castriz', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 10, 'Catalina', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 11, 'Choupana (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 12, 'Cotoleira', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 13, 'Estanande', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 14, 'Esternande', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 15, 'Estevez (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 16, 'Estivadas', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 17, 'Frieiro', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 18, 'Furoca (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 19, 'Hospital (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 20, 'Lugar de Abaixo (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 21, 'Lugar de Arriba (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 22, 'Mostaza', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 23, 'Outeiro (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 24, 'Padreiro (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 25, 'Ponte Dos Carros', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 26, 'San Salvador Padreiro (Castriz', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 27, 'Traba (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 28, 'Tras da Agra (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 29, 'Tras de Coton', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 30, 'Vento (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 31, 'Vilardante', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 32, 'Vilartide', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 33, 'Xallas (Castriz)', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15848', 34, 'Xesto', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15850', 1, 'Costa (Zas)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15850', 2, 'Follente (Zas)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15850', 3, 'Osende', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15850', 4, 'A Toxa (Zas)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15850', 5, 'Ventoselo (Zas)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15850', 6, 'Vilar do Mato (Zas)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15850', 7, 'Vilardomato', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15850', 8, 'Zas (De Carreira)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15855', 1, 'Carreira (Mira)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15855', 2, 'Carreira (Zas)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15855', 3, 'O Castro', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15855', 4, 'A Costa (Carreira)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15855', 5, 'Follente (Carreira)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15855', 6, 'Mira (Zas Carreira)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15855', 7, 'Pedramaior', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15855', 8, 'Rosende (Carreira)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15855', 9, 'Teixidon', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15855', 10, 'Ventoselo (Carreira)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 1, 'Arcar', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 2, 'Baizana', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 3, 'Berbia (Loroo)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 4, 'Bouzarroma (Loroo)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 5, 'Caberte (Loroo)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 6, 'Castro (Loroo)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 7, 'Covas (Leroo)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15856', 8, 'A Devesa (Loroo)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 34, 'Trieites de Abaixo', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 35, 'Trieites de Arriba', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 36, 'Valmaior', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 37, 'Vilario (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 1, 'Agramunia', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 2, 'Carballal (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 3, 'Cobo (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 4, 'Escarabote', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 5, 'Escarabotio', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 6, 'Escaris', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 7, 'Escobias', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 8, 'Estaiferas', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 9, 'Goians (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 10, 'Lampon (Santiago De)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 11, 'Magdalena (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 12, 'Meda de Trems', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 13, 'Montaa (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 14, 'Montao', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 15, 'Mosquete', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 16, 'Outeiro (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 17, 'Peralto', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 18, 'Pieiro (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 19, 'A Poza (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 20, 'Rosadelas', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 21, 'Rosomil', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 22, 'San Mauro (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 23, 'Sealo (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15992', 24, 'Vista Alegre (Lampon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15993', 1, 'Axeitos', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15993', 2, 'Balteiro (Oleiros)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15993', 3, 'Gandara (Oleiros)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15993', 4, 'Lixo (Oleiros)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15993', 5, 'Muios (Oleiros)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15993', 6, 'Oleiros', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15993', 7, 'Salmon', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 1, 'Alborada', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 2, 'Basoas', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 3, 'Campo de Patas', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 4, 'Carballosa (San Pedro Muro)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 5, 'Cimadevila (San Pedro Muro)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 6, 'Fonte Espiosa', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 7, 'Iglesia (San Pedro Muro)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 8, 'Lapido (San Pedro Muro)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 9, 'Laxas (San Pedro Muro)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 10, 'Novas (San Pedro Muro)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 11, 'Pedreira (San Pedro Muro)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 12, 'Rial (San Pedro Muro)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 13, 'San Pedro de Muro (San Pedro M', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15994', 14, 'Serans (San Pedro Muro)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 1, 'Abelendo (Xuo)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 2, 'Agra (Noia)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 3, 'Aradiza', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 4, 'Barcia (Xuo)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 5, 'Campanario (Xuo)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 6, 'Carballal (Xuo)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 7, 'Carballido (Xuo)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 8, 'Carrapatal', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 9, 'Castelo (Xuno)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 10, 'Cernadas (Xuno)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 11, 'Covia (Xuno)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 12, 'Cruceiro (Xuo)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 13, 'Curro (Xuno)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 14, 'Escoda', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 15, 'Fontenla (Xuo)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 16, 'Foxo (Xuo)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 17, 'Grande Maior', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 18, 'Guiandon', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 19, 'Laranga', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 20, 'Parada (Xuno)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 21, 'Pedrasaltas', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 22, 'Pozonegro', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 23, 'Pradomonte', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 24, 'Rial (Xuno)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 25, 'Santa Maria (Xuno)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 26, 'Sieira (Xuno)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 27, 'Traves', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 28, 'Ventoso (Xuo)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 29, 'Vistipoi', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15995', 30, 'Xuo', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 1, 'Barrento', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 2, 'Bustigillade', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 3, 'Busto Seco', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 4, 'Caamao', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 5, 'Cabrais (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 6, 'Calvelle (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 7, 'Campanario (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 8, 'Campo (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 9, 'Candeiro (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 10, 'Capela (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 11, 'Carballo (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 12, 'Corzo', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 13, 'Esparelle', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 14, 'Ferreiro (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 15, 'Fonte (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 16, 'Grallade', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 17, 'Iglesia (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 18, 'Inxerto de Abaixo', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 19, 'Inxerto de Arriba', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 20, 'Pazo (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 21, 'Pilida', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 22, 'Ponte (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 23, 'Portas (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 24, 'Pousacarro', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 25, 'Pouso (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 26, 'Rivasieira', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 27, 'Rocio', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 28, 'Sacristana', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 29, 'San Pedro Felix de Ribasiera (', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15996', 30, 'Torre (Caamao)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15997', 1, 'Campos Verdes (Ribaserra)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15997', 2, 'Tara', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15998', 1, 'Campo (Queiruga)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15998', 2, 'Devesa (Queiruga)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15998', 3, 'Goltar', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15998', 4, 'Gouris', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15998', 5, 'Queiruga', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15998', 6, 'Santa Lucia (Queiruga)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15998', 7, 'Tarela', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15998', 8, 'Tarrio (Queiruga)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15998', 9, 'Velicosa', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15998', 10, 'Xestas', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 1, 'Balcunqueiro', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 2, 'Beneso (Portosin)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 3, 'Campario (Portosin)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 4, 'Eiravedra (Portosin)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 5, 'Freixeiro (Portosin)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 6, 'Gafa', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 7, 'Iglesia (Portosin)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 8, 'Mantoo', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 9, 'Mario (Portosin)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 10, 'Motega', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 11, 'Portosin', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 12, 'Pozo (Portosin)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15999', 13, 'Silva (Portosin)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16001', 0, 'Cuenca', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16002', 0, 'Cuenca', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16003', 0, 'Cuenca', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16004', 0, 'Cuenca', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16070', 0, 'Cuenca', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16071', 0, 'Cuenca', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16080', 0, 'Cuenca', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16100', 0, 'Valverde de Jucar', 162368, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16111', 1, 'Albaladejo del Cuende', 160040, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16111', 2, 'Villaverde y Pasaconsol', 162738, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16112', 0, 'Baos de Valdeganga', 999999, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16113', 0, 'Parra de Las Vegas', 161527, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16114', 0, 'Buenache de Alarcon', 160395, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16118', 1, 'Barchin del Hoyo', 160297, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16118', 2, 'Hontecillas', 161049, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16118', 3, 'Olmedilla de Alarcon', 161420, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16118', 4, 'Piqueras del Castillo', 161610, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16120', 0, 'Valera de Abajo', 169036, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16122', 1, 'El Castellar', 169020, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16122', 2, 'Tortola', 169020, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16122', 3, 'Valdeganga de Cuenca', 169020, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16123', 1, 'Arcas', 169054, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16123', 2, 'Villar del Saz de Arcas', 169054, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16140', 1, 'Salto de Villalba de la Sierra', 162453, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16140', 2, 'Villalba de la Sierra', 162453, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16141', 1, 'Arcos de la Sierra', 160225, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16141', 2, 'Castillejo de la Sierra', 160225, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16141', 3, 'Fresneda de la Sierra', 160843, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16141', 4, 'Portilla', 161631, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16142', 0, 'Las Majadas', 161219, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16143', 1, 'Collados', 169092, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16143', 2, 'Mariana', 161224, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16143', 3, 'Sotos', 169092, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16144', 1, 'La Frontera', 169092, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16144', 2, 'Ribagorda', 169092, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16144', 3, 'Villaseca', 169092, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16145', 1, 'Pajares', 169092, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16145', 2, 'Ribatajada', 169092, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16145', 3, 'Ribatajadilla', 169092, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16145', 4, 'Torrecilla', 169092, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16146', 1, 'Embid', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16146', 2, 'Valdecabras', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16146', 3, 'Zarzuela', 162808, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16147', 1, 'Sitio de San Antonio', 161224, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16147', 2, 'Ventorro Chafe', 161224, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16150', 1, 'Tragacete', 162159, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16150', 2, 'Vega del Codorno', 162393, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16152', 1, 'Beamud', 160318, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16152', 2, 'Huelamo', 161071, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16152', 3, 'La Toba', 160318, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16152', 4, 'Ua', 162197, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16152', 5, 'Valdemeca', 162244, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16160', 0, 'Palomares del Campo', 161489, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16161', 1, 'Torrejoncillo del Rey', 162110, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16161', 2, 'Villar del Aguila', 162110, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16162', 1, 'Horcajada de la Torre', 162110, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16162', 2, 'Naharros', 162110, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16162', 3, 'Villar del Horno', 162110, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16190', 1, 'Chillaron de Cuenca', 160231, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16190', 2, 'Navalon', 169041, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16190', 3, 'Sotoca', 169041, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16190', 4, 'Villar del Saz de Navalon', 169041, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16191', 1, 'Arcos de la Cantera', 160231, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16191', 2, 'Bascuana de San Pedro', 160301, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16191', 3, 'Fuentesclaras del Chillaron', 169041, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16191', 4, 'Nohales', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16191', 5, 'Noheda', 162547, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16191', 6, 'Tondos', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16192', 1, 'Buenache de la Sierra', 160409, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16192', 2, 'Cueva del Fraile', 160409, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16192', 3, 'Molinos del Papel', 161492, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16192', 4, 'Palomera', 161492, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16193', 1, 'Fuentes', 160894, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16193', 2, 'La Melgosa', 160894, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16193', 3, 'Mohorte', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16193', 4, 'Las Zomas', 160894, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16194', 1, 'Albaladejito', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16194', 2, 'Colliga', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16194', 3, 'Colliguilla', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16194', 4, 'Hoteles del Pinar de Jabaga', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16194', 5, 'Jabaga', 169041, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16194', 6, 'Villanueva de los Escuderos', 160783, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16195', 1, 'Abia de Obispalia', 160014, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16195', 2, 'Hortizuela', 160014, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16195', 3, 'Huerta de la Obispalia', 161104, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16195', 4, 'Poveda Obispalia', 160014, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16195', 5, 'Villarejo Seco', 162630, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16195', 6, 'Villarejo Sobrehuerta', 162110, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16196', 1, 'Barbalimpia', 162630, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16196', 2, 'Villar de Olalla', 162630, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16200', 0, 'Motilla del Palancar', 161343, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16210', 0, 'Campillo de Altobuey', 160421, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16211', 0, 'El Picazo', 161586, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16212', 1, 'Pozoseco', 169089, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16212', 2, 'Rubielos Altos', 169089, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16212', 3, 'Rubielos Bajos', 169089, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16213', 0, 'Pantano de Alarcon', 999999, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16214', 1, 'Alarcon', 160035, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16214', 2, 'Gabaldon', 160920, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16214', 3, 'Valhermoso de la Fuente', 162316, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16214', 4, 'Valverdejo', 162374, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16215', 0, 'Almodovar del Pinar', 160170, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16216', 1, 'Chumillas', 160817, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16216', 2, 'Olmeda del Rey', 161415, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16216', 3, 'Solera de Gabaldon', 161991, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16216', 4, 'Valeria', 169036, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16220', 0, 'Quintanar del Rey', 161757, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16230', 0, 'Villanueva de la Jara', 162511, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16235', 0, 'Iniesta', 161132, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16236', 1, 'Casas de Juan Fernandez', 161132, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16236', 2, 'Casas de Santa Cruz', 162511, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16236', 3, 'Villagarcia del Llano', 162440, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16237', 0, 'Ledaa', 161185, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16238', 0, 'Casas del Olmo', 162440, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16239', 0, 'Casasimarro', 160663, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16240', 0, 'El Peral', 161551, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16250', 0, 'Castillejo de Iniesta', 160685, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16251', 0, 'Graja de Iniesta', 160967, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16260', 0, 'Minglanilla', 161258, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16269', 1, 'La Pesquera', 161744, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16269', 2, 'Puebla del Salvador', 161744, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16270', 0, 'Villalpardo', 162488, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16280', 0, 'Villarta', 162717, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16290', 1, 'Alcahozo', 161132, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16290', 2, 'El Herrublar', 161132, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16300', 0, 'Caete', 160528, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16311', 1, 'Boniches', 160360, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16311', 2, 'Campillos de Paravientos', 160437, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16311', 3, 'Fuentelespino de Moya', 160881, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16311', 4, 'Huerguina', 161090, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16312', 1, 'Garaballa', 160936, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16312', 2, 'Henarejos', 160973, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16313', 0, 'Aliaguilla', 160148, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16315', 1, 'Alcala de la Vega', 160088, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16315', 2, 'El Cubillo', 160088, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16316', 1, 'Campillos Sierra', 160442, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16316', 2, 'Huerta del Marquesado', 161111, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16316', 3, 'Laguna del Marquesado', 161150, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16316', 4, 'Valdemoro de la Sierra', 160442, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16317', 1, 'Salinas del Manzano', 161874, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16317', 2, 'Tejadillos', 162051, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16317', 3, 'Zafrilla', 162781, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16318', 1, 'Casas Nuevas', 161893, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16318', 2, 'Hoya del Peral', 161893, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16318', 3, 'Salvacaete', 161893, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16320', 0, 'Talayuelas', 162027, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16321', 0, 'Casillas de Ranera', 162027, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16330', 0, 'Landete', 161179, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16336', 1, 'La Olmeda', 161940, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16336', 2, 'Las Rinconadas', 161940, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16336', 3, 'Santa Cruz de Moya', 161940, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16337', 1, 'Pedro Izquierdo', 161356, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16337', 2, 'Santo Domingo de Moya', 161356, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16338', 1, 'Algarra', 160133, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16338', 2, 'El Arrabal', 160133, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16338', 3, 'Casas de Garcimolina', 160626, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16338', 4, 'Los Huertos', 160133, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16339', 1, 'Graja de Campalbo', 160954, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16339', 2, 'Las Higueruelas', 160954, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16339', 3, 'Manzaneruela', 161179, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16340', 1, 'Caada del Hoyo', 160468, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16340', 2, 'La Cierva', 160468, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16340', 3, 'Valdemorillo de la Sierra', 162257, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16350', 0, 'Carboneras de Guazaon', 160552, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16360', 1, 'Arguisuelas', 160246, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16360', 2, 'Monteagudo de Las Salinas', 161317, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16370', 1, 'San Martin de Boniches', 161929, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16370', 2, 'Villar del Humo', 162585, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16371', 1, 'Narboneta', 161375, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16371', 2, 'Villora', 162743, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16372', 1, 'Enguidanos', 160822, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16372', 2, 'Huercemes', 160822, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16372', 3, 'Salto de Villora', 160822, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16373', 1, 'Cardenete', 160565, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16373', 2, 'Paracuellos de la Vega', 160565, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16373', 3, 'Yemeda', 162769, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16390', 1, 'Pajaron', 161467, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16390', 2, 'Pajaroncillo', 161473, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16390', 3, 'Reillo', 161776, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16392', 0, 'Minas de Henarejos', 999999, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16393', 0, 'Mira', 161261, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16400', 0, 'Tarancon', 162033, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16410', 0, 'Horcajo de Santiago', 161065, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16411', 0, 'Fuente de Pedro Naharro', 160869, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16412', 0, 'El Acebron', 160029, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16413', 0, 'Torrubia del Campo', 162125, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16414', 0, 'Pozorrubio', 161678, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16415', 0, 'Villamayor de Santiago', 162491, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16417', 0, 'Los Hinojosos', 161006, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16420', 1, 'Almendros', 160164, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16420', 2, 'Villarrubio', 162700, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16421', 1, 'Hontanaya', 161034, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16421', 2, 'Puebla de Almenara', 161723, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16422', 0, 'Tresjuncos', 162162, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16423', 0, 'Osa de la Vega', 161454, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16430', 0, 'Saelices', 161868, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16431', 0, 'Almonacid del Marquesado', 160186, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16432', 0, 'Villarejo de Fuentes', 162645, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16433', 1, 'Alconchel de la Estrella', 160127, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16433', 2, 'Villar de Caas', 162532, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16434', 0, 'Montalbanejo', 161296, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16435', 0, 'La Hinojosa', 160992, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16440', 0, 'Montalbo', 161300, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16441', 1, 'El Hito', 161013, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16441', 2, 'Villasviejas', 161013, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16442', 0, 'Villares del Saz', 162696, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16444', 0, 'Cervera del Llano', 160730, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16452', 1, 'Rozalen del Monte', 161816, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16452', 2, 'Tribaldos', 162178, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16452', 3, 'Ucles', 162184, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16460', 0, 'Barajas de Melo', 160278, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16461', 0, 'Leganiel', 161198, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16463', 0, 'Saceda Trasierra', 161855, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16464', 0, 'Alcazar del Rey', 160105, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16465', 1, 'Huelves', 161087, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16465', 2, 'Paredes', 161512, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16470', 1, 'Belinchon', 160323, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16470', 2, 'Zarza de Tajo', 162794, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16500', 0, 'Huete', 161126, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16510', 1, 'Garcinarro', 161739, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16510', 2, 'Mazarulleque', 161739, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16510', 3, 'Vellisca', 162407, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16512', 1, 'Buendia', 160416, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16512', 2, 'Jabalera', 161739, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16512', 3, 'Pantano de Buendia', 160416, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16520', 0, 'Moncalvillo de Huete', 161126, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16521', 0, 'Valdemoro del Rey', 161126, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16522', 1, 'Portalrubio de Guadamejud', 161625, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16522', 2, 'Tinajas', 162064, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16532', 1, 'Gascuea', 160941, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16532', 2, 'La Peraleja', 160941, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16532', 3, 'Saceda del Rio', 161126, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16532', 4, 'Villanueva de Guadamejud', 162504, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16535', 0, 'Villalba del Rey', 162466, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16537', 1, 'Alcohujate', 160112, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16537', 2, 'Caaveruelas', 160513, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16540', 1, 'Bonilla', 161126, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16540', 2, 'Caracenilla', 161126, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16540', 3, 'Verdelpino de Huete', 161126, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16541', 1, 'Castillejo del Romeral', 161126, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16541', 2, 'Pineda de Giguela', 161603, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16541', 3, 'Valdecomenas de Abajo', 169067, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16541', 4, 'Valdecomenas de Arriba', 169067, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16541', 5, 'Villarejo de la Peuela', 162658, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16542', 1, 'Cuevas de Velasco', 169106, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16542', 2, 'Valdecabrillas', 169106, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16542', 3, 'Villar del Maestre', 169106, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16550', 1, 'La Langa', 169015, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16550', 2, 'Loranca del Campo', 169015, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16550', 3, 'Olmedilla del Campo', 169015, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16550', 4, 'Valparaiso de Abajo', 169015, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16550', 5, 'Valparaiso de Arriba', 169015, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16555', 0, 'Carrascosa del Campo', 169015, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16600', 0, 'San Clemente', 161907, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16610', 0, 'Casas de Fernando Alonso', 160611, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16611', 1, 'Las Calotas', 160647, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16611', 2, 'Casas de Haro', 160647, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16611', 3, 'Los Pavos', 160647, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16612', 1, 'Casas de los Pinos', 160650, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16612', 2, 'Casas de Roldan', 160650, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16612', 3, 'Los Estesos', 160650, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16612', 4, 'Monte Orenes', 160650, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16612', 5, 'Ventas de Alcolea', 160650, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16620', 0, 'La Alberca de Zancara', 160072, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16621', 0, 'Santa Maria del Campo Rus', 161953, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16622', 0, 'Pinarejo', 161599, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16623', 0, 'Castillo de Garcimuoz', 160724, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16630', 0, 'Mota del Cuervo', 161338, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16638', 0, 'El Pedernoso', 161533, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16639', 0, 'Santa Maria de los Llanos', 161966, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16640', 0, 'Belmonte', 160339, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16646', 0, 'Villalgordo del Marquesado', 162472, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16647', 1, 'Fuentelespino de Haro', 160875, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16647', 2, 'Villaescusa de Haro', 162435, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16648', 0, 'Villar de la Encina', 162550, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16649', 1, 'Carrascosa de Haro', 160587, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16649', 2, 'Monreal del Llano', 161283, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23430', 0, 'Rus', 230742, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16649', 3, 'Rada de Haro', 161760, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16650', 0, 'Las Mesas', 161245, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16660', 0, 'Las Pedroeras', 161548, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16670', 0, 'El Provencio', 161718, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16700', 0, 'Sisante', 161988, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16707', 1, 'Casas de Benitez', 160604, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16707', 2, 'La Losa', 160604, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16707', 3, 'La Losilla', 160604, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16708', 1, 'Casas de Guijarro', 160632, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16708', 2, 'Pozo Amargo', 161662, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16709', 1, 'El Simarro', 162380, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16709', 2, 'Vara de Rey', 162380, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16709', 3, 'Villar de Cantos', 162380, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16710', 1, 'Atalaya del Caavate', 160262, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16710', 2, 'Tebar', 162048, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16720', 0, 'Caada Juncosa', 160474, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16730', 0, 'Honrubia', 161028, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16738', 0, 'El Caavate', 160493, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16739', 0, 'Torrubia del Castillo', 162131, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16740', 0, 'La Almarcha', 160151, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16760', 0, 'Olivares de Jucar', 161394, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16770', 0, 'San Lorenzo de la Parrilla', 161914, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16771', 1, 'El Congosto', 162661, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16771', 2, 'Villarejo Periesteban', 162661, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16771', 3, 'Zafra de Zancara', 162775, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16779', 0, 'Belmontejo', 160344, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16780', 1, 'Altarejos', 160199, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16780', 2, 'Mota de Altarejos', 161322, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16781', 0, 'Fresneda de Altarejos', 160838, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16800', 0, 'Priego', 161701, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16812', 1, 'Albendea', 160066, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16812', 2, 'Alcantud', 160091, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16812', 3, 'Arandilla del Arroyo', 160203, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16812', 4, 'El Pozuelo', 160066, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16812', 5, 'Vindel', 162756, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16813', 1, 'Salmeroncillos de Abajo', 161880, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16813', 2, 'Salmeroncillos de Arriba', 161880, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16813', 3, 'San Pedro Palmiches', 161935, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16813', 4, 'Valdeolivas', 162282, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16813', 5, 'Villar del Infantado', 162598, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16840', 0, 'Villar de Domingo Garcia', 162547, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16841', 0, 'Albalate de Las Nogueras', 160053, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16842', 0, 'Torralba', 162099, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16843', 1, 'Bolliga', 162722, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16843', 2, 'Culebras', 162722, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16843', 3, 'Fuentesbuenas', 162722, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16843', 4, 'Valdecaas', 162722, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16843', 5, 'La Ventosa', 162722, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16843', 6, 'Villarejo del Espartal', 162722, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16850', 0, 'Caaveras', 160506, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16851', 0, 'Buciegas', 160382, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16852', 0, 'Olmeda de la Cuesta', 161408, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16853', 0, 'Olmedilla de Eliz', 161436, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16854', 0, 'Castillo de Albaraez', 160719, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16855', 0, 'Arrancacepas', 160259, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16856', 0, 'Castejon', 160679, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16857', 0, 'Canalejas del Arroyo', 160455, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16860', 0, 'Villaconejos de Trabaque', 162429, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16870', 0, 'Beteta', 160357, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16878', 1, 'Lagunaseca', 161163, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16878', 2, 'Masegosa', 161230, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16878', 3, 'Poyatos', 161659, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16878', 4, 'Santa Maria del Val', 161972, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16879', 1, 'Carrascosa', 160571, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16879', 2, 'Cueva del Hierro', 160796, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16879', 3, 'El Tobar', 160571, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16879', 4, 'Valsalobre', 162342, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16890', 1, 'Caamares', 160480, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16890', 2, 'Fuertescusa', 160915, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16890', 3, 'Huerta de los Marojales', 160534, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16891', 1, 'Caizares', 160534, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16891', 2, 'Santa Cristina', 160534, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16892', 1, 'Puente de Vadillos', 160534, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16892', 2, 'Vadillos', 160534, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('16893', 0, 'Solan de Cabras', 160357, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17001', 0, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17002', 0, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17003', 0, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17004', 0, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17005', 0, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17006', 0, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17007', 0, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17070', 0, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17071', 0, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17080', 0, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17100', 1, 'La Bisbal D''Emporda', 170221, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17100', 2, 'Llaneres', 170221, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17100', 3, 'Sant Pol (Ajuntament la Bisbal', 170221, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17110', 1, 'Fitor', 179026, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17110', 2, 'Fonteta', 179026, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17110', 3, 'Sant Climent de Peralta', 179026, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17110', 4, 'Santa Susana de Peralta', 179026, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17111', 1, 'La Bordeta', 179026, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17111', 2, 'Forallac', 179026, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17111', 3, 'El Pla (Ayto Vullpellac)', 179026, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17111', 4, 'Vullpellac', 179026, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17113', 1, 'Canapost', 179026, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17113', 2, 'Peratallada', 179026, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17114', 0, 'Ullastret', 172057, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17115', 0, 'Castell D''Emporda', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17116', 1, 'Cruilles', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17116', 2, 'Sant Joan de Salelles', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17117', 0, 'Sant Miquel de Cruilles', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17118', 1, 'Mas Savalls', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17118', 2, 'Sant Sadurni de L''Heura', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17118', 3, 'Veinat de Banyeres', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17118', 4, 'Veinat de Estravau', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17118', 5, 'Veinat de Sant Joan', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17118', 6, 'Veinat Rissec (Ayto S Sadurni)', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17119', 1, 'Sant Cebria de Lledo', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17119', 2, 'Sant Cebria Dels Alls', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17120', 1, 'Caa de Pelras', 171306, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17120', 2, 'Pedrinya (Ajuntament la Pera)', 171306, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17120', 3, 'La Pera', 171306, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17120', 4, 'Pubol', 171306, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17120', 5, 'Riuras', 171306, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 1, 'Casavells', 170577, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 2, 'Cora', 170577, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 3, 'Les Costes (Ayto Corsa)', 170577, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 4, 'Matajudaica', 170577, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 5, 'Monells', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 6, 'Sant Joan (Ajuntament Corca)', 170577, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 7, 'Veinat D''Anyells', 170577, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 8, 'Veinat de Planils', 170577, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 9, 'Veinat de Santa Cristina', 170577, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 10, 'Veinat de Sies', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 11, 'Veinat de Torre Guinarda', 170577, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17121', 12, 'Veinat Rissec (Ayto de Corsa)', 170577, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17123', 1, 'Bruguera (Ayto Torrent)', 171978, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17123', 2, 'El Pla (Ayto Torrent)', 171978, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17123', 3, 'Torrent D''Emporda', 171978, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17123', 4, 'Torrenti', 171978, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17124', 0, 'Llofriu', 171175, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17130', 1, 'Cinclaus', 170622, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17130', 2, 'Les Corts (L''Escala)', 170622, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17130', 3, 'Empuries', 170622, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17130', 4, 'L''Escala', 170622, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17130', 5, 'Montgo', 170622, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17130', 6, 'Riells (Ayto L''Escala)', 170622, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17131', 1, 'Atalaia', 171539, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17131', 2, 'Baixvila', 171539, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17131', 3, 'Candell', 171539, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17131', 4, 'Rupia', 171539, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17131', 5, 'Sobrevila', 171539, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17132', 0, 'Foixa', 170681, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17133', 1, 'Cases del Moli', 171267, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17133', 2, 'Daro', 171267, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17133', 3, 'Fonolleres', 171267, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17133', 4, 'Matabou', 171267, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17133', 5, 'Parlava', 171267, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17133', 6, 'La Sala', 171267, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17133', 7, 'Sant Iscle D''Emporda', 171267, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17133', 8, 'Serra de Daro', 171910, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17133', 9, 'Ultramort', 172039, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17134', 1, 'Canet de Verges', 171959, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17134', 2, 'Maranya', 171959, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17134', 3, 'La Tallada D''Emporda', 171959, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17134', 4, 'Tor', 171959, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17136', 0, 'Albons', 170046, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17137', 1, 'Palaborrell', 172174, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17137', 2, 'Pelacal', 172109, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17137', 3, 'Viladamat', 172174, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17140', 0, 'Ulla', 172044, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17141', 1, 'Bellcaire D''Emporda', 170182, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17141', 2, 'Sobrestany', 170182, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17142', 0, 'Verges', 172116, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17143', 1, 'La Bobila', 170852, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17143', 2, 'El Boix (Jafre)', 170852, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17143', 3, 'Jafre', 170852, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17143', 4, 'El Moli (Ayto Jafre)', 170852, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17144', 0, 'Colomers', 170558, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17150', 2, 'Sant Gregori (Municipio)', 171637, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17151', 1, 'Ginestar', 171637, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17151', 2, 'Santa Afra', 171637, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17152', 0, 'Llora', 171729, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17153', 1, 'Granollers de Rocacorba', 171729, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17153', 2, 'Sant Marti de Llemena', 171729, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17154', 1, 'Sant Aniol de Finestres', 171833, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17154', 2, 'Sant Esteve de Llemana', 171833, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17154', 3, 'Santa Maria de Finestres', 171833, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17160', 1, 'Angles', 170084, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17160', 2, 'El Cuc', 170084, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17160', 3, 'La Farga (Ayto Angles)', 170084, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17160', 4, 'Les Mines del Sant Pare', 170084, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17160', 5, 'El Pla D''Amont', 170084, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17160', 6, 'Pla D''Avall (Ajuntament Angles', 170084, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17160', 7, 'Sant Amanc', 170084, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17160', 8, 'Sant Gregori (Ayto Osor)', 170084, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 24, 'San Mamede (Pieiro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 25, 'Serradelo (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 26, 'Tapia (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 27, 'Vilardoa', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 28, 'Vilario (Portomouro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 29, 'Vilouta', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15871', 30, 'Xerman', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 1, 'Bascuas (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 2, 'Bugalleiras', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 3, 'Cabada', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 4, 'Cabanas (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 5, 'Carballosa (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 6, 'Carreira (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 7, 'Cebei', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 8, 'Couceiro (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 9, 'Estevande', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 10, 'Ferreira (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 11, 'Gontar', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 12, 'Guimarans (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 13, 'Iglesia (Cabana)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 14, 'Iglesia (Coucieiro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 15, 'Iglesia (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 16, 'Insua (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 17, 'Lale (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 18, 'Lesta (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 19, 'Maxais', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 20, 'Menlle de Abaixo', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 21, 'Menlle de Arriba', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 22, 'Novexilde', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 23, 'Paramos', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 24, 'Porto (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 25, 'Portochan (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 26, 'Portomedal', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 27, 'Quintans (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 28, 'San Roman (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 29, 'Santa Maria San Roman (Paramos', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 30, 'Troitosende', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 31, 'Vilacova', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 32, 'Vilalba (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 33, 'Vilar (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 34, 'Vilela (Paramos)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15872', 35, 'Xermil', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 1, 'Abelenda', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 2, 'Algaria', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 3, 'Arcai (Bembibre-Valdo Dubra)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 4, 'Barral (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 5, 'Bembibre', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 6, 'Buxan (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 7, 'Campo da Feira (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 8, 'Campo de Algaria', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 9, 'Campo de Riveiro', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 10, 'Carral (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 11, 'Casais (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 12, 'Casal (Bembibre)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 13, 'Casal (Niveiro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 14, 'Casanova (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 15, 'Caotas (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 16, 'Corredoira (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 17, 'A Corua', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 18, 'Erviou', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 19, 'Fabrica (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 20, 'Fajon', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 21, 'Graciosa', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 22, 'Iglesia (Bembibre)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 23, 'Iglesia (Niveiro)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 24, 'Montemaior (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 25, 'Nario', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 26, 'Niveiro do Medio', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 27, 'Padron (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 28, 'Pazo (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 29, 'Pedragoso', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 30, 'As Quintans', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 31, 'Reboredo de Abaixo', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 32, 'Reboredo de Arriba', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 33, 'Reboredo do Medio', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 34, 'Rocha (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 35, 'Rocha de Arriba', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 36, 'San Cristobo (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 37, 'Taboada (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 38, 'Taboada (Pontenova)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 39, 'Tahona', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 40, 'A Torre Branca', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 41, 'Val do Dubra', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 42, 'Vereda (Bembibre)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 43, 'Vilar (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 44, 'Vilasuso (Buxan)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15873', 45, 'Xeisal', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 1, 'Albaxeira', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 2, 'Arabexo', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 3, 'Arnexo', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 4, 'Boiro (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 5, 'Burgo (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 6, 'Campo de Carlexo', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 7, 'Campo de Rebordelos', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 8, 'Campo de Rial', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 9, 'Campo de Rio', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 10, 'Campo Dos Cochos', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 11, 'Cancela (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 12, 'Carlexo (O Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 13, 'Carral (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 14, 'Casal (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 15, 'Caseiros (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 16, 'Castrillon (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 17, 'Cerdeiras (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 18, 'Constenla (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 19, 'Fonte (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 20, 'Foxo (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 21, 'Iglesia (Arabexo)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 22, 'Iglesia (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 23, 'Loureiro (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 24, 'Malvares Grande', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 25, 'Malvares Pequeno', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 26, 'Mato (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 27, 'Monte (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 28, 'Outeiro (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 29, 'Outrocanto', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 30, 'Pazos (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 31, 'Pino (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 32, 'Pousada (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 33, 'Rebordelos (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 34, 'Rial', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 35, 'Rieiro (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 36, 'San Estevo (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 37, 'Vilar (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15874', 38, 'Viso (Rial)', 150888, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15877', 0, 'Fortaleza (Presaras)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 1, 'Afox', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 2, 'Agrelo (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 3, 'Alvela de Arriba', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 4, 'Angustin', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 5, 'Argunte', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 6, 'Bao', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 7, 'Cabanelas (Ribadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 8, 'Canicoba de Abaixo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 9, 'Canicoba de Arriba', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 10, 'Casansula (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 11, 'Castrelo (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 12, 'Chao de Castro', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 13, 'Chaos (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 14, 'Corbeixo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 15, 'Coto (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 16, 'Cumbraos', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 17, 'Eiravedra (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 18, 'Famelga (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 19, 'Feal (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 20, 'Fraiz (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 21, 'Frances (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 22, 'O Gaioso', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 23, 'Galegos', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 24, 'Guimarans (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 25, 'Iglesia (Merin)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 26, 'Lagoa (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 27, 'Merin', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 28, 'Monreal (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 29, 'Muios (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 30, 'Neira de Abaixo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 31, 'Neira de Arriba', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 32, 'Ortigueira (Ribadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 33, 'Outeiro (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 34, 'Pazo (Medin)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 35, 'Pazo (Vilanova)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 36, 'Pazos (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 37, 'Picon (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 38, 'Ponte (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 39, 'Raxoi', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 40, 'Recarei (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 41, 'Rivadulla', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 42, 'Rivadulla (San Mamede E Santa', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 43, 'Rosende (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 44, 'Rozadela', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 45, 'San Gregorio (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 46, 'San Pedro de Vilanova', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 47, 'Santa Cruz Rivadulla (Rivadull', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 48, 'Sete (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 49, 'Sobredo (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 50, 'Socastro (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 51, 'Socastro de Arriba', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 52, 'Sol', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 53, 'Tomonde', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 54, 'Torre de Abaixo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 55, 'Torre de Arriba', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 56, 'Torre do Medio', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 57, 'Vilar (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15880', 58, 'Vista Alegre (Rivadulla)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 1, 'Agra (Gastrar)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 2, 'Ardaris', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 3, 'Ardesende', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 4, 'Ardilleiro Grande', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 5, 'Ardilleiro Pequeno', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 6, 'Boqueixon (Ponteulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 7, 'Burgo (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 8, 'Cachosenande (Lestedo)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 9, 'Caldelas (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 10, 'Caneda', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 11, 'Caraban', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 12, 'Carracedo (Lestedo)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 13, 'Casal (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 14, 'Casaldesuso', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 15, 'Casalpegito', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 16, 'Casalvieito', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 17, 'Casanova (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 18, 'Castenda', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 19, 'Castro (Ponteulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 20, 'Cesar (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 21, 'Codeso (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 22, 'A Costia (Serguide)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 23, 'Cubelo (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 24, 'Cusanca', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 25, 'Desiderio de Abaixo', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 26, 'Desiderio de Arriba', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 27, 'Donas', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 28, 'Engas', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 29, 'Espieira (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 30, 'Figueiredo (Ponteulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 31, 'Fonteblanca', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 32, 'Forte (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 33, 'Frenza (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 34, 'Gandara (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 35, 'Gastrar (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 36, 'A Granxa (Lestedo)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 38, 'Gundian', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 37, 'A Granxa (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 39, 'Iglesia (Gastrar)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 40, 'Iglesia (Lamas)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 41, 'Iglesia (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 42, 'Iglesia (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 43, 'Lamas (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 44, 'Lamparte', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 45, 'Lestedo', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 46, 'Loureda (Gastrar)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 47, 'Manlle', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 48, 'Maravejanes', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 49, 'Mareque', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 50, 'Melon de Abaixo', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 51, 'Melon de Arriba', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 52, 'Midon (Gastrar)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 53, 'Milleiros', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 54, 'Moa', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 55, 'Monreal (Ponteulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 56, 'Monte (Ponteulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 57, 'Noenlle', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 58, 'Noveledo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 59, 'Orto (Ponteulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 60, 'Outeiro (Gastrar)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 61, 'Outeiro (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 62, 'Outeiro (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 63, 'Pazos (Lestedo)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 64, 'Pena (Gastrar)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 65, 'Picota (Lestedo)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 66, 'Pieiro de Abaixo (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 67, 'Pieiro de Arriba (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 68, 'Ponte Ulla', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 69, 'Pumares (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 70, 'Pumario (Ponteulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 71, 'Quenllas (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 72, 'Quian', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 73, 'Ramalleira (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 74, 'Ramil (Lestedo)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 75, 'Reboredo (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 76, 'Retorta (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 77, 'Rodio Grande', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 78, 'Rodio Pequeno', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 79, 'Rubial (Lestedo)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 80, 'Rubio', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 81, 'San Xoan de Cova (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 82, 'Santa Marta (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 83, 'Santabia (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 84, 'Santaia (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 85, 'Santardao (Ponteulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 86, 'Saramacedo (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 87, 'Sergude (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 88, 'Subcira', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 89, 'Susana (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 90, 'Torre (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 91, 'Trian', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 92, 'Trillo', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 93, 'Troitomil', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 94, 'Vigo (Sante Eulalia Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 95, 'Vilaboa (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 96, 'Vilar (Lestedo)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 97, 'Vilar (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 98, 'Vinteseis', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 99, 'Vista Alegre (Ponte Ulla)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 100, 'Xenande (Sergude)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15881', 101, 'Xiadas', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 1, 'Baiuca (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 2, 'Bendaa (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 3, 'Beseo (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 4, 'Bugalleira (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 5, 'Camporrapado', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 6, 'Casal (Ponteledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 7, 'Castro (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 8, 'Corna (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 9, 'Corral (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 10, 'As Eiras (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 11, 'Empalme de Vilar', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 12, 'Ferreira (Sales)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 13, 'Guisande (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 14, 'Iglesia (Bendaa)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 15, 'Iglesia (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 16, 'A Iglesia', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 17, 'Ledesma', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 18, 'Leon (Puente Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 19, 'Lobagueiras', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 20, 'Loureiro (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 21, 'Lubian (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 22, 'Mato (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 23, 'Millan (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 24, 'Monte (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 25, 'Noente', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 26, 'Obra (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 27, 'Oural (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 28, 'Outeiro de Millan', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 29, 'Pardieira (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 30, 'Pazo (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 31, 'Pedrouzo (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 32, 'Penelia', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 33, 'Ponte Ledesma', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 34, 'Porcariza (Pteledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 35, 'Pumario (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 36, 'Rebordaos (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 37, 'Sabugueiras', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 38, 'Sobredo (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 39, 'Tolan (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 40, 'Vila (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15882', 41, 'Vilar (Ponte Ledesma)', 150124, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 1, 'A Agrela (Lampai)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 2, 'O Aido (Luou)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 3, 'A Barcia (Cacheiras)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 4, 'A Barcia (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 5, 'Bascuas (Lampai)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 6, 'Bouon (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 7, 'Bouou', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 8, 'Buela', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 9, 'Bustelo (Luou)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 10, 'Cacheiras (San Simon de Ons)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 11, 'Cantoa', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 12, 'Casal (Recesendes)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 13, 'O Casal de Reis', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 14, 'Caxade (Luou-Santa Maria)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 15, 'Chandorrio', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 16, 'Chao do Rio', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 17, 'Chaves', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 18, 'Coira (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 19, 'Constenla (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 20, 'Covas (Cacheiras)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 21, 'Covas (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 22, 'As Cruces (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 23, 'A Devesa (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 24, 'Espasande (Luou)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 25, 'Feros (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 26, 'O Ferreirio', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 27, 'A Florida (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 28, 'Fontelo (Teo-Santa Maria)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 29, 'Fornelos (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 30, 'A Freiria (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 31, 'Freixeiro (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 32, 'Freixeiro (Reis)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 33, 'Grela (A Esclavitude)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 34, 'Guldris (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 35, 'Iglesia (Luou)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 36, 'Iglesia (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 37, 'A Igrexa (Luou-Santa Maria)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 38, 'A Igrexa (Reis-San Cristovo)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 39, 'A Insua (Luou)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 40, 'Lamas (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 41, 'Lampai (Santa Maria)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 42, 'Loureiro (Luou)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 43, 'Luci', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 44, 'Luci (Santa Maria)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 45, 'Luou', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 46, 'Monte (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 47, 'Montecelo', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 48, 'Mosteiro (A Escravitude)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 49, 'Nespereira (Luou)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 50, 'Noenlles', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 51, 'Olveira (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 52, 'Osebe (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 53, 'Outeiro (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 54, 'O Outeiro (Oza)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 55, 'O Outeiro (Reis-San Cristovo)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 56, 'Paraxo', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 57, 'Paredes (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 58, 'Pazo (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 59, 'Pazos (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 60, 'Pazos (Reis-San Cristovo)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 61, 'A Pedra (Recesende)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 62, 'Pedrouso', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 63, 'Penelas (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 64, 'Pite (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 65, 'Pieiro (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 66, 'O Pieiro (Reis-San Cristovo))', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 67, 'A Poboa (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 68, 'Pontevea', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 69, 'Portoameneiro', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 70, 'Procelas', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 71, 'Quintans (Luou)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 72, 'A Ramallosa', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 73, 'Raris', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 74, 'Raxo', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 75, 'Regoufe', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 76, 'Reis (San Cristovo)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 77, 'Requian (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 78, 'Rial do Mato', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 79, 'Ribas (Oza-Santa Maria)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 80, 'A Ribeira (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 81, 'Samar', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 82, 'Seixos (Luan)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 83, 'Sestelo (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 84, 'A Silva (Lampai)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 85, 'Sixto (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 86, 'A Torre (Cacheiras)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 87, 'A Torre (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 88, 'Tras do Eixo', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 89, 'Trasellas', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 90, 'Valias (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 91, 'Veitureira', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 92, 'Ventureira', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 93, 'O Vieiro (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 94, 'O Vieiro (Reis-San Cristovo)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 95, 'Vilanova (Oza-Santa Baia)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 96, 'Vilanova (Recesende-San Xoan)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 97, 'Vilar (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 98, 'Vilela (Pontevea)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 99, 'Vilela (Raris-San Miguel)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15883', 100, 'Xermeade', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 1, 'A Aldea de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 2, 'O Alto (Sigueiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 3, 'Balado (Sigueiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 4, 'Barcavella', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 5, 'Barco (Berdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 6, 'Barqueiros', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 7, 'Barral (Berdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 8, 'O Barreiro (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 9, 'Benavente (Berdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 10, 'Brea (Berdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 11, 'A Caluba (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 12, 'Candelabeira', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 13, 'Casadearriba (Berdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 14, 'Casal (Berdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 15, 'O Casal (Cesar-Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 16, 'Casanova (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 17, 'As Casas de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 18, 'O Castro (Cesar-Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 19, 'O Castro (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 20, 'Cerdeira (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 21, 'Cesar (Sigeiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 22, 'Chorente (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 23, 'Cortos', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 24, 'Cortos (Marantes)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 25, 'Os Currais (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 26, 'Devesia', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 27, 'A Eirexe (Verdia-Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 28, 'A Enfesta (San Cristvo)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 29, 'Fieiteira (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 30, 'A Figueira (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 31, 'Fonte do Torno', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 32, 'Formaris (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 33, 'Frades (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 34, 'Gosende (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 35, 'Gubis', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 36, 'Gundille', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 37, 'Gunin', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 38, 'Iglesia (Vilauchada)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 39, 'A Igrexa (Bustos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 40, 'A Igrexa (Cesar)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 41, 'A Igrexa (Chaian)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 42, 'A Igrexa (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 43, 'Insuas (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 44, 'A Lameira (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 45, 'Lobra', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 46, 'Os Mallos (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 47, 'Marantes', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 48, 'Marantes (San Vicente)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 49, 'Millarada', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 50, 'Mourigade', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 51, 'Os Muios (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 52, 'Neiro de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 53, 'Neiro de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 54, 'Nemenzo de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 61, 'Parapar', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 55, 'Nemenzo de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 56, 'Outeiro (Marantes-San Vicente)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 57, 'Outeiro (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 58, 'O Outeiro (Marantes)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 59, 'As Paradelas de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 60, 'As Paradelas de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 62, 'Partido', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 63, 'A Pedra (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 64, 'Penela (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 65, 'Penelos', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 66, 'Pieiro (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 67, 'Polbeira (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 68, 'Ponte (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 69, 'Portio (Sigeiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 70, 'Porto (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 71, 'Pousada (Cesar-Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 72, 'Quintans (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 73, 'Ramelle', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 74, 'Ramil (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 75, 'Reboredo (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 76, 'Rial (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 77, 'Rosende (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 78, 'A Rua Travesa', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 79, 'Santa Eufemia (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 80, 'Sigeiro (Sigeiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 81, 'A Sionlla de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 82, 'A Sionlla de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 83, 'Torre (Sigueiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 84, 'A Torre (Cesar-Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 85, 'A Torre (San Vicente de Marant', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 86, 'A Torre (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 87, 'Torres (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 88, 'Tras Vea', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 89, 'O Valado (A Barciela)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 90, 'Verdia (Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 91, 'Verdia de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 92, 'Verdia de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 93, 'Vila Fernandez', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 94, 'Vilar (Berdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 95, 'Vilar de Outeiro (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 96, 'Vilario (Busto)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 97, 'Vilario (Nemenzo)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 98, 'Vilasuso (Verdia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 99, 'Villamidid', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 100, 'Vilouchada', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15884', 101, 'O Vintecatro', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 1, 'Burgo (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 2, 'Calzande (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 3, 'Castro (Illobre)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 4, 'Cibran (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 5, 'Cornado (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 6, 'Coto (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 7, 'O Coto (Baamonde-Santa Maria)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 8, 'Fontao (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 9, 'Fontes (Illobre)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 10, 'Fornelos (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 11, 'Fufin', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 12, 'Gandara (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 13, 'Iglesia (Illobre)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 14, 'Iglesia (Vaamonde)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 15, 'Iglesia (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 16, 'A Igrexa (Baamonde-Santa Maria', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 17, 'Illobre (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 18, 'Illobre (Santiago)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 19, 'Lamas (Bamonde-Santa Maria)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 20, 'Lamas (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 21, 'Larao (San Martio)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 22, 'Maestro Gomez', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 23, 'Malfurado (Illobre)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 24, 'Manteles de Abaixo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 25, 'Manteles de Arriba', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 26, 'Marzan de Abaixo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 27, 'Marzan de Arriba', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 28, 'Matelo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 29, 'Moares', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 30, 'Nande de Abaixo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 31, 'Nande de Arriba', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 32, 'Paradela (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 33, 'Pieiro (Illobre)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 34, 'Pousada de Abaixo (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 35, 'Pousada de Arriba (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 36, 'Prumadelos (Illobre)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 37, 'Quintans (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 38, 'Quintans (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 39, 'As Quintans (Bamonde-Santa Mar', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 40, 'Ramil (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 41, 'Ramonde (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 42, 'Reboredo (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 43, 'Roelle', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 44, 'Romaris (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 45, 'Sales', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 46, 'Silva Oscura (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 47, 'Tejo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 48, 'Torre (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 49, 'Trasariz', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 50, 'Trasariz de Abaixo', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 51, 'Trasariz de Arriba', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 52, 'Tribaldes', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 53, 'Vedra', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 54, 'Vilanova (Sales)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 55, 'Vilapedre (Vedra)', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 56, 'Viogrande', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15885', 57, 'Viopequeno', 150891, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 1, 'Agoso', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 2, 'Agromaior (Teo-Santa Maria)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 3, 'Agualada (Marantes-San Vicente', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 4, 'Alvelo', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 5, 'Bazar (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 6, 'Bujeiros de Abajo', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 7, 'Bujeiros de Arriba', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 8, 'Cachons (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 9, 'Teo', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 10, 'Campos (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 11, 'Canicoba', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 12, 'O Casal (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 13, 'Casaldomiro', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 14, 'Casanova (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 15, 'Casansula (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 16, 'Castres', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 17, 'Catro Camios (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 18, 'Cepeda', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 19, 'Cerdeira (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 20, 'Cimadevila (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 21, 'Coto de Gimonde', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 22, 'Cubelas (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 23, 'Eio Dos Ferreiros', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 24, 'Eio Dos Menecos', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 25, 'A Ermida (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 26, 'Fontenla (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 27, 'Gatente', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 29, 'Gondelle', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 28, 'Gimonde (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 30, 'Gontalde', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 31, 'A Igrexa (Cacheiras-San Simon', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 32, 'Laa (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 33, 'Legare', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 34, 'Malfurado (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 35, 'Mallos (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 36, 'Noceda (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 37, 'O Outeiro (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 38, 'Oza (Santa Baia)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 39, 'Paizas (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 40, 'A Pedra (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 41, 'Pedregal (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 42, 'A Pedreira (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 43, 'Pereira (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 44, 'O Piro', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 45, 'Pieiros (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 46, 'Ponte Sarandon', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 47, 'Recesende (San Xoan)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 48, 'A Ribeira (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 49, 'Rivas (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 50, 'San Miguel (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 51, 'San Pedro (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 52, 'Sarandon (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 53, 'Seoane (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 54, 'Silva de Abaixo (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 55, 'Silva de Arriba (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 56, 'O Sisto (Cacheiras)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 57, 'Tarrio (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 58, 'Cajaraville (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 59, 'Trobe', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 60, 'Vilacha (Medin)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 61, 'Vilachaio', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 62, 'Vilanova (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 63, 'Vilar (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 64, 'Vilario (San Tome)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 65, 'Vilario (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 66, 'Vilarpieiro', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 67, 'Xian', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15886', 68, 'Xian (Sarandon)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 1, 'Agrolongo', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 2, 'O Alto (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 3, 'Amenal (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 4, 'Arnela (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 5, 'A Baixa (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 6, 'Bamonde (Santa Maria)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 7, 'Barcia (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 8, 'Barral (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 9, 'Beiran', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 10, 'Bugalleira (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 11, 'Cabanelas (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 12, 'Carballio (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 13, 'Casacuberta', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 14, 'Casal (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 15, 'Casanova (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 16, 'As Casillas (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 17, 'Castrios', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 18, 'Castro (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 19, 'Cerdeira (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 20, 'Cimadevila (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 21, 'Cocheras', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 22, 'Couto Pequeno', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 23, 'Curras (Pastor)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 24, 'Curro (Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 25, 'Domes', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 26, 'Fonte Maior (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 27, 'Fonteseca', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 28, 'Frades', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 29, 'Gafoi (Santa Maria)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 30, 'Gandara (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 31, 'Gonzar', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 32, 'Gradamil', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 33, 'Hombre (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 34, 'Iglesia (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 35, 'Iglesia (Pastor)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 36, 'Iglesia (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 37, 'A Igrexa (Gafoi)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 38, 'Ladeiro', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 39, 'Lameiro (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 40, 'Lardeiros de Medin', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 41, 'Ledoira (San Martio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 42, 'Liares (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 43, 'Marquio', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 44, 'Mouzo (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 45, 'Pena (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 46, 'Pereira (Meha)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 47, 'Pipar', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 48, 'Pieiro (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 49, 'Ponte Carreira', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 50, 'Ponte Nova (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 51, 'Ponte Punide', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 52, 'Portofontao', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 53, 'Portoouteiro', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 54, 'Pulleira', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 55, 'Pumar (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 56, 'Quintans (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 57, 'Rabal de Abaixo', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 58, 'Rabal de Arriba', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 59, 'O Raelo (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 60, 'Recea (Ledoira-San Martio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 61, 'Rio (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 62, 'San Andres (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 63, 'San Gregorio (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 64, 'San Miguelio (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 65, 'Setas (Marguio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 66, 'Singer', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 67, 'Sobrado (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 68, 'Tambre (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 69, 'Torre (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 70, 'Vilar (Portofontao)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 71, 'Vilareal', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 72, 'Vilaseco (Marquio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 73, 'Vilorin', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15887', 74, 'Vimieiro (Ponte Carreira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15888', 1, 'A Barciela (Santo Andre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15888', 2, 'A Garabanxa', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15888', 3, 'A Igrexa (A Barciela)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15888', 4, 'Oroso', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15888', 5, 'A Polveira (Sigeiro)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15888', 6, 'Pousada (Sigeiro)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15888', 7, 'Sigeiro (Oroso)', 150601, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15889', 0, 'Mariao', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 1, 'Aeroporto (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 2, 'Amio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 3, 'Balio (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 4, 'Balsoma', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 5, 'Bando de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 6, 'Bando de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 10, 'A Escarabua', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 43, 'Outeiro (Cumbraos)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 44, 'Paio (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 45, 'Pereiro de Abaixo', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 46, 'Pereiro de Arriba', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 47, 'Pias (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 48, 'Picoto (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 49, 'Portagal', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 50, 'Portodoasno', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 51, 'Pousada (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 52, 'Pousada de Abaixo (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 53, 'Pousada de Arriba (Sobrado)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 54, 'Ramil (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 55, 'Redigode', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 56, 'Regas (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 57, 'Rego Xangote', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 58, 'Roade (San Andres)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 59, 'Sar (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 60, 'Torre (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 61, 'Vidueiros (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 62, 'Vilacha', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 63, 'Viladomonte', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 64, 'Vilamor', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 65, 'Vilar (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 66, 'Vilar de Maceira', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15815', 67, 'Vilario (Roade)', 150807, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 1, 'Adamonde', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 2, 'Aldea do Medio', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 3, 'Amenedo', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 4, 'Barrio Las Cruces', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 5, 'Brijaria (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 6, 'Cal (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 7, 'Camareiro (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 8, 'Capela (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 9, 'Carregosa', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 10, 'Carretera (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 11, 'Casal de Abaixo (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 12, 'Casal de Arriba (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 13, 'Castrelo (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 14, 'Castro (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 15, 'Ciudadela (Santa Maria)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 16, 'Codesoso do Monte', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 17, 'Costoia (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 18, 'Coto (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 19, 'As Cruces', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 20, 'Dombrete', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 21, 'Farla', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 22, 'Gandaras', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 23, 'Grixalba (San Xulian)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 24, 'Guiximil', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 25, 'A Iglesia (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 26, 'Insua (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 27, 'Lagos (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 28, 'Laxe (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 29, 'Liorfe', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 30, 'Lousado', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 31, 'Martin (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 32, 'Orxas (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 33, 'Outeiro (Roade)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 34, 'Paraos (Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 35, 'Penagrande (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 36, 'Rasao', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 37, 'Rivas (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 38, 'Sabuceda', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 39, 'Sante (Ciudadela)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 40, 'Sante (Grixalba)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 41, 'Sante de Baixo', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 42, 'Suavila', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 43, 'Uceira (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 44, 'Vilarcha', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 45, 'Vilario (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 46, 'Vilasuso (As Cruces)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15816', 47, 'Zanca', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15817', 0, 'O Vilar (Mercurin)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 1, 'Abeleira (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 2, 'Abuis', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 3, 'Aquelavila (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 4, 'Arceo', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 5, 'Arosa (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 6, 'Asientos', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 7, 'Baiuca (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 8, 'Barcioi (Carelle)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 9, 'Barral (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 10, 'Bertomil', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 11, 'Boido', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 12, 'Boimil (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 13, 'Boimorto', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 14, 'Brates (San Pedro)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 15, 'Cabana (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 16, 'Campo (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 17, 'Campo (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 18, 'Campos (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 19, 'Canto do Balo', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 20, 'Carballeira (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 21, 'Carballido (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 22, 'Cardeiro', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 23, 'Casal (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 24, 'Casal de Munin', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 25, 'Casanova (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 26, 'Casanova (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 27, 'Casetas (Boimort0)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 28, 'Castelo (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 29, 'Castro (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 30, 'Cela (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 31, 'Cerdeiria', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 32, 'Cernadela', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 33, 'Cheda (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 34, 'Cimadevila (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 35, 'Ciocende', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 36, 'Cobas (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 37, 'Codesido (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 38, 'Corredoira (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 39, 'Corredoiro (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 40, 'Cotelo (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 41, 'Coto (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 42, 'Cruceiro (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 43, 'Curras (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 44, 'Desecabo', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 45, 'Filgueira (Cullergondo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 46, 'Fontao (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 47, 'Fradega', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 48, 'Franzomil', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 49, 'Freixido (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 50, 'Froxa (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 51, 'Galieiras (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 52, 'Gandara (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 53, 'Gardoma', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 54, 'A Iglesia (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 55, 'A Iglesia (Boimil)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 56, 'A Iglesia (Cordeiro)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 57, 'A Iglesia (Sendelle)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 58, 'Lamas (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 59, 'Lamas (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 60, 'Leira Longa', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 61, 'Lobomorto', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 62, 'Marco de Abaixo', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15928', 7, 'Or', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 63, 'Marco de Arriba', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 64, 'Mercurin (San Xoan-Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 65, 'Moscosas', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 66, 'Muios de Baldoa', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 67, 'Nogaredo', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 68, 'Outeiro (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 69, 'Outeiro (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 70, 'Pazo (Brates)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 71, 'Pazo (Guerras)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 72, 'Pazo (Oleiros)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 73, 'Pazo (Sendelle)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 74, 'Pedral (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 75, 'Peizas (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 76, 'Pieiro (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 77, 'Pieiro de Abaixo (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 78, 'Pieiro de Arriba (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 79, 'Pousada (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 80, 'Quintans (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 81, 'Real (Boimil)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 82, 'Real (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 83, 'Rego do Pazo', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 84, 'Rego do Seixo', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 85, 'Rio (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 86, 'Rivadizo de Mella', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 87, 'Riveiro', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 88, 'Romelas', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 89, 'Saamil (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 90, 'Sande (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 91, 'Santar Boimorto', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 92, 'Santarandel', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 93, 'Sendelle (Santa Maria)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 94, 'Sisto (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 95, 'Sobreira (Arceo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 96, 'Sobreira (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 97, 'Souto (Buazo)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 98, 'Teixide', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 99, 'Toa', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 100, 'Vieite (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 101, 'Vila (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 102, 'Viladoniga (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 103, 'Vilanova (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 104, 'Vilanova (Sendelle-Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 105, 'Vilar (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 106, 'Vista Alegre (Boimorto)', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15818', 107, 'Xesteiras', 150102, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 1, 'Abruedo (Mella)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 2, 'Aquel Cabo', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 3, 'Arzua (Santa Maria)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 4, 'Baiobre (Branza)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 5, 'Baltar (Arzua)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 6, 'Bar', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 7, 'Barballas (Baltar)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 8, 'Barros (Lema-Villantime)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 9, 'Barros (Villantime)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 10, 'As Barrosas', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 11, 'Beis', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 12, 'Bosende', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 13, 'Brandeso', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 14, 'Branza (Santa Leocadia)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 15, 'Branzailla', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 16, 'Buratas', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 17, 'Burres', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 18, 'Bustelo (Brandeso)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 19, 'Cabana (Mella)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 20, 'Calles (Orxal)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 21, 'Calvos (O Orxal)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 22, 'Calvos de Sobrecamio', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 23, 'Calzada (Burres)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 24, 'Campo (San Estevo-Orxal)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 25, 'Campo de Capillas', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 26, 'Campos (Brandeso)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 27, 'Capelan (Mella)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 28, 'Carballeira (Brandero)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 29, 'Carballido (Oines)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 30, 'Carballo (Branza)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 31, 'Carballos Altos', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 32, 'Carral (Branza)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 33, 'Casal (Oines)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 34, 'Casal de Abaixo (Brandeso)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 35, 'Casal de Arriba (Brandeso)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 36, 'Casal de Arriba (Branza)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 37, 'Casal de Souto', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 38, 'Casaldueiro', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 39, 'Casanova (Baltar)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 40, 'Casanova (Brandeso)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 41, 'Casanova (Mella)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 42, 'Casanova (Oines)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 43, 'Castelo (Baltar)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 44, 'Castrillon (Mella)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 45, 'Castro (Burres)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 46, 'Castro (Mella)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 47, 'Caota', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 48, 'Chinelo', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 49, 'Cimadevila (Brandeso)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 50, 'Cimadevila (Maroxo)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 51, 'Cinco Casas', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 52, 'Cobas (Brandeso)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 53, 'Cornado (Branza)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 54, 'Corras (Baltar)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 55, 'Corredoiras (Burres)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 56, 'Cortobe (Burres)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 57, 'Coseira (Orxal)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 58, 'Coto (Branza)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 59, 'Couto (Oins)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 60, 'Cruceiro (Burres)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 61, 'Cruceiro (Mella)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 62, 'A Cruz (Maroxo)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 63, 'Cubelo (Brandeso)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 64, 'Cuia de Abaixo', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 65, 'Cuia de Arriba', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 66, 'Curiscada', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 67, 'Currales', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 68, 'Curuxeiras (Burres)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 69, 'Denoi', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 70, 'Devesa (Burres)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 71, 'Dodro (Santa Maria-Oines)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 72, 'Doea', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 73, 'Dombodan', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 74, 'Eirexe (Baltar)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 75, 'Escalleiro', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 76, 'Fabal (Brandeso)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 77, 'Faxil', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 78, 'Ferradal (Oins)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 79, 'Filgueira (Boimorto)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 80, 'Filgueira (Villantine)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 81, 'Follenza', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 82, 'Fondevila (Burres)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 83, 'Fondevila (Maroxo)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 84, 'Fondevila (Pantiobre)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 85, 'Fonte (Mella)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 86, 'Fonte Outeiro', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 87, 'Fonte Santa', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 88, 'Fontelas (Burres)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 89, 'Fontesagrada', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 90, 'Fonxe', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 91, 'Formigueiro (Baltar)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 92, 'Foxado (Mella)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 93, 'Fraga (Mellas)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 94, 'Fraga (Oins)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 95, 'Friosende', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 96, 'Fruzo', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 97, 'Fucarelos (Orxal)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 98, 'Fugueirada', 150465, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 99, 'Gaiteira', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 100, 'Gandaron (O Orxal)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 101, 'Garmalla', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 102, 'Golan (San Xulian)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 103, 'Gomesende (Branza)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 104, 'Gostedes', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 105, 'Gramil', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 106, 'Granxeiro', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 107, 'Grobas (Santa Maria)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 108, 'Hortas', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 109, 'Iglesia (Arzua)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 110, 'Iglesia (Brandeso)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 111, 'Iglesia (Branza)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 112, 'Iglesia (Burres)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 113, 'Iglesia (Calvos de Sobrecamio', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 114, 'Iglesia (Campo)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 115, 'Iglesia (Dodro)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 116, 'Iglesia (Mella)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 117, 'Iglesia (Oins)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 118, 'Iglesia (Pantiobre)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 119, 'Iglesia (Vilantime)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 120, 'Iglesia (Vias)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 121, 'Lameiro (Orxal)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 122, 'Lema (San Pedro)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 123, 'Lema de Abaixo', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 124, 'Lema de Arriba', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 125, 'Leon de Abaixo (Oins)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 126, 'Leon de Arriba (Oins)', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15819', 127, 'Lindeiros', 150063, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 1, 'Aeroporto Labacolla (La Corua', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 2, 'Albarde', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 3, 'Amarelle (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 4, 'Bando (Santa Eulalia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 5, 'Carballal (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 6, 'Casais (Sabugueira-San Paio)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 7, 'As Casas da Hedra (O -San Pedr', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 8, 'A Castineira Grande', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 9, 'A Castieira Grande', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 10, 'A Castieira Pequena', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 11, 'O Castro (Bando-Santa Eulalia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 12, 'Centieirxa', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 13, 'A Esquipa (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 14, 'Lamas (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 15, 'A Lameira (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 16, 'A Lavacolla', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 17, 'Mourentan', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 18, 'Neiro', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 19, 'Noval (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 20, 'Pieiro (O -San Xulian Carball', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 21, 'Pieiro (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 22, 'Ponte de Lamas', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 23, 'Pontes (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 24, 'O Pontillon', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 25, 'Pousada (Bando-Santa Eulalia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 26, 'A Praza (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 27, 'Quenllas (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 28, 'Quintans (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 29, 'As Quintas (O -San Xulian Carb', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 30, 'Requesende (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 31, 'San Paio (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 32, 'A Sionlla', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 33, 'Tarrio (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 34, 'Vilamaior (Lavacolla)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 35, 'Vilamaior (Sabugueiro-San Paio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15820', 36, 'Xan Xordo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 1, 'Alvarin', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 2, 'Alvite (O Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 3, 'Amenal (O Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 4, 'Ameneiral', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 5, 'Arca', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 6, 'Arcai de Abaixo', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 7, 'Astrar', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 8, 'Beis', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 9, 'Boutureira (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 10, 'Budio', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 11, 'Burgo (Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 12, 'Cancelas (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 13, 'Carollio', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 14, 'Casanova (Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 15, 'Castro (Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 16, 'Castrofeito', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 17, 'Cimadevila (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 18, 'Cimadevila (Pinoel)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 19, 'Couto (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 20, 'Cruceiro (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 21, 'Enquerentes (San Miguel)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 22, 'Figueroa (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 23, 'Fixo', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 24, 'Fontaia (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 25, 'Iglesia (Budio)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 26, 'Iglesia (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 27, 'A Iglesia (Arca)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 28, 'A Iglesia (Pereira)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 29, 'Lameiro (Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 30, 'Medin (O Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 31, 'Monte (Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 32, 'Outeiro (O Orxal)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 33, 'Paraoa', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 34, 'Pazo (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 35, 'Pazos (O Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 36, 'Pazos de Abaixo (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 37, 'Pazos de Arriba (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 38, 'Pedrouzo (O Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 39, 'Pereira (San Miguel) (Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 40, 'Picon (O Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 41, 'O Pino', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 42, 'Porta Dos Roxos', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 43, 'Quintans (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 44, 'Regodauga', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 45, 'Rial (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 46, 'Rua (O Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 47, 'Saamil (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 48, 'Saamil (O Pino)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 49, 'San Anton', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 50, 'Santa Irene', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 51, 'Sar (Castrofeito)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 52, 'Tixolio', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 53, 'Vilaboa (Vilasantar)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 54, 'Vilabuil', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15821', 55, 'Vilarreal', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02008', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 1, 'Aldreu', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 2, 'Arinteiro', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 3, 'Arroeiro', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 4, 'Bama', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 5, 'Bamela', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 6, 'Barral (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 7, 'Barreiria', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 8, 'Basebe', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 9, 'Belvis (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 10, 'Bendaa (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 11, 'Bentin', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 12, 'Besaa', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 13, 'Brandelos', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 14, 'Bravos', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 15, 'Bugalleira (Vilar)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 16, 'Bustelo (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 17, 'Calvos (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 18, 'Calvos de Socamio', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 19, 'Campelo (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 20, 'Campo (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 21, 'Capela (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 22, 'Carballio (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 23, 'Casal (Vilar)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 24, 'Casas Novas (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 25, 'Cascallon', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 26, 'Castro (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 27, 'Castro (Pino (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 28, 'Cezar (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 29, 'Chaos (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 30, 'Cillobre (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 31, 'Cimadevila (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 32, 'Circes (Santa Maria)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 33, 'Corbite', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 34, 'Cornado (San Tirso-Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 35, 'Coto (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 36, 'Coto de Millan', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 37, 'Cruz (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 38, 'Dezas', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 39, 'Dozarias', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 40, 'Fao (Santa Uxia)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 41, 'Fonte Diaz', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 42, 'Fonte Rosas (San Xoan)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 43, 'Foxas (San Verisimo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 44, 'Foxas de Abaixo', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 45, 'Freire', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 46, 'Gagos', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 47, 'Goleta', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 48, 'Gordel (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 49, 'Goritas (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 50, 'Grixo', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 51, 'Iglesia (Foxas)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 52, 'A Iglesia (Bama)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 53, 'A Iglesia (Fao)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 54, 'A Iglesia (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 55, 'A Iglesia (Nuevefuente)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 56, 'Insua (Pino-Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 57, 'Loureda (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 58, 'Louredela', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 59, 'Loxo (Santa Maria)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 60, 'Lubagueiras', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 61, 'Mane', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 62, 'Marza', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 63, 'Meres (Calvos de Socamio)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 64, 'Meres (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 65, 'Millares Grande', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 66, 'Millares Pequeno', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 67, 'Montaron', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 68, 'Monte (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 69, 'Mourelos Hermo', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 70, 'Mourelos Poblado', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 71, 'Moutaron', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 72, 'Muios (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 73, 'Murgas (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 74, 'Noayo', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 75, 'Novefontes (Santiago)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 76, 'Obra (Foxas)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 77, 'Outeiro (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 78, 'Paces (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 79, 'Peixon', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 80, 'Pena (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 81, 'Penela (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 82, 'Porcariza (Vilar)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 83, 'Pousada (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 84, 'Prevedios (Santiago)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 85, 'Quintans (Enquerentes)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 86, 'Quintas (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 87, 'Quintas (Pino-Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 88, 'Remesquide', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 89, 'Ribeira (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 90, 'Ribeira (San Pedro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 91, 'Rilo (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 92, 'Rosende (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 93, 'San Cristobo (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 94, 'San Pedro (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 95, 'San Sebastian (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 96, 'Sanguedo', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 97, 'Santaia (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 98, 'Santirso (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 99, 'Sar (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 100, 'Sartes', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 101, 'Sestelo (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 102, 'Silva (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 103, 'Sobredo (Foxas)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 104, 'Souto (Carnoedo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 105, 'Soutullo (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 106, 'Subres', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 107, 'Tarrio (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 108, 'Tolan (Foxas)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 109, 'Torre (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 110, 'Torreis de Abaixo', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 111, 'Torreis de Arriba', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 112, 'Touro (San Xoan)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 113, 'Tribas', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 114, 'Turces (Sta Maria)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 115, 'Vilanova (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 116, 'Vilapedre (Touro)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 117, 'Vilar (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 118, 'Vilar (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 119, 'Vilar (San Miguel)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 120, 'Vilar (Vilar)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 121, 'Xesteira (Loxo)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 122, 'Xondo', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15822', 123, 'Xunqueira (Cornado)', 150853, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 1, 'Angumil (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 2, 'Bermas de Abaixo', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 3, 'Bermas de Arriba', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 4, 'Brea (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 5, 'Cabo (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15823', 6, 'Casal (Cebreiro)', 150660, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 19, 'Silva (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 20, 'Sixto (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 21, 'Sorribas (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 22, 'Touriz (A Esclavitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 23, 'Vigo (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 25, 'Vilar de Abade', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 24, 'Vilar (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 26, 'Xiaxe (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 1, 'A Calle (Urdilde)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 2, 'Dodrio', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 3, 'Dodro (Padron)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 4, 'Eiro', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 5, 'A Igrexa (Dodro)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 6, 'A Igrexa (Laio-San Xian)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 7, 'Laio (San Xian)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 8, 'Manselle', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 9, 'Muronovo', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 10, 'Paizal', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 11, 'Pexegueiro', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 12, 'Pexigueiro', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 13, 'Reboiras', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 14, 'Revixos', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 15, 'Rial de Lagoa', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 16, 'Rialio', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 17, 'Sar (Dodro)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 18, 'Susavila', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 19, 'Tallos', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 20, 'Tarrio (Dodro)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 21, 'Traxeito', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15981', 22, 'Vigo (Dodro)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15982', 1, 'Bexo', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15982', 2, 'Bustelo (Imo)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15982', 3, 'Castro (Imo)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15982', 4, 'Castro (San Xoan de Laio-San', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15982', 5, 'A Devesa (Imo)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15982', 6, 'Imo', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15982', 7, 'San Xoan de Laio (San Xoan)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15982', 8, 'Teaio', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15983', 1, 'Bacariza (Isorna)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15983', 2, 'Becariza', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15983', 3, 'Castelo (Isorna)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15983', 4, 'Isorna', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15983', 5, 'Quintans (Isorna)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15983', 6, 'A Vacariza (Isorna)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 1, 'Arao', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 2, 'Asadelos', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 3, 'Asados', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 4, 'A Atalaia (Asados)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 5, 'Batan (Arao)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 6, 'Buhide (Arao)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 7, 'Bures', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 8, 'Campelo (Arao)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 9, 'Capela (Arao)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 10, 'Carballal (Arao)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 11, 'Castieira (Asados)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 12, 'Cerqueiras (Arao)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 13, 'A Devesa (Asados)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 14, 'Ferreria (Arao)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 15, 'Foxacos', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 16, 'Laxido', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 17, 'Lustres', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 18, 'A Mamoa (Asados)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 19, 'A Marquesa', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 20, 'As Mirans', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 21, 'Outeiro', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 22, 'Pousadas (Arao)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 23, 'Somoza', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 24, 'Suiglesia (Asados)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 25, 'Traba (Arao)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 26, 'Vilanustre', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 27, 'Vilar (Arao)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15984', 28, 'Vilas (Asados)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 1, 'A Burata (Taragoa)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 2, 'O Burato', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 3, 'Cartomil', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 4, 'Chorente', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 5, 'Corgues', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 6, 'O Criceiro (Taragoa)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 7, 'Cuvide', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 8, 'Dorna (Taragoa)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 9, 'Fachan', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 10, 'Fonte (Taragoa)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 11, 'A Iglesia (Taragoa)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 12, 'Iobre', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 13, 'Laxe Grande', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 14, 'Laxe Pequeno', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 15, 'Ourelle', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 16, 'Ousolo', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 17, 'Paradela (Taragoa)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 18, 'Pastoriza (Taragoa)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 19, 'Susan', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15985', 20, 'Taragoa', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 1, 'Agra de Riveira', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 2, 'Aramada', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 3, 'Arribada (Ponte Beluso)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 4, 'Bea', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 5, 'Bealo', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 6, 'Beluso', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 7, 'Boimazar (Ponte Beluso)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 8, 'Burata (Ponte Beluso)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 9, 'Comba (Ponte Beluso)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 10, 'Cubide', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 11, 'Galea (Ponte Beluso)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 12, 'Gandoso', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 13, 'Guian', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 14, 'Hermida (Ponte Beluso)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 15, 'Iglesia (Ponte Beluso)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 16, 'Landeira (Ponte Beluso)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 17, 'Loimar (Ponte Beluso)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 18, 'Montexean', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 19, 'Ponte Beluso', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 20, 'San Ramon (Ponte Beluso)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15990', 21, 'Trieites', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 1, 'Agueiros (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 2, 'Arribada (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 3, 'Baladao', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 4, 'Benibas (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 5, 'Brea (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 6, 'Cespon', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 7, 'Comba (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 8, 'Covia (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 9, 'Cubelio', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 10, 'Deira', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 11, 'Ferreiros (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 12, 'Fixos', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 13, 'Fontaia (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 14, 'Fontecoba (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 15, 'Garamelo', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 16, 'Guilleiro', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 17, 'Iglesia (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 18, 'Lamas (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 19, 'Loimar (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 20, 'Lomba (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 21, 'Lourio (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 22, 'Nine', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 23, 'Pescio', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 24, 'Ponte Brea', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 25, 'Quinteiro (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 26, 'Reboredo (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 27, 'San Roque (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 28, 'Sandrenzo de Abaixo', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 29, 'Sandrenzo de Arriba', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 30, 'Sar (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 31, 'Soutio (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 32, 'Souto Novo (Cespon)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15991', 33, 'Trebonzos', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 12, 'Insuela (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 14, 'Lomba (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 15, 'Mioteiro', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 16, 'Modorrones', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 17, 'Mondelo', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 18, 'Mourelos (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 19, 'Muio Vello (Palmira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 20, 'Palmeira', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 21, 'Partealrio (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 22, 'Plaza (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 23, 'Rosende (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 24, 'Saia (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 25, 'Vilar (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 26, 'Vintin', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15957', 1, 'Lidon', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15957', 2, 'Ribeira (Vigo-San Vicente)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15958', 0, 'Regueira de Abaixo (Vilela)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15959', 1, 'Cambra (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15959', 2, 'Palmeira (Circular)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15960', 0, 'Ribeira (Santa Uxia)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15960', 1, 'Ribeira', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15964', 0, 'Sinagoga', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15965', 1, 'Aguio', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15965', 2, 'Castro (Aguio)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15965', 3, 'Praia de Castro', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15965', 4, 'Couso (Aguio)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15965', 5, 'Listres', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15966', 1, 'Ameixida', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15966', 2, 'Castieiras (Castieiras)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15966', 3, 'Martin (Castieiras)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15966', 4, 'Souto (Sumio)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15966', 5, 'Touro (Castieiras)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 1, 'Campos (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 2, 'Capela (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 3, 'Carreira (Riveira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 4, 'Carreiria', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 5, 'Casalnovo', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 6, 'Castieiras', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 7, 'Catro', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 8, 'Cruce (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 9, 'Filgueira (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 10, 'Frions', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 11, 'Graa (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 12, 'Lajes', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 13, 'Montevixan', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 14, 'Outeiro (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 15, 'Partealrio (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 16, 'Pedrias (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 17, 'Pedrosa (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 18, 'Savartan (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15967', 19, 'Vilar (Carreira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 1, 'Caramecheiro', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 2, 'Carballal (Caramecheiro)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 3, 'Carballios', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 4, 'As Carolianas', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 5, 'Corral de Abaixo (Caramecheiro', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 6, 'Corral de Arriba (Caramecheiro', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 7, 'Cruxeiras (Caramecheiro)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 8, 'Dean Grande', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 9, 'Dean Pequeno', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 10, 'Fondevila (Caramocheira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 11, 'Habana', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15968', 12, 'Vista Alegre (Caramecheiro)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 1, 'Arribas (Artes)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 2, 'Artes (Corrubedo)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 3, 'Os Barreiros (Artes)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 4, 'Boucias (Artes)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 5, 'Bretal', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 6, 'Campelos (Artes)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 7, 'Casanande', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 8, 'Castro (Artes)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 9, 'Cocheriza', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 10, 'Conlleira', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 11, 'Corrubedo', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 12, 'Cristal', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 13, 'Espieirido', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 14, 'Gandara (Artes)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 15, 'Goda', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 16, 'Gude', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 17, 'Olveira de Arriba', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 18, 'Olveira de Iglesia', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 19, 'Outeiro (Artes)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 20, 'Reiriz', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 21, 'Sego (Artes)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 22, 'Sirves', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 23, 'Teira', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 24, 'Teixeira (Artes)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15969', 25, 'Vias (Artes)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15970', 0, 'Porto do Son', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 1, 'Belga', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 2, 'Cadeiras (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 3, 'Calo (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 4, 'Campos de Prado', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 5, 'Cans', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 6, 'Carantoa (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 7, 'Castrallon (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 8, 'Coira (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 9, 'Couto (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 10, 'Curro (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 11, 'Empalme de Nebra', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 12, 'Escorrentada', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 13, 'Foloa', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 14, 'Iglesia (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 15, 'Jansin', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 16, 'Nebra', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 17, 'Orseo', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 18, 'Pazo (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 19, 'Pedra do Lobo', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 20, 'Pedroisoas', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 21, 'Perceboi', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 22, 'Perdigueira', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 23, 'Puilla', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 24, 'Puilla Boa', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 25, 'Queiro', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 26, 'Resua', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 27, 'Sendia (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 28, 'Sobrado (Nebra)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 29, 'Terrona', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 30, 'Tores', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 31, 'Xosin', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15978', 32, 'Yeste', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 1, 'Abuin (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 2, 'Arnela (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 3, 'Baroa', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 4, 'Campanario (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 5, 'Iglesia (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 6, 'Insuas (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 7, 'Lagarto', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 8, 'A Lavandeira (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 9, 'Monte Muio', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 10, 'Mourella', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 11, 'Orellan', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 12, 'Penas (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 13, 'Raa (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 14, 'Seoane (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 15, 'Tarrio (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 16, 'Udres', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15979', 17, 'Vilar (Baroa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 1, 'Angueira de Suso (A Escravitud', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 2, 'Angueira do Castro (A Escravit', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 3, 'Areal (A Esclavitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 4, 'Baiuca (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 5, 'Belina (Esclavitud)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 6, 'Codesido', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 7, 'Cruces (Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 8, 'A Esclavitude (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 9, 'O Faramello (Esclavitud)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 10, 'Francelos (A Esclavitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 11, 'Iglesia (Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 12, 'A Meana', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 13, 'Muios (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 14, 'Pedroso Norte (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 15, 'Picaraa (A Esclavitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 16, 'Prada (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 17, 'Queiruga (A Escravitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15980', 18, 'Reibo (A Esclavitude)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19246', 6, 'Padilla de Hita', 193188, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19246', 7, 'Villanueva de Argecilla', 193188, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19247', 1, 'Barrio Estacion de Jadraque', 191137, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19247', 2, 'Carrascosa de Henares', 191137, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19247', 3, 'Membrillera', 191790, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19247', 4, 'Jadraque', 191137, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19247', 5, 'Bujalaro', 190557, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19247', 6, 'Poligono Peablanca', 191137, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19248', 2, 'Hita', 191386, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19249', 2, 'El Chocolatero', 999999, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19250', 0, 'Siguenza', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19260', 0, 'Alcolea del Pinar', 190117, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19261', 1, 'Cortes de Tajua', 190117, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19261', 2, 'Luzaga', 191620, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19261', 3, 'Tortonda', 190117, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19261', 4, 'Villaverde del Ducado', 190117, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19262', 1, 'Barbatona', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19262', 2, 'Estriegana', 191168, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19262', 3, 'Jodra del Pinar', 192516, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19262', 4, 'Sauca', 192516, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19263', 1, 'Bujarrabal', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19263', 2, 'Cubillas del Pinar', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19263', 3, 'Guijosa', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19264', 1, 'Alboreca', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19264', 2, 'Alcuneza', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19264', 3, 'Horna', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19264', 4, 'Mojares', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19264', 5, 'Olmedillas', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19265', 1, 'Matas', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19265', 2, 'Pozancos', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19265', 3, 'Ures', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19266', 1, 'El Atance', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19266', 2, 'Bujalcayado', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19266', 3, 'Carabias', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19266', 4, 'Cirueches', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19266', 5, 'Olmeda de Jadraque', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19266', 6, 'Palazuelos', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19266', 7, 'Salinas de la Olmeda', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19267', 1, 'La Cabrera', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19267', 2, 'Los Heros', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19267', 3, 'Moratilla de Henares', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19268', 1, 'Algora', 190175, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19268', 2, 'La Fuensavian', 190175, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19268', 3, 'Laranueva', 192825, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19268', 4, 'Mirabueno', 191863, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19268', 5, 'Navalpotro', 192825, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19268', 6, 'Pelegrina', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19268', 7, 'Torremocha del Campo', 192825, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19268', 8, 'La Torresavian', 190175, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 1, 'La Barbolla', 192385, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 2, 'Cardeosa', 192385, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 3, 'Cercadillo', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 4, 'Imon', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 5, 'Querencia', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 6, 'Riba de Santiuste', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 7, 'Rienda', 192108, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 8, 'Riofrio del Llano', 192385, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 9, 'Riosalido', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 10, 'Riotobi', 192385, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 11, 'Santamera', 192385, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 12, 'Sienes', 192568, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 13, 'Tobes', 192385, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 14, 'Torre de Valdealmendras', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 15, 'Torrecilla del Ducado', 192568, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 16, 'Valdealmendras', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 17, 'Valdelcubo', 193037, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19269', 18, 'Villacorza', 192574, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19270', 0, 'Atienza', 190447, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19274', 0, 'Villacadima', 190655, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19275', 1, 'Albendiego', 190083, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19275', 2, 'Campisabalos', 190616, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19275', 3, 'Cantalojas', 190655, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19275', 4, 'Condemios de Abajo', 190959, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19275', 5, 'Condemios de Arriba', 190962, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19275', 6, 'Galve de Sorbe', 191272, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19275', 7, 'Somolinos', 192593, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19276', 1, 'Alpedroches', 190498, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19276', 2, 'Bauelos', 190498, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19276', 3, 'Bochones', 190447, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19276', 4, 'Casillas de Atienza', 190498, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19276', 5, 'Caamares', 190498, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19276', 6, 'Higes', 190498, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19276', 7, 'Miedes de Atienza', 191811, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19276', 8, 'Romanillos de Atienza', 192419, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19276', 9, 'Tordelloso', 190498, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19276', 10, 'Ujados', 192944, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19277', 1, 'Alcolea de Las Peas', 190100, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19277', 2, 'Cincovillas', 190870, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19277', 3, 'Madrigal', 190447, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19277', 4, 'Paredes de Siguenza', 192108, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19277', 5, 'Tordelrabano', 192705, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19278', 1, 'La Bodera', 191850, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19278', 2, 'La Miosa', 191850, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19278', 3, 'Naharros', 191850, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19280', 0, 'Maranchon', 191706, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19281', 1, 'Balbacil', 191706, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19281', 2, 'Ciruelos del Pinar', 191706, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19281', 3, 'Clares', 191706, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19281', 4, 'Codes', 191706, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19283', 1, 'Anguita', 190328, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19283', 2, 'Iniestola', 191538, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19283', 3, 'Santa Maria del Espino', 190328, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19283', 4, 'Aguilar de Anguita', 190328, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19283', 5, 'Garbajosa', 190328, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19285', 0, 'Luzon', 191636, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19286', 1, 'Mazarete', 191752, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19286', 2, 'Solanillos', 191752, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19286', 3, 'Tobillos', 190334, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19287', 1, 'Anchuela del Campo', 191155, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19287', 2, 'Anquela del Ducado', 190334, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19287', 3, 'Concha', 192653, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19287', 4, 'Estables', 191155, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19287', 5, 'Turmiel', 191706, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19287', 6, 'Milmarcos', 191832, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19287', 7, 'Fuentelsaz del Campo', 191155, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19290', 1, 'Fontanar', 191174, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19290', 2, 'El Espinar', 191174, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19290', 3, 'Berjafel', 191174, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19292', 1, 'Copernal', 190984, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19292', 2, 'Espinosa de Henares', 191137, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19292', 3, 'Valdeancheta', 190984, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19294', 1, 'Aragosa', 191689, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19294', 2, 'Castejon de Henares', 190753, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19294', 3, 'Mandayona', 191689, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19294', 4, 'Villaseca de Henares', 193227, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19294', 5, 'Matillas', 191749, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19295', 1, 'Baides', 190479, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19295', 2, 'Huermeces del Cerro', 191478, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19295', 3, 'Viana de Jadraque', 193140, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19300', 0, 'Molina de Aragon', 191902, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19310', 1, 'Checa', 191039, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19310', 2, 'Chequilla', 191044, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19310', 3, 'Alcoroches', 190138, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19311', 0, 'Orea', 192043, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19312', 1, 'Pinilla de Molina', 192192, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19312', 2, 'Terzaga', 192672, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19312', 3, 'Terzaguilla', 192192, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19312', 4, 'Traid', 192897, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19313', 0, 'Peralejos de Las Truchas', 192167, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19314', 1, 'Armalla', 192640, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19314', 2, 'Salinas de Armalla', 192640, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19314', 3, 'Taravilla', 192640, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19315', 0, 'Megina', 191787, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19320', 1, 'Alustante', 190273, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19320', 2, 'Motos', 190273, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19323', 0, 'Tordesilos', 192727, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19324', 0, 'Setiles', 192555, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19325', 1, 'Adobes', 190030, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19325', 2, 'Piqueras', 192213, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19325', 3, 'Tordellego', 192712, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19326', 0, 'El Pobo de Dueas', 192228, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19327', 0, 'El Pedregal', 192136, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19328', 1, 'Castellar de la Muela', 190766, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19328', 2, 'Hombrados', 191399, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19328', 3, 'Morenilla', 191958, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19331', 2, 'Guisema', 999999, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19332', 1, 'Algar de Mesa', 190169, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19332', 2, 'Amayas', 192653, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19332', 3, 'Mochales', 191885, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19332', 4, 'Villel de Mesa', 193248, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19333', 1, 'Labros', 192653, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19333', 2, 'Tartanedo', 192653, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19334', 0, 'Hinojosa', 192653, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19336', 0, 'Pardos', 192094, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19337', 0, 'Torrubia', 192859, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19338', 0, 'Tortuera', 192878, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19339', 1, 'Cillas', 192430, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19339', 2, 'Embid', 191095, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19339', 3, 'Rueda de la Sierra', 192430, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19340', 0, 'Rillo de Gallo', 192379, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19341', 0, 'Corduente', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19342', 0, 'Herreria', 191348, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19343', 0, 'Canales de Molina', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19344', 0, 'Aragoncillo', 999999, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19345', 1, 'Arandilla', 192831, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19345', 2, 'Torremocha del Pinar', 192831, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19346', 0, 'Selas', 192542, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19350', 1, 'Anchuela del Pedregal', 191902, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19350', 2, 'Novella', 191902, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19351', 0, 'Tordelpalo', 191902, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19352', 0, 'Prados Redondos', 192271, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19353', 0, 'Chera', 192271, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19354', 0, 'Aldehuela', 192271, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19355', 0, 'Torrecuadrada de Molina', 192770, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19356', 0, 'Otilla', 999999, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19357', 0, 'Anquela del Pedregal', 190349, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19360', 0, 'Campillo de Dueas', 190595, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19361', 0, 'La Yunta', 193325, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19362', 0, 'Cubillejo de la Sierra', 191902, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19363', 0, 'Cubillejo del Sitio', 191902, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19390', 1, 'Almalla', 190485, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19390', 2, 'Baos de Tajo', 190485, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19390', 3, 'Escalera', 193093, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19390', 4, 'Fuembellida', 191180, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19390', 5, 'Teroleja', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19390', 6, 'Tierzo', 192688, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19390', 7, 'Valhermoso', 193093, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19390', 8, 'Valsalobre', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19391', 1, 'Castilnuevo', 190791, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19391', 2, 'Pradilla', 192271, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19391', 3, 'Torremochuela', 192846, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19392', 1, 'Castellote', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19392', 2, 'Caizares', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19392', 3, 'Cuevas Labradas', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19392', 4, 'Cuevas Minadas', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19392', 5, 'Lebrancon', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19392', 6, 'Terraza', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19392', 7, 'Torete', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19392', 8, 'Torrecilla del Pinar', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19392', 9, 'Ventosa', 190997, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19400', 0, 'Brihuega', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19411', 1, 'Archilla', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19411', 2, 'Balconete', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19411', 3, 'Santa Clara', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19411', 4, 'Tomellosa', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19411', 5, 'Valfermoso de Tajua', 193080, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19411', 6, 'Romancos', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19412', 1, 'Fuentes de la Alcarria', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19412', 2, 'Valdesaz', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19412', 3, 'Caspueas', 190740, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19412', 4, 'Valdegrudas', 193021, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19412', 5, 'La Matilla', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19413', 1, 'Castilmimbre', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19413', 2, 'Malacuera', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19413', 3, 'Olmeda del Extremo', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19413', 4, 'Pajares', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19413', 5, 'Hontanares', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19413', 6, 'Villaviciosa de Tajua', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19413', 7, 'Yela', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19420', 0, 'Cifuentes', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19429', 1, 'Huetos', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19429', 2, 'Ruguilla', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19429', 3, 'Sotoca de Tajo', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19429', 4, 'Val de San Garcia', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19431', 1, 'Carrascosa de Tajo', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19431', 2, 'Oter', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19431', 3, 'Canredondo', 190642, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19431', 4, 'Torrecuadradilla', 192786, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19432', 1, 'Abanades', 190019, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19432', 2, 'Canales del Ducado', 192445, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19432', 3, 'Ocentejo', 191996, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19432', 4, 'Renales', 192825, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19432', 5, 'Sacecorbo', 192445, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19441', 1, 'Huertahernando', 191484, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19441', 2, 'La Loma', 191484, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19441', 3, 'Riba de Saelices', 192350, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19441', 4, 'Ribarredonda', 192350, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19442', 0, 'Ablanque', 190024, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19443', 1, 'Buenafuente del Sistal', 190903, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19443', 2, 'Cobeta', 190903, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19443', 3, 'Saelices de la Sal', 192461, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19444', 1, 'Olmeda de Cobeta', 192017, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19444', 2, 'Villar de Cobeta', 193331, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19445', 1, 'La Hortezuela de Ocen', 190328, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19445', 2, 'Padilla del Ducado', 190328, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19445', 3, 'Sotodosos', 192614, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19445', 4, 'Villarejo de Medina', 190328, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19445', 5, 'Esplegares', 191142, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19450', 0, 'Trillo', 192918, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19458', 1, 'Instituto Leprologico de Trill', 192918, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19458', 2, 'Leproseria de Trillo', 192918, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19458', 4, 'El Soto', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19459', 1, 'Gargoles de Abajo', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19459', 2, 'Gargoles de Arriba', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19459', 3, 'Gualda', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19459', 4, 'Picazo', 190544, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28054', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19459', 5, 'Valdelagua', 190544, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19459', 6, 'Sanatorio de Trillo', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19459', 7, 'Central Nuclear de Trillo', 190864, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19460', 0, 'Villanueva de Alcoron', 193172, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19461', 1, 'Armallones', 190404, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19461', 2, 'Huertapelayo', 193331, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19462', 0, 'Pealen', 192141, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19463', 0, 'Poveda de la Sierra', 192234, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19490', 1, 'Alaminos', 190045, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19490', 2, 'Barriopedro', 190501, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19490', 3, 'Civica', 190539, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19490', 4, 'Cogollor', 190910, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19490', 5, 'Masegoso de Tajua', 191728, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19490', 6, 'Valderrebollo', 193068, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19490', 7, 'Almadrones', 190208, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19490', 8, 'Venta de Almadrones', 190045, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19491', 1, 'Las Inviernas', 192825, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19491', 2, 'El Sotillo', 192825, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19491', 3, 'Torrecuadrada de los Valles', 192825, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19491', 4, 'Henche', 191327, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19491', 5, 'Moranchel', 192825, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19491', 6, 'Solanillos del Extremo', 192580, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19492', 1, 'Azaon', 192918, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19492', 2, 'Morillejo', 192918, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19492', 3, 'La Solana', 192918, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19492', 4, 'Viana de Mondejar', 192918, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19492', 5, 'Arbeteta', 190387, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19492', 6, 'La Puerta', 192918, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19492', 7, 'Valdenaya', 192918, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19492', 8, 'Valtablado del Rio', 193107, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19492', 9, 'El Recuenco', 192918, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19493', 2, 'Peralveche', 192173, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19493', 6, 'Villaescusa de Palositos', 192173, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19495', 1, 'El Campillo', 193331, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19495', 2, 'Zaorejas', 193331, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20001', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20002', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20003', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20004', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20005', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20006', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20007', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20008', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20009', 2, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20010', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20011', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20012', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20013', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20014', 2, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20015', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20016', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20017', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20018', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20070', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20071', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20080', 0, 'Donostia-San Sebastian', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20100', 1, 'Gaintxurizketa', 200533, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20100', 2, 'Lezo', 200533, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20100', 3, 'Oliden', 200533, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20100', 4, 'Renteria', 200533, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20100', 5, 'Zamalbide', 200533, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20110', 1, 'Pasai Antxo', 200646, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20110', 2, 'Pasai Donibane', 200646, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20110', 3, 'Pasai San Pedro', 200646, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20110', 4, 'Pasaia', 200646, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20110', 5, 'Pasajes', 200646, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20115', 1, 'Astigarraga', 209035, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20115', 2, 'Barrio de Ergobia', 209035, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20120', 0, 'Hernani', 200408, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20128', 1, 'Ereozu', 200408, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20128', 2, 'Fagollaga', 200408, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20128', 3, 'Otsiaga', 200408, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20128', 4, 'Pagoaga', 200408, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20128', 5, 'Zikuaga', 200408, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20130', 0, 'Urnieta', 200723, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20140', 1, 'Andoain', 200090, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20140', 2, 'Soravilla', 200090, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20150', 1, 'Aduna', 200028, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20150', 2, 'Amasa', 200757, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20150', 3, 'Villabona', 200757, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20150', 4, 'Industrial Zizurkil', 200028, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20159', 1, 'Andazarrate', 200147, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20159', 2, 'Asteasu', 200147, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20159', 3, 'Cizurquil', 200147, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20159', 4, 'Elizmendi', 200147, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20159', 5, 'Errekaballea', 200147, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20159', 6, 'Larraul', 200489, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20159', 7, 'Zizurkil', 200283, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20160', 1, 'Lasarte', 209029, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20160', 2, 'Lasarte-Oria', 209029, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20160', 3, 'Oria', 209029, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20160', 4, 'Zubieta', 200697, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20170', 1, 'Aguinaga', 200739, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20170', 2, 'San Esteban', 200718, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20170', 3, 'Txikierdi', 200739, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20170', 4, 'Usurbil', 200739, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20180', 1, 'Alcibar', 200631, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20180', 2, 'Arragua', 200631, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20180', 3, 'Elizalde (Oyarzun)', 200631, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20180', 4, 'Ergoyen', 200631, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20180', 5, 'Gurutze', 200631, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20180', 6, 'Iturriotz', 200631, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20180', 7, 'Karrika', 200631, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20180', 8, 'Oiartzun', 200631, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20180', 9, 'Oyarzun', 200631, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20180', 10, 'Ugaldetxo', 200631, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20200', 0, 'Beasain', 200198, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20210', 1, 'Lazcano', 200492, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20210', 2, 'Lazkao', 200492, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20210', 3, 'Lazkaomendi', 200492, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20210', 4, 'Sempere', 200492, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20211', 1, 'Ataun (San Gregorio)', 200150, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20211', 2, 'Ataun (San Martin)', 200150, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20211', 3, 'Aya (Ataun)', 200150, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20211', 4, 'San Gregorio (Ataun)', 200150, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20211', 5, 'San Martin (Ataun)', 200150, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20212', 1, 'Iurre', 200586, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20212', 2, 'Olaberria', 200586, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20213', 1, 'Idiazabal', 200436, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20213', 2, 'Ursuaran', 200436, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20214', 1, 'Cerain', 200261, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20214', 2, 'Motiloa', 200570, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20214', 3, 'Mutiloa', 200570, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20214', 4, 'Segura', 200701, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20214', 5, 'Zerain', 200261, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20215', 1, 'Cegama', 200258, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20215', 2, 'Otzaurte', 200258, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20215', 3, 'Zegama', 200258, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20216', 0, 'Ormaiztegi', 200625, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20217', 0, 'Gabiria', 200381, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20218', 1, 'Arriaran', 200198, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20218', 2, 'Artz Machinventa', 200198, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20218', 3, 'Astigarreta', 200198, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20218', 4, 'Garin', 200198, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20218', 5, 'Gudugarreta', 200198, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20218', 6, 'Mandubia', 200356, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20218', 7, 'Matximenta', 200356, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20218', 8, 'Salbatore', 200198, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20220', 1, 'Brinkola', 200512, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20220', 2, 'Telleriarte', 200512, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20230', 0, 'Legazpia', 200512, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20240', 1, 'Ordizia', 200760, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20247', 0, 'Zaldibia', 200782, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20240', 2, 'Villafranca de Ordicia', 200760, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20248', 1, 'Altzaga', 209066, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20248', 2, 'Arama', 200126, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20248', 3, 'Gainza', 200375, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20249', 1, 'Isasondo', 200473, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20249', 2, 'Itsasondo', 200473, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20250', 0, 'Legorreta', 200527, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20259', 0, 'Baliarrain', 209040, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20260', 1, 'Alegia', 200052, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20260', 2, 'Alegria de Oria', 200052, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20267', 1, 'Aldaba', 200718, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20267', 2, 'Ikaztegieta', 200441, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20267', 3, 'Iruerrieta', 200718, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20268', 1, 'Altzo (Alto y Bajo)', 200087, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20268', 2, 'Alzo', 200087, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20268', 3, 'Amezketa', 200087, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20268', 4, 'Amezqueta', 200087, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20268', 5, 'Bedayo', 200718, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20268', 6, 'Ugarte', 200087, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20269', 1, 'Abalcisqueta', 200013, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20269', 2, 'Abaltzisketa', 200013, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20269', 3, 'Orendain', 209053, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20270', 1, 'Anoeta', 200104, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20270', 2, 'Irura', 200467, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20280', 1, 'Fuenterrabia', 200369, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20280', 2, 'Hondarribia', 200369, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20300', 0, 'Irun', 200454, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20301', 0, 'Irun', 200454, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20302', 0, 'Irun', 200454, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20303', 0, 'Irun', 200454, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20304', 0, 'Irun', 200454, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20305', 0, 'Irun', 200454, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20400', 1, 'Ibarra', 200420, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20400', 2, 'Tolosa', 200718, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20400', 3, 'Txarama', 200505, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20400', 4, 'Urkizu', 200718, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20490', 1, 'Lizartza', 200548, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20490', 2, 'Lizarza', 200548, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20490', 3, 'Oreja', 200548, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20490', 4, 'Orexa', 200603, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20491', 1, 'Belauntza', 200219, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20491', 2, 'Gaztelu', 209072, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20491', 3, 'Leaburu', 200505, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20492', 1, 'Berastegi', 200224, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20492', 2, 'Berastegui', 200224, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20493', 1, 'Berrobi', 200230, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20493', 2, 'Eldua', 200224, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20493', 3, 'Elduain', 200317, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20493', 4, 'Elduayen', 200230, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20494', 1, 'Alkiza', 200065, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20494', 2, 'Alquiza', 200065, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20494', 3, 'Hernialde', 200415, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20494', 4, 'Santa Lucia (Tolosa)', 200065, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20495', 1, 'Albiztur', 200049, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20495', 2, 'Santa Marina', 200662, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20496', 1, 'Bidania', 200245, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20496', 2, 'Bidegoyan', 200245, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20496', 3, 'Goyaz', 200245, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20500', 1, 'Arrasate', 200551, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20500', 2, 'Bedoa', 200551, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20500', 3, 'Mondragon', 200551, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20509', 1, 'Garagarza (Mondragon)', 200551, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20509', 2, 'Santa Agueda', 200551, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20530', 1, 'Leintz-Gatzaga', 200684, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20530', 2, 'Marin', 200343, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20530', 3, 'Salinas de Leniz', 200684, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20530', 4, 'Zarimuz', 200343, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20540', 0, 'Eskoriatza', 200343, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20550', 1, 'Arechavaleta', 200132, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20550', 2, 'Aretxabaleta', 200132, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20560', 1, 'Oate', 200599, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20560', 2, 'Oati', 200599, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20567', 0, 'Aranzazu', 200599, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20568', 1, 'Araoz', 200599, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20568', 2, 'Uribarri', 200599, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20568', 3, 'Urrejola', 200599, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20569', 1, 'Garagalza (San Juan)', 200599, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20569', 2, 'Olabarrieta', 200599, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20569', 3, 'San Prudencio', 200599, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20569', 4, 'Zubillaga', 200599, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20570', 1, 'Bergara', 200744, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20570', 2, 'Vergara', 200744, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20577', 1, 'Antzuola', 200111, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20577', 2, 'Anzuola', 200111, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20578', 0, 'Anguiozar', 200744, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20579', 0, 'Ubera', 999999, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20580', 1, 'Los Martires', 200744, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20580', 2, 'Osintxu', 200744, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20590', 1, 'Placencia de Las Armas-Soraluz', 200659, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20590', 2, 'Soraluze-Placencia de Las Arma', 200659, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20600', 1, 'Arrate', 200300, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20600', 2, 'Eibar', 200300, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20600', 3, 'Malzaga', 200300, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20690', 1, 'Elgeta', 200338, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20690', 2, 'Elgueta', 200338, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20700', 1, 'Urretxu', 200776, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20700', 2, 'Villarreal de Urrechua', 200776, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20700', 3, 'Zumarraga', 200809, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20709', 1, 'Alegria de Ichaso', 200356, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20709', 2, 'Ezkio-Itsaso', 200356, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20709', 3, 'Ezquioga-Ichaso', 200356, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20709', 4, 'Itsaso', 200356, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20709', 5, 'Santa Lutzia-Anduaga', 200356, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20710', 1, 'Aguieta', 200744, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20710', 2, 'Aizpurucho', 200744, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20710', 3, 'Elosua', 200744, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20720', 1, 'Azcoitia', 200179, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20720', 2, 'Azkoitia', 200179, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20730', 1, 'Azpeitia', 200185, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20730', 2, 'Santuario Loyola', 200185, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20737', 1, 'Arzallus', 200662, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20737', 2, 'Errezil', 200662, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20737', 3, 'Regil', 200662, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20738', 1, 'Aratz Erreka', 200185, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20738', 2, 'Nuarbe', 200185, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20738', 3, 'Urrestilla', 200185, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20739', 0, 'Beizama', 200202, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20740', 1, 'Cestona', 200277, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20740', 2, 'Lasao', 200277, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20740', 3, 'Zestoa', 200277, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20749', 1, 'Aizarna', 200277, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20749', 2, 'Aizarnazabal', 200034, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20749', 3, 'Arrona', 200277, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20749', 4, 'Iraeta', 200277, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20750', 1, 'Zumaia', 200816, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20750', 2, 'Zumaya', 200816, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20759', 0, 'Oikina', 999999, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20800', 1, 'Zarautz', 200795, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20800', 2, 'Zarauz', 200795, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20808', 0, 'Getaria', 200394, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20809', 1, 'Aia', 200163, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20809', 2, 'Aya', 200163, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20809', 3, 'Etxetabatalla', 200163, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20809', 4, 'Laurgain', 200163, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20809', 5, 'San Pedro de Aya', 200163, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20810', 1, 'Orio', 200610, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20810', 2, 'Ubegun', 200610, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20820', 1, 'Deba', 200296, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20820', 2, 'Deva', 200296, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20829', 1, 'Itziar', 200296, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20829', 2, 'San Nicolas de Lastur', 200296, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20830', 1, 'Astigarribia', 200564, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20830', 2, 'Motrico', 200564, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20830', 3, 'Mutriku', 200564, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20830', 4, 'Saturraran', 200564, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20850', 1, 'Azpilgoeta', 209014, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20850', 2, 'Garagarza (Mendaro)', 209014, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20850', 3, 'Mendaro', 209014, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20860', 0, 'Alzola', 200322, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20870', 1, 'Elgoibar', 200322, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20870', 2, 'San Lorenzo', 200322, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20870', 3, 'San Miguel', 200322, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20870', 4, 'San Pedro (Elgoibar)', 200322, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('20870', 5, 'San Roque', 200322, 20, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21001', 0, 'Huelva', 210412, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21002', 0, 'Huelva', 210412, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21003', 0, 'Huelva', 210412, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21004', 0, 'Huelva', 210412, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21005', 0, 'Huelva', 210412, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21006', 0, 'Huelva', 210412, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21007', 0, 'Huelva', 210412, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21070', 0, 'Huelva', 210412, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21071', 0, 'Huelva', 210412, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21080', 0, 'Huelva', 210412, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21100', 0, 'Punta Umbria', 210600, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21110', 0, 'Aljaraque', 210025, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21120', 0, 'Corrales', 210025, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21122', 0, 'Bellavista', 210025, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21130', 0, 'Mazagon', 210502, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21200', 0, 'Aracena', 210078, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21207', 1, 'La Umbria', 210078, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21207', 2, 'Valdezufre', 210078, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21207', 3, 'Linares de la Sierra', 210451, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21208', 1, 'Carboneras', 210078, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21208', 2, 'Castauelo', 210078, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21208', 3, 'Cortelazor', 210268, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21208', 4, 'Corterrangel', 210078, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21208', 5, 'Los Marines', 210078, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21209', 1, 'Corteconcepcion', 210242, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21209', 2, 'Jabuguillo', 210078, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21209', 3, 'Puerto Gil', 210242, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21209', 4, 'Puerto Moral', 210596, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21210', 0, 'Zufre', 210792, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21220', 1, 'Higuera de la Sierra', 210388, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21230', 0, 'Cortegana', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21239', 1, 'Los Andreses', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21239', 2, 'Los Bravos', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21239', 3, 'Las Cefias', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21239', 4, 'La Corte', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21239', 5, 'Montebalon', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21239', 6, 'Montepuerto', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21239', 7, 'Puerto Lucia', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21239', 8, 'Los Viejos', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21240', 0, 'Aroche', 210084, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21250', 0, 'Rosal de la Frontera', 210622, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21260', 0, 'Santa Olalla del Cala', 210694, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21270', 1, 'Cala', 210160, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21270', 2, 'Minas de Cala', 210160, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21280', 0, 'Arroyomolinos de Leon', 210097, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21290', 1, 'Aguafria', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21290', 2, 'Castao del Robledo', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21290', 3, 'Jabugo', 210433, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21290', 4, 'Los Romeros', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21291', 1, 'Galaroza', 210340, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21291', 2, 'Las Chinas', 210340, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21291', 3, 'La Nava', 210340, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21291', 4, 'Navahermosa', 210118, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21291', 5, 'Valdelarco', 210715, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21292', 0, 'Fuenteheridos', 210335, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21300', 0, 'Calaas', 210176, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21309', 0, 'Sotiel Coronada', 210176, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21310', 0, 'La Zarza', 210176, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21319', 0, 'Minas de Perrunal', 210176, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21320', 0, 'El Cerro de Andevalo', 210237, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21330', 1, 'Cueva de la Mora', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21330', 2, 'El Lomero', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21330', 3, 'San Telmo', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21330', 4, 'Valdelamusa', 210255, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21340', 0, 'Alajar', 210010, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21342', 1, 'Acebuche', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21342', 2, 'De Almonaster', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21342', 3, 'El Arroyo', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21342', 4, 'Calabazares', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21342', 5, 'La Canaleja', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21342', 6, 'La Escalada', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21342', 8, 'Las Veredas', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21342', 9, 'Gil Marquez', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21350', 0, 'Almonaster la Real', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21359', 1, 'Corte de Santa Ana', 210675, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21359', 2, 'Fuente del Oro', 210675, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21359', 3, 'Santa Ana la Real', 210675, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21359', 4, 'Los Molares', 210675, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21360', 0, 'El Repilado', 210433, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21380', 0, 'Cumbres Mayores', 210293, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21386', 0, 'Cumbres de San Bartolome', 210280, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21387', 0, 'Cumbres de Enmedio', 210274, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21388', 1, 'Caaveral de Leon', 210209, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21388', 2, 'Hinojales', 210391, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21390', 0, 'Encinasola', 210314, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21400', 0, 'Ayamonte', 210101, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21409', 1, 'Isla de Canela', 210101, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21409', 2, 'Punta del Moral', 210101, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21410', 0, 'Isla Cristina', 210427, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21420', 0, 'Pozo del Camino', 210101, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21430', 0, 'La Redondela', 210427, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21440', 0, 'Lepe', 210448, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21449', 0, 'La Antilla', 210448, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21450', 0, 'Cartaya', 210216, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21459', 1, 'El Portil', 210216, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21459', 2, 'El Rompido', 210216, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21500', 0, 'Gibraleon', 210353, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21510', 0, 'San Bartolome de la Torre', 210638, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21520', 0, 'Alosno', 210062, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21530', 0, 'Minas de Tharsis', 210062, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21540', 0, 'Villanueva de los Castillejos', 210767, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21550', 0, 'Puebla de Guzman', 210583, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21559', 0, 'Minas de Herrerias', 210583, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21560', 0, 'Paymogo', 210577, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21570', 0, 'Santa Barbara de Casa', 210681, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21580', 1, 'Cabezas Rubias', 210157, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21580', 2, 'Montes de San Benito', 210237, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21580', 3, 'El Mustio', 210157, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21590', 0, 'Villablanca', 210736, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21591', 0, 'San Silvestre de Guzman', 210669, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21592', 0, 'Villanueva de Las Cruces', 210754, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21593', 0, 'El Almendro', 210031, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21594', 1, 'El Granado', 210372, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21594', 2, 'Puerto de la Laja', 210372, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21595', 0, 'Sanlucar del Guadiana', 210656, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21600', 0, 'Valverde del Camino', 210720, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21609', 1, 'Los Cristos', 210118, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21609', 2, 'Fuente de la Corcha', 210118, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21609', 3, 'Los Pinos', 210118, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21610', 1, 'La Alqueria', 210643, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21610', 2, 'San Juan del Puerto', 210643, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21620', 0, 'Trigueros', 210708, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21630', 0, 'Beas', 210118, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21639', 0, 'Candon', 210118, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21640', 0, 'Zalamea la Real', 210789, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21647', 1, 'Berrocal', 210123, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21647', 2, 'El Buitron', 210123, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21647', 3, 'Marigenta', 210789, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21647', 4, 'Membrillo Alto', 210789, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21647', 5, 'El Pozuelo', 210123, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21649', 1, 'Aldea de Traslasierra', 210182, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21649', 2, 'Mina de la Concepcion', 999999, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21649', 3, 'El Patras', 999999, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21649', 4, 'El Villar', 999999, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21650', 0, 'El Campillo', 210182, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21660', 0, 'Minas de Riotinto', 210499, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21668', 1, 'Campofrio', 210195, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21668', 2, 'La Granada de Riotinto', 210195, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21668', 3, 'Las Delgadas', 210195, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21668', 4, 'Monte Sorromeo', 210789, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21668', 5, 'Ventas de Arriba', 210195, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21669', 1, 'Aldea de la Dehesa', 210046, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21670', 0, 'Nerva', 210524, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21700', 0, 'La Palma del Condado', 210545, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21710', 0, 'Bollullos Par del Condado', 210139, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21720', 0, 'Rociana del Condado', 210617, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21730', 0, 'Almonte', 210059, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21740', 0, 'Hinojos', 210405, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21750', 0, 'El Rocio', 210059, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21760', 1, 'Matalascaas', 210059, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21760', 2, 'Torre la Higuera', 210059, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21800', 0, 'Moguer', 210502, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21810', 0, 'Palos de la Frontera', 210558, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21819', 0, 'La Rabida', 210558, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21820', 0, 'Lucena del Puerto', 210464, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21830', 0, 'Bonares', 210144, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21840', 0, 'Niebla', 210530, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21850', 0, 'Villarrasa', 210773, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21860', 0, 'Villalba del Alcor', 210741, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21870', 0, 'Escacena del Campo', 210329, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21880', 1, 'Paterna del Campo', 210561, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21880', 2, 'Aldea de Tujena', 210561, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21890', 0, 'Manzanilla', 210470, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('21891', 0, 'Chucena', 210307, 21, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22001', 0, 'Huesca', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22002', 0, 'Huesca', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22003', 0, 'Huesca', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22004', 0, 'Huesca', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22005', 0, 'Huesca', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22006', 0, 'Huesca', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22070', 0, 'Huesca', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22071', 0, 'Huesca', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22080', 0, 'Huesca', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22100', 0, 'Sangarren', 222065, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22110', 1, 'Salillas', 222034, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22110', 2, 'Sesa', 222202, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22111', 1, 'Corvinos', 221565, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22111', 2, 'Monflorite', 221565, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22112', 0, 'Albero Alto', 220113, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22113', 0, 'Novales', 221626, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22120', 0, 'Sietamo', 222224, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22121', 1, 'Arbanies', 222224, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22121', 2, 'Castejon de Arbanies', 222224, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22122', 1, 'Ibieca', 221262, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22122', 2, 'Liesa', 222224, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22122', 3, 'Velillas', 220279, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22123', 0, 'Angues', 220279, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22124', 1, 'Lascellas', 221416, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22124', 2, 'Ponzano', 221416, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22125', 0, 'Laluenga', 221357, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22126', 0, 'Laperdiguera', 221395, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22131', 1, 'Berbegal', 220553, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22131', 2, 'Lagunarrota', 221745, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22132', 1, 'Barbuales', 220507, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22132', 2, 'Lacuadrada', 222356, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22132', 3, 'Pertusa', 221783, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22132', 4, 'Torres de Alcanadre', 222356, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22133', 1, 'Antillon', 220298, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22133', 2, 'Bespen', 220279, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22133', 3, 'Blecua', 220648, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22134', 0, 'Torres de Montes', 220648, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22135', 1, 'Alcala del Obispo', 220152, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22135', 2, 'Argavieso', 220361, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22135', 3, 'Faanas', 220152, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22135', 4, 'Ola', 220152, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22135', 5, 'Pueyo de Faanas', 220152, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22140', 1, 'Ayera', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22140', 2, 'Bandalies', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 1, 'Aguas', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 2, 'La Almunia del Romeral', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 3, 'Bastaras', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 4, 'Coscullano', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 5, 'Loscertales', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 6, 'Los Molinos de Sipan', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 7, 'Morrano', 220588, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 8, 'Panzano', 220818, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 9, 'San Roman de Morrano', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 10, 'Santa Cilia de Panzano', 220818, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 11, 'Sipan', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22141', 12, 'Yaso', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22142', 1, 'Casbas de Huesca', 220818, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22142', 2, 'Junzano', 220818, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22142', 3, 'Labata', 220818, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22142', 4, 'Sieso de Hueca', 220818, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22143', 0, 'Abiego', 220015, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22144', 1, 'Las Almunias', 220588, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22144', 2, 'Bierge', 220588, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22144', 3, 'Otin', 220588, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22144', 4, 'Rodellar', 220588, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22144', 5, 'San Saturnino', 220588, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17160', 9, 'Santa Barbara (Ayuntamiento An', 170084, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17161', 1, 'Badia', 171169, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17161', 2, 'Baier', 171169, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17161', 3, 'El Coll (Ayto Susqueda)', 171169, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17161', 4, 'Colonia de les Mines', 171169, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17161', 5, 'Osor', 171169, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17161', 6, 'La Roca (Ayto Osor)', 171169, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17161', 7, 'Sant Miquel de Ter', 171169, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17161', 8, 'Santa Maria del Coll', 171169, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17162', 1, 'Bescano', 170209, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17162', 2, 'Montfulla', 170209, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17162', 3, 'Ribes', 170209, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17162', 4, 'Vilanna', 170209, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17164', 1, 'Bonmati', 179032, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17164', 2, 'Constantins', 171637, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17164', 3, 'Sant Julia del Llor i Bonmati', 179032, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17164', 4, 'Les Serres', 179032, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17165', 1, 'La Cellera de Ter', 171899, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17165', 2, 'Pladamont', 171899, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17165', 3, 'Pladavall', 171899, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17165', 4, 'Plantadis', 171899, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17166', 1, 'El Pasteral', 171946, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17166', 2, 'Susqueda', 171946, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17166', 3, 'Terrats', 171946, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17170', 1, 'Amer', 170078, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17170', 2, 'Costa de Santa Brigida', 170078, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17170', 3, 'Lloret Salvatge', 170078, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17170', 4, 'Palou', 170078, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17170', 5, 'Sant Climent D''Amer', 170078, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17170', 6, 'Sant Genis', 170078, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17170', 7, 'Veinat de la Junquera', 170078, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17170', 8, 'Veinat del Colomer', 170078, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17170', 9, 'Veinat del Mont', 170078, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17171', 1, 'La Barroca', 171833, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17171', 2, 'Sant Marti Sacalm', 171946, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17172', 1, 'Colonia Dusol', 171334, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17172', 2, 'Colonia Majem', 171334, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17172', 3, 'Colonia Pauli', 171334, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17172', 4, 'Les Encies', 171334, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17172', 5, 'El Jonquer', 171334, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17172', 6, 'Les Planes D''Hostoles', 171334, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17172', 7, 'Pocafarina', 171334, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17173', 0, 'Cogolls', 171334, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17174', 1, 'Bastons', 171616, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17174', 2, 'La Carrera', 171616, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17174', 3, 'El Far (Ajuntament de Sant Fel', 171616, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17174', 4, 'Pallerols', 171616, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17174', 5, 'Riubrugent', 171616, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17174', 6, 'La Salut', 171616, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17174', 7, 'Sant Feliu de Pallerols', 171616, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17174', 8, 'Sant Iscle de Colltort', 171616, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17175', 0, 'Sant Miquel de Pineda', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17176', 2, 'La Dreta del Fluvia', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17176', 3, 'L''Esquerra del Fluvia', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17181', 2, 'Gell', 170025, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17176', 4, 'Joanetes', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17176', 5, 'Sant Esteve D''En Bas', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17176', 6, 'La Serra (Ayto Vall Bas)', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17176', 7, 'La Vall D''En Bas', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17176', 8, 'Veinat de Can Trona', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17176', 9, 'Vilallonga', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17177', 1, 'Falgars D''En Bas', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17177', 2, 'Els Hostalets D''En Bas', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 1, 'Bellaire', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 2, 'La Boada', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 3, 'Boscdetosca', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 4, 'El Malloll', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 5, 'Pladevall (Ayto les Preses)', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 6, 'Pocafarina', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 7, 'Les Preses', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 8, 'Puigpardines', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 9, 'Sant Miquel de Corb', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 10, 'Sant Privat D''En Bas', 172076, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 11, 'Veinat de Dalt (Ayto Vall Bas)', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 12, 'Veinat de Sidera', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 13, 'Veinat del Carrer', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 14, 'Veinat Nou (Ayto Vall Bas)', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17178', 15, 'Veinat Pocafarina (Ay Vall Bas', 171390, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17179', 1, 'El Bac D''En Deu', 171498, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17179', 2, 'El Clot de la Plana', 171498, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17179', 3, 'La Fajula', 171498, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17179', 4, 'La Pinya', 171498, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17179', 5, 'Riudaura', 171498, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17180', 1, 'Farigola', 172155, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17180', 2, 'El Perello', 172155, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17180', 3, 'Vilablareix', 172155, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17181', 1, 'Aiguaviva', 170025, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17181', 3, 'Marrocs', 170025, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17181', 4, 'Migdia', 170025, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17181', 5, 'Puigtorrat', 170025, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17181', 6, 'Les Rajoleries', 170025, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17182', 0, 'Estanyol', 170209, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17183', 0, 'Sant Dalmai', 172333, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17184', 2, 'Salitja', 172333, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17185', 1, 'Vilobi D''Onyar', 172333, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17185', 2, 'Aeroport de Girona - Costa Bra', 172333, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17190', 1, 'Salt', 171557, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17190', 2, 'Sant Antoni (Ayto Salt)', 171557, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17190', 3, 'Girona', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17199', 1, 'Adri', 170405, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17199', 2, 'Biert', 170405, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17199', 3, 'Canet D''Adri', 170405, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17199', 4, 'Cartella', 171637, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17199', 5, 'Montbo', 170405, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17199', 6, 'Montcal', 170405, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17199', 7, 'Rocacorba', 170405, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17199', 8, 'Sant Medir', 171637, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17199', 9, 'Taiala', 171637, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17200', 1, 'El Bruguerol', 171175, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17200', 2, 'Ermedas', 171175, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17200', 3, 'Palafrugell', 171175, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17200', 4, 'Sant Pons (Ajuntament Palafrug', 171175, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17200', 5, 'Santa Margarida', 171175, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17200', 6, 'Vila-Seca (Ayuntamiento Palafr', 171175, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17210', 0, 'Calella de Palafrugell', 171175, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17211', 0, 'Llafranc', 171175, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17212', 0, 'Tamariu', 171175, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17213', 0, 'Esclanya', 170139, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17214', 1, 'Puigcalent', 171447, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17214', 2, 'Rabassada', 171447, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17214', 3, 'Regencos', 171447, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17214', 4, 'Triana', 171447, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17220', 1, 'Bujonis', 171609, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17220', 2, 'Les Comes (Ayto S F Guixols)', 171609, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17220', 3, 'Sant Feliu de Guixols', 171609, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17220', 4, 'Sant Pol (Ajuntament Sant Feli', 171609, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17220', 5, 'Vilartagues', 171609, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17230', 1, 'Cala Margarida', 171181, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17230', 2, 'El Figuerar', 171181, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17230', 3, 'La Fosca', 171181, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17230', 4, 'Palamos', 171181, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17230', 5, 'S''Alguer', 171181, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17230', 6, 'Sant Joan de Palamos', 171181, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17230', 7, 'Vilarroma', 171181, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 1, 'La Canyera', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 2, 'Llagostera', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 3, 'La Mata (Ajuntament Llagostera', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 4, 'Romanya de la Selva', 171812, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 5, 'Santa Seclina', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 6, 'Veinat de Bruguera', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 7, 'Veinat de Cantallops', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 8, 'Veinat de Creu de Serra', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 9, 'Veinat de Gaia', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 10, 'Veinat de Ganix', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 11, 'Veinat de Llobatera', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 12, 'Veinat de Mata', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 13, 'Veinat de Penedes', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 14, 'Veinat de Sant Llorenc', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17240', 15, 'Veinat Pocafarina (Ay Llagoste', 170890, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17241', 1, 'La Creueta', 171426, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17241', 2, 'Palol D''Onyar', 171426, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17242', 1, 'Arrabal (Quart)', 171426, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17242', 2, 'Castellar de la Selva', 171426, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17242', 3, 'Montnegre', 171426, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17242', 4, 'Quart', 171426, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17242', 5, 'Sant Mateu de Montnegre', 171426, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17243', 1, 'Barri Nou', 170904, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17243', 2, 'Erols', 170904, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17243', 3, 'Llambilles', 170904, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17243', 4, 'Sant Cristofol del Bosc', 170904, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 1, 'Cassa de la Selva', 170448, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 2, 'Santa Pellaia', 179011, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 3, 'Veinat D''Esclet', 170448, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 4, 'Veinat de les Serres', 170448, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 5, 'Veinat de Matamala', 170448, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 6, 'Veinat de Mosqueroles', 170448, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 7, 'Veinat de Sangosta', 170448, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 8, 'Veinat de Serinya', 170448, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 9, 'Veinat de Verneda', 170448, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 10, 'Veinat Montroig (Ayto Cassa S)', 170448, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17244', 11, 'Vinat de Llebrers', 170448, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17245', 0, 'Bell-Lloc', 171812, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17246', 1, 'Bufaganyes', 171812, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17246', 2, 'Canyet de Mar', 171812, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17246', 3, 'Salom', 171812, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17246', 4, 'Santa Cristina D''Aro', 171812, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17246', 5, 'Solius', 171812, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17246', 6, 'Teulera', 171812, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17246', 7, 'El Vilar', 171812, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17248', 0, 'S''Agaro', 170486, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17249', 1, 'Canyet', 170486, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17249', 2, 'Castell-Platja D''Aro', 170486, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17249', 3, 'La Coma (Ayto Castell Aro)', 170486, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17249', 4, 'La Crota', 170486, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17249', 5, 'El Remei', 170486, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17249', 6, 'Roquisar', 170486, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17249', 7, 'Vallvanera', 170486, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17250', 1, 'Fenals D''Aro', 170486, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17250', 2, 'Platja D''Aro', 170486, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17251', 0, 'Calonge', 170340, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17252', 3, 'Treumal', 170340, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17252', 1, 'Sant Antoni de Calonge', 170340, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17252', 2, 'Sant Daniel de Calonge', 170340, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17253', 1, 'Canyelles (Ayto Montras)', 171100, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17253', 2, 'La Ciutadella', 171100, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17253', 3, 'La Granota', 171100, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17253', 4, 'Molines', 171100, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17253', 5, 'Mont-Ras', 171100, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17253', 6, 'Morena', 171100, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17253', 7, 'Roqueta', 171100, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17253', 8, 'La Sauleda', 171100, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17253', 9, 'Vall-Llobrega', 172095, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17255', 1, 'D''Aiguablava', 170139, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17255', 2, 'D''Aiguafreda', 170139, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17255', 3, 'Begur', 170139, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17255', 4, 'De Fornells', 170139, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17255', 5, 'Del Raco', 170139, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17255', 6, 'De Sa Riera', 170139, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17255', 7, 'De Sa Tuna', 170139, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17256', 1, 'Fontclara', 171215, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17256', 2, 'Els Masos de Pals', 171215, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17256', 3, 'Palau-Sator', 171215, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17256', 4, 'Pals', 171241, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17256', 5, 'Sant Feliu de Boada', 171215, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17256', 6, 'Sant Julia de Boada', 171215, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17257', 1, 'El Barri del Ter', 170708, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17257', 2, 'Fontanilles', 170708, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17257', 3, 'Gualta', 170813, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17257', 4, 'Llabia', 170708, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17257', 5, 'Ovelleria', 170708, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17257', 6, 'Torroella de Montgri', 171997, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17258', 0, 'L''Estartit', 171997, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17300', 1, 'Blanes', 170237, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17300', 2, 'Safa Estacio Blanes', 170237, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17310', 1, 'Les Alegries', 170950, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17310', 2, 'Canyelles (Ayto Lloret Mar)', 170950, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17310', 3, 'Lloret de Mar', 170950, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17310', 4, 'Pagueres', 170950, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17310', 5, 'Rocagrossa', 170950, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17310', 6, 'Sant Pere del Bosc', 170950, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17310', 7, 'Santa Cristina', 170950, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17320', 1, 'Canyelles (Ayto Tossa)', 172023, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17320', 2, 'La Gabarra', 172023, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17320', 3, 'Martossa', 172023, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17320', 4, 'Miramar', 172023, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17320', 5, 'Pola Giverola', 172023, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17320', 6, 'Salion', 172023, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17320', 7, 'Sant Grau', 172023, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17320', 8, 'Santa Maria de Llorell', 172023, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17320', 9, 'Tossa de Mar', 172023, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17400', 1, 'Barri Cementiri (Breda)', 170274, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17400', 2, 'Breda', 170274, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17400', 3, 'Manso Barrabas', 170274, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17400', 4, 'Manso Batlle', 170274, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17400', 5, 'Manso Huguet', 170274, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17401', 1, 'Arbucies', 170097, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17401', 2, 'Veinat de la Janeta', 170097, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17401', 3, 'Veinat de Lliors', 170097, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17401', 4, 'Veinat del Rieral', 170097, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17401', 5, 'Veinat del Vidal', 170097, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17402', 0, 'Joanet', 170097, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 1, 'Caros', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 2, 'Les Comes (Ayto S Hilario)', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 3, 'Fogueres de Montsoriu', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 4, 'La Font Picant', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 5, 'Pla de les Arenes', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 6, 'Saleta del Mas', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 7, 'Sant Hilari Sacalm', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 8, 'Santa Margarida de Ballors', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 9, 'El Serrat', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 10, 'Sot de Ridacos', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 11, 'Sot de Santa Margarida', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17403', 12, 'Torre de Juanhuix', 171642, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17404', 1, 'Comte D''Alba de Liste', 171463, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17404', 2, 'Riells (Municipio)', 171463, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17404', 3, 'Viabrea', 171463, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17405', 0, 'Espinelves', 170638, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17406', 2, 'Les Farigoles', 172207, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17406', 3, 'Masvidal', 172207, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17406', 4, 'Veinat de Cerdans', 172207, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17406', 5, 'Veinat de les Indies', 172207, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17406', 6, 'Veinat de les Peitides', 172207, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17406', 7, 'Viladrau', 172207, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17406', 8, 'Vilarnau', 172207, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17410', 1, 'Les Mallorquines', 171931, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17410', 2, 'Sils', 171931, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17410', 3, 'Vallcanera', 171931, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17410', 4, 'Veinat Barceloneta (Ayto Sils)', 171931, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17410', 5, 'Veinat de la Granota', 171931, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17410', 6, 'Veinat de Massabe', 171931, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17411', 1, 'Les Bories', 172137, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17411', 2, 'Cartalla', 172137, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17411', 3, 'Caules', 172137, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17411', 4, 'Vidreres', 172137, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17412', 1, 'Comajuliana', 171030, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17412', 2, 'L''Estany', 171030, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17412', 3, 'Marata', 171030, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17412', 4, 'Maanet de la Selva', 171030, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17412', 5, 'Miquel Farre', 171030, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17412', 6, 'El Pibitller', 171030, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17412', 7, 'Puigmari', 171030, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17412', 8, 'El Pujol (Macanet Selva)', 171030, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17412', 9, 'Soliva', 171030, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17420', 0, 'Mallorquines', 171931, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17421', 1, 'L''Esparra', 171485, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17421', 2, 'El Raval de L''Esparra', 171485, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17421', 3, 'La Riera (Ayto Riudarenes)', 171485, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17421', 4, 'Riudarenes', 171485, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17421', 5, 'Santa Coloma', 171485, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17421', 6, 'Serramagra', 171485, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17430', 1, 'Santa Coloma de Farners', 171805, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17430', 2, 'Veinat de la Vall', 171805, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17430', 3, 'Veinat de Vallors', 171805, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17441', 1, 'Brunyola', 170280, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17441', 2, 'Sant Marti Sapresa', 170280, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17442', 0, 'Santa Creu D''Horta', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17443', 0, 'Castanyet', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17444', 1, 'Cladells', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17444', 2, 'Sauleda', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17445', 0, 'Sant Pere Cercada', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17450', 0, 'Hostalric', 170834, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17451', 1, 'Gaserans', 171595, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17451', 2, 'Grions', 171595, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17451', 3, 'Sant Feliu de Buixalleu', 171595, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17452', 0, 'Massanes', 171019, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17453', 0, 'Martorell de la Selva', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17455', 1, 'Caldes de Malavella', 170335, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17455', 2, 'Sant Andreu Salou', 171576, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17455', 3, 'Veinat de Baix (Ajuntament Cal', 170335, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17455', 4, 'Veinat de Israel', 170335, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17455', 5, 'El Veinat de les Mateues', 170335, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17456', 1, 'Franciach', 170335, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17456', 2, 'Veinat Baix', 170335, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17456', 3, 'Veinat Dalt', 170335, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17456', 4, 'Veinat de Can Bosc', 170335, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 1, 'Campllong', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 2, 'Riudellots de la Selva', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 3, 'Veinat de Can Boixo', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28701', 0, 'San Sebastian de los Reyes', 281343, 28, 
    0, 13, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 4, 'Veinat de Can Caldero', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 5, 'Veinat de Can Canyet', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 6, 'Veinat de Can Dionis', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 7, 'Veinat de Can Falgueres', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 8, 'Veinat de Can Pou', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 9, 'Veinat de Dalt (Ajuntament San', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 10, 'Veinat de L''Estacio', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 11, 'Veinat de L''Hostal Nou', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 12, 'Veinat de la Bruguera', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 13, 'Veinat de la Pequenya', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 14, 'Veinat de la Torreponsa', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 15, 'Veinat de les Bosques', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17457', 16, 'Veinat de les Ferreries', 171501, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17458', 1, 'Fornells de la Selva', 170736, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17458', 2, 'Veinat Barceloneta (Ay Fornell', 170736, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17458', 3, 'Veinat de la Selva', 170736, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17458', 4, 'Veinat de Mas Cases', 170736, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17458', 5, 'Veinat de Mas Serra', 170736, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17460', 1, 'Celra', 170499, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17460', 2, 'Manso Blanc', 170499, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17460', 3, 'El Mas Serra', 170499, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17460', 4, 'El Mas Verai', 170499, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17460', 5, 'Palagret', 170499, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17460', 6, 'El Pla (Ayto Celra)', 170499, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17461', 0, 'Campdora', 170792, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 1, 'El Barri de L''Estacio', 171735, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 2, 'Barri del Mercadal', 171735, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 3, 'Barri del Puig (Ajuntament San', 171735, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 4, 'Barri Dels Angels', 171735, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 5, 'Barri Vilosa', 171735, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 6, 'Bevia', 170979, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 7, 'Bordils', 170255, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 8, 'La Costa', 171735, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 9, 'Juia', 170871, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 10, 'Madremanya', 170979, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 11, 'El Mas Ripoll', 171735, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 12, 'El Mas Seguer', 171735, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 13, 'Mas Torrent', 171735, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 14, 'Millars', 170979, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 15, 'Sant Marti Vell', 171735, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 16, 'Veinat de Mas Nadal', 170871, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17462', 17, 'Vilers', 170979, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17463', 1, 'La Bolla', 170675, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17463', 2, 'Colonia Torras', 170675, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17463', 3, 'Flaa', 170675, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17463', 4, 'Sant Joan de Mollet', 171680, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17463', 5, 'Sant Lloren de les Arenes', 170681, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17463', 6, 'Veinat de Farreres', 170675, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 1, 'Bellver', 170502, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 2, 'Cervia de Ter', 170502, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 3, 'Fellines', 172168, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 4, 'Mas Nicolau', 172168, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 5, 'La Mata (Ajuntament Viladesens', 170502, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 6, 'La Mora (Ayto Viladesens)', 170502, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 7, 'Raset', 170502, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 8, 'Sant Jordi', 170502, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 9, 'Sant Jordi Desvalls', 171668, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 11, 'Sobranigues', 171668, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 12, 'Veinat de Diana', 170502, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 13, 'Veinat de Mas Maso', 170502, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 14, 'Veinat Nou (Ayto S Jordi Desv)', 170502, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17464', 15, 'Viladasens', 172168, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17465', 1, 'Camallera', 171870, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17465', 2, 'Llampaies', 171870, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17466', 1, 'Garrigoles', 170767, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17466', 2, 'Gases', 172327, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17466', 3, 'Les Olives', 170767, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17466', 4, 'Pins', 172327, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17466', 5, 'Valldavia', 172327, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17466', 6, 'Vilopriu', 172327, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17467', 1, 'Cases del Mas', 171870, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17467', 2, 'Sant Mori', 171870, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17467', 3, 'Saus', 171870, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 1, 'Galliners', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 2, 'Olives (Ayto Vilademuls)', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 3, 'Orfes', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 4, 'Orriols', 170160, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 5, 'Parets D''Emporda', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 6, 'Sant Esteve de Guialbes', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 7, 'Terradelles', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 8, 'Vilademuls', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 9, 'Vilafreser', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 10, 'Vilamari', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17468', 11, 'Sant Maral de Quarantella', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17469', 1, 'Baseia', 170059, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17469', 2, 'El Far D''Emporda', 170059, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17469', 3, 'Fortia', 170741, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17469', 4, 'Pont del Princep', 170059, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17469', 5, 'La Ribera', 170059, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17469', 6, 'Riumors', 171518, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17469', 7, 'Siurana', 170524, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17469', 8, 'Veinat de L''Oliva', 170059, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17469', 9, 'Vilamalla', 172266, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17470', 1, 'Els Masos', 171788, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17470', 2, 'Sant Pere Pescador', 171788, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17472', 1, 'L''Armentera', 170118, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17472', 2, 'Montiro', 172109, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17473', 1, 'Saldet', 172109, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17473', 2, 'Valveralla', 172109, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17473', 3, 'Ventallo', 172109, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17474', 1, 'La Bomba', 171984, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17474', 2, 'Sant Tomas de Fluvia', 171984, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17474', 3, 'Torroella de Fluvia', 171984, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17474', 4, 'Vilacolum', 171984, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17474', 5, 'Vilamacolum', 172253, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17475', 1, 'Sant Miquel de Fluvia', 171753, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17475', 2, 'Vila-Robau', 172109, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17476', 1, 'Arenys D''Emporda', 170754, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17476', 2, 'Els Comuns', 170754, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17476', 3, 'Ermedas (Ayto Garrigas)', 170754, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17476', 4, 'L''Esglesia', 170754, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17476', 5, 'Estanyet', 170754, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17476', 6, 'Garrigas', 170754, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17476', 7, 'Palau de Santa Eulalia', 171194, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17476', 8, 'Santa Eulalia', 171194, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17476', 9, 'Tonya', 170754, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17480', 1, 'Canyelles Almadraba (Ajuntamen', 171523, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17480', 2, 'La Garriga', 171523, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17480', 3, 'Els Grecs', 171523, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17480', 4, 'El Mas Fumats', 171523, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17480', 5, 'El Mas Oliva', 171523, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17480', 6, 'Montjoi', 171523, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17480', 7, 'Roses', 171523, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17481', 1, 'De Banyoles', 171693, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17481', 2, 'Montagut (Ajuntament San Julia', 171693, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17481', 3, 'Olivars', 171693, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17481', 4, 'Pla de Sant Julia', 171693, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17481', 5, 'Sant Julia de Ramis', 171693, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17481', 6, 'Santa Fe', 171693, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17482', 1, 'Medinya', 171693, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17482', 2, 'El Tomet', 171693, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17483', 1, 'Barri de Camallera', 170160, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17483', 2, 'Bascara', 170160, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17483', 3, 'Calabuig', 170160, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17483', 4, 'Vilar', 172229, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17484', 0, 'Vilatenim', 170669, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17485', 0, 'Vila-Sacra', 172305, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03184', 0, 'Torrevieja', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 7, 'O Barral (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 8, 'Boisaca (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 9, 'A Cima da Eira (Vista Alegre-S', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 11, 'Garabal', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 12, 'Mallon de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 13, 'Mallou de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 14, 'O Meixonfrio (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 15, 'O Outeiro (Viso)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 16, 'Paradela (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 17, 'Pereiras (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 18, 'As Pereiras (San Caetano-Santi', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 19, 'Pieiro (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 20, 'Poligono do Tambre', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 21, 'Poligono Tambre', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 22, 'Ponte de San Lazaro', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 23, 'Ponte de Viso', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 24, 'O Porto do Medio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 25, 'Rebordaos (San Caetano-Santiag', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 26, 'Rebordaos (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 27, 'Salgueirios de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 28, 'Salgueirios de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 29, 'San Marcos (Son Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 30, 'San Silvestre (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 31, 'Son de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 32, 'Son de Afuera', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 33, 'Son de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 34, 'A Torre (Enfesta)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 35, 'Trascancelas', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 36, 'Vidueiro (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 37, 'Vilares (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 38, 'Os Vilares (San Caetano)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 39, 'Vilasos', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 40, 'Viso (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 41, 'A Xesteira (Son de Afora)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15890', 42, 'Zaramacedo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 1, 'As Casas do Vento (San Lazaro-', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 2, 'Garaaboa', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 3, 'Paredes (San Lazaro-Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 4, 'Pieiro (San Lazaro-Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 5, 'As Pontes do Viso', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 6, 'Pontes San Pedro', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 7, 'Porto de Abaixo (As Cruces)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 8, 'Raon', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 9, 'Sabugueira (San Paio)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 10, 'San Lazaro (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 11, 'Sanda', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 12, 'Santo (As Cruces)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 13, 'Vilacha (Probaos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15891', 14, 'O Viso (San Pedro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 1, 'Acibreira', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 2, 'Andrade (Arins)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 3, 'Angrois', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 4, 'O Aramio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 5, 'Arins (San Martio)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 6, 'Bustomaior', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 7, 'Cabana (Carelle)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 8, 'Castro de Seixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 9, 'A Devesa (Arins)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 10, 'Fornas', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 11, 'A Granxa (Arins-San Martio)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 12, 'O Igresario (Arins-San Martio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 13, 'Lobio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 14, 'Pena (Arins-San Martio)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 15, 'A Pena (Arins)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 16, 'Picaos', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 17, 'Portocabado (Roade)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 18, 'Prevencidos', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 19, 'Sabegode', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 20, 'Sanxuas', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 21, 'Sar (Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 22, 'Sobrins', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 23, 'A Cacharela (Arins)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15892', 24, 'Calzada de Sar (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 1, 'Ardagan', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 2, 'Balado (Pieiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 3, 'Bornais (Pieiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 4, 'O Carballo (Pieiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 5, 'Caaceiras', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 6, 'Corexo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 7, 'O Eixo de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 8, 'O Eixo de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 9, 'O Eixo (San Cristovo)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 10, 'Gaioso', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 11, 'Gamas', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 12, 'O Igrexario (Eixo)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 13, 'O Igrexario (Pieiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 14, 'Laranxos', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 15, 'Marrocios', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 16, 'Marrozos (Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 17, 'Pajuela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 18, 'Penias', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 19, 'Pereiras (Pieiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 20, 'Pieiro (O -San Cristovo Eixo)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 21, 'Pieiro (Santa Lucia)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 22, 'Santa Lucia (Santa Lucia-Piei', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 23, 'Sisto (Pieiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 24, 'O Sisto (Marrozos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 25, 'A Susana (Pieiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 26, 'A Uceira (Pieiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 27, 'O Valado (O -San Cristovo Eixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 28, 'Veiga (Pineiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15893', 29, 'Vixoi (Pieiro)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15894', 1, 'Casal Douteiro', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15894', 2, 'O Casal (O -Nosa Seora Fatima', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15894', 3, 'Cobas (Montouto)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15894', 4, 'Combarro (Montouto)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15894', 5, 'Guisante (Montouto)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15894', 6, 'Montouto', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15894', 7, 'Outeiro (O -Nosa Seora de Fat', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15894', 8, 'Poboa (Montouto)', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15894', 9, 'Os Tilos', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15894', 10, 'Do Xeixo', 150829, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 1, 'Adran (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 2, 'A Agrela (Biduido)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 3, 'Arrieira', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 4, 'Balcaide', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 5, 'Biduido (Santa Maria)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 6, 'Biduido de Abaixo', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 7, 'Biduido de Arriba', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 8, 'Cabovila (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 9, 'Calo (San Xoan)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 10, 'Carballal (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 11, 'O Casal (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 12, 'Casanova (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 13, 'Cascalleiro', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 14, 'Cesar (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 15, 'Coira (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 25, 'Mazas', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 16, 'Costoia (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 17, 'Costoia (Biduido)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 18, 'Fixo (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 19, 'Folgueira (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 20, 'Fraiz (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 21, 'As Galanas (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 22, 'A Grela (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 23, 'A Igrexa (Biduido)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 24, 'A Igrexa (Calo-San Xoan)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 26, 'O Milladoiro', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 27, 'Mouromorto', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 28, 'Paramuio', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 29, 'Raices (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 30, 'Santo Domingo (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 31, 'Socastro (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 32, 'Sollans', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 33, 'Ventin (Balcaide)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 34, 'Viduido de Abaixo', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 35, 'Viduido de Arriba', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 36, 'O Vilar de Baixo (Calo-San Xoa', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 37, 'O Vilar de Calo', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 38, 'O Vilar de Riba (Calo-San Xoan', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 39, 'Xesta', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15895', 40, 'A Xesta', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 1, 'A Amaecida (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 2, 'A Barcia (Larao-San Martio)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 3, 'Carballal (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 4, 'O Carballal (San Xulian)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 5, 'Carlexo (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 6, 'Casal (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 7, 'O Casal (Larao-San Martio)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 8, 'Coira (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 9, 'Costoia (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 10, 'Feans (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 11, 'Frais (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 12, 'Framil', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 13, 'A Igrexa (Larao-San Martio)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 14, 'Lamas (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 15, 'Laraio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 16, 'Larao (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 17, 'Larao (San Martio-Santiago D', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 18, 'Monia', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 19, 'Munin (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 20, 'Pardias de Abaixo (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 21, 'Pardias de Arriba (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 22, 'Paredes (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 23, 'Pedrido (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 24, 'Pego (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 25, 'Pieiro (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 26, 'Ponte (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 27, 'Portela (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 28, 'Quintans (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 29, 'Reborido (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 30, 'Reibo (Larao-San Martio)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 31, 'O Rial (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 32, 'Rioboo (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 33, 'Roxos', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 34, 'Santomil (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 35, 'Silvouto (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 36, 'Tras Igrexa (Roxos)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 37, 'Vilastrexe', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15896', 38, 'Villestro (Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 1, 'Aldrei', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 2, 'Bar de Abaixo (San Paio-Santia', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 3, 'Bar de Arriba (San Paio-Santia', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 4, 'A Cantaleta', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 5, 'O Chouchio (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 6, 'O Choucio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 7, 'A Coba (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 8, 'Codesedas', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 9, 'Vidan', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 10, 'Espieira (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 11, 'Figueiras (Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 12, 'Folgoso (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 13, 'A Fontecoba (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 14, 'Hospicio Vello', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 15, 'Iglesia (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 16, 'Marmancon (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 17, 'As Moas de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 18, 'As Moas de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 19, 'Pior (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 20, 'A Ponte da Rocha', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 21, 'A Ponte de Santo Domingo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 22, 'A Ponte Vella (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 23, 'A Ponte Vella', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 24, 'Ponte Vello (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 25, 'Ponte Vello de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 26, 'A Portela (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 27, 'Ribeira (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 28, 'Ribeira de San Lourenzo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 29, 'A Rocha Nova (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 30, 'Sarela de Abaixo (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 31, 'Sarela de Arriba (Vidan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 32, 'Correxins', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 33, 'Vidan (Divino Salvador)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 34, 'Vidan Novo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 35, 'Vidan Vello', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 36, 'Vilar do Rio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 37, 'Vrins', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15897', 38, 'Xulacasa', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 1, 'Albudio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 2, 'Aradas (A Peregrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 3, 'Avio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 4, 'O Bargo (A Peregrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 5, 'Belen', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 6, 'Belen (Grixoa)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 7, 'A Burata (A Peregrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 8, 'Camio do Frances (Pelengrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 9, 'Camouro (Grixoa)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 10, 'O Casal de Horta', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 11, 'Casas de Arcos', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 12, 'Casas Novas (Pelengrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 13, 'Cochio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 14, 'O Combarro (Castieirio)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 15, 'Consello', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 16, 'Coscoo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 17, 'A Cova (Figueiras)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 18, 'Cubeiro', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 19, 'Dians', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 20, 'Esqueiro (Peregrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 22, 'Fonteade', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 23, 'A Fontecova (Figueiras)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 24, 'Fontoade', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 25, 'Frensa (Grixoa)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 26, 'Gallufe', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 27, 'Gamil', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 28, 'Gandara (Peregrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 29, 'Grixoa (San Xoan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 30, 'Grixoa (Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 31, 'A Igrexa (Grixoa-Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 32, 'A Igrexa (Grixoa)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 33, 'Lamas de Abade', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 34, 'O Lamascal', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 35, 'Lamela (Grixoa)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 36, 'A Lamela (Santa Cristina de Fe', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 37, 'Lermo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 38, 'Mareca', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 39, 'Marzo de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 40, 'O Meixonfrio (San Caetano)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 41, 'Miramontes de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 42, 'Miramontes de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 43, 'Monte de Vite', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 44, 'Montes', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 45, 'Muio (Peregrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 46, 'Pardaces de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 47, 'Pardaces de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 48, 'A Peregrina', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 49, 'A Ponte Alvar (Fecha-San Xoan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 50, 'Ponte Pedria de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 51, 'A Ponte Pedria de Arriba (Vis', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 52, 'A Ponte (Grixoa)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 53, 'Porto de Vite', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 54, 'O Rial (Conxo-Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 55, 'Roan', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 56, 'O Romao', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 57, 'San Ignacio do Monte', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 58, 'San Paio (Peregrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 59, 'San Paio (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 60, 'San Paio do Monte (San Paio-Sa', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 61, 'Santa Cristina de Fecha (Santa', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 62, 'Sarela Arriba (Peregrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 63, 'Son (Grijoa)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 64, 'A Torreira', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 65, 'A Valia (Grixoa)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 66, 'Vilar (Grixoa)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 67, 'Vilar do Rei', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 68, 'Vilas (Grixoa)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 69, 'Vista Alegre (San Xoan)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 70, 'Vite de Abaixo (Peregrina)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 71, 'Vite de Arriba (Peregria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15898', 72, 'Santiago de Compostela', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 1, 'Agrasan', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 2, 'Arribadas', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 3, 'Benefica (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 4, 'Chan do Reiro', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 5, 'Corredeira Dos Muios', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 6, 'Costa do Agra', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 7, 'Cruxeira (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 8, 'A Curuxeira (Conxo-Santa Maria', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 9, 'A Fervenza (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 10, 'A Nogueira (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 11, 'Pai da Cana', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 12, 'Ponte da Rocha', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 13, 'A Ponte Pereda', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 14, 'Porto (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 15, 'O Porto (Conxo-Santa Maria)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 16, 'A Poza Real de Abaixo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 17, 'A Poza Real de Arriba', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 18, 'A Poza Real (Conxo)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 19, 'Rial (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 20, 'Riovello (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 21, 'A Rocha Vella', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 22, 'Rolans', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 23, 'San Xoan (Santiago-Extrarradio', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 24, 'Torrente (Santiago)', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 25, 'Toxeira de San Lourenzo', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 26, 'Tras Espieira', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15899', 27, 'A Volta do Castro', 150780, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15900', 0, 'Padron', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15910', 1, 'Agronovo (Extramundi)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15910', 2, 'Baiona', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15910', 3, 'Extramundi (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15910', 4, 'Extramundi de Abaixo', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15910', 5, 'Extramundi de Arriba', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15910', 6, 'Gandra (Extramundi)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15910', 7, 'Lamas (Extramundi)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15910', 8, 'Vilar (Extramundi)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 1, 'Aido (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 2, 'Anteporta', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 3, 'Antequeira', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 4, 'Barro (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 5, 'Castros (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 6, 'Contimundi', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 7, 'Cornes (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 8, 'A Covela (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 9, 'Os Dices', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 10, 'Fidalgo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 11, 'Infesta', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 12, 'Oin de Abaixo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 13, 'Oin de Arriba', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 14, 'Peroxa (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 15, 'A Peruca', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 16, 'A Ponte Nova (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 17, 'A Pontenova (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 18, 'Rois', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 19, 'Rois de Abaixo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 20, 'Rois de Arriba', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 21, 'Samil (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15911', 22, 'Os Vilares (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 1, 'Aldea Grande (Buxan)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 2, 'Buxan (Padron Circular)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 3, 'Carrais', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 4, 'Casado Vento (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 5, 'Casal (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 6, 'Casas Novas (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 7, 'A Chisca', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 8, 'Chousela', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 9, 'Cobas (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 10, 'Corgo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 11, 'A Eirexa (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 12, 'Espieira (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 13, 'O Faro (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 14, 'Ferreiros (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 15, 'Fontedelo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 16, 'Fufelo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 17, 'Leroo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 18, 'Liares (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 19, 'Liares de Leroo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 20, 'Pazo (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 21, 'Peracova', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 22, 'A Pereira (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 23, 'Picadizo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 24, 'Pinelas', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 25, 'O Pieiro (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 26, 'Rubieiro (Rois)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 27, 'Silva Redonda (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 28, 'Socastro (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 29, 'Soutelo (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 30, 'Souto (Padron)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 31, 'Vilar do Castro (Aguasantas)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15912', 32, 'Xey', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 1, 'Augas Santas', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 3, 'O Bandon', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 4, 'Beade (Aguasantos)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 5, 'Bralo (Aguasantas)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 6, 'Cernan', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 7, 'Duei (Augasantas)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 8, 'Mellos', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 9, 'Pedrouzos (Aguasantas)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 10, 'Porte', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 11, 'Salgueiros (Aguasantas)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 12, 'A Senra (Augasantas)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 13, 'Soora', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 14, 'As Subidas', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 15, 'Vilachan (Aguasantas)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15913', 16, 'Vilario (Aguasantas)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 1, 'Bandin (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 2, 'Cagarcia (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 3, 'Carcacia (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 4, 'Casal (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 5, 'Coira (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 6, 'Corral (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 7, 'Cruxeiras (Cagarcia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 8, 'Guimarans (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 9, 'Iglesia (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 10, 'Lamas (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 11, 'Outeiro (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 12, 'Pousada (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 13, 'Rial (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 14, 'Rivadulla (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 15, 'Rumille (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 16, 'Sande (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 17, 'Sinde (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 18, 'Sobrerrivas (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15914', 19, 'Xoane (Carcacia)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 1, 'Barca (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 2, 'Cano D''Auga', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 3, 'Condes (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 4, 'Confurco (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 5, 'Cortias (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 6, 'Franciscanos (Herbon)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 7, 'Herbon (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 8, 'Iglesia (Herbon)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 9, 'Montero', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 10, 'Morono (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 11, 'Reja de Manga', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 12, 'Rocha (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15915', 13, 'Santa Cruz (Herbon)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15916', 1, 'Boca do Monte (Lestrove)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15916', 2, 'Calle de Abaixo (Lestrove)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15916', 3, 'Calle de Arriba (Lestrove)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15916', 4, 'Campo (Lestrove)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15916', 5, 'Calle Principal Carretera (Les', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15916', 6, 'Lestrobe', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15916', 7, 'Pieiro (Lestrove)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15916', 8, 'Pion (Lestrore)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15916', 9, 'Ponte Vilar (Lestrove)', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15916', 10, 'Trasmuro', 150336, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 1, 'Barco (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 2, 'Cambelas (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 3, 'Couto (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 4, 'Iria (Padron)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 5, 'Lestido (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 6, 'Luans (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 7, 'Matanza (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 8, 'Pazos (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 9, 'Pedreda (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 10, 'Pieiro (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 11, 'Porta Dos Marios (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 12, 'Quintans (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 13, 'Reten (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 14, 'Romaris (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 15, 'Roucon (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 16, 'Rueiro (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 17, 'Souto (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15917', 18, 'Vista Alegre (Iria)', 150657, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15920', 1, 'O Barral (Rianxo)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15920', 2, 'Carballeira (Rianxo)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15920', 3, 'A Cortes (Rianxo)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15920', 4, 'Fincheira', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15920', 5, 'Lustres', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15920', 6, 'O Pazo (Rianxo)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15920', 7, 'Rianxio', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15920', 8, 'Rianxo', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15920', 9, 'Rinlo', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15920', 10, 'Tanxil', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15928', 1, 'Abuin (Leiro)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15928', 2, 'Brion (Leiro)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15928', 3, 'Cabanas (Leiro)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15928', 4, 'A Iglesia (Leiro)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15928', 5, 'Leiro (Padron)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15928', 6, 'Meiquiz', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15928', 8, 'Rao', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15928', 9, 'Rial (Leiro)', 150721, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15929', 1, 'Almacen (Rianxo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15929', 2, 'Barraca', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15930', 1, 'Boiro (Boiro)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15930', 2, 'Vimiliro (Boiro)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 1, 'Acuncheira', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 2, 'Afigueira (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 3, 'Aldea Grande (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 4, 'Amean', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 5, 'Belles de Abaixo', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 6, 'Bermo (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 7, 'Bolteiro (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 8, 'Cadarnoxo (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 9, 'Carmoeiro', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 10, 'Comejo', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 11, 'Coroo', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 12, 'Cubelo (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 13, 'Cucos', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 14, 'Cures (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 15, 'Enseo', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 16, 'Fiosa', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 17, 'Graa (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 18, 'Iglesia (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 19, 'Insuachan', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 20, 'Loxo de Abaixo', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 21, 'Loxo de Arriba', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 22, 'Macenda (Boiro)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 23, 'Mieites', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 24, 'Moimenta', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 25, 'Noceda (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 26, 'Pazos (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 27, 'Pieiro (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 28, 'Pomar do Rio', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 29, 'Runes', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 30, 'Sabeceda', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 31, 'Samartio', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 32, 'Silva (Cures)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 33, 'Teao', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15937', 34, 'Belles de Arriba', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 1, 'Abanqueiro', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 2, 'Aducil', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 3, 'Agaan', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 4, 'Bodion (Abanqueiro)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 5, 'Bolia (Abanqueiro)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 6, 'Brion (Abanqueiro)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 7, 'Chazo', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 8, 'Egipto', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 9, 'Graso', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 10, 'Lourio (Abanqueiro)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 11, 'Pedra da Bouza', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 12, 'Salteiro', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 13, 'San', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 14, 'San Martio (Abanqueiro)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 15, 'Sean (Abanqueiro)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15938', 16, 'Trianes', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 1, 'Aldea de Arriba (Cabo de Cruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 2, 'Balio (Cabo de Cruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 3, 'Banda o Rio', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 4, 'Barraa', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 5, 'Cabo de Cruz (Cabo de Cruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 6, 'Careixo (Cabocruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 7, 'Carrigeiros', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 8, 'Castro (Cabodecruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 9, 'Cesar (Cabo Cruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 10, 'Cotaron (Cabocruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 11, 'Devesa (Cabodecruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 12, 'Esteiro (Cabocruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 13, 'Fonte de Mouro', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 14, 'Rebordelo (Cabodecruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 15, 'Romaris (Cabo de Cruz)', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15939', 16, 'Xion', 150119, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15940', 0, 'A Pobra do Caramial', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15947', 0, 'Castieiras (Vilamaior)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 1, 'Agros de Vila', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 2, 'Aldea Vella', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 3, 'Angustia (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 4, 'Baltar (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 5, 'Banda', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 6, 'Barreira (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 7, 'Batan (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 8, 'Cadreche (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 9, 'Campo de Xestos', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 10, 'Campomuios', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 11, 'Carballal (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 12, 'Casas (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 13, 'Cochon (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 14, 'Colo de Arca', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 15, 'Conchido (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 16, 'Conga', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 17, 'Cortizo', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 18, 'Crocha de Levante', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 19, 'Crocha de Poniente', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 20, 'Cruceiro Novo', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 21, 'Entrerrios (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 22, 'Estivada', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 23, 'Fixo (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 24, 'Frean (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 25, 'Freixo (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 26, 'Gandra (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 27, 'Granxa (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 28, 'Horreo', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 29, 'Infernio', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 30, 'Leson', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 31, 'Lomba (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 32, 'Merced (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 33, 'Ouxo', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 34, 'Paio (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 35, 'Pedrias (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 36, 'Pontes (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 37, 'Pontes de Barbanza', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 38, 'Portocarro', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 39, 'Portofreixo', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 40, 'Postmarcos', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 41, 'Pozo (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 42, 'Pumadio', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 43, 'Recosta', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 44, 'Rego (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 45, 'Rego de Horta (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 46, 'Rios de Cestos', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 47, 'Riotrianes', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 48, 'Riveiria (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 49, 'Romeira', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 50, 'Rosamonde', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 51, 'Roupion', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 52, 'Rueiro (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 53, 'San Isidro (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 54, 'San Pedro (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 55, 'Santa Cruz (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 56, 'Sende (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 57, 'Souto (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 58, 'Vilares (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 59, 'Vilario (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 60, 'Vilas (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15948', 61, 'Virxe do Monte (Postmarcos)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 1, 'Afigueira (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 2, 'Arcos (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 3, 'Arzobispo', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 4, 'Atalaia (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 5, 'Baiuca (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 6, 'Cabio (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 7, 'Caios (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 8, 'Camio Ancho (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 10, 'Canisa', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 11, 'Castro (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 12, 'Cercias', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 13, 'Costa (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 14, 'Devesa (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 15, 'Garita (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 16, 'Gonderande', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 17, 'Jobre', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 18, 'Laxe (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 19, 'Lombia', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 20, 'Mirandela', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 21, 'Outeiro (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 22, 'Pedrias (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 23, 'Pontenaveiras', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 24, 'Puente (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 25, 'Quintans (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 26, 'San Roque (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 27, 'Silva (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 28, 'Sobral', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 29, 'Tolan (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 30, 'Tomada', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 31, 'Vilario (Campio)', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15949', 32, 'Xunqueiras', 150676, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 1, 'Atrio (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 2, 'Boucia (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 3, 'Carballa (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 4, 'Carballal (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 5, 'Chacin (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 6, 'Chimpin', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 7, 'Cochon (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 8, 'Coroso', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 9, 'Cruceiro de Cruces', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 10, 'Cruceiro de Marcos', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 11, 'Figueirido (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15950', 13, 'Lixo (Palmeira)', 150737, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18328', 2, 'Loreto', 181588, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18328', 3, 'Peuelas', 181152, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18328', 4, 'Trasmulas', 181588, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18329', 1, 'Castillo Tajarja', 180613, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18329', 2, 'Chimeneas', 180613, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18329', 3, 'El Jau', 180613, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18329', 4, 'Tajarja', 180613, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18330', 1, 'Chauchina', 180592, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18330', 2, 'Pedro Ruiz', 181759, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18330', 3, 'Sierra Elvira', 180227, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18339', 1, 'Cijuela', 180482, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18339', 2, 'Romilla', 180592, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18340', 1, 'Fuente Vaqueros', 180798, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18340', 2, 'El Martinete', 180798, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18340', 3, 'La Paz', 180798, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18350', 0, 'Alomartes', 181020, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18360', 0, 'Huetor Tajar', 181008, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18369', 0, 'Villanueva de Mesias', 181882, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18370', 1, 'Moraleda de Zafayona', 181383, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18370', 2, 'El Turro', 181383, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18380', 1, 'Tocon', 181020, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18380', 2, 'De Tocon', 181020, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18381', 0, 'Bracana', 181020, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18400', 0, 'Orgiva', 181475, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18410', 1, 'Bayacar', 181475, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18410', 2, 'Carataunas', 180439, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18410', 3, 'Soportujar', 181762, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18411', 0, 'Pampaneira', 181514, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18412', 0, 'Bubion', 180325, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18413', 0, 'Capileira', 180423, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18414', 1, 'Pitres', 189017, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18414', 2, 'La Taha', 189017, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18415', 0, 'Portugos', 181633, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18416', 1, 'Atalbeitar', 180331, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18416', 2, 'Busquistar', 180331, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18416', 3, 'Ferreirola', 189017, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18416', 4, 'Mecina Fondales', 189017, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18417', 0, 'Trevelez', 181801, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18418', 1, 'Los Agustines', 180401, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18418', 2, 'Las Barreras', 180401, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18418', 3, 'Caar', 180401, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18418', 4, 'Los Tablones', 180401, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18418', 5, 'Tijola', 180401, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18420', 0, 'Lanjaron', 181165, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18430', 0, 'Torvizcon', 181797, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18438', 0, 'Almegijar', 180166, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18439', 1, 'Castaras', 180444, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18439', 2, 'Nieles', 180444, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18439', 3, 'Notaez', 180444, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18440', 0, 'Cadiar', 180359, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18448', 1, 'Narila', 180359, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18448', 2, 'Yator', 180359, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18449', 1, 'Lobras', 181211, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18449', 2, 'Timar', 181211, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18450', 1, 'Alpujarra de la Sierra', 189043, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18450', 2, 'Golco', 189043, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18450', 3, 'Mecina Bombaron', 189043, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18451', 1, 'Alcutar', 180303, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18451', 2, 'Berchules', 180303, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18452', 0, 'Juviles', 181128, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18460', 0, 'Yegen', 189043, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18470', 1, 'Mecina Alfahar', 181839, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18470', 2, 'Nechite', 181839, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18470', 3, 'Valor', 181839, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18480', 0, 'Ugijar', 181823, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18490', 0, 'Murtas', 181417, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18491', 0, 'Turon', 181818, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18492', 1, 'Cojayar', 181417, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18492', 2, 'Jorairatar', 181823, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18492', 3, 'Mecina Tedel', 181417, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18494', 1, 'Cherin', 181823, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18494', 2, 'Jubar', 181823, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18494', 3, 'Laroles', 189038, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18494', 4, 'Mairena', 189038, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18494', 5, 'Picena', 189038, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18495', 0, 'Los Montoros', 999999, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18500', 0, 'Guadix', 180896, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18510', 1, 'Benalua de Guadix', 180270, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18510', 2, 'Camarate', 180270, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18511', 1, 'Alcudia de Guadix', 189075, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18511', 2, 'Charches', 189075, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18511', 3, 'Esfiliana', 189075, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18511', 4, 'Rambla del Agua', 189075, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18511', 5, 'Valle de Zalabi', 189075, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18512', 1, 'La Calahorra', 180690, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18512', 2, 'Dolar', 180690, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18512', 3, 'Hueneja', 180975, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18512', 4, 'Huertezuela', 180690, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18513', 0, 'Ferreira', 180747, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18514', 0, 'Aldeire', 180107, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18515', 1, 'El Bejarin', 180896, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18515', 2, 'Belerda', 180896, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18515', 3, 'Fonelas', 180763, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18516', 1, 'Beas de Guadix', 180251, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18516', 2, 'Lugros', 181232, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18516', 3, 'Marchal de Guadix', 180251, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18516', 4, 'Policar', 181612, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18517', 1, 'Cortes y Graena', 180541, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18517', 2, 'Graena (Balneario)', 180541, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18517', 3, 'Lopera', 180541, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18517', 4, 'La Peza', 180541, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18517', 5, 'Tocon de Quentar', 180541, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18518', 1, 'Albuan', 180055, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18518', 2, 'Alquife', 180188, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18518', 3, 'Cogollos de Guadix', 180495, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18518', 4, 'Jerez del Marquesado', 181089, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18518', 5, 'Lanteira', 181171, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18519', 1, 'Paulenca', 180896, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18519', 2, 'Purullena', 181670, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18520', 0, 'Alamedilla', 180021, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18530', 1, 'Fuente Caldera', 181529, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18530', 2, 'Pedro Martinez', 181529, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18538', 1, 'Alicun de Ortega', 180153, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18538', 2, 'Dehesas de Guadix', 180649, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18539', 0, 'Villanueva de Las Torres', 181876, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18540', 1, 'Delgadillo', 180830, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18540', 2, 'Huelago', 180969, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18540', 3, 'Laborcillas', 189094, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18540', 4, 'Moreda', 189094, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18540', 5, 'Morelabor', 180830, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18550', 0, 'Iznalloz', 181054, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18560', 0, 'Guadahortuna', 180883, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18561', 0, 'Montegicar', 181361, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18562', 0, 'Bogarre', 181591, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18563', 1, 'Gobernador', 180830, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18563', 2, 'Torre Cardela', 181784, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18564', 1, 'Benalua de Las Villas', 180515, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18564', 2, 'Colomera', 180515, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18564', 3, 'Montillana', 180515, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18565', 0, 'Campotejar', 180384, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18567', 1, 'Dehesas Viejas', 181054, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18567', 2, 'Domingo Perez', 181054, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18567', 3, 'Ventas de Andar', 181054, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18568', 0, 'Piar', 181591, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18570', 0, 'Deifontes', 180665, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18600', 0, 'Motril', 181400, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18610', 0, 'Lobres', 181731, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18611', 1, 'Molvizar', 181330, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18611', 2, 'Ventillas', 181330, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18612', 0, 'Itrabo', 181036, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18613', 0, 'El Varadero', 181400, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18614', 1, 'Los Carlos', 180938, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18614', 2, 'La Garnatilla', 180938, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18614', 3, 'Gualchos', 180938, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18614', 4, 'Lujar', 181247, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18616', 1, 'Gorgoracha', 181844, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18616', 2, 'Lagos', 181844, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18620', 0, 'Alhendin', 180140, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18630', 0, 'Otura', 181494, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18640', 1, 'Campamento Rubio Moscoso', 181507, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18640', 2, 'Padul', 181507, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18650', 0, 'Durcal', 180711, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18656', 1, 'Chite', 181190, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18656', 2, 'Lecrin', 181190, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18656', 3, 'Mondujar', 181190, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18656', 4, 'Murchas', 181190, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18656', 5, 'Talara', 181190, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18657', 1, 'Acequias', 181190, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18657', 2, 'Niguelas', 181438, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18658', 1, 'Melegis', 189022, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18658', 2, 'Pinos del Valle', 189108, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18658', 3, 'Restabal', 189022, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18658', 4, 'Saleres', 189022, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18658', 5, 'El Valle', 189022, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18659', 1, 'Albuuelas', 180074, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18659', 2, 'Conchar', 189081, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18659', 3, 'Cozvijar', 189081, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18659', 4, 'Marchena', 180074, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18659', 5, 'Villamena', 180074, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18660', 1, 'Beznar', 181190, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18660', 2, 'Izbor', 189108, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18660', 3, 'El Pinar', 181190, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18660', 4, 'Tablate', 181190, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18670', 0, 'Velez de Benaudalla', 181844, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18680', 1, 'Caleta de Salobrea', 181731, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18680', 2, 'Salobrea', 181731, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18690', 1, 'Almuecar', 180172, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18690', 2, 'El Pozuelo', 180172, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18690', 3, 'Taramay', 180172, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18690', 4, 'Velilla', 180172, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18697', 0, 'La Herradura', 180172, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18698', 0, 'Otivar', 181481, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18699', 1, 'Jete', 181092, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18699', 2, 'Lentegi', 181204, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18700', 0, 'Albuol', 180068, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18708', 0, 'Albondon', 180042, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18709', 0, 'Cortijo Bajo', 999999, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18710', 1, 'Alcazar', 181475, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18710', 2, 'Alfornon', 181778, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18710', 3, 'Bargis', 181475, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18710', 4, 'Fregenite', 181475, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18710', 5, 'Olias', 181475, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18710', 6, 'Polopos', 181627, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18711', 1, 'Cortijadas de Rubite', 181703, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18711', 2, 'Rubite', 181703, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18713', 0, 'Sorvilan', 181778, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18720', 0, 'Torrenueva', 181400, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18730', 1, 'Calahonda', 181400, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18730', 2, 'Carchuna', 181400, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18740', 1, 'Barriada del Romeral', 180938, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18740', 2, 'Castell de Ferro', 180938, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18750', 1, 'Castillo de Baos', 181627, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18750', 2, 'Haza del Trigo', 181627, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18750', 3, 'La Mamola', 181627, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18750', 4, 'Melicena', 181627, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18760', 0, 'La Rabita', 180068, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18770', 1, 'Huarea', 180068, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18770', 2, 'El Pozuelo', 180068, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18800', 1, 'Baza', 180233, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18800', 2, 'Cuevas de Baza', 180233, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18810', 1, 'Caniles', 180397, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18810', 2, 'Cuesta del Frances', 180397, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18811', 1, 'Balneario de Zujar', 181942, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18811', 2, 'Zujar', 181942, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18812', 1, 'Cuesta de Freila', 180785, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18812', 2, 'Freila', 180785, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18813', 0, 'Cuevas del Campo', 189120, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18814', 1, 'Cortes de Baza', 180536, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18814', 2, 'Las Cucharetas', 180536, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18814', 3, 'Los Laneros', 180536, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18814', 4, 'La Teja', 180536, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18815', 0, 'Campo Camara', 180536, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18816', 1, 'Almontaras', 180460, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18816', 2, 'Campo Cebas', 180460, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18816', 3, 'Castril de la Pea', 180460, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18816', 4, 'Cebas', 180460, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18816', 5, 'Fatima', 180460, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18816', 6, 'Fuente Vera', 180460, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18817', 1, 'Benamaurel', 180299, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18817', 2, 'Cuevas de Puente Arriba', 180299, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18818', 1, 'Los Carriones', 180457, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18818', 2, 'Castillejar', 180457, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18819', 1, 'Balax', 180397, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18819', 2, 'Cuevas de la Fuensanta', 180397, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18819', 3, 'Las Juntas (Zujar)', 180397, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18819', 4, 'Rio de Baza', 180397, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18819', 5, 'Sierra de Baza', 180397, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18819', 6, 'Venta de Aro', 180397, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18820', 1, 'Bugejar', 181648, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18820', 2, 'Puebla Don Fadrique', 181648, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18820', 3, 'Toscana Nueva', 181648, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18829', 0, 'Almaciles', 999999, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18830', 1, 'Cuevas de Barrionuevo', 180981, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18830', 2, 'Huescar', 180981, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18830', 3, 'San Clemente del Guardar', 180981, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18840', 0, 'Galera', 180824, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18849', 0, 'La Alqueria', 180824, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18850', 0, 'Cullar', 180567, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18858', 1, 'Fuente Nueva', 181469, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18858', 2, 'Orce', 181469, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18858', 3, 'Ventas Micena', 181469, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18859', 1, 'Matian', 180567, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18859', 2, 'Pulpite', 180567, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18859', 3, 'Venta Quemada', 180567, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18859', 4, 'Las Vertientes', 180567, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18860', 1, 'Bacor', 180233, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18860', 2, 'Balcones', 180233, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18860', 3, 'Baul', 180233, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18870', 1, 'Cenascuras', 180858, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18870', 2, 'Gor', 180858, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18879', 1, 'Las Juntas (Gor)', 999999, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18879', 2, 'Royo del Serval', 999999, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18880', 0, 'Hernan Valle', 180896, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18890', 1, 'Los Charcones', 180861, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18890', 2, 'Gorafe', 180861, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18890', 3, 'Rambla de Valdiquin', 180861, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18891', 1, 'La Amarguilla', 180567, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18891', 2, 'El Charcon', 180567, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18891', 3, 'Jamula', 180567, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18891', 4, 'El Margen', 180567, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18891', 5, 'Venta del Peral', 180567, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19001', 0, 'Guadalajara', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19002', 0, 'Guadalajara', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19003', 0, 'Guadalajara', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19004', 0, 'Guadalajara', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19005', 0, 'Guadalajara', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19070', 0, 'Guadalajara', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19071', 0, 'Guadalajara', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19080', 0, 'Guadalajara', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19100', 0, 'Pastrana', 192120, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19110', 0, 'Mondejar', 191924, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19111', 0, 'Yebra', 193270, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19112', 1, 'Albares', 190077, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19112', 2, 'Pozo de Almoguera', 192249, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19113', 0, 'Fuentenovilla', 191240, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19114', 0, 'Mazuecos', 191765, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19115', 0, 'Almoguera', 190215, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19116', 1, 'Driebes', 191076, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19116', 2, 'Franciscano Pastrana', 191076, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19117', 0, 'Albalate de Zorita', 190061, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19118', 0, 'Almonacid de Zorita', 190220, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 1, 'Anguix', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 2, 'Bolarque', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 3, 'Central Nuclear ''ose Cabrera', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 5, 'Cuartillejo', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 6, 'Escariche', 191116, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 7, 'Escopete', 191121, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22230', 0, 'Sena', 222179, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 8, 'Hontoba', 191425, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 9, 'Hueva', 191500, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 10, 'Illana', 191522, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 11, 'Las Colonias de San Joaquin', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 12, 'Nueva Sierra de Madrid', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 13, 'Rio Llano', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 14, 'Riollano', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 15, 'Sayaton', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 16, 'El Soto (Illana)', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 17, 'El Soto', 192521, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19119', 18, 'Zorita de los Canes', 193359, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19120', 0, 'Sacedon', 192458, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19125', 0, 'Alcocer', 190096, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19126', 0, 'Salmeron', 192477, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19127', 1, 'Castilforte', 190788, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19127', 2, 'Corcoles', 192458, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19127', 3, 'Escamilla', 191109, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19127', 4, 'Millana', 191847, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19127', 5, 'Torronteras', 190788, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19128', 1, 'Las Anclas', 192115, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19128', 2, 'Las Brisas', 192115, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19128', 3, 'Cereceda', 192115, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19128', 4, 'Chillaron del Rey', 191060, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19128', 5, 'Mantiel', 191692, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19128', 6, 'El Paraiso', 192115, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19128', 7, 'Pealagos', 192115, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19129', 1, 'Alique', 190194, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19129', 2, 'Casasana', 192115, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19129', 3, 'Hontanillas', 190194, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19129', 4, 'Pareja', 192115, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19129', 5, 'Tabladillo', 192115, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19130', 0, 'Auon', 190450, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19131', 1, 'Entrepeas', 190450, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19131', 2, 'Pantano de Entrepeas', 190450, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19132', 1, 'Alhondiga', 190181, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19132', 2, 'Valdeconcha', 193016, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19133', 1, 'Alocen', 190236, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19133', 2, 'Berninches', 190518, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19133', 3, 'El Berral', 190236, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19133', 4, 'Budia', 190544, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19133', 5, 'El Olivar', 190236, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19134', 1, 'Pealver', 192154, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19134', 2, 'Tendilla', 192666, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19135', 0, 'Armua de Tajua', 190411, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19140', 0, 'Horche', 191431, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19141', 1, 'Aranzueque', 190365, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19141', 2, 'Loranca de Tajua', 191608, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19141', 3, 'Valdarachas', 192976, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19141', 4, 'Yebes', 193264, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19142', 1, 'Lupiana', 191615, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19142', 2, 'Valdeavellano', 192995, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19143', 1, 'Duron', 191082, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19143', 2, 'Irueste', 191556, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19143', 3, 'Romanones', 192424, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19143', 4, 'San Andres del Rey', 192496, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19143', 5, 'Yelamos de Abajo', 193299, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19143', 6, 'Yelamos de Arriba', 193303, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19144', 1, 'Fuentelencina', 191214, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19144', 2, 'Fuentelviejo', 191235, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19144', 3, 'Moratilla de los Meleros', 191945, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19145', 0, 'Renera', 192332, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19150', 0, 'Iriepal', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19151', 0, 'Centenera', 190827, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19152', 0, 'Aldeanueva de Guadalajara', 190156, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19153', 0, 'Atanzon', 190432, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19160', 1, 'Albolleque', 191057, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19160', 2, 'Chiloeches', 191057, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19161', 0, 'Pozo de Guadalajara', 192252, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19162', 1, 'Ciudad Residencial el Clavin', 192206, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19162', 2, 'Pioz', 192206, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19162', 3, 'Monte Alcarria', 192206, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19162', 4, 'Piedras Menaras', 192206, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19170', 1, 'El Casar', 190714, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19170', 2, 'El Coto', 190714, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19170', 3, 'Las Colinas', 190714, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19170', 4, 'Monte Calderon', 190714, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19170', 5, 'Parque de Las Castillas', 190714, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19171', 0, 'Cabanillas del Campo', 190582, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19174', 1, 'Torrejon del Rey', 192803, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19174', 2, 'Valdeaveruelo', 193009, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19174', 3, 'Galapagos', 191266, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19180', 0, 'Marchamalo', 191713, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19182', 1, 'Fuentelahiguera de Albatages', 191207, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19182', 2, 'Usanos', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19184', 1, 'Alpedrete de la Sierra', 193055, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19184', 2, 'Valdepeas de la Sierra', 193055, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19184', 3, 'Casa de Uceda', 190707, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19184', 4, 'Villaseca de Uceda', 193233, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19184', 5, 'Viuelas', 193251, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19185', 1, 'Caraquiz', 193009, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19185', 2, 'Mesones de Uceda', 193009, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19185', 3, 'Sotolargo', 193009, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19185', 4, 'Valdenuo Fernandez', 193042, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19185', 5, 'Valbueno', 193009, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19185', 6, 'Caraquiz I, II y III', 193009, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19185', 7, 'Lago del Jaral', 193009, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19186', 0, 'El Cubillo de Uceda', 191023, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19187', 0, 'Uceda', 192939, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19190', 0, 'Torija', 192748, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19192', 1, 'Beltraneja', 191253, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19192', 2, 'Gajanejos', 191253, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19192', 3, 'Trijueque', 192901, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19192', 4, 'El Mirador del Cid', 192901, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19193', 0, 'Taracena', 191305, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19196', 1, 'Argecilla', 190390, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19196', 2, 'Muduex', 191961, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19196', 3, 'Utande', 192960, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19196', 4, 'Valdearenas', 192982, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19196', 5, 'Valfermoso de Las Monjas', 191594, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19196', 6, 'Ledanca', 191594, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19196', 7, 'Arcipreste', 190390, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19197', 1, 'Ciruelas', 190886, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19197', 2, 'Caizar', 190668, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19197', 3, 'Rebollosa de Hita', 190886, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19197', 4, 'Valdenoches', 190886, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19197', 5, 'Heras de Ayuso', 191333, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19197', 6, 'El Palacio de Heras', 190886, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19197', 7, 'Sopetran', 190886, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19197', 8, 'Torre del Burgo', 192799, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19198', 0, 'Tortola de Henares', 192862, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19200', 1, 'Acequilla', 190463, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19200', 2, 'Azuqueca de Henares', 190463, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19200', 3, 'Barriada de Asfain', 190463, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19200', 4, 'Miralcampo', 190463, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19208', 0, 'Alovera', 190241, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19209', 1, 'Eusebio Centenera', 192304, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19209', 2, 'Quer', 192304, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19209', 3, 'Villanueva de la Torre', 193191, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19210', 0, 'Yunquera de Henares', 193310, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19219', 1, 'Malaga del Fresno', 191667, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19219', 2, 'Malaguilla', 191673, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19220', 0, 'Humanes de Mohernando', 191517, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19222', 0, 'Tamajon', 192629, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19223', 1, 'Campillejo', 190609, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19223', 2, 'Campillo de Ranas', 190609, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19223', 3, 'El Espinar', 190609, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19223', 4, 'Majaelrayo', 191654, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19223', 5, 'Roblelacasa', 190609, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19223', 6, 'Robleluengo', 190609, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19223', 7, 'El Vado', 190609, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19224', 2, 'Presa de Matallana', 193114, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19224', 4, 'Valverde de los Arroyos', 193114, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19225', 8, 'Muriel', 192290, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19225', 1, 'La Mierla', 192290, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19225', 2, 'Puebla de Valles', 192290, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19225', 3, 'Retiendas', 192347, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19225', 4, 'Tortuero de la Sierra', 192290, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19225', 5, 'Valdesotos', 193074, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19225', 6, 'Almiruete', 192290, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19225', 7, 'Palancares', 192290, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19226', 2, 'Mohernando', 191898, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19227', 1, 'Matarrubia', 191734, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19227', 2, 'Robledillo de Mohernando', 192398, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19227', 3, 'Maluque', 191734, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19227', 4, 'Alarilla', 190058, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19227', 5, 'Taragudo', 192635, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19227', 6, 'Colegio Salesiano Maluque', 191734, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19227', 7, 'Depuradora Maluque', 191734, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19229', 1, 'Cerezo de Mohernando', 191517, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19229', 2, 'Montarron', 191930, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19229', 3, 'Peahora', 191517, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19229', 4, 'Torrebelea', 190925, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19229', 5, 'Humanes de Mohernando', 191517, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19229', 6, 'Puebla de Belea', 192287, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19229', 7, 'Razbona', 191517, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19229', 8, 'Los Palacios', 191517, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19230', 0, 'Cogolludo', 190925, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19237', 1, 'Alcorlo', 192483, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19237', 2, 'San Andres del Congosto', 192483, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19237', 3, 'Semillas', 192483, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19237', 5, 'Zarzuela de Jadraque', 193346, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19237', 6, 'Aleas', 192483, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19237', 7, 'Arbancon', 190371, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19237', 8, 'Belea de Sorbe', 192483, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19237', 9, 'Fuencemillan', 191193, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19238', 1, 'Arroyo de Fraguas', 191462, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19238', 2, 'La Huerce', 191462, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19238', 3, 'La Nava de Jadraque', 191462, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19238', 4, 'Umbralejo', 191462, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19238', 5, 'Valdepinillos', 191462, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19238', 6, 'Zarzuela de Galve', 191462, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19238', 7, 'Veguillas', 191462, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19239', 4, 'Fraguas', 191919, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19239', 6, 'Jocar', 191919, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19239', 7, 'Monasterio', 191919, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19239', 8, 'Robledarcas', 191919, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19239', 9, 'Romerosa', 191919, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19239', 10, 'Santotis', 191919, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19240', 1, 'Jadraque', 191569, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19240', 2, 'Secarro', 191569, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19242', 0, 'Hiendelaencina', 191351, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19243', 1, 'Gascuea de Bornova', 191291, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19243', 2, 'Robledo de Corpes', 192402, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19243', 3, 'Congostrina', 190978, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19243', 4, 'La Toba', 191291, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19243', 5, 'Pradena de Atienza', 192265, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19244', 1, 'Aldeanueva de Atienza', 190962, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19244', 2, 'Bustares', 190962, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19244', 3, 'Navas de Jadraque', 191977, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19244', 4, 'El Ordial', 190962, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19244', 5, 'Villares de Jadraque', 190962, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 1, 'Angon', 190313, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 2, 'Negredo', 191983, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 3, 'Palmaces de Jadraque', 192081, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 4, 'Pantano de Palmaces', 190313, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 5, 'Rebollosa de Jadraque', 192311, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 6, 'Santiuste', 192509, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 7, 'Torremocha de Jadraque', 192810, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 8, 'Jirueque', 191575, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 9, 'Cendejas de en Medio', 190805, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 10, 'Cendejas de la Torre', 190812, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19245', 11, 'Cendejas del Padrastro', 190805, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19246', 1, 'Castilblanco de Henares', 191569, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19246', 2, 'Medranda', 191771, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19246', 3, 'Pinilla de Jadraque', 192189, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19246', 4, 'Casas de San Galindo', 190735, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('19246', 5, 'Miralrio', 191879, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24218', 1, 'La Cenia', 240943, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24218', 2, 'Mansilla del Esla', 240943, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24218', 3, 'Villalquite', 241801, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24218', 4, 'Villomar', 240943, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24219', 1, 'Valle de Mansilla', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24219', 2, 'Vega de los Arboles', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24219', 3, 'Villacontilde', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24219', 4, 'Villafale', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24219', 5, 'Villasabariego', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24219', 6, 'Villiguer', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24220', 1, 'Valdefuentes de Valderas', 241818, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24220', 2, 'Valderas', 241818, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24221', 0, 'Campazas', 240325, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24222', 1, 'Castrofuerte', 249022, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24222', 2, 'Villaornate', 249022, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24223', 1, 'Fresno de la Vega', 240732, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24223', 2, 'Morilla de los Oteros', 241073, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24223', 3, 'Pobladura de los Oteros', 241073, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24223', 4, 'El Ventorro', 240732, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24224', 1, 'Cabreros del Rio', 240286, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24224', 2, 'Cubillas de los Oteros', 240628, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24224', 3, 'Gigosos de los Oteros', 240628, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24224', 4, 'Jabares de los Oteros', 240286, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24224', 5, 'Velilla de los Oteros', 241073, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24225', 1, 'Campo de Villavidel', 240331, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24225', 2, 'Corbillos de los Oteros', 240589, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24225', 3, 'Nava de los Oteros', 240589, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24225', 4, 'Palanquinos', 242186, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24225', 5, 'Rebollar de los Oteros', 240589, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24225', 6, 'Riego del Monte', 242186, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24225', 7, 'San Justo de los Oteros', 240589, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24225', 8, 'Villacelama', 242186, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24225', 9, 'Villanueva de Las Manzanas', 242186, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24225', 10, 'Villavidel', 240331, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 1, 'Barrio de Villarente', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 2, 'Mancilleros', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 3, 'Marne', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 4, 'Puente Villarente', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 5, 'Roderos', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 6, 'San Justo de Las Regueras', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 7, 'Villaturiel', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 8, 'Valdesogo de Abajo', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 9, 'Valdesogo de Arriba', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 10, 'Villarroae', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24226', 11, 'Toldanos', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24227', 1, 'Arcahueja', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24227', 2, 'Las Lomas', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24227', 3, 'San Felismo', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24227', 4, 'Santa Eugenia (Los Ajos)', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24227', 5, 'Valdelafuente', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24227', 6, 'Venta de los Ajos', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24227', 7, 'Villacete', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24228', 1, 'Corbillos de la Sobarriba', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24228', 2, 'Paradilla de la Sobarriba', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24228', 3, 'Solanilla', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24228', 4, 'Valdefresno', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24228', 5, 'Villacil', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24228', 6, 'Villalboe', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24228', 7, 'Villaseca de la Sobarriba', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24230', 0, 'Valdevimbre', 241876, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24231', 1, 'Cembranos', 240652, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24231', 2, 'Onzonilla', 241054, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24232', 1, 'Ardon', 240068, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24231', 3, 'Viloria de la Jurisdicion', 241054, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24232', 2, 'Fresnellino del Monte', 240068, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24232', 3, 'San Cibrian de Ardon', 240068, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24233', 1, 'Benamariel', 242127, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24233', 2, 'Benazolve', 240068, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24233', 3, 'Farballes', 242127, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24233', 4, 'Villalobar', 240068, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24234', 1, 'Cabaeros', 240883, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24234', 2, 'Conforcos', 240883, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24234', 3, 'Laguna de Negrillos', 240883, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24234', 4, 'San Esteban de Villacalbiel', 240883, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24234', 5, 'Villacalbiel', 242127, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24234', 6, 'Villace', 242127, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24234', 7, 'Villamaan', 242127, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24234', 8, 'Villamor de la Laguna', 240883, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24234', 9, 'Villamorico', 240883, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24235', 0, 'Villaquejida', 242210, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24236', 1, 'Belvis', 242210, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24236', 2, 'Villafer', 242210, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24237', 1, 'San Millan de los Caballeros', 241494, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24237', 2, 'Toral de los Guzmanes', 241686, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24237', 3, 'Villademor de la Vega', 242072, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24238', 1, 'Algadefe', 240021, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24238', 2, 'Villamandos', 242112, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24238', 3, 'Villarrabines', 242112, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24239', 1, 'Bariones de la Vega', 240541, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24239', 2, 'Cimanes de la Vega', 240541, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24239', 3, 'Lordemanos', 240541, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24240', 0, 'Santa Maria del Paramo', 241572, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24248', 1, 'Barrio de Urdiales', 240877, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24248', 2, 'Laguna Dalga', 240877, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24248', 3, 'Mansilla del Paramo', 241746, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24248', 4, 'San Pedro de Las Dueas (Santa', 240877, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24248', 5, 'Urdiales del Paramo', 241746, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24249', 1, 'Pobladura de Pelayo Garcia', 241134, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24249', 2, 'Santa Cristina del Paramo', 240877, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24249', 3, 'Soguillo del Paramo', 240877, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24249', 4, 'Villar del Yermo', 240172, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24249', 5, 'Zambroncinos', 241134, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24249', 6, 'Zuares del Paramo', 240172, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24250', 1, 'Fontecha', 241876, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24250', 2, 'Meizara', 240652, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24250', 3, 'Mozondiga', 240652, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24250', 4, 'Palacios de Fontecha', 241876, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24250', 5, 'Pobladura de Fontecha', 241876, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24250', 6, 'Vallejo', 241876, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24250', 7, 'Villagallegos', 241876, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24250', 8, 'Villibae', 241876, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24251', 1, 'Antimio de Abajo', 241054, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24251', 2, 'Ardoncino', 240652, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24251', 3, 'Banuncias', 240652, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24251', 4, 'Cillanueva', 240068, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24252', 1, 'Bercianos del Paramo', 240172, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24252', 2, 'La Mata del Paramo', 240172, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24252', 3, 'San Pedro Bercianos', 241507, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24252', 4, 'Villarrin del Paramo', 241746, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24253', 1, 'Azares del Paramo', 241762, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24253', 2, 'Valdefuentes del Paramo', 241762, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24257', 0, 'Cerecedo de Boar', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24260', 0, 'Base Militar Ferral', 999999, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24270', 1, 'Carrizo de la Ribera', 240397, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24270', 2, 'Villanueva de Carrizo', 240397, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24271', 1, 'Llamas de la Ribera', 240922, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24271', 2, 'Quintanilla de Sollamas', 240922, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24271', 3, 'San Roman de los Caballeros', 240922, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24271', 4, 'Villaviciosa de la Ribera', 240922, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24272', 1, 'Azadon', 240554, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24272', 2, 'Cimanes del Tejar', 240554, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24273', 1, 'Mataluenga', 241041, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24273', 2, 'Las Omaas', 241041, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24273', 3, 'Pedregal', 241041, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24273', 4, 'San Martin de la Falamosa', 241041, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24273', 5, 'Santiago del Molinillo', 241041, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24273', 6, 'Secarejo', 240554, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24273', 7, 'Villarroquel', 240554, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24274', 0, 'Espinosa de la Ribera', 241330, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24275', 1, 'Rioseco de Tapia', 241330, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24275', 2, 'Selga de Ordas', 241588, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24275', 3, 'Tapia de la Ribera', 241330, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24276', 1, 'Santa Maria de Ordas', 241588, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24276', 2, 'Santibaez de Ordas', 241588, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24276', 3, 'Sorrios de Ordas', 241588, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24276', 4, 'Villarrodrigo de Ordas', 241588, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24277', 1, 'Adrados de Ordas', 241588, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24277', 2, 'Callejo de Ordas', 241588, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24277', 3, 'Riocastrillo de Ordas', 241588, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24280', 0, 'Benavides de Orbigo', 240153, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24281', 1, 'Antoan del Valle', 240153, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24281', 2, 'Quintanilla del Valle', 240153, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24281', 3, 'Vega de Antoan', 240153, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24281', 4, 'Vega del Valle', 240153, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24282', 0, 'Montejos del Camino', 241895, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24283', 1, 'Huerga del Rio', 240397, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24283', 2, 'La Milla del Rio', 240397, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24283', 3, 'Quiones del Rio', 240397, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24284', 0, 'Armellada', 241731, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24285', 1, 'Gavilanes', 241731, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24285', 2, 'Palazuelo de Orbigo', 241731, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24285', 3, 'Quintanilla del Monte', 240153, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24285', 4, 'Riofrio', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24285', 5, 'Turcia', 241731, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24286', 1, 'Hospital de Orbigo', 240824, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24286', 2, 'Puente de Orbigo', 240824, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24287', 1, 'Barrio de Portugal', 240153, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24287', 2, 'Gualtares de Orbigo', 240153, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24287', 3, 'Moral de Orbigo', 242246, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24287', 4, 'San Feliz de Orbigo', 242246, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24288', 1, 'Estebanez de la Calzada', 242231, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24288', 2, 'Santibaez de Valdeiglesias', 242246, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24288', 3, 'Valdeiglesias', 242246, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24288', 4, 'Villares de Orbigo', 242246, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24290', 1, 'Matallana de Valmadrigal', 241535, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24290', 2, 'Santa Cristina de Valmadrigal', 241535, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24291', 1, 'Fontanil de los Oteros', 240975, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24291', 2, 'Matadeon de los Oteros', 240975, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24291', 3, 'San Pedro de los Oteros', 240975, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24291', 4, 'Santa Maria de los Oteros', 240975, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24292', 0, 'Valverde Enrique', 241909, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24293', 1, 'Alvires', 240845, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24293', 2, 'Izagre', 240845, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24293', 3, 'Valdemorilla', 240845, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24294', 0, 'Gordoncillo', 240785, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24300', 0, 'Bembibre', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24310', 1, 'Albares de la Ribera', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24310', 2, 'La Ribera de Folgoso', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24311', 0, 'Folgoso de la Ribera', 240711, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24312', 1, 'Boeza', 240711, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24312', 2, 'Iguea', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24313', 1, 'Colinas del Campo', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24313', 2, 'Los Montes de la Ermita', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24314', 1, 'Castropodame', 240495, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24313', 3, 'Urdiales de Colinas', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24314', 2, 'Matachana', 240495, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24314', 3, 'Villaverde de los Cestos', 240495, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24315', 1, 'Rozuelo', 240711, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24315', 2, 'San Esteban de Toral', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24315', 3, 'Santibaez de Toral', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24315', 4, 'Tedejo', 240711, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24315', 5, 'El Valle', 240711, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24315', 6, 'Villaviciosa de San Miguel', 240711, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24316', 1, 'Castaero', 240495, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24316', 2, 'San Pedro Castaero', 240495, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24316', 3, 'Turienzo Castaero', 240495, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24316', 4, 'Viloria', 240495, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24317', 1, 'Navaleo', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24317', 2, 'Puente Nuevo', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24317', 3, 'San Andres de los Puentes', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24317', 4, 'Las Ventas de Albares', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24318', 1, 'Losada', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24318', 2, 'Rodanillo', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24318', 3, 'San Roman de Bembibre', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24319', 1, 'Arlanza', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24319', 2, 'Cabanillas de San Justo', 241020, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24319', 3, 'Labaniego', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24319', 4, 'Marifollos', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24319', 5, 'Mirafollos', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24319', 6, 'Noceda', 241020, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24319', 7, 'Quintana de Fuseros', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24319', 8, 'San Justo de Cabanillas', 241020, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24319', 9, 'Viales', 240140, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24320', 0, 'Sahagun', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24323', 1, 'Castrotierra de Valmadrigal', 241909, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24323', 2, 'Castrovega de Valmadrigal', 241909, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24323', 3, 'La Veguellina (Sahagun)', 241909, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24324', 1, 'Joarilla de Las Matas', 240861, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24324', 2, 'San Miguel de Montaan', 240861, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24324', 3, 'Valdespino Vaca', 240861, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24324', 4, 'Vallecillo', 241916, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24324', 5, 'Villeza', 241916, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24325', 1, 'Bercianos del Real Camino', 240188, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24325', 2, 'Gordaliza del Pino', 240779, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24325', 3, 'Granja de San Esteban', 240188, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24326', 1, 'Celada de Cea', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24326', 2, 'Joara', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24326', 3, 'Riosequillo', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24326', 4, 'San Martin de la Cueza', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24326', 5, 'Villalebrin', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24326', 6, 'Villalman', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24326', 7, 'Villazan', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24327', 1, 'Castrillo de Valderaduey', 242297, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24327', 2, 'Renedo de Valderaduey', 242297, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24327', 3, 'Velilla de Valderaduey', 242297, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24327', 4, 'Villadiego de Cea', 242297, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24327', 5, 'Villavelasco de Valderaduey', 242297, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24328', 1, 'Carbajal de Valderaduey', 242297, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24328', 2, 'San Pedro de Valderaduey', 240515, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24328', 3, 'Sotillo de Cea', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24328', 4, 'Villazanzo de Valderaduey', 242297, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24329', 1, 'Arenillas de Valderaduey', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24329', 2, 'Dehesa de Maudes', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24329', 3, 'Dehesa de Valdelaguna', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24329', 4, 'Galleguillos de Campos', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24329', 5, 'Granja de Valdelaguna', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24329', 6, 'San Pedro de Las Dueas (Sahag', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24329', 7, 'Valdelaguna', 241396, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24330', 1, 'Mata del Moral', 241605, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24330', 2, 'Santas Martas', 241605, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24330', 3, 'Valdearcos', 241605, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24339', 1, 'Grajalejo de Las Matas', 242170, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24339', 2, 'Luengos', 241605, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24339', 3, 'Malillos', 241605, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24339', 4, 'Reliegos', 241605, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24339', 5, 'Villamoratiel de Las Matas', 242170, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24340', 0, 'Grajal de Campos', 240802, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24341', 0, 'Escobar de Campos', 240690, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24342', 1, 'Calzada del Coto', 240310, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24342', 2, 'Codornillos', 240310, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24342', 3, 'Dehesa de Valdelocajos', 240310, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24343', 1, 'Banecidas', 241566, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24343', 2, 'El Burgo Ranero', 241566, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24343', 3, 'Calzadilla de los Hermanillos', 240248, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24343', 4, 'Castellanos', 241566, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24343', 5, 'Graeras', 241566, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24343', 6, 'Santa Maria de Monte Cea', 241566, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24344', 1, 'Castroae', 242262, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24344', 2, 'Dehesa de Valdellan', 242262, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24344', 3, 'Santa Maria del Rio', 242262, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24344', 4, 'Venta de Truebano', 242262, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24344', 5, 'Villaceran', 242262, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24344', 6, 'Villacintor', 241566, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24344', 7, 'Villamartin de Don Sancho', 242133, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24344', 8, 'Villamizar', 241566, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24344', 9, 'Villamuio', 240248, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24344', 10, 'Villaselan', 242262, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24345', 0, 'Villamarco', 241605, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24346', 1, 'Grulleros', 241974, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24346', 2, 'Vega de Infanzones', 241974, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24347', 1, 'Sotico', 241054, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24347', 2, 'Torneros del Bernesga', 241054, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24347', 3, 'Villadesoto', 241974, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24350', 0, 'Veguellina de Orbigo', 242231, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24356', 1, 'Barrio de Buenos Aires', 240264, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24356', 2, 'Castrillo de San Pelayo', 242284, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24356', 3, 'Huerga de Frailes', 242284, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24356', 4, 'San Pedro de Pegas', 240264, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24356', 5, 'San Pelayo del Paramo', 240264, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24356', 6, 'Santa Marinica del Paramo', 240264, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24357', 1, 'Acebes del Paramo', 240264, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24357', 2, 'Antoanes del Paramo', 240264, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24357', 3, 'Bustillo del Paramo', 240264, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24357', 4, 'Grisuela del Paramo', 240264, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24357', 5, 'Matalobos del Paramo', 240264, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24358', 1, 'Villarejo de Orbigo', 242231, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24358', 2, 'Villoria de Orbigo', 242231, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24359', 1, 'Matilla de la Vega', 241443, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24359', 2, 'San Cristobal de la Polantera', 241443, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24359', 3, 'San Roman el Antiguo', 241443, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24359', 4, 'Seison de la Vega', 241443, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24359', 5, 'Veguellina de Fondo', 241443, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24359', 6, 'Venta del Horno', 241443, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24359', 7, 'Villagarcia de la Vega', 241443, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24359', 8, 'Villamediana de la Vega', 241443, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24360', 0, 'Brauelas', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24367', 0, 'Villagaton', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24368', 1, 'Barrio de Tabladas', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24368', 2, 'Los Barrios de Nistoso', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24368', 3, 'Corus', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24368', 4, 'Culebros', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24368', 5, 'Nistoso', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24368', 6, 'Requejo y Corus', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24368', 7, 'Villar (Nistoso)', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24369', 1, 'Manzanal del Puerto', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24369', 2, 'Ucedo', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24369', 3, 'Valbuena de la Encomienda', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24370', 0, 'Torre del Bierzo', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24374', 1, 'Almagarinos', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24374', 2, 'Cerezal de Tremor', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24374', 3, 'Tremor de Abajo', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24375', 1, 'Pobladura de Las Regueras', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24375', 2, 'Rodrigatos de Las Regueras', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24376', 1, 'Barrio de San Pedro', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24376', 2, 'Espina de Tremor', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24377', 0, 'Tremor de Arriba', 240830, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24378', 1, 'Fonfria', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24378', 2, 'La Granja de San Vicente', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24378', 3, 'San Facundo', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24378', 4, 'Santa Marina de Torre', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24379', 1, 'Montealegre', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24379', 2, 'Santa Cruz de Montes', 241703, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24379', 3, 'Santibaez de Montes', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24379', 4, 'La Silva', 242105, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24380', 0, 'Puente Domingo Florez', 241226, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24384', 1, 'Chao do Marco', 241226, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24384', 2, 'Salas de la Ribera', 241226, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24385', 0, 'San Pedro de Trones', 241226, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24386', 1, 'Vega de Yeres', 241226, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24386', 2, 'Yeres', 241226, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24387', 0, 'Robledo de Sobrecastro', 241226, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24388', 1, 'Llamas de Cabrera', 240166, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24388', 2, 'Lomba', 240166, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24388', 3, 'Santalavilla', 240166, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24388', 4, 'Sigueya', 240166, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24388', 5, 'Silvan', 240166, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24388', 6, 'Yebra', 240166, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24389', 1, 'Benuza', 240166, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24389', 2, 'Castroquilame', 241226, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24389', 3, 'Pombriego', 240166, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24389', 4, 'Sotillo de Cabrera', 240166, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24390', 1, 'Dehesas', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24390', 2, 'Posada del Bierzo', 240384, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24390', 3, 'Villaverde de la Abadia', 240384, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 1, 'Aldea de la Valdoncina', 241895, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 2, 'Antimio de Arriba', 240652, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 3, 'Fresno del Camino', 241895, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 4, 'Oncina de la Valdoncina', 241895, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 5, 'Quintana de Raneros', 241627, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 6, 'Raneros', 241895, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 7, 'Ribaseca', 241627, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 8, 'Robledo de la Valdoncina', 241895, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 9, 'Santovenia de la Valdoncina', 241627, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 10, 'San Miguel del Camino', 241895, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 11, 'Valverde de la Virgen', 241895, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24391', 12, 'Villanueva del Carnero', 241627, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24392', 1, 'Celadilla del Paramo', 242053, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24392', 2, 'Chozas de Abajo', 240652, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24392', 3, 'Chozas de Arriba', 240652, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24392', 4, 'Fojedo', 242053, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24392', 5, 'Velilla de la Reina', 240554, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24392', 6, 'Villadangos del Paramo', 242053, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24392', 7, 'Villar de Mazarife', 240652, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24393', 1, 'Alcoba de la Ribera', 240554, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24393', 2, 'La Milla del Paramo', 240554, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24393', 3, 'San Martin del Camino', 241591, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24393', 4, 'Santa Marina del Rey', 241591, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24393', 5, 'Sardonedo', 241591, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24393', 6, 'Villamor de Orbigo', 241591, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24393', 7, 'Villavante', 241591, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24394', 1, 'Barrientos', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24394', 2, 'Carral', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24394', 3, 'Santa Ana', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24394', 4, 'Villar de la Vega', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24395', 1, 'Celada', 241481, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24395', 2, 'Cuevas de la Sequeda', 241481, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24395', 3, 'Nistal', 241481, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24396', 1, 'Benamarias', 240938, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24396', 2, 'Magaz de Cepeda', 240938, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24396', 3, 'Vanidodes', 240938, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24396', 4, 'Vega Magaz', 240938, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24396', 5, 'Zacos', 240938, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 1, 'Abano', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 2, 'Castro de Cepeda', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 3, 'Donillas', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 4, 'Escuredo', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 5, 'Ferreras de Cepeda', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 6, 'Morriondo', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 7, 'Palaciosmil', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 8, 'Porqueros', 240938, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 9, 'Quintana del Castillo', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 10, 'San Feliz de Las Lavanderas', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 11, 'La Veguellina de Cepeda', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 12, 'Villameca', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24397', 13, 'Villarmeriel', 241232, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24398', 1, 'Abesedo', 240573, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24398', 2, 'Almazcara', 240573, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24398', 3, 'Calamocos', 240495, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24398', 4, 'Cobrana', 240573, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24398', 5, 'Congosto', 240573, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24398', 6, 'Coto Minero Vivaldi', 240573, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24398', 7, 'Coto Wagner', 240573, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24398', 8, 'Onamio', 240573, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24398', 9, 'Paradasolana', 241008, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24398', 10, 'San Miguel de Las Dueas', 240573, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24400', 1, 'Flores del Sil', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24400', 2, 'Ponferrada', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24410', 1, 'Camponaraya', 240346, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24410', 2, 'El Canal', 240346, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24410', 3, 'Hervededo', 240346, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24410', 4, 'Magaz de Abajo', 240346, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24410', 5, 'Magaz de Arriba', 240074, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24410', 6, 'Narayola', 240346, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24410', 7, 'La Valgoma', 240346, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24411', 1, 'Los Campos', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24411', 2, 'Fuentes Nuevas', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 1, 'Agua', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 2, 'Barrio de Santa Ana', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 3, 'Cabaas Raras', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 4, 'Cortiguera', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 5, 'La Era', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 6, 'La Lomba (Cabaas Raras)', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 7, 'Venta de la Malladina', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 8, 'Los Molinos', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 9, 'El Teso', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 10, 'Valle del Agua', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24412', 11, 'Venta Malladina', 240270, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24413', 1, 'Acebo de San Miguel', 241008, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24413', 2, 'Castrillo del Monte', 241008, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24413', 3, 'Folgoso del Monte', 241008, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24413', 4, 'Molinaseca', 241008, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24413', 5, 'Riego de Ambros', 241008, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24413', 6, 'Las Tejedas', 241008, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24414', 1, 'Bouzas', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24414', 2, 'Campo', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24414', 3, 'Carracedo de Compludo', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24414', 4, 'Compludo', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24414', 5, 'Espinoso Compludo', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24414', 6, 'Lombillo (Barrios de Salas)', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24414', 7, 'Palacios de Compludo', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24414', 8, 'Salas de los Barrios', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24414', 9, 'San Cristobal de Valdueza', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24414', 10, 'Villar de los Barrios', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 1, 'Ferradillo', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 2, 'Manzanedo de Valdueza', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 3, 'Montes de Valdueza', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 4, 'Orbanajo', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 5, 'Otero', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 6, 'Ozuela', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 7, 'Pealba de Santiago', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 8, 'Puente Boeza', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 9, 'San Adrian de Valdueza', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 10, 'San Clemente de la Valdueza', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 11, 'San Cosme de Valdueza', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 12, 'San Esteban de Valdueza', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 13, 'San Lorenzo', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 14, 'San Pedro de Montes', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 15, 'Santa Lucia de Valdueza', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 16, 'Valdecaada', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 17, 'Valdefrancos', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24415', 18, 'Villanueva de Valdueza', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24416', 1, 'Montearenas', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24416', 2, 'Santo Tomas de Las Ollas', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24417', 0, 'Vega Alegre', 999999, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24420', 0, 'Fabero', 240704, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24428', 1, 'Barrio de la Campara', 240704, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24428', 2, 'Lillo del Bierzo', 240704, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24428', 3, 'Otero de Naraguantes', 240704, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24429', 1, 'Barcena de la Abadia', 240704, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24429', 2, 'Cariseda', 241128, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24429', 3, 'Chano', 241128, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24429', 4, 'Faro', 241128, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24429', 5, 'Fresnedelo', 241128, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24429', 6, 'Guimara', 241128, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24429', 7, 'Peranzanes', 241128, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24429', 8, 'San Pedro de Paradela', 240704, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24429', 9, 'Trascastro', 241128, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24430', 0, 'Vega de Espinareda', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 1, 'Balouta', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 2, 'Candin', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 3, 'Espinareda de Ancares', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 4, 'Lumeras', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 5, 'Pereda de Ancares', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 6, 'Sorbeira', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 7, 'Suarbol', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 8, 'Suertes', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 9, 'Tejedo de Ancares', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 10, 'Villarbon', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24433', 11, 'Villasumil', 240362, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24434', 1, 'Fontoria', 240704, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24434', 2, 'Sesamo', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24434', 3, 'Villar de Otero', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24435', 0, 'Valle de Finolledo', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24436', 1, 'Moreda', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24436', 2, 'San Martin de Moreda', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24436', 3, 'San Pedro de Olleros', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24437', 1, 'Burbia', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24437', 2, 'Bustarga', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24437', 3, 'Penoselo (Fabero)', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24438', 1, 'El Barrio de Langre', 240191, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24438', 2, 'Berlanga del Bierzo', 240191, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24438', 3, 'Langre', 240191, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24438', 4, 'San Miguel de Langre', 240191, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24438', 5, 'Tombrio de Abajo', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24438', 6, 'Tombrio de Arriba', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24439', 1, 'Espinareda de Vega', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24439', 2, 'El Espino', 241968, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24439', 3, 'Ocero', 241438, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24439', 4, 'Sancedo', 241438, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24440', 1, 'Lago de Carucedo', 240418, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24440', 2, 'Pearrubia', 240418, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24441', 1, 'La Barosa', 240418, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24441', 2, 'Campaana', 240418, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24441', 3, 'Carril', 240418, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24441', 4, 'Forcadas', 240418, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24441', 5, 'Valia', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24441', 6, 'Villarrando', 240418, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24442', 1, 'Carucedo', 240418, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24442', 2, 'Las Medulas', 240418, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24443', 1, 'Borrenes', 240227, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24443', 2, 'San Juan de Paluezas', 240227, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24443', 3, 'Ventas de San Juan', 240227, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24444', 1, 'La Chana', 240227, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24444', 2, 'Orellan', 240227, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24444', 3, 'Voces', 240227, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24445', 0, 'Santalla', 241190, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24446', 1, 'Paradela de Muces', 241190, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24446', 2, 'Rioferreiros', 241190, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24446', 3, 'Villavieja', 241190, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24447', 0, 'Villalibre de la Jurisdicion', 241190, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24448', 1, 'Priaranza del Bierzo', 241190, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24448', 2, 'Rimor', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24448', 3, 'Toral de Merayo', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24450', 1, 'Torenillo', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24450', 2, 'Toreno', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24457', 1, 'Alinos', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24457', 2, 'Libran', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24457', 3, 'El Mayuelo', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24457', 4, 'Pardamaza', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24458', 1, 'Berciego', 241020, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24458', 2, 'Robledo de Las Traviesas', 241020, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24458', 3, 'Trasmundo', 241020, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24458', 4, 'Villar de Las Traviesas', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24458', 5, 'Villaverde (Ponferrada)', 241020, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24459', 1, 'Finolledo', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24459', 2, 'Pradilla', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24459', 3, 'Valdelaloba', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24460', 1, 'Matarrosa del Sil', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24460', 2, 'Santa Barbara', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24469', 1, 'Peadrada', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24469', 2, 'San Pedro Mallo', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24469', 3, 'Santa Leocadia', 241699, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24469', 4, 'Villamartin del Sil', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24470', 0, 'Paramo del Sil', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24478', 1, 'Argayo', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24478', 2, 'Puente del Sil', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24478', 3, 'Sorbeda', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24479', 1, 'Primout', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24479', 2, 'Salentinos', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24480', 1, 'Cediel', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24480', 2, 'Corbon del Sil', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24480', 3, 'El Hospital', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24480', 4, 'Leoneza', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24480', 5, 'Las Ondinas', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24488', 1, 'Anllares del Sil', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24488', 2, 'Anllarinos del Sil', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24489', 1, 'Susae del Sil', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24489', 2, 'Valdeprado', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24490', 0, 'Columbrianos', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24491', 1, 'Barcena del Bierzo', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24491', 2, 'San Andres de Montejos', 241152, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24492', 1, 'Cabaas de la Dornilla', 240649, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24492', 2, 'Cascallares', 240649, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24492', 3, 'Compostilla II', 240649, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24492', 4, 'Cubillinos', 240649, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24492', 5, 'Cubillos del Sil', 240649, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24492', 6, 'El Fresnedo', 240649, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24492', 7, 'Posadinas', 240649, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24492', 8, 'Venta de Cubillos', 240649, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24493', 0, 'Santa Marina del Sil', 999999, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24494', 1, 'El Escobio', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24494', 2, 'Santa Cruz del Sil', 241106, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24495', 1, 'La Cruz', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24495', 2, 'Matalavilla', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24495', 3, 'Palacios del Sil', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24495', 4, 'Salientes', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24495', 5, 'Valseco', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24496', 1, 'Cuevas del Sil', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24496', 2, 'Mataotero', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24497', 0, 'Tejedo del Sil', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24498', 0, 'Villarino del Sil', 241092, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24500', 0, 'Villafranca del Bierzo', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24510', 1, 'Cela', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24510', 2, 'Paradaseca', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24511', 1, 'Aira de Pedra', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24511', 2, 'Campo del Agua', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24511', 3, 'Porcarizas', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24511', 4, 'Tejeira', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24511', 5, 'Villar de Acero', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24512', 1, 'Paradia', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24512', 2, 'Pobladura de Somoza', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24512', 3, 'Prado de Paradia', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24512', 4, 'Ribon', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24512', 5, 'San Cosme', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24512', 6, 'La Veguellina (Villafranca)', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24513', 1, 'Landoiro', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24513', 2, 'Puente de Rey', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24513', 3, 'Vilacha', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24514', 0, 'Corullon', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24515', 1, 'Barrio los Mazos de Melezna', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24515', 2, 'Hornija', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24515', 3, 'Melezna', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24515', 4, 'San Fiz de Corullon', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24515', 5, 'Viariz', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24516', 1, 'Horta', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24516', 2, 'Otero de Villadecanes', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24516', 3, 'Parandones', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24516', 4, 'Vilela', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24517', 1, 'Cadafresnas', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24517', 2, 'Dragonte', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24517', 3, 'Villagroy', 240592, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24520', 1, 'Ambascasas', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24520', 2, 'La Braa (Villafranca)', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24520', 3, 'Moon', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24520', 4, 'Ransinde', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24520', 5, 'Ruitelan', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24520', 6, 'Sampron', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24520', 7, 'Vega de Valcarce', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 1, 'Moldes', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 2, 'Barjas', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 3, 'Barrosas', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 4, 'Busmayor', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 5, 'Campo de la Liebre', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 6, 'Corporales de Barjas', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 7, 'Corrales de Barjas', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 8, 'Las Cruces', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 9, 'Guimil', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 10, 'Hermide', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 11, 'Albaredos', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 12, 'Mosteiros', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 13, 'Peacaira', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 14, 'Quintela de Barjas', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 15, 'Serviz', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 16, 'Vegas de Seo', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24521', 17, 'Villasinde', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24522', 0, 'Pereje', 241710, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24523', 1, 'Moral de Valcarce', 241710, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24523', 2, 'Parada de Soto', 241710, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24523', 3, 'Paradela de Trabadelo', 241710, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24523', 4, 'Pradela', 241710, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24523', 5, 'San Fiz do Seo', 241710, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24523', 6, 'Sotelo', 241710, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24523', 7, 'Sotoparada', 241710, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24523', 8, 'Trabadelo', 241710, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24523', 9, 'Villar de Corrales', 241710, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24524', 1, 'Ambasmestas', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24524', 2, 'La Portela de Valcarce', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24524', 3, 'Sotogayoso', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 1, 'Balboa', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 2, 'Cantejeira', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 3, 'Castaeiras', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 4, 'Castaoso', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 5, 'Chan de Villar', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 6, 'Fuente de la Oliva', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 7, 'Lamagrande', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 8, 'Parajis', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 9, 'Pumarin', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 10, 'Quintela de Balboa', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 11, 'Ruideferros', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 12, 'Ruydelamas', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 13, 'Valverde de Balboa', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 14, 'Villafeile', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 15, 'Villanueva de Castaeira', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 16, 'Villarios', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24525', 17, 'Villarmarin', 240093, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 1, 'Argenteiro', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 2, 'Bargelas', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 3, 'El Castro', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 4, 'La Cernada', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 5, 'La Faba', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 6, 'Las Herrerias de Valcarce', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 7, 'El Hospital de Herrerias', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 8, 'Laballos', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 9, 'La Laguna de Castilla', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 10, 'Las Lamas', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 11, 'Lindoso', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 12, 'Otero de San Julian', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 13, 'San Julian de Otero', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 14, 'San Pedro de Nogal', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 15, 'San Tirso de la Faba', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24526', 16, 'La Treita', 241980, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24530', 1, 'Iglesias del Campo', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24530', 2, 'Valtuille de Abajo', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24530', 3, 'Villadecanes', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24540', 0, 'Cacabelos', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24544', 1, 'Carracedo de Monasterio', 240384, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24544', 2, 'San Juan de Carracedo', 240384, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24544', 3, 'San Martin de Carracedo', 240384, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24545', 1, 'Las Chanas', 241438, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24545', 2, 'Cueto', 241438, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24545', 3, 'San Juan de la Mata', 240074, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24546', 1, 'Arganza', 240074, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24546', 2, 'Campelo', 240074, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24546', 3, 'Canedo', 240074, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24546', 4, 'Espanillo', 240074, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24546', 5, 'La Retuerta', 240074, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24546', 6, 'San Miguel de Arganza', 240074, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24546', 7, 'San Vicente de Arganza', 240074, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24547', 1, 'Arborbuena', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24547', 2, 'Barrio de Las Angustias', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24547', 3, 'El Foyo', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24547', 4, 'Pieros', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24547', 5, 'San Clemente', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24547', 6, 'Valtuille de Arriba', 242091, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24547', 7, 'Ventas de Valtuille', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24548', 1, 'Chao de la Cruz', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24548', 2, 'La Edrada', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24548', 3, 'Quilos', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24548', 4, 'Venta de Villabuena', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24549', 2, 'Miyares', 240384, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24548', 5, 'Villabuena', 240303, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24549', 1, 'Carracedelo', 240384, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24550', 1, 'Sorribas', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24550', 2, 'Villamartin de la Abadia', 240384, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24550', 3, 'Villamayor', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24550', 4, 'Villanueva de la Abadia', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24560', 1, 'Cabeza de Alba', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24560', 2, 'Cosmos', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24560', 3, 'Toral de los Vados', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24565', 0, 'Villadepalos', 240384, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24566', 1, 'Leiroso', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24566', 2, 'Oencia', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24566', 3, 'Quintela de Oencia', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24566', 4, 'Sanvitul', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24566', 5, 'Villarrubin', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24567', 1, 'Arnadelo', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24567', 2, 'Cabeza de Campo', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24567', 3, 'Cancela', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24567', 4, 'Friera', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24567', 5, 'La Ribera de Cabeza de Campo', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24567', 6, 'Sobrado de Aguiar', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24568', 1, 'Arnado', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24568', 2, 'Gestoso', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24568', 3, 'Herreria de Arnado', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24568', 4, 'Lusio', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 1, 'Aguiar', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 2, 'Cabarcos', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 3, 'Castropetre', 241036, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 4, 'Paradela de Abajo', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 5, 'Paradela de Arriba', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 6, 'Paradela del Rio', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 7, 'Penedelo', 242066, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 8, 'Penoselo (Villafranca)', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 9, 'Portela de Aguiar', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 10, 'Requejo de Aguiar', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 11, 'Santo Tirso', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24569', 12, 'Sobredo', 241651, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24600', 0, 'La Pola de Gordon', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24607', 0, 'Vega de Gordon', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24608', 1, 'Beberino', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24608', 2, 'Buiza', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24608', 3, 'Cabornera', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24608', 4, 'Folledo', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24608', 5, 'Geras de Gordon', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24608', 6, 'Paradilla de Gordon', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24609', 1, 'Los Barrios de Gordon', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24609', 2, 'Buensuceso', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24609', 3, 'Huergas de Gordon', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24609', 4, 'Llombera', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24609', 5, 'El Millar', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24609', 6, 'Nocedo de Gordon', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24609', 7, 'Peredilla', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24610', 1, 'Campo de Santibaez', 240613, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24610', 2, 'Santibaez del Bernesga', 240613, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24620', 1, 'Cabanillas', 240613, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24620', 2, 'Cuadros', 240613, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24620', 3, 'Valsemana', 240613, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24630', 1, 'Cascantes', 240613, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24630', 2, 'La Seca', 240613, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24640', 0, 'La Robla', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24648', 1, 'Brugos de Fenar', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24648', 2, 'Candanedo de Fenar', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24648', 3, 'Rabanal de Fenar', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24648', 4, 'Robledo de Fenar', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24648', 5, 'Solana de Fenar', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24649', 1, 'Alcedo de Alba', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24649', 2, 'La Devesa', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24649', 3, 'Llanos de Alba', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24649', 4, 'Olleros de Alba', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24649', 5, 'Puente de Alba', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24649', 6, 'Sorribos de Alba', 241345, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24650', 0, 'Santa Lucia', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24660', 0, 'Ciera', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24670', 1, 'Los Casetones', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24670', 2, 'La Vid', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24670', 3, 'Villasimpliz', 241149, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24680', 0, 'Villamanin', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24687', 1, 'Rodiezmo', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24687', 2, 'Ventosilla', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24688', 1, 'Casares de Arbas', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24688', 2, 'Cubillas de Arbas', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24688', 3, 'Poladura de la Tercia', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24688', 4, 'San Martin de la Tercia', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24688', 5, 'Viadangos de Arbas', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24689', 1, 'Barrio de la Tercia', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24689', 2, 'Fontun', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24689', 3, 'Golpejar de la Tercia', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24689', 4, 'Millaro', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24689', 5, 'Velilla de la Tercia', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24689', 6, 'Villanueva de la Tercia', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24690', 1, 'Arbas del Puerto', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24690', 2, 'Busdongo', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24690', 3, 'Vegalamosa', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24699', 1, 'Camplongo', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24699', 2, 'Pendilla', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24699', 3, 'Tonin', 249017, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24700', 0, 'Astorga', 240080, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24710', 1, 'San Justo de la Vega', 241481, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24710', 2, 'San Roman de la Vega', 241481, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24711', 1, 'La Carrera de Otero', 242148, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24711', 2, 'Castrillo de Cepeda', 242148, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24711', 3, 'Fontoria de Cepeda', 242148, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24711', 4, 'Villamejil', 242148, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24712', 1, 'Cogorderos', 242148, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24712', 2, 'Quintana de Fon', 242148, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24712', 3, 'Revilla', 242148, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24713', 0, 'Sueros de Cepeda', 242148, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24714', 1, 'Bonillos', 240233, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24714', 2, 'Pradorrey', 240233, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24714', 3, 'Requejo de Pradorrey', 240233, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24715', 1, 'Combarros', 240233, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24715', 2, 'Quintanilla de Combarros', 240233, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24715', 3, 'Rodrigatos de la Obispalia', 240233, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24715', 4, 'Veldedo', 240233, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24716', 1, 'Brazuelo', 240233, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24716', 2, 'Peicas', 240233, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24717', 1, 'Boisan', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24717', 2, 'Lagunas de Somoza', 241857, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24717', 3, 'Luyego', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24717', 4, 'Quintanilla de Somoza', 240917, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24717', 5, 'Val de San Lorenzo', 241857, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24717', 6, 'Val de San Roman', 241857, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24717', 7, 'Valdespino de Somoza', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24717', 8, 'Villalibre de Somoza', 240917, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24718', 1, 'Castrillo de los Polvazares', 240080, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24718', 2, 'El Ganso', 240080, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24718', 3, 'Murias de Rechivaldo', 240080, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24718', 4, 'Santa Catalina de Somoza', 240080, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24718', 5, 'Valdeviejas', 240080, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24719', 1, 'Brimeda', 242199, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24719', 2, 'Carneros', 242199, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24719', 3, 'Otero de Escarpizo', 242199, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24719', 4, 'Sopea de Carneros', 242199, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24719', 5, 'Villaobispo de Otero', 242199, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24720', 1, 'Murias de Pedredo', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24720', 2, 'Pedredo', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24720', 3, 'San Martin del Agostedo', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24721', 1, 'Castrillo de la Valduerna', 240444, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17486', 0, 'Castello D''Empuries', 170470, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17487', 0, 'Empuriabrava', 170470, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17488', 1, 'Cadaques', 170329, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17488', 2, 'Cap de Creus', 170329, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17488', 3, 'Tudela', 170329, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17488', 4, 'Portlligat', 170329, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 1, 'Beleser', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 2, 'Cap de Vol', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 3, 'Erola', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 4, 'La Fabrega', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 5, 'Fortianell', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 6, 'El Mirador', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 7, 'La Mora (Ayto Port Selva)', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 8, 'Panoramar', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 9, 'Perabeua', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 10, 'El Port de la Selva', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 11, 'Port de la Vall', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 13, 'Els Quindals', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 14, 'El Rec de Canet', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 15, 'Santa Isabel', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 16, 'La Selva de Mar', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 17, 'Tamariua', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 18, 'La Vall de Santa Creu', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17489', 19, 'La Vista', 171404, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17490', 1, 'L''Argilera', 170926, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17490', 2, 'Fane', 170926, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17490', 3, 'La Farella', 170926, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17490', 4, 'Garbet', 170926, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17490', 5, 'Grifeu', 170926, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17490', 6, 'Llana', 170926, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17490', 7, 'El Port', 170926, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17490', 8, 'Setcases (Ayto Llansa)', 170926, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17490', 9, 'La Valleta', 170926, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17491', 0, 'Peralada', 171328, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17492', 1, 'La Garriga (Ayto Peralada)', 171328, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17492', 2, 'El Puig Baratell', 171328, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17492', 3, 'Sant Joan Sescloses', 171328, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17492', 4, 'Vallgornera', 171328, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17492', 5, 'Vilanova de la Muga', 171328, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17493', 1, 'Marza', 171292, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17493', 2, 'Mont Perdut', 172235, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17493', 3, 'Pedret i Marza', 171292, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17493', 4, 'Pujolar', 172235, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17493', 5, 'Satlle', 171292, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17493', 6, 'Vilajiga', 172235, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17494', 1, 'Pau', 171289, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17494', 2, 'Vilat', 171289, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17495', 1, 'Palau-Saverdera', 171208, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17495', 2, 'Sant Onofre', 171208, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17495', 3, 'Torre del Vent', 171208, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17495', 4, 'Les Torroelles', 171208, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17496', 1, 'Colera', 170545, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17496', 2, 'La Rovellada', 170545, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17497', 1, 'Portbou', 171387, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17497', 2, 'La Riera (Ayto Portbou)', 171387, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17500', 1, 'Colonia Rocafiguera', 171479, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17500', 2, 'Ordina', 171479, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17500', 3, 'Rama', 171479, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17500', 4, 'Ripoll', 171479, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17500', 5, 'Sant Bartomeu (Ayto Ripoll)', 171479, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17500', 6, 'Sant Roc (Ayto Ripoll)', 171479, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17510', 1, 'Brucs', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17510', 2, 'Llaes', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17510', 3, 'Parroquia de Ripoll', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17511', 0, 'Sant Vicenc de Puigmal', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17512', 1, 'Les Llosses (Municipio)', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17512', 2, 'Sant Esteve de Vallespirans', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17512', 3, 'Santa Maria de Matamala', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17513', 1, 'Estiula', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17513', 2, 'Sant Esteve de la Riba', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17513', 3, 'Sant Feliu de L''Estiula', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17513', 4, 'Sant Marti de Vinyoles', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17513', 5, 'Sant Sadurni de Sovelles', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17513', 6, 'Viladonja', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17513', 7, 'Vinyoles', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17514', 1, 'Marcians', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17514', 2, 'Moreta', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17514', 3, 'Palmerola', 17122, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17514', 4, 'Vila-Seca', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 1, 'Bartroli', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 2, 'Canal la', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 3, 'Carrasquet', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 4, 'Casademunt', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 5, 'Cavaller el', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 6, 'Ciuret', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 7, 'El Coll (Ajuntament Vidra)', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 8, 'Collfred', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 9, 'Coma la (Ajuntament Vidra)', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 10, 'La Creu de L''Ar', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 11, 'Les Escanas', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 12, 'Les Llosses', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 13, 'Milany', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 14, 'Palau Gros', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 16, 'Palau Xic', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 17, 'Plana la', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 18, 'El Pujol', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 19, 'Sant Bartomeu', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 20, 'Vidra', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17515', 21, 'La Vilavella', 172121, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17520', 1, 'Baronia', 171411, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17520', 2, 'Deulofeu', 171411, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17520', 3, 'La Guingueta', 171411, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17520', 4, 'Puigcerda', 171411, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17520', 5, 'Rigolisa', 171411, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17520', 6, 'Sant Marti (Ayto Puigcerda)', 171411, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17520', 7, 'Ventajola', 171411, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17520', 8, 'Barri la Gimgueta', 171411, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17527', 1, 'Cereja', 170947, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17527', 2, 'Gorguja', 170947, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17527', 3, 'Llivia', 170947, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17528', 1, 'Guils de Cerdanya', 170828, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17528', 2, 'Saneja', 170828, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17528', 3, 'Sant Marti D''Aravo', 170828, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17528', 4, 'Sant Marti de Cerdanya', 170828, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17529', 1, 'Age', 171411, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17529', 2, 'Vilallobent', 171411, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17530', 2, 'Campdevanol', 170366, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17530', 3, 'La Colonia Pernau', 170366, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17530', 4, 'La Creu', 170366, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17530', 5, 'L''Herand', 170366, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17530', 6, 'Molinou', 170366, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17530', 7, 'Sant Cristofol (Ajuntament Cam', 170366, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17530', 8, 'Sant Pere D''Auira', 170366, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17530', 9, 'Sant Quinti de Puig-Rodon', 170366, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17530', 10, 'Vistalegre', 170366, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17531', 1, 'Aranyonet', 170806, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17531', 2, 'El Cortal', 170806, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17531', 3, 'Gombren', 170806, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17531', 4, 'Montgrony', 170806, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17531', 5, 'Sant Lloren', 170366, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17532', 0, 'La Farga de Bebie', 170963, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17533', 1, 'Aigues de Ribas', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17533', 2, 'Bruguera (Ayto Ribes Frese)', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 1, 'Angelats', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 2, 'Armancies', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 3, 'El Baell', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 4, 'Batet (Ayto Ribes Freser)', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 5, 'Campelles', 170372, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 6, 'Fabregas', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 7, 'La Farga (Ayto Queralbs)', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 8, 'Fustanya', 170433, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 9, 'Llavanera (Ayto Pardines)', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 10, 'Masana-Pedrera', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 11, 'Montagut (Ajuntament Campelles', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 12, 'Nuria', 170433, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 13, 'L''Orri', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 14, 'Pardines', 171254, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 15, 'Puigsac', 171254, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 16, 'Pujalt', 171254, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 17, 'Queralbs', 170433, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 18, 'Rialb', 170433, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 19, 'Ribes de Fresser', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 20, 'Ribesaltes', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 21, 'Roques Blanques', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 22, 'Serrat', 170433, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 23, 'Sola Ventola', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 24, 'Ventola', 171450, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 25, 'Vilamanya', 170433, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17534', 26, 'Vilaro', 171254, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17535', 1, 'Aspre', 171349, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17535', 2, 'Les Casetes', 171349, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17535', 3, 'Croells i Serrat', 171349, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17535', 4, 'Fosses', 171349, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17535', 5, 'El Moli (Ayto Planoles)', 171349, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17535', 6, 'Planes', 171349, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17535', 7, 'Planoles', 171349, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17536', 1, 'Dorria', 172018, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17536', 2, 'Espinosa', 172018, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17536', 3, 'Fornells de la Muntanya', 172018, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17536', 4, 'Neva', 172018, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17536', 5, 'Toses', 172018, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17537', 0, 'La Molina', 170062, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 1, 'Alp', 170062, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 2, 'Das', 170617, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 3, 'Estoll', 170694, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 4, 'Fontanals de Cerdanya', 170062, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 5, 'Masella', 170062, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 6, 'Mosoll', 170617, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 7, 'Les Pareres', 170062, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 8, 'Queixans', 170694, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 9, 'Sanavastre', 170617, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 10, 'Soriguerola', 170694, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 11, 'Tartera', 170617, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 12, 'Urtx', 170694, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 13, 'Urus', 172060, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 14, 'El Vilar D''Urtx', 170062, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17538', 15, 'Escadarcs', 170694, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 1, 'All', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 2, 'Bolvir', 170242, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 3, 'La Devesa de Saga', 170789, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 4, 'Ger', 170789, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 5, 'Girul', 170998, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 6, 'Greixa', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 7, 'Isovol', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 8, 'Mas Ravellat', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 9, 'Meranges', 170998, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 10, 'El Moli de Ger', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 11, 'El Moli (Ajuntament Meranges)', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 12, 'Montmelus', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 13, 'Olopte', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 14, 'Raval (Ajuntament Meranges)', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 15, 'Raval del Castell', 170242, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 16, 'Sant Antoni (Ajuntament Merang', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 17, 'Sant Sadurni (Ajuntament Meran', 170849, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17539', 18, 'Talltorta', 170242, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17583', 0, 'Vinyot', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17600', 1, 'Figueres', 170669, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17600', 2, 'Palol', 170669, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17700', 1, 'La Jonquera', 170865, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17700', 2, 'Santa Llucia', 170865, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17706', 1, 'Pont de Molins', 171352, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17706', 2, 'Ricardell (Ayto Pontmolins)', 171352, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17707', 1, 'Agullana', 170010, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17707', 2, 'L''Estrada', 170010, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17707', 3, 'La Vajol', 170010, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17708', 1, 'Cantallops', 170412, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17708', 2, 'Requesens', 170412, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17709', 1, 'Canadal', 170865, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17709', 2, 'Els Limits', 170865, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17709', 3, 'Santa Julia de Tors', 170865, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17710', 0, 'Centro Militar Sant Climent Se', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17720', 1, 'Fontfreda', 171024, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17720', 2, 'Frausa', 171024, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17720', 3, 'El Grier', 171024, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17720', 4, 'Maanet de Cabrenys', 171024, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17720', 5, 'Les Mines', 171024, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17720', 6, 'Oliveda', 171024, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17720', 7, 'Raval les Creus', 171024, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17720', 8, 'Les Salines', 171024, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17721', 1, 'Tapis', 171024, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17721', 2, 'Els Vilars (Ajuntament Masanet', 171024, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17722', 1, 'Arnera (Ayto Macanet Cb)', 170600, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17722', 2, 'Barri de L''Arnera (Ayuntamient', 170600, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17722', 3, 'Barri de Ricardell', 170600, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17722', 4, 'El Barri del Panta', 170600, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17722', 5, 'Darnius', 170600, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17722', 6, 'El Veinat D''Amunt', 170600, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17722', 7, 'Veinat Montroig (Ayto Darnius)', 170600, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17723', 1, 'Biure', 172348, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17723', 2, 'Les Escaules', 172348, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17723', 3, 'Boadella D''Emporda', 172348, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17730', 1, 'Els Hostalets', 170932, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17730', 2, 'Llers', 170932, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17730', 3, 'Poble Nou de Llers', 170932, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17730', 4, 'La Vall (Ayto Llers)', 170932, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17731', 1, 'Terrades', 171962, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17731', 2, 'Palau Surroca', 171962, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17732', 1, 'La Guardia', 171714, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17732', 2, 'Riberada D''Amunt', 171714, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17732', 3, 'Sant Lloren de la Muga', 171714, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17733', 1, 'Albanya', 170031, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17733', 2, 'Carbonills', 170031, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17733', 3, 'Moli de Baix', 170031, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17733', 4, 'Moli de Dalt', 170031, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17733', 5, 'Pincaro', 170031, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17733', 6, 'Rivelles', 170031, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17733', 7, 'Sous', 170031, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17734', 1, 'Bassegoda', 170031, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17734', 2, 'Cursuvell', 170031, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17734', 3, 'Llorona', 170031, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17740', 1, 'L''Arengada', 172214, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17740', 2, 'Palol Sabaldoria', 172214, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17740', 3, 'Vilafant', 172214, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17741', 1, 'Cistella', 170519, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17741', 2, 'Nostra Senyora de la Vida', 170519, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17741', 3, 'La Ribera de les Planes', 170519, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17741', 4, 'Sant Baudili', 170519, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17741', 5, 'Taravaus', 172288, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17741', 6, 'Vilarig', 170519, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17742', 1, 'Avinyonet de Puigventos', 170123, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17742', 2, 'Les Trescases', 170123, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17742', 3, 'Veinat de Santa Eugenia', 170123, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17743', 1, 'Ca L''Almar', 172288, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17743', 2, 'Can Nebot', 172288, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17743', 3, 'Sant Salvador de Cuguells', 172288, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17743', 4, 'Vilanant', 172288, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17744', 1, 'Canelles', 171117, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17744', 2, 'Mas Safont', 171117, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17744', 3, 'Navata', 171117, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17745', 1, 'L''Estela', 170887, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17745', 2, 'Llado', 170887, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17745', 3, 'Llavanera (Ayto Llado)', 170887, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17745', 4, 'El Manol', 170887, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17745', 5, 'El Pujol (Llado)', 170887, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17745', 6, 'El Roure', 170887, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17746', 1, 'Cabanelles', 170314, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17746', 2, 'Queixas', 170314, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17746', 3, 'Sant Marti Sesserres', 170314, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17746', 4, 'Vilademires', 170314, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17747', 0, 'Espinavessa', 170314, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17750', 1, 'La Barneda', 170427, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17750', 2, 'Buscaros (Ayto Campmany)', 170427, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17750', 3, 'Capmany', 170427, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17750', 4, 'Nostra Senyora de la Merce', 170427, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17750', 5, 'La Vall (Ayto Capmany)', 170427, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17751', 1, 'La Petraca', 171582, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17751', 2, 'Rabulls', 171582, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17751', 3, 'Sant Climent Sescebes', 171582, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17751', 4, 'Solers', 171582, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17751', 5, 'Ullastre', 171582, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17751', 6, 'Vilartoli', 171582, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17752', 1, 'Casaloca', 171061, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17752', 2, 'Les Costes (Ajuntament Mollet', 171061, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17752', 3, 'Mollet de Peralada', 171061, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17753', 1, 'Baussitges', 170643, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17753', 2, 'Espolla', 170643, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17753', 3, 'Els Vilars (Ajuntament Espolla', 170643, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17754', 1, 'Ravos D''Emporda', 171432, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17754', 2, 'Sant Quirze de Colera', 171432, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17755', 0, 'Delfia', 171432, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17760', 0, 'Vilabertran', 172142, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17761', 1, 'Aigueta', 170307, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17761', 2, 'Cabanes', 170307, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17761', 3, 'Caseta', 170307, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17761', 4, 'El Corral del Compte', 170307, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17761', 5, 'El Forn D''En Gelti', 170307, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17761', 6, 'Les Masies de Dalt', 170307, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17762', 0, 'Vilarnadal', 171002, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17763', 1, 'Masarac', 171002, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17763', 2, 'El Priorat', 171002, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17770', 1, 'Borrassa', 170268, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17770', 2, 'Greixer', 170268, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17770', 3, 'Vilamorell', 170268, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17771', 0, 'Santa Llogaia D''Alguema', 171827, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17772', 1, 'Ordis', 171156, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17772', 2, 'Veinat de Pols', 171156, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17773', 1, 'Pontos', 171365, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17773', 2, 'Romanya D''Emporda', 171365, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17773', 3, 'Vilajoan', 171365, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17780', 0, 'Garriguella', 170773, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17781', 1, 'El Raval de la Font', 172272, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17781', 2, 'Vilamaniscle', 172272, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17800', 1, 'Olot', 171143, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17800', 2, 'Sant Roc (Ayto Olot)', 171143, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17810', 0, 'Sant Cristofol les Fonts', 171143, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 1, 'Els Arcs', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 2, 'Can Blanc', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 3, 'Can Font', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 4, 'Can Xel', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 5, 'Cases Noves', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 6, 'Les Fages', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 7, 'Pujolars', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 8, 'Sacot', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 9, 'El Sallent', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 10, 'Sant Marti D''Armancies', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 11, 'Sant Miquel de Sacot', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 12, 'Santa Llucia de Trenteres', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17811', 13, 'Santa Pau', 171848, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17812', 1, 'Batet de la Serra', 171143, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17812', 2, 'Veinat de Baix (Ayto Batet)', 171143, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17812', 3, 'Veinat de Dalt (Ayto Batet)', 171143, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17813', 1, 'Sant Marti del Clot', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17813', 2, 'Sant Pere Despuig', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17813', 3, 'Sant Salvador de Bianya', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17813', 4, 'Santa Margarida de Bianya', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17813', 5, 'La Vall de Bianya', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17814', 1, 'Sant Joan de Balps', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17814', 2, 'El Solei', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17815', 0, 'Hostal la Cantina', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17816', 0, 'L''Espunya', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17820', 1, 'Banyoles', 170157, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17820', 2, 'Can Puig', 170157, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17820', 3, 'Lio', 170157, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17820', 4, 'Puigpalter', 170157, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17830', 1, 'Brugaroles', 171058, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17830', 2, 'El Collell', 171058, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17830', 3, 'Mieres', 171058, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17830', 4, 'Rutlles', 171058, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17830', 5, 'El Samunta de Baix', 171058, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17830', 6, 'El Samunta de Dalt', 171058, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17830', 7, 'El Torn', 171058, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17830', 8, 'Ventajol', 171058, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17831', 1, 'Briolf', 171740, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17831', 2, 'Falgons', 171740, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17831', 3, 'Sant Marti de Campmajor', 171740, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17831', 4, 'Sant Miquel de Campmajor', 171740, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 1, 'Les Anglades', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 2, 'Batllori', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 3, 'Borrell', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 4, 'Brunso', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 5, 'Les Caselles', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 6, 'Crespia', 170583, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 7, 'Esponella', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 8, 'Llavanera (Ayto Crespia)', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 9, 'Martis', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 10, 'Pedrinya (Ajuntament Crespia)', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 11, 'Pompia', 170583, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 12, 'Portell', 170583, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 13, 'Santenys', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17832', 14, 'Vilert', 170656, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17833', 1, 'Espasens', 170715, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17833', 2, 'La Farres', 170715, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17833', 3, 'Figueroles', 170715, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17833', 4, 'Fontcoberta', 170715, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17833', 5, 'Melianta', 170715, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17833', 6, 'Ollers', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17833', 7, 'Veinat D''En Deri', 170715, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17833', 8, 'Veinat D''En Faras', 170715, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17833', 9, 'Vilavenut', 170715, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17833', 10, 'Vilademi', 172180, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17834', 1, 'Camos', 171371, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17834', 2, 'El Mas Usall', 171371, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17834', 3, 'Mianegues', 171371, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17834', 4, 'Porqueres', 171371, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17834', 5, 'Pujarnol', 171371, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17834', 6, 'Sant Vicen de Camos', 170353, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17834', 7, 'Santa Maria de Camos', 170353, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17834', 8, 'Usall (Ayto Porqueres)', 171371, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17840', 1, 'Sarria de Dalt', 171864, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17840', 2, 'Sarria de Ter', 171864, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17843', 1, 'La Mota', 171236, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17843', 2, 'Palol de Revardit', 171236, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17843', 3, 'Riudellots de la Creu', 171236, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17844', 1, 'Borgonya', 170561, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17844', 2, 'Cornella del Terri', 170561, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17844', 3, 'Corts', 170561, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17844', 4, 'Ermedas (Ayto Cornella T)', 170561, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17844', 5, 'Prades', 170561, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17844', 6, 'Puigenma', 170561, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17844', 7, 'Pujals Dels Cavallers', 170561, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17844', 8, 'Pujals Dels Pagesos', 170561, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17844', 9, 'La Serra (Ayto Cornella T)', 170561, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17844', 10, 'Sords', 170561, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17845', 1, 'La Bruguera', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17845', 2, 'Carol', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17845', 3, 'Ravos del Terri', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17845', 4, 'Sant Andreu del Terri', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17845', 5, 'Santa Llogaia del Terri', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17846', 0, 'Mata', 171371, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 1, 'Aussinya', 171621, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 2, 'Besalu', 170195, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 3, 'Beuda', 170216, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 4, 'El Corral', 171621, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 5, 'Fares', 171621, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 6, 'Junya', 171621, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 7, 'Lligorda', 170216, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 8, 'La Miana', 171621, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 9, 'El Mor', 171621, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 10, 'Palera', 170216, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 11, 'El Pont', 171621, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 12, 'La Racolta', 171621, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17850', 13, 'Sant Ferriol', 171621, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 1, 'Bruguers', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 2, 'Les Carreres', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 3, 'Casc Nou', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 4, 'Dosquers', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 5, 'Jonqueres', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 6, 'Llorens', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 7, 'Maia de Montcal', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 8, 'El Pla de Baix', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 9, 'El Pla de Dalt', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 10, 'La Riera (Ayto Maia Moncal)', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 11, 'Seguero', 170216, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 12, 'Usall (Ayto Maia)', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17851', 13, 'Vilarrodona', 170985, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17852', 1, 'Baio', 171903, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17852', 2, 'Buscaros (Ayto Serinya)', 171903, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17852', 3, 'Casals', 171903, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17852', 4, 'Maxella', 171903, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17852', 5, 'La Sellera de Mont', 171903, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17852', 6, 'Serinya', 171903, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 1, 'Argelaguer', 170101, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 2, 'Castell de Sales', 170101, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 3, 'El Guilar', 170101, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 4, 'L''Hostal Nou de Llierca', 170101, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 5, 'Sales de Llierca', 171544, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 6, 'Sant Antoni (Tortella)', 170101, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 7, 'Sant Miquel de Monteia', 171544, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 8, 'Sant Sebastia', 170101, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 9, 'Santa Magdalena', 170101, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 10, 'Tapioles', 170101, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 11, 'Tortella', 172001, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17853', 12, 'El Veinat', 170101, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17854', 1, 'Can Coma', 171655, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17854', 2, 'L''Hostalnou', 171655, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17854', 3, 'Sant Jaume de Llierca', 171655, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 1, 'El Guitarriu', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 2, 'Montagut', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 3, 'Sadernes', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 4, 'Veinat D''Angles', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 5, 'Veinat de Carrera', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 6, 'Veinat de Cos', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 7, 'Veinat de Fluvia', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 8, 'Veinat de Llierca', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 9, 'Veinat de Sant Eudald', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 10, 'Veinat de Torralles', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17855', 11, 'Veinat de Vilars', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17856', 1, 'Castellfollit de la Roca', 170464, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17856', 2, 'Monars', 170464, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17856', 3, 'Oix', 171096, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17856', 4, 'Sant Miquel de Pera', 170464, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17856', 5, 'Santa Barbara de Pruneres', 170464, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17856', 6, 'Talaixa', 170464, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 1, 'Aiguanegra', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 2, 'Beguda', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 3, 'La Canya (Ajuntament de Sant J', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 4, 'Costa Cau i Vives', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 5, 'Pla de Baix', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 6, 'Pla de Dalt', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 7, 'Pla Magre', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 8, 'Poca Farina (Ajuntament de San', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 9, 'Reco', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 10, 'Rusinyol', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 11, 'Sant Abdon', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 12, 'Sant Cosme', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17857', 13, 'Sant Joan les Fonts', 171851, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17858', 1, 'La Canya (Ayto Vall Bianya)', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17858', 2, 'Capsec', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17858', 3, 'Castellar de la Montanya', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17858', 5, 'Llocalou', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17858', 6, 'Sant Andreu de Socarrats', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17858', 7, 'Vall del Bac', 172082, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17860', 1, 'Baga Amunt', 171674, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17860', 2, 'Baga Avall', 171674, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17860', 3, 'Can Marti Toralles', 171674, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17860', 4, 'La Colonia Jordana', 171674, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17860', 5, 'La Colonia Llaudet', 171674, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17860', 6, 'Comafreda', 171674, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17860', 7, 'Sant Joan de les Abadesses', 171674, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17860', 8, 'Solei Amunt', 171674, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17860', 9, 'Solei Avall', 171674, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17861', 1, 'Ogassa', 171122, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17861', 2, 'Sant Julia de Saltor', 171122, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17861', 3, 'Sant Marti D''Ogassa', 171122, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17861', 4, 'Sant Marti de Surroca', 171122, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17862', 1, 'La Baga Amunt (O de Dalt)', 171707, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17862', 2, 'La Baga Avall (O de Baix)', 171707, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17862', 3, 'Les Domes', 171707, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17862', 4, 'Puigsec', 171707, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17862', 5, 'Solana Amunt', 171707, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17862', 6, 'Solana Avall', 171707, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17862', 7, 'La Taverna', 171707, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17862', 8, 'Vallfogona de Ripolles', 171707, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17863', 0, 'Sant Bernabe de les Tenes', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17864', 0, 'Sant Pau de Seguries', 171772, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17865', 0, 'La Ral', 171772, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17866', 0, 'La Colonia Estevenell', 999999, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17867', 1, 'Beget', 170391, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17867', 2, 'Bestraca', 170391, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17867', 3, 'Bolos', 170391, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17867', 4, 'Camprodon', 170391, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17867', 5, 'Cavallera', 170391, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17867', 6, 'Creixenturri', 170391, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17867', 7, 'Freixenet de Dalt', 170391, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17867', 8, 'Llierca', 170391, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17867', 9, 'Rocabruna', 170391, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17867', 10, 'Salarsa', 170391, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17868', 1, 'Can Sola', 171077, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17868', 2, 'Espinavell', 171077, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17868', 3, 'Fabert', 171077, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17868', 4, 'Favars', 171077, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17868', 5, 'La Ginestosa', 171077, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17868', 6, 'Graells', 171077, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17868', 7, 'Moixons', 171077, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17868', 8, 'Mollo', 171077, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17868', 9, 'Riberal', 171077, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 1, 'Abella', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 2, 'Catllar', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 3, 'El Cros', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 4, 'Espinalba', 170911, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 5, 'Feitus de Dalt', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 6, 'El Llanares', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 7, 'Llanars', 170911, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 8, 'Llebro', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 9, 'El Riberal de Faitus', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 10, 'La Roca (Ayto Vilallonga)', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 11, 'Setcases (Municipio)', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 12, 'Tregura de Baix', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 13, 'Tregura de Dalt', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 14, 'Veinat de Comalets', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 15, 'Veinat de Vallvigil', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('17869', 16, 'Vilallonga de Ter', 172240, 17, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18001', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18002', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18003', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18004', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18005', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18006', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18007', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18008', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18009', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18010', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18011', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18012', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18013', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18014', 2, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18015', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18070', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18071', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18080', 0, 'Granada', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18100', 0, 'Armilla', 180212, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18110', 1, 'Gabia la Chica', 189056, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18110', 2, 'Gabia la Grande', 189056, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18110', 3, 'Las Gabias', 189056, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18120', 1, 'Alhama de Granada', 180135, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18120', 2, 'Barrios Nuevos', 180135, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18120', 3, 'Barrios Viejos', 180135, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18126', 0, 'Arenas del Rey', 180205, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18127', 1, 'Fornes', 180205, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18127', 2, 'Jatar', 180205, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18127', 3, 'Jayena', 181073, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18127', 4, 'Pinar de Alhama', 180205, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18128', 1, 'El Almendral', 180135, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18128', 2, 'Pilas de Algaida', 180135, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18128', 3, 'Ventas de Zafarraya', 180135, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18128', 4, 'Zafarraya', 181921, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18129', 1, 'Cacin', 180346, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18129', 2, 'Pantano Bermejales', 180346, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18129', 3, 'Santa Cruz del Comercio', 181746, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18130', 1, 'Escuzar', 180726, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18130', 2, 'La Mala', 180726, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18131', 1, 'Acula', 181857, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18131', 2, 'Ventas de Huelma', 181857, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18132', 0, 'Agron', 180016, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18140', 0, 'La Zubia', 181937, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18150', 0, 'Gojar', 180845, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18151', 0, 'Ogijares', 181456, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18152', 0, 'Dilar', 180687, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18160', 1, 'Guejar Sierra', 180943, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18160', 2, 'Maitena', 180943, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18170', 1, 'Alfacar', 180114, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18170', 2, 'Jun', 180114, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18179', 1, 'Alfaguara', 181895, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18179', 2, 'Las Canteras', 181895, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18179', 3, 'Viznar', 181895, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18180', 0, 'Diezma', 180671, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18181', 1, 'Darro', 180634, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18181', 2, 'Sillar Baja', 180634, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18181', 3, 'Venta del Molinillo', 180634, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18181', 4, 'Los Villares', 180634, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18182', 0, 'El Fargue', 180877, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18183', 0, 'Huetor Santillan', 180994, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18184', 0, 'Beas de Granada', 180248, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18190', 1, 'Cenes de la Vega', 180476, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18190', 2, 'Lancha de Cenes', 180476, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18191', 1, 'Canales', 180943, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18191', 2, 'Pinos Genil', 181572, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18192', 1, 'Dudar', 180704, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18192', 2, 'Quentar', 181686, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18193', 1, 'Belicena', 181345, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18193', 2, 'Monachil', 181345, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18193', 3, 'Purchil', 181345, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18193', 4, 'Vegas del Genil', 181345, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18194', 1, 'Ambroz', 180628, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18194', 2, 'Churriana de la Vega', 180628, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18194', 3, 'Cullar Vega', 180628, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18194', 4, 'Hijar', 189056, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18195', 1, 'Guajar Alto', 180573, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18195', 2, 'Guajar Faraguit', 180573, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18195', 3, 'Guajar Fondon', 180573, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18195', 4, 'Los Guajares', 180573, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18196', 0, 'Sierra Nevada', 181345, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18197', 1, 'Cogollos de la Vega', 181651, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18197', 2, 'Guevejar', 181651, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18197', 3, 'Nivar', 181651, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18197', 4, 'Pulianas', 181651, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18197', 5, 'Pulianillas', 181651, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18198', 1, 'Barrio Monachil', 181015, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18198', 2, 'Cajar', 181015, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18198', 3, 'Huetor Vega', 181015, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18200', 0, 'Maracena', 181279, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18210', 0, 'Peligros', 181535, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18220', 0, 'Albolote', 180037, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18230', 0, 'Atarfe', 180227, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18240', 1, 'Barriada Estacion Pinos Puente', 181588, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18240', 2, 'Pinos Puente', 181588, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18247', 0, 'Moclin', 181324, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18248', 1, 'Olivares', 181324, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18248', 2, 'Tiena', 181324, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18249', 1, 'Limones', 181324, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18249', 2, 'Puerto Lope', 181324, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18249', 3, 'Tozar', 181324, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18249', 4, 'Trujillos', 181324, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18250', 0, 'Valderrubio', 181588, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18260', 1, 'Alhondiguilla', 181020, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18260', 2, 'Illora', 181020, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18270', 1, 'Arroyopinares', 181358, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18270', 2, 'Cortijo de Baratas', 181358, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18270', 3, 'Cortijo de la Orozca', 181358, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18270', 4, 'Cortijo de los Gitanos', 181358, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18270', 5, 'Lojilla', 181358, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18270', 6, 'Montefrio', 181358, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18280', 0, 'Algarinejo', 180129, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18290', 1, 'Calicasas', 180378, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18290', 2, 'Caparacena', 180227, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18290', 3, 'El Chaparral', 180378, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18291', 1, 'Anzola', 181588, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18291', 2, 'Casa Nueva', 181588, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18291', 3, 'San Pascual', 181588, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18291', 4, 'Zujaira', 181588, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18292', 0, 'Balneario de Santa Elvira', 181759, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18293', 1, 'Beilar', 181020, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18293', 2, 'Escoznar', 181020, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18293', 3, 'Illora Estacion', 181020, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18293', 4, 'Molino del Rey', 181020, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18295', 0, 'Fuente de Cesna', 180129, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18300', 1, 'Barriada Esperanza', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18300', 2, 'Loja', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18310', 0, 'Salar', 181710, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18311', 1, 'Ventorros de San Jose', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18311', 2, 'La Via', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18311', 3, 'Zagra', 189136, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18312', 1, 'Plines', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18312', 2, 'Santa Barbara', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18312', 3, 'Ventorros de Balerma', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18312', 4, 'Ventorros de la Laguna', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18313', 0, 'Riofrio', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18314', 1, 'Cuesta de la Palma', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18314', 2, 'Fuente Camacho', 181226, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18320', 0, 'Santafe', 181759, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18327', 0, 'Lachar', 181152, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('18328', 1, 'Fuensanta', 181588, 18, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22770', 1, 'Berdun', 220762, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22770', 2, 'Canal de Berdun', 220762, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22771', 1, 'Huertalo', 220762, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22771', 2, 'Majones', 220762, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22771', 3, 'Villarreal de la Canal', 220762, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22772', 0, 'Martes', 220762, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22773', 0, 'Binies', 220762, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22790', 0, 'Siresa', 229016, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22791', 1, 'Binacua', 222090, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22791', 2, 'Santa Cilia de Jaca', 222090, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22792', 0, 'Santa Cruz de la Seros', 222090, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22800', 0, 'Ayerbe', 220396, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22806', 0, 'Santa Eulalia de Gallego', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22807', 1, 'Biscarrues', 220633, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22807', 2, 'Eres', 220633, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22807', 3, 'Losanglis', 220396, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22807', 4, 'Piedramorrera', 220633, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22808', 1, 'Aguero', 220041, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22808', 2, 'Las Peas de Riglos', 220041, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22808', 3, 'Riglos', 221730, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22808', 4, 'San Felices (Aguero)', 220041, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22808', 5, 'Murillo de Gallego', 220041, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22809', 1, 'Fontellas', 220396, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22809', 2, 'Linas de Marcuello', 221493, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22809', 3, 'Loarre', 221493, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22809', 4, 'Loscorrales', 221513, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22809', 5, 'Santa Engracia (Loarre)', 221493, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22809', 6, 'Sarsamarcuello', 221493, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22810', 1, 'Las Casas de Nuevo', 229042, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22810', 2, 'Esquedas', 229042, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22810', 3, 'Plasencia del Monte', 229042, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22810', 4, 'Quinzano', 229042, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22811', 1, 'Lupien', 229055, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22811', 2, 'Montmesa', 229055, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22811', 3, 'Ortilla', 229055, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22820', 1, 'La Pea', 221730, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22820', 2, 'Santa Maria (P. de Riglos)', 221730, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22820', 3, 'Triste', 221730, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22821', 0, 'Rasal', 221730, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22822', 1, 'Salinas de Jaca', 221730, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22822', 2, 'Villalangua', 221730, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22830', 1, 'Anzanigo', 220725, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22830', 2, 'Centenero', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22830', 3, 'Ena', 221730, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22830', 4, 'Osia', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22860', 1, 'Aisa', 220067, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22860', 2, 'Aratores', 220860, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22860', 3, 'Borau', 220686, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22860', 4, 'Esposa', 220067, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22860', 5, 'Sinues', 220067, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22870', 0, 'Villanua', 222505, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22880', 0, 'Canfranc', 220784, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22888', 0, 'Canfranc', 220784, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22889', 1, 'Astun', 220067, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22889', 2, 'Candanchu', 220067, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23001', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23002', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23003', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23004', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23005', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23006', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23007', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23008', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23009', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23070', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23071', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23080', 0, 'Jaen', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23100', 0, 'Mancha Real', 230584, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23110', 0, 'Pegalajar', 230676, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23120', 0, 'Cambil', 230183, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23130', 0, 'Campillo de Arenas', 230196, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23140', 0, 'Noalejo', 230644, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23150', 0, 'Valdepeas de Jaen', 230933, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23159', 0, 'Chircales', 230933, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23160', 0, 'Los Villares', 230999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23170', 0, 'La Guardia de Jaen', 230389, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23180', 0, 'Fuerte del Rey', 230354, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23190', 0, 'La Cerradura', 230676, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23191', 0, 'Carchel', 239012, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23192', 0, 'Carchelejo', 239012, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23193', 0, 'Arbuniel', 230183, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23194', 1, 'Jabalcuz', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23194', 2, 'Jabalcuz, del Km. 0 al 7,100', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23195', 0, 'Llano de los Derramaderos', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23196', 1, 'Otiar de Santa Cristina', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23196', 2, 'El Parrizoso', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23196', 3, 'Puente de la Sierra', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23196', 4, 'Las Revueltas', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23196', 5, 'San Juan de la Luz', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23200', 0, 'La Carolina', 230243, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23210', 1, 'Aldea de los Rios', 230392, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23210', 2, 'Aldefar', 230392, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23210', 3, 'Guarroman', 230392, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23211', 1, 'Acebuchal', 230217, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23211', 2, 'Carboneros', 230217, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23212', 0, 'Navas de Tolosa', 230243, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23213', 1, 'Miranda del Rey', 230768, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23213', 2, 'Santa Elena', 230768, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23214', 1, 'El Centenillo', 230119, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23214', 2, 'La Fernandina', 230243, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23214', 3, 'Los Guindos', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23214', 4, 'La Isabela', 230243, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23215', 0, 'Aldeaquemada', 230047, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23220', 0, 'Vilches', 230948, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23230', 0, 'Arquillos', 230085, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23239', 0, 'El Porrosillo', 230085, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23240', 0, 'Navas de San Juan', 230639, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23250', 1, 'Aldeilla', 230793, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23250', 2, 'Santisteban del Puerto', 230793, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23260', 0, 'Castellar de Santisteban', 230256, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23264', 0, 'Chiclana de Segura', 230294, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23265', 0, 'Venta de los Santos', 230623, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23266', 0, 'Montizon', 230623, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23267', 0, 'Aldeahermosa de Montizon', 230623, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23268', 0, 'Los Mochuelos', 230294, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23269', 1, 'El Campillo', 230294, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23269', 2, 'Camporredondo', 230294, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23269', 3, 'La Porrosa', 230294, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23270', 0, 'Sorihuela de Guadaliman', 230840, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23280', 0, 'Beas de Segura', 230124, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23289', 1, 'Caada Catena', 230124, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23289', 2, 'Cuevas de Ambrosio', 230124, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23289', 3, 'Los Litranes', 230124, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23289', 4, 'Prados de Armijo', 230124, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23290', 1, 'El Cerezo', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23290', 2, 'Huerta del Manco', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23290', 3, 'La Matea', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23290', 4, 'Las Nogueras', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23290', 5, 'El Patronato', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23290', 6, 'Santiago de la Espada', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23290', 7, 'Los Teatinos', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23291', 1, 'La Agracea', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23291', 2, 'La Ballestera', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23291', 3, 'Ponton Alto', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23291', 4, 'Pontones', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23292', 0, 'Hornos de Segura', 230434, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23293', 1, 'Arroyo Frio', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23293', 2, 'Carrasco', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23293', 3, 'Catena Alto', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23293', 4, 'Caada Morales', 230434, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23293', 5, 'Cortijos Nuevos', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23293', 6, 'Guadabraz', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23293', 7, 'El Majal', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23293', 8, 'El Ojuelo', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23293', 9, 'Rihornos', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23310', 0, 'Mogon', 230951, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23293', 10, 'Robledo Cortijos Nuevos', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23294', 1, 'Los Anchos', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23294', 2, 'Huelga Utrera', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23294', 3, 'Las Juntas', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23294', 4, 'Tobos', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23295', 1, 'Arroyo Canales', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23295', 2, 'Las Herrerias', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23295', 3, 'Rio Madera', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23296', 1, 'Marchena', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23296', 2, 'Miller', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23296', 3, 'La Muela', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23296', 4, 'Vites', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23297', 1, 'Casicas del Rio Segura', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23297', 2, 'La Toba', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23298', 1, 'Las Gorgollitas', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23298', 2, 'Peguera del Madroo', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23300', 1, 'Arroturas', 230951, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23300', 2, 'Villacarrillo', 230951, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23311', 1, 'Agrupacion Santo Tome', 230807, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23311', 2, 'Caada de la Cierva', 230807, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23311', 3, 'Santo Tome', 230807, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23312', 1, 'Agrupacion de Mogon', 230951, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23312', 2, 'Caleruela', 230951, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23313', 0, 'De Veracruz', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23314', 0, 'Solana de Torralba', 230927, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23315', 1, 'La Herrera', 230951, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23315', 2, 'Puente del Condado', 230951, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23320', 0, 'Torreperogil', 230888, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23330', 0, 'Villanueva del Arzobispo', 230970, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23337', 0, 'Pantano del Tranco', 230434, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23338', 0, 'Iznatoraf', 230487, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23339', 0, 'Gutar', 230970, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23340', 0, 'Arroyo del Ojanco', 239051, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23350', 0, 'Puente Genave', 230716, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23359', 0, 'Peolite', 230716, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23360', 0, 'La Puerta de Segura', 230721, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23369', 1, 'Agracea', 230721, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23369', 2, 'Bonache', 230721, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23369', 3, 'Los Pascuales', 230721, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23369', 4, 'Los Pesebres', 230721, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23369', 5, 'Los Yeguerizos', 230721, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23370', 0, 'Orcera', 230657, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23379', 1, 'El Batan', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23379', 2, 'Segura de la Sierra', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23379', 3, 'Trujala', 230814, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23380', 0, 'Siles', 230829, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23386', 0, 'Los Paulinos', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23390', 0, 'Benatae', 230161, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23391', 0, 'Torres de Albanchez', 230912, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23392', 0, 'Genave', 230373, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23393', 1, 'Onsares', 231010, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23393', 2, 'Villarrodrigo', 231010, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23400', 0, 'Ubeda', 230927, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23410', 0, 'Sabiote', 230755, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23411', 1, 'Alamos Blancos', 230098, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23411', 2, 'Yedra', 230098, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23412', 0, 'El Marmol', 230742, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23413', 0, 'Santa Eulalia', 230927, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23420', 0, 'Canena', 230200, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23440', 0, 'Baeza', 230098, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23450', 0, 'Ibros', 230465, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23460', 0, 'Peal de Becerro', 230660, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23468', 0, 'Hornos de Peal', 230660, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23469', 1, 'El Molar', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23469', 2, 'Puente de la Cerrada', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23469', 3, 'San Miguel', 230927, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23469', 4, 'Valdecazorla', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23470', 1, 'Los Almansas', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23470', 2, 'La Almedina', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23470', 3, 'Arroyo Salado', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23470', 4, 'Cazorla', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23470', 5, 'Caada del Moro', 230308, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23470', 6, 'Chilluevar Vieja', 230308, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23470', 7, 'Estrella', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23470', 8, 'Quintanar', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23470', 9, 'La Ribera', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23476', 0, 'La Iruela', 230471, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23477', 0, 'Chilluevar', 230308, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23478', 1, 'Coto Rios', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23478', 2, 'Loma de Maria Angela', 239048, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23479', 1, 'Burunchel', 230471, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23479', 2, 'El Palomar', 230471, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23479', 3, 'San Martin', 230471, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23479', 4, 'Vadillo Castril', 230281, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23479', 5, 'El Valle', 230471, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23480', 0, 'Quesada', 230737, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23485', 1, 'El Almiceran', 230709, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23485', 2, 'Pozo Alcon', 230709, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23486', 1, 'Fontanar', 230709, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23486', 2, 'Hinojares', 230428, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23487', 0, 'Huesa', 230452, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23488', 0, 'Los Rosales', 230336, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23489', 1, 'Belerda Alta', 230737, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23489', 2, 'Belerda Baja', 230737, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23489', 3, 'Bruel Alto', 230737, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23489', 4, 'Bruel Bajo', 230737, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23489', 5, 'Tiscar Don Pedro', 230737, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23490', 1, 'Linarejos', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23490', 2, 'Linares-Baeza', 230559, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23499', 0, 'Mira el Rio', 230948, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23500', 0, 'Jodar', 230531, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23509', 1, 'Barriada Estacion de Jodar', 230927, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23509', 2, 'El Donadio', 230927, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23509', 3, 'Salto de la Aldonza', 230927, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23509', 4, 'Salto de Pedro Marin', 230927, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23510', 0, 'Torreblascopedro', 230853, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23519', 1, 'Campillo del Rio', 230853, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23519', 2, 'Guadalimar del Caudillo', 230853, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23520', 0, 'Begijar', 230145, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23528', 0, 'Lupion', 230578, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23529', 1, 'De Begijar', 230098, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23529', 2, 'El Boticario', 230098, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23529', 3, 'Puente del Obispo', 230098, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23529', 4, 'Sotogordo', 230584, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23529', 5, 'Sotogrande', 230098, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23529', 6, 'Vados de Torralba', 239033, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23530', 0, 'Jimena', 230525, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23537', 0, 'Bedmar', 239027, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23538', 0, 'Albanchez de Ubeda', 230011, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23539', 1, 'Las Escuelas', 239027, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23539', 2, 'Garciez', 239027, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23540', 0, 'Torres', 230905, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23550', 0, 'Cabra de Santo Cristo', 230177, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23560', 0, 'Huelma', 230449, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23568', 0, 'Belmez de la Moraleda', 230158, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23569', 1, 'La Cabrita', 230449, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23569', 2, 'Las Capellanias', 230449, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23569', 3, 'Polera', 230449, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23569', 4, 'Solera', 230449, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23590', 0, 'Cabra de Santo Cristo', 230177, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23591', 1, 'De Huesa', 230546, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23591', 2, 'Larva', 230546, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23592', 0, 'De Quesada', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23600', 0, 'Martos', 230601, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23610', 0, 'Fuensanta de Martos', 230341, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23611', 0, 'Higuera de Calatrava', 230413, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23612', 0, 'Santiago de Calatrava', 230774, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23613', 0, 'Lendinez', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23614', 1, 'La Carrasca', 230601, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23614', 2, 'Las Casillas de Martos', 230601, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23614', 3, 'Villar Bajo', 230601, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23615', 1, 'Media Panilla', 230601, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23615', 2, 'Monte Lope Alvarez', 230601, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23616', 1, 'Vadohornillo', 230341, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23616', 2, 'Veletas', 230341, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23620', 0, 'Mengibar', 230618, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23628', 1, 'Cazalilla', 230275, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23628', 2, 'Espeluy', 230320, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23629', 0, 'Las Palomeras', 230490, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23630', 0, 'Villargordo', 239033, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23638', 0, 'Torrequebradilla', 239033, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23639', 1, 'Las Infantas', 230503, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23639', 2, 'Villargordo', 239033, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23640', 0, 'Torredelcampo', 230866, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23649', 1, 'El Berrueco', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23649', 2, 'Garciez Cortijada', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23650', 1, 'Torredonjimeno', 230872, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23650', 2, 'Torrefuencubierta', 230872, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23657', 0, 'Escauela', 230315, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23658', 0, 'Jamilena', 230510, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23659', 0, 'Villardompardo', 230986, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23660', 0, 'Alcaudete', 230032, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23669', 1, 'Bobadilla de Alcaudete', 230032, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23669', 2, 'Noguerones', 230032, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23669', 3, 'Venta de Pantalones', 230032, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23670', 1, 'La Alfavila', 230269, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23670', 2, 'Castillo de Locubin', 230269, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23678', 0, 'El Chavilla Robledo', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23680', 0, 'Alcala la Real', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23684', 1, 'La Rabita', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23684', 2, 'San Jose de la Rabita', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23685', 1, 'Escarchelejo', 230032, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23685', 2, 'Las Grajeras', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23685', 3, 'Las Mimbres', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23685', 4, 'Puertollano', 999999, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23685', 5, 'El Sabariego', 230032, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23686', 1, 'Acequias', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23686', 2, 'Barranco de Mures', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23686', 3, 'Casillas de Mures', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23686', 4, 'Aldea Ermita Nueva', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23686', 5, 'Mures', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23686', 6, 'Las Pilillas', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23687', 0, 'Charilla', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23688', 1, 'La Pedriza', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23688', 2, 'Venta de los Agranaderos', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23689', 1, 'Fuente Alamo', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23689', 2, 'Hortichuela', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23689', 3, 'Peas de Majalcoron', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23689', 4, 'Las Pilas de Fuente de Soto', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23690', 0, 'Frailes', 230336, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23691', 1, 'Ribera Alta', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23691', 2, 'Ribera Baja', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23692', 1, 'Fuente del Rey', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23692', 2, 'Santa Ana', 230026, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23693', 0, 'Ventas del Carrizal', 230269, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23700', 0, 'Linares', 230559, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23710', 0, 'Bailen', 230102, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23711', 0, 'Baos de la Encina', 230119, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23712', 0, 'Jabalquinto', 230490, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23713', 1, 'Guadalen del Caudillo', 230948, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23713', 2, 'Pantano de Guadalen', 230948, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23713', 3, 'Vadollano', 230948, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23713', 4, 'De Vadollano', 230948, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23720', 0, 'De Espeluy', 230320, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23730', 0, 'Villanueva de la Reina', 230964, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23740', 0, 'Andujar', 230050, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23746', 0, 'Higuera de Arjona', 230406, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23747', 1, 'Llanos del Sotillo', 230050, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23747', 2, 'La Ropera', 230050, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23747', 3, 'La Vega de Santa Maria', 230050, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23747', 4, 'Vegas de Triana', 230050, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23748', 1, 'Santuario Virgen de la Cabeza', 230050, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23748', 2, 'Vias de Peallana', 230050, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23749', 1, 'La Quinteria', 230964, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23749', 2, 'Los Villares de Andujar', 230050, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23750', 0, 'Arjonilla', 230079, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23760', 1, 'Albaida', 230063, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23760', 2, 'Arjona', 230063, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23760', 3, 'Cotrufe', 230063, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23760', 4, 'Saltillo', 230063, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23770', 0, 'Marmolejo', 230597, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23780', 0, 'Lopera', 230562, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23790', 1, 'Alharilla', 230695, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('23790', 2, 'Porcuna', 230695, 23, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24001', 0, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24002', 0, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24003', 0, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24004', 0, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24005', 0, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24006', 0, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24007', 1, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24007', 2, 'Villamoros de Las Regueras', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24007', 3, 'Villaobispo de Las Regueras', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24008', 1, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24008', 3, 'Villaquilambre', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24009', 1, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24009', 2, 'Oteruelo de la Valdoncina', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24009', 3, 'Armunia', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24009', 4, 'Poligono Villacedre', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24009', 5, 'Villacedre', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24010', 1, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24010', 2, 'Ferral del Bernesga', 241422, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24010', 3, 'San Andres del Rabanedo', 241422, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24010', 4, 'Villabalter', 241422, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24010', 5, 'Trobajo del Camino', 241422, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24070', 0, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24071', 0, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24080', 0, 'Leon', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24100', 0, 'Villablino', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24110', 0, 'Caboalles de Abajo', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24111', 0, 'Caboalles de Arriba', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24112', 0, 'Villager de Laciana', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24113', 1, 'El Corbachon', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24113', 2, 'Los Cuarteles', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24113', 3, 'Orallo', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24114', 1, 'Llamas de Laceana', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24114', 2, 'Rabanal de Abajo', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24114', 3, 'Rabanal de Arriba', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24120', 1, 'Barriada General Yague', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24120', 2, 'Canales', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24120', 3, 'Garao', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24120', 4, 'La Magdalena', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24121', 1, 'Azadinos', 241633, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24121', 2, 'Pobladura de Bernesga', 241633, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24121', 3, 'Sariegos', 241633, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24122', 0, 'Lorenzana', 240613, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24123', 1, 'Benllera', 240401, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24123', 2, 'Carrocera', 240401, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24123', 3, 'Cuevas de Viayo', 240401, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24123', 4, 'Otero de Las Dueas', 240401, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24123', 5, 'Piedrasecha', 240401, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24123', 6, 'Santiago de Las Villas', 240401, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24123', 7, 'Viayo', 240401, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24124', 1, 'Bobia', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24124', 2, 'Formigones', 241588, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24124', 3, 'Quintanilla y Bobia', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24124', 4, 'Villapodambre', 241588, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24125', 1, 'Camposalinas', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24125', 2, 'Carrizal de Luna', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24125', 3, 'Irian', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24125', 4, 'Santovenia de San Marcos', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24125', 5, 'Soto y Amio', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24125', 6, 'Villaceid', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24126', 1, 'Lago de Omaa', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24126', 2, 'Oterico', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24126', 3, 'Villayuste', 241670, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 1, 'Andarraso', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 2, 'Ariego de Abajo', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 3, 'Ariego de Arriba', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 4, 'Bonella', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 5, 'Campo de la Lomba', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 6, 'Castro de la Lomba', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 7, 'Ceide', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 8, 'Curuea', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 9, 'Folloso', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 10, 'La Garandilla', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 11, 'Inicio', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 12, 'Murias de Ponjos', 241844, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 13, 'Los Orrios', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 14, 'Paladin', 241844, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 15, 'Ponjos', 241844, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 16, 'Riello', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 17, 'Robledo de Omaa', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 18, 'Rosales', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 19, 'Santibaez de la Lomba', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 20, 'Socil', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 21, 'Trascastro de Luna', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 22, 'La Urz', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 23, 'La Utrera', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 24, 'Valdesamario', 241844, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 25, 'La Velilla', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24127', 26, 'Villarin de Riello', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24130', 1, 'Montrondo', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24130', 2, 'Murias de Paredes', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24131', 1, 'Guisatecha', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24131', 2, 'La Omauela', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24132', 1, 'Arienza', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24132', 2, 'El Castillo', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24132', 3, 'Cornombre', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24132', 4, 'Garuea', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24132', 5, 'Manzaneda de Omaa', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24132', 6, 'Pandorado', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24132', 7, 'Salce', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24132', 8, 'Santibaez de Arienza', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24132', 9, 'Sosas del Cumbral', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24132', 10, 'Vegarienza', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 1, 'Ventas de Aguasmestas', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 2, 'Barrio de la Puente', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 3, 'Cirujales', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 4, 'Fasgar', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 5, 'Marzan', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 6, 'Posada de Omaa', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 7, 'Torrecillo', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 8, 'Valbueno', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 9, 'Vegapujin', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 10, 'Villadepan', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 11, 'Villar de Omaa', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24133', 12, 'Villaverde de Omaa', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24134', 1, 'Omaon', 241324, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24134', 2, 'Rodicol', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24134', 3, 'Sabugo', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24135', 0, 'Villanueva de Omaa', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24136', 1, 'Lazado', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24136', 2, 'Senra', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24136', 3, 'Villabandin', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24137', 1, 'Bayos los', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24137', 2, 'Vivero de Omaa', 241015, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24138', 0, 'Villar de Santiago', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24139', 1, 'Rioscuro', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24139', 2, 'Robles de Laciana', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24139', 3, 'Sosas de Laciana', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24139', 4, 'La Venta de Las Perras', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24140', 1, 'Lumajo', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24140', 2, 'Villaseca de Laciana', 242029, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24141', 1, 'Cacabillo', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24141', 2, 'Carrasconte', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24141', 3, 'La Cueta', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24141', 4, 'Meroy', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24141', 5, 'Piedrafita de Babia', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24141', 6, 'Quejo', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24141', 7, 'Quintanilla de Babia', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24141', 8, 'La Vega de los Viejos', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24142', 1, 'Cabrillanes', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24142', 2, 'Lago de Babia', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24142', 3, 'Mena', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24142', 4, 'Las Murias', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24142', 5, 'Pealba de Cilleros', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24143', 1, 'Cospedal', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24143', 2, 'Huergas de Babia', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24143', 3, 'La Riera', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24143', 4, 'Riolago', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24143', 5, 'Robledo de Babia', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24143', 6, 'San Felix de Arce', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24143', 7, 'Torre de Babia', 240299, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 1, 'Candemuela', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 2, 'Genestosa', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 3, 'La Majua', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 4, 'Pinos', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 5, 'Puente Orugo', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 6, 'San Emiliano', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 7, 'Torrebarrio', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 8, 'Torrestio', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 9, 'Truebano', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 10, 'Villargusan', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24144', 11, 'Villasecino', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24145', 1, 'Abelgas', 241648, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24145', 2, 'Pobladura de Luna', 241648, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24145', 3, 'Rabanal de Luna', 241648, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24145', 4, 'Santa Eulalia de Las Manzanas', 241648, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24145', 5, 'Sena de Luna', 241648, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24145', 6, 'Villafeliz de Babia', 241456, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24146', 1, 'Aralla', 241648, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24146', 2, 'Caldas de Luna', 241648, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24146', 3, 'Robledo de Caldas', 241648, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24146', 4, 'La Vega de Robledo', 241648, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24147', 1, 'Mirantes de Luna', 999999, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24147', 2, 'Miera', 999999, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24148', 1, 'Los Barrios de Luna', 240129, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24148', 2, 'Irede de Luna', 240129, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24148', 3, 'Mallo de Luna', 240129, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24149', 1, 'Mora de Luna', 240129, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24149', 2, 'Portilla de Luna', 240129, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24149', 3, 'Saguera de Luna', 240129, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24149', 4, 'Vega de los Caballeros', 240129, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24150', 1, 'Ambasaguas de Curueo', 241514, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24150', 2, 'Barrio de Nuestra Seora', 241514, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24150', 3, 'Cerezales del Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24150', 4, 'Devesa de Curueo', 241514, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24151', 1, 'Barrillos de Curueo', 241514, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24151', 2, 'Gallegos de Curueo', 241514, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24152', 1, 'Candanedo de Boar', 241993, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24152', 2, 'El Carizal', 241993, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24152', 3, 'Caserio de Carrizal', 241993, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24152', 4, 'Lugan', 241993, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24152', 5, 'De Valderrodezno', 241993, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24152', 6, 'Vegaquemada', 241993, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24153', 1, 'Castro del Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24153', 2, 'Santa Maria del Monte Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24153', 3, 'Vegas del Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24154', 1, 'San Cipriano del Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24154', 2, 'San Vicente del Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24154', 3, 'Villanueva del Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24155', 1, 'Moral del Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24155', 2, 'Represa del Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24174', 0, 'Cea', 240515, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24155', 3, 'Secos del Porma o del Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24155', 4, 'Venta del Moral', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24155', 5, 'Villafruela de Porma', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24155', 6, 'Villamayor del Condado', 242014, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24156', 1, 'Navafria', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24156', 2, 'Santa Olaja del Porma', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24156', 3, 'Santibaez de Porma', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24160', 1, 'Garfin', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24160', 2, 'Gradefes', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24160', 3, 'Nava de los Caballeros', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24160', 4, 'Valdealcon', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24161', 1, 'Carbajal de Rueda', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24161', 2, 'Dehesa de Plumar', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24161', 3, 'Herreros de Rueda', 240634, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24161', 4, 'Llamas de Rueda', 240634, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24161', 5, 'Sahechores', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24161', 6, 'Villacidayo', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24161', 7, 'Villanofar', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24162', 0, 'Villafae', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24163', 1, 'Castrillo de Porma', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24163', 2, 'Palazuelo de Eslonza', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24163', 3, 'Villaburbula', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24163', 4, 'Villimer', 242259, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24164', 1, 'Santa Olaja de Eslonza', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24164', 2, 'Villarmun', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24165', 1, 'Caizal de Rueda', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24165', 2, 'Mellanzos', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24165', 3, 'Valdealiso', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24165', 4, 'Valduvieco', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24165', 5, 'Villarratel', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24166', 1, 'Casasola de Rueda', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24166', 2, 'Cifuentes de Rueda', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24166', 3, 'Rueda del Almirante', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24166', 4, 'San Miguel de Escalada', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24166', 5, 'Valdabasta', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24170', 1, 'Almanza', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24170', 2, 'Calaveras de Abajo', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24170', 3, 'Calaveras de Arriba', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24170', 4, 'Canalejas', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24170', 5, 'Corcos', 240520, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24171', 1, 'Arcayos', 242262, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24171', 2, 'Castromudarra', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24171', 3, 'Valdavida', 242262, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24171', 4, 'Villaverde de Arcayos', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24172', 1, 'Bustillo de Cea', 240515, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24172', 2, 'Mozos de Cea', 242297, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24172', 3, 'Sahelices del Rio', 240515, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24172', 4, 'Valdescapa', 240515, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24172', 5, 'Villacalabuey', 242151, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24175', 1, 'Trianos', 242151, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24175', 2, 'Villamol', 242151, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24175', 3, 'Villapeceil', 242151, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24192', 1, 'Granja de Pinotar', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24192', 2, 'Trobajo del Cerecedo', 240896, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24192', 3, 'Vilecha', 241054, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24193', 1, 'Llano de Navatejera', 242225, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24193', 2, 'Navatejera', 242225, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24193', 4, 'Villasinta', 242225, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24194', 1, 'Solares de Don Paco', 241627, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24194', 2, 'La Vega', 241627, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24195', 1, 'Carbajosa', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24195', 2, 'Golpejar de la Sobarriba', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24195', 3, 'Santovenia del Monte', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24195', 4, 'Tendal', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24195', 5, 'Villafeliz de la Sobarriba', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24195', 8, 'Villavente', 241759, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24195', 9, 'Villaobispo de las Regueras', 242225, 24, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24196', 1, 'Carbajal de la Legua', 241633, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24196', 2, 'La Colorada', 241633, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24197', 1, 'Canaleja', 242225, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24197', 2, 'Castrillino', 242225, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24197', 3, 'Robledo de Torio', 242225, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24197', 4, 'Villanueva del Arbol', 242225, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24197', 5, 'Villarrodrigo de Las Regueras', 242225, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24198', 0, 'La Virgen del Camino', 241895, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24199', 1, 'Alija de la Ribera', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24199', 2, 'Castrillo de la Ribera', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24199', 3, 'Marialba de la Ribera', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24199', 4, 'Santa Olaja de la Ribera', 242278, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24200', 0, 'Valencia de Don Juan', 241882, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24205', 1, 'Cabaas', 241882, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24205', 2, 'El Cervigal', 241882, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24206', 1, 'Carbajal de Fuentes', 240747, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24206', 2, 'Castilfale', 240423, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24206', 3, 'Fafilas', 242035, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24206', 4, 'Fuentes de Carbajal', 240747, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24206', 5, 'Valdemora', 241784, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24206', 6, 'Villabraz', 242035, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24207', 1, 'Alcuetas', 242035, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24207', 2, 'Matanza de los Oteros', 240994, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24207', 3, 'Valdespino Ceron', 240994, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24207', 4, 'Zalamillas', 240994, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24208', 1, 'Quintanilla de Oteros', 241073, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24208', 2, 'Valdesaz de los Oteros', 241073, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24209', 1, 'Fuentes de los Oteros', 241073, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24209', 2, 'Gusendo de los Oteros', 240819, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24209', 3, 'Pajares de los Oteros', 241073, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24209', 4, 'San Roman de los Oteros', 240819, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24210', 0, 'Mansilla de Las Mulas', 240943, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24217', 1, 'Caserio de Santovenia', 240956, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24217', 2, 'Mansilla Mayor', 240956, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24217', 3, 'Nogales de Mansilla', 240956, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24217', 4, 'Villamoros de Mansilla', 240956, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24217', 5, 'Villaverde de Sandoval', 240956, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26532', 0, 'Valdemadera', 261618, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26533', 0, 'Navajun', 261047, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26540', 0, 'Alfaro', 260110, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26550', 0, 'Rincon de Soto', 261256, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26559', 0, 'Aldeanueva de Ebro', 260086, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26560', 0, 'Autol', 260218, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26570', 0, 'Quel', 261200, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26580', 0, 'Arnedo', 260184, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26584', 0, 'Herce', 260722, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26585', 1, 'Santa Eulalia Bajera', 261367, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26585', 2, 'Santa Eulalia Somera', 260178, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 1, 'Ambasaguas', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 2, 'Antoanzas', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 3, 'Enciso', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 4, 'La Escurquilla', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 5, 'Garranzo', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 6, 'Larriba', 260048, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 7, 'La Monjia', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 8, 'Munilla', 260987, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 9, 'Navalsaz', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 10, 'Peroblasco', 260987, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 11, 'Poyales', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 12, 'Ribalmaguillo', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 13, 'Las Ruedas de Enciso', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 14, 'San Vicente de Munilla', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 15, 'La Santa', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 16, 'Valdeviga', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 17, 'El Villar de Enciso', 260585, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26586', 18, 'Zarzosa', 261814, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26587', 1, 'Gravalos', 260700, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26587', 2, 'Muro de Aguas', 261004, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26587', 3, 'Turruncun', 260700, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24404', 0, 'Ponferrada', 241152, 24, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28232', 0, 'Las Rozas de Madrid', 281277, 28, 
    0, 13, 'E', 3, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26587', 4, 'Villarroya', 261737, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26588', 1, 'Bergasa', 260282, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26588', 2, 'Bergasillas Bajera', 260295, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26588', 3, 'Bergasillas Somera o B. Alta', 260282, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26588', 4, 'Carbonera', 260282, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26589', 1, 'Arnedillo', 260178, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26589', 2, 'Los Baos Arnedillo (Balnear)', 260178, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26589', 3, 'Monasterio de Nuestra Seora d', 260178, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26589', 4, 'Prejano', 261196, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27001', 0, 'Lugo', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27002', 0, 'Lugo', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27003', 0, 'Lugo', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27004', 0, 'Lugo', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27070', 0, 'Lugo', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27071', 0, 'Lugo', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27080', 0, 'Lugo', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27100', 0, 'Fonsagrada (Casco Urbano)', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27110', 0, 'Carballido (Santa Maria) (Fons', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27111', 1, 'Linares de Maderne', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27111', 2, 'Maderne', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27111', 3, 'Neiro', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27112', 1, 'Arquide', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27112', 2, 'A Bastida', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27112', 7, 'Logares', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27112', 9, 'Puebla de Buron', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27112', 10, 'Trapa', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27112', 11, 'Trobo (Santa Maria) (Fonsagrad', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27112', 12, 'Vega de Logares', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 1, 'Allonca', 270351, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 2, 'Barcela', 270351, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 3, 'Ernes', 270351, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 4, 'Fonfria (Santa Maria Magdalena', 270351, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 5, 'Lamas de Campos', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 6, 'Marentes', 270351, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 7, 'Monteseiro', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 8, 'Negueira de Muiz', 270351, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 9, 'Ouviao', 270351, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 10, 'Rio de Porto', 270351, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27113', 14, 'Vilar de Cuia', 270351, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27114', 5, 'Villabol de Suarna', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27115', 1, 'San Martin de Arroxo (San Mart', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27115', 2, 'Cereixido (Santiago) (Fonsagra', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27116', 7, 'Cuias', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27116', 8, 'Fumayor', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27116', 13, 'Padron', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27116', 14, 'Vieiro (A San Antonio) (Fonsag', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27117', 0, 'Lamas de Moreira', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27118', 0, 'San Martin de Suarna', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27119', 4, 'Gestoso de Calvos', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27120', 1, 'Castroverde (Casco Urbano)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27120', 2, 'Vilario (Santiago)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27122', 1, 'Bolao', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27122', 2, 'O Grandon', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27122', 8, 'Vilabade (Santa Maria)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27122', 9, 'Villavad', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27123', 1, 'A Abelleira', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27123', 2, 'A Azoreira', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27123', 3, 'O Couso', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27123', 4, 'Furis de Abaixo', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27123', 5, 'Furis de Arriba', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27123', 7, 'Lourentin', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27124', 1, 'O Albardeiro (Castroverde)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27124', 2, 'Barreiros (San Cosme) (Castrov', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27124', 3, 'O Castro (Friria-Castroverde)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27124', 5, 'A Frairia', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27124', 6, 'Masoucos', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27124', 9, 'Riomol (San Pedro)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27124', 11, 'Trascastro (Castroverde)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27124', 12, 'Vilalle', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27125', 1, 'Covelas (San Miguel) (Castrove', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27125', 3, 'Espasande (Santiago) (Castrove', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27125', 4, 'Goi', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27125', 5, 'A Granda', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27125', 6, 'Marrondo', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27125', 8, 'Tordea', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27125', 9, 'Uriz (Sta Maria) (Castroverde)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27126', 0, 'Seres (San Pedro)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27127', 1, 'Barredo (San Xoan)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27127', 2, 'Barredo (Santo Andre)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27127', 3, 'Camino (San Miguel) (Castrover', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27127', 4, 'Castedo', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27127', 5, 'Francelos', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27127', 6, 'Rebordaos (San Xurxo) (Castrov', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27127', 7, 'San Miguel do Camio (San Migu', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27127', 9, 'Vilaxurxo', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 1, 'O Albaredo (Castroverde)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 2, 'O Barreiro (Castroverde)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 4, 'Berlan', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 9, 'Cepomundin', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 12, 'O Escouredo', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 14, 'Foxos', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 15, 'A Graa (Castroverde)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 16, 'O Gruedo', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 20, 'Maxide', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 21, 'Montecubeiro (San Cibrao)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 25, 'Pumarin', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 28, 'Santadrao', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 29, 'Sarceda', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 31, 'Teixeda', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 32, 'A Valia', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27128', 36, 'Os Vilares', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27129', 3, 'Pena (Santa Maria Madanela) (C', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27130', 1, 'Baleira (Casco Urbano)', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27130', 2, 'O Cadavo', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27130', 3, 'Esperela', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27131', 1, 'Corneas', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27132', 0, 'Pousada (San Lorenzo) (Baleira', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27133', 7, 'Degolada', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27133', 8, 'Fontaneira', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27133', 9, 'Lastra', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27134', 1, 'Freixo', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27134', 2, 'Rio (San Pedro) (Fonsagrada)', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27135', 1, 'Bruicedo', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27135', 2, 'Cubilledo (Vilares)', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27135', 3, 'Paradavella', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27135', 4, 'Pieira (Santa Maria) (Fonsagr', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27136', 4, 'Pacios (Santa Maria) (Fonsagra', 270180, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27140', 1, 'Angeles (Resto Parroquia)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27140', 2, 'Boveda (Santa Maria) (Lugo)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27140', 3, 'Recimil', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27141', 0, 'Romean', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27142', 1, 'Arcos (San Paio) (Castroverde)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27142', 2, 'Casas do Monte', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27142', 3, 'Gracian', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27142', 4, 'Moreira', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27142', 6, 'San Paio (Castroverde)', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27142', 7, 'Soutomerille', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27142', 8, 'Vilar de Cas', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27143', 1, 'Agustin', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27143', 2, 'Cellan de Calvos', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27143', 3, 'Cellan de Mosteiro', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27143', 6, 'Monte (Santa Maria) (Castrover', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27143', 8, 'Pereirama', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27143', 10, 'Pumarega', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27143', 11, 'Santa Xuliana', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27144', 1, 'Miranda', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27144', 2, 'Mirandela', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27145', 0, 'Folgosa (San Esteban)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27146', 1, 'Bascuas', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27146', 2, 'Carballido (San Martin) (Lugo)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27146', 4, 'Paderne', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27146', 5, 'Recesende (San Cibrao) (Castro', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27146', 6, 'Souto de Torres', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27150', 1, 'Folgueira', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27150', 2, 'Matela', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27150', 3, 'Otero de Rey (Casco Urbano) (V', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27150', 4, 'Outeiro de Rei (Casco Urbano)', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27150', 5, 'Outeiro de Rei (San Xoan)', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27150', 6, 'Outeiro de Rei (Santa Maria)', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27150', 7, 'Arcos (San Pedro) (Otero de Re', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27150', 8, 'Sobrada', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27151', 1, 'Cela (Santa Maria) (Otero de R', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27151', 2, 'Taboy', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27152', 1, 'Castelo (El Salvador) (Otero d', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27152', 2, 'Vilela (Santiago) (Otero de Re', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27153', 1, 'Aguiar (San Claudio)', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27153', 2, 'Aguiar (San Lorenzo)', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27153', 3, 'Bonxe', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27153', 4, 'Mosteiro (El Salvador) (Otero', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27153', 5, 'Paz', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27154', 1, 'Guillar', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27154', 2, 'Robra', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27154', 3, 'Silvarrey', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27155', 1, 'Francos (Santiago) (Otero de R', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27155', 2, 'Martul', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27156', 0, 'Ousa', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27157', 1, 'Aspay', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27157', 2, 'Canday', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27157', 3, 'Gayoso (Santiago)', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27157', 5, 'Vicinte', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27160', 1, 'Angeles (Nadela)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27160', 2, 'Angeles (Viador)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27160', 3, 'Castro (San Andres) (Lugo)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27160', 4, 'Nadela', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27160', 5, 'Pena (San Juan) (Lugo)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27161', 0, 'Santa Comba', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27162', 1, 'Aday (Santiago) (Corgo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27162', 2, 'Pieiro (Santa Maria) (Corgo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27162', 3, 'Queizan (Santa Maria) (Corgo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 1, 'Bergazo', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 2, 'Campelo', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 3, 'Chamoso (San Andres)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 4, 'O Corgo (San Juan)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 5, 'Fonteita', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 7, 'Camposo', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 8, 'Cela (O San Xoan) (Corgo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 9, 'Cerceda (Corgo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 10, 'Farnadeiros (San Esteban)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 11, 'Lapio', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 12, 'Ansean', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 13, 'Cabreiros (Santa Marina) (Corg', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 14, 'Escoureda', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 15, 'Farnadeiros (San Pedro)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 16, 'Maceda (San Pedro) (Corgo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 17, 'Manan (San Cosme)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 18, 'Manan (Santa Maria Magdalena)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 19, 'Paradela (San Pedro Felix) (Co', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 20, 'Quinte', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 21, 'Sabarei', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 22, 'Chamoso (San Bartolome)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27163', 23, 'Lajosa', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27164', 1, 'Abragan', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27164', 2, 'Alto (Santa Eulalia)(Corgo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27164', 3, 'Castrillon', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27164', 4, 'Franquean', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27164', 5, 'Gomean', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27164', 6, 'Marey', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27165', 2, 'Vega de Anzuelos', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27166', 1, 'Arrubial', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27166', 6, 'Paramo (San Miguel) (Castrover', 270116, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27168', 1, 'Argemil (San Pedro) (Corgo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27168', 2, 'Pedrafita (San Miguel) (Corgo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27169', 1, 'Chamoso (San Cristobal)', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27169', 2, 'San Pedro Felix', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27170', 0, 'Portomarin (Casco Urbano)', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27177', 1, 'Bedro', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27177', 2, 'Caborrecelle', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27177', 4, 'Vilaxuste', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27178', 1, 'Bagude', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27178', 2, 'Belad', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27178', 3, 'Portomarin (San Nicolas)', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27178', 4, 'Sabadelle (El Salvador) (Porto', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27178', 5, 'Villarbasin', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27179', 6, 'Portomarin (San Pedro)', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27180', 0, 'Soar', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27181', 1, 'Coeses', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27181', 2, 'Ferroy (Santa Maria)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27181', 3, 'Ferroy (Santiago)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27181', 4, 'Mota', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27181', 5, 'Pieiro (San Martin) (Lugo)', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27181', 6, 'Ribas de Mio (San Mamed) (Lug', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27182', 0, 'Campo (San Juan) (Lugo)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27183', 3, 'Grolos', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27183', 4, 'Ourol (San Xulian)(Guntin)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27183', 5, 'Zolle', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27184', 0, 'Mosteiro (Santa Maria) (Guntin', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27185', 1, 'Castelo (El Salvador) (Guntin)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27185', 2, 'Lousada (San Mamed) (Guntin)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27185', 3, 'Lousada (Santa Eulalia) (Gunti', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27185', 4, 'Mougan', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27185', 5, 'San Roman', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27186', 1, 'Francos (El Salvador) (Guntin)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27186', 2, 'Navallos (San Pedro) (Guntin)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27186', 3, 'Pieiras', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27187', 1, 'Fiz de Rozas', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27187', 2, 'Leon', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27187', 3, 'Recelle', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27188', 5, 'Castromayor (Sta Maria) (Porto', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27188', 6, 'Cortapezas', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27188', 7, 'Fijos', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27188', 8, 'Gonzar', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27188', 9, 'Saa (Santiago) (Lugo)', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27190', 3, 'Castelo (Santiago) (Lugo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27190', 4, 'Coeo (San Vicente)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27190', 6, 'Vilacha (San Julian) (Corgo)', 270142, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27191', 1, 'Benade', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27191', 2, 'Pedreda', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27191', 3, 'Rubias', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27192', 1, 'Muja (El Salvador)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27192', 2, 'Muja (Santa Maria)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27200', 0, 'Palas de Rei (Casco Urbano)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27203', 1, 'Cabana (Santiago)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27203', 3, 'Pambre', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27203', 4, 'Ramil (San Martin) (Palas de R', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27203', 5, 'Remonde', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27203', 6, 'Reposteria (San Cipriano)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27203', 7, 'Reposteria (San Justo)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27203', 8, 'Sambreixo (Palas de Rey)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27204', 1, 'Ambreixo', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27204', 2, 'Camino (San Julian) (Palas de', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27204', 3, 'Carballal (San Sebastian)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27204', 4, 'Curbian', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27204', 5, 'Mato (San Juan) (Palas de Rey)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27204', 6, 'Meixide', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27204', 7, 'Orosa', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27205', 1, 'Aguas Santas (Resto Parroquia)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27205', 2, 'Felpos', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27205', 3, 'Filgueira', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27205', 4, 'Laya', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27205', 5, 'Leboreira', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27205', 6, 'Maceda (San Miguel) (Palas de', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27205', 7, 'Merlan (El Salvador) (Palas de', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27205', 8, 'Moredo', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27205', 9, 'Ulloa', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27206', 1, 'Aguas Santas (Carballedo)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27206', 2, 'Berbetoros', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27206', 3, 'Ferreira (Santa Maria) (Alfoz)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27206', 4, 'Fontecuberta', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27206', 9, 'Puxeda', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27206', 10, 'Ribeira (El Salvador) (Palas d', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27206', 11, 'Salaya', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27207', 1, 'Alba (Santiago De)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27207', 2, 'Coence (San Mamed)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27207', 3, 'Coence (San Miguel)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27207', 4, 'Pidre', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27208', 1, 'Carballal (San Mamed)', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27208', 2, 'Cuia (Santa Maria) (Palas de', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27208', 3, 'Quindimil', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27209', 1, 'Marza', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27209', 2, 'Villareda', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 1, 'Bazar (San Remigio) (Lugo)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 2, 'Calde', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 3, 'Constante', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 4, 'Esperante (Santa Eulalia) (Lug', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 5, 'Gomelle', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 6, 'Lamas (Sta Eulalia) (Lugo)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 7, 'Lamela', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 8, 'Monte de Meda (San Cipriano) (', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 9, 'Monte de Meda (San Martin) (Gu', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 10, 'Monte de Meda (Santa Maria Mag', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 11, 'Pradeda (Santa Eulalia) (Gunti', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27210', 12, 'Villamea (San Martin)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27211', 1, 'Ferreira de Pallares', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27211', 2, 'Guntin (Casco Urbano)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27211', 3, 'Guntin (El Salvador) (Guntin)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27211', 8, 'Santa Eugea (Guntin)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27211', 9, 'Vilamerelle', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27211', 11, 'Villermao', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27212', 1, 'Camporredondo', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27212', 2, 'Nespereira (San Cipriano) (Por', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27212', 3, 'Rio (San Mamed) (Portomarin)', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27213', 1, 'Castro (San Martin) (Portomari', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27213', 2, 'Cruceiro', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27213', 3, 'Naron', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27214', 2, 'Mesonfrio', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27214', 3, 'Nieves de Castro', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27214', 4, 'Soengas', 270497, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27215', 1, 'Cumbraos', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27215', 2, 'Fufin', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27215', 3, 'Leborey', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27215', 10, 'Lodoso', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27215', 11, 'Marzan', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27215', 12, 'Montecalvo', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27215', 15, 'Villanueva (Monterroso)', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27216', 1, 'Lestedo', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27216', 3, 'Vilar de Donas', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27217', 1, 'Carteire', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27217', 2, 'Cubelo', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27217', 3, 'Mosteiro (Santiago) (Palas de', 270403, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27220', 0, 'Friol (Casco Urbano)', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27226', 1, 'Lamas (Santa Maria) (Friol)', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27226', 2, 'Narla', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27226', 3, 'Trasmonte', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27227', 1, 'Prado (San Martin)', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27227', 2, 'Xia', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27228', 1, 'Carballo (San Julian) (Friol)', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27228', 2, 'Ramelle', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27228', 3, 'Rocha', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27228', 4, 'Silvela', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27229', 1, 'Anafreita', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27229', 2, 'Angeriz', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27229', 3, 'Bra', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27229', 4, 'Carlin', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27229', 5, 'Madelos', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27229', 6, 'Miraz (Santiago) (Friol)', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27229', 7, 'Nodar', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27229', 10, 'Roimil', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27229', 11, 'Seixon', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27230', 1, 'Alta', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27230', 2, 'Torible', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27231', 1, 'Veral', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27231', 2, 'Vilacha de Mera', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27232', 0, 'Bacurin', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27233', 1, 'Alto (San Juan) (Lugo)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27233', 2, 'Boveda (Santa Eulalia) (Lugo)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27233', 3, 'Burgo (San Vicente) (Lugo)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27233', 4, 'Mera', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27233', 5, 'Poutomillos', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27233', 6, 'Progalo', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27233', 7, 'Retorta (Santa Cruz)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27233', 12, 'Villamayor de Negral', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27234', 1, 'Entrambasaguas', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27234', 4, 'Retorta (San Roman)', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27234', 5, 'Sirvian', 270235, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27235', 1, 'Apregacion (San Ciprian)', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27235', 2, 'Apregacion (San Juan)', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27235', 3, 'Condes', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27235', 4, 'Guimarey (Santa Maria) (Friol)', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27235', 5, 'Pacio (Santa Maria)', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27235', 6, 'San Cibrao (Friol)', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27240', 1, 'Meira (Casco Urbano)', 270291, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27240', 2, 'Meira (Santa Maria)', 270291, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27241', 0, 'Seixomil (San Isidro)', 270291, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27242', 2, 'O Chao de Pousadoiro', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27242', 3, 'Pousadoiro', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27242', 4, 'Ribeira de Piquin (Capitalidad', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27243', 1, 'Acebo', 270538, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27243', 2, 'Os Vaos (San Xoan)', 270538, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27244', 2, 'Navallos (San Pedro) (Ribeira', 270538, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27244', 3, 'Santalla (Ribeira de Piquin)', 270538, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27245', 3, 'San Xurxo de Piquin (Ribeira d', 270538, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27246', 1, 'Baltar', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27246', 2, 'Crecente', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27246', 3, 'Fuenmiana', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27246', 5, 'Parajes', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27246', 6, 'Pousada (A Santa Catarina) (Pa', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27246', 7, 'Saldange', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27247', 1, 'Lua', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27248', 1, 'A Aguarda (San Martio)', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27248', 2, 'Alvare (Santa Maria)', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27248', 3, 'Gueimonde', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27248', 6, 'Pieiro (San Cosme) (Pastoriza', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27250', 1, 'Castro de Rei (Castro de Rei)', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27250', 2, 'Santa Leocadia', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27256', 1, 'Otero (Santa Maria) (Castro de', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27256', 2, 'Pacios (El Salvador) (Castro d', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27257', 1, 'Azumara', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27257', 2, 'Prevesos', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27258', 1, 'Bazar (San Pedro) (Castro de R', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27258', 2, 'Coea', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27258', 3, 'Quintela', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27259', 1, 'Ansemar', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27259', 2, 'Balmonte', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27259', 3, 'Coto de A', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27259', 4, 'Goberno', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27259', 5, 'Ramil (Santa Marina) (Castro d', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27259', 6, 'Villadonga', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27260', 1, 'Castro Riberas de Lea', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27260', 2, 'Riberas de Lea', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27266', 0, 'Loentia', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27267', 0, 'Triaba', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27268', 1, 'Mos', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27269', 2, 'Duarria', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27269', 3, 'Fagilde', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27270', 1, 'Andion', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27270', 2, 'Carao', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27270', 3, 'Gondel', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27270', 4, 'Luaces', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27270', 5, 'Mosteiro (San Salvador) (Pol)', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27270', 6, 'Pol (Capitalidad Municipio : M', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27270', 7, 'Silva', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27271', 1, 'Duancos', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27271', 2, 'Ludrio', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27271', 3, 'Mondriz', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27271', 4, 'Orizon', 270109, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27272', 1, 'Carazo', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27272', 2, 'Frayalde', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27273', 1, 'Cirio', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27273', 2, 'Rois', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27274', 2, 'Riojuan', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27274', 3, 'Valonga', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27275', 1, 'Milleiros (Santiago) (Pol)', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27275', 2, 'Seixomil (A Veiga de Galegos)', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27276', 1, 'Martin (Santiago) (Baleira)', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27276', 2, 'La Muia', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27277', 1, 'A Braa', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27277', 2, 'Retizos', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27278', 3, 'Cubilledo', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27278', 5, 'Fonteo', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27278', 6, 'Libran', 270044, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27279', 1, 'Arcos (Santiago) (Pol)', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27279', 6, 'Lea (San Bartolome) (Pol)', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27279', 12, 'Pol (San Esteban) (Pol)', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27279', 14, 'Suegos (Santa Eulalia) (Pol)', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27280', 1, 'Hermunde', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27280', 2, 'Torneiros', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27282', 0, 'Matodoso', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27283', 1, 'Ferreiros (San Andres) (Pol)', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27283', 2, 'Ferreiros (San Martin) (Pol)', 270462, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27285', 1, 'Galegos', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27286', 3, 'Bretoa', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27286', 4, 'Reigosa (Santiago)', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27286', 5, 'A Rigueira (San Vicente)', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27286', 6, 'San Martio de Corvelle (A San', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27286', 7, 'Ubeda (San Xoan)', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27286', 8, 'Vian (Santa Maria)', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27287', 1, 'A Pastoriza (Casco Urbano)', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27287', 2, 'Cadavedo', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27287', 3, 'Loboso', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27287', 4, 'Lagoa (A San Xoan) (Pastoriza)', 270446, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27289', 1, 'Bendia', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27289', 2, 'Dumpin', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27289', 3, 'Teijeiro', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27290', 1, 'Mazoy', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27290', 2, 'Pias', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27293', 2, 'Corneas (Castroverde)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27293', 3, 'Gondar', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27293', 4, 'Labio', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27293', 5, 'A Meda', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27294', 1, 'Cuia (Santa Eulalia) (Lugo)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27294', 2, 'Piugos', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27294', 4, 'Das Arieiras', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27296', 1, 'Bocamaos', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27296', 2, 'Meilan (Santiago) (Lugo)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27297', 1, 'Aday (Santa Maria Magdalena) (', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27297', 2, 'Orbazay', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27297', 3, 'San Lazaro', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27297', 5, 'Poligono da Louzaneta', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27298', 6, 'Tirimol', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27299', 2, 'Camoira', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27299', 3, 'Cota', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27299', 4, 'Devesa (Santa Eulalia) (Friol)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27299', 5, 'Guldriz', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27299', 6, 'Hombreiro', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27299', 7, 'Outeiro (El Salvador)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27299', 8, 'Parada', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27299', 9, 'Seren', 270207, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27299', 10, 'Villafiz (Santa Maria) (Friol)', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27299', 11, 'Villalbite', 270288, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27300', 1, 'Guitiriz (Casco Urbano)', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27300', 2, 'Lagostelle (San Xoan)', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27305', 1, 'Becin', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27305', 6, 'Parga (El Salvador)', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27305', 8, 'Parga (Santa Cruz)', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27305', 9, 'Roca', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27305', 10, 'Trasparga', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27306', 0, 'Buriz', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27307', 4, 'Labrada (Santa Maria) (Guitiri', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27307', 13, 'Villares', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27308', 1, 'Mariz (Santa Eulalia) (Guitiri', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27308', 2, 'Negradas (San Vicente) (Guitir', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27308', 3, 'Villar (Santa Maria) (Guitiriz', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27309', 0, 'Lagostelle (Santa Marina)', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27310', 1, 'Ribas de Sil', 270522, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27310', 2, 'San Clodio', 270522, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27317', 1, 'Nogueira (Nuestra Seora Nieve', 270522, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27317', 2, 'Rairos', 270522, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27317', 3, 'Torbeo', 270522, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27318', 1, 'Peites', 270522, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27318', 2, 'Pieira (San Cristobal) (Ribas', 270522, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27318', 3, 'Sotordey', 270522, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27320', 1, 'Hospital (San Salvador) (Quiro', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27320', 2, 'Quiroga (Casco Urbano)', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27320', 3, 'Quiroga (San Martio)', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27324', 1, 'Esperante (San Pedro) (Folgoso', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27324', 2, 'Meiraos', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27324', 3, 'Mercurin', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27324', 4, 'Noceda (San Pedro) (Folgoso do', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27324', 5, 'Seoane (San Juan) (Folgoso de', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27325', 1, 'Folgoso do Courel (Casco Urban', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27325', 2, 'Seceda', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27325', 3, 'Villamor (Resto Parroquia San', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27326', 1, 'Ferreiros Abajo (Folgoso Caure', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27326', 2, 'Folgoso do Courel (Ferreiros d', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27326', 3, 'Folgoso do Courel (Ferreiros d', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27326', 4, 'Folgoso do Courel (Sobredo)', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27327', 0, 'Folgoso do Courel (Santa Eufem', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27328', 1, 'Bustelo de Fisteus', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27328', 2, 'Fisteus', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27328', 3, 'Horreos', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27328', 6, 'Otero (Santa Maria) (Folgoso d', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27328', 7, 'Pacios de la Sierra', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27328', 8, 'Seara', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27328', 9, 'Visua', 270174, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27329', 1, 'Bendillo', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27329', 2, 'Bendollo', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27329', 3, 'Cereixido (Santa Maria) (Quiro', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27329', 4, 'Hermida', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27329', 5, 'Nocedo', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27329', 7, 'Paradaseca', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27329', 9, 'Sequeiros', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27329', 10, 'Vilar de Lor', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27329', 11, 'Villarmiel', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27330', 1, 'A Pobra de Brollon', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27330', 2, 'A Pobra de Brollon (Casco Urba', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27331', 1, 'Brence', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27331', 2, 'A Pobra de Brollon', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27332', 1, 'Castrosante', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27333', 1, 'Pino (Santa Maria) (Puebla de', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27333', 2, 'Rey (Santa Eulalia)', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27333', 3, 'Veiga (San Julian) (Puebla de', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27334', 1, 'Castroncelos', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27334', 2, 'Cereixa', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27334', 3, 'Eixon', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27334', 4, 'Fornelas', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27335', 1, 'Canedo', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27335', 2, 'Ferreirua', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27336', 1, 'Ferreiros (San Salvador)(Pobra', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27336', 2, 'Saa (Santa Maria)(Pobra de Bro', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27338', 0, 'Salcedo', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27339', 1, 'Lamaiglesia', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27339', 2, 'Parada Dos Montes', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27339', 3, 'Villamor (Carballal)', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27339', 4, 'Villamor (Mazo de Santigoso)', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27340', 2, 'Boveda (San Martin) (Boveda)', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27341', 1, 'Bardaos (San Juan)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27341', 2, 'Bardaos (San Julian)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27341', 3, 'Castelo (Santo Tome) (Incio)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27341', 4, 'Noceda (O San Xoan) (Incio)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27341', 5, 'Vila de Mouros', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27342', 1, 'Cervela (San Cristobal) (Incio', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27342', 2, 'Cubela', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27342', 3, 'Rubian de Cima (Incio)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27343', 0, 'Tuimil', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27344', 1, 'Freituje', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27344', 2, 'Guntin (San Cristobal) (Boveda', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27344', 3, 'Mosteiro (San Pelagio) (Boveda', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27345', 1, 'Eirexalba', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27345', 2, 'Vilasouto', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 1, 'Foilevar', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 2, 'Goo', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 3, 'O Incio (Casco Urbano)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 4, 'O Incio (Santa Cruz)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 6, 'Rendar', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 7, 'Sirgueiros', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 8, 'Villarjuan', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 9, 'Viso', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 10, 'Mao (El Salvador)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 11, 'Mao (San Roman)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 12, 'Mao (Santa Maria)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 13, 'Reboiro', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 14, 'Toldaos (Santiago) (Incio)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27346', 15, 'Pacios (Santa Maria) (Incio)', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27347', 1, 'Hospital (San Pedro) (Incio)', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27347', 2, 'O Incio (San Pedro)', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27347', 3, 'O Incio (Santa Marina)', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27347', 5, 'Outara', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27347', 6, 'Trascastro', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27348', 1, 'Layosa', 270240, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27349', 1, 'Martin (San Cristobal) (Boveda', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27349', 2, 'Ribas Pequeas', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27349', 3, 'Ver', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27349', 4, 'Villalpape', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27350', 1, 'Rubian (San Felix) (Boveda)', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27350', 2, 'Rubian (Santiago) (Boveda)', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27359', 1, 'Remesar', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27359', 2, 'Teilan', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27359', 3, 'Villarbujan', 270082, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27360', 1, 'Puebla de San Julian', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27360', 2, 'Vilarello (San Pedro) (Lancara', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27362', 1, 'Pieiro (El Salvador) (Paramo)', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27362', 2, 'Reascos', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27362', 4, 'Ribera (San Mamed) (Paramo)', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27362', 5, 'San Andres de la Ribera', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 1, 'Aday (Santa Marina) (Paramo)', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 2, 'Friolfe', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 3, 'Gondrame (San Vicente)', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 4, 'Gondrame (Santa Maria)', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 5, 'Grallas', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 6, 'Neira (Santa Maria Magdalena)', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 7, 'Ribas de Mio (Santiago) (Para', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 8, 'Torre (San Martin) (Paramo)', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 9, 'Villafiz (Santa Maria) (Paramo', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 10, 'Villarmosteiro', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 11, 'Villasante (Santa Cruz) (Param', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27363', 12, 'Villeiriz', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27364', 6, 'Moscan', 270431, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27365', 3, 'Casetas', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27366', 2, 'Toiran', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27366', 3, 'Trasliste', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27367', 1, 'Bande', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27367', 2, 'Carracedo', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27367', 4, 'Lama', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27367', 5, 'Lancara (San Pedro)', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27367', 6, 'Neira (Santa Maria) (Lancara)', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27367', 7, 'Vilaleo', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27368', 0, 'Muro', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27369', 3, 'Ronfe', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27369', 4, 'Saa (Santiago) (Paramo)', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27369', 5, 'Villambran', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27370', 1, 'Baamonde (Resto Parroquia)', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27370', 2, 'Rabade (Casco Urbano)', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27372', 1, 'Baamonde (Vilasuso)', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27372', 2, 'Boveda (Santa Eulalia) (Begont', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27372', 4, 'Carral', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27372', 5, 'Pacios (San Martin) (Begonte)', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27372', 6, 'Pigara', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27372', 8, 'Valdomar', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27373', 1, 'Begonte', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27373', 3, 'Cerdeiras', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24721', 2, 'Priaranza de la Valduerna', 240917, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24721', 3, 'Tabuyo del Monte', 240917, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24721', 4, 'Velilla de la Valduerna', 240444, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24721', 5, 'Villar de Golfer', 240917, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 1, 'Andiuela', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22145', 1, 'Alquezar', 220247, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22145', 2, 'Radiquero', 220247, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22145', 3, 'San Pelegrin', 220247, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22146', 0, 'Buera', 229068, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22147', 1, 'Adahuesca', 220036, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22147', 2, 'Alberuela de Laliena', 220015, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22148', 1, 'Almazorre', 220514, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22148', 2, 'Asque', 220909, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22148', 3, 'Barcabo', 220514, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22148', 4, 'Betorz', 220514, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22148', 5, 'Colungo', 220909, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22148', 6, 'Eripol', 220514, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22148', 7, 'Hospitaled de Barcabo', 220514, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22148', 8, 'Lecina', 220514, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22149', 1, 'Arcusa', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22149', 2, 'Las Bellostas', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22149', 3, 'Castellazo', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22149', 4, 'Coscollar', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22149', 5, 'Paules', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22149', 6, 'Pueyo de Morcat', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22149', 7, 'Santa Maria de la Nuez', 220514, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22149', 8, 'Sarsa de Surta', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22150', 1, 'Arguis', 220377, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22150', 2, 'Belsue', 220377, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22150', 3, 'Bentue de Rasal', 220377, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22160', 1, 'Bolea', 229042, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22160', 2, 'La Sotonera', 229042, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22161', 1, 'Lierta', 229042, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22161', 2, 'Puibolea', 229042, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22162', 0, 'Anies', 229042, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22190', 0, 'Vicien', 222489, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22191', 0, 'Quicena', 221954, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22192', 1, 'Barluenga', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22192', 2, 'Castilsabas', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22192', 3, 'Chibluco', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22192', 4, 'Loporzano', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22192', 5, 'San Julian de Banzo', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22192', 6, 'Santa Eulalia la Mayor', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22192', 7, 'Sasa del Abadiado', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22192', 8, 'Tierz', 222283, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22192', 9, 'Vadiello', 221506, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22193', 1, 'Arascues', 221632, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22193', 2, 'Igries', 221278, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22193', 3, 'Nueno', 221632, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22193', 4, 'Sabayes', 221632, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22193', 5, 'Santa Eulalia de la Pea', 221632, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22193', 6, 'Yequeda', 221278, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22194', 1, 'Alerre', 220190, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22194', 2, 'Banaries', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22194', 3, 'Banastas', 220475, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22194', 4, 'Chimillas', 220968, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22194', 5, 'Figueruelas', 220190, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22194', 6, 'Huerrios', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22194', 7, 'Torres Secas', 220190, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22195', 1, 'Apies', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22195', 2, 'Fornillos de Montearagon', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22195', 3, 'Lienas', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22196', 1, 'Bellestar del Flumen', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22196', 2, 'Buales', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22196', 3, 'Castillo de Pompien', 221565, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22196', 4, 'La Granja', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22196', 5, 'Lascasas', 221565, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22196', 6, 'Pompenillo', 221565, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22196', 7, 'Tabernas de Isuela', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22197', 0, 'Cuarte', 221259, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22200', 0, 'Sariena', 222132, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22210', 1, 'Huerto', 221246, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22210', 2, 'Peralta de Alcofea', 221246, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22210', 3, 'Uson', 221246, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22210', 4, 'Venta de Ballerias', 221246, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22212', 1, 'Alberuela de Tubo', 220134, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22212', 2, 'San Lorenzo del Flumen', 221360, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22212', 3, 'Sodeto', 220134, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22212', 4, 'Capdesaso', 220797, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22213', 1, 'La Cartuja de Monegros', 221376, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22213', 2, 'Orillena', 221376, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22213', 3, 'San Juan del Flumen', 222132, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22214', 0, 'Lalueza', 221360, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22215', 1, 'Castelflorite', 220857, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22215', 2, 'Lastanosa', 222132, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22215', 3, 'La Masadera', 220857, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22215', 4, 'El Tormillo', 220857, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22216', 1, 'Cabaas', 221376, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22216', 2, 'Cantalobos', 221376, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22216', 3, 'Poleino', 221843, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22220', 0, 'Albalatillo', 220089, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22221', 0, 'Pallaruelo de Monegros', 222132, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22222', 0, 'Castejon de Monegros', 220839, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22223', 0, 'Valfarta', 222420, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22231', 1, 'Sigena', 222512, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22231', 2, 'Villanueva de Sigena', 222512, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22232', 0, 'Ontiena', 221650, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22233', 0, 'Chalamera', 220942, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22234', 0, 'Ballobar', 220469, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22240', 0, 'Tardienta', 222261, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22250', 0, 'Lanaja', 221376, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22251', 0, 'Alcubierre', 220187, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22252', 0, 'Robres', 221973, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22253', 0, 'Senes de Alcubierre', 222185, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22254', 0, 'Torralba de Aragon', 222322, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22255', 1, 'Albero Bajo', 220128, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22255', 2, 'Almuniente', 220232, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22255', 3, 'Barbues', 220494, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22255', 4, 'Callen', 221164, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22255', 5, 'Torres de Barbues', 222369, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22255', 6, 'Valfonda de Santa Ana', 222369, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22260', 0, 'Graen', 221164, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22267', 0, 'La Rambla', 999999, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22268', 1, 'Fraella', 221164, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22268', 2, 'Marcen', 221360, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22268', 3, 'Piraces', 221817, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22268', 4, 'Tramaced', 222394, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22269', 1, 'Curbe', 221164, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22269', 2, 'Frula', 220232, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22269', 3, 'Montesusin', 221164, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22270', 0, 'Almudevar', 220211, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22280', 1, 'Campo Redondo', 221199, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22280', 2, 'Gurrea de Gallego', 221199, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22281', 1, 'La Paul', 221199, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22281', 2, 'El Temple', 221199, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22282', 0, 'Alcala de Gurrea', 220149, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22283', 1, 'Artasona del Llano', 220211, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22283', 2, 'San Jorge', 220211, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22283', 3, 'Tormos', 220149, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22283', 4, 'Valsalada', 220211, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22300', 0, 'Barbastro', 220481, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22310', 0, 'Castejon del Puente', 220823, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22311', 1, 'Azara', 220417, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22311', 2, 'Azlor', 220422, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22311', 3, 'Peraltilla', 221761, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22311', 4, 'El Pueyo', 220417, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22312', 1, 'Coscojuela de Fantova', 221151, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22312', 2, 'Costean', 229080, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22312', 3, 'Enate', 221151, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22312', 4, 'Guardia', 229080, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22312', 5, 'Hoz de Barbastro', 229080, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22312', 6, 'Salinas de Hoz', 229080, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22313', 1, 'Castillazuelo', 220882, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22313', 2, 'Huerta de Vero', 229068, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22313', 3, 'Pozan de Vero', 221869, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22313', 4, 'Santa Maria de Dulcis', 220882, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22314', 1, 'Salas Altas', 222013, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22314', 2, 'Salas Bajas', 222028, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22315', 1, 'Burceat', 220481, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22315', 2, 'Cregenzan', 220481, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22315', 3, 'Montesa', 220481, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22320', 1, 'Naval', 221604, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22320', 2, 'Suelves', 220514, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22330', 1, 'Ainsa', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22330', 2, 'Carreteras (Ainsa)', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22330', 3, 'Sarratillo', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22330', 4, 'Sarrato', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22336', 1, 'Arro', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22336', 2, 'Charo', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22336', 3, 'Formigales', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22336', 4, 'La Fueva', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22336', 5, 'Lavilla', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22336', 6, 'Morillo de Monclus', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22336', 7, 'Tierrantona', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 1, 'Alueza', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 2, 'Alujan', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 3, 'Buetas', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 4, 'El Humo de Palo', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 5, 'El Humo de Rain', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 6, 'Lapenilla', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 7, 'Lascorz', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 8, 'La Lecina (La Fueva)', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 9, 'La Lueza', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 10, 'Lujan', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 11, 'Muro de Roda', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 12, 'El Palo', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 13, 'La Plana', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 14, 'El Pocino', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 15, 'Rain', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22337', 16, 'Solipueyo', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 1, 'Araguas', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 2, 'Los Molinos (Pueyo de Araguas)', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 3, 'La Muera', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 4, 'Oncins', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 5, 'La Pardina (Pueyo de Araguas)', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 6, 'El Plano', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 7, 'El Pueyo de Araguas', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 8, 'San Lorien', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 9, 'San Victorian', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 10, 'Soto', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22338', 11, 'Torrelisa', 221908, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 1, 'Banaston', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 2, 'El Betato', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 3, 'Gerbe', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 4, 'Griebal', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 5, 'Lascambras', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 6, 'Latorre (Ainsa)', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 7, 'San Ciprian', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 8, 'Santa Tecla', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 9, 'El Tozalet', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 10, 'El Turmo', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 11, 'Usana', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22339', 12, 'Villarcillo Bogetar', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22340', 0, 'Boltaa', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22347', 1, 'Ascaso', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22347', 2, 'Morillo de San Pietro', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22348', 1, 'Aguilar (Boltaa)', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22348', 2, 'Campodarbe', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22348', 3, 'San Belian', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22348', 4, 'La Valle', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22349', 1, 'El Grado (Ainsa)', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22349', 2, 'Guaso', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22349', 3, 'Latorrecilla', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22349', 4, 'Margudgued', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22349', 5, 'Sieste', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22349', 6, 'La Torrecilla', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22350', 0, 'Bielsa', 220572, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22351', 1, 'Espierba', 220572, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22351', 2, 'Javierre (Bielsa)', 220572, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22351', 3, 'Pineta', 220572, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22360', 1, 'Labuerda', 221339, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22360', 2, 'San Vicente (Labuerda)', 221339, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22361', 1, 'El Casal', 221442, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22361', 2, 'Ceresa', 221442, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22361', 3, 'Laspua', 221442, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22361', 4, 'Socastiello', 221442, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22362', 1, 'Bestue', 221894, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22362', 2, 'Escuain', 221894, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22362', 3, 'Puertolas', 221894, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22363', 1, 'Belsierre', 221894, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22363', 2, 'Escalona', 221894, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22363', 3, 'Huertas de Muro', 221894, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22363', 4, 'Muro de Bellos', 221894, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22363', 5, 'Puyarruego', 221894, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22363', 6, 'Santa Maria (Puertolas)', 221894, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22364', 1, 'Arinzue', 222277, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22364', 2, 'Badain', 222277, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22364', 3, 'Cortalavia', 222277, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22364', 4, 'Hospital de Tella', 222277, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22364', 5, 'Lafortunada', 222277, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22364', 6, 'Lamiana', 222277, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22364', 7, 'Revilla', 222277, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22364', 8, 'Tella', 222277, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22365', 1, 'Chisagues', 220572, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22365', 2, 'Parzan', 220572, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22365', 3, 'Salinas (Tella)', 220572, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22366', 1, 'Saravillo', 221822, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22366', 2, 'Serveto', 221822, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22366', 3, 'Sin', 222277, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22367', 1, 'Gistain', 221148, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22367', 2, 'Plan', 221822, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22367', 3, 'San Juan de Plan', 222071, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22370', 1, 'Broto', 220699, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22370', 2, 'Oto', 220699, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22370', 3, 'Yosa', 220699, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22371', 1, 'Albella', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22371', 2, 'Janovas', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22371', 3, 'Planillo', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22371', 4, 'San Felices (Albella)', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22372', 1, 'Arresa', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22372', 2, 'Asin de Broto', 220699, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22372', 3, 'Escartin', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22372', 4, 'Javierre de Ara', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22372', 5, 'Liguerre de Ara', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22372', 6, 'San Martin de la Solana', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22372', 7, 'Santa Olaria', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22373', 1, 'Bergua', 220699, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22373', 2, 'Borrastre', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22373', 3, 'Fiscal', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22373', 4, 'Lardies', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22373', 5, 'San Juste', 221091, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22374', 0, 'Sarvise', 220699, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22375', 1, 'Buerba', 221072, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22375', 2, 'Buesa', 220699, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22375', 3, 'Buisan', 221072, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22375', 4, 'Fanlo', 221072, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22375', 5, 'Nerin', 221072, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22375', 6, 'Vio', 221072, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22375', 7, 'Yeba', 221072, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22376', 0, 'Torla', 222300, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22377', 0, 'Frajen', 222300, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22378', 1, 'Linas de Broto', 222300, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22378', 2, 'Viu de Linas', 222300, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22390', 1, 'Artasona', 221151, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22390', 2, 'El Grado', 221151, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22390', 3, 'Presa del Cinca', 221151, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22391', 0, 'Torreciudad', 222147, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22392', 1, 'Abizanda', 220020, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22392', 2, 'Solanilla', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22393', 1, 'Escanilla', 220020, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22393', 2, 'Lamata', 220020, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22393', 3, 'Liguerre de Cinca', 220020, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22393', 4, 'Mipanas', 221604, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22394', 1, 'Castejon de Sobrarbe', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22394', 2, 'Jabierre de Olson', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22394', 3, 'Mediano', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22394', 4, 'Mondot', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22394', 5, 'Olson', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22394', 6, 'La Pardina (Ainsa)', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22394', 7, 'Samitier', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22394', 8, 'La Torre de la Fueva', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22395', 1, 'Camporrotuno', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22395', 2, 'Coscojuela de Sobrarbe', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22395', 3, 'Morillo de Tou', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22395', 4, 'Plampalacios', 229074, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22400', 0, 'Monzon', 221587, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22410', 0, 'Alcolea de Cinca', 220171, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22411', 0, 'Santa Lecina', 229037, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22412', 0, 'Estiche de Cinca', 229037, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22413', 1, 'Pomar de Cinca', 229037, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22413', 2, 'San Miguel de Cinca', 229037, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22414', 0, 'Conchel', 221587, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22415', 1, 'Fornillos de Ilche', 221284, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22415', 2, 'Ilche', 221284, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22415', 3, 'Monesma de San Juan', 221284, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22415', 4, 'Morilla', 221284, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22415', 5, 'Odina', 221284, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22415', 6, 'Permisan', 221284, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22415', 7, 'Selgua', 221587, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22415', 8, 'Terreu', 221284, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22416', 1, 'Alfantega', 220204, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22416', 2, 'Pueyo de Santa Cruz', 221936, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22417', 1, 'Ariestolas', 220226, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22417', 2, 'Cofita', 221105, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22420', 0, 'Almunia de San Juan', 220226, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22421', 1, 'Alins del Monte', 220400, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22421', 2, 'Azanuy', 220400, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22422', 0, 'Fonz', 221105, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22423', 0, 'Estadilla', 221035, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22424', 0, 'Estada', 221029, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22430', 1, 'Graus', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22435', 1, 'Barasona', 221875, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22435', 2, 'La Puebla de Castro', 221875, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22436', 1, 'Bellestar (Graus)', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22436', 2, 'Benavente de Aragon', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22436', 3, 'Torre de Esera', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22436', 4, 'Ventas de Santa Lucia', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22437', 1, 'Abenozas', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22437', 2, 'Bafaluy', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22437', 3, 'Centenera', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22437', 4, 'Coll de Oliva', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22437', 5, 'Coronas', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22437', 6, 'Fantova', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22437', 7, 'La Puebla de Fantova', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22438', 1, 'Clamosa', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22438', 2, 'Ejep', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22438', 3, 'Panillo', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22438', 4, 'Pano', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22438', 5, 'El Salinar', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22438', 6, 'Salinas de Trillo', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22438', 7, 'Torre de Obato', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22438', 8, 'Trillo', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22438', 9, 'Troncedo', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22439', 1, 'Bolturina', 221647, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22439', 2, 'Olvena', 221647, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22439', 3, 'Secastilla', 222147, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22439', 4, 'Ubiergo', 222147, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22440', 0, 'Benasque', 220540, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22449', 0, 'Cerler', 220540, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22450', 1, 'Beleder', 220746, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22450', 2, 'Campo', 220746, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22450', 3, 'Senz', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22450', 4, 'Viu', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 1, 'Aguascaldas', 222436, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 2, 'Biescas de Campo', 222436, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 3, 'Egea', 222441, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 4, 'Espluga', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 5, 'Llert', 222436, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 6, 'Padarniu', 222441, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 7, 'Pueyo (Valle de Lierp)', 222436, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 8, 'Sala', 222441, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 9, 'Santa Maura', 222436, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 10, 'Serrate', 222441, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 11, 'Valle de Bardaji', 222436, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 12, 'Valle de Lierp', 222436, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22451', 13, 'Las Vilas del Turbon Balneario', 222436, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 1, 'La Atiart', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 2, 'La Cabezonada', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 3, 'Las Colladas', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 4, 'Foradada del Toscar', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 5, 'Fosado', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 6, 'Fuendecampo', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 7, 'Lacort (Foradada del Toscar)', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 8, 'Navarri', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 9, 'Samper', 221133, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 10, 'San Juan (La Fueva)', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22452', 11, 'Toledo la Nata', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22460', 1, 'Besians', 221777, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22460', 2, 'Caballera', 222126, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22460', 3, 'El Mon', 221777, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22460', 4, 'Perarrua', 221777, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22461', 1, 'Aguilar', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22461', 2, 'La Corona (Santa Liestra)', 220664, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22461', 3, 'Santa Liestra y San Quilez', 222126, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22462', 1, 'Bacamorta', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22462', 2, 'Morillo de Liena', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22462', 3, 'Nocellas', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22462', 4, 'El Solano', 221112, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22463', 1, 'Abi', 222150, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22463', 2, 'Seira', 222150, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22464', 0, 'Barbaruens', 222150, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22465', 1, 'Chia', 220955, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22465', 2, 'El Run', 220955, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22466', 1, 'Arasan', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22466', 2, 'Castejon de Sos', 220844, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22466', 3, 'Liri', 220844, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22466', 4, 'Urmella', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22467', 1, 'Eresue', 222006, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22467', 2, 'Ramastue', 220844, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22467', 3, 'Sesue', 222219, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22467', 4, 'Sos', 222219, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22467', 5, 'Villanova', 222492, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22468', 1, 'Santuario Guayente', 222006, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22468', 2, 'Sahun', 222006, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22469', 1, 'Anciles', 220540, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22469', 2, 'Eriste', 222006, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22470', 1, 'Bisaurri', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22470', 2, 'Buyelgas', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22470', 3, 'Dos', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22470', 4, 'Gabas', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22470', 5, 'La Muria', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22470', 6, 'Renanue', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22470', 7, 'San Feliu', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22470', 8, 'San Martin (Bisaurri)', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22470', 9, 'Veri', 220627, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22471', 1, 'Laspaules', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22471', 2, 'Villarue', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22472', 1, 'Abella', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22472', 2, 'Espes', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22472', 3, 'Espes Alto', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22473', 1, 'Alins', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22473', 2, 'Neril', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22473', 3, 'Seiu', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22473', 4, 'Suils', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22473', 5, 'Vilaplana', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 1, 'Ardanue', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 2, 'Ardanuy', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 3, 'Benifons', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 4, 'Castanesa', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 5, 'Denuy', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 6, 'Ervera', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 7, 'Escane', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 8, 'Fonchanina', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 9, 'Llagunas Las', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 10, 'Noales', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22474', 11, 'Ribera (Montanuy)', 221437, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22480', 1, 'Capella', 220801, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22480', 2, 'El Soler', 220801, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22480', 3, 'Torrelabad', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22481', 1, 'La Collada', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22481', 2, 'Guel', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22481', 3, 'La Mazana', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22481', 4, 'El Pueyo (Guel)', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22481', 5, 'La Ribera (Guel)', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22482', 1, 'Esdolomada', 221297, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22482', 2, 'Huerta de Roda', 221297, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22482', 3, 'Isabena', 221297, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22482', 4, 'Merli', 221297, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22482', 5, 'La Puebla de Roda', 221297, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22482', 6, 'Roda de Isabena', 221297, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22482', 7, 'San Esteban del Mall', 221297, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22483', 1, 'Barrio del Pou', 222441, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22483', 2, 'Reperos', 222441, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22483', 3, 'Riguala', 222441, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22483', 4, 'Serraduy', 221297, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22483', 5, 'Torre la Ribera', 222338, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22483', 6, 'La Vileta', 222441, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22483', 7, 'Villacarli', 222338, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22484', 1, 'Ballabriga', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22484', 2, 'Beranuy', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22484', 3, 'Biascas de Obarra', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22484', 4, 'Pardinella', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22484', 5, 'Raluy', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22484', 6, 'Veracruz', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22484', 7, 'Visalibons', 222338, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22485', 1, 'Calvera', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22485', 2, 'Castrocit', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22485', 3, 'Herrerias de Calvera', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22485', 4, 'Morens', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22485', 5, 'Obarra', 222467, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22486', 1, 'Bibiles', 220670, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22486', 2, 'Bonansa', 220670, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22486', 3, 'Buira', 220670, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22486', 4, 'Castarnes', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22486', 5, 'Cires', 220670, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22486', 6, 'Gabarret', 220670, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22486', 7, 'Torre de Buira', 220670, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22487', 1, 'Aneto', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22487', 2, 'Bono', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22487', 3, 'Estet', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22487', 4, 'Forcat', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22487', 5, 'Ginaste', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22487', 6, 'Montanuy', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22487', 7, 'Vial', 221571, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22500', 0, 'Binefar', 220612, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22510', 0, 'Binaced', 220605, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22511', 0, 'Valcarca', 220605, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22512', 0, 'San Esteban de Litera', 222052, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22513', 1, 'Peralta de Calasanz', 221758, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22513', 2, 'Peralta de la Sal', 221758, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22514', 1, 'Calasanz', 221758, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22514', 2, 'Gabasa', 221758, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22520', 1, 'Fraga', 221127, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22520', 2, 'Litera (Fraga)', 221127, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22528', 0, 'Velilla de Cinca', 222454, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22529', 0, 'Miralsot', 221127, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22530', 0, 'Zaidin', 222548, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22531', 0, 'Almudafar', 221679, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22532', 0, 'Osso de Cinca', 221679, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22533', 1, 'Belver de Cinca', 220529, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22533', 2, 'Valonga', 220529, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22534', 0, 'Albalate de Cinca', 220073, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22535', 0, 'Esplus', 220993, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22536', 1, 'Monte Julia', 220529, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22536', 2, 'Pea Roa', 220529, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22540', 0, 'Altorricon', 220250, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22549', 1, 'La Melusa', 220529, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22549', 2, 'San Miguel', 220529, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22549', 3, 'Vencillon', 229093, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22550', 0, 'Tamarite de Litera', 222258, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22558', 0, 'Albelda', 220092, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22559', 0, 'Algayon', 222258, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22560', 0, 'Alcampell', 220165, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22569', 1, 'Baells', 220438, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22569', 2, 'Cuatrocorz', 221758, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22569', 3, 'Nacha', 220438, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22569', 4, 'Zurita', 220438, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22570', 1, 'Camporrells', 220759, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22570', 2, 'Santa Ana', 220895, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22571', 0, 'Baldellou', 220456, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22572', 1, 'Castillonroy', 220895, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22572', 2, 'Saganta', 221053, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22580', 0, 'Benabarre', 220535, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 1, 'Aren', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 2, 'Aulet', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 3, 'Berganuy', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 4, 'Betesa', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 5, 'Campamento de Aren', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 6, 'Casa Consistorial', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 7, 'Cornudella de Baliera', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 8, 'Los Molinos (Aren)', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 9, 'Obis', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 10, 'Pallerol', 222230, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 11, 'Puimolar', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 12, 'Rivera de Vall', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 13, 'San Martin (Aren)', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 14, 'Santa Eulalia (Aren)', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 15, 'Santorens', 222230, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 16, 'El Sas', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 17, 'Sobrecastell', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 18, 'Sopeira', 222230, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 19, 'Soperun', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 20, 'Suerri', 220358, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 21, 'El Castellet', 220358, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 22, 'Espluga de Serra', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 23, 'Espluga Freda', 220358, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 24, 'Els Masos de Tamurcia', 220358, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 25, 'El Pont D''Orrit', 220358, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 26, 'Sapeira', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22583', 28, 'La Torre de Tamurcia', 220358, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22584', 1, 'Chiriveta', 222473, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22584', 2, 'Montaana', 221881, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22584', 3, 'Puente de Montaana', 221881, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22584', 4, 'Torre de Baro', 222473, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22584', 5, 'Escarla', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22584', 6, 'Espills', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22584', 7, 'Tercui', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22584', 8, 'Torogo', 222473, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22585', 1, 'Almunia de San Lorenzo', 222296, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22585', 2, 'Litera', 221127, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22585', 3, 'Luzas', 222296, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22585', 4, 'Sagarras Altas', 222296, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22585', 5, 'Sagarras Bajas', 222296, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22585', 6, 'San Lorenzo (Castigaleu)', 222296, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22585', 7, 'Tolva', 222296, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22585', 8, 'Viacamp', 222473, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22586', 0, 'Lascuarre', 221421, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22587', 1, 'Badias de Monesma', 221552, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22587', 2, 'Cajigar', 221552, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22587', 3, 'Castigaleu', 220876, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22587', 4, 'Laguarres', 220801, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22587', 5, 'Monesma (Cajigar)', 221552, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22587', 6, 'Pociello', 220801, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22588', 1, 'Aguinaliu', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22588', 2, 'Aler', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22588', 3, 'Juseu', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22588', 4, 'La Puebla de Mon', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22588', 5, 'Pueyo de Marguillen', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22588', 6, 'Torres del Obispo', 221170, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 1, 'Antenza', 220535, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 2, 'Caladrones', 220535, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 3, 'Caserras del Castillo', 221053, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 4, 'Castillo del Pla', 220535, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 5, 'Ciscar', 220535, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 6, 'Estaa', 220535, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 7, 'Estopian', 221053, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 8, 'La Irena', 220535, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 9, 'Mas Blanc', 220535, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 10, 'Pilzan', 220535, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22589', 11, 'Purroy de la Solana', 220535, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22590', 0, 'Torrente de Cinca', 222343, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22591', 0, 'Candasnos', 220778, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22592', 0, 'Pealba', 221724, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22600', 0, 'Sabianigo', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22609', 1, 'Aurin', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22609', 2, 'Puente de Sabianigo', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22609', 3, 'Sabianigo', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22610', 1, 'Allue', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22610', 2, 'Yebra de Basa', 222527, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22611', 1, 'Espin', 222527, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22611', 2, 'Fanlillo', 222527, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22611', 3, 'Orus', 222527, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22611', 4, 'Osan', 222527, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22611', 5, 'San Julian de Basa', 222527, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22611', 6, 'Sobas', 222527, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22612', 1, 'Acumuer', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22612', 2, 'Borres', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22612', 3, 'Cartirana', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22612', 4, 'Larres', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22613', 1, 'Isun de Basa', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22613', 2, 'Javierre del Obispo', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22613', 3, 'Latas', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22613', 4, 'Sardas', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22613', 5, 'Satue', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22620', 1, 'Abena', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22620', 2, 'Ara', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22620', 3, 'Arto', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22620', 4, 'Binue', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22620', 5, 'Ibort', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22620', 6, 'Latras', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22620', 7, 'Orna de Gallego', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22621', 1, 'Abenilla', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22621', 2, 'Barangua', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22621', 3, 'Castillo de Leres', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22621', 4, 'Hostal de Ipies', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22621', 5, 'Ipies', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22621', 6, 'Jabarrella', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22621', 7, 'Lanave', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22621', 8, 'Lasieso', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22621', 9, 'Layes', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22621', 10, 'Leres', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22622', 1, 'Arrabo', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22622', 2, 'Bara', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22622', 3, 'Castillo de Guarga', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22622', 4, 'Gesera', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22622', 5, 'Nocito', 221632, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22622', 6, 'Ordoves', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22622', 7, 'Yespola', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22623', 1, 'Aineto', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22623', 2, 'Ceresola', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22623', 3, 'Gillue', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22623', 4, 'Laguarta', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22623', 5, 'Molino de Villobas', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22624', 1, 'Caldearenas', 220725, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22624', 2, 'Javierrelatre', 220725, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22624', 3, 'Latre', 220725, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22625', 1, 'Aquilue', 220725, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22625', 2, 'Estallo', 220725, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22625', 3, 'San Vicente (Caldearena)', 220725, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22625', 4, 'Serue', 220725, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22630', 0, 'Biescas', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22636', 1, 'Arguisal', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22636', 2, 'Escuer', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22636', 3, 'Olivan', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22636', 4, 'Oros Bajo', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22637', 1, 'Barbenuta', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22637', 2, 'Espierre', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22637', 3, 'Oros Alto', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22638', 1, 'Aso de Sobremonte', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22638', 2, 'Betes', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22638', 3, 'Yosa de Sobremonte', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22639', 1, 'Gavin', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22639', 2, 'Yesero', 222533, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22640', 1, 'El Formigal', 222049, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22640', 2, 'Sallent de Gallego', 222049, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22650', 0, 'Balneario Panticosa', 221702, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22660', 0, 'Escarrilla', 222049, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22661', 0, 'Panticosa', 221702, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22662', 1, 'Hoz de Jaca', 221225, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22662', 2, 'El Pueyo de Jaca', 221225, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22663', 0, 'Tramacastilla', 222049, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22664', 0, 'Sandinies', 222049, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22665', 1, 'Bubal', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22665', 2, 'Piedrafita de Jaca', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22665', 3, 'Saques', 220591, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22666', 1, 'Larrede', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22666', 2, 'Senegue', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22666', 3, 'Sorripas', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22700', 1, 'Atares', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22700', 2, 'Jaca', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22709', 0, 'Jaca (Escuela Militar Montaa)', 999999, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22710', 1, 'Bescos de Garcipollera', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22710', 2, 'Castiello de Jaca', 220860, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22710', 3, 'Villanovilla', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22711', 1, 'Bernues', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22711', 2, 'Botaya', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22711', 3, 'San Juan de la Pea', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22712', 1, 'Baros', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22712', 2, 'Noves', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22712', 3, 'Ulle', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22713', 1, 'Abay', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22713', 2, 'Araguas del Solano', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22713', 3, 'Asieso', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22713', 4, 'Banaguas', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22713', 5, 'Canias', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22713', 6, 'Fraginal Alto', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22713', 7, 'Fraginal Bajo', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22713', 8, 'Guasillo', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22713', 9, 'Lastiesas Altas', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22713', 10, 'Lastiesas Bajas', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 1, 'Baraguas', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 2, 'Bescansa', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 3, 'Espuendolas', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 4, 'Gracionepel', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 5, 'Guasa', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 6, 'Ipas', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 7, 'Jarlata', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 8, 'Leres de Jaca', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 9, 'Martillue', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 10, 'Navasa', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 11, 'Navasilla', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 12, 'Orante', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 13, 'Pardinilla', 221992, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22714', 14, 'Sasal', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22715', 0, 'Ascara', 221301, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22720', 1, 'Hecho', 229016, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22720', 2, 'Santa Lucia', 229016, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22728', 0, 'Anso', 220285, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22729', 0, 'Fago', 221066, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22730', 0, 'Aragues del Puerto', 220324, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22731', 0, 'Jasa', 221318, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22732', 0, 'Urdues', 229016, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22740', 0, 'Embun', 229016, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22750', 0, 'Javierregay', 229021, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22751', 1, 'Arres', 220443, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22751', 2, 'Santa Engracia', 220443, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22752', 0, 'Somanes', 222087, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22753', 1, 'Casas de Javierre', 229021, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22753', 2, 'Puente la Reina', 229021, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22760', 1, 'Alastruey', 220443, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22760', 2, 'Arbues', 220443, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22760', 3, 'Bailo', 220443, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('22761', 0, 'Larues', 220443, 22, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25280', 2, 'El Pi de Sant Just', 252075, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25280', 3, 'Sant Just', 252075, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25280', 4, 'Solsona', 252075, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25281', 1, 'Hostal del Boix', 251291, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25281', 2, 'L''Hostal Nou', 251291, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25281', 3, 'Llobera', 251291, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25281', 4, 'Peracamps', 251291, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25281', 5, 'Torredenego', 251291, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25282', 1, 'Sant Lloren de Morunys', 251930, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25282', 2, 'Vilamantells', 251116, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25283', 1, 'Cambrils i Llinars', 251484, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25283', 2, 'Canalda', 251484, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25283', 3, 'Lladurs', 251240, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25283', 4, 'Oden', 251484, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25283', 5, 'Els Torrents', 251484, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25284', 1, 'La Coma', 251636, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25284', 2, 'La Pedra', 251636, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25285', 1, 'La Corriu', 251116, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25285', 2, 'Guixers', 251116, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 1, 'Besora', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 2, 'Busa', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 3, 'Les Cases de Posada', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 4, 'Guilanya', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 5, 'Linya', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 6, 'Madrona', 251667, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 7, 'Mirave', 251667, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 8, 'Naves', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 9, 'Olius', 251517, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 10, 'Pegueroles', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 11, 'Pinell de Solsones', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 12, 'Sant Climen', 251667, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 13, 'La Selva', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 14, 'Tentellatge', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25286', 15, 'La Valldora', 251462, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25287', 1, 'Ardevol de Pinos', 251517, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25287', 2, 'Brics', 251517, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25287', 3, 'Matamargo', 251673, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25287', 4, 'El Miracle', 251517, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25287', 5, 'Pinos', 251673, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25287', 6, 'Sant Just D''Ardevol', 251673, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25287', 7, 'Santuari de Pinos', 251517, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25287', 8, 'Su', 251863, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25287', 9, 'Vallmanya de Pinos', 251517, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25288', 1, 'La Llena', 251240, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25288', 2, 'Montpolt', 251240, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25288', 3, 'Timoneda', 251240, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25289', 1, 'Aguilar de Bassella', 250447, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25289', 2, 'Altes', 250447, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25289', 3, 'Bassella', 250447, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25289', 4, 'Castellar de la Ribera', 250642, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25289', 5, 'Ceuro', 250642, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25289', 6, 'Clara', 250642, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25289', 7, 'Ogern', 250447, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25290', 1, 'Clariana de Cardener', 250753, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25290', 2, 'Freixinet de Riner', 250753, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25290', 3, 'Hortoneda de Clariana', 250753, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25290', 4, 'Joval', 250753, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25290', 5, 'Riner', 251863, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25290', 6, 'Sant Pon', 250753, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25290', 7, 'Santa Susanna', 251863, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25300', 0, 'Tarrega', 252173, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25310', 0, 'Agramunt', 250030, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25316', 1, 'Pradell', 251771, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25316', 2, 'Preixens', 251771, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25316', 3, 'Les Ventoses', 251771, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25317', 1, 'La Donzell D''Urgell', 250030, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25317', 2, 'Mafet', 250030, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25317', 3, 'Montclar D''Urgell', 250030, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25317', 4, 'Rocaberti de Sant Salvador', 250030, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25318', 1, 'Bellver D''Osso', 251575, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25318', 2, 'Castellnou D''Osso', 251575, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25318', 3, 'Cosco', 251500, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25318', 4, 'Montfalco D''Osso', 251575, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25318', 5, 'Osso de Sio', 251575, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25318', 6, 'Les Puelles', 251575, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25318', 7, 'Puigverd D''Agramunt', 251811, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25318', 8, 'Renant', 251500, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25320', 0, 'Anglesola', 250273, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25330', 0, 'Vilagrassa', 252445, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25331', 1, 'Almenara Alta', 250030, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25331', 2, 'La Guardia de Tornabous', 250030, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25331', 3, 'El Tarros', 250030, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25331', 4, 'Tornabous', 252252, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25332', 1, 'Boldu', 250962, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25332', 2, 'La Fuliola', 250962, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25332', 3, 'Taraso', 250962, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25333', 0, 'El Castell del Remei', 251641, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25334', 0, 'Castellsera', 250707, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25335', 1, 'Falcons', 251641, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25335', 2, 'Penelles', 251641, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25336', 0, 'Bellmunt D''Urgell', 250498, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25337', 1, 'Bellcaire D''Urgell', 250479, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25337', 2, 'Pedris', 250479, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25340', 1, 'El Mas de Bondia', 251431, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25340', 2, 'Montornes de Segarra', 251431, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25340', 3, 'Verdu', 252424, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25341', 1, 'Ciutadilla', 250740, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25341', 2, 'Guimera', 251095, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25341', 3, 'Nalec', 251459, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25343', 0, 'El Vilet', 259025, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25344', 1, 'Rocafort de Vallbona', 259025, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25344', 2, 'Sant Marti de Malda', 259025, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25344', 3, 'Sant Marti de Riucorb', 259025, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25350', 0, 'Altet', 252173, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25351', 0, 'La Figuerosa', 252173, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25352', 0, 'Riudovelles', 252173, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25353', 0, 'Claravalls', 252173, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25354', 0, 'Santa Maria de Montmagastrell', 252173, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25355', 0, 'Conill', 999999, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25360', 0, 'El Talladell', 252173, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25400', 0, 'Les Borges Blanques', 250582, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25410', 0, 'L''Espluga Calba', 250812, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25411', 0, 'Fulleda', 250978, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25412', 0, 'Els Omellons', 251538, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25413', 0, 'La Floresta', 250925, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25420', 0, 'Puiggros', 251804, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25430', 1, 'Juneda', 251193, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25430', 2, 'Margalef', 251193, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25440', 0, 'Vinaixa', 252555, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25450', 0, 'L''Albi', 250096, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25457', 0, 'El Vilosell', 999999, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25460', 0, 'Cervia de les Garrigues', 250735, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25471', 0, 'La Pobla de Cervoles', 251692, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25480', 0, 'Tarres', 252189, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25500', 1, 'Pallars Jussa', 251713, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25500', 2, 'La Pobla de Segur', 251713, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25510', 1, 'Beranui', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25510', 2, 'Gramenet de Mont-Ros', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25510', 3, 'La Plana de Mont-Ros', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25511', 1, 'Astell', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25511', 2, 'Aguiro', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25511', 3, 'Oveix', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25512', 1, 'Molinos', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25512', 2, 'Mont-Ros', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25512', 3, 'Les Pauls', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25512', 4, 'Pobella', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25513', 1, 'Antist', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25513', 2, 'Bretui', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25513', 3, 'Cabestany de Montcortes', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25513', 4, 'Envall', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25513', 5, 'Estavill', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25513', 6, 'Mentui', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25513', 7, 'Montcortes de Pallars', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25513', 8, 'Montsor', 251713, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25513', 9, 'Peracal', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25589', 0, 'Son', 250241, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25513', 10, 'La Pobleta de Bellvei', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25514', 1, 'Bastideta de Corruncuy', 252022, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25514', 2, 'El Burguet', 252022, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25514', 3, 'Cadolla', 252022, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25514', 4, 'Cervoles', 252022, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25514', 5, 'Llua', 252022, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25514', 6, 'Naens', 252022, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25514', 7, 'Pinyana', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25514', 8, 'Puigcerver', 252022, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25514', 9, 'Reguard', 252022, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25514', 10, 'Senterada', 252022, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25515', 1, 'Aiguabella', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25515', 2, 'Cabdella', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25515', 3, 'Castell-Estao', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25515', 4, 'Central de Cabdella', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25515', 5, 'Espui', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25515', 6, 'La Torre de Cabdella', 252271, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25516', 1, 'Erinya', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25516', 2, 'Sant Joan de Vinyafrescal', 251713, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25516', 3, 'Serradell', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25516', 4, 'Toralla', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25516', 5, 'Torallola', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25517', 1, 'Claverol', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25517', 2, 'Hortoneda de la Conca', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25517', 3, 'El Pont de Claverol', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25517', 4, 'Sossis', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25518', 1, 'Aramunt', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25518', 2, 'Herba-Savina', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25518', 3, 'Pessonada', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25518', 4, 'Sant Marti de Canals', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25518', 5, 'Vilanoveta', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25520', 0, 'El Pont de Suert', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25526', 1, 'Cabanasses', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25526', 2, 'Campament de Tor', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25526', 3, 'Cardet', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25526', 4, 'Castillo de Tor', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25526', 5, 'Coll', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25526', 6, 'Llesp', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25526', 7, 'Sarais', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25527', 1, 'Barruera', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25527', 2, 'Durro', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25528', 1, 'Boi', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25528', 2, 'Caldes de Boi', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25528', 3, 'Erill la Vall', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25528', 4, 'Taull', 250432, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25529', 1, 'Castellars de Malpas', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25529', 2, 'Erill Castell', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25529', 3, 'Gotarta', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25529', 4, 'Iguerri', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25529', 5, 'Iran', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25529', 6, 'Irgo', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25529', 7, 'Malpas', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25529', 8, 'Peranera', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25529', 9, 'Ventola', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25530', 0, 'Vielha/Viella', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25537', 1, 'Arros', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25537', 2, 'Aubert', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25537', 3, 'Betlan', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25537', 4, 'Mont', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25537', 5, 'Montcorbau', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25537', 6, 'El Pont D''Arros', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25537', 7, 'Vila', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25537', 8, 'Vilac', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25538', 1, 'Casau', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25538', 2, 'Gausac', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25538', 3, 'Parador de Vielha', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25539', 1, 'Betren', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25539', 2, 'Casarilh', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25539', 3, 'Escunhau', 252430, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25539', 4, 'Garos', 250254, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25540', 1, 'Les', 251214, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25540', 2, 'Pont de Rei', 251214, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25548', 1, 'Bordius', 250637, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25548', 2, 'Campespin', 250637, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25548', 3, 'Canejan', 250637, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25548', 4, 'Era Cassenhau', 250637, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25548', 5, 'Porcingles', 250637, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25548', 6, 'Eth Pradet', 250637, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25548', 7, 'Sant Joan de Toran', 250637, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25549', 1, 'Bausen', 250450, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25549', 2, 'Pontaut', 250450, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25550', 0, 'Bossost', 250595, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25551', 1, 'Arres de Jos', 250313, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25551', 2, 'Arres de Sus', 250313, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25551', 3, 'Arro', 250576, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25551', 4, 'Begos', 250576, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25551', 5, 'Benos', 250576, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25551', 6, 'Es Bordes', 250313, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25551', 7, 'La Bordeta', 250313, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25551', 8, 'Vilamos', 252477, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25552', 1, 'Artiga de Lin', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25552', 2, 'Casos', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25552', 3, 'Cierco', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25552', 4, 'Vilaller', 252458, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25553', 0, 'Senet de Barraves', 252458, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25554', 1, 'Les Bordes de Vilaller', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25554', 2, 'Sarroqueta', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25554', 3, 'Viuet', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 1, 'Avellanos', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 2, 'La Bastida de Bellera', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 3, 'Batliu de Sas o Sas', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 4, 'Benes', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 5, 'Buira', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 6, 'Castellnou D''Avellanos', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 7, 'Castellvell de Bellera', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 8, 'Erdo', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 9, 'Erta', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 10, 'Les Iglesies', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 11, 'Laren', 252022, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 12, 'Manyanet', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 13, 'El Mesull', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 14, 'La Mola D''Amunt', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 15, 'Santa Coloma D''Erdo', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 16, 'Sarroca de Bellera', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 17, 'Sentis', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 18, 'Vilancos', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 19, 'Vilella', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25555', 20, 'Xerallo', 252017, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25556', 1, 'Abella D''Adons', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25556', 2, 'Adons', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25556', 3, 'Beguda D''Adons', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25556', 4, 'Corroncui', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25556', 5, 'Perves', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25556', 6, 'Viu de Llevata', 251734, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25560', 1, 'Pallars Sobira', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25560', 2, 'Puimanyons', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25560', 3, 'Sort', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25566', 1, 'Embonui', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25566', 2, 'Freixe', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25566', 3, 'Les Llagunes', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25566', 4, 'Pernui', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25566', 5, 'Rubio del Canto', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25566', 6, 'Soriguera', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25566', 7, 'Vilamur', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25567', 1, 'Altron', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25567', 2, 'La Bastida de Sort', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25567', 3, 'Bernui', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25567', 4, 'Llessui', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25567', 5, 'Sauri', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25567', 6, 'Sorre', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25568', 1, 'Bressui', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25568', 2, 'Castellviny', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25568', 3, 'Enviny', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25568', 4, 'Llarven', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25568', 5, 'Montardit de Dalt', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25568', 6, 'Olp', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25568', 7, 'Pujalt', 252094, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25569', 1, 'Malmercat', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25569', 2, 'Puiforniu', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25569', 4, 'Tornafort', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25569', 3, 'Ribera de Montardit', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25570', 1, 'Ribera de Cardos', 259010, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25570', 2, 'Vall de Cardos', 259010, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25571', 1, 'Ainet de Cardos', 259010, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25571', 2, 'Arros de Cardos', 259010, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25571', 3, 'Boldis Jussa', 251235, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25571', 4, 'Boldis Sobira', 251235, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25571', 5, 'Cassibros', 259010, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25571', 6, 'Esterri de Cardos', 250870, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25571', 7, 'Ginestarre', 250870, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25572', 1, 'Anas', 259010, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25572', 2, 'Bonestarre', 259010, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25572', 3, 'Estaon', 259010, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25572', 4, 'Surri', 259010, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25573', 1, 'Ainet de Besan', 250175, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25573', 2, 'Araos', 250175, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25574', 1, 'Alins', 250175, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25574', 2, 'Noris', 250175, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25574', 3, 'Tor', 250175, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25575', 0, 'Areu', 250175, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25576', 1, 'Lladorre', 251235, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25576', 2, 'Lladros', 259010, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25576', 3, 'Lleret', 251235, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25577', 1, 'Aineto', 251235, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25577', 2, 'Tavascan', 251235, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25580', 0, 'Esterri D''Aneu', 250864, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25586', 1, 'Alos D''Isil', 250241, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25586', 2, 'Arreu', 250241, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25586', 3, 'Boren', 250241, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25586', 4, 'Isavarre', 250241, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25586', 5, 'Isil', 250241, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25587', 1, 'Alt Aneu', 250241, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25587', 2, 'Sorpe', 250241, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25587', 3, 'Valencia D''Aneu', 250241, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25588', 1, 'Burgo', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25588', 2, 'Cerbi', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25588', 3, 'Escalarre', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25588', 4, 'Gavas', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25588', 5, 'Unarre', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25590', 1, 'Baix Pallars', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25590', 2, 'Gerri de la Sal', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25591', 1, 'Ancs', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25591', 2, 'Balestui', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25591', 3, 'El Comte', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25591', 4, 'Cortscastell', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25591', 5, 'Peramea', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25591', 6, 'Pujol de Peramea', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25591', 7, 'Sellui', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25592', 1, 'Baen', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25592', 2, 'Bresca', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25592', 3, 'Buseu', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25592', 4, 'Enseu', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25592', 5, 'Sant Sebastia', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25592', 6, 'Solduga', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25592', 7, 'Useu', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25593', 1, 'Arcalis', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25593', 2, 'Baro', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25593', 3, 'Escos', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25593', 4, 'Estac', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25593', 5, 'Mencui', 252081, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 1, 'Berani', 251832, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 2, 'Caregue', 251832, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 3, 'Escas', 251832, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 4, 'Montenartro', 251266, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 5, 'Rialp', 251832, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 6, 'Rodes', 251832, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 7, 'Romadriu', 251266, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 8, 'Roni', 251832, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 9, 'Sant Joan de L''Erm', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 10, 'Sant Roma de Tavernoles', 251266, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25594', 11, 'Surp', 251832, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 1, 'Aidi', 251266, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 2, 'Alendo de Farrera', 251266, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 3, 'Arestui', 251266, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 4, 'Baiasca', 251266, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 5, 'Burg', 250899, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 6, 'Estaron', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 7, 'Farrera', 250899, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 8, 'Llavorsi', 251266, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 9, 'Mallolis', 250899, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 10, 'Montesclado', 250899, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25595', 11, 'Tirvia', 252213, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25596', 1, 'Escalo', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25596', 2, 'Escart', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25597', 1, 'Berros Jussa', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25597', 2, 'Berros Sobira', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25597', 3, 'Dorve', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25597', 4, 'Espot', 250827, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25597', 5, 'Estais', 250827, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25597', 6, 'La Guingueta D''Aneu', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25597', 7, 'Jou', 259031, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25598', 1, 'Alt Aran', 250254, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25598', 2, 'Bagergue', 250254, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25598', 3, 'Gessa', 250254, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25598', 4, 'Montgarri', 250254, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25598', 5, 'Salardu', 250254, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25598', 6, 'Tredos', 250254, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25598', 7, 'Unha', 250254, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25598', 8, 'Vaqueira-Beret (Vaqueira-Beret', 250254, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25599', 0, 'Arties', 250254, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25600', 0, 'Balaguer', 250404, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25610', 0, 'Os de Balaguer', 251569, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25611', 1, 'Alberola', 251569, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25611', 2, 'Fontdepou', 250024, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25611', 3, 'Els Masos de Milla', 251569, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25611', 4, 'Sant Josep de Fontdepou', 250024, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25611', 5, 'Tartareu', 250371, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25611', 6, 'Vilamajor D''Ager', 251569, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25612', 1, 'Les Avellanes', 251569, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25612', 2, 'El Monestir D''Avellanes', 251569, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25612', 3, 'Santa Linya', 250371, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25612', 4, 'Vilanova de la Sal', 250371, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25613', 1, 'Camarasa', 250621, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25613', 2, 'Sant Lloren de Montgai', 250621, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25614', 0, 'Gerb', 251569, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25615', 1, 'Figuerola de Meia', 250621, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25615', 2, 'Fontllonga', 250621, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25615', 3, 'La Maana', 250621, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25615', 4, 'Rubies', 250621, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25616', 0, 'Montgai', 251386, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25617', 1, 'Butsenit D''Urgell', 252402, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25617', 2, 'L''Hostal-Nou i la Codosa', 252402, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25617', 3, 'La Rapita', 252402, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25617', 4, 'Sant Jordi de Muller', 250352, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25617', 5, 'La Sentiu de Sio', 252402, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25620', 0, 'Tremp', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25630', 0, 'Talarn', 252154, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25631', 0, 'Cellers', 259046, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 1, 'Alsamora', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 2, 'L''Alzina de la Sarga', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 3, 'Beniure', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 4, 'Castell de Mur', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 5, 'Castellnou de Montsec', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 6, 'La Clua de la Sarga', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 7, 'Collmorter', 259046, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 8, 'Estorm', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 9, 'Guardia de Tremp', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 10, 'Moror', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 11, 'Mur', 259046, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 12, 'Sant Esteve de la Sarga', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 13, 'Santa Llucia de Mur', 259046, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25632', 14, 'La Torre D''Amargos', 251961, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25633', 1, 'Palau de Noguera', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25633', 2, 'Puigcercos', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25633', 3, 'Puigmaana', 259046, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25634', 1, 'Claramunt', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25634', 2, 'Figols de Tremp', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25634', 3, 'El Meull', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25634', 4, 'Puigverd de Tremp', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25634', 5, 'Vilamolat de Mur', 259046, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25635', 1, 'Castissent', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25635', 2, 'Claret de Tremp', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25635', 3, 'Eroles', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25636', 1, 'Gurp de la Conca', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25636', 2, 'Santa Engracia', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25637', 1, 'Can Casol', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25637', 2, 'Sant Adria', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25637', 3, 'Tendrui', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25638', 1, 'Aransis', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25638', 2, 'Mata-Solana', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25638', 3, 'Nereia', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25638', 4, 'Els Obacs de Llimiana', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25638', 5, 'Perolet', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25638', 6, 'Sant Salvador de Tolo', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25638', 7, 'Tolo', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25639', 1, 'Fontsagrada', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25639', 2, 'Gavet de la Conca', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25639', 3, 'Llimiana', 251288, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25639', 4, 'Mas de Solduga', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25639', 5, 'Sant Cristofol de la Vall', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25639', 6, 'Sant Marti de Barcedana', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25639', 7, 'Sant Miquel de la Vall', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25640', 0, 'Academia General Basica de Sub', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25650', 1, 'Isona', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25650', 2, 'Isona i Conca Della', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25651', 1, 'Abella de la Conca', 250019, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25651', 2, 'Carreu', 250019, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25651', 3, 'La Rua', 250019, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25651', 4, 'Siall', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25652', 0, 'Boixols', 250019, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25653', 1, 'Covet', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25653', 2, 'Els Masos de Sant Marti', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25654', 1, 'Suterranya', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25654', 2, 'Vilamitjana', 252347, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25655', 1, 'Basturs', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25655', 2, 'Figuerola D''Orcau', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25655', 3, 'Galliner', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25655', 4, 'Montesquiu', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25655', 5, 'Orcau', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25656', 1, 'Conques', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25656', 2, 'Sant Roma D''Abella', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25657', 1, 'Biscarri', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25657', 2, 'Llorda', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25658', 1, 'Benavent de Tremp', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25658', 2, 'Gramenet de Tremp', 251155, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25660', 0, 'Alcoletge', 250122, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25670', 0, 'Termens', 252206, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25680', 0, 'Vallfogona de Balaguer', 252402, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25689', 0, 'Sant Serni', 250984, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25690', 0, 'Vilanova de la Barca', 252542, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25691', 0, 'Ager', 250024, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25692', 1, 'Agullo', 250024, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25692', 2, 'L''Ametlla de Montsec', 250024, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25692', 3, 'La Baronia de Sant Oisme', 250024, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25692', 4, 'Cora', 250024, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25692', 5, 'Milla', 250024, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25692', 6, 'La Regola', 250024, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25692', 7, 'Sant Just de Fontllonga', 250024, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25693', 1, 'Rivert', 251615, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25693', 2, 'Salas de Pallars', 251902, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25693', 3, 'Sensui', 251902, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25700', 1, 'Santa Magdalena', 252038, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25700', 2, 'Segales', 252038, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25700', 3, 'La Seu D''Urgell', 252038, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25700', 4, 'Les Torres', 252038, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25710', 0, 'Castellciutat', 252038, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25711', 0, 'Montferrer', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 1, 'Albet', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 2, 'Aravell', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 3, 'Bellestar', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 4, 'Campmajor', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 5, 'Carmeniu', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 6, 'Castellbo', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 7, 'Les Eres', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 8, 'Sallent i Masos', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 9, 'Sant Andreu de Castellbo', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 10, 'Santa Creu de Castellbo', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 11, 'Seix', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 12, 'Sendes', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 13, 'Solanell', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 14, 'Turbias', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25712', 15, 'Vilamitjana del Canto', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25713', 1, 'Arfa', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25713', 2, 'La Coma D''Arfa', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25713', 3, 'La Freita', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25713', 4, 'Nabiners', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25714', 1, 'Avellanet', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25714', 2, 'Biscarbo', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25714', 3, 'Canturri', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25714', 4, 'Cassovall', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25714', 5, 'Guils del Canto', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25714', 6, 'Pallerols del Canto', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25714', 7, 'La Parroquia D''Horto', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25714', 8, 'Solans', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25715', 0, 'La Bastida D''Hortons', 250058, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 1, 'Adraen', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 2, 'Banyeres', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 3, 'Barceloneta', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 4, 'Colldarnat', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 5, 'Cornellana', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 6, 'Fornols', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 7, 'El Ges', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 8, 'Montargull de la Vansa', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 9, 'Ossera', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 10, 'Padrinas', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 11, 'Sant Pere de la Vansa', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 12, 'Sisquer', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 13, 'Sorribes de la Vansa', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 14, 'Tuixent', 259101, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 15, 'La Vansa i Fornols', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25717', 16, 'Vielha E Mijaran', 259097, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25718', 1, 'Alas', 250058, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25718', 2, 'Cerc', 250058, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25718', 3, 'Lleto', 250058, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25718', 4, 'Ortedo', 250058, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25718', 5, 'Sant Antoni', 252038, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25718', 6, 'Torres D''Alas', 250058, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25718', 7, 'Vilanova de Banat', 250058, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25719', 1, 'Bescaran', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25719', 2, 'Estamariu', 250886, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25720', 0, 'Bellver de Cerdanya', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 1, 'Anas de Bellver', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 2, 'Baltarga', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 3, 'Beders', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 4, 'Bor', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 5, 'Capdevila', 251752, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 6, 'Coborriu de Bellver', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 7, 'Coborriu de la Llosa', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 8, 'Cortariu', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 9, 'Cortas', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 10, 'Eller', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 11, 'La Llosa', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 12, 'Mas de L''Ingla', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 13, 'Nefol', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 14, 'Olia', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 15, 'Orden', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 16, 'Pedra de Bellver', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 17, 'Pi', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 18, 'El Pla', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 19, 'Prats', 251752, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 20, 'Riu de Pendis', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 21, 'Riu de Santa Maria', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 22, 'Sansor', 251752, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 23, 'Santa Magdalena de Bellver', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 24, 'Tallo', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 25, 'Talltendre', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25721', 26, 'Vilella de Bellver', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25722', 1, 'Ansovell', 250714, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25722', 2, 'Aristot', 250306, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25722', 3, 'Arseguel', 250328, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25722', 4, 'Els Banys de Sant Vicen', 250714, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25722', 5, 'Castellnou de Carcolze', 250306, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25722', 6, 'Cava', 250714, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25723', 1, 'Bar', 250306, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25723', 2, 'El Pont de Bar', 250306, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25723', 3, 'El Querforadat', 250306, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25723', 4, 'Toloriu', 250306, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25724', 1, 'Martinet', 251399, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25724', 2, 'Sant Marti Dels Castells', 250518, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25725', 1, 'Beixec', 251399, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25725', 2, 'Estana', 251399, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25725', 3, 'Montella', 251399, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25725', 4, 'Villec', 251399, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25726', 1, 'Aranser', 251272, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25726', 2, 'Lles', 251272, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25726', 3, 'Musser', 251272, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25726', 4, 'Sanilles', 251272, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25726', 5, 'Travesseres', 251272, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25726', 6, 'Viliella', 251272, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25727', 1, 'Ardovol', 251790, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25727', 2, 'Prullans', 251790, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25730', 0, 'Artesa de Segre', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25735', 0, 'Vilanova de Meia', 252509, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25736', 1, 'Alentorn', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25736', 2, 'Argentera', 252509, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25736', 3, 'Boada', 252509, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25736', 4, 'Garzola', 252509, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25736', 5, 'Lluars', 252509, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25736', 6, 'Peralba', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25736', 7, 'Santa Maria de Meia', 252509, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 1, 'Alos de Balaguer', 250220, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 2, 'Baldomar', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 3, 'Clua de Meia', 250220, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 4, 'Cubells', 250791, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 5, 'Foradada', 250946, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 6, 'Marcovau', 250946, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 7, 'Montsonis', 250946, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 8, 'Rubio de Baix', 250946, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 9, 'Rubio de Dalt', 250946, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 10, 'Rubio del Mig', 250946, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 11, 'La Torre de Fluvia', 250220, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 12, 'La Vall D''Ariet', 250220, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25737', 13, 'Vernet', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25738', 1, 'Anya', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25738', 2, 'Comiols', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25738', 3, 'Folquer', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25738', 4, 'Montargull', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25738', 5, 'Montmagastre', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25738', 6, 'Torrec', 252509, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25738', 7, 'Vall-Llebrera', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25738', 8, 'Vall-Llebrerola', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25739', 1, 'Colldelrat', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25739', 2, 'Collfred', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25739', 3, 'Colonia la Fabrica', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25739', 4, 'El Pont D''Alentorn', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25739', 5, 'Sero', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25739', 6, 'Tudela de Segre', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25739', 7, 'Vilves', 250349, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25740', 0, 'Ponts', 251728, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25746', 1, 'Torreblanca', 251728, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25746', 2, 'El Tossal', 251728, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 1, 'La Baronia de Rialb', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 2, 'Bellfort', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 3, 'Gualter', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 4, 'Palau de Rialb', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 5, 'Pallerols de Rialb', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 6, 'Polig', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 7, 'El Puig de Rialb', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 8, 'Sant Cristofol de la Donzell', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 9, 'Sant Marti de Rialb', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 10, 'La Serra de Rialb', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 11, 'La Torre de Rialb', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25747', 12, 'Vilaplana', 250426, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25748', 1, 'L''Alzina de L''Aguda', 250609, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25748', 2, 'Cabanabona', 250609, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25748', 3, 'Guardiola de L''Aguda', 250609, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25748', 4, 'Plandogau', 251500, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25748', 5, 'Ribelles', 252496, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25748', 6, 'Vilalta', 252496, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25748', 7, 'Vilamajor de Cabanabona', 250609, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25749', 1, 'Claret D''Oliola', 251500, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25749', 2, 'La Fora', 251500, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25749', 3, 'El Gos', 251500, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25749', 4, 'Maravella', 251500, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25749', 5, 'Oliola', 251500, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25749', 6, 'Vallderies', 251500, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25749', 7, 'Vilanova de L''Aguda', 252496, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25750', 1, 'L''Aguda', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25750', 2, 'Tora', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25751', 1, 'Casetes de Tora', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25751', 2, 'Cellers de Tora', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25751', 3, 'Claret de Cellers', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25751', 4, 'Fontanet de Llanera', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25751', 5, 'Llanera', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25751', 6, 'Sant Serni de Tora', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25751', 7, 'Vallferosa', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25752', 1, 'Biosca', 250557, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25752', 2, 'Sant Pere Xoriguera', 250557, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25753', 1, 'Lloberola', 250557, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25753', 2, 'Sallent de Sanaja', 250557, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25753', 3, 'Sanauja', 251919, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25788', 0, 'Os de Civis', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 1, 'Les Anoves', 251654, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 2, 'Castell de Oliana', 251654, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 3, 'Castell-Llebre', 251654, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 4, 'Cortiuda', 251654, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 5, 'La Mora Comdal', 251654, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 6, 'Nuncarga', 251654, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 7, 'Oliana', 251497, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 8, 'Pampe', 250642, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 9, 'Peramola', 251654, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 10, 'Serinyana', 251654, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 11, 'Trago de Peramola', 251654, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25790', 12, 'La Valldan', 251654, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25791', 1, 'Miralpeix', 252228, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25791', 2, 'Tiurana', 252228, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25792', 1, 'Castellnou de Bassella', 250447, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25792', 2, 'La Clua de Bassella', 250447, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25792', 3, 'Guardiola de Bassella', 250447, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25792', 4, 'Mirambell', 250447, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25793', 1, 'Coll de Nargo', 250772, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25793', 2, 'Gavarra', 250772, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25793', 3, 'Les Masies de Nargo', 250772, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25793', 4, 'Valldarques', 250772, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 1, 'Alinya', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 2, 'L''Alzina D''Alinya', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 3, 'Ares de Cabo', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 4, 'Cabo', 250616, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 5, 'Canelles D''Organya', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 6, 'Cap de la Vall', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 7, 'Figols D''Organya', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 8, 'Forn', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 9, 'Llobera D''Alinya', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 10, 'Montanissell', 250772, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 11, 'Organya', 251556, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 12, 'Perles', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 13, 'Els Prats de Montanissell', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 14, 'El Pujal de Cabo', 250616, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 15, 'Romanins', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 16, 'Sallent de Montanissell', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 17, 'Senyus', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 18, 'Les Sorts', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 19, 'La Vall del Mig', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25794', 20, 'El Vilar de Cabo', 259084, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 1, 'Argestues', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 2, 'La Bastida de Tost', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 3, 'Bellpui', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 4, 'Beren', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 5, 'Castellar de Tost', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 6, 'Castellas del Canto', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 7, 'Els Castells de Taus', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 8, 'Espaen', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 9, 'Gramos', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 10, 'La Guardia D''Ares', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 11, 'Els Hostalets de Tost', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 12, 'Junyent', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 13, 'Malgrat de Noves', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 14, 'Miravall', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 15, 'Montan de Tost', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 16, 'Noves de Segre', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 17, 'Palanca de Noves', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 18, 'Sant Pere', 252038, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 19, 'Saulet', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 20, 'Taus', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 21, 'Tora de Tost', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 22, 'Tost', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 23, 'Trejuvell', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 24, 'Les Valls D''Aguilar', 259062, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25795', 25, 'Vila-Rubla', 251403, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25796', 1, 'El Pla de Sant Tirs', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25796', 2, 'Ribera D''Urgellet', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25797', 0, 'Adrall', 251850, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25798', 1, 'Anserall', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25798', 2, 'Calbinya', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25798', 3, 'Estalareny', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25798', 4, 'Llirt', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25798', 5, 'Les Valls de Valira', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 1, 'Arcavell', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 2, 'Arduix', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 3, 'Argolell', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 4, 'Ars', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 5, 'Asnurri', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 6, 'Cabanelles', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 7, 'Civis', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 8, 'La Farga de Moles', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 9, 'Farrera Dels Llops', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 10, 'Ministrells', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25799', 11, 'Sant Joan Fumat', 252398, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26001', 0, 'Logroo', 260892, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26002', 0, 'Logroo', 260892, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26003', 0, 'Logroo', 260892, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26004', 0, 'Logroo', 260892, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26005', 0, 'Logroo', 260892, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26006', 2, 'Logroo', 260892, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26007', 0, 'Logroo', 260892, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26070', 0, 'Logroo', 260892, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26071', 0, 'Logroo', 260892, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26080', 0, 'Logroo', 260892, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26100', 1, 'Ribabellosa', 260125, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26100', 2, 'Torrecilla en Cameros', 261510, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26110', 0, 'Nestares', 261063, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26111', 1, 'Almarza de Cameros', 260125, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26111', 2, 'Cocera', 260125, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26111', 3, 'Pinillos', 261158, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26120', 0, 'Albelda de Iregua', 260051, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26121', 1, 'Castaares de Las Cuevas', 261657, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26121', 2, 'Islallana', 261032, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26121', 3, 'Panzares', 261657, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26121', 4, 'Viguera', 261657, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26122', 1, 'Gallinero de Cameros', 260677, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26122', 2, 'Pradillo', 261183, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26123', 1, 'Aldeanueva de Cameros', 261695, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26123', 2, 'Villanueva de Cameros', 261695, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26124', 1, 'Montemediano', 261079, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26124', 2, 'Nieva de Cameros', 261079, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26124', 3, 'Ortigosa de Cameros', 261079, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26124', 4, 'Pealoscintos', 261124, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26124', 5, 'El Rasillo', 261079, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26125', 0, 'Villoslada de Cameros', 261774, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26126', 1, 'El Horcajo', 260913, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26126', 2, 'Lumbreras', 260913, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26126', 3, 'Pajares', 260913, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26126', 4, 'San Andres', 260913, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26127', 0, 'Montenegro de Cameros', 421216, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26130', 1, 'Clavijo', 260511, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26130', 2, 'Ribaflecha', 261243, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26130', 3, 'Union de los Tres Ejercitos', 260511, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 1, 'Buzarra', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 2, 'Jubera', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 3, 'Lagunilla de Jubera', 260836, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 4, 'Olivan', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 5, 'Robres del Castillo', 261269, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 6, 'San Bartolome de Jubera', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 7, 'San Martin', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 8, 'San Vicente de Robres', 261269, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 9, 'Santa Cecilia', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 10, 'Santa Engracia', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 11, 'Valtrujal', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 12, 'Ventas Blancas', 260836, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26131', 13, 'Zenzano', 260836, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26132', 1, 'Bucesta', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26132', 2, 'El Collado', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26132', 3, 'Leza de Rio Leza', 260889, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26132', 4, 'Luezas', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26132', 5, 'Montalbo en Cameros', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26132', 6, 'Santa Marina', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26132', 7, 'Soto de Cameros', 261465, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26132', 8, 'Terroba', 261471, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26132', 9, 'Treguajantes', 261354, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26132', 10, 'Trevijano', 261465, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26133', 1, 'Ajamil', 260048, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26133', 2, 'Avellaneda', 260048, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26133', 3, 'Hornillos de Cameros', 260775, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26133', 4, 'Rabanera', 261217, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26133', 5, 'San Roman de Cameros', 261320, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26133', 6, 'Santa Maria en Cameros', 260048, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26133', 7, 'Torremua', 260048, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26133', 8, 'Vadillos', 261320, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26133', 9, 'Valdeosera', 260048, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26134', 1, 'Jalon de Cameros', 260815, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26134', 2, 'Muro de Cameros', 261011, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26134', 3, 'Torre en Cameros', 261531, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26135', 1, 'Cabezon de Cameros', 260355, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26135', 2, 'Laguna de Cameros', 260820, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26140', 0, 'Lardero', 260841, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26141', 0, 'Alberite', 260064, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26142', 0, 'Villamediana de Iregua', 261682, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26143', 0, 'Murillo de Rio Leza', 260990, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26144', 1, 'Corera', 260532, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26144', 2, 'Galilea', 260661, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26144', 3, 'Santa Lucia', 261085, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26145', 1, 'Aldealobos', 261085, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26145', 2, 'Los Molinos de Ocon', 261085, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26145', 3, 'Oteruelo', 261085, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26145', 4, 'Las Ruedas de Ocon', 261085, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26146', 0, 'El Redal', 261238, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26147', 0, 'Pipaona', 261085, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26148', 0, 'La Villa de Ocon', 261085, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26190', 0, 'Nalda', 261032, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26191', 0, 'Sorzano', 261449, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26200', 0, 'Haro', 260717, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26210', 1, 'Anguciana', 260131, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26210', 2, 'Cihuri', 260491, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26211', 1, 'Foncea', 260624, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26211', 2, 'Fonzaleche', 260630, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26211', 3, 'Tirgo', 261487, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26212', 1, 'El Ternero', 260658, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26212', 2, 'Castilseco', 260658, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26212', 3, 'Cellorigo', 260453, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26212', 4, 'Galbarruli', 260658, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26212', 5, 'Sajazarra', 261281, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26212', 6, 'Villaseca', 260630, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26213', 1, 'Herramelluri', 260738, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26213', 2, 'Leiva', 260873, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26213', 3, 'Ochanduri', 261098, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26213', 4, 'Tormantos', 261503, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26213', 5, 'Velasco', 260738, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26214', 1, 'Cuzcurrita de Rio Tiron', 260563, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26214', 2, 'Cuzcurritilla', 261275, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26215', 0, 'Treviana', 261559, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26216', 0, 'San Millan de Yecora', 261315, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26220', 1, 'Ollauri', 261119, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26220', 2, 'Ollora', 261119, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26221', 0, 'Gimileo', 260683, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26222', 0, 'Rodezno', 261275, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26223', 0, 'Hormilleja', 260769, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26224', 0, 'Torrecilla Sobre Alesanco', 261525, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26226', 1, 'Monasterio de Suso', 261130, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26226', 2, 'Monasterio de Yuso', 261130, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26226', 3, 'Pazuengos', 261130, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26228', 0, 'San Andres del Valle', 260602, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26230', 0, 'Casalarreina', 260429, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26240', 0, 'Castaares de Rioja', 260435, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26241', 0, 'Baos de Rioja', 260257, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26250', 0, 'Santo Domingo de la Calzada', 261389, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26256', 0, 'Villalobar de Rioja', 261676, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26257', 1, 'Baares', 260244, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26257', 2, 'Hervias', 260743, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26258', 1, 'Ciriuela', 260504, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26258', 2, 'Ciruea', 260504, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26258', 3, 'Gallinero de Rioja', 260949, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26258', 4, 'Manzanares de Rioja', 260949, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26259', 1, 'Corporales', 260550, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26259', 2, 'Graon', 260696, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26259', 3, 'Morales', 260550, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26259', 4, 'Quintana', 261742, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26259', 5, 'Quintanar de Rioja', 261742, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26259', 6, 'Villarta Quintana', 261742, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26260', 0, 'Santurde', 261406, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26261', 0, 'Santurdejo', 261413, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26270', 1, 'Amunartia', 261102, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26270', 2, 'Arviza', 261102, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26270', 3, 'Ojacastro', 261102, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26270', 4, 'San Asensio de los Cantos', 261102, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26270', 5, 'Ulizarna', 261102, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26270', 6, 'Uyarra', 261102, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26280', 0, 'Ezcaray', 260619, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26288', 1, 'Anguta', 261623, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26288', 2, 'Valgaon', 261623, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26288', 3, 'Zorraquin', 261835, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26289', 1, 'Altuzarra', 260619, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26289', 2, 'Ayabarrena', 260619, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26289', 3, 'Azarrulla', 260619, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26289', 4, 'Posadas', 260619, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26289', 5, 'San Anton', 260619, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26289', 6, 'Turza', 260619, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26289', 7, 'Urdanta', 260619, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26289', 8, 'Zaldierna', 260619, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26290', 0, 'Brias', 260337, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26291', 1, 'Cidamon', 260488, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26291', 2, 'Madrid de los Trillos', 260488, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26291', 3, 'Nogueruela', 260488, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26291', 4, 'San Torcuato', 261392, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26291', 5, 'Zarraton', 261807, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26292', 1, 'San Felices', 260717, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26292', 2, 'Villalba de Rioja', 261660, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26300', 0, 'Najera', 261026, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26310', 0, 'Badaran', 260239, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26311', 1, 'Arenzana de Abajo', 260159, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26311', 2, 'Camprovin', 260374, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26311', 3, 'Cardenas', 260414, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26311', 4, 'Cordovin', 260526, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26312', 1, 'Arenzana de Arriba', 260162, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26312', 2, 'Bezares', 260309, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26312', 3, 'Tricio', 261578, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26313', 1, 'Somalo', 261601, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26313', 2, 'Uruuela', 261601, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26314', 0, 'Huercanos', 260794, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26315', 1, 'Aleson', 260103, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26315', 2, 'Castroviejo', 260440, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26315', 3, 'Manjarres', 260928, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26315', 4, 'Santa Coloma', 261341, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26320', 0, 'Baos de Rio Tobia', 260260, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26321', 1, 'Bobadilla', 260316, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26321', 2, 'Ledesma de la Cogolla', 260867, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26321', 3, 'Matute', 260952, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26321', 4, 'Pedroso', 261145, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26321', 5, 'Tobia', 261490, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26321', 6, 'Villaverde de Rioja', 261768, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26322', 0, 'Anguiano', 260146, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26323', 1, 'Azofra', 260223, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26323', 2, 'Hormilla', 260756, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26323', 3, 'Hospital de Anguiano', 260223, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26323', 4, 'Monasterio de Nuestra Seora d', 260223, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26324', 1, 'Alesanco', 260099, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26324', 2, 'Brieva de Cameros', 260321, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26325', 1, 'Canillas de Rio Tuerto', 260393, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26325', 2, 'Caas', 260407, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26325', 3, 'Ventrosa', 261644, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26325', 4, 'Villar de Torre', 261716, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26325', 5, 'Villarejo', 261721, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26325', 6, 'Viniegra de Abajo', 261780, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26325', 7, 'Viniegra de Arriba', 261793, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26326', 1, 'Canales de la Sierra', 260380, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26326', 2, 'El Rio', 260380, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26326', 3, 'San Millan de la Cogolla', 261308, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26327', 0, 'Berceo', 260276, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26328', 0, 'Estollo', 260602, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26329', 1, 'Mahave', 260374, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26329', 2, 'Mansilla', 260934, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26329', 3, 'Tabladas', 260934, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26329', 4, 'Villavelayo', 261755, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26330', 0, 'Briones', 260342, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26338', 0, 'San Vicente de la Sonsierra', 261428, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26339', 1, 'Abalos', 260012, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26339', 2, 'Pecia', 261428, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26339', 3, 'Ribas de Tereso', 260012, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26340', 1, 'Noviciado de la Estrella', 261294, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26340', 2, 'San Asensio', 261294, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26350', 0, 'Cenicero', 260466, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26359', 0, 'Torremontalbo', 261546, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26360', 0, 'Fuenmayor', 260645, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26370', 0, 'Navarrete', 261050, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26371', 1, 'Sotes', 261452, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26371', 2, 'Ventosa', 261639, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26372', 0, 'Hornos de Moncalvillo', 260781, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26373', 0, 'Daroca de Rioja', 260579, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26374', 0, 'Medrano', 260965, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26375', 0, 'Entrena', 260598, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26376', 0, 'Sojuela', 261434, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26500', 1, 'Calahorra', 260368, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26500', 2, 'Murillo de Calahorra', 260368, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26509', 1, 'Agoncillo', 260027, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26509', 2, 'Alcanadre', 260070, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26509', 3, 'Arrubal', 260197, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26509', 4, 'Recajo', 260027, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26510', 0, 'Pradejon', 261177, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26511', 0, 'El Villar de Arnedo', 261709, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26512', 0, 'Tudelilla', 261584, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26513', 0, 'Ausejo', 260201, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26520', 0, 'Cervera del Rio Alhama', 260472, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26525', 0, 'Igea', 260808, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26526', 0, 'Cornago', 260547, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26527', 1, 'Barrio Rincon de Olivedo - Las', 260547, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26527', 2, 'El Batan', 260547, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26527', 3, 'Valdeperillo', 260547, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26527', 4, 'Ventas del Bao', 260547, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26528', 0, 'Valverde', 260472, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26529', 1, 'Cabreton', 260472, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26529', 2, 'Valdegutur', 260472, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26530', 1, 'Aguilar del Rio Alhama', 260033, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26530', 2, 'Gutur', 260033, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26531', 0, 'Inestrillas', 260033, 26, 
    0, 98, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 10, 'Las Heras (Presa de Villar)', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 11, 'Mangiron', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 12, 'Navas de Buitrago', 289015, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 13, 'Presa de Puentes Viejas', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 14, 'Presa del Villar', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 15, 'Puentes Viejas', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 16, 'Los Rincones', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 17, 'Las Saleguillas', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 18, 'Dehesas de Santillana', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 19, 'Los Terreos', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 20, 'La Villa', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28755', 1, 'La Acebeda', 280702, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28755', 2, 'Aoslos', 280702, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28755', 3, 'Horcajo de la Sierra', 280702, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28755', 4, 'El Hospital', 280702, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28755', 5, 'Madarcos', 280783, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28755', 6, 'La Mantilla', 280702, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28755', 7, 'Robregordo', 281261, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28756', 0, 'Somosierra', 281436, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 1, 'Tres Cantos', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 2, 'El Bodonal', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 3, 'Soto de Viuelas', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 4, 'Castillo de Viuelas', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 5, 'Cedex', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 6, 'Madrid-Colmenar Viejo, del km.', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 7, 'Colonia Militar el Goloso', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 8, 'Colonia Valdecastellanos', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 9, 'De los Valdeloshielos', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 10, 'Tratamiento de Aguas (El Golos', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 11, 'De el Goloso', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 12, 'De Las Jarillas', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 13, 'Laboratorio Mopu, Km. 18,6', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 14, 'Colegio Palacio Valdes', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 15, 'Pinosierra', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 16, 'De Valdelamasa', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 17, 'Residencial Aislada', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28760', 18, 'De Tres Cantos', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28770', 1, 'Colmenar Viejo', 280455, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28770', 2, 'Colmenar Viejo, del Km. 22,601', 280455, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28770', 3, 'Hidraulica Santillana', 280455, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28770', 4, 'Kodak', 280455, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28770', 5, 'Presa de Hidraulica (Santillan', 280455, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28780', 0, 'Centro Militar San Pedro', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28790', 1, 'Castillo de Viuelas', 289036, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28790', 9, 'San Juan de Ulia (El Goloso)', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28790', 10, 'Base Militar el Goloso', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28790', 11, 'Torrelaparada', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 1, 'La Agustina', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 2, 'Los Burdiales', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 3, 'Casas Protegidas (Soto del Rea', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 4, 'Cerro Chico', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 5, 'El Desaceral', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 6, 'La Ermita (Soto del Real)', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 7, 'Los Fresnos (Soto del Real)', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 8, 'Pea Real', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 9, 'Soto del Real', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 10, 'Prado Palomar', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 11, 'Puente Real', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 12, 'El Robellar', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 13, 'El Rosario', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 14, 'San Antonio (Soto del Real)', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 15, 'San Pedro', 280455, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 16, 'La Solana', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 17, 'La Polonia', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 18, 'Sotosierra', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28791', 19, 'Las Vias', 281441, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28792', 1, 'Miraflores de la Sierra', 280856, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28792', 2, 'Anejos de Miraflores de la Sie', 280856, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28792', 3, 'Extrarradio de Miraflores de l', 280856, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28793', 0, 'Los Endrinales', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28794', 1, 'Guadalix de la Sierra', 280679, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28794', 2, 'Miralpantano', 280679, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28794', 3, 'Nuestra Seora del Espinar', 280679, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28798', 0, 'Santa Juana Cruz (Convento Cas', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28800', 3, 'Alcala de Henares', 280053, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28801', 0, 'Alcala de Henares', 280053, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28802', 0, 'Alcala de Henares', 280053, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28803', 0, 'Alcala de Henares', 280053, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28804', 0, 'Alcala de Henares', 280053, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28805', 0, 'Alcala de Henares', 280053, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28806', 0, 'Alcala de Henares', 280053, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28807', 0, 'Alcala de Henares', 280053, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28810', 1, 'Villalbilla', 281723, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28810', 2, 'Los Hueros', 281723, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28810', 3, 'Zulema', 281723, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28811', 0, 'Corpa', 280480, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28812', 1, 'Pezuela de Las Torres', 281111, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28812', 2, 'Valverde de Alcala', 281662, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28813', 1, 'Arlita', 281163, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28813', 3, 'Pozuelo del Rey', 281163, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28813', 4, 'Torres de la Alameda', 281548, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28814', 0, 'Daganzo de Arriba', 280534, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28815', 1, 'Fresno de Torote', 280571, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28815', 2, 'Poligono Industrial Azque', 280571, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28815', 3, 'Ribatejada', 281224, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28815', 4, 'Serracines', 280571, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 1, 'Avicola San Nicolas', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 2, 'Camarma de Esteruelas', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 3, 'La Cardosa', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 4, 'Cedalsa', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 5, 'El Colegio', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 6, 'Covisa', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 7, 'Huerta Malaga', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 8, 'Huerta Pique', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 9, 'Tubos Leon', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 10, 'El Miri', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 11, 'Nuevo Camarma', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 12, 'Perlofil', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 13, 'Poligono Alcanar', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 14, 'El Romeral', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 15, 'Santa Virginia', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 16, 'Valdeavero', 281564, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 17, 'De Valdeavero', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28816', 18, 'Vitroceramica', 280323, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28817', 0, 'Los Santos de la Humosa', 281375, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28818', 1, 'Anchuelo', 280127, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28818', 2, 'Santorcaz', 281369, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47231', 0, 'Serrada', 471599, 47, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41702', 0, 'Dos Hermanas', 410384, 41, 
    0, 1, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28819', 1, 'Cervantes', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28819', 2, 'Gurugu', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28819', 3, 'De Loeches (Alcala)', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28819', 5, 'Puente de Zulema', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28820', 1, 'La Colina', 280493, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28820', 2, 'Coslada', 280493, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28820', 3, 'De Coslada', 280493, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28820', 4, 'El Esparragal', 280493, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28820', 5, 'Santiago de Vicalvaro', 280493, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28830', 1, 'Parque Empresarial San Fernand', 281300, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28830', 2, 'Poligono Industrial San Fernan', 281300, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28830', 3, 'San Fernando de Henares', 281300, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28840', 0, 'Mejorada del Campo', 280843, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28850', 1, 'Barrio de el Castillo', 281489, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28850', 2, 'Base Aerea Conjunta Torrejon', 281489, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28850', 3, 'Torrejon de Ardoz', 281489, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28851', 0, 'Parque Corredor del Henares', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28860', 1, 'Carretera Barajas', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28860', 3, 'De la Gasolinera', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28860', 4, 'El Jarama', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28860', 5, 'Paracuellos de Jarama', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28860', 6, 'Pea del Cuervo', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28860', 7, 'El Picon', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28860', 8, 'Poligono de Tiro Valtierra', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28860', 9, 'Poligono Industrial Carretera', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28860', 10, 'Puente del Rio Jarama', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28861', 0, 'Los Berrocales de Jarama', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28862', 1, 'Belvis de Jarama', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28862', 2, 'Belvis Nuevo', 281049, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28863', 0, 'Cobea', 280416, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28864', 1, 'Ajalvir', 280029, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28864', 2, 'De Cobea (Ajalvir)', 280029, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28864', 3, 'De Daganzo (Ajalvir)', 280029, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28864', 4, 'De Paracuellos (Ajalvir)', 280029, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28864', 5, 'Poligono del Calvario', 280029, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28864', 6, 'Poligono Industrial Ajalvir', 280029, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28864', 7, 'Poligono Industrial Coumar', 280029, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28864', 8, 'De Torrejon (Ajalvir)', 280029, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28865', 0, 'Waltibaez', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28870', 0, 'Alcala de Henares', 280053, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 1, 'Alameda', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 2, 'Barrio Nuevo (Venta del Meco)', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 3, 'La Corralija', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 4, 'El Encin', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 5, 'Meco', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 6, 'De Meco', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 7, 'Naves Industriales de Meco', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 8, 'Nacional II (Meco)', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 9, 'Nueva Castilla', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 10, 'Santa Isabel', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28880', 11, 'Venta de Meco', 280838, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28890', 0, 'Loeches', 280758, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28891', 1, 'Covital', 281678, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28891', 2, 'Poligono Industrial de Velilla', 281678, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28891', 3, 'Residencial La Vega', 281678, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28891', 4, 'La Vega', 281678, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28891', 5, 'Velilla de San Antonio', 281678, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28900', 2, 'Getafe', 280650, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28901', 0, 'Getafe', 280650, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28902', 0, 'Getafe', 280650, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28903', 0, 'Getafe', 280650, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28904', 0, 'Getafe', 280650, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28905', 1, 'Getafe', 280650, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28906', 0, 'Getafe', 280650, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28909', 17, 'Getafe', 280650, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28910', 0, 'Leganes', 280745, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28911', 0, 'Leganes', 280745, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28912', 0, 'Leganes', 280745, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28913', 0, 'Leganes', 280745, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28914', 0, 'Leganes', 280745, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28915', 2, 'Leganes', 280745, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28916', 2, 'Leganes', 280745, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28917', 0, 'La Fortuna', 280745, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28918', 0, 'Leganes', 280745, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28919', 0, 'Leganes', 280745, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28920', 0, 'Alcorcon', 280072, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28921', 0, 'Alcorcon', 280072, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28922', 0, 'Alcorcon', 280072, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28923', 0, 'Alcorcon', 280072, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28924', 0, 'Alcorcon', 280072, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28925', 0, 'Alcorcon', 280072, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28930', 2, 'Mostoles', 280920, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28931', 0, 'Mostoles', 280920, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28932', 0, 'Mostoles', 280920, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28933', 0, 'Mostoles', 280920, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28934', 0, 'Mostoles', 280920, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28935', 0, 'Mostoles', 280920, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28936', 0, 'Mostoles', 280920, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28937', 0, 'Mostoles', 280920, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28938', 0, 'Mostoles', 280920, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28939', 1, 'Los Combos (Arroyomolinos)', 280151, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28939', 2, 'Cotorredondo', 280151, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28939', 3, 'San Martin (Arroyomolinos)', 280151, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28939', 4, 'Valdefuentes', 280151, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28939', 6, 'Arroyomolinos', 280151, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28940', 0, 'Fuenlabrada', 280587, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28941', 0, 'Fuenlabrada', 280587, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28942', 0, 'Fuenlabrada', 280587, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28943', 0, 'Fuenlabrada', 280587, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28944', 0, 'Fuenlabrada', 280587, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28945', 0, 'Fuenlabrada', 280587, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28946', 0, 'Fuenlabrada', 280587, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28947', 0, 'Fuenlabrada', 280587, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28950', 1, 'De Almonte', 280894, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28950', 2, 'De Arroyomolinos', 280894, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28950', 3, 'De Batres (Moraleja)', 280894, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28950', 4, 'Las Colinas', 280894, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28950', 5, 'Moraleja de Enmedio', 280894, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28950', 6, 'Poligono Industrial Olivos', 280894, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28950', 7, 'Poligono Industrial San Millan', 280894, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28950', 8, 'Los Salmueros', 280894, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28970', 1, 'Humanes de Madrid', 280730, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28970', 2, 'Los Nidos', 280730, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28971', 0, 'Grion', 280663, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28978', 1, 'Casarrubuelos', 280360, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28978', 2, 'Cubas de la Sagra', 280360, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28978', 3, 'Mwn-Diter', 280360, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 1, 'Batres', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 2, 'Las Carcabas', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 3, 'Los Carmenes', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 4, 'De Carranque (Betrei)', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 5, 'Colonia Casilla', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 6, 'Colonia Moscatelares', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 7, 'La Cruz de Batres', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 8, 'Las Flores', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 9, 'Los Hitos', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 10, 'El Majuelo', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 11, 'Merchan', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 12, 'De Navalcarnero (Batres)', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 13, 'Los Prados', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 14, 'Los Romanes', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 15, 'San Hipolito', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 16, 'Serranillos del Valle', 281408, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 17, 'Sotillo', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 18, 'Valdecanos', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28979', 19, 'Valdespinos (Batres)', 280170, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28980', 1, 'Fuentebella', 281065, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28980', 2, 'Parla', 281065, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29001', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28980', 3, 'Industrias Fundicion Sazor', 281065, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28980', 4, 'La Soledad', 281065, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28980', 5, 'Toledo, del Km. 19,200 en Adel', 281065, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28980', 6, 'Vergara', 281065, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28990', 0, 'Torrejon de Velasco', 281505, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28991', 0, 'Torrejon de la Calzada', 281492, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29002', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29003', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29004', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29005', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29006', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29007', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29008', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29009', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29010', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29011', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29012', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29013', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29014', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29015', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29016', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29017', 2, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29018', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29070', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29071', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29080', 0, 'Malaga', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 1, 'Barriada Las Flores', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 2, 'Caballo Blanco', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 3, 'La Charca (Coin)', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 4, 'Coin', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 5, 'Combaderos', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 6, 'Cortijo Benitez', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 7, 'Ejido', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 8, 'Los Gallos', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 9, 'El Gato', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 10, 'Las Huertas (Coin)', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 11, 'Miralmonte', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 12, 'Pereila Baja', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 13, 'El Rodeo', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 14, 'Las Delias (Coin)', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 15, 'Las Vistillas', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 16, 'Lourdes (Coin)', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 17, 'Miralvalles', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29100', 18, 'Montecillo', 290424, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29108', 1, 'Ardite', 290580, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29108', 2, 'Guaro (Coin)', 290580, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29109', 1, 'Las Millanas', 290901, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29109', 2, 'Tolox', 290901, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29109', 3, 'Umbria (Tolox)', 290901, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29110', 0, 'Monda', 290733, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 1, 'Las Agonias', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 2, 'Alhaurin el Grande', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 3, 'Arroyo de Blas Gonzalez', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 4, 'Camino Forestal', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 5, 'La Chicharra', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 6, 'El Cigarral', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 7, 'Fuente del Perro', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 8, 'Huerta Campo', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 9, 'Montemario', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 10, 'La Peita', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 11, 'Siete Casas', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 12, 'Urique', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 13, 'Ventorrillo Angulo', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29120', 14, 'El Zangano', 290081, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 1, 'El Algarrobal', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 2, 'Alhaurin de la Torre', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 3, 'Alqueria (Alhaurin de la Torre', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 4, 'La Capellania', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 5, 'Cortijos del Sol', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 6, 'Los Cortijuelos (Alhaurin de l', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 7, 'Doana del Guadalhorce', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 8, 'La Fuensanta', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 9, 'Molina', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 10, 'Platero', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 11, 'El Romeral', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 12, 'Santa Amalia', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 13, 'Tavico', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 14, 'Los Tomillares', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 15, 'Zapata', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 16, 'Arroyo del Pinar', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 17, 'Bellavista (Alhaurin de la Tor', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 18, 'Carranque', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 19, 'Casasblancas (Alhaurin de la T', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 20, 'Cuatro Vientos (Alhaurin de la', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 21, 'El Alamillo', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 22, 'El Lagar', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 23, 'El Limonar', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 24, 'El Peon', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 25, 'Ermita del Cerro', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 26, 'Huertas del Romeral', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 27, 'Jardines de Alhaurin', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 28, 'La Calera (Alhaurin de la Torr', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 29, 'La Fuensanguinea', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 30, 'Lagar de Las Pitas', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 31, 'Las Paredillas', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 32, 'Llanos de la Virgen', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 33, 'Los Manantiales', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 34, 'Mestanza', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 35, 'Piamonte', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 36, 'Pinos de Alhaurin', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 37, 'Pueblo Cortijo', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 38, 'Retamar', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 39, 'Terrazas del Valle', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 40, 'Torrealqueria', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 41, 'Vaguada de la Sierra', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 42, 'Villamonte', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 43, 'Viagrande', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29130', 44, 'Zambrana', 290075, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 1, 'Los Almendros (Churriana)', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 2, 'Barrio de San Javier', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 3, 'Barrio Zapata (Churriana)', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 4, 'Buena Vista (Churriana)', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 5, 'Camino de la Sierra', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 6, 'Camino de Rojas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 7, 'La Cantera', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 8, 'Casa Salustiano', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 9, 'Casas del Rey', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 10, 'Casetas de Madera', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 11, 'Churriana', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 12, 'El Coronel', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 13, 'Cortijo Blanco (Churriana)', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 14, 'Cortijo Colichet', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 15, 'Dos Hermanas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 16, 'Gamera Alta y Baja', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 17, 'Hacienda Las Carmelitas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 18, 'Hacienda San Miguel', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 19, 'Heliomar', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 20, 'Hermanas Carmelitas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 21, 'La Huertecilla', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 22, 'La Joroba', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 23, 'Loma Negra', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 24, 'Lourdes (Churriana)', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 25, 'La Noria (Churriana)', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 26, 'Los Paseros', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 27, 'Las Pedrizas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 28, 'Pizarro', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 29, 'Portales Las Carmelitas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 30, 'Puente del Rey (Churriana)', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27378', 1, 'Goa', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27373', 2, 'Castro (Santa Maria) (Begonte)', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27373', 4, 'Donalbay', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27373', 5, 'Gayoso (Santo Tome)', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27373', 6, 'Illan', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27373', 7, 'Pena (San Vicente) (Begonte)', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27373', 8, 'Pena (Sta Eulalia) (Begonte)', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27373', 9, 'Viris', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27373', 10, 'Uriz (San Esteban) (Begonte)', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27374', 0, 'Caboy', 270399, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27375', 1, 'Damil', 270076, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27375', 2, 'Felmil', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27375', 3, 'Gaibor', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27375', 4, 'Joiban', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27375', 5, 'Pino (San Martin) (Cospeito)', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27375', 6, 'Saavedra', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27375', 7, 'Seixas', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27375', 8, 'Trobo (Santa Maria) (Begonte)', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27375', 9, 'Villapene', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27376', 1, 'Cospeito (Santa Maria)', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27376', 2, 'La Fuente', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27376', 3, 'Santa Cristina', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27377', 1, 'Cospeito (Casco Urbano)', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27377', 2, 'Feria del Monte', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27377', 3, 'Muimenta', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27377', 4, 'Rioaveso (Santa Eulalia)(Cospe', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27377', 5, 'Sistallo', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27377', 6, 'Xermar', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27377', 7, 'Vilar (Santa Maria)', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 2, 'Argaoso', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 3, 'Foncebadon', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 4, 'Labor del Rey', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 5, 'La Maluenga', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 6, 'Manjarin del Puerto', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 7, 'Prada de la Sierra', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 8, 'Rabanal del Camino', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 9, 'Santa Colomba de Somoza', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 10, 'Rabanal Viejo', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 11, 'Santa Marina de Somoza', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 12, 'Tabladillo', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 13, 'Turienzo de los Caballeros', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 14, 'Valdemanzanas', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 15, 'Viforcos', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24722', 16, 'Villar de los Ciervos', 241529, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24723', 1, 'Chana de Somoza', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24723', 2, 'Filiel', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24723', 3, 'Lucillo', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24724', 1, 'Busnadiego', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24724', 2, 'Molinaferrera', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24724', 3, 'Piedrasalvas', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24724', 4, 'Pobladura de la Sierra', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24724', 5, 'Salto del Cabrito', 240900, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24730', 1, 'Destriana', 240665, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24730', 2, 'Robledino de la Valduerna', 240665, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24730', 3, 'Robledo de la Valduerna', 240665, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24731', 1, 'Morales del Arcediano', 241612, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24731', 2, 'Oteruelo de la Valduerna', 241612, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24731', 3, 'Piedralba', 241612, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24732', 1, 'Curillas', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24732', 2, 'Monfrontino', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24732', 3, 'Penilla', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24732', 4, 'Santiagomillas', 241612, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24732', 5, 'Tejadinos', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24732', 6, 'Tejados', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24733', 1, 'Quintanilla de Florez', 241250, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24733', 2, 'Torneros de Jamuz', 241250, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24734', 1, 'Nogarejas', 240476, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24734', 2, 'Pinilla de la Valderia', 240476, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24734', 3, 'Pobladura del Yuso', 240476, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24735', 0, 'Castrocontrigo', 240476, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24736', 1, 'Morla de la Valderia', 240476, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24736', 2, 'Torneros de la Valderia', 240476, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24738', 1, 'Cunas', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24738', 2, 'Manzaneda de Cabrera', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24738', 3, 'Pozos', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24738', 4, 'Quintanilla de Yuso', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24738', 5, 'Villar del Monte', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24740', 1, 'Baillo', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24740', 2, 'Corporales', 240114, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24740', 3, 'La Cuesta', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24740', 4, 'Truchas', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24740', 5, 'Truchillas', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24740', 6, 'Valdavido', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24741', 1, 'Iruela', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24741', 2, 'Villarino de Cabrera', 241725, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24742', 1, 'Castrillo de Cabrera', 240439, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24742', 2, 'Odollo', 240439, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24743', 1, 'Ambasaguas de Cabrera', 240671, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24743', 2, 'Castrohinojo', 240671, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24743', 3, 'Quintanilla de Losada', 240671, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24744', 1, 'Marrubio', 240439, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24744', 2, 'Noceda de Cabrera', 240439, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24744', 3, 'Nogar', 240439, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24744', 4, 'Robledo de Losada', 240671, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24744', 5, 'Saceda de Cabrera', 240439, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24745', 1, 'Encinedo', 240671, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24745', 2, 'Santa Eulalia de Cabrera', 240671, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24745', 3, 'Trabazos', 240671, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24746', 1, 'La Baa', 240671, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24746', 2, 'Forna', 240671, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24746', 3, 'Losadilla', 240671, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24750', 0, 'La Baeza', 240107, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24760', 1, 'Calzada de la Valderia', 240460, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24760', 2, 'Castrocalbon', 240460, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24760', 3, 'Felechares de la Valderia', 240460, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24760', 4, 'Pajares', 240460, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24760', 5, 'San Esteban de Nogales', 241469, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24760', 6, 'San Felix de la Valderia', 240460, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24760', 7, 'Valdevilla', 240460, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24761', 1, 'Alija del Infantado', 240037, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24761', 2, 'Becares', 240037, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24761', 3, 'Ozaniego', 240037, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24762', 1, 'Quintana del Marco', 241247, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24762', 2, 'Santa Elena de Jamuz', 241540, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24762', 3, 'Villanueva de Jamuz', 241540, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24763', 1, 'De Hinojo', 241279, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24763', 2, 'Paulon o Puente Paulon', 241279, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24763', 3, 'Puente Paulon', 241279, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24763', 4, 'Regueras de Abajo', 241279, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24763', 5, 'Regueras de Arriba', 241279, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24763', 6, 'Requejo de la Vega', 241664, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24763', 7, 'Valdesandinas', 242284, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24763', 8, 'Villazala', 242284, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24764', 1, 'Palacios de la Valduerna', 241089, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24764', 2, 'San Mames de la Vega', 240107, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24764', 3, 'Santa Colomba de la Vega', 241664, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24765', 1, 'Castrotierra de la Valduerna', 241319, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24765', 2, 'Fresno de la Valduerna', 242164, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24765', 3, 'Miambres de la Valduerna', 242164, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24765', 4, 'Redelga de la Valduerna', 242164, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24765', 5, 'Valle de la Valduerna', 242164, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24766', 1, 'Posada de la Valduerna', 242164, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24766', 2, 'Posada y Torre', 242164, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24766', 3, 'Ribas de la Valduerna', 241089, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24793', 1, 'Bustos', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24766', 4, 'Santiago de la Valduerna', 240107, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24766', 5, 'Villalis de la Valduerna', 242164, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24766', 6, 'Villamontan de la Valduerna', 242164, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24767', 1, 'Herreros de Jamuz', 241250, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24767', 2, 'Jimenez de Jamuz', 241540, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24767', 3, 'Palacios de Jamuz', 241250, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24767', 4, 'Quintana y Congosto', 241250, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24767', 5, 'Tabuyuelo de Jamuz', 241250, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24768', 1, 'Alcaidon o Alquidon', 241664, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24768', 2, 'Huerga de Garaballes', 241664, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24768', 3, 'Oteruelo de la Vega', 241664, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24768', 4, 'Soto de la Vega', 241664, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24768', 5, 'Vecilla de la Vega', 241664, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24769', 1, 'Cebrones del Rio', 240536, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24769', 2, 'San Juan de Torres', 240536, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24769', 3, 'San Martin de Torres', 240536, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24790', 0, 'Valcabado del Paramo', 241361, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24791', 1, 'Moscas del Paramo', 241361, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24791', 2, 'Roperuelos del Paramo', 241361, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24791', 3, 'Villaestrigo', 241361, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24791', 4, 'Zotes del Paramo', 242301, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24792', 1, 'Altobar de la Encomienda', 241171, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24792', 2, 'Dehesas del Villar', 241171, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24792', 3, 'Genestacio', 241171, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24792', 4, 'Mestajas y el Villar', 241171, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24792', 5, 'Navianos de la Vega', 240037, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24792', 6, 'La Nora del Rio', 241171, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24793', 2, 'Castrillo de Las Piedras', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24793', 3, 'Matanza de la Sequeda', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24793', 4, 'Valderrey', 241823, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24794', 1, 'Riego de la Vega', 241319, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24794', 2, 'Toral del Fondo', 241319, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24794', 3, 'Toralino', 241319, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24795', 1, 'Posadilla de la Vega', 241443, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24795', 2, 'San Felix de la Vega', 241319, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24795', 3, 'Santa Maria de la Isla', 241553, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24795', 4, 'Santibaez de la Isla', 241553, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24795', 5, 'Villarnera de la Vega', 241319, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24796', 1, 'La Antigua', 240055, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24796', 2, 'Audanzas del Valle', 240055, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24796', 3, 'Cazanuecos', 240055, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24796', 4, 'Grajal de la Ribera', 240055, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24796', 5, 'Pozuelo del Paramo', 241171, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24796', 6, 'Ribera de Grajal', 240055, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24796', 7, 'Saludes de Castroponce', 241171, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24796', 8, 'Ribera de la Polvorosa', 240055, 24, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24797', 0, 'San Adrian del Valle', 241417, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24800', 0, 'Cistierna', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24810', 0, 'Sabero', 241377, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24811', 0, 'Olleros de Sabero', 241377, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24812', 0, 'Sahelices de Sabero', 241377, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24813', 1, 'Fuentes de Peacorada', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24813', 2, 'Ocejo de la Pea', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24813', 3, 'Santa Olaja de la Varga', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24814', 0, 'Sotillos de Sabero', 241377, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24815', 1, 'Modino', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24815', 2, 'Pesquera', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24815', 3, 'Santibaez de Rueda', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24815', 4, 'Sorriba del Esla', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24816', 1, 'Quintana de la Pea', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24816', 2, 'Valmartino', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24816', 3, 'Vegamediana', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24820', 1, 'Matueca de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24820', 2, 'Pardave', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24820', 3, 'Pedrun de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24830', 0, 'Matallana de Torio', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24836', 1, 'Coladilla', 241942, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24836', 2, 'Matallana de Torio', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24836', 3, 'Serrilla', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24836', 4, 'Valle de Vegacervera', 241942, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24836', 5, 'Vegacervera', 241942, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24836', 6, 'Villalfeide', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24836', 7, 'Villar del Puerto', 241942, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 1, 'Felmin', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 2, 'Genicera', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 3, 'Gete', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 4, 'Getino', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 5, 'Lavandera', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 6, 'Pedrosa', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 7, 'Rodillazo', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 8, 'Tabanedo', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 9, 'Valdeteja', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 10, 'Valporquero de Torio', 241942, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 11, 'Valverde de Curueo', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24837', 12, 'Valverdin', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24838', 1, 'Almuzara', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24838', 2, 'Campo de Carmenes', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24838', 3, 'Canseco', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24838', 4, 'Carmenes', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24838', 5, 'Piedrafita la Mediana', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24838', 6, 'Piornedo', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24838', 7, 'Pontedo', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24838', 8, 'Villanueva de Pontedo', 240378, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24839', 1, 'Naredo de Fenar', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24839', 2, 'Orzonaga', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24839', 3, 'Palazuelo de la Valcueva', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24839', 4, 'Robles de Torio', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24839', 5, 'La Valcueva', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24839', 6, 'Robles de la Valcueva', 240981, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24840', 0, 'La Vecilla de Curueo', 241937, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24843', 1, 'Llamazares', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24843', 2, 'Lugueros', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24843', 3, 'Redilluera', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24843', 4, 'Valdelugueros', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24843', 5, 'Vegarada', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24844', 1, 'Cerulleda', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24844', 2, 'Redipuertas', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24844', 3, 'Villaverde de la Cuerna', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24845', 1, 'Arintero', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24845', 2, 'La Braa (La Vecilla )', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24845', 3, 'Tolibia de Abajo', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24845', 4, 'Tolibia de Arriba', 241778, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24846', 1, 'Montuerto', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24846', 2, 'Nocedo de Curueo', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24846', 3, 'Valdorria', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24847', 1, 'Caldas de Nocedo', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24847', 2, 'La Mata de la Berbula', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24847', 3, 'Otero de Curueo', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24847', 4, 'Ranedo de Curueo', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24847', 5, 'Valdepielago', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24847', 6, 'Vega de San Pedro', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24848', 1, 'La Candana de Curueo', 241514, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24848', 2, 'La Mata de Curueo', 241514, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24848', 3, 'Pardesivil', 241514, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24848', 4, 'Santa Colomba de Curueo', 241514, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24848', 5, 'Sopea de Curueo', 241937, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24849', 1, 'Aviados', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24849', 2, 'Campohermoso', 241937, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24849', 3, 'Correcillas', 241797, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24850', 0, 'Boar', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24852', 1, 'Barrio de Las Ollas', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24852', 2, 'La Mata de la Riva', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24852', 3, 'Vega de Boar', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24853', 1, 'Oville', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24853', 2, 'Valdecastillo', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24853', 3, 'Venta de Remellan', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24854', 1, 'Del Pantano de Porma', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24854', 2, 'Rucayo', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24854', 3, 'Valdehuesa', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24855', 1, 'Isoba', 241211, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24855', 2, 'Puebla de Lillo', 241211, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24855', 3, 'Puerto de San Isidro', 241211, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24855', 4, 'Redipollos', 241211, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24856', 1, 'Pallide', 241298, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24856', 2, 'Primajas', 241298, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24856', 3, 'Reyero', 241298, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24856', 4, 'Viego', 241298, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24857', 1, 'Cofial', 241211, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24857', 2, 'Orones', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24857', 3, 'San Cibrian de Somoza', 241211, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24857', 4, 'Solle', 241211, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24858', 1, 'Colle', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24858', 2, 'Los Cuarteles de Veneros', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24858', 3, 'Felechas', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24858', 4, 'Grandoso', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24858', 5, 'Llama de Colle', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24858', 6, 'Veneros', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24859', 1, 'Adrados', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24859', 2, 'Vozmediano', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24859', 3, 'Voznuevo', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24860', 1, 'Las Bodas', 240212, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24860', 2, 'La Devesa de Boar', 241993, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24860', 3, 'La Losilla', 241417, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24860', 4, 'San Adrian', 241993, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24869', 1, 'Llamera', 241993, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24869', 2, 'Palazuelo de Boar', 241993, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24870', 1, 'Las Casetas de Oceja', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24870', 2, 'La Ercina', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24870', 3, 'Oceja de Valdellorma', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24870', 4, 'Sobrepea', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24877', 1, 'Acisa de Las Arrimadas', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24877', 2, 'Barrillos de Las Arrimadas', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24877', 3, 'Corral de Las Arrimadas', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24877', 4, 'Laiz de Las Arrimadas', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24877', 5, 'Santa Colomba de Las Arrimadas', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24878', 1, 'Dehesa de Corrales', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24878', 2, 'Dehesas de Valsemana', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24878', 3, 'Fresnedo de Valdellorma', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24878', 4, 'Palacio de Valdellorma', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24878', 5, 'San Bartolome de Rueda', 240798, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24878', 6, 'Valporquero de Rueda', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24879', 1, 'San Pedro de Foncallada', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24879', 2, 'La Serna', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24879', 3, 'Yugueros', 240687, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24880', 0, 'Puente Almuhey', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24882', 1, 'La Sota de Valderrueda', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24882', 2, 'Soto de Valderrueda', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24882', 3, 'Valderrueda', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24882', 4, 'Villacorta', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24883', 0, 'Caminayo', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24884', 2, 'Morgovejo', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24884', 3, 'Balneario de Morgovejo', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24885', 1, 'Prioro', 241204, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24885', 2, 'Tejerina', 241204, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24886', 1, 'Ferreras del Puerto', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24886', 2, 'Las Muecas', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24886', 3, 'La Red de Valdetuejar', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24887', 1, 'La Mata de Monteagudo', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24887', 2, 'El Otero de Valdetuejar', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24887', 3, 'Renedo del Valdetuejar', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24887', 4, 'San Martin de Valdetuejar', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24887', 5, 'Taranilla', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24887', 6, 'Villalmonte', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24888', 1, 'Cabrera de Almanza', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24888', 2, 'Carrizal de Almanza', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24888', 3, 'Espinosa de Almanza', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24888', 4, 'Quintanilla de Almanza', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24888', 5, 'Vega de Almanza', 240042, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24888', 6, 'Villamorisca', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24889', 1, 'Cegoal', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24889', 2, 'La Espina', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24889', 3, 'Valcuende', 241839, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24890', 1, 'Palazuelo de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24890', 2, 'Riosequino de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24890', 3, 'San Feliz de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24890', 4, 'Venta de la Tuerta', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24890', 5, 'Villaverde de Abajo', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24890', 6, 'Villaverde de Arriba', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24891', 1, 'Abadengo de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24891', 2, 'La Flecha de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24891', 3, 'Fontanos de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24891', 4, 'Garrafe de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24891', 5, 'Manzaneda de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24891', 6, 'Palacio de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24891', 7, 'Ruiforcos de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24891', 8, 'Valderilla de Torio', 240763, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24892', 1, 'Cebanico', 240520, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24892', 2, 'Mondreganes', 240520, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24892', 3, 'El Portillero', 240520, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24892', 4, 'La Riba', 240520, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24892', 5, 'Santa Olaja de la Accion', 240520, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24892', 6, 'Valle de Las Casas', 240520, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24893', 1, 'Cerezal de la Guzpea', 241187, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24893', 2, 'Llama de la Guzpea', 241187, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24893', 3, 'Prado de la Guzpea', 241187, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24893', 4, 'Robledo de la Guzpea', 241187, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24900', 0, 'Riao', 241302, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24911', 1, 'Boca de Huergano', 240205, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24911', 2, 'Siero de la Reina', 240205, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24911', 3, 'Valverde de la Sierra', 240205, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24912', 0, 'Llanaves de la Reina', 240205, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24913', 1, 'Barniedo de la Reina', 240205, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24913', 2, 'Espejos de la Reina', 240205, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24913', 3, 'Portilla de la Reina', 240205, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24913', 4, 'Villafrea de la Reina', 240205, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24914', 1, 'Caldevilla', 241165, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24914', 2, 'Caserio de Ponton', 241165, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24914', 3, 'El Ponton', 241165, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24914', 4, 'Soto de Valdeon', 241165, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24915', 1, 'Cain', 241165, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24915', 2, 'Cordianes', 241165, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24915', 3, 'Llanos de Valdeon', 241165, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24915', 4, 'Posada de Valdeon', 241165, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24915', 5, 'Prada de Valdeon', 241165, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24915', 6, 'Santa Marina de Valdeon', 241165, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24916', 1, 'Oseja de Sajambre', 241067, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24916', 2, 'Pio de Sajambre', 241067, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24916', 3, 'Ribota de Sajambre', 241067, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24916', 4, 'Soto de Sajambre', 241067, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24916', 5, 'Vierdes de Sajambre', 241067, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24917', 1, 'Casasuertes', 240251, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24917', 2, 'Cuenabres', 240251, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24917', 3, 'Retuerto', 240251, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24917', 4, 'Vegacerneja', 240251, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24918', 1, 'Carande', 241302, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24918', 2, 'Horcadas', 241302, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24920', 1, 'Aldea del Puente', 241801, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24920', 2, 'Sahelices del Payuelo', 241801, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24930', 1, 'Quintana de Rueda', 241801, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24930', 2, 'Quintana del Monte', 241801, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24930', 3, 'Valdepolo', 241801, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24930', 4, 'Villahibiera', 241801, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24930', 5, 'Villamondrin de Rueda', 241801, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24930', 6, 'Villaverde de la Chiquita', 241801, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24940', 1, 'Cubillas de Rueda', 240634, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24940', 2, 'Palacios de Rueda', 240634, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24940', 3, 'Quintanilla de Rueda', 240634, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24940', 4, 'San Cipriano de Rueda', 240634, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24940', 5, 'Vega de Monasterio', 240634, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24940', 6, 'Villapadierna', 240634, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24950', 0, 'Vidanes', 240567, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24960', 1, 'Aleje', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24960', 2, 'Alejico', 241377, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24960', 3, 'Verdiago', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24970', 1, 'Valdore', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24970', 2, 'Velilla de Valdore', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24980', 1, 'Corniero', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24980', 2, 'Cremenes', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24989', 1, 'Argovejo', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24989', 2, 'Villayandre', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24990', 1, 'Remolina', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24990', 2, 'Las Salas', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24991', 1, 'Ciguera', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24991', 2, 'Lois', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24991', 3, 'Salamon', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24991', 4, 'Valbuena del Roblo', 240606, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24994', 1, 'Buron', 240251, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24994', 2, 'Liegos', 240016, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24995', 1, 'Lario', 240251, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24995', 2, 'Polvoredo', 240251, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24996', 1, 'Acebedo', 240016, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24996', 2, 'Maraa', 240969, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24996', 3, 'La Ua', 240016, 24, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25001', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25002', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25003', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25004', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25005', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25006', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25007', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25008', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25070', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25071', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25080', 0, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25100', 0, 'Almacelles', 250194, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25109', 1, 'Almacelletes', 999999, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25109', 2, 'El Mas del Lleo', 999999, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25110', 1, 'Alpicat', 250236, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25110', 2, 'Malpartit', 252287, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25111', 0, 'Raimat', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25112', 1, 'Gimenells', 259123, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25112', 2, 'Santa Maria de Gimenells', 259123, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25112', 3, 'Vallmanya', 250117, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25113', 1, 'Sucs', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25113', 2, 'Suquets', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25114', 0, 'El Pla de la Font', 259123, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25120', 0, 'Alfarras', 250138, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25121', 0, 'Andani', 999999, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25122', 0, 'Ivars de Noguera', 251121, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25123', 0, 'Torrefarrera', 252287, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25124', 1, 'Colonia al Kanis', 251898, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25124', 2, 'Rossello', 251898, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25125', 1, 'Alguaire', 250169, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25125', 2, 'La Mata de Pinyana', 250169, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25126', 1, 'Almenar', 250215, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25126', 2, 'La Bassa Nova', 250215, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25130', 1, 'Algerri', 250156, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25130', 2, 'La Figuera', 250156, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25131', 0, 'Torre-Serona', 252332, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25132', 0, 'Benavent de Segria', 250539, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25133', 0, 'Vilanova de Segria', 252516, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25134', 0, 'La Portella', 251749, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25135', 0, 'Albesa', 250083, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25136', 0, 'Castello de Farfanya', 250693, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25137', 0, 'Corbins', 250788, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25138', 0, 'Torrelameu', 252311, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25139', 0, 'Menarguens', 251348, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25140', 0, 'Arbeca', 250292, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25141', 0, 'Torregrossa', 252304, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25142', 1, 'Bellvis', 250523, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25142', 2, 'Les Tarroges', 250523, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25143', 0, 'El Poal', 251689, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25144', 0, 'Els Arcs', 250523, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25150', 0, 'Artesa de Lleida', 250334, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25151', 0, 'Aspa', 250365, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25152', 0, 'El Cogul', 250766, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25153', 0, 'Puigverd de Lleida', 251826, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25154', 0, 'Castelldans', 250674, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25155', 0, 'L''Albages', 250061, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25160', 0, 'Granyena de les Garrigues', 251057, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25161', 0, 'Alfes', 250143, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25162', 0, 'Alcano', 250100, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25163', 3, 'El Soleras', 252069, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25164', 0, 'Els Torms', 252249, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25165', 0, 'Juncosa', 251180, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25170', 0, 'Torres de Segre', 252326, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25171', 0, 'Albatarrec', 250077, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25172', 0, 'Montoliu de Lleida', 251425, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25173', 0, 'Sudanell', 252115, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25174', 0, 'Sunyer', 252120, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25175', 0, 'Sarroca de Lleida', 252000, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25176', 0, 'Torrebesses', 252265, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25177', 1, 'La Granadella', 251706, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25177', 2, 'Bellaguarda', 251706, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25178', 0, 'Bovera', 250560, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25179', 0, 'Maials', 251333, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25180', 0, 'Alcarras', 250117, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25181', 0, 'Soses', 252108, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25182', 1, 'Aitona', 250387, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25182', 2, 'Central Fecsa', 250387, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25182', 3, 'Utxesa', 252326, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25183', 0, 'Seros', 252043, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25184', 0, 'Massalc0reig', 251312, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25185', 0, 'La Granja D''Escarp', 251023, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25186', 0, 'Llardecans', 251253, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25187', 0, 'Almatret', 250208, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25191', 1, 'Enginyer Mias', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25191', 2, 'La Fornal', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25191', 3, 'La Fusta', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25191', 4, 'De Granyena', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25191', 5, 'Josep Segura Farre', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25191', 6, 'L''Aduana', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25191', 7, 'Poligon Industrial El Segre', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25191', 8, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25192', 1, 'Caparrella', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25192', 2, 'Malgovern', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25192', 3, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25193', 1, 'Les Torres de Sanui', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25193', 2, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25194', 1, 'Butsenit de Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25194', 2, 'Eduard Toldra', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25194', 3, 'Pardinyes Baixes', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25194', 4, 'Pla de Gensana', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25194', 5, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 1, 'Alvareda', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 2, 'Coma de Santa Fe', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 3, 'Las Granjas', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 4, 'Grau', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 5, 'Grealo', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 6, 'Horta', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 7, 'Jesuset', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 8, 'Llivia', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 9, 'Del Nord', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 10, 'Pardals', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 11, 'Pardinyes Altes', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 12, 'La Plana', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25195', 13, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25196', 1, 'Boba', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25196', 2, 'Camp Redo', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25196', 3, 'Canets', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25196', 4, 'Eugeni D''Ors', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25196', 5, 'Gualda', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25196', 6, 'De Marimunt', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25196', 7, 'Moncada', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25196', 8, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25197', 1, 'Les Canals', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25197', 2, 'Fontanet', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25197', 3, 'De Sot de Fontanet', 252234, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25197', 4, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25198', 2, 'Les Basses D''Alpicat', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25198', 3, 'Les Basses', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25198', 4, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25199', 1, 'Fontanet Lo Curt', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25199', 2, 'Joc de la Bola', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25199', 3, 'Lleida', 251207, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25200', 0, 'Cervera', 250729, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25210', 0, 'Guissona', 251109, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 1, 'Alfa', 251977, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 2, 'Comabella', 251977, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 3, 'Florejacs', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 4, 'Gra', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 5, 'Granollers de Florejacs', 251977, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 6, 'Guarda - Si - Venes', 251977, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 7, 'El Llor', 251977, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 8, 'Massoteres', 251327, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 9, 'La Morana', 251977, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 10, 'Palou', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 11, 'Palouet', 251327, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 12, 'Sant Guim de la Plana', 251977, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 13, 'Sant Marti de la Morana', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 14, 'Selvanera', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 15, 'Talteull', 251327, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25211', 16, 'Vicfred', 251977, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 1, 'Bellvei', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 2, 'Castellmeia', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 3, 'Concabella', 259118, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 4, 'Hostafrancs', 259118, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 5, 'Mont-Roig de Segarra', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 6, 'Les Pallargues', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 7, 'Pelagalls', 259118, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 8, 'Els Plans de Sio', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 9, 'Ratera', 259118, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 10, 'Riber', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 11, 'Sedo', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 12, 'Sistero', 259118, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 13, 'Tarroja de Segarra', 252192, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 14, 'Torrefeta', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25212', 15, 'Torreflor', 259078, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 1, 'Briano', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 2, 'Els Condals', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 3, 'Els Hostalets de Cervera', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 4, 'Montfar', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 5, 'Pallerols de Talavera', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 6, 'Pavia', 252167, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 7, 'Pomar', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 8, 'Ribera D''Ondara', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 9, 'Rubinat', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 10, 'Sant Antoli i Vilanova', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 11, 'Sant Pere Dels Arquells', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 12, 'Talavera', 252167, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25213', 13, 'Vergos', 250729, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25214', 1, 'Castellnou D''Oluges', 250729, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25214', 2, 'Estaras', 250851, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25214', 3, 'Gaver', 250851, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25214', 4, 'Malgrat', 250729, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25214', 5, 'Montfalco Murallat', 251522, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25214', 6, 'Les Oluges', 250729, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25214', 7, 'La Prenyanosa', 250729, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25214', 8, 'Oluges Santa Fe D', 250729, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25215', 1, 'Alta-Riba', 250851, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25215', 2, 'Malacara', 250851, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25215', 3, 'Sant Ramon', 251945, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25216', 1, 'Ferran', 250851, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25216', 2, 'Gospi', 251945, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25216', 3, 'Ivorra', 251142, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25216', 4, 'Portell', 251945, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25216', 5, 'Viver de Segarra', 251945, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25217', 1, 'L''Ametlla de Segarra', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25217', 2, 'Cabestany', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25217', 3, 'Gramuntell', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25217', 4, 'Granyena de Segarra', 251044, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25217', 5, 'La Guardia Lada', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25217', 6, 'Llindars', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25217', 7, 'Montoliu de Segarra', 251410, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25217', 8, 'La Sisquella', 250390, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25217', 9, 'Vilagrasseta', 251410, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25218', 1, 'L''Aranyo', 251039, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25218', 2, 'El Canos', 251039, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25218', 3, 'La Cardosa', 251039, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25218', 4, 'La Curullada', 251039, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25218', 5, 'Fonolleres', 251039, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25218', 6, 'Granyanella', 251039, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25218', 7, 'Molle', 259118, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25218', 8, 'Montcortes de Segarra', 251039, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25218', 9, 'La Mora', 251039, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25218', 10, 'Tordera', 251039, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25220', 1, 'Bell-Lloc D''Urgell', 250485, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25220', 2, 'Vensillo', 250485, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25221', 0, 'Els Alamus', 250045, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25222', 0, 'Sidamon', 252056, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25230', 0, 'Mollerussa', 251370, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25240', 1, 'Bellestar de Penelles', 251229, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25240', 2, 'Linyola', 251229, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25241', 0, 'Golmes', 250997, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25242', 0, 'Miralcamp', 251351, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25243', 0, 'El Palau D''Anglesola', 251581, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25244', 0, 'Fondarella', 250931, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25245', 1, 'Novella Alta', 252521, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25245', 2, 'Novella Baixa', 252521, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25245', 3, 'Vila-Sana', 252521, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25250', 0, 'Bellpuig', 250501, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25260', 1, 'Ivars D''Urgell', 251137, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25260', 2, 'Montale', 251137, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25261', 1, 'Almassor', 251641, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25261', 2, 'Vallverd D''Urgell', 251641, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25262', 1, 'Barbens', 250411, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25262', 2, 'El Bullidor', 250411, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25262', 3, 'Les Cases de Barbens', 250411, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25262', 4, 'Seana', 250501, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25263', 0, 'Preixana', 251765, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25264', 0, 'Vilanova de Bellpuig', 252483, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25265', 0, 'Castellnou de Seana', 250680, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25266', 1, 'Belianes', 250463, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25266', 2, 'Malda', 251305, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25267', 0, 'Lloren de Rocafort', 259025, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25268', 0, 'Vallbona de les Monges', 252385, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25269', 0, 'Rocallaura', 252385, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25270', 0, 'Sant Guim de Freixenet', 251924, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 1, 'Amoros', 251924, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 2, 'El Castell de Santa Maria', 251924, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 3, 'Freixenet i Altadill', 251924, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 4, 'Les Masies de Melio', 251924, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 5, 'Melio', 251924, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 6, 'Montlleo', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 7, 'Montpalau', 259059, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 8, 'Palamos', 251924, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 9, 'La Rabassa', 251924, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 10, 'Sant Domi', 251924, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 11, 'Sant Guim de la Rabassa', 251924, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25271', 12, 'Vergos Guerrejat', 250851, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('25280', 1, 'Castellvell', 252075, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 22, 'Poutas (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 23, 'Quilfonxe', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 24, 'Rairo (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 25, 'Sabariz (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 26, 'San Marcos', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 27, 'Santa Baia (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 28, 'Souto (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 29, 'Taborelas', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 30, 'Teixeira (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 31, 'Torre (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 32, 'Vilaboa (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 33, 'Xuiz', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32171', 1, 'Iglesia (Fuentefria-Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32171', 2, 'San Damian', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32171', 3, 'Sangiago (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 1, 'Abrucios', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 2, 'Albeiros', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 3, 'Alfonsin', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 5, 'Bergueira', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 6, 'Cachomanes', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 7, 'Casanova (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 8, 'Cerval', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 9, 'Cima de Vila (Rouzos)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 10, 'Cimadevila (Trasalba-Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 11, 'Fechos', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 12, 'Figueiras', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 13, 'Fondo de Vila (Trasalba-Amoeir', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 14, 'Fontefria (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 15, 'Fontemaior', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 16, 'O Formigueiro', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 17, 'Guilfonxe', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 18, 'Liares (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 19, 'Loureiro (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 20, 'Monte Asnal', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 21, 'Outeiro (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 22, 'Outeiro (Trasalba)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 23, 'Pazos (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 24, 'As Quintas (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 25, 'Reguengo (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 26, 'Rouzos', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 27, 'San Cosmedo (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 28, 'Soutomanco', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 29, 'A Torre de Rouzos', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 30, 'Toxo (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 31, 'Trasalba (San Pedro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 32, 'Vila (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32172', 33, 'Os Arcos', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32200', 0, 'Cortegada (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32202', 0, 'Casaldrigo', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 1, 'A Abelida', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 2, 'Aldea de Souto (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 3, 'Arnoia Seca', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 4, 'Casares da Virxe', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 5, 'Casares de Refoxos', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 6, 'Cerdeiral', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 7, 'Cimadevila (O Pao)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 8, 'Cimadevila (O Val)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 9, 'A Encoutada', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 10, 'Fondevila (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 11, 'A Freiria', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 12, 'A Levada', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 13, 'Louredo (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 14, 'Muradelle', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 15, 'O Outeiro (A Canle)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 16, 'A Pereira (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 17, 'Pereiras (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 18, 'Pion', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 19, 'Poulo (Gomesende)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 20, 'A Pousa (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 21, 'O Pousadoiro (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 22, 'A Raia', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 23, 'Refoxos', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 24, 'O Regueiro (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 25, 'A Torre (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 26, 'O Val (Gomesende)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 27, 'Vergazas', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 28, 'Vilaverde (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 29, 'Vilela (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 30, 'O Viso (Gomesende)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32211', 31, 'Zaparin', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 1, 'Abellas', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 2, 'Agrufeixe', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 3, 'Balteiro', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 4, 'As Barreiras (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 5, 'Buias', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 6, 'Os Cachopos', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 7, 'As Carballeiras (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 8, 'O Casal (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 9, 'A Veiga (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 10, 'Cerdal (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 11, 'Os Chaos (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 12, 'Cimadevila (San Lourenzo de Fu', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 13, 'Cortial', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 14, 'As Cortias (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 15, 'Couto (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 16, 'O Curro (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 17, 'Dornelas (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 18, 'O Dorno', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 19, 'Feardos', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 20, 'O Folon', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 21, 'Fustans', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 22, 'Garabelos (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 23, 'Gomesende (Capital)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 24, 'A Granxa (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 25, 'Guielas', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 26, 'Lamaboa', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 27, 'A Legumieira', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 28, 'Louredo (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 29, 'Mariz', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 30, 'Matama (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 31, 'O Meixueiro', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 32, 'Moreiras (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 33, 'O Noval', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 34, 'A Ocella', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 35, 'Ortias', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 36, 'Os Outeirios (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 37, 'Outeiro da Guia', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 12, 'Guimaras (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 13, 'A Lama (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 14, 'Lampazas', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 15, 'Lobaces (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 16, 'As Meiroas', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 17, 'Melon de Abaixo', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 18, 'Melon de Arriba', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 19, 'Mosteiro de Rocas', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 20, 'Pardeconde (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 21, 'Pardeconde (Xunqueira de Espad', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 22, 'Os Pensos', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 23, 'Quinta do Monte', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 24, 'A Quinta', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 25, 'As Raposas', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 26, 'O Rebolar', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 27, 'O Regueiro (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 28, 'San Pedro de Rocas', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 31, 'De Rota', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 32, 'San Enrique', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 33, 'San Jeronimo', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 34, 'Sandoval', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 35, 'La Tosca', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29140', 36, 'Vega Alta', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29150', 1, 'Almogia', 290115, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29150', 2, 'Arroyo de los Olivos', 290115, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29150', 3, 'Barranco de Zafra', 290115, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29150', 4, 'Barranco del Sol', 290115, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29150', 5, 'Campo de Camara (Almogia)', 290115, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29150', 6, 'Las Moras', 290115, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29150', 7, 'Los Rubios (Almogia)', 290115, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29150', 8, 'Monterroso', 290115, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29160', 1, 'Arroyo Coche (Casabermeja)', 290398, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29160', 2, 'Camino Real (Casabermeja)', 290398, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29160', 3, 'Casabermeja', 290398, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29160', 4, 'Chapera Madroal', 290398, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29160', 5, 'Portales', 290398, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29170', 1, 'Caravaca', 290430, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29170', 2, 'Colmenar', 290430, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29170', 3, 'Gonzalo', 290430, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29170', 4, 'Majada del Moro', 290430, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29170', 5, 'Solano', 290430, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29180', 0, 'Riogordo', 290831, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29190', 1, 'Puerto de la Torre', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29191', 1, 'Almendral', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29191', 2, 'Arroyo Espaa', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29191', 3, 'Atabal', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29191', 4, 'Barrio Mirlo', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29191', 5, 'Cortijuelo (Puerto de la Torre', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29191', 6, 'Fuente Alegre', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29191', 7, 'Huerta Nueva', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29191', 8, 'Morillas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29191', 9, 'Puente de Hierro', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29191', 10, 'Puerto del Sol', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29192', 0, 'Poligono de los Ramos', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29193', 1, 'Caseta de Obras Publicas', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29193', 2, 'Santon Pitar (Venta Galwey)', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29193', 3, 'Venta de la Nada', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29193', 4, 'Venta Galwey', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29194', 1, 'Alfarnate', 290038, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29194', 2, 'Alfarnatejo', 290043, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29194', 3, 'Cuatro Vientos (Alfarnate)', 290038, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29194', 4, 'Doa Ana', 290038, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29194', 5, 'Huertecillas', 290038, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29194', 6, 'Puerto Sabar', 290038, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29194', 7, 'Pulgarin Alto y Bajo', 290038, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29194', 8, 'Sabar', 290038, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 1, 'Alqueria (Comares)', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 2, 'Barrilero', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 3, 'Chamizas', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 4, 'Comares', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 5, 'Consul', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 6, 'El Cortijo', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 7, 'Las Cuevas de Comares', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 8, 'Las Cuevas Romo', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 9, 'Los Dioses', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 10, 'El Gallego', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 11, 'Los Gomez (Comares)', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 12, 'Los Marines (Comares)', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 13, 'Masmullar', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 14, 'Los Mijanos', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 15, 'La Noria (Comares)', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 16, 'El Olivar', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 17, 'Los Perez (Comares)', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 18, 'Rio (Comares)', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 19, 'El Romo', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 20, 'Ventorros de Comares', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 21, 'La Brea', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 22, 'Los Hijanos', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29195', 23, 'Rio Solano', 290445, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 2, 'Bizcochera', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 3, 'Ceramicas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 4, 'Cerveza Victoria', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 5, 'De los Chopos', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 6, 'Cortijo de San Jose', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 7, 'Hacienda la Paz', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 8, 'Haza de los Alamos', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 9, 'Intelhorce', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 10, 'Llanos de Perete', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 11, 'Poligono Santa Teresa', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 12, 'Pozos del Guadalhorce', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 13, 'Santa Cruz', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29196', 14, 'El Tarajal', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 1, 'Barriada Arroyo Galica', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 2, 'Los Castillos', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 3, 'Esparraguera', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 4, 'La Juana', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 5, 'Lagar Nuevo', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 6, 'Olias', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 7, 'Pedregales', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 8, 'El Rey', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 9, 'Las Saiciras', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 10, 'Totalan', 290923, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29197', 11, 'Zarzo', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29200', 1, 'Antequera', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29200', 2, 'Cotos de Gaen', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29210', 0, 'Cuevas de San Marcos', 290496, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29220', 0, 'Cuevas Bajas', 290477, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29230', 1, 'Villanueva de la Concepcion', 299023, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29230', 2, 'Villanueva de Cauche', 299023, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29230', 3, 'Campo de Camara (Villanueva de', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29230', 4, 'Hotel Las Pedrizas', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29230', 5, 'Puerto del Barco', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 1, 'Arroyo Coche (Villanueva de la', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 2, 'Barrio de Las Palomas', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 3, 'Barrio Seco', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 4, 'Cabreras Altas', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 5, 'Las Canteras (Santa Maria Cerr', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 6, 'Casa Eusebio', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 7, 'Casa Juan Luque', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 8, 'El Charcon', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 9, 'Morrillos Altos', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 10, 'La Mota', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 11, 'Pastelero', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 12, 'Los Sanchez', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 13, 'Santa Maria del Cerro', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29239', 14, 'Lomas de Rojas', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29240', 1, 'Valle de Abdalajis', 290939, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29240', 2, 'Huertas de Enfrente', 290939, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29250', 1, 'Cartaojal', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29250', 2, 'Los Llanos de Antequera', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29260', 1, 'La Joya Nogales', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29260', 2, 'Las Lagunillas', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29260', 3, 'Paraje de Jevar', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29300', 1, 'Archidona', 290173, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29300', 2, 'Saucedilla', 290173, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29310', 1, 'Albaicin', 290957, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29310', 2, 'Barranco del Agua', 290957, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29310', 3, 'Villanueva de Algaidas', 290957, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29310', 4, 'Zamarra', 290957, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29311', 1, 'La Atalaya', 290957, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29311', 2, 'La Parrilla', 290957, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29311', 3, 'La Solana (Villanueva Algaida)', 290957, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29312', 1, 'Las Huertas (Villanueva del R)', 290960, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30810', 2, 'Zarcilla de Ramos', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 1, 'Los Bonillos', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 2, 'El Churtal', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 3, 'Fontanares', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 4, 'Humbrias', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 5, 'Jarales', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 6, 'Ortillo', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 7, 'Parrilla', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 8, 'La Parroquia', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 9, 'Toma del Agua', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 10, 'La Tova', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30811', 11, 'Venta de los Coroneles', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30812', 1, 'Aviles', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30812', 2, 'Campico de los Lirios', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30812', 3, 'Coy', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30812', 4, 'Don Gonzalo', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30812', 5, 'Doa Ines', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30812', 6, 'La Paca', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30812', 7, 'Pantano de Valdeinfierno', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30812', 8, 'Rio', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30812', 9, 'Las Terreras', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30812', 10, 'Venta Osete', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 1, 'Alcanara', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 2, 'Alto Bordo', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 3, 'La Campana', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 4, 'Campillo (Campo de Aviacion)', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 5, 'Campillo (Lorca)', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 6, 'Ermita de los Carrasco', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 7, 'Escarihuela', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 8, 'La Escucha', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 9, 'Estanco del Moro', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 10, 'Las Norias', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 11, 'Los Oliveras', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 12, 'Puente Botero', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 13, 'Puente de Pasico', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 14, 'Purias', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 15, 'Venta de Purias', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30813', 16, 'Venta del Moro', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30814', 1, 'Barranco Hondo', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30814', 2, 'Casas Nuevas (Savallera)', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30814', 3, 'Sallavera', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30814', 4, 'Torralba', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30814', 5, 'Torrealvilla', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30814', 6, 'Venta Bernabe', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30814', 7, 'Zarzadilla de Totana', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30814', 8, 'Zona Industrial de Serrata', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30814', 9, 'Zuiga', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30815', 1, 'Aguaderas', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30815', 2, 'Campo Lopez', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30815', 3, 'Carrasquilla (Lorca)', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30815', 4, 'Marchena', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30815', 5, 'Santa Gertrudis', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30815', 6, 'Tercia (Lorca)', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30816', 1, 'Barrio Agricultores', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30816', 2, 'Hinojar', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30816', 3, 'La Hoya (La Hoya)', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30816', 4, 'El Porvenir', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30816', 5, 'San Julian', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30816', 6, 'Venta Chicharra', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30817', 1, 'Las Canales', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30817', 2, 'Cuesta Diaria', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30817', 3, 'Huerta Nublo', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30817', 4, 'Los Pacuales', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30817', 5, 'Poligono Industrial Lorca', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30817', 6, 'Puente Rosinoli', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30817', 7, 'Torrecilla', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30817', 8, 'Venta Gitano', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30817', 9, 'Las Ventanas', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30820', 0, 'Alcantarilla', 300050, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30830', 0, 'La ora', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30831', 1, 'Contraparada', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30831', 2, 'Fabrica de la Polvora', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30831', 3, 'La Huerta (Alcantarilla)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30831', 4, 'Javali Viejo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30831', 5, 'Molino Funes', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30832', 1, 'Campamento Santa Barbara', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30832', 2, 'Javali Nuevo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30833', 0, 'Sangonera la Verde', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 1, 'Los Anetos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 2, 'Cabreras Sangonera la Verde', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 3, 'Las Casillas', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 4, 'Castillo del Puerto', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 5, 'Cuevas del Norte', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 6, 'Ermita Nueva', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 7, 'Finca Vivos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 8, 'Los Guirao', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 9, 'Hipica', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 10, 'Lopez Ferrer', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 11, 'Molino de la Vereda', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 12, 'Del Moro', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 13, 'Olivera', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 14, 'La Purisima', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 15, 'San Juan', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 16, 'Torreguil', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30834', 17, 'Villa Forquera', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 1, 'Angel Buendia', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 2, 'Antonio Cuesta', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 3, 'Barrio de los Puches', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 4, 'Belen (Sangonera la Seca)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 5, 'Los Carpena', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 6, 'Casas del Cobarro', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 7, 'Ermita Rocas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 8, 'Los Fraile', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 9, 'Paso de los Carros', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 10, 'Los Pepitos', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 11, 'El Pereton', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 12, 'Los Peruchos (Sangonera-Laseca', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 13, 'El Puntarron', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 14, 'Sangonera la Seca', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 15, 'Los Teatinos (Sangonera la Sec', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 16, 'Venta de la Vereda', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 17, 'Venta la Pequea', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30835', 18, 'Los Voltetas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30836', 1, 'Del Beltran', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30836', 2, 'Camino de la Puebla', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30836', 3, 'La Escuderia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30836', 4, 'De Galicia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30836', 5, 'Del Modesto', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30836', 6, 'Puebla de Soto', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30836', 7, 'Puente Hierro', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30836', 8, 'Los Pujantes', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30837', 1, 'Almazara Blanca', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30837', 2, 'Barriada de San Jose Obrero (A', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30837', 3, 'Los Belmontes', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30837', 4, 'Caada del Molinero', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30837', 5, 'Caada Hermosa', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30837', 6, 'Ermita de Mesas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30837', 7, 'Los Guillermos', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30840', 0, 'Alhama de Murcia', 300085, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 1, 'Azaraque', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 2, 'El Berro', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 3, 'Celada', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 4, 'El Cenajo', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 5, 'El Collado (Espua)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 6, 'Escuela Hogar (Alhama)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 7, 'Espua', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 8, 'Farache', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 10, 'Gebas', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 18, 'Seixomil (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 19, 'Soutelo (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 20, 'Valongo', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 22, 'Xeixomil', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32216', 0, 'Pireira', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32220', 0, 'Cancela (Castrelo de Mio)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32225', 1, 'Aldea de Deva', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32225', 2, 'Baldomeira', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32225', 3, 'O Poste', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 1, 'Alen (Crespos)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 2, 'Amean', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 3, 'Baltamoron', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 4, 'A Barxa (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 5, 'As Canles', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 6, 'Carballal (Pradenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 7, 'Casal de Veco', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 8, 'Crespos (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 9, 'Freans (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 10, 'Gresufe', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 11, 'As Lamas (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 12, 'Morgade (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 13, 'O Pontillon', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 14, 'Redondelo', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 15, 'Requeixo (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 16, 'Rodenlas', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 17, 'San Amaro (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 18, 'San Roque de Crespos', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 19, 'Seoane (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 20, 'Zacumeira', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32226', 21, 'Zaqueiradas', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32227', 1, 'As Enfornadas', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32227', 2, 'Entrerrios', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32227', 3, 'Esmoriz', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32227', 4, 'Gorgua', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32227', 5, 'Grixo (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32227', 6, 'San Pedro da Torre', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32227', 7, 'Vilar (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 1, 'A Abeleira (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 2, 'Alen (Monte Redondo)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 3, 'Ancado', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 4, 'Cerdeiro (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 5, 'Chan do Crego', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 6, 'Chan do Forno', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 7, 'Cochos', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 8, 'Congostro (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 9, 'A Costa (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 10, 'Covelo (Monte Redondo)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 11, 'A Escusalla (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 12, 'Lapieiras', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 13, 'Ludeiro (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 14, 'Monterredondo', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 15, 'O Outeiro (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 16, 'Outon', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 17, 'Pardellas', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 18, 'O Pereiro (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 19, 'A Quinta (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 20, 'San Antonio (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32228', 21, 'San Antonio Padrenda', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 1, 'A Agra (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 2, 'A Agrela (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 3, 'Aldea de Souto', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 4, 'Azoreira', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 5, 'Barral (Pradenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 6, 'Barreiros (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 7, 'Os Campos (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 8, 'Cela de Abaixo', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 9, 'Cela de Arriba', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 11, 'Costeiro', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 12, 'Coucieiro (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 13, 'O Covelo (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 14, 'Eira de la Pela', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 15, 'A Embalsada', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 16, 'Ferreiros (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 17, 'Gomesendes (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 19, 'O Mato (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 20, 'Nogueira (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 21, 'A Pena (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 22, 'Pieiro (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 23, 'Pousafoles', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 24, 'A Rubia', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 25, 'Santa Baia (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32229', 26, 'Lavandeira', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32231', 8, 'Macendo', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32231', 16, 'Vilela (Castrelo de Mio)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32232', 3, 'Castrelo de Mio (Parroquia)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32232', 18, 'O Toledo', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32233', 1, 'O Outeiro', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 1, 'Abelleira (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 2, 'A Abelleira de Arriba', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 3, 'A Aldea (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 4, 'Cima de Vila (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 5, 'A Corredoira (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 6, 'Cruceiro (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 7, 'As Devesas', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 8, 'A Escusalla (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 9, 'Fontaia (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 10, 'Freans de Deva', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 11, 'Granxa (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 12, 'A Igrexa (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 13, 'Os Outeirios (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 14, 'Panoia', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 15, 'Pedrosa (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 16, 'A Ponte (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 17, 'Pontedeva', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 18, 'O Regueiro (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 19, 'Requeixo (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 20, 'O Saido', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 21, 'A Senra (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 22, 'Trado', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 23, 'Trado Pequeno', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 24, 'A Trigueira (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 25, 'Valdumeira', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 26, 'O Valio', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 27, 'A Veiga (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 28, 'A Venda (Pontedeva)', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32235', 29, 'Xinzo de Deva', 320646, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 1, 'Acivido', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 2, 'Agra de Desteriz', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 3, 'Carreira (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 4, 'Casagrandes', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 5, 'O Condado (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 6, 'A Corga (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 7, 'O Coto (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 8, 'Coto da Mo', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 9, 'As Cruces (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 10, 'Desteriz', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 11, 'Espias (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 12, 'Formarigo', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 13, 'A Frieira (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 14, 'Lordelo', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 15, 'A Notaria', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 16, 'Oleiros (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 17, 'Pazo (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 29, 'Soutelo (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 30, 'Tarreirigo', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 31, 'A Touza (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 32, 'Vilouriz (Nogueira de Ramuin)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 33, 'Xaravedra', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 1, 'O Barrio (Xunqueira de Espada', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 2, 'O Campo (Xunqueira de Espadane', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 3, 'A Carballeira (Xunqueira de Es', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 4, 'Carbuiz', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 5, 'A Caseta', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 6, 'A Celareira', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 7, 'A Eirexa (Xunqueira de Espadan', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 8, 'Espadanedo', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 9, 'A Graa (Xunqueira de Espadane', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 10, 'O Icho', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 11, 'O Mato (Xunqueira Espadanedo)', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 12, 'Niodaguia (Xunqueira de Espad', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 13, 'Paradela (Xunqueira de Espadan', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 14, 'O Pumar (Xunqueira de Espadane', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 15, 'As Quintairas', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 16, 'A Reboreda', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 17, 'San Pedro (Xunqueira de Espada', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32730', 18, 'Xunqueira de Espada', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32740', 1, 'Fondo de Vila (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32740', 2, 'Parada de Sil', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32740', 3, 'Sardela', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32740', 4, 'Barreiros (Maceda)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32740', 5, 'Bouzas (Maceda)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32740', 6, 'A Caseta (Montederramo)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32740', 7, 'A Palela', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32740', 8, 'O Rodicio (Maceda)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32747', 1, 'Chandreixa (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32747', 2, 'Chandrexa (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32747', 3, 'Margarida', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32747', 4, 'Sacardebois (San Martio)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 1, 'Barxacova', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 2, 'Bouzas (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 3, 'Calvos (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 4, 'Casa do Vento', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 5, 'A Casalta', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 6, 'Castieiras (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 7, 'Celeiron (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 8, 'As Cerdeiras (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 9, 'Cortias (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 10, 'A Costrela', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 11, 'A Hedrada (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 12, 'Espias (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 13, 'Os Fios', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 14, 'Forcas', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 15, 'Guendon', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 16, 'Ivil', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 17, 'A Lama (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 18, 'Leiravella', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 19, 'A Miranda', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 20, 'As Paradellas', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 21, 'A Pena (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 22, 'O Pombar (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 23, 'Pradomao', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 24, 'Purdeus', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 25, 'Rabacallos', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 26, 'San Lourenzo (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 27, 'A Senra (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 28, 'Tourel', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 29, 'O Val (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 30, 'O Valado', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 31, 'Valdemiotos (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 32, 'Verengo', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32748', 33, 'Vilar (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32749', 1, 'Castro (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32749', 2, 'Caxide', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32749', 3, 'Chamoso', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32749', 4, 'O Coutio', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32749', 5, 'O Couto (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32749', 6, 'Portela (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32749', 7, 'Requian', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32749', 8, 'Santigueiro (Parada de Sil)', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32749', 9, 'Teimende', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 1, 'A Ferreira', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 2, 'A Ferreiria (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 3, 'Fontedoso', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 4, 'Gabin', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 5, 'Laza (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 6, 'Mazaira (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 7, 'A Mogainza', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 8, 'Montederramo', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 9, 'Paredes (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 10, 'As Pereiras (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 11, 'Sabin', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 12, 'Suspiazo', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 13, 'Sustiazo', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 14, 'O Teixedo', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 15, 'Touzal', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 16, 'Valdarias', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 17, 'Veredo (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 18, 'Vilanova (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 19, 'Cimadevila', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 20, 'As Corrainzas', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 21, 'Ferron', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 22, 'Moas', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 23, 'Nogueira (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32750', 24, 'Viloxe (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 2, 'Casanova (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 3, 'Cascarballo', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 4, 'As Castieiras (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 5, 'A Cepada', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 11, 'A Graa (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 12, 'A Lama (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 13, 'As Lamas (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 15, 'Marrubio (Santo Andre)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 16, 'A Mioteira (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 22, 'A Reguenga (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 26, 'San Cosme', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 27, 'San Fitoiro (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 28, 'San Paio do Carballal', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 29, 'Sanfitoiro', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 30, 'Sas do Monte', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 32, 'A Veiga (Montederramo)', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 33, 'Verducedo', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 34, 'Vigueira de Abaixo', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 35, 'Vila Pequena', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32751', 37, 'A Xestosa', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32760', 0, 'Castro Caldelas', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 1, 'Abeleda (Teixeira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 2, 'Adedas', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 3, 'A Armada (A Teixeira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 4, 'Arriba', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 5, 'A Boga', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 6, 'Casa da Dona', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 7, 'Casanova (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 8, 'Castro (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29312', 2, 'Villanueva del Rosario', 290960, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 1, 'El Alamo', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 2, 'La Calera (Villanueva del Trab', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 3, 'Casilla de Vacas', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 4, 'Muriel', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 5, 'Villanueva del Trabuco', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 6, 'Cortijo Nuevo', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 7, 'El Chorrillero', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 8, 'El Cortijuelo (Villanueva del', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 9, 'Las Beatas', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 10, 'Los Frailes (Villanueva del Tr', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29313', 11, 'Morales', 290976, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29314', 1, 'Archidona', 290173, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29314', 2, 'Huertas del Rio', 290173, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29314', 3, 'Las Molinas', 290173, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29314', 4, 'Las Casillas (Archidona)', 290173, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29314', 5, 'Los Tejares', 290173, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29315', 1, 'Salinas', 290982, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29315', 2, 'De Salinas', 290982, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29315', 3, 'Venta Palomo', 290982, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29315', 4, 'Villanueva de Tapia', 290982, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29315', 5, 'Fuente del Fresno', 290982, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29315', 6, 'Haza Galera', 290982, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29315', 7, 'Las Montoras', 290982, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29315', 8, 'Mariandana', 290982, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29320', 0, 'Campillos', 290326, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29327', 1, 'Huertas y Montes', 290897, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29327', 2, 'Teba', 290897, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29327', 3, 'Huertas de Guadalteba', 290897, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29327', 4, 'Huertas de Torro', 290897, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29327', 5, 'Huertas de la Cueva', 290897, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29327', 6, 'La Venta', 290897, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29327', 7, 'Llano de la Estacion', 290897, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29327', 8, 'Molino Lucero', 290897, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29328', 0, 'Sierra de Yeguas', 290884, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29329', 0, 'Navahermosa', 290884, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29330', 0, 'Almargen', 290108, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29340', 0, 'Caete la Real', 290350, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29350', 0, 'Arriate', 290206, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29360', 0, 'Montejaque', 290748, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29370', 1, 'Benaojan', 290287, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29370', 2, 'De Benaojan', 290287, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29370', 3, 'Cueva de la Pileta', 290287, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29370', 4, 'La Ermita (Benaojan)', 290287, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29370', 5, 'El Quegigal', 290287, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29380', 1, 'Cortes de la Frontera', 290461, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29380', 2, 'El Robledal', 290461, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29391', 1, 'La Caada del Real Tesoro', 290461, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29391', 2, 'Cortes de la Frontera', 290461, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29392', 0, 'Jimera de Libar', 290635, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29393', 1, 'La Indiana', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29393', 2, 'Tabares Moreno Vicente', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29394', 1, 'La Cimada', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29394', 2, 'Parchite', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29395', 0, 'Caete la Real', 290350, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 1, 'Los Arenosos', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 2, 'Barranco de la Madera', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 3, 'Higueras Frontones los Frailes', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 4, 'Huerta Nueva Sancho Jaen', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 5, 'Lifa', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 6, 'Morales Santa Maria', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 7, 'Navares y Tejares', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 8, 'Peacerrada', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 9, 'Ronda', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 10, 'Rosalejo', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 11, 'Sanguijuela', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 12, 'Sierra de Las Nieves', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 13, 'Sijuela Molinos', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29400', 14, 'Vega de Santa Maria (Ronda)', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29410', 0, 'Yunquera', 291009, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29420', 0, 'El Burgo', 290311, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29430', 1, 'Montecorto', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29430', 2, 'Los Villalones', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29440', 0, 'Igualeja', 290607, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29450', 0, 'Pujerra', 290810, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29451', 0, 'Parauta', 290770, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29452', 0, 'Cartajima', 290379, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29460', 0, 'Alpandeire', 290141, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29461', 0, 'Farajan', 290521, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29462', 0, 'Juzcar', 290653, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29470', 0, 'Cuevas del Becerro', 290483, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29471', 0, 'Serrato', 290846, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29480', 0, 'Gaucin', 290568, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29490', 1, 'Benarraba', 290290, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29490', 2, 'El Colmenar (Estacion de Gauci', 290290, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29490', 3, 'Gaucin', 290290, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29490', 4, 'Macias', 290290, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29490', 5, 'Puerto de Las Heras', 290290, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29491', 1, 'Algatocin', 290069, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29491', 2, 'Benalauria', 290249, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29491', 3, 'Opayar', 290249, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29491', 4, 'Salitre', 290069, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29491', 5, 'Sierra (Benalauria)', 290069, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29491', 6, 'Vega (Benalauria)', 290069, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29492', 1, 'Benastepal', 290574, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29492', 2, 'Genalguacil', 290574, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29492', 3, 'Jubrique', 290640, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29492', 4, 'Pago del Estercal', 290574, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29492', 5, 'Pago del Higueron', 290574, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29492', 6, 'Solana (Jubrique)', 290574, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29492', 7, 'Umbria (Jubrique)', 290574, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29493', 1, 'Benadalid', 290228, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29493', 2, 'Genal', 290228, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29493', 3, 'La Sierra (Benadalid)', 290228, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29494', 0, 'Atajate', 290213, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29500', 1, 'Alora', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29500', 2, 'Arroyo Ancon', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29500', 3, 'Arroyo Jevar', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29500', 4, 'Las Lomas (Alora)', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29500', 5, 'Sabinal', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29500', 6, 'Vega Morales', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29500', 7, 'Vega Redonda', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 1, 'De Alora', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 3, 'Casablanquilla', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 4, 'La Gavia', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 5, 'Marquecha', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 6, 'Vega Malilla', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 7, 'Venta de la Tendilla', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 8, 'Arroyo Corrales', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 9, 'Arroyo Pedro Latorre', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 10, 'Barriada Bellavista (Alora Est', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 11, 'Barriada Bellavista (Alora)', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 12, 'Barriada el Puente (Alora)', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 13, 'Isla Hermosa', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 14, 'La Panera', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 15, 'Laja Prieta', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 16, 'Las Veredas', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 17, 'Los Caballos', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 18, 'Partido Algarrobo', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 19, 'Partido la Curea', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 20, 'Partido Las Cruces', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 21, 'Venta los Caballos', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29510', 22, 'Arroyo Morales', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29520', 0, 'Fuente Piedra', 290555, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29530', 0, 'Alameda', 290017, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29531', 1, 'Humilladero', 290593, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29531', 2, 'La Realenga', 290593, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29532', 1, 'Bellotas', 290727, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29532', 2, 'Camorra', 290727, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 9, 'Las Flotas (Alhama de Murcia)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 11, 'La Heredad', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 12, 'Los Molinos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 13, 'Moriana', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 14, 'El Olmillo', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 15, 'Pavos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 16, 'La Punta (Espua)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 17, 'El Ramblar', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 18, 'Regimiento Transmisiones (Alha', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 19, 'Santo Angel Alhama Nueva', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 20, 'Los Sebastianes', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 21, 'Los Secanos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 22, 'Los Tejares', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30848', 23, 'La Vereda (Secanos)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 1, 'Los Arromis', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 2, 'Barrio San Ramon', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 3, 'Belen (El Mojon)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 4, 'La Calavera (Mojon)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 5, 'Casas del Algibe', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 6, 'Caserio de los Muoces', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 7, 'Las Caadas', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 8, 'El Caarico', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 9, 'Ceaguerrero', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 10, 'Costera', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 11, 'El Mojon (Alhama de Murcia)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 12, 'Molata', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 13, 'La Punta (El Mojon)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 14, 'El Ral', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 15, 'Las Ramblillas', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 16, 'Venta Aledo', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 17, 'Venta del Rio', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 18, 'Venta Juan Santos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 19, 'Venta Rafaeles', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 20, 'Los Ventorrillos (El Mojon)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 21, 'La Vereda', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30849', 22, 'Los Vicentes (El Noion)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30850', 1, 'Lebor', 300392, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30850', 2, 'Los Llanos', 300392, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30850', 3, 'Morti Bajo Costera', 300392, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30850', 4, 'Morti Yechar', 300392, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30850', 5, 'Las Quebras', 300392, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30850', 6, 'Totana', 300392, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30850', 7, 'La orica', 300392, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 1, 'Los Andreas', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 2, 'Los Arteros', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 3, 'Los Cantareros', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 4, 'Caada del Romero', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 5, 'Los Frasquitos', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 6, 'Los Guardianes', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 7, 'Las Lomas (Venta del Pareton)', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 8, 'Los Lopez (Ventas del Parejon)', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 9, 'Los Merinos', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 10, 'Los Moralos', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 11, 'Pareton', 300392, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 12, 'Pulios', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 13, 'El Raiguero', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 14, 'Los Rillos', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 15, 'El Royo (Ventas del Pareton)', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 16, 'Los Serranos', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 17, 'Los Tudelas', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30858', 18, 'Venta del Pareton', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 1, 'Los Albaricoqueros', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 2, 'Aledo', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 4, 'Los Ayozos', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 5, 'Las Canales (Chichar)', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 6, 'La Charca', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 7, 'Chichar', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 8, 'Huerta Morti', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 9, 'Montisol', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 10, 'Morti', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 11, 'Nonihay', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 12, 'Santa Eulalia', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30859', 13, 'Santa Leocadia', 300063, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30860', 1, 'Barriada de la Torre', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30860', 2, 'El Cabezo', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30860', 3, 'Puerto de Mazarron', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30860', 4, 'La Reya', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30860', 5, 'El Rihuete', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30860', 6, 'Sol', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 1, 'Alamillo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 2, 'La Azohia', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 3, 'Las Balsicas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 4, 'Barriada de San Isidoro', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 5, 'Campillo de Adentro', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 6, 'Campillo de Afuera', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 7, 'La Cumbre', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 8, 'Isla Plana', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 9, 'El Limonar', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 10, 'Los Lorentes', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 11, 'Los Madriles (Campillo Adentro', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 12, 'El Mojon (Campillo de Adentro)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 13, 'San Gines', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 14, 'Venta de Navarro', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30868', 15, 'Villa Marin', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30869', 1, 'Nares Las Salinas', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30869', 2, 'Ordenacion Bahia', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30869', 3, 'La Pava', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30870', 1, 'Mazarron', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30870', 2, 'Camposol', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 1, 'Barranco de los Asensios', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 2, 'Barranco de Seca', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 3, 'Casa Tejada (Ramonete)', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 4, 'Caada del Gallego', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 5, 'Cuesta Cazadores (Ifre)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 6, 'Los Curas', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 7, 'Los Descalzos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 8, 'Ermita Ramonete', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 9, 'Estrecho de Mazarron', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 10, 'Fuente de Juan Rodriguez', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 11, 'Fuentecica', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 12, 'Ifre (Cuesta Cazadores)', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 13, 'Lebrillera', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 14, 'Pastrana', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 15, 'Percheles', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 16, 'Puntas de Calnegre', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 17, 'El Ramonete', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 18, 'Las Umbrias', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 19, 'Los Urreas', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30876', 20, 'Los Vaqueros', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 1, 'Bolnuevo', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 2, 'El Bonete', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 3, 'Castellar', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 4, 'Collado Blanco', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 5, 'Cuevas de Lobos', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 6, 'Espinar', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 7, 'Gauelas', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 8, 'Media Legua Bolnuevo', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 9, 'Las Moreras', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 10, 'Nares Bol Nuevo', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 11, 'Piezas Acosta', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 12, 'Puntabela', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 13, 'San Telmo', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30877', 14, 'Susana', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30878', 1, 'Atalaya (Morata)', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30878', 2, 'Caada de Egea', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30878', 3, 'Fuente Meca', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30878', 4, 'Leiva', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 18, 'Pozavella', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 19, 'Regueiro (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 20, 'Sa (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 21, 'Salgueiro (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 22, 'Sanfagundo', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 23, 'Souto (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 24, 'Tarendo', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 25, 'A Torre (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 26, 'A Travesa (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32236', 27, 'As Vendas (Padrenda)', 320564, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32243', 0, 'Os Antons', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32300', 0, 'O Barco Valdeorra', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32310', 1, 'Entrambas Augas', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32310', 2, 'Oval', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32310', 3, 'Reporicelo', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32310', 4, 'Rubia', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32310', 5, 'Trambasaugas', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32310', 6, 'O Val (Rubia)', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32311', 1, 'O Barrio de Cascalla', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32311', 2, 'Barrio E Castelo', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32311', 3, 'Biobra', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32311', 4, 'O Castelo (Rubia)', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32311', 5, 'Covas (Rubia)', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32311', 6, 'A Veiga de Cascalla', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32312', 1, 'Oulego', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32312', 2, 'O Porto (Rubia)', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32312', 3, 'O Real', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32312', 4, 'O Robledo da Lastra', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32313', 1, 'Cortes (Barco)', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 1, 'Alixo', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 2, 'Candis', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 3, 'As Carreiras (O Barco de Valde', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 4, 'O Castro (O Barco de Valdeorra', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 5, 'Coedo (Barco)', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 6, 'Millarouso', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 7, 'Raxoa', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 8, 'San Martio (Barco)', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 9, 'Santigoso (O Barco de Valdeorr', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 10, 'Santurxo', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 11, 'Soulecin', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32314', 12, 'Vilario (O Barco de Valdeorra', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32315', 1, 'Arnado (Vilamartin de Valdeorr', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32315', 2, 'Cesures', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32315', 3, 'Fervenza (O Barco de Valdeorra', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32315', 4, 'O Meiral', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32315', 5, 'Santa Maria (O Barco de Valde', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32315', 6, 'Vales (O Barco de Valdeorras)', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32315', 7, 'Viloira', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32316', 1, 'Arcos (Vilamartin de Valdeorra', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32316', 2, 'Baiuca (Corgomo)', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32316', 4, 'Carballal (Vilamartin de Valde', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32316', 6, 'As Gralleiras', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32316', 7, 'Mosteiro (O Barco de Valdeorra', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32316', 8, 'A Pobla', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32316', 10, 'Santa Marta (Vilamartin de Val', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32317', 1, 'Ferradal (O Barco de Valdeorra', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32317', 2, 'Pacios (O Barco de Valdeorras)', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32317', 3, 'Pieiro (O Barco de Valdeorras', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32317', 4, 'Termiana', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32317', 5, 'Tremia', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32317', 6, 'Veiga de Muios', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32317', 7, 'Xagoaza', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32318', 1, 'Castro Vilario', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32318', 2, 'Corrego', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32318', 3, 'Forcadela-Nogaledo', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32318', 4, 'Nogaledo', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32318', 5, 'Outarelo', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32318', 6, 'Pumedo', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32318', 7, 'Veigadecabo', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32318', 8, 'Vilanova (O Barco de Valdeorra', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32318', 9, 'Viloval', 320090, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32320', 1, 'Quereo', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32320', 2, 'Sobredo (Rubia)', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32329', 1, 'As Nogueiras (Carballeda)', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32329', 2, 'Pardollan', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32329', 3, 'Vilardesilva', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32329', 4, 'Vilar de Xeos', 320739, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32330', 0, 'Sobradelo (Carballeda)', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32334', 0, 'Viladequinta', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32336', 1, 'Casoio', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32336', 2, 'Ricosende', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32336', 3, 'Riodolas', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32336', 4, 'Soutadoiro', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32336', 5, 'Entoma', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32336', 6, 'Bascois', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32336', 7, 'Carballeda de Valdeorras', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32336', 8, 'Pusmazan', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32336', 9, 'Santa Cruz (Carballeda)', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32336', 10, 'Robledo de Domiz', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32337', 3, 'Casaio', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32337', 4, 'Lardeira', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32337', 5, 'Portela (Carballeda)', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32337', 6, 'Carballeda de Valdeorras', 320179, 32, 
    0, 11, 'E', 3, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32337', 9, 'Trigal', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32338', 1, 'Candeda (Carballeda)', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32338', 2, 'Domiz (Castro Caldelas)', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32338', 3, 'A Medua', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32338', 4, 'Novais', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32338', 5, 'Pumares (Carballeda)', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32338', 7, 'San Xusto', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32338', 8, 'Vila (Carballeda)', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32339', 0, 'San Xusto (Carballeda)', 320179, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32340', 1, 'Correxais (Vilamartin de Valde', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32340', 2, 'As Covas (Vilamartin de Valdeo', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32340', 3, 'Penouta (Vilamartin de Valdeor', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32340', 4, 'San Miguel do Outeiro', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32340', 5, 'Valencia do Sil', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32340', 6, 'Vilamartin de Valdeorras', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 1, 'A Aldea (Vilamartin de Valdeor', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 2, 'Cernego', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 3, 'Os Chelos (Vilamartin de Valde', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 4, 'Leira (Vilamartin de Valdeorra', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 5, 'O Mazo', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 6, 'O Robledo', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 7, 'San Vicente de Leira', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 8, 'Val de Godos', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 9, 'Corgomo', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 10, 'Barxeles', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32348', 11, 'Portela (Vilamartin)', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32349', 1, 'Santiago', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32349', 2, 'Vilanova (Vilamartin)', 320880, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32350', 1, 'Fontei', 320723, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32350', 2, 'A Rua de Valdeorras (A Rua)', 320723, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32356', 1, 'Casasola (Petin)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32356', 2, 'Petin', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 1, 'Carballal (Petin)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 2, 'Castrofoia', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 3, 'Cima de Vila (A Rua)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 4, 'As Fontelas (Petin)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 5, 'Granxa (Petin)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 6, 'Mones', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 7, 'Outeiro (Petin)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 9, 'Os Cerdeiros (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 10, 'Chaguacedo', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 11, 'A Chaira (Abeleda-Teixeira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 12, 'Cima de Vila (A Teixeira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 13, 'Cofra', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 14, 'O Couto (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 15, 'Covas (A Teixeira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 16, 'A Cruz (A Teixeira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 17, 'A Eirexa (Alais)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 18, 'Ivedo', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 19, 'A Lama (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 20, 'Lumeares', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 21, 'Noguedo', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 22, 'Nogueira (A Abeleda-Teixeira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 23, 'Pacios de Toutelle', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 24, 'O Pacio (Santa Tegra de Abeled', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 25, 'Paradela (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 26, 'Paradella', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 27, 'Pombar (A Teixeira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 28, 'Porteleiro', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 29, 'Pousada de Abaixo', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 30, 'A Ponte (A Teixeira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 31, 'O Regato', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 32, 'Resaio', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 33, 'O Rio (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 34, 'Rugil', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 35, 'O Sabugueiro', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 36, 'San Miguel (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 37, 'San Xurxo (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 38, 'Santa Tegra', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 39, 'Santiurxo', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 40, 'Santo (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 41, 'Sequeiro', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 42, 'O Sio', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 43, 'Soutelo (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 44, 'Soutelo (A Teixeira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 45, 'O Souto (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 46, 'A Touza (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 47, 'O Val (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32764', 48, 'A Veiga (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 1, 'Alende (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 2, 'O Barrio (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 3, 'Boazo', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 4, 'A Cabana (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 5, 'Cabo de Vila (Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 6, 'Casar do Mato (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 7, 'Celeiros (Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 8, 'Cristosende', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 9, 'A Eirexa (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 10, 'Fontao (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 11, 'A Lama (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 12, 'Montoedo', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 13, 'Nogueira (Boazo)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 14, 'Parafita (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 15, 'Pedra do Sol', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 16, 'Pedrafita', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 17, 'Portela (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 18, 'Quintairos (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 19, 'Quintela de Abaixo', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 20, 'Quintela de Arriba', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 21, 'Requeixo (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 22, 'Sistin', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 23, 'A Teixeira (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 24, 'Valilongo', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 25, 'Os Vazquez', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 26, 'A Veiga (A Teixeira)', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32765', 27, 'Xiras', 320809, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 1, 'Alende (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 2, 'Basteiros', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 3, 'Cambicia', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 4, 'Carballeiras (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 5, 'Casbeado', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 6, 'Casfarexa', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 7, 'Casixordo', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 9, 'A Eirexa (Mazaira)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 10, 'Espieiros (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 11, 'Folgoso (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 12, 'Gande', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 13, 'Iglesia (Tronceda-C.Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 14, 'Madanela', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 15, 'Mazaira (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 16, 'Molinos (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 17, 'O Pacio (Alais)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 18, 'A Pola', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 19, 'Quintela (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 20, 'Ruidos', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 21, 'Seoane (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 22, 'Susaus', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 23, 'Trabazos (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 24, 'Trandeira (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 25, 'Tronceda', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 26, 'A Ventosa (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 27, 'Vilarellos (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 28, 'Vimieiro', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32766', 29, 'Pacios de Condelle', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 1, 'Campo (Fitoiro)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 2, 'Carballo (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 3, 'Casanuez', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 4, 'Cimadevila (Chandrexa de Queix', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 5, 'Drados', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 6, 'Fitoiro', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 7, 'Lamas (Fitoiro-Chandrexa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 8, 'Rabal (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 9, 'San Martio (Castro Caldelas)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 10, 'Valdemiotos (Chandrexa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32767', 11, 'Pieiroa (Castro Caldelas)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 1, 'Abadia (Chandrexa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 2, 'Acevedo (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 3, 'Airas', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 4, 'Cadelia', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 5, 'O Campo (Rabal-Chandrexa de Qu', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 6, 'O Candedo', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 7, 'Casbolado', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 8, 'Castelaria', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 9, 'Casteloais', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 10, 'Cerdeiro (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 11, 'Fonvila', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 12, 'Gardueira (Chandrexa de Queix', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 13, 'Lamela (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 14, 'Montemiau', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 15, 'O Outeiro (Chandrexa de Queixa', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 16, 'Pedrouzo (Castro Caldelas)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 17, 'Queixa', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 18, 'A Quinta (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 19, 'San Fiz (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32768', 20, 'Santa Cruz (Chandrexa de Queix', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32894', 0, 'Bau', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29532', 3, 'Centro', 290727, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29532', 4, 'Mollina', 290727, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29532', 5, 'Los Ramirez', 290727, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29532', 6, 'Rojas', 290727, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29532', 7, 'Vega (Mollina)', 290727, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29533', 1, 'Carvajales', 290593, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29533', 2, 'Palomas (Barrio los Carvajales', 290593, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29533', 3, 'Nuevo Castao', 290593, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 1, 'Barriada Ortiz', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 2, 'Bobadilla', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 3, 'Casanueva', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 4, 'Casa Reina', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 5, 'Casas Santiago', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 6, 'Casilla de la Via', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 7, 'Casilla de San Luis', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 8, 'Casilla San Jose', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 9, 'Colonia de Santa Ana', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 10, 'Cortijo Ballesteros', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 11, 'Cortijo Burgueo', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 12, 'Cortijo Lucas', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 13, 'Cortijo Quemados', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 14, 'Eslava', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 15, 'Maravillas', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 16, 'Mariquilla', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 17, 'Molino Santiago', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 18, 'Nuestra Seora del Carmen', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 19, 'Recio', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 20, 'Torrecillas (Bobadilla)', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 21, 'Vado Carreta', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 22, 'Carretas', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 23, 'Cortijo Blanco (Bobadilla)', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 24, 'Cortijo Cucharal', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 25, 'Cortijo Eslava', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 26, 'Cortijo Maravillas', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 27, 'Cortijo Solano', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 28, 'El Jardin (Bobadilla)', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 29, 'Pozo Cortes', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29540', 30, 'Casarreina', 290154, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29550', 0, 'Ardales', 290189, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29551', 1, 'Carratraca', 290363, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29551', 2, 'Los Ventorrillos', 290363, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 1, 'Las Angosturas', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 2, 'Bombichar', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 3, 'El Chorro', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 4, 'Pantano de el Chorro', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 5, 'Los Romerales', 290189, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 6, 'La Teja', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 7, 'El Puerto', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 8, 'Arroyo Hierro', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 9, 'Cortijo Viedma', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 10, 'El Cerro (El Chorro)', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 11, 'Huertas de Abajo', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 12, 'La Almona', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 13, 'La Ermita', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 14, 'Las Casillas (El Chorro)', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29552', 15, 'Las Pedreras', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29553', 1, 'El Gaitanejo', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29553', 2, 'Gobantes', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29553', 3, 'Guadalteba', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29560', 1, 'Casillas de Diaz', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29560', 2, 'Pizarra', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29566', 1, 'Caicunes', 290402, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29566', 2, 'Cantarrana', 290402, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29566', 3, 'Casarabonela', 290402, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29566', 4, 'Cerrillos y Chirlita', 290402, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29566', 5, 'La Dehesa', 290402, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29566', 6, 'Huertas y Lomas', 290402, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29566', 7, 'Los Montes Prietos', 290402, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29566', 8, 'El Mopagan', 290402, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29566', 9, 'Taivilla y Almarajes', 290402, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29567', 1, 'Alozaina', 290136, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27377', 8, 'Bejan', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27377', 9, 'Xustas', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27378', 2, 'Moman (San Pedro) (Cospeito)', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27378', 3, 'Roas', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27379', 2, 'Arcilla', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27379', 3, 'Bestar', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27379', 11, 'Lamas (San Martin) (Cospeito)', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27379', 16, 'Sisoy', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27379', 17, 'Tamoga', 270155, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27380', 1, 'Parga (Parga Estacion)', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27380', 2, 'Parga (San Esteban)', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27380', 3, 'Parga (Santa Leocadia)', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27388', 0, 'Parga (San Breixo)', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27389', 0, 'Pedrafita (San Mamed) (Guitiri', 270229, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27390', 1, 'Encineira', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27390', 2, 'Montefurado', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27390', 3, 'Villanuiz', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27390', 4, 'Villaster', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27391', 1, 'Aguasmestas', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27391', 2, 'Barxa de Lor', 270500, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27391', 3, 'Quinta de Lor', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27392', 1, 'Chorente', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27392', 2, 'Froyan (San Saturnino)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27392', 3, 'Oural', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27400', 0, 'Monforte de Lemos (Casco Urban', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27410', 1, 'Parte', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27410', 2, 'Ribasaltas', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27410', 3, 'Valverde', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27411', 1, 'Chavaga', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27411', 2, 'Reigada', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27412', 1, 'Bascos', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27412', 2, 'Sindran', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27413', 2, 'Liares', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27413', 3, 'Pinel', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27413', 4, 'Rozabales', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27413', 5, 'Vilacha (San Mamed) (Puebla de', 270478, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27414', 1, 'Nocedas', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27414', 2, 'Penela', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27415', 1, 'Caneda', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27415', 2, 'Monte (Santa Maria) (Monforte', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27415', 3, 'Villamarin', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27416', 1, 'Gullade', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27416', 2, 'Guntin (Santa Lucia) (Monforte', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27416', 3, 'Marcelle', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27417', 0, 'Baamorto', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27418', 1, 'Chao de Fabeiro', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27418', 2, 'Fiolleda', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27418', 3, 'Vid', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27419', 1, 'Atan', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27419', 2, 'Distriz (San Andres) (Monforte', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27419', 4, 'Maante', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27419', 8, 'Seguin', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27419', 9, 'Toldaos (San Juan) (Panton)', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27420', 0, 'Pieira (San Martio) (Monfort', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27421', 1, 'Barantes', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27422', 1, 'Bulso', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27422', 2, 'Pinol', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27422', 3, 'Santiorjo', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27423', 1, 'Amandi', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27423', 2, 'Lobios', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27424', 0, 'Doade', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27425', 3, 'Bolmente', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27425', 4, 'Brosmos', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27425', 11, 'Figueiroa', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27425', 14, 'Refojo', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27430', 1, 'Ferreira de Panton (Casco Urba', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27430', 2, 'Ferreira de Panton (Sta Maria)', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27430', 3, 'Sios', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30878', 5, 'La Majada', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30878', 6, 'Morata', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30878', 7, 'Puerto Mariel', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30878', 8, 'Ujejar', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30879', 1, 'Cuesta Larga', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30879', 2, 'El Garrobo', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30879', 3, 'Las Hermanillas', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30879', 4, 'Los Palacios', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30879', 5, 'Rusticana', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30879', 6, 'El Saladillo (Galadillo)', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30879', 7, 'Los Serranos', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30879', 8, 'La Sierra', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30879', 9, 'La Solana', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30880', 0, 'Aguilas', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 1, 'Los Arejos', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 2, 'Burra Vieja', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 3, 'Calabardina', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 4, 'Calarreona (Cuesta de Gas)', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 5, 'Caracolina', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 6, 'Caada Brusca', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 7, 'El Charcon', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 8, 'Chuecos', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 9, 'El Cocon', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 10, 'Los Collados', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 11, 'Cope', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 12, 'Cuesta de Gos', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 13, 'El Garrobillo', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 14, 'Los Geraneos', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 15, 'Los Gorriones', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 16, 'Las Lomas (Cuesta de Gas)', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 17, 'Majada del Moro', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 18, 'El Sombrerico', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 19, 'Tebar', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 20, 'Todosol', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30889', 21, 'Venta San Felipe', 300032, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 1, 'Los Angeles (Puerto Lumbreras)', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 2, 'Barranco', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 3, 'Barranco Las Cruces', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 4, 'Barrio Frances', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 5, 'Las Beatas (Puerto Lumbreras)', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 6, 'Bejar', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 7, 'Casas de Hellin', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 8, 'Las Casicas (Puerto Lumbreras)', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 9, 'Puerto Lumbreras', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 10, 'Cortijo de la Cruz', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 11, 'Cortijo Paco Perez', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 12, 'Diego Torrente', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 13, 'Escuela N 2', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 14, 'Henares', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 15, 'Higuera Verde', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 16, 'Juan Artero', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 17, 'Las Minas', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 18, 'Molino Tio Pedro', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 19, 'El Molino (Puerto Lumbreras)', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 20, 'Nogalte', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 21, 'Peon Alto', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 22, 'Peon Bajo', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 23, 'Las Cinco Oliveras', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 24, 'Los Simones', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 25, 'Tienda de Jose Egea', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 26, 'Venta Petra', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30890', 27, 'Zarzalico', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30891', 1, 'El Albergue', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30891', 2, 'Esparragal de Puerto Lumbreras', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30891', 3, 'Esparragalico', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30891', 4, 'Espartal Mirones', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30891', 5, 'El Jurado', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30892', 0, 'Librilla', 300238, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30893', 0, 'Almendricos', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31001', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31002', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31003', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31004', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31005', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31006', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31007', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31008', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31009', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31010', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31011', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31012', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31013', 1, 'Pamplona', 310168, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31013', 2, 'Ansoain', 310168, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31013', 3, 'Artica', 319024, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31013', 4, 'Berriozar', 319030, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31014', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31015', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31016', 1, 'Mendillorri', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31016', 2, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31070', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31071', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31080', 0, 'Pamplona', 312016, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31100', 1, 'Puente la Reina', 312068, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31100', 3, 'Seorio de Sarria', 312068, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31109', 0, 'Artazu', 310399, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31110', 1, 'Aeropuerto Noain (Pamplona)', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31110', 2, 'Noain', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31119', 1, 'Guerendiain (Elorz)', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31119', 2, 'Imarcoain', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31119', 3, 'Oriz', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31119', 4, 'Torres de Elorz', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31120', 0, 'De Potasas', 999999, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31130', 0, 'Maeru', 311614, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31131', 0, 'Cirauqui', 310749, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31132', 0, 'Villatuerta', 312573, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31133', 1, 'Legarda', 311477, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31133', 2, 'Uterga', 312460, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31140', 0, 'Artajona', 310386, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31150', 0, 'Mendigorria', 311672, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31151', 0, 'Obanos', 311831, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31152', 0, 'Muruzabal', 311803, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31153', 1, 'Adios', 310076, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31153', 2, 'Eneriz', 310898, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31154', 1, 'Aorbe', 310180, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31154', 2, 'Tirapu', 312299, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31154', 3, 'Ucar', 312346, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31154', 4, 'Venta de Ucar', 310180, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31160', 0, 'Orcoyen', 319061, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31170', 1, 'Arazuri', 311939, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31170', 2, 'Iza', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31171', 1, 'Asiain', 311939, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31171', 2, 'Lizasoain', 311939, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31171', 3, 'Olza', 311939, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31171', 4, 'Ororbia', 311939, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 1, 'Aizpun', 311189, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 2, 'Anoz (Ollo)', 311189, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 3, 'Arteta', 311944, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 4, 'Azanza', 311189, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 5, 'Beasoain', 311944, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 6, 'Eguillor (Ollo)', 311189, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 7, 'Goi', 311189, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 8, 'Ilzarbe', 311944, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 9, 'Lete', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 10, 'Munarriz', 311189, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 11, 'Ollo', 311944, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 12, 'Saldise', 311944, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 13, 'Senosiain', 311944, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 14, 'Ulzurrun', 311944, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31172', 15, 'Urdanoz', 311189, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31173', 1, 'Artazcoz', 311939, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31173', 2, 'Ibero', 311939, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31173', 3, 'Izcue', 311939, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31173', 4, 'Izu', 311939, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 1, 'Arguiariz', 311213, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 2, 'Arraiza', 312628, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 3, 'Belascoain', 310522, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 4, 'Ciriza', 310752, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32414', 0, 'Abo', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 8, 'Pacio (A Rua)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 9, 'O Porto', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 10, 'Roblido (A Rua)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 11, 'A Rua Vella', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 12, 'San Fiz (A Veiga)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 13, 'San Paio (Petin)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 14, 'San Xulian', 320723, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 15, 'Santa Maria (Petin)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 16, 'Santoalla (Petin)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 17, 'O Seixo (O Bolo)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 18, 'Somoza (A Rua)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32357', 19, 'Vilela (A Rua)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32358', 1, 'Hermida Vella', 320381, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32358', 2, 'Larouco', 320381, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32358', 3, 'Poulo (Larouco)', 320381, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32358', 4, 'Seadur', 320381, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32360', 0, 'A Veiga (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32365', 1, 'A Ponte (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32365', 3, 'Requeixo (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32365', 4, 'San Lourenzo (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32365', 5, 'Xares', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32366', 1, 'Casdenodres', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32366', 2, 'Curra', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32366', 3, 'Hedreira (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32366', 4, 'Espio (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32366', 5, 'Lamalonga (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32366', 6, 'Meixide', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32366', 7, 'Prado (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32366', 8, 'Vilanova (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 1, 'Candeda (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 2, 'Carracedo (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 3, 'Castromarigo', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 4, 'Corexido', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 5, 'Meda', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 6, 'Poboado de Prada (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 7, 'Prada (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 8, 'Pradolongo', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 9, 'Riomao', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 10, 'Santa Cristina (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32368', 11, 'Vilaboa (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32369', 1, 'Baos (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32369', 2, 'Castromao (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32369', 3, 'Cima da Aldea (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32369', 4, 'Corzos (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32369', 5, 'A Eirexa (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32369', 6, 'Fondo da Aldea (Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32369', 7, 'Seoane (A Veiga)', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32369', 8, 'Valdin', 320837, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32370', 1, 'O Bolo (O Bolo)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32370', 2, 'Caseta (Petin)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32370', 3, 'Freixido de Abaixo', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32370', 4, 'Freixido de Arriba', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32371', 1, 'A Portela de Portomourisco', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32371', 2, 'A Portela (Larouco)', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32371', 3, 'Portomourisco', 320603, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32372', 1, 'Aceveda', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32372', 2, 'A Barxa (O Bolo)', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32372', 3, 'Celavente', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32372', 4, 'Chandoiro', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32372', 5, 'Lentellais', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32372', 6, 'Outardepregos', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32372', 7, 'San Martio (O Bolo)', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32373', 1, 'Chao Das Donas', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32373', 2, 'Fornelos (O Bolo)', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32373', 3, 'Os Orxais', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32373', 4, 'Paradela (O Bolo)', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32373', 5, 'San Pedro Dos Nabos', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32373', 6, 'Teixido', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32373', 7, 'Valdanta', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32373', 8, 'Xava', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32373', 9, 'Xorxais', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32374', 2, 'Cileiros', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32374', 3, 'Regueira (O Bolo)', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32374', 4, 'Valbuxan', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32374', 5, 'Vao (O Bolo)', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 1, 'Buxan (O Bolo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 2, 'Cambela (O Bolo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 3, 'Casasola (O Bolo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 4, 'Celeiros (O Bolo)', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 5, 'Chao de Castro', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 6, 'As Ermitas', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 7, 'Escadas', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 8, 'A Rigueira', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 9, 'Santa Cruz do Bolo', 320150, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 10, 'Tuxe', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32375', 11, 'Vilaseco (O Bolo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32400', 1, 'A Foz (Ribadavia)', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32400', 2, 'Ribadavia', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 1, 'Cima de Vila (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 2, 'A Cortella', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 3, 'O Coruxal (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 4, 'Cuestadocuco', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 5, 'A Hedreira (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 6, 'A Fonte Santa', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 7, 'As Mestas', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 8, 'Penavaqueira', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 9, 'A Ponte (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 10, 'O Retiro', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 11, 'Seoane (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 12, 'Touron', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32410', 13, 'Valmourisco', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 1, 'Barcia (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 2, 'O Casal (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 3, 'Codesas', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 4, 'A Eirexa (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 5, 'A Ibia', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 6, 'Melon', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 7, 'Melon (Santa Maria)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 8, 'Moces', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 9, 'Negrelle (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 10, 'Portalaxe', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 11, 'Portoalaxe', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 12, 'Portodechan', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 13, 'Quins', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 14, 'A Serra (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 15, 'Vilaverde (Melon)', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32411', 17, 'Vivenzo', 320467, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 1, 'A Costeira (Carballeda de Avia', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 2, 'Covelo (Melon)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 3, 'Covelo (Quins)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 4, 'As Fermosas', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 5, 'Fiscas', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 6, 'As Laceiras (Carballeda de Avi', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 7, 'Laxa Nova', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 8, 'Novoa', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 9, 'Prados (Carballeda de Avia)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 10, 'Turreiros', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 11, 'A Veronza', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 12, 'Vilar de Condes', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32412', 13, 'Vilario (Carballeda de Avia)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32413', 1, 'Carballeda de Avia', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32413', 2, 'Saa (Carballeda de Avia)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 1, 'Cacabelos (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 2, 'Campo Redondo', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 3, 'O Campo (Esposende-Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 4, 'Casar do Mato (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 8, 'Cuas', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 1, 'Aguil', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 2, 'Airavedra', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 3, 'Alenza (Montederramo)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 4, 'Barreal (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 5, 'As Barreiras (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 6, 'O Burgo (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 7, 'Bustelos', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 8, 'Camba (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 9, 'Carabelos', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 10, 'Carballo (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 11, 'Os Casares (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 12, 'Casasoa (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 13, 'Casfiel', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 14, 'Casguil', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 15, 'Casidron', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 16, 'Casmartio (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 17, 'Castomas', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 18, 'Cimadevila (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 19, 'Curro (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 20, 'Filgueiras (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 21, 'Iglesia (Vilamayor-C. Caldelas', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 22, 'A Medorra (Montederramo)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 23, 'Outeirio (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 24, 'Penedo (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 25, 'Pereiro (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 26, 'Pesqueiras', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 27, 'Pea', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 28, 'Pieira (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 30, 'Poboeiros', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 31, 'Portela (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 32, 'Pousa (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 33, 'Rasa de Abaixo', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 34, 'O Real da Pousa', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 35, 'San Pedro (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 36, 'San Xulian (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 37, 'Santiago da Medorra', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 38, 'Suspieiros', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 39, 'Trambasaguas', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 40, 'Valverde (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 41, 'Vilamaior (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 42, 'Vilanova (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 43, 'Vilar de Oleiros', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 44, 'Vilar de Oleiros (Castro Calde', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 45, 'O Acevedo (Montederramo)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 46, 'A Fervenza (Montederramo)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 47, 'As Lamelas (Montederramo)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 48, 'O Outeiro (Montederramo)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 49, 'Os Pereiros (Montederramo)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 50, 'O Regueiro (Montederramo)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 51, 'Reixa', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32769', 52, 'Valderrique', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 1, 'A Alenza (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 2, 'O Campo (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 3, 'Cerniza', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 4, 'Domecelle', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 5, 'Fondo de Vila (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 6, 'Mouruas', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 7, 'Pena do Lameiro', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 8, 'A Ponte Navea', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 9, 'A Pousa (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 10, 'O Reboledo', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 11, 'San Xoan de Rio', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32770', 12, 'A Torre Vella', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32774', 0, 'O Campo (Castro Caldelas)', 320230, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32778', 1, 'As Cabanas (Rio)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32778', 2, 'San Xurxo (Rio)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32778', 3, 'Senreiro', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 1, 'Abelaido', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 2, 'Acevido', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 3, 'A Airexa', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 4, 'Arboiro', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 5, 'Argas Vellas', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 6, 'O Barreal (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 7, 'Bexe', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 8, 'Cambela (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 9, 'O Carballo (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 10, 'Casdelope', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 11, 'Castieiro', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 12, 'Os Cerdeiros (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 13, 'As Cortes (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 14, 'A Cruz (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 15, 'Eirexa (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 16, 'A Fonte (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 17, 'Medos', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 18, 'O Outeiro (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 19, 'Pacios de San Xurxo (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 20, 'As Ribadas', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 21, 'San Fitoiro (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 22, 'San Miguel (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 23, 'San Silvestre (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 24, 'Santa Cruz (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 25, 'Seoane (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 26, 'Teixeira (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 27, 'Toutelle', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 28, 'Valados', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 29, 'Valdonedo', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 30, 'Vilarda', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32779', 31, 'O Xunquedo', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32780', 1, 'Cabeza de Manzaneda', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32780', 2, 'A Pobra de Trives', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32780', 3, 'A Portela (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32780', 4, 'Trives', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32781', 1, 'Manzaneda', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32781', 2, 'A Mata', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32781', 3, 'Prada (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32781', 4, 'Rozavales', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32781', 5, 'San Martio (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32781', 6, 'Seoane (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32782', 1, 'Barbeiron', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32782', 2, 'Cimadevila (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32782', 3, 'A Corredoira (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32782', 4, 'Escourido', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32782', 5, 'Monteboi', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32782', 6, 'Paradela (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32782', 7, 'Retorta (A Pobra de Trives)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32782', 8, 'Sobrado (A Pobra de Trives)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32782', 9, 'Soutelo (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32782', 10, 'Souto (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32783', 2, 'Requeixo (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32784', 1, 'Bidueira', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32784', 2, 'San Miguel de Vidueira', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32784', 4, 'Touza (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32784', 5, 'San Vicenzo', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 1, 'Borruga', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 2, 'Cernado', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 3, 'Cesuris', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 4, 'Cimadevila (Cesuris-Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 5, 'Cubeiros', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 6, 'Langullo', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 7, 'A Madroa', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 8, 'Palleiros', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27437', 1, 'Acedre', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27437', 2, 'Cangas (San Pedro Felix) (Pant', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27437', 3, 'Cangas (Santiago) (Panton)', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27437', 4, 'Deade', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27437', 5, 'Fronton', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27437', 6, 'Serode', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27438', 1, 'Castillon (San Vicente)', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27438', 2, 'Castillon (Santiago)', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27438', 3, 'Panton (San Martio)', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27439', 1, 'Eire', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27439', 2, 'Ribas de Mio (San Andres) (Pa', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27439', 3, 'Vilar de Ortelle', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27440', 0, 'Canabal', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27450', 1, 'Espasantes', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27450', 2, 'Vilamelle', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27460', 1, 'Arrojo (San Martin) (Sober)', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27460', 2, 'Proendos', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27460', 3, 'Sober (Casco Urbano)', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27466', 1, 'Anllo (San Esteban)', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27466', 2, 'Anllo (San Martin)', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27466', 3, 'Millan', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27466', 7, 'Rosende (San Miguel) (Sober)', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27466', 8, 'Villaoscura', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27468', 1, 'Neiras', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27469', 2, 'Gundivos', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27469', 3, 'Liaran', 270594, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27470', 0, 'Pombeiro', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27500', 0, 'Chantada (Casco Urbano)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27510', 1, 'Limion', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27510', 2, 'Mouricios', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27510', 3, 'Muradelle', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27511', 1, 'Ada', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27511', 2, 'Argozon', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27511', 3, 'Monte (San Miguel) (Chantada)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27512', 1, 'Laxe (San Juan) (Chantada)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27512', 2, 'Mato (San Julian) (Chantada)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27513', 1, 'Agrade', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27513', 2, 'Bermun', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27513', 3, 'Esmeriz', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27513', 4, 'Esmoriz', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27513', 5, 'Requeixo', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27513', 6, 'Viana (San Pedro)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27514', 1, 'Belesar (San Bartolome) (Chant', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27514', 2, 'Camporramiro', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27514', 3, 'Lincora', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27514', 4, 'Vilauxe (El Salvador)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27515', 1, 'Arriba', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27515', 5, 'Nogueira (Santa Maria) (Chanta', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27515', 6, 'Vilauxe o Saria', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27516', 1, 'Asma (San Felix) (Chantada)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27516', 3, 'Chantada (Santa Marina)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27516', 4, 'Pesqueiras', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27517', 2, 'Merlan (Santo Tome) (Chantada)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27517', 3, 'Sabadelle (Santa Maria) (Chant', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27518', 1, 'Arcos (Sta Maria) (Chantada)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27518', 2, 'Asma (Resto Parroquia San Jorg', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27518', 3, 'Fornas', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27518', 4, 'Mariz (San Martin) (Chantada)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27519', 1, 'Asma (El Salvador) (Chantada)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27519', 2, 'Asma (Seijo)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27519', 3, 'Asma (Sta Eugenia) (Chantada)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27519', 4, 'Brigos', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27519', 6, 'Viana (Santa Cruz)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27520', 1, 'La Barrela', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27520', 2, 'Losada (Santiago) (Carballedo)', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27527', 1, 'Asma (Sta Cristina) (Carballed', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27527', 2, 'Cartelos', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27527', 3, 'Castro (Santa Marina) (Carball', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27527', 4, 'Furco (San Gregorio) (Carballe', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27527', 5, 'Lobelle', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27528', 1, 'Bubal (El Salvador)', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27528', 2, 'Bubal (Sta Eulalia)', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27528', 3, 'Campos (Resto Parroquia)', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27528', 4, 'Carballedo (Santa Maria)', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27528', 5, 'Marzas', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27528', 6, 'Temes', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27529', 1, 'Aguada', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27529', 2, 'Bucios', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27530', 1, 'Castro (San Cristobal) (Carbal', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27530', 2, 'Losada (San Mamed) (Carballedo', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27531', 1, 'Beascos (Resto Parroquia)', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27531', 2, 'Villaquinte (Santa Maria) (Car', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27532', 1, 'Chouzan', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27532', 2, 'Cova', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27532', 3, 'Herbedeiro', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27533', 1, 'Beascos (Folgar)', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27533', 3, 'Milleiros (San Juan) (Carballe', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27533', 4, 'Olleros', 270095, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27533', 5, 'Pereira', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27533', 6, 'Pradeda (Santiago) (Carballedo', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27540', 1, 'Escairon (Casco Urbano)', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27540', 2, 'O Saviao (Capitalidad: Escair', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27543', 0, 'Villaesteva (El Salvador)(Savi', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27544', 1, 'Chave', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27544', 2, 'Reiriz (Sta Maria) (Saviao)', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27545', 1, 'Ribas de Mio (San Vitorio) (S', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27545', 2, 'Segan', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27546', 1, 'Abuime', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27546', 2, 'Broza', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27546', 3, 'Ousende', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27546', 4, 'Seteventos (Santa Maria) (Savi', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27546', 5, 'Sobreda', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27546', 6, 'Villacaiz', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27547', 1, 'Frean', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27547', 2, 'Iglesiafeita', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27547', 3, 'Laxe (San Felix) (Saviao)', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27547', 4, 'Louredo', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27547', 5, 'Marrube', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27547', 6, 'Pieiro (San Saturnino) (Savi', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27547', 7, 'Rebordaos (Sta Eulalia) (Savi', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27547', 8, 'Vilatan', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27547', 9, 'Vilelos', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27547', 14, 'Xubencos', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27548', 1, 'Acova', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27548', 2, 'Diamondi', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27548', 3, 'Fion', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27548', 4, 'Licin', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27548', 5, 'Mourelos', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27548', 6, 'Rosende (Santa Maria) (Savia', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27549', 1, 'Mato (San Esteban) (Panton)', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27549', 2, 'Tribas', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27549', 3, 'Villasante (El Salvador) (Savi', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27550', 1, 'Carballo (Santo Tome) (Taboada', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27550', 2, 'Taboada (Casco Urbano)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27554', 1, 'Ansar', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27554', 2, 'Frade', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27555', 1, 'Bouza', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27555', 2, 'Cerdeda (Taboada)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27555', 3, 'Gondulfe', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27555', 4, 'Mato (San Martin) (Taboada)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27555', 6, 'Taboada Dos Freires', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 5, 'Echarri (Echarri)', 311213, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 6, 'Echauri', 310832, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 7, 'Elio', 310752, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 8, 'Eriete', 310765, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 9, 'Larraya', 310765, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 10, 'Otazu', 310850, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 11, 'Ubani', 312628, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 12, 'Vidaurreta', 312536, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31174', 13, 'Zabalza (Zabalza)', 311213, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31175', 1, 'Izurzu', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31175', 2, 'Muniain de Guesalaz', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31175', 3, 'Salinas de Oro', 312140, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31176', 1, 'Arguiano', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31176', 2, 'Guembe', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31176', 3, 'Irujo', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31176', 4, 'Iturgoyen', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31176', 5, 'Muez', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31176', 6, 'Riezu', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31176', 7, 'Vidaurre', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31176', 8, 'Villanueva (Yerri)', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31177', 1, 'Arizala', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31177', 2, 'Arizaleta', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31177', 3, 'Azcona', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31177', 4, 'Las Casetas de Arizaleta', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31177', 5, 'Ibiricu de Yerri', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31177', 6, 'Iruuela', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31177', 7, 'Lezaun', 311542, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31177', 8, 'Ugar', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31178', 1, 'Abarzuza', 310023, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31178', 2, 'Anderaz', 310023, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31178', 3, 'De Iranzu', 310023, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31178', 4, 'Monasterio de Iranzu', 310023, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31179', 1, 'Bearin', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31179', 2, 'Muru (Yerri)', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31180', 0, 'Zizur Mayor', 319077, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31190', 1, 'Astrain', 310765, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31190', 2, 'Cizur Menor', 310765, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31190', 3, 'Gazolaz', 310765, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31190', 4, 'Muru-Astrain', 310765, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31190', 5, 'Paternain', 310765, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31190', 6, 'Sagues', 310765, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31190', 7, 'Undiano', 310765, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31190', 8, 'Zariquiegui', 310765, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31191', 1, 'Arlegui', 311094, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31191', 2, 'Barbatain', 311094, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31191', 3, 'Beriain', 319058, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31191', 4, 'Cordovilla', 311094, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31191', 5, 'Esparza de Galar', 311094, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31191', 6, 'Esquiroz (Galar)', 311094, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31191', 7, 'Galar', 311094, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31191', 8, 'Olaz Subiza', 311094, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31191', 9, 'Salinas de Pamplona', 311094, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31191', 10, 'Subiza', 311094, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 1, 'Aranguren', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 2, 'Ardanaz de Egues', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 3, 'Badostain', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 4, 'Gongora', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 5, 'Ilundain', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 6, 'Labiano', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 7, 'Laquidain', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 8, 'Mutilva Alta', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 9, 'Mutilva Baja', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31621', 0, 'Sarriguren', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 11, 'Tajonar', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31192', 12, 'Zolina', 310235, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 1, 'Belzunce', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 2, 'Beorburu', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 3, 'Eguaras', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 4, 'Garciriain', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 5, 'Larrayoz', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 6, 'Marcalain', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 7, 'Navaz', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 8, 'Nuin', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 9, 'Ollacarizqueta', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 10, 'Osacar', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31193', 11, 'Usi', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 1, 'Aderiz', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 2, 'Arre', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 3, 'Azoz', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 4, 'Cildoz', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 5, 'Eusa', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 6, 'Ezcaba', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 7, 'Garrues', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 8, 'Maquirriain (Ezcabarte)', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 9, 'Oricain', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 10, 'Orrio', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 11, 'Sorauren', 311017, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31194', 12, 'Unzu', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31195', 1, 'Aizoain', 319024, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31195', 4, 'Aezcar', 319024, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31195', 5, 'Ballariain', 319024, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31195', 6, 'Berrioplano', 319024, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31195', 7, 'Berriosuso', 319024, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31195', 9, 'Elcarte', 319024, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31195', 10, 'Larragueta', 319024, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31195', 11, 'Loza', 319024, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31195', 12, 'Oteiza (Ansoain)', 319024, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31200', 0, 'Estella/Lizarra', 310977, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31208', 1, 'Complejo de Irache', 310410, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31208', 2, 'Irache', 310410, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31209', 1, 'De Irache', 999999, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31209', 2, 'Monasterio de Irache', 999999, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31210', 0, 'Los Arcos', 310291, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31219', 1, 'Cabrega', 311751, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31219', 2, 'Mirafuentes', 311705, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31219', 3, 'Mues', 311751, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31219', 4, 'Otiano', 312303, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31219', 5, 'Piedramillera', 312042, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31219', 6, 'Sorlada', 312251, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31219', 7, 'Ubago', 311666, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31220', 0, 'Sansol', 312191, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31227', 1, 'Cabredo', 310636, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31227', 2, 'Genevilla', 311167, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31227', 3, 'Lapoblacion', 311419, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31227', 4, 'Maraon', 311629, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31227', 5, 'Meano', 311419, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31228', 1, 'Aguilar de Codes', 310082, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31228', 2, 'Armaanzas', 310351, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31228', 3, 'Azuelo', 310431, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31228', 4, 'Espronceda', 310961, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31228', 5, 'Torralba del Rio', 312303, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31229', 1, 'Bargota', 310478, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31229', 2, 'El Busto', 310478, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31229', 3, 'Desojo', 310790, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31229', 4, 'Torres del Rio', 312310, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31230', 0, 'Viana', 312515, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29567', 2, 'Jorox', 290136, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 1, 'Arroyo de Casarabonela', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 2, 'Casablanca (Pizarra)', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 3, 'Cerralba', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 4, 'Cortijo Luna', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 5, 'Domecq', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 6, 'Ermita de la Fuensanta', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 7, 'Gibralgalia', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 8, 'Lagares', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 9, 'Mosquera (Gibralgalia)', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 10, 'El Parador', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 11, 'Pizarra', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 12, 'Portugalete', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 13, 'Sierra de Gibralgalia', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 14, 'Vega del Marques', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 15, 'Vega Ribera', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 16, 'Vega de Santa Maria (Pizarra)', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 17, 'Villalon', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 18, 'Zalea', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 19, 'Barriada Hipolito', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 20, 'Casas Teja', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 21, 'Cerro Aguililla', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 22, 'Cerro Piter', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 5, 'Castieira (Ribadavia)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 6, 'As Chabolas', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 7, 'O Coedo (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 9, 'Esposende', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 10, 'A Groba (Ribadavia)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 11, 'Lentille', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 12, 'O Olivar (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 13, 'Pazos Ermos (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 14, 'As Quintas (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 15, 'Saa (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 16, 'San Lourenzo (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 17, 'Santa Maria (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 18, 'O Seixo (Ribadavia)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 19, 'A Torre (Esposende-Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 20, 'Val de Pereira', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 21, 'Ventosela (Ribadavia)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32415', 22, 'Sanin', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32416', 1, 'A Franqueiran', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32416', 2, 'Regodeigon', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32416', 3, 'San Cristovo (Ribadavia)', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32416', 4, 'San Estebo de Novoa', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32416', 5, 'A Veiga (Carballeda de Avia)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 1, 'A Arnoia', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 2, 'Bacelo (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 3, 'Os Chaos (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 4, 'Figueiria', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 5, 'A Laxa (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 6, 'Outeiro Cruz', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 7, 'A Paixon', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 8, 'Pazo (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 9, 'Porqueira (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 10, 'Quinteiros (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 11, 'A Reza (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 12, 'San Amaro (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 14, 'Sendin', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 15, 'Lapela (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 16, 'Carnos', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 17, 'Nogueiredo (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 18, 'Pela', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 19, 'Peneda', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 20, 'Pumar', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 21, 'Remuio', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 22, 'Rial', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 23, 'A Ponte Arnoia', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32417', 24, 'O Pomar (Arnoia)', 320034, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32418', 1, 'Francelos', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32418', 2, 'Prexigueiro (Ribadavia)', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32418', 3, 'Quinza', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32418', 4, 'A Quinza', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32418', 5, 'San Paio (Ribadavia)', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32418', 6, 'Santa Cristina (Ribadavia)', 320697, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 1, 'Atrio (Leiro)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 2, 'Barzamedelle (Bieite)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 3, 'Batoca (Leiro)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 4, 'Bieite', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 5, 'Cabo de Vila (Leiro)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 7, 'Carteiros', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 8, 'Churide', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 9, 'Cimadevila (Leiro)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 10, 'Cruceiro (Leiro)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 11, 'Ibedo', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 12, 'Lapela (Padrenda)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 14, 'Nueva (Bieite)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 19, 'Pontia', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 20, 'Portopazos', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 24, 'Torron (Leiro)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 25, 'Val (Leiro)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32419', 26, 'Veigas', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32420', 0, 'Leiro (Capital)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 1, 'Aduana', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 2, 'A Agra (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 3, 'Albarro', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 4, 'Beran', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 5, 'Caldelas', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 6, 'Calesa', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 7, 'Casanova (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 8, 'Casar (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 9, 'Costa (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 10, 'Cotofrio', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 11, 'Cruz (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 12, 'Eirado', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 13, 'Fontaias', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 14, 'Moredo (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 15, 'Moreira Leiro', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 16, 'Quinteiro (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32425', 17, 'Trasouteiro (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32426', 1, 'As Cortes (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32426', 2, 'Orega', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32426', 3, 'O Outeiro (Orega)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32426', 4, 'Souto (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 1, 'Barouta', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 2, 'Candendo', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 3, 'Corbal', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 4, 'Cortellas', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 5, 'Eira de Mouros', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 6, 'A Fervenza (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 7, 'A Groba (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 8, 'Loureiros', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 9, 'Mein', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 10, 'Outeiro (Cenlle)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 11, 'Outeiro (Lebosende)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 12, 'A Ponte (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 13, 'Ribeira', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 14, 'Rubial', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 15, 'San Roque (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 16, 'A Veiga (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32427', 17, 'Vilaverde (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 1, 'Barral (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 2, 'Barzamedelle (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 3, 'O Cabo (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 4, 'Carnea', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 5, 'O Casar (Lamas-Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 6, 'Eido da Vila', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 7, 'Lamas (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 8, 'Lebosende', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 9, 'Meson de Pardo', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 10, 'Nogueira (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 11, 'Osebe', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 12, 'Paredes (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 13, 'Pena Corneira', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 14, 'Sa (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 15, 'San Clodio', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 16, 'San Tome (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 17, 'Serantes', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 18, 'Suigrexa (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 19, 'Valboa (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32428', 20, 'Vioa (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32429', 1, 'Barro (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32429', 2, 'Cubilledo', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32429', 3, 'Gomariz (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32429', 4, 'Lalon', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32429', 5, 'Lama do Barco', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32429', 6, 'Outeiro (Gomariz)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32429', 7, 'Pazo (Leiro)', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32429', 8, 'A Vilerma', 320408, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 10, 'Candosa', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 11, 'Cerdeira', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 12, 'Ramiras (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 14, 'Coto de Magros', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 9, 'Rebodepo', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 10, 'Reigada', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 11, 'Sampaio (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 12, 'San Pedro (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 13, 'Soutipedre', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 14, 'Trabazos (Manzaneda)', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 15, 'Vilarmeao', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 16, 'Placin', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32785', 17, 'Tonxil', 320441, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 1, 'Bozqueimado', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 2, 'Bretelo', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 3, 'Cardiego', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 4, 'O Castelo (Chandrexa de Queixa', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 5, 'Celeiros (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 6, 'Chandrexa de Queixa', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 7, 'A Espasa', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 8, 'Forcadas (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 9, 'Lamas (Celeiro-Chandrexa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 10, 'Parafita', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 11, 'Perafita', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 12, 'Queigelia', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 13, 'Requeixo de Chandrexa', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 14, 'A Senra (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 15, 'As Taboazas (Chandrexa de Quei', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 16, 'A Ventosa (Chandrexa de Queixa', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 17, 'Vilar (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 18, 'Vilaceleiros', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 19, 'Zamorela', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 20, 'Cova', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32786', 21, 'Parada Seca (Chandrexa Dee Que', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32787', 1, 'Anaraja', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32787', 2, 'Casteligo', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32787', 3, 'O Castro (A Pobra de Trives)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32787', 4, 'O Chao (Chandrexa de Queixa)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32787', 7, 'Pedreira (A Pobra de Trives)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32787', 8, 'San Mamede (A Pobra de Trives)', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32787', 9, 'Navea', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 1, 'Barrio (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 2, 'A Borren (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 3, 'A Cal (Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 4, 'O Campo (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 5, 'Casenando', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 6, 'Castrisanto', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 7, 'Cimadevila (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 8, 'A Eirexa (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 9, 'Os Lameiros', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 11, 'Pareisas', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 12, 'A Pedela', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 13, 'Pena Folenche', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 14, 'A Ponte Nova (A Pobra de Trive', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 15, 'Puente Nuevo (A Pobra de Trive', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 16, 'A Quinta (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 17, 'Ribon', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 18, 'San Lourenzo (A Pobra de Trive', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 19, 'Sas de Xunqueira', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 20, 'O Seixo (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32788', 21, 'Vilaboa (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 1, 'Acevoso', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 2, 'O Alcouce (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 3, 'A Anagaza', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 4, 'A Arrotea de Abaixo', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 5, 'A Arrotea de Arriba', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 6, 'Os Carballos (A Pobra de Trive', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 7, 'Os Casares (Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 8, 'Castrelo (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 9, 'O Cazapedo', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 10, 'O Covo', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 11, 'A Corga (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 12, 'Cotaros', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 13, 'Os Curras (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 14, 'A Encomenda', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 15, 'Escuadrio', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 16, 'Os Fernandez', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 17, 'Filgueira (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 18, 'Fondo de Vila (A Pobra de Triv', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 19, 'A Lama (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 20, 'O Mato (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 21, 'Mendoia', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 22, 'Mormenta', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 23, 'Mosteiro (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 24, 'Pacio (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 25, 'O Palacio (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 26, 'Pena Petada', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 27, 'O Penedo (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 28, 'A Pereira (Vilanova)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 29, 'O Pereiro (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 30, 'Pieiro (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 31, 'A Regateira', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 32, 'San Tome (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 33, 'Santa Ana (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 34, 'Santo Antonio', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 35, 'Somoza (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 36, 'O Souto (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 37, 'Toimiro (Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 38, 'Vilanova (A Pobra de Trives)', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32789', 39, 'A Vilanova-Pereira (A Pobra de', 320631, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 1, 'Os Abeledos', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 2, 'Aldea de Abaixo (Montederramo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 3, 'Alen (Montederramo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 4, 'Alto de Rodicio', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 5, 'Arnufe', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 8, 'Cacharrequille', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 9, 'Cadaval', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 10, 'Casar do Mato (Montederrano)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 11, 'Casardansola', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 13, 'A Castieira (Montederramo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 14, 'As Chas (Montederramo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 15, 'Cordelle', 320570, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 16, 'Cordelle de Abaixo', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 17, 'Covas (Montederramo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 18, 'Os Curras (Montederramo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 19, 'O Currelo (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 20, 'Folgoso (Montederramo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 21, 'O Gorgullon', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 22, 'A Graa de Seoane', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 23, 'A Laxe (Montederramo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 24, 'Leboreiro', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 25, 'O Medon', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 27, 'As Penas (Montederramo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 28, 'O Peredo', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 29, 'Praducelos', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 30, 'As Ratoeiras', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 32, 'Vidalen', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 33, 'Vigueira de Arriba', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 35, 'Selas', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27555', 5, 'Moreda (Santa Maria) (Taboada)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27556', 1, 'Bembibre', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27556', 3, 'Couto (San Martin) (Taboada)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27556', 4, 'Insua (San Julian) (Taboada)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27556', 5, 'Insua (San Salvador)(Taboada)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27556', 6, 'Mourulle', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27557', 2, 'Gian', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27557', 3, 'Vilar de Cabalos', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27558', 1, 'Argiz', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27558', 3, 'Torre (San Mamed) (Taboada)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27558', 4, 'Vilamee', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27559', 1, 'Campo (San Julian) (Taboada)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27559', 2, 'Castelo (Santa Maria) (Taboada', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27559', 3, 'Esperante (Santiago) (Taboada)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27559', 8, 'Pieira (Santa Maria) (Taboada', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27560', 1, 'Monterroso (Casco Urbano)', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27560', 2, 'Monterroso (San Miguel)', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27560', 3, 'Tarrio', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27560', 4, 'Viloide', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 1, 'Arada', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 2, 'Lavandelo', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 3, 'Ligonde', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 4, 'Milleiros (San Pedro) (Monterr', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 5, 'Novelua', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 6, 'Penas', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 7, 'Pol (San Cipriano) (Monterroso', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 8, 'Salgueiros', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 9, 'Sambreixo (Monterroso)', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 10, 'Seteiglesias', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27568', 11, 'Sirgal', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27569', 1, 'Balboa (El Salvador)(Monterros', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27569', 2, 'Bidouredo', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27569', 3, 'Bispo', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27569', 4, 'Fente', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27569', 5, 'Ferreiros (San Cipriano) (Mont', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27569', 6, 'Framean', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27569', 7, 'Gundin', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27569', 9, 'Pedraza (San Lorenzo)', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27569', 10, 'Pedraza (Santa Maria)', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27569', 11, 'Sucastro', 270327, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27570', 1, 'Antas de Ulla (Casco Urbano)', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27570', 2, 'Antas de Ulla (Resto Parroquia', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27576', 1, 'Amarante (San Martin)', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27576', 3, 'Castro de Amarante (San Esteba', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27576', 5, 'Ludeiro', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27577', 1, 'Arbol (Sta Eulalia) (Antas de', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27577', 2, 'Barreiro', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27577', 3, 'Castro de Amarante (Santa Mari', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27577', 4, 'Cutian', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27577', 5, 'Facha', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27577', 6, 'Reboredo', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27578', 1, 'Aguela', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27578', 2, 'Amarante (San Felix)', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27578', 4, 'Arcos (Santa Maria) (Antas de', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27578', 5, 'Areas', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27578', 6, 'Cibreiro', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27578', 7, 'Queixeiro', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 1, 'Alvidron', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 2, 'Amoexa', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 4, 'Casa de Naya', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 5, 'Cervela (San Miguel) (Antas de', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 6, 'Dorra', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 7, 'Olveda', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 8, 'Peibas', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 9, 'Rial', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 10, 'Santiso', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 11, 'Senande', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 12, 'Terracha', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 13, 'Vilanue', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27579', 14, 'Villapoupre', 270039, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27590', 0, 'Seoane (El Salvador) (Monforte', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27591', 1, 'Tor (San Juan)', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27591', 2, 'Tor (San Julian)', 270312, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27592', 1, 'Moreda (El Salvador) (Monforte', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27592', 2, 'Moreda (San Roman) (Panton)', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27593', 1, 'Tuiriz (Santa Eulalia)', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27593', 2, 'Tuiriz (Santa Maria)', 270410, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27594', 0, 'Ribas de Mio (San Esteban) (S', 270581, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27595', 1, 'Pedrafita (Santa Eulalia) (Cha', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27595', 2, 'Veiga (San Juan) (Chantada)', 270168, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27596', 1, 'Cecillon', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27596', 2, 'Sobrecedo', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27596', 3, 'Vilela (San Miguel) (Taboada)', 270608, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27600', 0, 'Sarria (Casco Urbano)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27610', 1, 'Castillo de los Infantes', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27610', 2, 'Fafian', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27610', 4, 'Fontao', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27610', 5, 'Lier', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 1, 'Aldosende', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 2, 'Andreade', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 3, 'Castro (San Mamed) (Paradela)', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 4, 'Castro (San Martin) (Paradela)', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 5, 'Castro de Rey (Santa Maria) (P', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 6, 'Cortes', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 7, 'Ferreiros (San Miguel) (Parade', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 8, 'Francos (Santa Maria) (Paradel', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 9, 'Laje', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 10, 'Loyo', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 11, 'Paradela (Casco Urbano)', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 12, 'Paradela (San Miguel) (Paradel', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 13, 'Paradela (San Vicente) (Parade', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 14, 'Paradela (Santa Cristina) (Par', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 15, 'Paradela (Santa Eulalia) (Para', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 16, 'Pedreira (Lage)', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 17, 'Ribas de Mio (San Facundo) (P', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 18, 'Suar', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27611', 19, 'Villaragunte', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27612', 1, 'Baran', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27612', 2, 'Belante', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27612', 3, 'Biville', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27612', 8, 'Meigente', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27612', 9, 'Ortoa', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27612', 10, 'Pinza', 270425, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27613', 6, 'Nespereira (Santiago) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27613', 7, 'Paradela (San Andres) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27613', 8, 'Villamayor', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 1, 'Celtigos', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 2, 'Frades', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 3, 'Goyan', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 4, 'Larin', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 5, 'Mato (El Salvador) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 7, 'Oleiros (San Martin) (Lancara)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 8, 'Rubin', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 9, 'Vega (San Julian) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 10, 'Vega (Santiago) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 11, 'Villapedre (San Felix) (Sarria', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27614', 12, 'Villapedre (San Miguel) (Sarri', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27615', 1, 'Ferreiros (San Saturnino) (Sar', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27615', 3, 'Monseiro', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27616', 0, 'Barbadelo', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 23, 'Cortijo Chacon', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 24, 'Don Ramon', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 25, 'Gibralmora', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 26, 'La Peluca', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 27, 'La Plata', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 28, 'Las Albarras', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 29, 'Las Tinajas', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 30, 'Los Granados', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 31, 'Los Malagueos', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 32, 'Los Pilones', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 33, 'Puerto de la Rica', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29569', 34, 'Realejos', 290803, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 1, 'Aceitunera', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 2, 'Barrio Doana (Cartama)', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 3, 'Cartama', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 4, 'Ampliacion Cartama', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 5, 'Casapalma', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 6, 'Comendador', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 7, 'Dehesa Baja', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 8, 'Fahala', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 9, 'El Jardin', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 10, 'Pajares', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 11, 'Peral', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 12, 'Tres Leguas', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 13, 'Vega Riaran', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29570', 14, 'Villafranca del Guadalhorce', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29580', 1, 'De Cartama', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29580', 2, 'Loma de Cuenca', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29580', 3, 'Los Subires', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 1, 'Barrio del Pilar', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 2, 'Campanillas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 3, 'La Castaeta', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 4, 'Colmenarejo', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 5, 'Cortijo de Isidro Garnic', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 6, 'La Fresneda', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 7, 'Grupo Escolar', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 8, 'Hacienda San Agustin', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 9, 'Hacienda San Eugenio', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 10, 'Huertecilla de Maas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 11, 'De la Longaniza', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 12, 'Los Mancera', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 13, 'Sanchez Pastor', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 14, 'Santa Agueda', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 15, 'Somera', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 16, 'Barriada Casamayor', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 17, 'Barriada Pilar del Prado', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 18, 'Barriada la Bodega', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 19, 'Carril de la Bodega', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 20, 'Cerrado de Chinchilla', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 21, 'Ciudad de los Nios', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 22, 'El Brillante', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 23, 'Los Asperones', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 24, 'Los Limoneros', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 25, 'Parcemasa', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 26, 'Parque Tecnologico', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29590', 27, 'Serradillo', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29591', 1, 'Camposol', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29591', 2, 'Caserio de Castilla', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29591', 3, 'Casilla de Cantos', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29591', 4, 'Casillas del Olmo', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29591', 5, 'Escuela Capataces Agricolas', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29591', 6, 'Maqueda', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29591', 7, 'Santa Rosalia', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29592', 1, 'Aljaima', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29592', 2, 'Casasola', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29592', 3, 'Cortijo de Paco Perez', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29592', 4, 'Mosquera (Aljaima)', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29592', 5, 'Nueva Aljaima', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29592', 6, 'El Sexmo', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29592', 7, 'Cortijo Raton', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29592', 8, 'Venta de Competa', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29592', 9, 'De Aljaima', 290385, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 1, 'Los Ancares', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 2, 'Bermejo', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 3, 'Caracuel', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 4, 'Cerrajones Altos y Bajos', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 5, 'El Churrete', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 6, 'Las Erillas', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 7, 'Los Garcia', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 8, 'Los Llanos (Las Mellizas)', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 9, 'Las Mellizas', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 10, 'Paredones', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 11, 'El Chorro', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 12, 'La Loma (Las Mellizas)', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 13, 'La Vega', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29593', 14, 'Los Aneales', 290120, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 1, 'Albarizas', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 2, 'Alicate', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 3, 'Las Chapas', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 4, 'Elviria', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 5, 'Guadalpin la Venta', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 6, 'Manchones Nagueles', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 7, 'Marbella', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 8, 'Rio Real', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 9, 'Rio Verde', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 10, 'Andasol', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 11, 'Artola Alta y Baja', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 12, 'Bahia de Marbella', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 13, 'Balcon del Gol', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 14, 'Bosquemar', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 15, 'Carib Playa', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 16, 'Cerrado de Elviria', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 17, 'Cerro Mezclado', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 18, 'Colina Vista Mar', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 19, 'Costabella', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 20, 'Coto de los Dolores', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 21, 'El Lido', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 22, 'El Rosario', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 23, 'Elviria Hills', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 24, 'Golden Beach', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 25, 'Golf Santa Maria', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 26, 'Hacienda Las Chapas', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 27, 'Internacional City', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 28, 'Jardin de los Pinos', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 29, 'Jardines de Las Chapas', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 30, 'Jardines de Las Golondrinas', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 31, 'La Alqueria (Marbella)', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 32, 'La Arqueria', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 33, 'La Reserva', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 34, 'La Vibora', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 35, 'Las Chapas de Marbella', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 36, 'Las Cumbres', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 37, 'Las Dunas', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 38, 'Las Palmas', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 39, 'Lomas de Marbella', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 40, 'Lomas del Puerto', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 41, 'Lunamar', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 42, 'Marbella del Este', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 43, 'Marbesa', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 44, 'Monteros Rio Real', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 45, 'Parque Elviria', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 46, 'Pinomar', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 47, 'Playa Real', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 48, 'Playas Andaluzas', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 49, 'Pueblo Andaluz (Marbella)', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 50, 'Pueblo los Arcos', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 51, 'Ranchotel', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 52, 'Real de Zaragoza', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 16, 'Espieiros', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 17, 'Fenteira', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 18, 'A Fenteira (Boboras)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 22, 'Iglesario (Beariz)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 24, 'Lebozas', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 29, 'Pazo (Avion)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 30, 'Penedo (Avion)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 31, 'O Regueiro (O Irixo)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 34, 'Sonelle', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 37, 'Padreiro', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 38, 'Astariz', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 39, 'Freas (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 40, 'A Frieira (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 41, 'Oleiros (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 42, 'Parada (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 43, 'Prado de Mio', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 44, 'Souto (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 45, 'Troncoso', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 46, 'Vide (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 47, 'Albin', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 48, 'A Bouza (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 49, 'As Bouzas (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 50, 'Casardeita (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 51, 'Covelas (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 52, 'A Ermida (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 53, 'Fondo de Vila (Castrelo de Mi', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 54, 'Meizo', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 55, 'Pousada (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 56, 'San Pedro (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 57, 'Seorin (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 58, 'Souto (Macendo)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 59, 'Tallon', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 60, 'Barral (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 61, 'A Carixa (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 62, 'As Cortias (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 63, 'A Costa (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 64, 'Foxo', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 65, 'Noallo (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 66, 'Nogueiredo (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 67, 'Paradela (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 68, 'O Pazo (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 69, 'A Ponte Castrelo', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 70, 'O Pousadoiro (Castrelo de Mio', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 71, 'Reigoso (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 72, 'O Rial (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 73, 'Santa Maria (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 74, 'San Estevo (Castrelo de Mio)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 75, 'Traveso', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32430', 76, 'Oliveira (Arnoia)', 320224, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32431', 0, 'Beade (Beade)', 320104, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32432', 0, 'As Regadas (Beade)', 320104, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 1, 'Abelenda Das Penas', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 2, 'Beiro (Carbaleda de Avia)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 3, 'Beiro de Abaixo', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 4, 'Beiro de Arriba', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 5, 'Casares (Carballeda de Avia)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 6, 'Fornelos (Carballeda de Avia)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 7, 'Muimenta (Carballeda de Avia)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 8, 'Sarias', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 9, 'Xunqueira (C.Avia)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 10, 'Balde', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32433', 11, 'Faramontaos (Carballeda de Avi', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32434', 1, 'Aldea (Avion)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32434', 3, 'Balderias', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32434', 6, 'Casar do Pai', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32434', 7, 'Castro (Avion)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32434', 8, 'Cima de Vila (Carballeda de Av', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32434', 11, 'A Serra (Leiro)', 320185, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32435', 1, 'Alen (Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32435', 4, 'Casal (Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32435', 6, 'Castelos', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32435', 7, 'Cendos', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32435', 10, 'Fontao (Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32435', 11, 'O Igrexario (Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32435', 14, 'Nieva', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32435', 16, 'San Martio (Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32436', 3, 'Barro (Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32436', 8, 'A Hedreira (Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32436', 10, 'Gandarela (Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32436', 13, 'Outeiro (Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32436', 15, 'Penedo (Abeleda-Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32436', 17, 'Surribas (Avion)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32437', 2, 'Xirazga', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32440', 1, 'Os Peares', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32440', 2, 'Sequeiros (Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32440', 3, 'Valdomar (Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 1, 'Almorfe', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 2, 'A Barxela (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 3, 'Bertelo', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 4, 'Os Borraxos', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 5, 'A Buzaxe', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 6, 'A Carballeira (Nogueira de Ram', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 7, 'Casanova (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 8, 'Casares (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 9, 'Casdecide', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 10, 'Casdosteo', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 11, 'Casuxeto', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 12, 'Celeiros (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 13, 'Covelas (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 14, 'O Cuitelo', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 15, 'A Ferreirua', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 16, 'A Forraqueira', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 17, 'Freixueiro', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 18, 'Leira (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 19, 'Meson (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 20, 'Nespereira', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 21, 'Pena do Chao', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 22, 'A Pena (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 23, 'A Penalba (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 24, 'A Pereira (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 25, 'Pousada (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 26, 'Ramuin', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 27, 'San Vicente (Nogueira de Ramui', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 28, 'Santa Xusta', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 29, 'A Seara do Rio', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 30, 'Souto do Chao', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 31, 'O Val (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 32, 'Varalonga', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 33, 'Vilanova (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 34, 'Vioas', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32448', 35, 'Zumento', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 1, 'Airoa de Beacan', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 2, 'Areas (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 3, 'As Barras', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 4, 'Barrio (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 5, 'Beacan', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 7, 'Cascallal', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 34, 'Vilario Frio (Montederramo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 35, 'Vilario Pequeno', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 36, 'A Villeta', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32790', 38, 'Retorta', 320492, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32791', 1, 'Os Campos (Pereiro de Aguiar)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32791', 2, 'Sa (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32791', 4, 'Trios (San Pedro)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32791', 5, 'Ver de Miogo', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 1, 'Area Recreativa Monterrei', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 2, 'Boeiros (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 3, 'Calvelle (San Miguel)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 4, 'Carballizos', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 5, 'A Casanova (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 6, 'Casmartio (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 7, 'Caspion', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 8, 'A Chaira', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 9, 'Cimadevila (Santa Marta de Mor', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 10, 'A Derrasa', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 11, 'Os Gozos', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 12, 'A Medorra (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 13, 'Monterrei (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 14, 'O Outeiro (San Xoan de Moreira', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 15, 'O Outeiro (Santa Marta de More', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 16, 'Outeiromeau', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 17, 'Os Pardieiros (Pereiro de Agui', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 18, 'O Parladoiro', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 19, 'Pedraio', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 20, 'O Penedo (Santa Marta de Morei', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 21, 'Pioselo', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 22, 'O Pieiro (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 23, 'Quintela (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 24, 'Reboredo (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 25, 'Ribela (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 26, 'O Roupeiro', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 27, 'San Martio (Pereiro de Aguiar', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 28, 'San Martio Moreiras (P.Aguiar', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 29, 'San Miguel (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 30, 'San Xoan de Moreiras', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 31, 'San Xurxo (O Pereiro de Aguiar', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 32, 'Santa Baia (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 33, 'Santa Marta (Pereiro de Aguiar', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 34, 'Santa Marta de Moreiras (Santa', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 36, 'A Venda (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32792', 37, 'Vilarchao (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 1, 'Andurias', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 2, 'A Cabalgada', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 3, 'Cachamaria', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 4, 'As Campinas (Esgos)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 5, 'Castro de Covas', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 6, 'Cebreiros', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 7, 'Chaodarcas de Abaixo', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 8, 'Chaodarcas de Arriba', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 9, 'Ferradal (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 10, 'Folgoso (Esgos)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 11, 'A Granxa (Esgos)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 12, 'Laioso (Esgos)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 13, 'Looa do Camio', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 14, 'Looa Grande', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 15, 'Malobrigo', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 16, 'Ordelles', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 17, 'Outeiro (Trios-Pereiro de Agui', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 18, 'O Pazo (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 19, 'Penedo (Trios-Pereiro de Aguia', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 20, 'O Pinto', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 21, 'Porta do Sol', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 22, 'Rebordios', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 23, 'Santa Ana (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 24, 'Sobrado (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 25, 'Trios (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 26, 'As Vendas (Esgos)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 27, 'Vilar (Trios)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 28, 'O Tombo', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32793', 29, 'Vilar de Ordelles', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 1, 'O Aciveiro', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 2, 'Cabaces', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 3, 'Carretera (Sas de Penelas)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 4, 'Casdequille', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 5, 'Castrelo (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 6, 'Castromao (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 7, 'Cerdeira (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 8, 'Chavean', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 9, 'Chaveancios', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 10, 'Cima de Vila (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 11, 'Fonteita', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 12, 'Freixo (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 13, 'As Guistolas', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 14, 'A Lampaza (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 15, 'Ousecende', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 16, 'Pedrazas', 320296, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 17, 'Penelas (Castro Caldelas)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 18, 'O Pereiro (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 19, 'O Regueiro (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 20, 'Sabugueiro de Abaixo', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 21, 'Sabugueiro de Arriba', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 22, 'San Cristovo (Chandrexa de Que', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 23, 'San Xulian (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 24, 'Sas de Penelas', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 25, 'A Touza (Rio)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 26, 'Val de Miotos (Rios)', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 27, 'Vilario Dos Palleiros', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32794', 28, 'Villa San Cristobal', 320701, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32795', 1, 'Calle Alta', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32795', 2, 'Calle Baixa', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32798', 0, 'Gaias (Lobeira)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32800', 0, 'Celanova', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 1, 'As Carballeiras (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 2, 'A Carreiria', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 3, 'Casal de Cima', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 4, 'Casal de Regueiro', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 5, 'O Casario (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 6, 'Cerdedo (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 7, 'A Costa (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 8, 'Covelas (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 9, 'Covelia', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 10, 'Eiras (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 11, 'A Enfesta (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 12, 'Entrevias', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 13, 'A Facha', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 14, 'Freas de Eiras', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 15, 'Infesta (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 16, 'O Lameirio', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 17, 'Maceira', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 18, 'Margarideiros', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 19, 'Mosteiro (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 20, 'O Outeiro (Mosteiro)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 21, 'Padrenda (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 22, 'A Partida', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27615', 4, 'Seteventos (San Pedro) (Sarria', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27615', 5, 'Toldaos (San Vicente) (Lancara', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27617', 1, 'Betote', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27617', 2, 'Lousadela', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27617', 3, 'Requeijo', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27617', 4, 'Villar (Santa Maria) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27618', 1, 'Alban (Albaredo)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27618', 2, 'Cesar', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27618', 3, 'Chanca', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27618', 4, 'Froyan (San Pedro)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27618', 5, 'Reimondez', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27619', 1, 'Alban (Resto Parroquia)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27619', 2, 'Argemil (Santa Eulalia) (Sarri', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27619', 3, 'Calvor', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27619', 4, 'Camino (San Mamed) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27619', 6, 'Farban', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27619', 7, 'Loseiro', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27619', 8, 'Masid', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27619', 9, 'Pieira (San Miguel) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27619', 10, 'Villar de Sarria', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27620', 1, 'Samos (Casco Urbano)', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27620', 2, 'Samos (Santa Xertrudes)', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27623', 1, 'Gundriz', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27624', 1, 'Freijo', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27625', 0, 'Lozara (San Cristobal)', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27626', 4, 'Lozara (Resto Parroquia San Ju', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27626', 5, 'Santalla', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27627', 1, 'Loureiro (Sta Maria) (Samos)', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27627', 2, 'Lousada (San Martin) (Samos)', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27627', 3, 'Montan', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27627', 4, 'Real (San Martin)', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27627', 5, 'Renche', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27627', 6, 'Zoo', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27628', 1, 'Couto (San Mamed) (Samos)', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27628', 2, 'Estragiz', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27628', 4, 'Pascais', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27628', 5, 'Romelle', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27630', 0, 'Triacastela (Casco Urbano)', 270620, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27631', 1, 'Balsa (San Verisimo) (Triacast', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27631', 2, 'Carballo (San Gil) (Samos)', 270620, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27632', 1, 'Lamas (San Isidro) (Triacastel', 270620, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27632', 2, 'Triacastela (Santiago)', 270620, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27632', 3, 'Vilavella', 270620, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27633', 0, 'Real (San Cristobal)', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27634', 1, 'Cancelo', 270620, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27634', 2, 'Monte (Santa Maria) (Triacaste', 270620, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27635', 1, 'Castroncan', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27635', 3, 'Suiz', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27635', 4, 'Teivillid', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27636', 1, 'Formigueiros', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27637', 1, 'Froyan (San Vicente)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27637', 2, 'Loureiro (San Martin) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27637', 3, 'Mato (San Esteban) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27637', 5, 'Pena (San Salvador) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27637', 6, 'Pena (Santa Maria) (Sarria)', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27638', 1, 'Ayan', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27638', 2, 'Frollais', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27638', 3, 'Reiriz (San Esteban) (Samos)', 270556, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27639', 1, 'Alfoz (Triacastela)', 270620, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27639', 2, 'Toldaos (El Salvador) (Triacas', 270620, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27640', 1, 'Becerrea (Casco Urbano)', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27646', 2, 'Tores (San Xoan)', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27647', 2, 'Ferreiros Balboa (Becerrea)', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27647', 3, 'Ouson', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27647', 4, 'Tortes', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27648', 1, 'Cadoalla', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27648', 2, 'Furco (San Juan) (Becerrea)', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27649', 1, 'Armesto', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27649', 2, 'Guilfrey', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27649', 3, 'Guillen', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27650', 1, 'Navia de Suarna (Casco Urbano)', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27650', 2, 'Puebla de Navia', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27651', 9, 'Queizan (Santiago) (Navia de S', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27651', 12, 'Cabanela (Santa Maria)', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27652', 1, 'Muis', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27652', 2, 'Rao', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27653', 0, 'Son (Resto Parroquia)', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27654', 3, 'Ribeira (San Esteban) (Navia d', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27655', 1, 'Moya', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27655', 2, 'Ribon', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27655', 3, 'Sevane (San Juan) (Navia de Su', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27656', 1, 'Barcia (Resto Parroquia)', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27657', 3, 'Gallegos (Santiago)', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27658', 1, 'Barcia (Mera)', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27658', 2, 'Castaedo', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27658', 4, 'Mosteiro (San Salvador) (Navia', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27659', 1, 'Folgueiras', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27659', 2, 'Frejis', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27659', 3, 'Peamil', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27659', 4, 'Pin', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27659', 11, 'Vallo (Resto Parroquia)', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27659', 13, 'Villarpandin', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27659', 14, 'Vilaquinte (San Vreixo)(Cervan', 270348, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27660', 1, 'Quinta (Santa Eulalia) (Becerr', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27661', 1, 'A Ribeira (San Martin) (Cervan', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27661', 2, 'Villaiz', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27662', 1, 'Ambasvias (Santalla)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27662', 2, 'Dorna (Santa Maria)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27662', 3, 'Quindous', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27662', 8, 'Vallo (Penedo)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27662', 9, 'Vallo (Vilar)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27662', 10, 'Vallo (Villarin)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27662', 13, 'Villaver', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27663', 1, 'Pando (San Juan) (Becerrea)', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27663', 2, 'Sevane (San Juan) (Becerrea)', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27663', 3, 'Vega (Santa Marina) (Becerrea)', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27663', 4, 'Vilacha (San Pedro) (Becerrea)', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27663', 5, 'Villamane', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27664', 1, 'Castelo (San Pedro) (Cervantes', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27664', 2, 'O Castro (Santa Maria) (Cervan', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27664', 3, 'Cervantes (Casco Urbano)', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27664', 4, 'Liber', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27664', 5, 'San Roman de Cervantes (San Ro', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27665', 5, 'O Mosteiro (San Xoan)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27665', 6, 'Noceda (San Pedro) (Cervantes)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27665', 7, 'Nogais (Pintinidoira)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27665', 8, 'San Tome de Cancelada', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27665', 9, 'Vilarello (Santa Maria) (Cerva', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27665', 11, 'Villasante (Santiago) (Cervant', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27665', 12, 'Villaspasantes (Covas)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27665', 13, 'Villaspasantes (Santa Maria)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27666', 1, 'Cereixedo', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27666', 2, 'Lamas (San Xiao) (Cervantes)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27666', 3, 'San Pedro de Cervantes (San Pe', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27666', 5, 'Villaspasantes (Bazal)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27666', 6, 'Villaspasantes (Ferreiravedes)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 53, 'Reserva los Monteros', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 54, 'Riomar', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 55, 'Samisol', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29600', 56, 'Vistamar', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29610', 1, 'Ojen', 290764, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29610', 2, 'Arroyo Galvez', 290764, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29610', 3, 'Barriada el Chifle', 290764, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29610', 4, 'Canastero', 290764, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29610', 5, 'La Almadraba', 290764, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29610', 6, 'La Era Alta', 290764, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29610', 7, 'Partido los Chiles', 290764, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29610', 8, 'Puerto de Ojen', 290764, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29611', 0, 'Istan', 290614, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29620', 0, 'Torremolinos', 299018, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29630', 1, 'Benalmadena Costa', 290252, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29630', 2, 'Las Mimosas', 290252, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29631', 0, 'Arroyo de la Miel', 290252, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29639', 0, 'Benalmadena', 290252, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29640', 1, 'El Castillo (Fuengirola)', 290542, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29640', 2, 'Fuengirola', 290542, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29640', 3, 'Hotel Marenostrum', 290542, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29640', 4, 'Las Lagunas de Mijas', 290542, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29640', 5, 'Loma Torreblanca del Sol', 290542, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 1, 'Alcantara', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 2, 'Complejo Algaida', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 3, 'Complejo Alhamar', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 4, 'Bravo', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 5, 'Las Buganvillas', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 6, 'Complejo la Butibamba', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 7, 'Cala Azul', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 8, 'La Cala de Mijas', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 9, 'Calahonda', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 10, 'Calypso', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 11, 'Campo Mijas', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 12, 'El Castillo', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 13, 'Cerro del Aguila', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 14, 'El Chaparral', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 15, 'Los Claveles', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 16, 'La Cortijera', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 17, 'El Coto', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 18, 'Doa Lola', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 19, 'Esmeralda (Mijas Costa)', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 20, 'Faro de Calaburras', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 21, 'El Faro', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 22, 'Las Farolas', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 23, 'El Horrillo', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 24, 'Hotel Alhamar', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 25, 'Hotel Almirante', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 26, 'Hotel Calahonda', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 27, 'Complejo Juncal del Sur', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 28, 'Mijas Costa', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 29, 'Miraflores', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 30, 'Oasis', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 31, 'Los Pinos', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 32, 'La Ponderosa', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 33, 'Riviera del Sol', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 34, 'Riviera Playa', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 35, 'Rosa de los Vientos', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 36, 'La Sierrezuela', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 37, 'Sitio de Calahonda', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 38, 'Torre de Calahonda', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29649', 39, 'Torrenueva', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 1, 'Almachada', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 2, 'La Alqueria (Mijas)', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 3, 'Entrerrios', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 4, 'Mijas', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 5, 'La Molineta (Mijas)', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 6, 'La Noria (Mijas)', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 7, 'Osunillas', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 8, 'Pea Blanquilla', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 9, 'Rancho de la Luz', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 10, 'Rio de Las Pasadas', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29650', 11, 'Valtocado', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29660', 0, 'Nueva Andalucia', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29670', 0, 'San Pedro Alcantara', 290691, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 1, 'Guadalmina', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 2, 'Hotel Golf Guadalmina', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 3, 'El Ingenio', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 4, 'Cerro Artola', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 5, 'El Alcuzcuz', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 6, 'El Madroal', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 7, 'Jardines del Sol', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 8, 'La Heredia', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 9, 'Las Terrazas', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 10, 'Los Arqueros', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 11, 'Puerto Almendro', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29678', 12, 'Torre de la Fuente', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 1, 'Los Angeles', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 2, 'Benahavis', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 3, 'Cortes (San Pedro de Alcantara', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 4, 'Las Higueras', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 5, 'Linda Vista Baja', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 6, 'Las Palmeras (San Pedro de Alc', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 7, 'El Gamoral', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 8, 'El Herrojo', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 9, 'El Potril', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 10, 'La Quinta', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 11, 'Las Medranas', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 12, 'Los Remos', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29679', 13, 'Los Vizconiles', 290234, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29680', 1, 'Estepona', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29680', 2, 'Loma del Monte', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 1, 'Alcornocal', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 2, 'Atalaya Isdabe', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 3, 'Barriada Cortes (Estepona)', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 4, 'Benamara', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 5, 'Bonanza', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 6, 'Cancelada', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 7, 'Cortijo Andaluz', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 8, 'Hotel Atalaya Park', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 9, 'Hotel Santa Marta', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 10, 'Isdabe', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 11, 'Minera de Talco', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 12, 'El Paraiso', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 13, 'Parque Antena', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 14, 'Residencia Isdabe', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 15, 'Residencia Telefonica', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 16, 'Saladillo Benamara', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 17, 'El Saladillo', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 18, 'Vacaciones al Sol', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 19, 'Barragana', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 20, 'Camino Albeldina', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 21, 'Camino Nicolas', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 22, 'Come Capa', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 23, 'Cutillas', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 24, 'Loma de los Lirios', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 25, 'Loma del Cerrillar', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 26, 'Los Tulipanes', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 27, 'Puerto Romano', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29688', 28, 'Reinoso', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 1, 'Arroyo de Las Caas', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 2, 'Bella', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 3, 'De Cancelada', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 4, 'Del Castor', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 5, 'La Chimenea', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 6, 'Concha y Mar', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 7, 'Cortijos de la Esperanza', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 8, 'Guadalmansa', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 10, 'Hotel Lunymar', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 6, 'Carracedo (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 8, 'Casferreiro', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 9, 'Casgutierrez', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 10, 'Caspicon', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 11, 'Casquinte', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 12, 'O Coto (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 13, 'Cruz (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 14, 'Enfesta (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 15, 'Espieiro (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 16, 'O Fontao (Beacan)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 17, 'Formia', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 18, 'Forxan (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 19, 'O Outeiro de Beacan', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 20, 'Outeiro de Carracedo', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 21, 'Pacio (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 22, 'Paleira', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 23, 'Pedreira (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 24, 'Penavoa', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 25, 'Pieiron', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 26, 'A Recheda', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 27, 'Reza (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 28, 'Ribas (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 29, 'Rio (Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 30, 'San Martio (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 31, 'San Paio (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 32, 'Sandamiro', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 33, 'Santa Baia (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 34, 'Solleira', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 35, 'Vilaboa (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 36, 'Vilamaior (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32449', 37, 'Vilar de Carracedo', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32450', 1, 'Barbantes (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32450', 2, 'A Barca de Barbantes', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 1, 'Cabo (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 2, 'A Carballeira (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 3, 'A Eirexa (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 4, 'Fonte Maior', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 5, 'A Laxa (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 6, 'A Orxeira', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 7, 'Ourantes', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 8, 'O Pazo (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 9, 'A Pousa (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 10, 'A Revolta', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 11, 'Rubias (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 12, 'Santome (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 13, 'O Souto (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 14, 'A Torre (San Amaro)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 15, 'Ventosela (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32452', 16, 'Vilar (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 1, 'Alemparte (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 2, 'Andrade', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 3, 'Barrio (Salamonde)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 4, 'Caladio', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 5, 'O Castro (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 6, 'Cristimil', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 7, 'Eiras (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 8, 'Espaol', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 9, 'O Ferradal (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 10, 'Figueiroa (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 11, 'Gontan (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 12, 'Lamego', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 13, 'Loncia', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 14, 'Montan', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 15, 'Outeiro (Salamonde)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 16, 'A Pallota (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 17, 'Pieiro (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 18, 'As Quintas (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 19, 'A Reguenga (Eiras)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 20, 'Sabariz (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 21, 'Salamonde', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 22, 'San Roque (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 23, 'Santa Eufemia (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 24, 'Souto (Salamonde)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 25, 'A Touza (Eiras)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 26, 'Tralorrio (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 27, 'A Veiga (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32453', 28, 'Xinzo (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 1, 'Aquelcabo', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 2, 'O Balcon (Osmo)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 3, 'Campo de Vales', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 4, 'Campos (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 5, 'A Carreira (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 6, 'O Casar (Osmo)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 7, 'O Casar (Vilar de Rei)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 8, 'Cenlle', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 9, 'Cima de Vila (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 10, 'O Couso (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 11, 'A Lama (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 12, 'Nazara', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 13, 'Osmo', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 14, 'A Pena (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 15, 'O Pereiro (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 16, 'Pieiro (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 17, 'Pieiro (Pena-Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 18, 'Rego de Abaixo', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 19, 'Rego de Cima', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 20, 'Riobo (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 21, 'Roucos', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 22, 'A Sobreira (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 23, 'A Torre (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32454', 24, 'Vilar de Rei', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 1, 'O Baron (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 2, 'Barrio (Navio)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 3, 'Beariz (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 4, 'Brea', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 5, 'Calve', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 6, 'O Campo da Festa', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 7, 'A Carballeira (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 8, 'As Casas Novas (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 9, 'O Figueiredo (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 10, 'Gaime', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 11, 'Loucia', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 12, 'Navio', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 13, 'O Outeiro (Beariz)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 14, 'O Outeiro (Navio)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 15, 'Piroo', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 16, 'A Quinta (Cenlle)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 17, 'A Quinta (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 18, 'Rectoral (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 19, 'A Reguenga (Navio)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 20, 'San Amaro (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 21, 'Sandulces', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 22, 'Sergude', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 23, 'Sobrado (San Amaro)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 24, 'Soutodefajo', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 25, 'A Touza (Navio)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 26, 'Ventoselo (Beariz)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 27, 'Ventoselo (Navio)', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 28, 'A Viria', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32455', 29, 'As Vias', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 1, 'Barbantes (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 2, 'Barbantio', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 3, 'O Barcelo (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 4, 'A Castieira (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 23, 'Penavegosa', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 24, 'As Pias (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 25, 'O Picouto (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 26, 'Pousa (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 27, 'As Portas Abertas', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 28, 'Ramiras (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 29, 'Rozas (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 30, 'Rubias (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 31, 'Santa Maria Madre', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 32, 'Santa Marta (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 33, 'Souto (Rubias-Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 34, 'O Terrado (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 35, 'Vilamea (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 36, 'Xadente', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32810', 37, 'Xocin (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 1, 'A Aldea (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 2, 'Almariz', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 3, 'A Arrifana', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 4, 'Barreira (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 5, 'Calvos (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 6, 'Carraguedo', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 7, 'Casardeita (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 8, 'A Corredoira (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 9, 'Covelias', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 10, 'Escudeiros', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 11, 'Fraguas (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 12, 'Grixo (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 13, 'Ludeiros (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 14, 'Marnotos', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 15, 'A Moreira (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 24, 'As Telladas (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 25, 'O Val (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 26, 'A Vilerma (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 27, 'O Viao', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32457', 1, 'Azuruxeira', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32457', 2, 'Baldariz (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32457', 3, 'O Faracho', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32457', 4, 'Freas (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32457', 5, 'Pazos de Abaixo', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32457', 6, 'Pazos de Arriba', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 1, 'O Balcon (Trasariz)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 2, 'O Barral (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 3, 'Campanillas', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 4, 'O Campo (Laias)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 5, 'Carballeda de Abaixo', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 6, 'Carballeda de Arriba', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 7, 'Deiron', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 8, 'Erbededo de Abaixo', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 9, 'Erbededo de Arriba', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 10, 'Lagarellos', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 11, 'Laias', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 12, 'Lameiro do Monte', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 13, 'Lomeiro de Monte', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 14, 'Mira', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 15, 'Nabas (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 16, 'O Pumar (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 17, 'Razamonde', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 18, 'O Regueiro (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 19, 'Sadurnin', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 20, 'Trasariz', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 21, 'O Val (Cenlle)', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 22, 'Vial do Rei', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32459', 23, 'Xubin', 320258, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32500', 1, 'Arcos (Santa Maria)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32500', 2, 'O Carballio', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32500', 3, 'Framia (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32500', 4, 'O Tellado (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 1, 'Bagarelas', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 2, 'O Baron (Seoane de Arcos)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 3, 'Bertamil', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 4, 'Boedes', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 5, 'Carballeda (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 6, 'Costoia', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 7, 'Dornela', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 8, 'Fontao (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 9, 'Granxa (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 10, 'A Lama (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 11, 'Larouce', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 12, 'Lobas (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 13, 'Mosteiro (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 14, 'Mouriz', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 15, 'Paradela (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 16, 'A Piteira', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 17, 'Pol (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 18, 'Ponte Veiga', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 19, 'Saa (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 20, 'Seoane (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 21, 'Sobrado (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 22, 'Souto (Piteira)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 23, 'Trigas (O Lobas-Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 24, 'Uceira', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 25, 'Valeiros', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 26, 'Valfrio', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 27, 'Xuio', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32510', 28, 'Zafra', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32511', 0, 'Arcos (Cabanelas)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32512', 1, 'Astureses', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32512', 2, 'Batallas (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32512', 3, 'Cibreiro', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32512', 4, 'Eixan', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32512', 5, 'Fondo de Vila (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32512', 6, 'Fontao (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32512', 7, 'O Igresario (Brues)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32512', 8, 'O Outeiro (Astureses)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32512', 9, 'A Penela (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 1, 'Abelleira (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 2, 'A Almuzara', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 3, 'Becoa', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 4, 'Bergazos', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 5, 'Boboras', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 6, 'Cameixa', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 7, 'Cepo', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 8, 'Corneas (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 9, 'A Costa (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 10, 'O Currelo (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 11, 'Distriz', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 12, 'O Domo (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 13, 'Eiravedra (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 14, 'Figueiredo (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 15, 'Figueiroa (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 16, 'Franza', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 17, 'Fuente do Sapo', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 18, 'Gontelle', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 19, 'A Granxa (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 20, 'Graa (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 21, 'O Igresario (Albarellos-Bobora', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 22, 'O Igresario (Pazos de Arenteir', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 23, 'O Igresario (Xuvencos)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 24, 'A Lama (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 25, 'Lamela (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 26, 'Laxa (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 27, 'Laxas (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 28, 'Leboreira (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 29, 'Leborin (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 30, 'Liarios', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27666', 7, 'Villaspasantes (Vilar de Ferre', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27666', 8, 'Villaspasantes (Villaspasantes', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27666', 9, 'Villapun', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27667', 1, 'Donis (San Fiz)', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27667', 2, 'O Pando (Santa Maria) (Cervant', 270121, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27668', 0, 'Oselle', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27670', 8, 'Padornelo (San Xoan)', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27670', 15, 'Pedrafita do Cebreiro', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27671', 2, 'Cebrero', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27671', 3, 'Fonfria (San Juan) (Piedrafita', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27671', 4, 'Hospital (San Juan) (Pedrafita', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27671', 8, 'Riocereija', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27671', 9, 'Vega de Forcas', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27671', 10, 'Zanfoga', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27671', 11, 'Liares', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27672', 1, 'Louzarela', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27673', 1, 'Losada (San Vicente) (Pedrafit', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27673', 2, 'Pacios (San Lorenzo) (Pedrafit', 270459, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27675', 2, 'Noceda (As San Xoan) (Nogais)', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27676', 0, 'Doncos', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27677', 1, 'Agueira (Torrallo)', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27677', 2, 'A Alence (Santa Lucia)', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27677', 4, 'As Nogais (Casco Urbano)', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27677', 5, 'As Nogais (Santa Maria Madanel', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27677', 7, 'Nullan', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27677', 8, 'Quinta (As San Pedro) (Nogais)', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27677', 9, 'Villadicente', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27677', 10, 'Villaspasantes (Pintinidoira)', 270370, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27678', 1, 'Agueira (Resto Parroquia)', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27678', 2, 'Morcelle', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27679', 0, 'Cruzul', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27680', 1, 'Baralla (Casco Urbano)', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27680', 2, 'Lebrujo', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27680', 3, 'Picato (Santa Cruz)', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27680', 4, 'Recesende (San Cirilo) (Barall', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27680', 5, 'Guimarey (Santo Tome) (Baralla', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27680', 6, 'Pacios (Santa Maria) (Baralla)', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27680', 7, 'Villachambre', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27680', 8, 'Villartelin', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27685', 1, 'Constantin', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27685', 2, 'Villarpunteiro', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27686', 1, 'Berselos', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27686', 2, 'Covas (Santiago) (Baralla)', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27686', 3, 'Ferreiros (San Pedro) (Baralla', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27686', 4, 'Francos (El Salvador) (Baralla', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27686', 5, 'Laxes', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27686', 6, 'Pousada (Santiago) (Baralla)', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27686', 7, 'Riba de Neira', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27686', 8, 'Santo Estevo', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27687', 1, 'Arrojo (San Juan) (Baralla)', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27687', 2, 'Teijeira', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27688', 1, 'Lejo', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27688', 2, 'Pieira (El Salvador) (Baralla', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27688', 3, 'Sigirey', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27689', 1, 'Aranza', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27689', 2, 'Pol (Santa Maria) (Baralla)', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27689', 3, 'Vale', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27690', 1, 'Corvelle (Santa Maria) (Sarria', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27690', 2, 'San Antolin', 270575, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27691', 1, 'Rio (San Martin) (Lancara)', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27691', 2, 'Villouzan', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27692', 0, 'Cedron', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27693', 1, 'Armea', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27693', 2, 'Gallegos (Santa Marina)', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27693', 3, 'Lagos', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27693', 4, 'Souto', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27693', 5, 'Touville', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27694', 0, 'Vilouta', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27695', 1, 'Cascalla', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27695', 2, 'Cerezal', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27695', 4, 'Pedrafita de Camporredondo (Ba', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27695', 5, 'Penamayor', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27696', 1, 'Neira de Rey (San Miguel)', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27696', 2, 'Neira de Rey (San Martin)', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27697', 1, 'Penarrubia', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27697', 2, 'Val', 279019, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27698', 0, 'Fontaron', 270060, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27699', 0, 'Villaesteva (Santa Maria) (Lan', 270266, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27700', 0, 'Ribadeo (Casco Urbano)', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27710', 1, 'Pieira (San Xoan) (Ribadeo)', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27710', 2, 'Villaselan', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27711', 1, 'Cedofeita', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27711', 2, 'Cogela', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27712', 0, 'Villaosende', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27713', 0, 'Ove', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27714', 1, 'Arante', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27714', 2, 'Cubelas (San Vicente) (Ribadeo', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27715', 5, 'Rinlo', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27720', 1, 'A Pontenova (Casco Urbano)', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27720', 2, 'A Pontenova (Sagrado Corazon)', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27721', 0, 'Vilavoa', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27722', 1, 'Bogo', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27723', 1, 'Judan', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27724', 1, 'O Vilarmide (Salvador)', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27725', 1, 'Rececende (San Xoan)', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27725', 2, 'Vilamea (San Vicente)', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27726', 0, 'Rececende (San Estevo)', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27727', 3, 'Vilaouruz', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27728', 0, 'Conforto', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27729', 5, 'Vilaoudriz (Santiago)', 270484, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27730', 1, 'Abadin (Casco Urbano)', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27730', 2, 'Abadin (Parroquia)', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27730', 3, 'Abeledo', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27730', 4, 'Cabaneiro', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27730', 5, 'Corbite', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27730', 6, 'Goas', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27730', 7, 'Graa', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27730', 8, 'Moncelos', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27730', 9, 'Villarente', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27737', 1, 'Labrada (San Pedro) (Abadin)', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27737', 2, 'Montouto', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27737', 3, 'Romariz', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27738', 1, 'Fanoy', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27738', 2, 'Frayas', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27738', 3, 'Galgao', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27738', 4, 'Quende', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27739', 9, 'Ubeda (Casal de Madre)', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27740', 0, 'Mondoedo (Casco Urbano)', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27742', 1, 'Lindin', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27742', 2, 'Santa Maria Maior (Santa Maria', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27743', 1, 'Mojoeira', 270543, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27744', 1, 'Aldurfe (San Pedro)', 270543, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27744', 2, 'Espasande de Baixo (Santa Mari', 270543, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27744', 3, 'Ferreiravella', 270543, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27744', 4, 'Riotorto (Casco Urbano)', 270543, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27744', 5, 'Riotorto (San Pedro)', 270543, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27744', 6, 'Orrea', 270543, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27744', 7, 'Galegos (Santa Maria)(Riotorto', 270543, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27745', 0, 'Santa Marta de Meilan (Riotort', 270543, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27747', 1, 'Os Remedios (Nosa Seora dos R', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27747', 3, 'Viloalle (Santa Maria)', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 9, 'Hotel Libro Amarillo', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 11, 'Iberia Internacional', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 12, 'Mach', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 13, 'Mar Azul', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 14, 'Las Morachas', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 15, 'El Padron', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 16, 'La Palomera', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 17, 'Puente de la Plata', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 18, 'Residencia Banesto', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 19, 'San Jaime', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 20, 'Del Sol', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 21, 'Urbasol', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 22, 'El Valerin', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 23, 'Venta de los Nios', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 24, 'Las Villas Andaluzas', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 25, 'Voladilla Alta', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29689', 26, 'Voladilla Baja', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29690', 1, 'Casares', 290419, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29690', 2, 'Secadero', 290419, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29691', 1, 'Alcorin', 290688, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29691', 2, 'Honda Cavada', 290688, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29691', 3, 'Manilva', 290688, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29691', 4, 'Martagina', 290688, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29691', 5, 'Pedraza', 290688, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 1, 'Bajia de la Plata', 290419, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 2, 'El Castillo (San Luis de Sabin', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 3, 'Las Chiripas', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 4, 'Chullera', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 5, 'Colonia Infantil', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 6, 'La Colonia', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 7, 'Cuartel Guardia Civil', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 8, 'La Duquesa', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 9, 'Hacienda Guadalupe', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 10, 'Jardin Tropical', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 11, 'Mendi', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 12, 'Paraiso', 290419, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 13, 'Princesa Cristina', 290419, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 14, 'Pueblo Mejicano', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 15, 'Puerto de la Duquesa', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29692', 16, 'San Luis de Sabinillas', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 1, 'Arroyo Vaquero', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 2, 'Bahia Dorada', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 3, 'Buenas Noches', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 4, 'La Dehesilla', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 5, 'La Gaspara', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 6, 'Guadalobos', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 7, 'Hornacino', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 8, 'Kai Alde', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 9, 'Manhattan', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 10, 'Saladavieja', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29693', 11, 'Torre de la Sal', 290516, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29700', 1, 'Cabrillas', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29700', 2, 'Velez Malaga', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29710', 1, 'Catalan', 290799, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29710', 2, 'Cortijo Blanco (Periana)', 290799, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29710', 3, 'Marchamona', 290799, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29710', 4, 'Los Marines (Periana)', 290799, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29710', 5, 'Mondron', 290799, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29710', 6, 'Periana', 290799, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29710', 7, 'Baos de Vilo', 290799, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29710', 8, 'Guaro (Periana)', 290799, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29710', 9, 'La Negra', 290799, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29711', 1, 'Alcaucin', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29711', 2, 'El Cerro (Alcaucin)', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29711', 3, 'Espino', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29711', 4, 'Pilarejo', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29711', 5, 'Toril', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 1, 'La Aldea', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 2, 'Arroyo de los Montes', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 3, 'La Ermita (Viuela)', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 4, 'Los Gomez (Canillas de Aceitun', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 5, 'Los Lopez', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 6, 'Los Millanes', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 7, 'Los Paulas', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 8, 'Portugalejo', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 9, 'Rio Bermuzas', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 10, 'Las Umbrias (Viuela)', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 11, 'Viuela', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 12, 'Puente de Don Manuel', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 13, 'Buena Vista (Viuela)', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29712', 14, 'Poblado Confederacion', 290995, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 1, 'Barriada Puente de Don Manuel', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 2, 'Las Casillas (Los Romanes)', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 3, 'Los Castillejos', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 4, 'Matagallar', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 5, 'Puente Salia', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 6, 'Los Romanes', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 7, 'Venta Baja', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 8, 'Cerro de los Mateses', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 9, 'Fuente la Higuera', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 10, 'Hoyon', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 11, 'Loma Leon', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 12, 'Los Cortijuelos (Los Romanes)', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 13, 'Los Kikos', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 14, 'Los Ventorros (Los Romanes)', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29713', 15, 'Santo Blanco', 290022, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29714', 0, 'Salares', 290859, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29715', 1, 'Sedella', 290878, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29715', 2, 'Valverde', 290878, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29716', 1, 'Camino Real (Canillas de Aceit', 290332, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29716', 2, 'Canillas de Aceituno', 290332, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29716', 3, 'Los Capitos', 290332, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29716', 4, 'Caseria', 290332, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29716', 5, 'Lomas Chozas', 290332, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29716', 6, 'Montes Negros', 290332, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29716', 7, 'Las Rosas', 290332, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 1, 'Almachar', 290094, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 2, 'Benamargosa', 290265, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 3, 'El Borge', 290094, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 4, 'Cortijo Grande', 290094, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 5, 'Cutar', 290509, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 6, 'Rio Almachar', 290094, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 7, 'Las Rozas', 290094, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 8, 'Salto del Negro', 290509, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 9, 'San o Pitar (El Borge)', 290094, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 10, 'Triana', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 11, 'La Zubia', 290094, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29718', 12, 'Zorrilla', 290094, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 1, 'Benamocarra', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 2, 'Los Copitos', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 3, 'De la Estacion', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 4, 'Loma de Chotas', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 5, 'Lomilla Garcia', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 6, 'Pasada de Granadillo', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 7, 'Remanente', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 8, 'Rubite', 290878, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 9, 'Trapiche', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 10, 'Escolar Villar Palasi', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 11, 'Voladeros', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 12, 'La Loma', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29719', 13, 'Los Vados', 290271, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 1, 'La Araa', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 2, 'La Cala del Moral', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 3, 'El Cantal', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 4, 'Don Miguel', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 5, 'Serramar', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 6, 'Balcon de Malaga', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 7, 'Calabrisas', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 8, 'Calaflores', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 9, 'Cerro Azul', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 5, 'Conde de Arriba', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 6, 'Condes de Abaixo', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 7, 'A Costa (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 8, 'O Cruceiro (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 9, 'A Enfesta (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 10, 'Fontedouro', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 11, 'A Forxa (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 12, 'Izas (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 13, 'Lugar de Abaixo', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 14, 'Lugar de Arriba', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 15, 'A Moa', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 16, 'O Outeiro (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 17, 'Peimogo', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 18, 'Punxin (Capital)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 19, 'As Quintas (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 20, 'O Rego (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 21, 'A Reguenga (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 22, 'San Roque (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32456', 23, 'O Souto (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31239', 0, 'Aras', 310266, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31240', 0, 'Ayegui', 310410, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 1, 'Arbeiza', 310116, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 2, 'Arteaga', 311688, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 3, 'Azqueta', 311252, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 4, 'Ganuza', 311688, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 5, 'Iguzquiza', 311252, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 6, 'Labeaga', 311252, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 7, 'Metauten', 311688, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 8, 'Ollobarren', 311688, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 9, 'Ollogoyen', 311688, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 10, 'Zubielqui', 310116, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31241', 11, 'Zufia', 311688, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31242', 0, 'Villamayor de Monjardin', 312554, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31243', 1, 'Arroniz', 310364, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31243', 2, 'Barbarin', 310462, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31243', 3, 'Luquin', 311607, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31243', 4, 'Urbiola', 311252, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31250', 0, 'Oteiza de la Solana', 312009, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31251', 0, 'Larraga', 311424, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31252', 0, 'Berbinzana', 310538, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31253', 0, 'Miranda de Arga', 311712, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31254', 0, 'Vergalijo', 999999, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31260', 1, 'Lerin', 311521, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31260', 2, 'Ventas de Lerin', 311521, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31261', 0, 'Andosilla', 310155, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31262', 0, 'Allo', 310121, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31263', 1, 'Arellano', 310305, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31263', 2, 'Dicastillo', 310804, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31264', 1, 'Aberin de la Solana', 311748, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31264', 2, 'Echavarri de la Solana', 311748, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31264', 3, 'Morentin', 311748, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31264', 4, 'Muniain de la Solana', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31270', 0, 'Larraona', 311430, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31271', 1, 'Aranarache', 310214, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31271', 2, 'Eulate', 311000, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31272', 1, 'Artaza', 310137, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31272', 2, 'Baquedano', 310137, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31272', 3, 'Barindano', 310137, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31272', 4, 'Ecala', 310137, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31272', 5, 'Gollano', 310137, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31272', 6, 'San Martin de Amescoa', 310137, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31272', 7, 'Urra', 310137, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31272', 8, 'Zudaire', 310137, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31280', 1, 'Abaigar', 310018, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31280', 2, 'Mendilibarri', 310142, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31280', 3, 'Murieta', 311770, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31281', 1, 'Ancin', 310142, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31281', 2, 'Etayo', 310996, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31281', 3, 'Learza', 310996, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31281', 4, 'Legaria', 311483, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31281', 5, 'Oco', 311846, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31281', 6, 'Olejua', 311901, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31282', 1, 'Acedo', 311666, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31282', 2, 'Asarta', 311666, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31282', 3, 'Mendaza', 311666, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31282', 4, 'Nazar', 311825, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31283', 1, 'Galbarra', 311398, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31283', 2, 'Gastiain', 311398, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31283', 3, 'Narcue', 311398, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31283', 4, 'Ulibarri', 311398, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31283', 5, 'Viloria', 311398, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31284', 0, 'Zuiga', 312652, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31290', 1, 'Amillano', 310116, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31290', 2, 'Aramendia', 310116, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31290', 3, 'Artavia', 310116, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31290', 4, 'Echavarri (Allin)', 310116, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31290', 5, 'Eraul', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31290', 6, 'Eulz', 310116, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31290', 7, 'Galdeano', 310116, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31290', 8, 'Larrion', 310116, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31290', 9, 'Muneta', 310116, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31291', 1, 'Arzoz', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31291', 2, 'Echarren (Guirguillano)', 311213, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31291', 3, 'Estenoz', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31291', 4, 'Garisoain', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31291', 5, 'Guirguillano', 311213, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31291', 6, 'Irurre', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31291', 7, 'Lerate', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31291', 8, 'Muzqui', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31291', 9, 'Viguria', 311206, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 1, 'Alloz', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 2, 'Arandigoyen', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 3, 'Arinzano', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 4, 'Eguiarte', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 5, 'Grocin', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 6, 'Lacar', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 7, 'Legardeta', 312573, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 8, 'Lorca', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 9, 'Monasterio de Alloz', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 10, 'Murillo de Yerri', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 11, 'Murugarren', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 12, 'Noveleta', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 13, 'Zabal', 312606, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31292', 14, 'Zurucuain', 310057, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31293', 0, 'Sesma', 312248, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31300', 0, 'Tafalla', 312270, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31310', 1, 'Carcastillo', 310673, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31310', 2, 'Monasterio de la Oliva', 310673, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31310', 3, 'De la Oliva', 310673, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31311', 0, 'Figarol', 310673, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31312', 0, 'San Isidro del Pinar', 310692, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31313', 0, 'Murillo el Fruto', 311799, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31314', 0, 'Santacara', 312205, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31315', 0, 'Traibuenas', 311786, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31320', 0, 'Milagro', 311691, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31330', 0, 'Villafranca', 312541, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31340', 0, 'Marcilla', 311635, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31349', 1, 'Barriada Estacion (Marcilla)', 999999, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31349', 2, 'Marcilla (Barriada de la Estac', 999999, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31350', 0, 'Peralta', 312021, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31360', 0, 'Funes', 311075, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31370', 0, 'Falces', 311043, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31380', 0, 'Caparroso', 310654, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31381', 0, 'De Caparroso', 310654, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31382', 0, 'Melida', 311640, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31383', 0, 'Rada', 311786, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31390', 0, 'Olite', 311918, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31391', 0, 'Murillo el Cuende', 311786, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31392', 0, 'Pitillas', 312055, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31393', 0, 'Beire', 310517, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31394', 0, 'Pueyo', 312074, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 1, 'Los Alecos (Garinoain)', 311509, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 2, 'Amatriain', 311509, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 3, 'Amunarrizqueta', 311509, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 4, 'Artariain', 311509, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 5, 'Barasoain', 310459, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 6, 'Benegorri', 311509, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 7, 'Bezquiz', 311509, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 8, 'Garinoain', 311141, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 31, 'O Lugar (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 32, 'Miandreiras', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 33, 'Moldes', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 34, 'Morouzon', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 35, 'Nonas', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 36, 'O Outeiro (Cameixa)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 37, 'Parada (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 38, 'Paradela (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 39, 'O Paraiso', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 40, 'Paredes (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 41, 'O Pazo (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 42, 'Pazos de Arenteiro', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 43, 'Penedo (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 44, 'A Petada (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 45, 'O Porto do Carro', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 46, 'As Quintas (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 47, 'O Regueiro (Albarellos-Boboras', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 48, 'Requeixo (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 49, 'Rivas (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 50, 'Rodas', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 51, 'Sa (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 52, 'Salceda (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 53, 'Salon', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 54, 'San Bartolomeu', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 55, 'San Cristovo (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 56, 'Sande (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 57, 'A Seara (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 58, 'Sobredo (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 59, 'Valdesenda', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 60, 'Valias (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 61, 'A Vila (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 62, 'Vilanova (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 63, 'Xesteira (Moldes-Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 64, 'Xesteira (Xuvencos-Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 65, 'Xuvencos', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32514', 66, 'Albarellos (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 1, 'Aguisar', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 2, 'Anllo (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 3, 'O Baron (San Fiz)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 4, 'O Baron (San Fiz-Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 5, 'Bifos', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 6, 'Cabana (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 7, 'Cabana (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 8, 'As Caldas (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 9, 'Campo Lamela', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 10, 'O Campo (O Baron)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 11, 'A Casanova (Anllo)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 12, 'A Casanova (Grixoa-San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 13, 'A Caseta (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 14, 'Centeas', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 15, 'Cima de Vila (O Baron)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 16, 'Covela (Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 17, 'O Covelo (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 18, 'O Cruce', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 19, 'O Cruceiro (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 20, 'Cruz (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 21, 'Elfe', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 22, 'Fondodevila (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 23, 'Fonteantigua', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 24, 'Grixoa (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 25, 'O Hospicio', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 26, 'Lama (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 27, 'A Lameira', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 28, 'Lavandeira (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 29, 'Lodeiro', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 30, 'O Marco', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 31, 'Montegrande', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 32, 'Os Montes (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 33, 'Outeiras (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 34, 'O Outeiro (Grixoa-San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 35, 'Partovia', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 36, 'Pazos (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 37, 'O Penedo (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 38, 'Porto de Eguas', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 39, 'Quinteiro (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 41, 'San Sebastian', 320744, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 42, 'Sarandin', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 43, 'Seorin (Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 44, 'Sona', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 45, 'Souto (Varon)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 46, 'Toca', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 47, 'O Torron (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 48, 'Varille', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 49, 'A Veiga (O Baron)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 50, 'Vilar (San Amaro)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32515', 51, 'Refoxo', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 1, 'O Alboio', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 2, 'Banga', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 3, 'Bouteiro', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 4, 'Cabanelas (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 5, 'Cabo de Vila (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 6, 'O Campo da Cruz', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 7, 'O Campo (Banga)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 8, 'A Carpaceira', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 9, 'Casanova (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 10, 'Casares (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 11, 'Cimadevila (Banga)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 12, 'Cima de Vila (Cabanelas)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 13, 'Corval', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 14, 'Cruceiro (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 15, 'Fondo de Vila (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 16, 'Fraga (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 17, 'Grobas (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 18, 'Lebruzas', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 19, 'Mesego', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 20, 'Miomas', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 21, 'Molinos (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 22, 'O Pazo (Banga)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 23, 'O Penedo de Xuvencos (O Carbal', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 24, 'Pijerinos', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 25, 'Quintela (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 26, 'A Reguenga (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 27, 'Saborida', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 28, 'Sagra', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 29, 'A Seara (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 30, 'Souto (Banga)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 31, 'Suasventanas', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 32, 'Trigas (Sagra)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 33, 'Velvis', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32516', 34, 'Vioa (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32519', 0, 'Xoane', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 2, 'Santo Andre (Boboras)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 3, 'Acevedo (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 4, 'Albite (Beariz)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 5, 'Alen (Beariz)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 6, 'As Antas', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 7, 'As Antas (Boboras)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 8, 'Baiste', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 9, 'Beariz', 320111, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 10, 'A Bouza (Beariz)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 11, 'Corcores', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 12, 'Correa', 320111, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 13, 'Doade', 320111, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27748', 1, 'Argomoso (San Pedro)', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27748', 2, 'O Carme (Nosa Seora do Carme)', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27749', 1, 'Couboeira (Santa Maria Madanel', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27749', 2, 'Figueiras (San Martio)', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27749', 3, 'Masma (Santo Andre)', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27749', 4, 'Oiran (Santo Estevo)', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27750', 3, 'Santo Adrao de Lourenza (Santo', 270272, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27751', 1, 'San Tome de Lourenza (San Tome', 270272, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27751', 2, 'San Xurxo de Lourenza (San Xur', 270272, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27752', 1, 'Santiago de Mondoedo (Santiag', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27752', 2, 'Vilamor (Santa Maria) (Mondoe', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27760', 1, 'Lourenza (Casco Urbano)', 270272, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27760', 3, 'Vilanova (Lourenza)', 270272, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27760', 4, 'Lourenza (Santa Maria)', 270272, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27765', 1, 'Trabada (Casco Urbano)', 270615, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27765', 2, 'Trabada (Santa Maria)', 270615, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27765', 3, 'Vidal (San Mateo)', 270615, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27766', 1, 'A Ria de Abres (Santiago)', 270615, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27766', 2, 'Sante (San Xiao)', 270615, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27766', 4, 'A Valboa (Santa Maria Madanela', 270615, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27767', 6, 'Villaforman', 270615, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27767', 7, 'Villapena', 270615, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27768', 1, 'A Fornea (Santo Estevo)', 270615, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27770', 1, 'Ferreira (O Santa Maria) (Vala', 270636, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27770', 2, 'O Valadouro (Casco Urbano)', 270636, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27773', 1, 'Adelan', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27774', 1, 'A Lagoa (San Vicente) (Alfoz)', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27774', 2, 'San Pedro de Mor (Liar)', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27775', 16, 'As Oiras (San Mamede)', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27775', 17, 'O Pereiro (Santa Maria) (Alfoz', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27775', 19, 'San Pedro de Mor', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27776', 1, 'Alfoz (Alfoz)', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27776', 2, 'Bacoi (Santa Maria)', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27776', 3, 'Carballido (San Sebastian) (Al', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27776', 4, 'O Castro de Ouro (San Salvador', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27777', 1, 'O Cadramon (San Xurxo)', 270636, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27777', 2, 'Frexulfe (Santa Eulalia)', 270636, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27777', 3, 'Recare (San Xiao)', 270636, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27777', 4, 'Santa Cruz do Valadouro', 270636, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27777', 5, 'Santo Tome de Recare (Santo To', 270636, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27778', 1, 'Alaje', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27778', 2, 'O Reirado (Santa Maria)', 270023, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27778', 18, 'Villacampa', 270636, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27779', 1, 'Budian (Santa Eulalia)', 270636, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27779', 2, 'Moucide (Santo Estevo)', 270636, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27780', 1, 'Foz (Casco Urbano)', 270193, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27780', 2, 'Foz (Santiago)', 270193, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27785', 2, 'Santa Cilla do Valadouro (Sant', 270193, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27786', 0, 'San Acisclo do Valadouro (San', 270193, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27787', 0, 'San Martio de Mondoedo (Foz)', 270193, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27788', 3, 'Vilaronte (San Xoan)', 270193, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27789', 1, 'Fazouro (Santiago)', 270193, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27790', 1, 'Barreiros (Casco Urbano)', 270057, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27790', 2, 'Barreiros (San Cosme) (Barreir', 270057, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27791', 1, 'San Vicente de Trigas (San Vic', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27791', 2, 'Sasdonigas (San Lourenzo)', 270305, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27792', 0, 'Benquerencia', 270057, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27793', 0, 'Reinante (San Miguel)', 270057, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27794', 0, 'Reinante (Santiago)', 270057, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27795', 5, 'La Rochela', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27796', 0, 'A Devesa (Santalla) (Ribadeo)', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27797', 0, 'Villaframil', 270517, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27798', 1, 'Cabarcos (San Julian)', 270057, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27798', 2, 'Cabarcos (San Justo)', 270057, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27798', 3, 'Celeiro de Mariaos (Santa Cri', 270057, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27798', 4, 'Villamartin Pequeo', 270057, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27800', 0, 'Vilalba (Casco Urbano)', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27810', 0, 'Sancobad', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27811', 1, 'Ladra (El Salvador)', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27811', 2, 'Nete', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27811', 3, 'Parrocha', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27812', 1, 'Noche', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27812', 2, 'Oleiros (San Mamed) (Villalba)', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27813', 1, 'Alba (Resto Parroquia) (San Ju', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27813', 2, 'Boizan', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27813', 3, 'Insua (San Bartolome) (Villalb', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27813', 6, 'Soaje', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27813', 7, 'Torre (Santa Maria) (Villalba)', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27814', 1, 'Alba (Curro)', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27814', 2, 'Alba (Trubelos)', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27814', 3, 'Belesar (San Martin) (Villalba', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27815', 1, 'Cuesta', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27816', 1, 'Lanzos (El Salvador)', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27816', 2, 'Lanzos', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27816', 3, 'Villapedre (San Mamed) (Villal', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27817', 1, 'A Balsa (Santa Maria) (Muras)', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27817', 2, 'Cuesta (Carballotorto)', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27817', 3, 'Cuesta (Regueirio)', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27817', 4, 'Cuesta (Viso de Aires)', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27818', 1, 'Arbol (San Lorenzo) (Villalba)', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27818', 9, 'Rioaveso (San Jorge) (Villalba', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27818', 10, 'Santo el', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27820', 0, 'Mourence', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27821', 0, 'Gondaisque', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27822', 0, 'Distriz (San Martin) (Villalba', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27823', 1, 'Pereiro (Villalba)', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27823', 2, 'Tardad', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27824', 0, 'Cazas', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27825', 0, 'Codesido', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27826', 0, 'Moman (San Mamed) (Xermade)', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27830', 0, 'Santaballa', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27832', 1, 'Arredoada', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27832', 2, 'Burgas', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27832', 3, 'Candamil', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27833', 1, 'Miraz (San Pedro) (Xermade)', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27833', 2, 'Pieiro (San Martin) (Xermade)', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27833', 3, 'Xermade', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27834', 0, 'Cabreiros (Santa Marina) (Germ', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27835', 1, 'Lousada (San Andres) (Xermade)', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27835', 2, 'Roupar', 270214, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27836', 1, 'O Burgo (Santa Maria) (Muras)', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27836', 2, 'Gelgaiz', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27836', 3, 'Muras (San Pedro)', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27837', 1, 'Irojoa', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27837', 2, 'Silan (Santo Estevo)', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27837', 3, 'O Viveiron (Muras)', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27839', 1, 'O Chao', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27840', 0, 'Goiriz', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27841', 0, 'Roman', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27842', 0, 'Samarugo', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27843', 1, 'Aldige', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27843', 2, 'Carballido (Santa Maria) (Vill', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27843', 3, 'Corvelle (San Bartolome) (Vill', 270654, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 10, 'Chimeneas', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 11, 'Cueva del Tesoro', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 12, 'Dominion Park', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 13, 'Esmeralda (La Cala del Moral)', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 14, 'Fabrica de Cemento', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 15, 'Hacienda Manila', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 16, 'Jardines del Cantal', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 17, 'Las Palmeras (La Cala del Mora', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 18, 'Las Tres Marias', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 19, 'Los Agustines', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 20, 'Los Delgados', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 21, 'Monte Victoria', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 22, 'Montelago', 290672, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 23, 'Montoya', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 24, 'Nueva Cala', 999999, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 25, 'Pueblo Andaluz (La Cala Moral)', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29720', 26, 'Vallemar (La Cala del Moral)', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 1, 'Las Casillas (Rincon de la Vic', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 2, 'Las Caadas', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 3, 'Las Guardas', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 4, 'El Maimon', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 5, 'Los Marinos', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 6, 'Los Martinez', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 7, 'Montesol', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 8, 'Los Morenos', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 9, 'Rincon de la Victoria', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 10, 'Rivera (Rincon de la Victoria)', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 11, 'Los Toros', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29730', 12, 'Torrecillas (Rincon Vita)', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 1, 'Benagalbon', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 2, 'Lo Cea', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 3, 'Moclinejo', 290712, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 4, 'Torre de Benagalbon', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 5, 'Valdes', 290712, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 6, 'Acebuchal (Rincon de la Victor', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 7, 'Aoreta', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 8, 'Carril del Maimon', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 9, 'Cortijo Blanco (Rincon de la V', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 10, 'Cortijo Madrid', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 11, 'El Lagarillo', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 12, 'La Cuesta', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 13, 'Lagar Bajo', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 14, 'Los Baena', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 15, 'Los Cabrera', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 16, 'Los Catalanes', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 17, 'Los Federicos', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 18, 'Los Fernandez', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 19, 'Los Palma', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29738', 20, 'Villar', 290825, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 1, 'Torre del Mar', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 2, 'Brisas de la Via', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 3, 'Campo de la Iglesia', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 4, 'Casa de la Via', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 5, 'Conjunto Garden Sol', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 6, 'Conjunto el Mirador', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 7, 'Conjunto la Jabega', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 8, 'Conjunto los Alazores', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 9, 'El Tomillar (Torre del Mar)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 10, 'El Visillo', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 11, 'La Biznaga', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 12, 'La Encantada', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 13, 'Los Alaches', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 14, 'Los Gallardos', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 15, 'Los Geranios', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 16, 'Los Gonzalez', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 17, 'Miravega', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 18, 'Parque del Mar', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 19, 'Rocio 2000', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29740', 20, 'Via Malaga', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29749', 1, 'Las Alesas', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29749', 2, 'Almayate Alto', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29749', 3, 'Almayate Bajo', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29749', 4, 'Bajamar', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29749', 5, 'Casamao', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29749', 6, 'Tanger (Apartamentos)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29750', 1, 'Algarrobo', 290056, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29750', 2, 'Algarrobo Costa', 290056, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29750', 3, 'La Mayora', 290056, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29750', 4, 'Pueblo Bahia', 290056, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29750', 5, 'Pueblo Nuevo', 290056, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29751', 1, 'Caleta de Velez', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29751', 2, 'Caleta del Sol', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29751', 3, 'Ribera de Trayamar', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29751', 4, 'Trayamar', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29751', 5, 'Cortijo Montosa', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29751', 6, 'Villas del Mediterraneo', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29752', 1, 'Carraspite', 290862, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29752', 2, 'Los Labrados', 290862, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29752', 3, 'Sayalonga', 290862, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29753', 1, 'Archez', 290167, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29753', 2, 'Arenas de Velez', 290167, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29753', 3, 'Casas de Cordoba', 290167, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29753', 4, 'Las Casillas (Arenas)', 290167, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29753', 5, 'Corumbela', 290862, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29753', 6, 'Daimalos Vados', 290167, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29753', 7, 'Valdeinfierno', 290167, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29753', 8, 'Valdeperales', 290167, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29754', 1, 'Competa', 290458, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29754', 2, 'El Tejarejo', 290458, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29754', 3, 'Las Colmenillas', 290458, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29754', 4, 'Monte Verde', 290458, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29755', 0, 'Canillas de Albaida', 290347, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29760', 1, 'Lagos', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29760', 2, 'Mezquitilla', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29770', 1, 'Rio Torrox', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29770', 2, 'Torrox', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29770', 3, 'Barriada Casasnuevas', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29770', 4, 'Barriada Santa Rosa', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29770', 5, 'Laguna Beach', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29770', 6, 'Pueblo Aurora', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29770', 7, 'Todos Santos', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29780', 1, 'Fuente del Baden', 290751, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29780', 2, 'Nerja', 290751, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29787', 1, 'Cueva de Nerja', 290751, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29787', 2, 'Maro', 290751, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29787', 3, 'Rio de la Miel', 290751, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29788', 0, 'Frigiliana', 290537, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29789', 1, 'Acebuchal (Nerja)', 290537, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29789', 2, 'Cortijos de la Molineta', 290537, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29789', 3, 'La Molineta (Frigiliana)', 290537, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 1, 'Benajarafe', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 2, 'Chilches', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 3, 'Esperanza', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 4, 'Aguamarina', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 5, 'Albercablanca', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 6, 'Alharilla', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 7, 'Casablanca (Benajarafe)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 8, 'Casas Carras', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 9, 'Casasnuevas (Chilches)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 10, 'Colina Soleada', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 11, 'Condemar', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 12, 'Conjunto Residencial Espaa', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 13, 'Conjunto Residencial la Rincon', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 14, 'Cortijo del Conde', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 15, 'El Cauelo', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 16, 'El Conde', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 9, 'Iracheta', 311509, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 10, 'Leoz', 311509, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 12, 'Mendivil', 311923, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 13, 'Orisoain', 311976, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 14, 'Sansomain', 311509, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 15, 'Solchaga', 311923, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31395', 16, 'Uzquita', 311509, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31396', 1, 'Bariain', 311923, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31396', 2, 'Del Carrascal', 311923, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31396', 3, 'Venta del Carrascal', 311923, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31396', 4, 'Echague', 311923, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31396', 5, 'Oloriz', 311923, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31396', 6, 'Oricin', 311923, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31396', 7, 'Unzue', 312384, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31397', 0, 'Campanas', 312286, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31398', 1, 'Biurrun', 310569, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31398', 2, 'Carrascal (Campamento Militar)', 310569, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31398', 3, 'Muruarte de Reta', 312286, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31398', 4, 'Olcoz', 310569, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31398', 5, 'Sanatorio de Ondarra', 310569, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31398', 6, 'Tiebas', 312286, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31400', 0, 'Sanguesa', 312166, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31409', 1, 'Gabarderal', 312166, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31409', 2, 'Pea', 312166, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31409', 3, 'Rocaforte', 312166, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31410', 1, 'De Leire', 312613, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31410', 2, 'Monasterio de Leire', 312613, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31410', 3, 'Yesa', 312613, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31411', 0, 'Javier', 311350, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31412', 0, 'Burgui', 310594, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31413', 0, 'Vidangoz', 312520, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31414', 0, 'Garde', 311136, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31415', 0, 'Roncal', 312107, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31416', 0, 'Urzainqui', 312457, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31417', 0, 'Isaba', 311287, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31418', 0, 'Uztarroz (Valle Roncal)', 312476, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31420', 0, 'Urroz Villa', 312439, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31421', 1, 'Ardanaz de Izagaondoa', 311326, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31421', 2, 'Idoate de Izagaondoa', 311326, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31421', 3, 'Indurain', 311326, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31421', 4, 'Iriso', 311326, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31421', 5, 'Lizarraga (Izagaondoa)', 311326, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31421', 6, 'Reta', 311326, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31421', 7, 'Turrillas', 311326, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31421', 8, 'Urbicain', 311326, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31421', 9, 'Zuazu (Izagaondoa)', 311326, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31422', 1, 'Artaiz', 312378, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31422', 2, 'Cemborain', 312378, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31422', 3, 'Najurieta', 312378, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31422', 4, 'Unciti', 312378, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31422', 5, 'Zabalceta', 312378, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31422', 6, 'Zoroquiain', 312378, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31430', 0, 'Aoiz/Agoitz', 310193, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31438', 1, 'Arce', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31438', 2, 'Arrieta', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31438', 3, 'Itoiz', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31438', 4, 'Lusarreta', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31438', 5, 'Nagore', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31438', 6, 'Orbaiz', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31438', 7, 'Saragueta', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31438', 8, 'Uriz', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31438', 9, 'Villanueva (Arce)', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31438', 10, 'Zandueta', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31439', 1, 'Artozqui', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31439', 2, 'Azparren', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31439', 3, 'La Fabrica (Oroz Betelu)', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31439', 4, 'Oroz Betelu (La Fabrica)', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31439', 5, 'Oroz-Betelu', 311995, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31439', 6, 'Gorraiz (Arce)', 310288, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31440', 0, 'Lumbier', 311593, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 1, 'Adoain', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 2, 'Ayechu', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 3, 'Elcoaz', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 4, 'Eparoz', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 5, 'Imirizaldu', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 6, 'Irurozqui', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 7, 'Jacoisti', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 8, 'Nardues Andurra', 312423, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 9, 'Ongoz', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 10, 'Ozcoidi', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 11, 'Ripodas', 312423, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 12, 'San Vicente', 312423, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 13, 'Sansoain (Urraul Bajo)', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 14, 'Santa Fe o Santafe', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31448', 15, 'Zabalza (Urraul Alto)', 312418, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31449', 1, 'Nardues Aldunate', 312423, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31449', 2, 'Tabar', 312423, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31450', 0, 'Navascues', 311810, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31451', 1, 'Gallues', 311115, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31451', 2, 'Ibilcieta', 312227, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31451', 3, 'Iciz', 311115, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31451', 4, 'Izal', 311115, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31451', 5, 'Oronz', 311982, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31451', 6, 'Sarries', 312227, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31451', 7, 'Uscarres', 311115, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31451', 8, 'Ustes', 311810, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31452', 1, 'Guesa', 311192, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31452', 2, 'Igal', 311192, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31452', 3, 'Ripalda', 311192, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31453', 0, 'Esparza de Salazar', 310958, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31454', 1, 'Arbonies', 312093, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31454', 2, 'Aspurz', 311810, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31454', 3, 'Berroya', 312093, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31454', 4, 'Biguezal', 312093, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31454', 5, 'Castillonuevo', 310713, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31454', 6, 'Domeo', 312093, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31454', 7, 'Murillo Berroya', 312093, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31454', 8, 'Napal', 312093, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31454', 9, 'Usun', 312093, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31460', 1, 'Aibar', 310095, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31460', 2, 'Leache', 311461, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31470', 1, 'Elorz', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31470', 2, 'Otano', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31470', 3, 'Yarnoz', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31470', 4, 'Zabalegui', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31470', 5, 'Zulueta', 310885, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31471', 0, 'Monreal', 311727, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31472', 1, 'Alzorriz', 312378, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31472', 2, 'Salinas de Ibargoiti', 311249, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31472', 3, 'Zabalza (Ibargoiti)', 312378, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31473', 1, 'Abinzano', 311249, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31473', 2, 'Avinzano', 311249, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31473', 3, 'Besolla', 311249, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31473', 4, 'Celigueta', 311249, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31473', 5, 'Idocin', 311249, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31473', 6, 'Izco', 311249, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31473', 7, 'Lecaun', 311249, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31473', 8, 'Sengariz', 311249, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31480', 1, 'Artieda', 312423, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31480', 2, 'Grez', 312423, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 1, 'Acotain', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 2, 'Aos', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 3, 'Artajo', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 4, 'Ayanz', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 5, 'Ecay (Longuida)', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 6, 'Erdozain', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 7, 'Larrangoz', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 8, 'Liberri', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 9, 'Meoz', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 10, 'Murillo de Longuida', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 11, 'Olaverri (Longuida)', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 12, 'Villanueva de Longuida', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 13, 'Villaveta', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31481', 14, 'Zuasti (Longuida)', 311580, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31482', 1, 'Lerruz', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31482', 2, 'Lizoain', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31482', 3, 'Redin', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31483', 1, 'Beortegui', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31483', 2, 'Janariz', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31483', 3, 'Leyun', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31483', 4, 'Oscariz', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 14, 'Framia (Beariz)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 15, 'Garfian', 320111, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 16, 'A Ermida (Beariz)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 17, 'Lebozan', 320111, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 18, 'Liares (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 19, 'Os Liares (Beariz)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 20, 'Magros', 320111, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 21, 'Muradas', 320111, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 22, 'Ricovanca', 320111, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 23, 'Rubillon', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 24, 'Taboazas (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 25, 'As Ventelas', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 26, 'Barroso', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 27, 'Beresmo', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 28, 'Cortegazas', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 29, 'Vilar (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 30, 'Avion', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 31, 'Belecon', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 32, 'Caseiro', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 33, 'Cerdeiroa', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 34, 'Cernadas', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 35, 'Lagoa (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 36, 'A Mota', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 37, 'Oroso (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 38, 'Abelenda', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 39, 'Amiudal', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 40, 'Boeixos', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 41, 'Casar do Nabo', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 42, 'Couso (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 43, 'Espieiro (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 44, 'Mouriscados', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 45, 'Pascais', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 46, 'Rodeiro', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 47, 'Vilario (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 48, 'A Abeleira (Beariz)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 49, 'A Caarixa (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 50, 'Arnelas', 320111, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 51, 'Candedo', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 52, 'Mangoeiro', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32520', 53, 'San Vicenzo (Avion)', 320049, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 1, 'Barro (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 2, 'A Batoca (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 3, 'Brues', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 4, 'Conchouso (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 5, 'Ensalde', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 6, 'A Fontela (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 7, 'A Ponte Nova (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 8, 'A Ponte (Brues)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 9, 'O Prado (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 10, 'A Ponte (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 11, 'Riande', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 12, 'Santa Isabel', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 13, 'O Souto (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 14, 'A Teixeira (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 15, 'O Torron (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 16, 'Valboa', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32521', 17, 'Ventosa (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32522', 1, 'O Igresario (Xurenzas)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32522', 2, 'Xurenzas', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 1, 'Borraxas', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 2, 'Cardelle', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 3, 'As Costias (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 4, 'O Curro (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 5, 'Feas (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 6, 'Fonte Moreiras', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 7, 'Gabian (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 8, 'Moreiras (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 9, 'Outeiras (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 10, 'Vecoa de Abaixo', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 11, 'Vecoa de Arriba', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 12, 'A Vesada', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32523', 13, 'Vilacha (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32525', 0, 'Porto Pereira', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 1, 'As Antas (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 2, 'Cerdeira de Abaixo (O Irixo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 3, 'Cerdeira de Arriba (O Irixo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 4, 'A Ermida (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 5, 'Meixe', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 6, 'Nogueira (Boboras)', 320132, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 7, 'O Parao (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 8, 'Pereiras (Boboras)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 9, 'Porto Pereiras', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 10, 'O Regueiro de Abaixo (O Reguei', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 11, 'O Regueiro de Arriba (O Reguei', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32526', 12, 'Xendive (Boboras)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32527', 0, 'Porto Pereiras (Boboras)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 1, 'Antas', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 2, 'Barro (Cusanca)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 3, 'O Barrocal', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 4, 'Baxin', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 5, 'As Campinas (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 6, 'Campo (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 7, 'O Cardedo', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 8, 'Casares (Campo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 9, 'O Castro (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 10, 'Cebral', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 11, 'Chelos', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 13, 'A Condomia (Campo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 14, 'A Costa (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 15, 'O Coto (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 16, 'Cusanca', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 17, 'A Eirexa (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 18, 'A Ermida (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 19, 'A Esfarrapa', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 20, 'Fabeiros', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 21, 'Filgueira (Campo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 22, 'Filgueira (Cusanca)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 23, 'A Fraga (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 24, 'Irixo', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 25, 'O Irixo de Arriba', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 26, 'O Irixo (A Estacion)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 27, 'Lagorzos', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 28, 'Laia', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 29, 'A Lama (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 30, 'Marnotes (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 31, 'Menaz', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 32, 'Orosa (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 33, 'O Outeiro de Abaixo (Cusanca)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 34, 'O Outeiro de Arriba (Cusanca)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 35, 'Pedrouzo (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 36, 'Porto da Veiga', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 37, 'Reguega', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 38, 'O Rio (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 39, 'Segade', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 40, 'Sueirexa (Cusanca)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 41, 'Surribas (Cusanca)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 42, 'O Tellado do Campo (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 43, 'Vila (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 44, 'Vixide', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 45, 'Zacarade', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32530', 46, 'Covela', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 1, 'A Barreira (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 2, 'Batallas (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 3, 'Bubela', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 4, 'O Campo (Ponte Veiga)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 5, 'O Casar (Cangues)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27844', 0, 'Martian', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27845', 1, 'Baroncelle', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27845', 2, 'Castromayor (San Juan) (Abadin', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27849', 1, 'Candia', 270018, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27850', 1, 'Magazos (Santa Maria)', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27850', 2, 'Viveiro (Casco Urbano)', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27860', 2, 'O Vicedo (Santo Estevo) (Casco', 270641, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27861', 1, 'Covas (San Xoan) (Viveiro)', 270641, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27861', 2, 'Mosende (San Pedro)', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27861', 3, 'San Miguel de Negradas (O San', 270641, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27861', 4, 'Suegos (Santa Maria) (Vicedo)', 270641, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27861', 5, 'Valle', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27863', 1, 'Celeiro (Santiago) (Viveiro)', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27863', 2, 'Faro (San Xiao)', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27864', 1, 'Boimente', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27864', 2, 'Chavin', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27864', 18, 'Miotos (Pazos)', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27865', 1, 'Ambosores (Santa Maria) (Muras', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27865', 2, 'Ambosores (Santa Maria) (Ourol', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27865', 3, 'Gerdiz', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27865', 4, 'Miotos', 270333, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27865', 5, 'Orol (Casco Urbano) (Ver Ourol', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27865', 6, 'Ourol (Casco Urbano)', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27865', 7, 'O Sisto (Santa Maria) (Muras)', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27865', 8, 'O Sisto (Santa Maria) (Ourol)', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27865', 9, 'Ourol (Santa Maria) (Ourol)', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27866', 1, 'Landrove (San Xiao)', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27866', 2, 'Merille (Santa Eulalia)', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27866', 3, 'San Pedro de Viveiro (San Pedr', 999999, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27866', 4, 'Valcarria (Santo Estevo)', 270386, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27867', 1, 'Bravos (Santiago)', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27867', 2, 'Galdo (Santa Maria)', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27867', 3, 'San Pantaleon de Cabanas (San', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27868', 1, 'Cabanas (Santa Maria) (Vicedo)', 270641, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27868', 6, 'Riobarba', 270641, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27869', 0, 'Vieiro (San Cipriano) (Vivero)', 270667, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27870', 2, 'Xove (San Bartolo) (Casco Urba', 270253, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27870', 3, 'Xove (San Bartolo) (Resto Parr', 270253, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27876', 0, 'Moras (San Clemente)', 270253, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27877', 2, 'Xuances', 270253, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27877', 3, 'Portocelo', 270253, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27878', 1, 'Lago (Santa Eulalia)', 270253, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27878', 5, 'Sumoas (Santo Estevo)', 270253, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27879', 1, 'Monte (San Isidoro) (Xove)', 270253, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27879', 2, 'Rigueira', 270253, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27880', 0, 'Burela', 279024, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27888', 1, 'Castelo (San Xiao) (Cervo)', 270137, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27888', 6, 'Lieiro', 270137, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27889', 1, 'Rua (Santa Maria)', 270137, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27889', 2, 'San Roman de Vilaestrofe (San', 270137, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27890', 2, 'San Cibrao (Cervo)', 270137, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27891', 1, 'Cervo', 270137, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27891', 2, 'Sargadelos', 270137, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27892', 1, 'Cangas (San Pedro) (Foz)', 270193, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27892', 2, 'Cordido', 270193, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('27893', 0, 'Nois', 270193, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28001', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28002', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28003', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28004', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28005', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28006', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28007', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28008', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28009', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28010', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28011', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28012', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28013', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28014', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28015', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28016', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28017', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28018', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28019', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28020', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28021', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28022', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28023', 7, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28024', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28025', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28026', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28027', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28028', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28029', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28030', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28031', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28032', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28033', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28034', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28035', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28036', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28037', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28038', 2, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28039', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28040', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28041', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28042', 5, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28043', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28044', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28045', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28046', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28047', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28048', 1, 'El Pardo', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28048', 2, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28049', 6, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28050', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28051', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28052', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28053', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28070', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28071', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28080', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28082', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28083', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28085', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28086', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28087', 0, 'Madrid', 280796, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28100', 0, 'Alcobendas', 280066, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28108', 1, 'Parque Empresarial la Moraleja', 280066, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28108', 2, 'Poligono Industrial Alcobendas', 280066, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28109', 1, 'Encinar de los Reyes', 280066, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28109', 2, 'La Moraleja', 280066, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28109', 3, 'Soto de la Moraleja', 280066, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28109', 4, 'Moraleja', 280066, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28110', 1, 'Algete', 280091, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28110', 2, 'El Arrabal', 280091, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28119', 1, 'El Cigarral', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28119', 2, 'Ciudad Jardin Valderrey', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28119', 3, 'Cottolengo del Padre Alegre', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28119', 4, 'Jose Antonio', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28119', 5, 'Monte Tesoro', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28119', 6, 'Los Olivos (Algete)', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28119', 7, 'Poligono Industrial el Nogal', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28120', 1, 'Ciudad Santo Domingo', 280091, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28120', 2, 'Nueva Estacion de Servicio (Ci', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28120', 3, 'Las Pueblas', 280455, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28120', 4, 'Punta Galea', 280455, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28120', 5, 'Venta de la Pesadilla', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28130', 1, 'Alalpardo', 281625, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 17, 'El Cortijuelo (Chilches)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 18, 'El Cotarreo', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 19, 'El Morisco', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 20, 'Gallina Blanca', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 21, 'La Ermita (Benajarafe)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 22, 'La Sirena', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 23, 'Las Casillas (Chilches)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 24, 'Las Panaderas', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 25, 'Las Parras', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 26, 'Loma del Sol', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 27, 'Los Algarrobos', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 28, 'Los Almendros (Chilches)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 29, 'Los Arquillos', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 30, 'Los Laureles', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 31, 'Los Madriles', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 32, 'Los Mananas', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 33, 'Los Monteros', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 34, 'Los Perez (Benajarafe)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 35, 'Los Rubios (Chilches)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 36, 'Los Tres Olivos', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 37, 'Mainake', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 38, 'Miramar', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 39, 'Molineros', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 40, 'Nuevo Chilches', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 41, 'Panorama', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 42, 'Paraiso de Chilches', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 43, 'Paraiso del Sol', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 44, 'Piceno', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 45, 'Playa Adelfas', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 46, 'Playa Dorada', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 47, 'Playa Linda', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 48, 'Proamar', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 49, 'Pueblo Paraiso del Sol', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 50, 'Puerta de Hierro Alta y Baja', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 51, 'Puerta del Sol', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 52, 'Rio Adelfas', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 53, 'Rio Fresneda', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 54, 'Rubimar', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 55, 'San Jose', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 56, 'San Jose Paraiso del Sol', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 57, 'Sueo Azul', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 58, 'Torre de Chilches', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 59, 'Torreblanca del Sur', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29790', 60, 'Villa Adelfas', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 1, 'Benaque', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 2, 'Las Chanzas', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 3, 'Huerta Gutierrez', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 4, 'Lagar de la Loma', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 5, 'Lagar del Rio', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 6, 'Macharaviaya', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 7, 'Los Puerta', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 8, 'Los Vallejos', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 9, 'Vallemar (Torre del Mar)', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 10, 'Los Burgos', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 11, 'Los Chozas', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29791', 12, 'Los Loros', 290666, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 1, 'Bolaos', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 2, 'Cajicillo', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 3, 'Cajiz', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 4, 'Los Caldera', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 5, 'Las Canteras (Valleniza)', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 6, 'Capellania', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 7, 'Castillo del Marques', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 8, 'Cerro de Las Piedra', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 9, 'Los Claros', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 10, 'Cruzadilla', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 11, 'Ermitas de Almayate', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 12, 'Los Escuderos', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 13, 'El Espigon', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 14, 'La Granja', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 15, 'Huerta de los Corros', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 16, 'Iznate', 290629, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 17, 'La Minda', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 18, 'El Molino', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 19, 'El Ronquillo', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29792', 20, 'Valle Niza', 290944, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 1, 'Amberes', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 2, 'Barranco Huit', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 3, 'Barranco Manzano', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 4, 'Barranco Rico', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 5, 'Bau Hoffman', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 6, 'Castillo de Torrox', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 7, 'Conejito', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 8, 'Faro de Torrox', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 9, 'Huit', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 10, 'Lozano', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 11, 'Manzano', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 12, 'El Morche', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 13, 'Residencia Cristo Rey', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 14, 'Ruselo', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 15, 'Torcasol', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 16, 'Balcones del Mar', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 17, 'Cerro Garbancico', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 18, 'Costa de Oro', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 19, 'El Peoncillo', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 20, 'Generacion del 27', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 21, 'La Boticaria', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 22, 'La Charca', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 23, 'Las Flores', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 24, 'Las Violetas', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 25, 'Los Llanos (El Morche)', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 26, 'Pueblo Andaluz', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 27, 'Rancho Blanco', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 28, 'Torrox Beach Club', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 29, 'Torrox Park', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29793', 30, 'Villabalsa', 290918, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30001', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30002', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30003', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30004', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30005', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30006', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30007', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30008', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30009', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30010', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30011', 1, 'La Azacaya', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30011', 2, 'Los Dolores (Beniajan)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30011', 3, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30012', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30070', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30071', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30080', 0, 'Murcia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 1, 'Cabezo Cortado', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 2, 'Casas de los Ladrillos', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 3, 'Cementerio Nuestro Padre Jesus', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 4, 'Espinardo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 5, 'La Molineta', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 6, 'Molinos Alfatego', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 7, 'Puente Alto', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 8, 'Puente de Guadalupe', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 9, 'Puente de los Hillanes', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 10, 'El Puntal (Espinardo)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 11, 'El Ranero', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 12, 'Senda Granada de Parte Derecha', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 13, 'Senda Granada Parte Izquierda', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 14, 'Torre de los Martinez', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 15, 'Torre del Obispo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 16, 'Vuelta del Rio', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31483', 5, 'Ozcariz', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31484', 1, 'Galduroz', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31484', 2, 'Urricelqui', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31484', 3, 'Zalba', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31484', 4, 'Zaldaiz', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31484', 5, 'Zunzarren', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31485', 1, 'Mendioroz', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31485', 2, 'Uroz', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31485', 3, 'Yelz', 311568, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 1, 'Alzuza', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 2, 'Azpa', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 3, 'Clinica Ubarmin (Egues)', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 4, 'Echalaz', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 5, 'Egues', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 6, 'Egulbati', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 7, 'Elcano', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 8, 'Elia', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 9, 'Eransus', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 10, 'Ibiricu de Egues', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 11, 'Sagaseta', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31486', 12, 'Ustarroz (Egues)', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31487', 0, 'Liedena', 311555, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31490', 0, 'Caseda', 310692, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31491', 1, 'Ezprogui', 311038, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31491', 2, 'Moriones', 311038, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31491', 3, 'Sada', 312129, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31492', 0, 'Ayesa', 311038, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31493', 0, 'Gallipienzo', 311108, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31494', 1, 'Eslava', 310945, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31494', 2, 'Lerga', 311516, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31494', 3, 'Olleta (Leoz)', 310945, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31494', 4, 'Maquirriain (Leoz)', 310945, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31494', 5, 'Sansoain (Leoz)', 310945, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31495', 0, 'San Martin de Unx', 312172, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31496', 0, 'Ujue', 312359, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31500', 1, 'Ablitas (Campo de Aviacion)', 312325, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31500', 2, 'Las Bardenas Reales (Poligono', 312325, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31500', 3, 'Poligono de Tiro (Bardenas Rea', 312325, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31500', 4, 'Tudela', 312325, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31510', 0, 'Fustiana', 311081, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31511', 0, 'Cabanillas', 310620, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31512', 1, 'El Bocal', 311069, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31512', 2, 'Fontellas', 311069, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31513', 0, 'Arguedas', 310327, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31514', 0, 'Valtierra', 312495, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31515', 0, 'Cadreita', 310641, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31520', 0, 'Cascante', 310689, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31521', 1, 'Murchante', 311764, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31521', 2, 'Urzante', 311764, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31522', 1, 'Monteagudo', 311733, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31522', 2, 'Tulebras', 312331, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31523', 1, 'Ablitas', 310060, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31523', 2, 'Barillas', 310484, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31530', 0, 'Cortes', 310787, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31540', 0, 'Buuel', 310575, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31550', 0, 'Ribaforada', 312080, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31560', 0, 'Azagra', 310425, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31570', 0, 'San Adrian', 312153, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31579', 0, 'Carcar', 310667, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31580', 1, 'Feculas (Lodosa)', 311574, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31580', 2, 'Lodosa', 311574, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31587', 0, 'Mendavia', 311653, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31588', 0, 'Lazagurria', 311458, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31589', 0, 'Sartaguda', 312233, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31590', 0, 'Castejon', 310706, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31591', 0, 'Corella', 310771, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31592', 0, 'Cintruenigo', 310728, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31593', 0, 'Fitero', 311056, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31594', 0, 'Balneario Fitero', 999999, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31600', 0, 'Burlada', 310608, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31610', 0, 'Villava/Atarrabia', 312589, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31620', 1, 'Gorraiz', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31620', 2, 'Huarte-Pamplona', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31620', 3, 'Olaz de Eges', 310863, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31630', 1, 'Osteriz/Osteritz', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31630', 2, 'Zubiri', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31638', 0, 'Eugui/Eugi', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31639', 1, 'Agorreta', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31639', 2, 'Cilveti/Zilbeti', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31639', 3, 'Iragui/Iragi', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31639', 4, 'Leranoz/Leranotz', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31639', 5, 'Saigos', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31639', 6, 'Urtasun', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31639', 7, 'Usechi/Usetxi', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31640', 0, 'Burguete/Auriz', 310581, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31650', 0, 'Roncesvalles/Orreaga', 312114, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31660', 0, 'Valcarlos/Luzaide', 312482, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31669', 1, 'Achurieta', 312482, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31669', 2, 'Azoleta', 312482, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31669', 3, 'Gaindola', 312482, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31669', 4, 'Gaecoleta/Gainecoleta', 312482, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31669', 5, 'Pecocheta/Pekotxeta', 312482, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31670', 1, 'Orbaiceta (Barrio de la Fabric', 311957, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31670', 2, 'Orbaiceta/Orbaitzeta', 311957, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31671', 1, 'Aria', 310333, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31671', 2, 'Arive/Aribe', 310333, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31671', 3, 'Heriberri (Aezkoa)/Villanueva', 310333, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31671', 4, 'Orbara', 311960, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31671', 5, 'Villanueva de Aezcoa/Heriberri', 310333, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31680', 0, 'Ochagavia', 311859, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31689', 0, 'Izalzu', 311332, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31690', 2, 'Ezcaroz', 310930, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31691', 0, 'Jaurrieta', 311347, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31692', 1, 'Abaurrea Alta/Abaurregaina', 310044, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31692', 2, 'Abaurrea Baja/Abaurrepea', 310044, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31692', 3, 'Garayoa/Garaioa', 311120, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31693', 0, 'Garralda', 311154, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31694', 0, 'Espinal/Aurizberri', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31695', 1, 'Mezquiriz/Mezkiritz', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31695', 2, 'Ureta', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31695', 3, 'Viscarret/Biskareta-Gerendiain', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31696', 0, 'Linzoain/Lintzoain', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31697', 1, 'Aincioa/Aintzioa', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31697', 2, 'Ardaiz/Ardaitz', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31697', 3, 'Erro', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31697', 4, 'Esnoz/Esnotz', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31697', 5, 'Larraingoa', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31697', 6, 'Loizu', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31697', 7, 'Olondriz/Orondritz', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31697', 8, 'Urniza', 310924, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 1, 'Aquerreta/Akerreta', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 2, 'Errea', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 3, 'Esquiroz (Esteribar)/Ezkirotz', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 4, 'Idoy/Idoi', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 5, 'Ilarraz/Ilarratz', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 6, 'Imbuluzqueta/Inbuluzketa', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 7, 'Irure', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 8, 'Larrasoaa/Larrasoaina', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 9, 'Sarasibar', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 10, 'Setuain/Setoain', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31698', 11, 'Urdaniz/Urdaitz', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31699', 1, 'Anchoriz/Antxoritz', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31699', 2, 'Arleta', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31699', 3, 'Guendulain (Esteribar)/Gendula', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31699', 4, 'Ilurdoz/Ilurdotz', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31699', 5, 'Iroz/Irotz', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31699', 6, 'Olloqui/Olloki', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31699', 7, 'Zabaldica/Zabaldika', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31699', 8, 'Zuriain', 310983, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31700', 1, 'Elizondo', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31700', 2, 'Elvetea/Elbete', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31710', 0, 'Zugarramurdi', 312649, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31711', 0, 'Urdax/Urdazubi', 312397, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 6, 'Costia (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 7, 'Enfesta (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 8, 'Esgueva', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 9, 'Gestoira (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 10, 'Godas', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 11, 'A Gouxa', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 12, 'Longoseiros', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 13, 'Madarnas (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 14, 'Medela', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 15, 'Mudelos', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 16, 'O Ollal', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 17, 'Pacios (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 18, 'O Pazo (Ponte Veiga)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 19, 'Ponterriza', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 20, 'A Veiga (Ponte Veiga)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32534', 21, 'Vilar (O Carballio)', 320198, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32535', 1, 'Corneda (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32535', 2, 'Couso (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32535', 3, 'Ponte Pedria', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32536', 1, 'Bugalleira', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32536', 2, 'A Bugalleira de Abaixo', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32536', 3, 'A Bugalleira de Arriba', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32536', 4, 'A Condomia (Dadin)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32536', 5, 'Dadin', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32536', 6, 'O Enfreado', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32536', 7, 'Saavedra', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32536', 8, 'A Seara (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 1, 'Barcia (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 2, 'O Casar (Readigos)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 3, 'Os Casares (A Cida)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 4, 'Castieira (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 5, 'A Cida', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 6, 'Ciudad', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 7, 'Fontes (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 8, 'Laxas-Orros (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 9, 'Nabas (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 10, 'Nogueira', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 11, 'Orros', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 12, 'O Outeiro (Readigos)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 13, 'Parada de Laviote', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 14, 'Paredes (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 15, 'Readigos (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 16, 'Ribela (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 17, 'Rivadal', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 18, 'Santiso', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 19, 'Valdesoiro', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32537', 20, 'Xirei', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32538', 0, 'Prexigueiro (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 1, 'A Rua (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 2, 'Alen (Froufe)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 3, 'Alen (Loureiro)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 4, 'Os Amieiros', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 5, 'Barro (O Carballio)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 6, 'Barro (Loureiro)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 7, 'Campelios', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 8, 'Cangues', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 9, 'Carballeda (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 10, 'Coucieiro (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 11, 'O Covelo (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 12, 'Enfesta (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 13, 'Espieira', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 14, 'O Espio (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 15, 'Frixe', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 16, 'Froufe (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 17, 'Guimaras (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 19, 'Loureiro (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 20, 'Lousado (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 21, 'Matelo', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 22, 'Munin', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 23, 'Outeiro (Corneda)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 24, 'Parteme', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 25, 'Pedria', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 26, 'O Quinteiro', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 27, 'Ramil (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 28, 'Ribas (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 29, 'Alemparte (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 30, 'Sidre', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 31, 'Silvares (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 32, 'Soutelio (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 33, 'Subirol', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 34, 'Surribas (Froufe)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 35, 'Trabazon (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 36, 'Transformador', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 37, 'Valduide', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 38, 'Vilamea (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 39, 'O Viso (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32539', 40, 'A Ermida (O Irixo)', 320356, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32540', 0, 'A Gudia', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32545', 1, 'Barxa (A Gudia)', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32545', 2, 'Meson de Fentes', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32545', 3, 'Pentes (A Gudia)', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32545', 4, 'O Seixo (A Gudia)', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32546', 1, 'Herosa', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32546', 2, 'Meson de Herosa', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32546', 3, 'Meson de Pedro', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32546', 4, 'Parada da Serra', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32546', 5, 'San Lourenzo de Vias', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32547', 1, 'Carracedo da Serra', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32547', 2, 'Meson do Purrian', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32547', 3, 'San Lourenzo de Pentes', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32547', 4, 'O Tameiron', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32547', 5, 'A Venda da Capela (A Gudia)', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32547', 6, 'A Venda da Teresa (A Gudia)', 320343, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32547', 7, 'O Venda do Bolao', 320929, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32548', 1, 'Cadavos', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32548', 2, 'O Canizo', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32548', 3, 'Castromil', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32548', 4, 'Chaguazoso (A Mezquita)', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32548', 5, 'Manzalvos', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32548', 6, 'O Pereiro (A Mezquita)', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32548', 7, 'Sobreosmuios', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32549', 1, 'A Canda (A Mezquita)', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32549', 2, 'A Esculqueira', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32549', 3, 'A Mezquita (A Mezquita)', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32549', 4, 'Santigoso (A Mezquita)', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32549', 5, 'A Vilavella', 320489, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32550', 0, 'Viana do Bolo', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32551', 1, 'A Aldea (Vilario de Conso)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32551', 2, 'Barrio da Eirexa (Vilario de', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32551', 3, 'Conso', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32551', 4, 'A Eirexa (Vilario de Conso)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32551', 5, 'Mormentelos', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32551', 6, 'San Cristovo (Vilario de Cons', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32551', 7, 'A Servainza', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32551', 8, 'A Veiguia (Vilario de Conso)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32552', 1, 'Edrada (Vilario de Conso)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32552', 2, 'Entrecinsa', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32552', 3, 'O Invernadeiro (Vilario de Co', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32552', 4, 'Pradoalbar', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32552', 5, 'Sabuguido', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32552', 6, 'San Esteban Edroso', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32552', 7, 'San Mamede (Vilario de Conso)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32552', 8, 'Soutelo (Vilario de Conso)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28130', 2, 'La Paloma (Valdeolmos)', 281625, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28130', 3, 'Valdeolmos', 281625, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28140', 0, 'Fuente el Saz de Jarama', 280590, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28149', 1, 'El Casar de Talamanca', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28149', 2, 'Dipe', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28149', 3, 'Talleres Gorriz', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28149', 4, 'Talleres Gutierrez', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28149', 5, 'Los Matizales', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28149', 6, 'Pieles Hermanos Molineros', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28149', 7, 'De Torrelaguna', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28149', 8, 'Vereda del Chaparro', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28150', 0, 'Valdetorres de Jarama', 281646, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28160', 0, 'Talamanca del Jarama', 281454, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28170', 0, 'Valdepielagos', 281631, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28180', 0, 'Torrelaguna', 281512, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28189', 1, 'El Atazar', 281533, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28189', 2, 'Casas del Canal', 281533, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28189', 3, 'De Harinas (Torrelaguna)', 281533, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28189', 4, 'Patones', 281533, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28189', 5, 'Ponton de la Oliva', 281533, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28189', 6, 'Presa del Atazar', 281533, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28189', 7, 'Torremocha del Jarama', 281533, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28190', 1, 'Bocigano', 280881, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28190', 2, 'Cabida', 280881, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28190', 3, 'El Cardoso de la Sierra', 280881, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28190', 4, 'Colmenar de la Sierra', 280881, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28190', 5, 'Corralejo', 280881, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28190', 6, 'Pealba de la Sierra', 280881, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28190', 7, 'Santuy', 280881, 19, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28190', 8, 'Montejo de la Sierra', 280881, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28190', 9, 'Puebla de la Sierra', 281185, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28191', 1, 'La Hiruela', 280719, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28191', 2, 'Horcajuelo de la Sierra', 280719, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28191', 3, 'Pradena del Rincon', 281179, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28192', 0, 'El Berrueco', 280210, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28193', 0, 'Cervera de Buitrago', 280395, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28194', 1, 'Berzosa de Lozoya', 280203, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28194', 2, 'Robledillo de la Jara', 281245, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28195', 0, 'Serrada de la Fuente', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28196', 0, 'Paredes de Buitrago', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28200', 0, 'San Lorenzo de el Escorial', 281317, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28209', 1, 'Cuelgamuros', 281317, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28209', 2, 'Sta Cruz Valle de los Caidos', 281317, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 1, 'La Aguijeda', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 2, 'El Almorcho', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 3, 'Los Barrancos', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 4, 'El Bosquecillo', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 5, 'El Canchar', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 6, 'Cazadero Real I', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 7, 'Cerro Alarcon I', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 8, 'Cerro Alarcon II', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 9, 'Valdemorillo', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 10, 'Cuerda Herrera', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 11, 'Fuente Vieja', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 12, 'Gamonales', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 13, 'Grajel', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 14, 'Huerta Vieja', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 15, 'Las Infantas (Valdemorillo)', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 16, 'Islas Blancas', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 17, 'Jara Beltran', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 18, 'Mirador del Romero', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 19, 'La Mojadilla', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 20, 'Montemorillo', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 21, 'Navarredonda (Valdemorillo)', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 22, 'La Navilla', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 23, 'El Pantano', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 24, 'El Paraiso', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 25, 'Pino Alto', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 26, 'La Pizarrera', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 27, 'Puentelasierra', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 28, 'Las Radas', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 29, 'Tres Dehesas', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 30, 'Las Charquillas', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 31, 'Valmayor', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 32, 'Valquemado', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28210', 33, 'La Via', 281603, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28211', 0, 'Peralejo', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28212', 1, 'Navalagamella', 280954, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28212', 3, 'Residencia los Enebros (Navala', 280954, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28212', 4, 'Pinosol', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28213', 1, 'La Colina', 280421, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28213', 2, 'Colmenar del Arroyo', 280421, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28213', 3, 'Los Olivos', 280421, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28213', 4, 'Prado Alto', 280421, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28213', 5, 'Valle del Sol', 280421, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28214', 0, 'Fresnedilla de la Oliva', 280565, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28219', 1, 'Alcor I', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28219', 2, 'Alcor II', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28219', 3, 'El Ventorro (Valdemorillo)', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28220', 1, 'Entrealamos', 280800, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28220', 2, 'Majadahonda', 280800, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28220', 3, 'De Majadahonda', 280800, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28220', 4, 'Mosca Hilton', 280800, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28220', 5, 'Pozuelo de Alarcon', 281150, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28223', 0, 'Pozuelo de Alarcon', 281150, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28224', 2, 'Pozuelo de Alarcon', 281150, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28229', 1, 'Santa Maria (Via del Pardo)', 281776, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28229', 2, 'De Las Vegas', 281776, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28229', 3, 'Villanueva del Pardillo', 281776, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28230', 1, 'La Chopera', 281150, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28230', 2, 'El Escorial (Las Rozas)', 281150, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28230', 3, 'Molino de la Hoz', 281150, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28230', 4, 'Las Rozas de Madrid', 281150, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28230', 5, 'Pozuelo de Alarcon', 281150, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28240', 0, 'Hoyo de Manzanares', 280724, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28248', 0, 'Ciudad Residencial la Berzosa', 280724, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28250', 1, 'Los Jarales (Galapagar)', 281527, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28250', 2, 'Las Minas (Galapagar)', 281527, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28250', 3, 'Pinar de Puente Nuevo (Galapag', 281527, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28250', 4, 'Torrelodones', 281527, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 1, 'El Ahijon', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 2, 'Arroyo Torero', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 3, 'La Braa', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 4, 'El Castillete', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 5, 'Cercado del Arroyo', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 6, 'Cerco de Valdivieso', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 7, 'Los Cerrillos (Galapagar)', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 8, 'Cerro del Rosario', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 9, 'Galapagar', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 10, 'El Chaparral', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 11, 'Las Chimeneas', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 12, 'Las Columnas', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 13, 'Las Conchas (Galapagar)', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 14, 'El Congosto', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 15, 'Dehesa Vieja', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 16, 'Encinar (Galapagar)', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 17, 'El Escorial (Galapagar)', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 18, 'Los Fresnos', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 19, 'El Cerro', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 20, 'El Guijo', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 21, 'Los Huertos (Galapagar)', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 22, 'Las Latas', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 23, 'Los Lisos', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30611', 0, 'Ojos', 300315, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30107', 1, 'Casa Olmos', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30107', 2, 'Casa Picante', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30107', 3, 'Las Fuentes (Guadalupe)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30107', 4, 'Guadalupe', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30108', 0, 'Rincon de Beniscornia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30109', 0, 'Los Jeronimos (Los Jeronimos)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30110', 1, 'Cabezo de Torres', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30110', 2, 'Del Carmen', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30110', 3, 'El Castellar (Cabezo de Torres', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30110', 4, 'Churra Cabezo de Torres', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30110', 5, 'Del Graso', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30110', 6, 'Mundo Nuevo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30110', 7, 'Senda Granada', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30110', 8, 'Torre Alcayna', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 1, 'Amoros de Poza', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 2, 'Barrio la Victoria', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 3, 'Lujanes', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 4, 'Menuo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 5, 'El Palmar (El Palmar)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 6, 'Viejo de el Palmar', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 7, 'Perdios', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 8, 'Poza Manzano', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 9, 'Rincon de los Sastres', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 10, 'Torre Hidalga', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30120', 11, 'Lo Pertiguero', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30130', 1, 'Beniel', 300102, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30130', 2, 'Pago del Molino', 300102, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30139', 0, 'El Raal', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30140', 1, 'Los Paquillos', 309012, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30140', 2, 'Santomera', 309012, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30149', 1, 'Azarbe Mayor', 309012, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30149', 2, 'El Siscar', 309012, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30150', 1, 'La Alberca', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30150', 2, 'Casa Forestal', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30150', 3, 'Hogar Castillo Olite', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30150', 4, 'Santa Catalina', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30150', 5, 'El Valle', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30150', 6, 'Vistabella de la Alberca', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30151', 0, 'Santo Angel', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30152', 1, 'Aljucer', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30152', 2, 'Camino Baden', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30152', 3, 'Camino de Salabosque', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30152', 4, 'Camino Hondo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30152', 5, 'Hondo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30152', 6, 'De la Palmera', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30152', 7, 'Salabosque', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30152', 8, 'Senda Alta', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30152', 9, 'Verada de Aljucer', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30153', 1, 'Los Arcos', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30153', 2, 'Los Briones', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30153', 3, 'Corvera', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30153', 4, 'Los Garcia (Corvera)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30153', 5, 'La Murta', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30153', 6, 'Torre Muchuela', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30154', 1, 'Los Bastidas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30154', 2, 'Cabecico del Rey', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30154', 3, 'Los Diaz (Valladolises)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30154', 4, 'Las Espinosas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30154', 5, 'Valladolises', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30154', 6, 'La Ventana', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30155', 1, 'Baos y Mendigo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30155', 2, 'La Pareja (Baos y Mendigo)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30155', 3, 'Los Tarquinos', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30155', 4, 'Venta de la Virgen', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30156', 1, 'Casa Alta', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30156', 2, 'Los Martinez del Puerto', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30156', 3, 'Los Ruices (Los Martinez del P', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30156', 4, 'Valderas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30157', 1, 'Algezares', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30157', 2, 'Santuario de la Fuensanta', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30157', 3, 'Los Teatinos (Algezares)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30158', 1, 'Caarejo de Algezares', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30158', 2, 'Caarejo de Beniajan', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30158', 3, 'El Collado (Los Garres)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30158', 4, 'Los Garres', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30158', 5, 'Los Lages', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30158', 6, 'Los Maurillos', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30158', 7, 'Venta Dolores', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30160', 1, 'La Cueva', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30160', 2, 'Las Lumbreras', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30160', 3, 'Monteagudo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30161', 0, 'Llano de Brujas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30162', 0, 'Santa Cruz Santa Cruz', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 1, 'Azarbe (Parroquia)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 2, 'Barrio de la Aurora', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 3, 'Camino Eucalipto', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 4, 'El Campillo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 5, 'Cobatillas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 6, 'Cobatillas Viejas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 7, 'El Esparragal', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 8, 'Orilla del Azarbe', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 9, 'Parroquia de Santa Maria Azarb', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 10, 'Peicas de Cobatica Las Viejas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30163', 11, 'Zona de Huerta', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30164', 1, 'Cabezo de Plata', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30164', 2, 'Caada de San Pedro', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30165', 0, 'Rincon de Seca', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30166', 0, 'Nonduermas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30167', 0, 'La Raya (La Raya)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30168', 0, 'Era Alta', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30169', 0, 'San Gines', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30170', 1, 'Campo de Cagitan', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30170', 2, 'Mula', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30176', 0, 'Pliego', 300320, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30177', 0, 'Casas Nuevas (Casas Nuevas)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30178', 1, 'Los Calderones', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30178', 2, 'Caserio de los Calderones', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30178', 3, 'Los Cuadros', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30178', 4, 'Fuente Librilla', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30178', 5, 'Hoya Noguera', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30178', 6, 'Los Ojos', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30178', 7, 'Los Retamares', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30178', 8, 'Retamosa', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30179', 1, 'Barqueros', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30179', 2, 'Caserio de la Zarza', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30180', 0, 'Bullas', 300124, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30189', 1, 'Barriada Estacion Bullas', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30189', 2, 'Chaparral', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30189', 3, 'La Copa', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30189', 4, 'Royo Hurtado', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30189', 5, 'El Royo (La Copa)', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30190', 1, 'Albudeite', 300047, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30190', 2, 'Calvo Sotelo', 300047, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30190', 3, 'La Cruz', 300047, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30191', 0, 'Campos del Rio', 300145, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30192', 1, 'Rodeo de Enmedio', 300145, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30192', 2, 'Rodeo de los Tenderos', 300145, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 1, 'Barranco Ojos', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 2, 'Baos de Mula', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 3, 'Casas de Abajo', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 4, 'Los Corrales', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 5, 'El Macil', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 6, 'El Molino (Puebla de Mula)', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 7, 'De Ojos', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 8, 'Pastruena', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 9, 'Puebla de Mula', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30510', 0, 'Yecla', 300434, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31712', 0, 'Dancharinea/Dantxarinea', 312397, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31713', 0, 'Arizcun/Arizkun', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31714', 0, 'Errazu/Erratzu', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31715', 1, 'Azpilcueta', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31715', 2, 'Maya/Amaiur', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31715', 3, 'Zuastoy/Zuaztoi', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31720', 1, 'Bertiz', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31720', 2, 'Mugaire/Mugairi', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31720', 3, 'Oronoz', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31720', 4, 'Oyeregui/Oieregi', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31720', 5, 'Seorio de Bertiz', 310543, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31720', 6, 'Zozaya/Zozaia', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31730', 1, 'Garzain/Gartzain', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31730', 2, 'Irurita', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31740', 0, 'Santesteban/Doneztebe', 312212, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31744', 0, 'Elgorriaga', 310879, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31745', 0, 'Ituren', 311290, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31746', 0, 'Zubieta', 312634, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31747', 0, 'Saldias', 312135, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31748', 0, 'Erasun/Eratsun', 310902, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31749', 0, 'Ezcurra/Ezkurra', 311022, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31750', 1, 'Donamaria', 310811, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31750', 2, 'Gaztelu', 310811, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31751', 0, 'Oiz de Santesteban/Oitz', 311878, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31752', 2, 'Urroz de Santesteban/Urrotz', 312444, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31753', 1, 'Beinza Labayen/Beintza Labaien', 311379, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31753', 2, 'Labayen/Labaien', 311379, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31754', 1, 'Arano', 310240, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31754', 2, 'Goizueta', 311173, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31760', 1, 'Echalar/Etxalar', 310826, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31760', 2, 'Lacain-Apezborro/Lakain-Apezbo', 310826, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31760', 3, 'Lurrizti/Lurriztederra', 310826, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31770', 0, 'Lesaca/Lesaka', 311537, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31780', 0, 'Bera/Vera de Bidasoa', 312508, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31789', 1, 'Alcayaga/Alkaiaga', 312508, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31789', 2, 'Endarlaza/Endarlatsa', 312508, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31789', 3, 'Zalain', 312508, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31789', 4, 'Zalain Zoco', 311537, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31790', 1, 'Aranaz/Arantza', 310229, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31790', 2, 'Yanci/Igantzi', 312592, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31791', 0, 'Sumbilla/Sunbilla', 312264, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31792', 0, 'Legasa', 310543, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31793', 0, 'Narvarte/Narbarte', 310543, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31794', 1, 'Arrayoz/Arraioz', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31794', 2, 'Oharriz', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31795', 1, 'Colegio de Lecaroz', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31795', 2, 'Lecaroz/Lekaroz', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31796', 1, 'Almandoz', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31796', 2, 'Aniz', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31796', 3, 'Berroeta', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31796', 4, 'Ciga/Ziga', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31796', 5, 'Zurraure', 310500, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 1, 'Alcoz/Alkotz', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 2, 'Arraiz (Ventas)', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 3, 'Arraiz/Arraitz', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 4, 'Auza', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 5, 'Elzaburu/Eltzaburu', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 6, 'Ilarregui/Ilarregi', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 7, 'Iraizoz/Iraitzoz', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 8, 'Juarbe/Suarbe', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 9, 'Larrainzar/Larraintzar', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 10, 'Locen/Lozen', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 11, 'Orquin/Orkin', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31797', 12, 'Ventas de Arraiz', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31798', 1, 'Arizu/Aritzu', 310174, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31798', 2, 'Burutain', 310174, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31798', 3, 'Egozcue', 310174, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31798', 4, 'Esain/Etsain', 310174, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31798', 5, 'Etulain', 310174, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31798', 6, 'Lanz/Lantz', 310174, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31798', 7, 'Leazcue/Leazkue', 310174, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31798', 8, 'Olague', 310174, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 1, 'Anocibar', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 2, 'Anoz (Ezcabarte)', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 3, 'Beraiz', 311884, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 4, 'Cenoz/Zenotz', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 5, 'Ciaurriz', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 6, 'Elso/Eltso', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 7, 'Enderiz', 311884, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 8, 'Galain', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 9, 'Gorronz Olano/Gorrontz Olano', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 10, 'Guendulain (Odieta)', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 11, 'Guerendiain (Ulzama)/Gerendiai', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 12, 'Latasa (Odieta)', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 13, 'Lizaso', 312362, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 14, 'Olaiz', 311884, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 15, 'Olave', 311884, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 16, 'Osacain', 311884, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 17, 'Ostiz', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 18, 'Ripa', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 19, 'Urrizola (Ulzama)/Urritzola (U', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31799', 20, 'Zandio', 311884, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31800', 0, 'Altsasu/Alsasua', 310109, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31809', 1, 'Ciordia/Ziordia', 310734, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31809', 2, 'Olazagutia/Olazti', 311897, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31810', 1, 'Bacaicoa/Bakaiku', 311304, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31810', 2, 'Iturmendi', 311304, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31810', 3, 'Urdiain', 312401, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31820', 1, 'Echarri Aranaz/Etxarri Aranatz', 310847, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31820', 2, 'Lizarraga Bengoa', 310847, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31829', 2, 'Lizarraga (Ergoiena)', 310919, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31829', 3, 'Torrano/Dorrao', 310919, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31829', 4, 'Unanua/Unanu', 310919, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31829', 5, 'Valle de Ergoyena', 310919, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31830', 0, 'Lacunza/Lakuntza', 311385, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31839', 0, 'Arbizu', 310272, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31840', 1, 'Arruazu', 310370, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31840', 2, 'Huarte Araquil/Uharte Arakil', 310370, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31849', 1, 'Iraeta/Iraneta', 311271, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31849', 2, 'Murguindueta/Murgindueta', 310253, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31850', 1, 'Heriberri (Arakil)/Villanueva', 310253, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31850', 2, 'Satrustegui', 310253, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31850', 3, 'Villanueva (Arakil)/Heriberri', 310253, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31850', 4, 'Yabar/Ihabar', 310253, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31860', 0, 'Irurzun/Irurtzun', 319045, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31866', 1, 'Aizaroz/Aizarotz', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31866', 2, 'Arraras/Arrarats', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31866', 3, 'Beruete', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31866', 4, 'Erviti/Erbiti', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31866', 5, 'Garzaron/Gartzaron', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31866', 6, 'Igoa', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31866', 7, 'Jaunsaras/Jauntsarats', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31866', 8, 'Oroquieta/Orokieta', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 1, 'Aguinaga (Gulina)', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 2, 'Aizcorbe/Aizkorbe', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 3, 'Arostegui', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 4, 'Berasain', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 5, 'Beunza', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 6, 'Beunza Larrea', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 7, 'Cia', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 8, 'Ciganda', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 9, 'Eguillor (Atez)', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 10, 'Erice (Atez)', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 11, 'Gascue', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 12, 'Guelbenzu', 311862, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 13, 'Gulina', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 14, 'Larrea', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31867', 15, 'Muzquiz/Muskitz', 310403, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31868', 1, 'Atondo', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32552', 9, 'Soutogrande', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32553', 0, 'Apeneda', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32554', 1, 'Barrio de Abaixo (Pinza)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32554', 2, 'Barrio de Arriba (Pinza)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32554', 3, 'Caldesios', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32554', 4, 'Os Casarios (Pinza)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32554', 5, 'Mosexos', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32554', 6, 'Pinza', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32554', 7, 'Ponton (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32554', 8, 'Seoane de Abaixo', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32555', 1, 'A Ermida (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32555', 2, 'Vilardemilo', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32555', 3, 'Vilarmeao (Viana)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32555', 4, 'Vilaseco da Serra', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32556', 1, 'Covelo (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32556', 2, 'Fornelos de Cova', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32556', 3, 'Mourisca (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32556', 4, 'San Mamede (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32556', 5, 'Tabazoa de Hedroso', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 1, 'Ardexarxe', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 2, 'Castieira (Vilario de Conso)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 3, 'Chaguazoso (Vilario de Conso)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 4, 'Os Dominguez', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 5, 'A Faceira', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 6, 'Os Fernandez (Vilario de Cons', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 7, 'Fradelo', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 8, 'Os Gomez', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 9, 'Grixoa (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 10, 'O Palacio (Vilario de Conso)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 11, 'Parada (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 12, 'Quintela do Pando', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 13, 'San Mamede de Hedrada', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 14, 'Santa Maria da Ponte', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 15, 'Os Veigas', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 16, 'A Veiguia (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32557', 17, 'Vilario de Conso', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 1, 'O Alto de Covelo', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 2, 'O Barrio (San Martio)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 3, 'Cabo (San Martio)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 4, 'O Campo (San Martio)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 5, 'Castieira (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 6, 'Castieira (Vilario de Conso)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 7, 'Cepedelo', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 8, 'Dradelo', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 10, 'Froxais', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 11, 'Lozaregos', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 12, 'O Outeiro (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 13, 'Paradela (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 14, 'Penouta (Viana de Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 15, 'Pradoramisquedo', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 16, 'Punxeiro', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 17, 'Quintela de Umoso', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 18, 'Ramilo', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 19, 'Rubiais', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 20, 'San Martio (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 21, 'Santa Maria de Froxais', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 22, 'Santo Agostio', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 23, 'De Santo Agostio', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 24, 'Sever (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 25, 'Tabazoa de Umoso', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 26, 'Umoso', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 27, 'Vilar de Goia', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32558', 28, 'Hedroso', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32559', 1, 'Hedroso', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32559', 2, 'Iglesia (Viana do Bolo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32559', 3, 'Parada Das Vias', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32559', 4, 'Quintela de Edroso', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32559', 5, 'Quintelia', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32559', 6, 'San Cibrao (Viana do Bolo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32559', 7, 'A Touza (Viana do Bolo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32559', 8, 'A Touza (San Cibrao)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32560', 1, 'Pradocabalos', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32560', 2, 'Seoane de Arriba', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32560', 3, 'Solbeira (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32562', 1, 'Bembibre', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32562', 2, 'Fornelos de Filloas', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32563', 1, 'Bouza (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32563', 2, 'O Castro (Pexeiros)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32563', 3, 'O Castro (Viana do Bolo)', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32563', 4, 'Pexeiros', 320868, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32570', 0, 'Maside', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32572', 1, 'Corzos (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32572', 2, 'Dacon', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 1, 'O Agro de Quinta', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 2, 'A Aldeia', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 3, 'Alen (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 4, 'Ansamonde', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 5, 'Balteiro (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 6, 'Bouzas (Lago-Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 7, 'A Carballeira (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 8, 'A Carrasca', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 9, 'A Casanova (Amarante)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 10, 'Comosa', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 11, 'Estuiga', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 12, 'Fonteboa', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 13, 'A Fontela (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 14, 'Gulfar', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 15, 'Lavandeira (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 16, 'Lovada', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 17, 'O Pazo (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 18, 'A Pobanza (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 19, 'Pousada (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 20, 'A Reguenga (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 21, 'Ribias', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 22, 'Santa Comba do Trevoedo', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 23, 'Santian', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 24, 'Silbal', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 25, 'Toscaa (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32573', 26, 'O Trevoedo', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 1, 'Armeses', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 2, 'Barxelas (Punxin)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 3, 'A Casanova (Armeses)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 4, 'O Chao (Punxin)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 5, 'Cima de Vila (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 6, 'A Eirexa (O Carballio)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 7, 'A Groba', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 8, 'Laiantes', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 9, 'Listanco', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 10, 'O Mato (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 11, 'Nogueira de Abaixo', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 12, 'O Outeiro (Armeses)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 13, 'As Quintas (Raestres)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 14, 'San Fiz (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 15, 'San Miguel (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 16, 'A Vila (Punxin)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32574', 17, 'Vilela (Punxin)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32575', 1, 'O Lago', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32575', 2, 'Negrelle (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32575', 3, 'Rivas (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32576', 0, 'Vilanova da Barca', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 1, 'O Bolo (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 3, 'Canedo (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 24, 'La Maja', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 25, 'Matamora', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 26, 'Parada Real', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 27, 'La Peraleda', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 28, 'La Ponderosa', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 29, 'El Puerto de Galapagar', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 30, 'Las Regaderas', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 31, 'Roncesvalles', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 32, 'San Alberto', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 33, 'La Tijera', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 34, 'El Toril', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 35, 'El Torreon', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 36, 'Villasolita', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28260', 37, 'Vista Nevada', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28270', 1, 'Colmenarejo', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28270', 2, 'Colonia Santiago Antigua', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28270', 3, 'Colonia Santiago Nueva', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 1, 'Los Alamos (Colmenarejo)', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 2, 'Alcornoque (1 y 2)', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 3, 'Barreduelos', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 4, 'Cercado de Las Eras', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 5, 'El Desancho', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 6, 'La Espernadilla', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 7, 'Fuente Elvira', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 8, 'Fuente Pozas', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 9, 'La Ladera', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 10, 'Los Lindes', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 11, 'Navarrondilla', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 12, 'Parque Azul', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 13, 'Prado Ibarra', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 14, 'Prausteros', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 15, 'Rincon de Prausteros', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28279', 16, 'De Valdemayor', 280442, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28280', 0, 'El Escorial', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28290', 1, 'Colegio Orvalle', 281277, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28290', 2, 'Las Matas', 281277, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28290', 3, 'Monte Rozas', 281277, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28290', 4, 'Parque Residencial Nuevo Club', 281277, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 1, 'Cerrillo (Las Zorreras)', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 2, 'Ciudad Bosque los Arroyos', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 3, 'Colonia de el Herreo', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 4, 'Colonia de la Asuncion', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 5, 'Colonia de los Ciervos', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 6, 'Colonia Espaa', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 7, 'Colonia Las Suertes', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 8, 'Encinar I y II (Las Zorreras)', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 9, 'Navalquejigo', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 10, 'De Navalquejigo', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 11, 'San Ignacio de el Escorial', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28292', 12, 'Las Zorreras', 280549, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28293', 1, 'Colonia Pea Rosal', 281837, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28293', 2, 'De la Estacion (Zarzale)', 281837, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28293', 3, 'Zarzalejo', 281837, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28293', 4, 'De Zarzalejo', 281837, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28294', 1, 'Canopus', 281258, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28294', 2, 'Rio Cofio', 281258, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28294', 3, 'Robledo de Chavela', 281258, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28294', 4, 'De Robledo', 281258, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28294', 5, 'La Suiza Espaola', 281258, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28295', 1, 'El Rio', 281599, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28295', 2, 'Valdemaqueda', 281599, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28295', 3, 'Valdepark', 281599, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28296', 1, 'Las Herreras', 281356, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28296', 2, 'Navalespino', 281356, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28296', 3, 'De Santa Maria Alameda', 281356, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28296', 4, 'Santa Maria de la Alameda', 281356, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28296', 5, 'Valdespino', 281356, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28297', 1, 'La Cereda', 281356, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28297', 2, 'La Hoya (Robledondo)', 281356, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28297', 3, 'Paradilla (Robledondo)', 281356, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28297', 4, 'Robledondo', 281356, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 1, 'De Andalucia (Aranjuez)', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 2, 'Aranjuez', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 3, 'Barrio de la Montaa', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 4, 'Barrio de Las Doce Calles', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 5, 'Barrio Puerta Cirigata', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 6, 'Barrio San Miguel', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 7, 'Casa de los Tilos', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 8, 'Casa del Reloj', 280437, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 9, 'Casas de Marin', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 10, 'El Cortijo de San Isidro', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 11, 'Cortijo Viejo', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 12, 'El Embocador', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 13, 'Las Gemelas', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 14, 'Jardin de Narvaez', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 15, 'El Mirador (Aranjuez)', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 16, 'El Monje', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 17, 'Poligono de Las Aves', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 18, 'Las Potreras', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 19, 'Puente de la Reina', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 20, 'Puente Largo', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 21, 'Quinto Nuevo', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 22, 'Soto del Parral', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 23, 'Soto Gordo', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 24, 'Las Tejeras', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28300', 25, 'Valdemartin', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28310', 1, 'Algodor', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28310', 2, 'Caete', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28310', 3, 'Puente de Algodor', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28310', 4, 'Valdecavas', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28310', 5, 'Valdepastores', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28310', 6, 'El Espinar', 280133, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28310', 7, 'Majazala', 280133, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28310', 8, 'El Quintillo', 280133, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28311', 1, 'Castillejo', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28311', 2, 'De Castillejo', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28311', 3, 'Colonia Iberia', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28312', 1, 'Alamos Blancos (Aranjuez)', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28312', 2, 'De la Barca', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28312', 3, 'De la Coronela', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28312', 4, 'La Flamenca', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28312', 5, 'Las Infantas (Aranjuez)', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28312', 6, 'De la Orilla del Rio', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28312', 7, 'La Ribera', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28312', 8, 'De Toledo (Infantas)', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28320', 1, 'Pinto', 281132, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28320', 2, 'Poligono Industrial Carretera', 281132, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28320', 3, 'Poligono Industrial Aproin', 281132, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28320', 4, 'Poligono Industrial de Pinto', 281132, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28320', 5, 'Poligono Industrial Las Arenas', 281132, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28320', 6, 'De San Martin de la Vega', 281132, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28330', 1, 'Poligono Industrial Aimayr', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28330', 2, 'San Martin de la Vega', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28339', 1, 'Barrio de Las Mariquitas', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28339', 2, 'La Boyeriza', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28339', 3, 'Gozquez de Abajo', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28339', 4, 'Gozquez de Arribas', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28339', 5, 'La Isla', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28339', 6, 'Parque el Grion', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28339', 7, 'Residencial Las Vegas', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28339', 8, 'Santa Elena', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28339', 9, 'Villa Montaa', 281322, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28340', 0, 'Valdemoro', 281610, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28380', 3, 'Urtajo', 280437, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 10, 'Venta Moratalla', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30193', 11, 'Yechar', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30194', 0, 'Nio de Mula', 300294, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30195', 1, 'Archivel', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30195', 2, 'Cuevas Primeras', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30195', 3, 'Cuevas Segundas', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30195', 4, 'Noguericas', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30195', 5, 'Partideras', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30195', 6, 'Villar', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30196', 1, 'Bajil', 300320, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30196', 2, 'El Pendon', 300320, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30196', 3, 'Rincon del Sastre', 300320, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30200', 0, 'Cartagena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30201', 0, 'Cartagena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30202', 0, 'Cartagena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30203', 0, 'Cartagena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30204', 0, 'Cartagena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30205', 0, 'Cartagena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30290', 0, 'Cartagena Naval', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 1, 'Barriada Cuatro Santos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 2, 'Barriada Jose Maria de la Puer', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 3, 'Barriada Santisima Trinidad', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 4, 'Barrio Peral', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 5, 'Casas de Castro', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 6, 'Casas del Caete', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 7, 'Casas del Diablo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 8, 'Casas del Fundidor', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 9, 'Colonia de San Felix', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 10, 'Huerto de la Herradura', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 11, 'Molinos Gallegos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 12, 'Vereda de San Felix', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 13, 'Cartagena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 14, 'Casas de Clares', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 15, 'Finca Lo Chaparro', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 16, 'Finca el Palmero', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 17, 'Finca Las Pequeas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 18, 'Huerto Alcantud', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 19, 'Huerto Benito', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 20, 'Huerto Mari Pepa', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 21, 'Huerto Palomares', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30300', 22, 'Versalles', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30310', 1, 'Cartagena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30310', 2, 'El Bohio', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30310', 3, 'Castillitos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30310', 4, 'Los Dolores (Los Dolores)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30310', 5, 'Fuente Cuba', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30310', 6, 'Hispanoamerica', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30310', 7, 'Mediterraneo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30310', 8, 'Nueva Cartagena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30310', 9, 'El Plan', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30310', 10, 'Los Barreros', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 1, 'Barriada Santiago', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 2, 'Casas de Arriba (Santa Ana)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 3, 'Casas de la Loma (Santa Ana)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 4, 'Casas de Navarro', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 5, 'Casas del Tio Pepe Martinez', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 6, 'Las Casicas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 7, 'Los Conesas (Miranda)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 8, 'Lo Gallina', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 9, 'Los Gallos (Miranda)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 10, 'Los Garcia (Miranda)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 11, 'La Gila', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 12, 'La Gori', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 13, 'Lo Gorito (Santa Ana)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 14, 'Lagori (Santa Ana)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 15, 'Los Maestros (Miranda)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 16, 'Los Maestros', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 17, 'Martinez de los Gallos (Mirand', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 18, 'Miranda', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 19, 'Molino Derribado (Santa Ana)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 20, 'Las Monjas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 21, 'La Murciana (Santa Ana)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 22, 'Los Nietos (Los Dolores)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 23, 'El Palmero', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 24, 'Pedrera (Miranda)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 25, 'Pedro Antonio Garcia', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 26, 'Las Peuelas (Santa Ana)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 27, 'Las Polinarias', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 28, 'Pozo Dulce', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 29, 'Santa Ana', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 30, 'Los Segados (Santa Ana)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 31, 'Los Silvestres', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 32, 'Los Tarantos (Santa Ana)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 33, 'Los Teodoros', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 34, 'Torre Pereta (Santa Ana)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 35, 'La Torre (Miranda)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 36, 'Venta de Tono', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 37, 'Venta Tono (Miranda)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 38, 'Los Vidales (Miranda)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 39, 'Villa Rica', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30320', 0, 'Fuente Alamo', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 1, 'Los Agustinillos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 2, 'Beltran', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 3, 'Cambroneros', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 4, 'Carverica', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 5, 'Casas de Egea', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 6, 'Las Casicas (Las Huertas)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 7, 'Los Cegarras', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 8, 'Los Celdranes', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 9, 'Corverica', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 10, 'El Espinar', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 11, 'Los Gomez (Las Huertas)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 12, 'La Graa', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 13, 'Los Hernandez (Las Huertas)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 14, 'Las Huertas', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 15, 'Los Largos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 16, 'Lotilli', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 17, 'El Maraal', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 18, 'Los Morales', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 19, 'Nazaret', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 20, 'Las Suertes', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 21, 'Los Tomasines', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30329', 22, 'Los Vidales (Las Hugrias)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30330', 1, 'El Albujon', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30330', 2, 'Las Casas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30330', 3, 'La Ermita', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30330', 4, 'El Esparragueral', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30330', 5, 'La Fabrica', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30330', 6, 'Los Hernandez (Albujon)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30330', 7, 'Las Lomas (Albujon)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30330', 8, 'Los Roses (Albujon)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30330', 9, 'La Venta (Albujon)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30331', 1, 'Los Cegados', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30331', 2, 'Los Conesas (Lobosillo)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30331', 3, 'Diaz de Lobosillo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30331', 4, 'Los Garcia (Lobosillo)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30331', 5, 'Lobosillo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30331', 6, 'Los Rivas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30331', 7, 'Los Romeros', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30331', 8, 'Los Urreas (Logosillo)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30331', 9, 'Los Vidales (Lobosillo)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30332', 1, 'Balsapintada', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30332', 2, 'Estrecho de Fuente Alamo', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30332', 4, 'Los Pareses', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31868', 2, 'Ecay (Araquil) /Ekai (Arakil)', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31868', 3, 'Echarren (Araquil) /Etxarren (', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31868', 4, 'Echeverri (Araquil)/Etxeberri', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31868', 5, 'Eguiarreta/Egiarreta', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31868', 6, 'Erroz/Errotz', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31868', 7, 'Izurdiaga', 310253, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31868', 8, 'Urrizola (Araquil)/Urritzola (', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31868', 9, 'Zuazu (Araquil)/Zuhatzu (Araki', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 1, 'Beramendi', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 2, 'Echalecu/Etxaleku', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 3, 'Eraso', 311265, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 4, 'Goldaraz/Goldaratz', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 5, 'Ichaso/Itxaso', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 6, 'Latasa (Imoz)', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 7, 'Oscoz/Oskotz', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 8, 'Udabe', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 9, 'Urriza/Urritza', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 10, 'Yaben/Ihaben', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31869', 11, 'Zarranz/Zarrantz', 310497, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31870', 1, 'San Miguel de o Sant Aralar', 319083, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31870', 2, 'Lecumberri/Lekunberri', 319083, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31870', 3, 'San Miguel de Excelsis', 319083, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31876', 0, 'Areso', 310312, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31877', 1, 'Albiasu', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31877', 3, 'Gorriti', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31877', 4, 'Huici/Uitzi', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31877', 5, 'Alto de Leiza', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31878', 1, 'Aldaz de Larraun/Aldatz', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31878', 2, 'Arruiz/Arruitz', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31878', 3, 'Echarri (Larraun)/Etxarri (Lar', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31878', 4, 'Muguiro', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31879', 1, 'Alli', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31879', 2, 'Astiz/Astitz', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31879', 3, 'Baraibar', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31879', 4, 'Iribas', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31879', 5, 'Madoz/Madotz', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31879', 6, 'Oderiz/Oderitz', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31880', 0, 'Leiza/Leitza', 311496, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31890', 0, 'Betelu', 310556, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31891', 1, 'Arriba/Arribe', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31891', 2, 'Atallo/Atallu', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31891', 3, 'Azcarate/Azkarate', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31891', 4, 'Azpiroz/Azpirotz', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31891', 5, 'Errazquin/Errazkin', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31891', 6, 'Gainza/Gaintza', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31891', 7, 'Inza/Intza', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31891', 8, 'Lezaeta', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31891', 9, 'Uztegui/Uztegi', 311445, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 1, 'Aldaba', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 2, 'Aldaz de Echavacoiz', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 3, 'Aristregui', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 4, 'Ariz', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 5, 'Erice (Iza)', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 6, 'Larumbe', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 7, 'Ochovi', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 8, 'Osinaga', 311363, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 9, 'Sarasa', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 10, 'Sarasate', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('31892', 11, 'Zuasti (Iza)', 311311, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32001', 1, 'Ourense', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32002', 7, 'Ourense', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32003', 0, 'Ourense', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32004', 1, 'Ourense', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32005', 5, 'Ourense', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32070', 0, 'Ourense', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32071', 0, 'Ourense', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32080', 0, 'Ourense', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 1, 'Boncomezo', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 2, 'Cambeo', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 3, 'Empalme', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 4, 'Gustei', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 5, 'Penas Albas', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 6, 'Pobadura', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 7, 'Santiago (Nacional-525 Zamora-', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 8, 'Seara Vella', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 9, 'Seoane (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 10, 'Sequeiros (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 11, 'Sobral', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32100', 12, 'Vilarnaz', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 1, 'Agro Maior', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 2, 'Bainte', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 3, 'A Baiuca (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 4, 'Barbantes (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 5, 'O Barrio (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 6, 'Belquirime', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 7, 'Brega', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 8, 'Castieiras (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 9, 'Cazarrande', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 10, 'O Cepedo', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 11, 'A Chouzana (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 12, 'Cibran', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 13, 'Cristoble', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 14, 'Currelos', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 15, 'Delvezon', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 16, 'Estrumil', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 17, 'O Figueiredo (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 18, 'O Fontao (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 19, 'Fonte de Mouros', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 20, 'Gosende', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 21, 'Leon', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 22, 'Parada (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 23, 'Os Pardieiros', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 24, 'Pazos de Monte', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 25, 'A Pena (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 26, 'A Pica (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 27, 'O Pilo', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 28, 'Porto Amieiro', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 29, 'O Prado (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 30, 'As Quintas (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 31, 'A Regueira Grande', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 32, 'Regueiros', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 33, 'A Ria (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 34, 'O Rio (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 35, 'San Martio (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 36, 'San Pedro (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 37, 'A Seara (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 38, 'Sestelos', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 39, 'A Tolda (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 40, 'O Val (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32101', 41, 'Vilamarin', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32102', 1, 'O Coruxal (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32102', 2, 'A Eirexa (Readigos)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32102', 3, 'A Eirexa (Tamallancos)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32102', 4, 'Gandara Longa', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32102', 5, 'A Pitanza', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32102', 6, 'Readegos (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32102', 7, 'Tamallancos', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 1, 'Barral (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 2, 'As Barxas', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 3, 'Cartelos', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 4, 'Coias', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 5, 'A Costa (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 6, 'Costoira', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 7, 'Cudeiro', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 8, 'Escorial', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 9, 'A Granxa (Cudeiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 10, 'As Lagunas', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 11, 'Laxa (Cudeiro-Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 12, 'Outeiro (Cudeiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 2, 'Bouzas (Garabas-Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 4, 'Carballeiras (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 5, 'A Carreira (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 6, 'Constanza', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 7, 'Espieiros (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 8, 'Estacion Maside', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 9, 'Faquin', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 10, 'Figueiredo (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 11, 'Garabas', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 12, 'A Lamasaida', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 13, 'Louredo (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 14, 'Manzos', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 15, 'Martin de Louredo', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 16, 'Mundin (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 17, 'O Outeiro (Louredo)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 18, 'Pena (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 19, 'Pieiro (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 20, 'As Quintas (Pieiro-Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 21, 'Requeixo (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 22, 'Sampaio (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 23, 'San Bainto', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 24, 'Sante', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 25, 'Sobreira (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 26, 'Sueirexa (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32577', 27, 'A Touza (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32578', 1, 'Las Barandillas', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32578', 2, 'Costa (Maside)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32578', 3, 'Figueiroa (Punxin)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32578', 4, 'Lamas (Punxin)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32578', 5, 'A Nogueira (Punxin)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32578', 6, 'Raestres', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32578', 7, 'Santo Estevo (Punxin)', 320659, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32578', 8, 'Vilamoure', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32579', 1, 'A Eirexa (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32579', 2, 'Outeiro Grande', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32579', 3, 'As Quintas (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32579', 4, 'A Raoa (Maside)', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32579', 5, 'Ribadal', 320454, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32591', 0, 'Invernadeiro', 320929, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 1, 'A Agrela', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 10, 'Casanova (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 14, 'A Cruz (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 15, 'Cuartelas', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 17, 'A Eirexa (Untes)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 18, 'A Esparrelia', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 19, 'Figueiredo (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 22, 'A Golpilleira', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 24, 'Ludeiro (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 26, 'O Outeiro (Untes)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 27, 'O Palleiro', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 28, 'Pazo de Ramiras', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 29, 'A Ponte Nova', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 32, 'Regueiro (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 33, 'Sas (Untes)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 35, 'O Sobreiral', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 36, 'Soutio (Orense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 37, 'O Souto do Rio', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 39, 'Torre (Arrabaldo-Orense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32593', 41, 'O Val (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32600', 1, 'Cabreiroa', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32600', 2, 'Queizas', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32600', 3, 'Quiroganes', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32600', 4, 'Verin', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 1, 'Castrelo de Abaixo', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 2, 'Castrelo de Cima', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 3, 'Cortegada (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 4, 'As Corvaceiras', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 5, 'Covelas (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 6, 'A Eirexa (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 7, 'As Ferreiras', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 8, 'Florderrei (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 9, 'Freilas', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 10, 'As Lapedas', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 11, 'O Mente', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 12, 'O Mourisco (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 13, 'O Navallo (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 14, 'Pedrosa (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 15, 'Pena do Souto', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 16, 'San Paio (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 17, 'A Silva (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 18, 'Valfarto', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 19, 'A Veiga do Seixo', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 20, 'A Veiguia', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32610', 21, 'As Vendas da Barreira', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 1, 'Fumaces', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 2, 'Marcelin', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 3, 'Miros (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 4, 'Monterrei', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 5, 'Monteveloso', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 6, 'Pousada (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 7, 'Progo', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 8, 'Rios (Capital)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 9, 'Romariz', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 10, 'Rubios', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 11, 'San Cristovo (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 12, 'San Pedro de Trasverea', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 13, 'San Pedro Pousada', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 14, 'Santa Baia (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 15, 'Sarreaus (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 16, 'O Souto (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 17, 'A Trepa', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 18, 'Vilamaior do Val', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32611', 19, 'Vilario Das Touzas', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32612', 1, 'Domiz (Rios)', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32612', 2, 'Feilas', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32612', 3, 'Maoas', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32612', 4, 'O Piornedo', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32612', 5, 'Trasestrada', 320718, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32613', 1, 'Bouses', 320533, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32613', 2, 'As Casas Dos Montes', 320533, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32613', 3, 'As Chas (Oimbra)', 320533, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32613', 4, 'Espio (Oimbra)', 320533, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32613', 5, 'A Granxa (Oimbra)', 320533, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32613', 6, 'Oimbra', 320533, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32613', 7, 'O Rosal', 320533, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32613', 8, 'San Cibrao (Oimbra)', 320533, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32613', 9, 'Varoncelle', 320533, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32613', 10, 'Videferre', 320533, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32614', 1, 'A Moimenta (Vilardevos)', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32614', 2, 'O Peto (Vilardevos)', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32615', 0, 'Abedes', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 1, 'Arzadegos', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 2, 'Cavadas', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 3, 'Devesa (Vilardevos)', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 4, 'Dona Elvira', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 5, 'Enxames', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 6, 'Florderrei Vello (Vilardevos)', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 7, 'O Hospital', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 8, 'Soutocovo', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 9, 'Terroso', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 10, 'Tomonte', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 11, 'Vilar de Cervos', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 12, 'Vilardevos', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32616', 13, 'Vilarello (Vilardevos)', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 1, 'Arzoa', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 2, 'A Bemposta (Vilardevos)', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 3, 'Berrande', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28341', 0, 'Valdemoro', 281610, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28350', 0, 'Ciempozuelos', 280409, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28359', 1, 'Soto del Hinojar', 280133, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28359', 2, 'Titulcia', 281473, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28360', 0, 'Villaconejos', 281701, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28370', 0, 'Chinchon', 280528, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28380', 1, 'Balcon del Tajo', 280437, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28380', 2, 'Colmenar de Oreja', 280437, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28380', 4, 'Los Vallejos', 280437, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28380', 5, 'Valles San Juan', 280437, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28390', 0, 'Belmonte de Tajo', 280199, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28391', 0, 'Valdelaguna', 281570, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28400', 1, 'Collado Villalba', 280474, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28400', 2, 'Villalba de Guadarrama', 280474, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 1, 'El Castillo (Collado Villalba)', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 2, 'Caada Real', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 3, 'Colonia Fabra', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 4, 'El Encinar (Collado Villalba)', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 5, 'Firensa', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 6, 'Fuente Llana', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 7, 'Grandes Valles', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 8, 'Los Herreos', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 9, 'Los Llanos (Collado Villalba)', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 10, 'Medialuna', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 11, 'Miravalles', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 12, 'Los Negrales', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 13, 'La Ortiega', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 14, 'Pea Redondera', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 15, 'Romo Calderas', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 16, 'Santa Teresa', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 17, 'Venta Feliciano', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28409', 18, 'Las Zanjas', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 1, 'El Alcornocal', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 2, 'Cabeza Illescas', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 3, 'Castillo Real', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 4, 'Colonia de el Palomar', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 5, 'Colonia de los Cercados', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 6, 'Cuatro Peas', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 7, 'De la Elvirica', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 8, 'De la Ermita (Manzanares Real)', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 9, 'De la Ermita', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 10, 'Manzanares el Real', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 11, 'El Molinico', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 12, 'El Molino', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 13, 'De Navarrealejo', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 14, 'Los Palacios', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 15, 'El Pedrazo', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 16, 'Pedriza I', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 17, 'Pedriza II', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 18, 'La Pedriza', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 19, 'De Pea Caballera', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 20, 'Pea el Gato', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28410', 21, 'El Yelmo', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 1, 'Los Abetos (Moralzarzal)', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 2, 'El Berrocal', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 3, 'Bonico Parra', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 4, 'Los Carcones', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 5, 'El Carmen (Moralzarzal)', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 6, 'La Caada Tejera', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 7, 'Cercas de Barroso', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 8, 'Cerceda', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 9, 'Moralzarzal', 280908, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 10, 'La Chazuela', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 11, 'Los Chopos', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 12, 'Las Conchas (Moralzarzal)', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 13, 'Fuente de la Salud', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 14, 'La Herradura', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 15, 'Matacerquillas', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 16, 'Los Chaparros', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 17, 'Olmosierra', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 18, 'Pea Gorda', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 19, 'Pealzarzal', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 20, 'Prado de los Enebros', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 21, 'Praduellos', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 22, 'Redondillo', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 23, 'El Retamar', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28411', 24, 'Tejera (Moralzarzal)', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28412', 1, 'Cerceda', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28412', 2, 'Cerro del Cao', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28412', 3, 'Cerrillo Agustin (Cerceda)', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28412', 4, 'Montesclaros', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28412', 5, 'Las Praderas', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28412', 6, 'San Muriel', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28412', 7, 'El Soto (Cerceda)', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28412', 8, 'Vista Nieve y Sol', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28412', 9, 'Las Viuelas (Cerceda)', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28413', 1, 'El Boalo', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28413', 2, 'Pea de Las Gallinas', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28413', 3, 'El Rebollar (Boalo)', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28413', 4, 'San Muriel Boman (Boalo)', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28413', 5, 'Sierra Bonita (Boalo)', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28419', 3, 'Nieves y Sol', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28420', 1, 'Colonia Alto de la Navata', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28420', 2, 'Colonia de Carranza', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28420', 3, 'Los Enebros', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28420', 4, 'Las Monjas', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28420', 5, 'La Navata', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28420', 6, 'Parquelagos', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28420', 7, 'Los Rosales (La Navata)', 280611, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28430', 0, 'Alpedrete', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 1, 'Los Berrocales (Alpedrete)', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 2, 'La Cerquilla', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 3, 'Colonia del Carmen', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 4, 'Las Contreras', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 5, 'Horreo I y II', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 6, 'La Lanchuela', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 7, 'Mataespesa de Alpedrete', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 8, 'Prado de la Iglesia', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 9, 'El Prado', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 10, 'La Roca', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 11, 'San Jose', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28439', 12, 'Valdencinas', 280105, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28440', 1, 'Casa Forestal Tablada', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28440', 2, 'Casa Tere Tablada', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28440', 3, 'Gonzalo', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28440', 4, 'Guadarrama', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28440', 5, 'Residencia San Francisco', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28440', 6, 'Sanatorio de Guadarrama', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28440', 7, 'Sanatorio Hispanoamericano (Gu', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28440', 8, 'Sanatorio Militar Antitubercul', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28450', 1, 'Collado Mediano', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28450', 2, 'La Fuente (Collado Mediano)', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28450', 3, 'La Paloma (Collado Mediano)', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28450', 4, 'El Pinar (Collado Mediano)', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28450', 5, 'Residencia Madrid (Collado Med', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28450', 6, 'Virgen de Begoa (Collado Medi', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28450', 7, 'Virgen del Carmen (Collado Med', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 1, 'Los Abetos (Collado Mediano)', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 2, 'Los Arroyuelos (Collado Median', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 3, 'La Cabaera', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 4, 'La Cabreriza', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 5, 'Fuente del Vare', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30332', 3, 'Los Garcia (Balsapintada)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30332', 5, 'Venta Garcia', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30332', 6, 'Villa Concha', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 1, 'Los Almagros', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 2, 'La Carrasca (Cuevas de Reyllo)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 3, 'Casas del Hondo (Reyllo)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 4, 'Cuevas de Reyllo', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 5, 'Los Diaz de Cueva', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 6, 'El Escobar (Reyllo)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 7, 'Los Felipes', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 8, 'Lo Gorge', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 9, 'Los Guerreros (Cuevas de Reyll', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 10, 'Los Laras', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 11, 'Los Legaces (Cuevas de Reyllo)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 12, 'El Llano', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 13, 'Los Maldonados', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 14, 'Los Milanos', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 15, 'Los Morenos', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 16, 'Nuestra Seora del Rosario', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 17, 'Los Sanchez (Cuevas de Reyllo)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 18, 'Los Segaces', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30333', 19, 'Los Vicentes (Cuevas de Reyllo', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 1, 'Almazaras', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 2, 'Campo-Nubla', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 3, 'Casa Nuevas', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 4, 'Casas de Beltran', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 5, 'Casas de Linares', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 6, 'Casas de Liza', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 7, 'La Fraila', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 8, 'Los Guerreros (Las Palas)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 9, 'Los Guirtines', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 10, 'El Hondo', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 11, 'Los Legaces (Las Palas)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 12, 'La Loma (Las Palas)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 13, 'La Mariana', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 14, 'Los Martinez (Las Palas)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 15, 'Mayordomo de Abajo', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 16, 'Mayordomo de Arriba', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 17, 'Las Palas', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 18, 'El Palmeral', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 19, 'La Perita', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 20, 'Pozo Pio', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 21, 'Los Quintanes', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 22, 'El Real', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 23, 'Los Ruices (Las Palas)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 24, 'Santa Teresa', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 25, 'Trebedes', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30334', 26, 'La Zarza (Las Palas)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 1, 'La Atalaya', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 2, 'Los Barberos (La Pinilla)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 3, 'El Cabecico', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 4, 'Campillo de Abajo (La Pinilla)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 5, 'Campillo de Arriba (La Pinilla', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 6, 'Los Carlines', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 7, 'Casa Blanca (La Pinilla)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 8, 'Casas de los Izquierdos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 9, 'Casicas del Campo Nubla', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 10, 'Caada Seca', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 11, 'Collado (La Pinilla)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 12, 'Cuevas de Pagan', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 13, 'Los Gomez (La Pinilla)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 14, 'Los Guijarros', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 15, 'La Huerta (La Pinilla)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 16, 'Los Izquierdos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 17, 'Margajon', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 18, 'Los Martinez (La Pinilla)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 19, 'Mayorazgos', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 20, 'El Mingrano', 300269, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 21, 'Negrete', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 22, 'La Pareja (La Pinilla)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 23, 'La Pinilla', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 24, 'El Puntal (La Pinilla)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 25, 'Los Santos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 26, 'Los Sordos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 27, 'La Torre (La Pinilla)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 28, 'La Venta (La Pinilla)', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 29, 'Los Veras (La Pinilla)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 30, 'Los Vivancos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30335', 31, 'Las Yeserias (La Pinilla)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30338', 0, 'Los Canovas', 300217, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30350', 0, 'Valle Escombreras', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30351', 1, 'Alumbres', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30351', 2, 'Borricen (Alumbres)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30359', 0, 'Asomada', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30360', 0, 'La Union', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30364', 1, 'Faro de Portman', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30364', 2, 'Minas de Portman', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30364', 3, 'Portman', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30365', 1, 'Cruz Chiquita', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30365', 2, 'El Gorguel', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30365', 3, 'De el Gorguel', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30365', 4, 'Tomasito', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30366', 0, 'El Algar', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 1, 'Los Beatos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 2, 'Lo Bolarin (San Jose)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 3, 'Los Castillos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 4, 'El Chichar (San Jose)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 5, 'Ermita de San Jose', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 6, 'El Ingles', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 7, 'Los Miralles', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 8, 'Los Rangos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 9, 'Los Rizos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 10, 'Los Ruices (San Jose)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 11, 'San Jose', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30367', 12, 'Torre del Negro', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30368', 1, 'Bahia Bella', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30368', 2, 'El Carmoli', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30368', 3, 'Estrella Mar', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30368', 4, 'Lo France', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30368', 5, 'Huerta Valero', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30368', 6, 'Perla Levante', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30368', 7, 'Los Urrutias', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 1, 'La Aldea (La Union)', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 2, 'La Asomada', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 3, 'Lo Bolarin (Roche)', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 4, 'Cabezo Rajado', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 5, 'Caleras', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 6, 'Los Camachos', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 7, 'Cavila', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 8, 'El Chichar', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 9, 'Los Conesas (Roche)', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 10, 'Cuevas de Roma', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 11, 'El Descargador', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 12, 'La Esperanza', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 13, 'Las Huertas (Roche)', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 14, 'Los Mulas', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 15, 'Los Paredes', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 16, 'Roche', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 17, 'Roche Alto', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 18, 'Roche Bajo', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 19, 'Los Rojas', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 20, 'Los Topares', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 21, 'Torre Blanca', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 22, 'La Torreta', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 13, 'A Rega', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 14, 'Santiago (Nacional-525 Zamora-', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 15, 'Soutelo (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 16, 'Souto de Rei', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 17, 'Val do Regueiro', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 18, 'Val Dos Gozos', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 19, 'O Viso (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32103', 20, 'A Vioa (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 1, 'Barril', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 2, 'Bouzas (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 3, 'Cabrasivo', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 4, 'Cascarreira', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 5, 'Caserna', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 6, 'Codesal (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 8, 'Fabrica (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 9, 'Iglesia (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 10, 'Outeirio (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 11, 'Pena de Outeiro', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 12, 'Quinta (Paderne)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 13, 'Taboadela (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 14, 'A Torre (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 15, 'Toucedo', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32110', 16, 'Vilar (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 1, 'Alto', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 2, 'Caxamonde', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 3, 'Eiravedra (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 4, 'Lamas (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 5, 'Moas (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 6, 'Neboeiro', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 7, 'O Paiseo (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 8, 'O Pazo (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 9, 'Penalba (Paderne de Allarriz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 10, 'Riodebodas', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 11, 'Rioseco (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 12, 'Saa (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 13, 'San Cristovo (Paderne de Allar', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 14, 'San Salvador de Mourisco', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 15, 'San Xes (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32111', 16, 'Vilaverde (Paderne de Allariz)', 320551, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 1, 'Alen (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 2, 'Arrabaldo (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 3, 'Baamonde', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 4, 'O Barrio (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 5, 'A Batoca (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 6, 'A Beirada', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 7, 'Cacirmeiro', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 8, 'Cantoa (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 9, 'Castellada', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 10, 'Concieiro', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 11, 'A Costa (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 12, 'O Covelo (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 13, 'Figueiredo (Paderne de Allariz', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 14, 'Gaspar', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 15, 'Golpellas (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 16, 'A Lamela (Baos de Molgas)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 17, 'O Moredo (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 18, 'A Neta', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 19, 'Ousende', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 20, 'Outeiros (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 21, 'Paderne de Allariz', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 22, 'Penelas (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 23, 'O Rial (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 24, 'San Lourenzo (Paderne de Allar', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 25, 'Siabal (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 26, 'O Silvar', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 27, 'Solbeira', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 28, 'A Vacariza', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 29, 'A Venda (Baos de Molgas)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 30, 'Vilamea (Paderne de Allariz)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 31, 'Ermide (Paderne)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32112', 32, 'A Pousada (Paderne)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 1, 'Ansariz', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 2, 'Armental', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 3, 'As Cerdeiras', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 4, 'Codosedo (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 5, 'Couselo', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 6, 'As Cuartas', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 7, 'Entrambosrios (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 8, 'Fontelas (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 9, 'Ladredo', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 10, 'Marcelle (Vilamarin)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 11, 'Montos', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 12, 'Orban (Vilamarin)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 13, 'A Outraldea', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 14, 'O Palacio (Orban)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 15, 'Pazos', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 16, 'A Penela (Vilamarin)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 17, 'O Pereiro (Vilamarin)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 18, 'Piton', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 19, 'A Raa', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 20, 'Regolevado', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 21, 'Saa (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 22, 'Sagrade', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 23, 'San Cibrao (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 24, 'Toldavia', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 25, 'O Vilar (Vilamarin)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32120', 26, 'Xagrade', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32130', 0, 'Cea', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32133', 3, 'Vento', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32134', 12, 'Vilela (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32135', 1, 'A Canda (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32135', 2, 'Casfigueiro', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32135', 3, 'As Lagoas (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32135', 4, 'Monasterio de Oseira', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32135', 6, 'Pazo (A-Pior Canda)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32135', 7, 'Porto do Souto', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32135', 8, 'Surtidor', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 1, 'Agro Santio', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 2, 'Arenteirio (Pior)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 3, 'Aspera (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 4, 'Betar', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 5, 'Boulla', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 6, 'A Cabana (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 7, 'A Cabreira', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 8, 'Casanova (Osera-Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 9, 'Casar de Maria', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 10, 'Cazurraque', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 11, 'Confurco', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 12, 'A Costa (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 13, 'Cotelas', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 14, 'Covelo (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 15, 'A Folgosa', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 16, 'Freas da Canda', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 17, 'O Gamoal', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 18, 'Guimaras (Pior)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 19, 'As Laxas (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 4, 'Bustelo (Vilardevos)', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 5, 'Flaira', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 6, 'A Fraira', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 7, 'Lamasdeite', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 8, 'Moialde', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 9, 'Osoo', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 10, 'Regosende', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 11, 'Rexosende', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 12, 'Santa Comba (Verin)', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 13, 'Santa Comba de Baroncelle', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 14, 'Santa Maria (Vilardevos)', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 15, 'Soutochao', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 16, 'A Trabe', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 17, 'Traseirexa', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32617', 18, 'A Veiga Das Meas', 320914, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 1, 'Albarellos (Monterrei)', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 2, 'A Caridade', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 3, 'Flariz', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 4, 'Guimarei', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 5, 'Infesta (Monterrey)', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 6, 'A Madanela (Monterrei)', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 7, 'Medeiros', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 8, 'Paradia (Monterrei)', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 9, 'A Salgueira', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 10, 'San Cristovo (Monterrei)', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 11, 'Sandin (Monterrei)', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32618', 12, 'Vilaza', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32619', 0, 'Pazos (Verin)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32620', 1, 'Cerdeiria', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32620', 2, 'Cimadevila (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32620', 3, 'Correchouso', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32620', 4, 'Laza (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32620', 5, 'O Navallo (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32620', 6, 'Soutelio (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32621', 1, 'Arcucelos', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32621', 2, 'Camba (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32621', 3, 'Cerdedelo', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32621', 4, 'Eiras (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32621', 5, 'Matama (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32621', 6, 'O Pereiro (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32621', 7, 'Retorta (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32621', 8, 'Toro', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32621', 9, 'Trez', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32622', 1, 'A Albergueria (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32622', 2, 'Arruas', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32622', 3, 'Carraxo', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32622', 4, 'O Castro (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32622', 5, 'Naveaus', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32622', 6, 'O Santo (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32622', 7, 'Soutelo Verde', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32622', 8, 'Tamicelas', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32622', 9, 'Vilamea (Laza)', 320394, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32624', 1, 'Estevesios', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32624', 2, 'Mixos', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32624', 3, 'Nocedo do Val', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32624', 4, 'A Pousa (Monterrei)', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32624', 5, 'Vences', 320505, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32625', 1, 'Castrelo do Val (Capital)', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32625', 2, 'Pepin', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 1, 'Campobecerros', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 2, 'Fontefria (Castrelo do Val)', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 3, 'Gondulfes', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 4, 'Marban', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 5, 'Marvan', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 6, 'Portocamba', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 7, 'San Paio (Castrelo do Val)', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 8, 'Sanguedo (Castrelo do Val)', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 9, 'Servoi', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 10, 'Veiga de Nostre', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32626', 11, 'Vilar (Castrelo do Val)', 320219, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32630', 0, 'Xinzo de Limia', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 1, 'Boado', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 2, 'Gateira', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 5, 'Perrelos', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 6, 'Pidre', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 7, 'Pieira Seca', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 8, 'Porto Alto', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 9, 'Solbeira (Xinzo de Limia)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 10, 'Couso (Sarreaus)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 11, 'Freande', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 12, 'O Freixo (Sarreaus)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 13, 'Padroso (Sarreaus)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 14, 'Paradia (Sarreaus)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 15, 'Sarreaus', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 16, 'Sas (Sarreaus)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 17, 'Tarrazo', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32631', 18, 'Vilario (Sarreaus)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 1, 'Baltar', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 2, 'Bouzo (Baltar)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 3, 'As Fiestras', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 4, 'Garabelos (Baltar)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 5, 'Gomariz (Baltar)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 6, 'Laroa', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 7, 'Niodaguia (Baltar)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 8, 'Nocedo (Os Blancos)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 9, 'Noveas', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 10, 'San Pedro de Laroa', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32632', 11, 'Texos', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32633', 1, 'Abades', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32633', 2, 'Montecelo (Baltar)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32633', 3, 'A Quinta (Baltar)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32633', 4, 'Sabucedo Dos Peros', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32633', 5, 'San Martio Dos Peros', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32633', 6, 'San Paio (Baltar)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32633', 7, 'Santo Antoio', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32633', 8, 'Vilamaior da Boullosa', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 1, 'Aguis', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 2, 'A Aspra', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 3, 'Os Blancos', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 4, 'Cerdeira (Os Blancos)', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 5, 'Covas (Os Blancos)', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 6, 'Covelas (Os Blancos)', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 7, 'Os Cuquexos', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 8, 'Fonte Arcada', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 9, 'Guntin', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 10, 'Loureses', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 11, 'O Mosqueiro (Os Blancos)', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 12, 'Mouril', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 13, 'O Outeiro (Os Blancos)', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 14, 'Ouvigo', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 15, 'Penalonga', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 16, 'Pexeiros', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 17, 'A Rabea', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32634', 18, 'Vilar (Os Blancos)', 320126, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 1, 'Barrio (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 2, 'Barrio do Fondo', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 3, 'Barxa (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 4, 'Caldelias', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 5, 'Casal (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 6, 'Casares (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 7, 'As Casas da Veiga', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 8, 'Cima de Ribeira', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 9, 'Corredoira (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 10, 'Damil', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 11, 'O Estremadoiro', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 12, 'Gudes', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 13, 'Guntimil (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 6, 'El Linar', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 7, 'Los Linos', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 8, 'El Mirador (Collado Mediano)', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 9, 'Monte Golf', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 10, 'La Salidera', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 11, 'Serrania de la Paloma', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 12, 'La Tejera (Collado Mediano)', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28459', 13, 'La Ventilla', 280468, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28460', 1, 'De los Molinos', 280875, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28460', 2, 'Los Molinos', 280875, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28470', 1, 'Cercedilla', 280382, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28470', 2, 'De Navacerrada', 280382, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28478', 1, 'Los Arroyuelos (Cercedilla)', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28478', 2, 'La Cabezuela', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28478', 3, 'Las Cuerdas', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28478', 4, 'Residencia del Banco de Espaa', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28479', 1, 'Las Dehesas', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28479', 2, 'La Fuenfria', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28479', 3, 'Pealara', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28479', 4, 'Residencia Banco Espaol Credi', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28479', 5, 'Residencia del Banco Rural (Ce', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28479', 6, 'Sanatorio de Fuenfria', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28480', 1, 'Barrio Tablada', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28480', 2, 'Sanatorio Tablada', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28480', 3, 'Tablada', 280685, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 1, 'Becerril de la Sierra', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 2, 'Ciudad Residencial San Carlos', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 3, 'Ciudad Residencial San Marcos', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 4, 'Colonia Fuente de los Salinero', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 5, 'Colonia los Nogales', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 6, 'Fuente la Casa', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 7, 'El Henar', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 8, 'Los Huertos (Becerril Sierra)', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 9, 'Majada de Las Monjas', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 10, 'Pea Marcos', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 11, 'Pea Quintero', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 12, 'La Tejera (Becerril la Sierra)', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28490', 13, 'El Tomillar', 280186, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28491', 0, 'Navacerrada', 280936, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28492', 1, 'Matalpino', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28492', 2, 'La Ponderosa de la Sierra', 280231, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 1, 'Hostal del Arcipreste', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 2, 'Los Arcos', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 3, 'La Barraca', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 4, 'Los Cerrillos', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 5, 'Colonia la Iglesia', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 6, 'Colonia Villa Constanza', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 7, 'Garganton', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 8, 'Las Heras (Collado Mediano)', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 9, 'La Maliciosa', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 10, 'La Mata del Rosal', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 12, 'Praderas de San Sebastian', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 13, 'Los Pradillos', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 14, 'Prado Molero', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 15, 'El Reajo del Roble', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 16, 'Residencia del I.N.P. (Mataelp', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 17, 'Roymar', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 18, 'San Antonio', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 19, 'Sanatorio de Aviacion', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 20, 'Urbanesa', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 21, 'Valcuero', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28499', 22, 'Villa Laura', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28500', 1, 'Arganda del Rey', 280148, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28500', 2, 'El Colmenar', 280148, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28500', 3, 'Emisora Radio Elect Campillo (', 280148, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28500', 4, 'La Poveda', 280148, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28500', 5, 'La Serna', 280148, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28500', 6, 'Ventorro de la Julia', 280148, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28500', 7, 'Vilches', 280148, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28510', 0, 'Campo Real', 280339, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28511', 0, 'Valdilecha', 281659, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28512', 0, 'Villar del Olmo', 281795, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28513', 0, 'Las Villas de Nuevo Baztan', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28514', 1, 'Central Telefonica de Radio (N', 281795, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28514', 2, 'Ciudad de Las Americas', 281795, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28514', 3, 'Eurovillas', 281795, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28514', 4, 'El Mirador de el Baztan', 281795, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28514', 5, 'Monte Acevedo', 281006, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28514', 6, 'Nuevo Baztan', 281006, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28515', 0, 'Olmeda de Las Fuentes', 281013, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28520', 0, 'Colonia Pablo Iglesias', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28521', 0, 'Colonia Covibar', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 1, 'Avicola del Jarama', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 2, 'Campillo de San Isidro', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 3, 'Casa de Eulogio', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 4, 'Casa de Postas', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 5, 'La Conejera', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 6, 'Covibar', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 7, 'Emisoras Nacionales', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 8, 'La Esperilla', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 9, 'Rivas-Vaciamadrid', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 10, 'El Palancar', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 11, 'Palomarejos', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 12, 'El Piul', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 13, 'Poligono Industrial el Malvar', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 14, 'El Porcal', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 15, 'Puente de Arganda', 280148, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 16, 'Rivas de Jarama', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 17, 'El Negralejo', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 18, 'Soto de Pajares', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28529', 19, 'Vaciamadrid', 281230, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 1, 'Los Barranquetes', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 2, 'Los Barranquillos', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 3, 'Buenavista', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 4, 'El Calvaro', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 5, 'El Carmen (Alpedrete)', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 6, 'Los Centenes', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 7, 'Chiroles', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 8, 'Morata de Tajua', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 9, 'El Pinar (Morata de Tajua)', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 10, 'La Silcal', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 11, 'Valderribas', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28530', 12, 'Matadero Yeste', 280915, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28540', 1, 'El Campillo (Perales de Tajua', 281104, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28540', 2, 'Perales de Tajua', 281104, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28550', 0, 'Tielmes de Tajua', 281467, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28560', 1, 'Carabaa', 280357, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28560', 2, 'Colonia de la Colina', 280357, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28560', 3, 'Colonia la Concepcion', 280357, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28560', 4, 'Colonia los Villares', 280357, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28570', 0, 'Orusco', 281028, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28580', 0, 'Ambite', 280112, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28590', 0, 'Villarejo de Salvanes', 281809, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28594', 0, 'Valdaracete', 281551, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28595', 0, 'Estremera', 280552, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28596', 0, 'Brea de Tajo', 280259, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28597', 0, 'Fuentiduea de Tajo', 280604, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28598', 0, 'Villamanrique de Tajo', 281739, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28599', 1, 'Buenameson (Hidroelectrica)', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28600', 1, 'Calipo', 280967, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 23, 'Lo Ventura', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30369', 24, 'Lo Vilagran', 300413, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30370', 1, 'Cabo de Palos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30370', 2, 'Cala Flores', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30370', 3, 'Calarreona (Cabo de Palos)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30370', 4, 'Honda', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30370', 5, 'Paraiso', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30370', 6, 'El Vivero', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30378', 0, 'Dos Mares', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30379', 0, 'La Sirena', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30380', 1, 'La Aldea (Alumbres)', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30380', 2, 'La Manga del Mar Menor', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30381', 1, 'Estrecho de San Gines', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30381', 2, 'El Llano del Beal', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30382', 1, 'El Beal', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30382', 2, 'Los Blancos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30382', 3, 'Lo Francisco', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30382', 4, 'Mina Blanca', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30382', 5, 'Mina Paz', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30382', 6, 'San Gines de la Jara', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30383', 1, 'Las Carnosas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30383', 2, 'Nietos Viejos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30383', 3, 'Los Nietos (Los Nietos)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30383', 4, 'Lo Pollo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30383', 5, 'Salinas de Lo Pollo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30384', 1, 'Islas Menores', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30384', 2, 'Mar de Cristal', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 1, 'La Atamaria', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 2, 'Las Barracas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 3, 'Los Barracones', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 4, 'Los Belones', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 5, 'Cabezo Negro (Los Belones)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 6, 'Calblanque', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 7, 'Campo de Golf', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 8, 'Campo Verde', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 9, 'Carabineros', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 10, 'Cimarron', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 11, 'Cobaticas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 12, 'Covatica', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 13, 'Finca Exea', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 14, 'Hacienda de Vallejo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 15, 'Los Huncos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 16, 'La Jordana', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 17, 'El Mojon (Los Belones)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 18, 'El Pagador', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 19, 'Los Pereas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 20, 'Playa Honda', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 21, 'El Puntal (Los Belones)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 22, 'La Ribera', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30385', 23, 'Los Ritas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30386', 0, 'Villa Caravaning', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 1, 'La Aljorra', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 2, 'Los Barberos (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 3, 'Los Carrascosas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 4, 'Casa Grande (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 5, 'Casa Pequea', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 6, 'Los Caavate (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 7, 'Los Estrases', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 8, 'Loma de la Mina', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 9, 'Los Madriles (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 10, 'Los Martinez (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 11, 'La Mina', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 12, 'Molino Derribado la Aljorra', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 13, 'Los Molinos Pesetos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 14, 'Los Monteros', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 15, 'Los Navarros (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 16, 'Los Nicolases', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 17, 'Los Nietos (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 18, 'Rebollos (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 19, 'Los Roses (La Lajorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 20, 'El Saladillo (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 21, 'Los Sanchez (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 22, 'Torre Asuncion', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 23, 'Venta Cuaresma', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30390', 24, 'La Venta (La Aljorra)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30391', 1, 'Los Carceles (La Guia)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30391', 2, 'La Guia', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30391', 3, 'Molino Derribado (La Guia)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30391', 4, 'El Palmero (La Guia)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30391', 5, 'Pozo de los Palos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 4, 'Casas del Cino', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 5, 'La Casilla', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 9, 'El Hondon (Media Legua)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 12, 'Maestros Altos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 13, 'Maestros Bajos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 14, 'Manzanares', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 15, 'Media Legua (Media Legua)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 17, 'El Porche', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 18, 'Roche', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 19, 'Lo Tacon (Media Legua)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 21, 'Torreciega', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 24, 'Cartagena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30392', 25, 'Roche Alto', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 1, 'Las Agueras', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 2, 'Los Angeles (Califa)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 3, 'Azorin', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 4, 'Barriada de San Jose Obrero (G', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 5, 'Buenos Aires (Galifa)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 6, 'Canteras (Galifa)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 7, 'Los Carrascos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 8, 'Casas Bonifacio', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 9, 'Casas del Loco', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 10, 'Diaz de Gales', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 11, 'Ermita Vieja', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 12, 'Galifa', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 13, 'Molino de Marfagones', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 14, 'Molino Zabala', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 15, 'La Muela', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 16, 'Los Patojos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 17, 'Los Pinos (Galifa)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 18, 'Portus', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 19, 'Rincon de Califa', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 20, 'San Jose Obrero', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 21, 'Los Sanchez (Galifa)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 22, 'Torre Rubia', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30393', 23, 'Los Zurdos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 1, 'Los Blases (Canteras)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 2, 'Canteras (Canteras)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 3, 'Los Diaz (Canteras)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 4, 'Los Garcia (Canteras)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 5, 'Los Madriles (Canteras)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 6, 'Majuelo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 7, 'El Palmero (Pozo Estrecho)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 8, 'Los Peruchos (Canteras)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 9, 'Los Roses (Canteras)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 10, 'La Vaguada', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 1, 'La Aparecida', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 2, 'La Asomada', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 3, 'Barrio San Felix', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 4, 'Campo Bajo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 5, 'Cantarranas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 6, 'Capellania (La Puebla)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 20, 'A Martia', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 21, 'Mirallos (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 22, 'Mirela', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 23, 'Monteagudo', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 24, 'Oseira', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 25, 'Pielas', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 26, 'Pobadura', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 27, 'Reda', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 28, 'O Rio (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 29, 'San Mamede da Canda (Pior)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 30, 'San Martio (Oseira)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 31, 'Silvaboa', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 32, 'Tanxil', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 33, 'Trabazos (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 34, 'Vales (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 35, 'A Veiga de Abaixo', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 36, 'A Veiga de Arriba', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 37, 'A Ventela', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 38, 'Vilanfesta (Pior)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 39, 'Vilanfesta (San Cristovo de Ce', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 40, 'Vilarello (San Cristovo de Cea', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 41, 'Vilario (Pior)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 42, 'Vilario Frio (San Cristovo de', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 43, 'Zamoiros', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32136', 44, 'Vilario (Pior de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 1, 'Albarona', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 2, 'Alen (Coiras)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 3, 'Arenteirio (San Cristovo de C', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 4, 'Arenteiro', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 5, 'Os Asneiros', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 6, 'Barran (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 7, 'Barreiros (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 8, 'Cales (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 9, 'Carballedia', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 10, 'Carpaceiras', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 11, 'Casandulfe', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 12, 'Casmonio', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 13, 'Coiras', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 14, 'A Corna', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 15, 'Fontao (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 16, 'Fontelo (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 17, 'Fontelo (San Cristovo de Cea)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 18, 'Loeda', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 19, 'Lousado (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 20, 'Outeiro (Loeda)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 21, 'Outeiro (Loeda-Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 22, 'O Outeiro (Coiras)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 23, 'Ovenza', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 24, 'A Pallota (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 25, 'O Pazo (Coiras)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 26, 'Pior Barran', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 27, 'Portela de Baixo (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 28, 'Portela de Riba (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 29, 'Rectoral (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 30, 'Senderiz (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 31, 'Senra (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 32, 'Sestos', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 33, 'Torguedo', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32137', 34, 'A Torre (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 1, 'Alen (Torcela)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 2, 'A Cal (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 3, 'Canices', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 4, 'Carballeda (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 5, 'Casarellos', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 6, 'Corneas', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 7, 'A Derramada', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 8, 'A Devesa (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 9, 'A Eirexe (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 10, 'As Fontes (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 11, 'Grobas (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 12, 'Marais', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 13, 'Meson de Reino', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 14, 'Moire', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 15, 'O Outeiro (Torcela)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 16, 'Paredes (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 17, 'Pereira (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 18, 'A Ponte (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 19, 'O Reino', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 20, 'Sobrado (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 21, 'Torcela', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 22, 'Torrezoa', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32138', 23, 'Vilar (Pior)', 320610, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 1, 'Ariz', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 2, 'Cazarrancas', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 3, 'A Eirexa Vella', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 4, 'A Eirexe (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 5, 'Fondo de Cea', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 6, 'As Fontaias (San Cristovo de', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 7, 'Gabian (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 8, 'Gavian', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 9, 'A Lama (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 10, 'Lamas (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 11, 'Longos', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 12, 'San Benito de Maraao', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 13, 'San Fagundo (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 14, 'San Fagundo (San Cristovo de C', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 15, 'San Martio de Lamas (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32139', 16, 'Santros', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 1, 'Arbor', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 2, 'O Barral (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 3, 'Boimorto', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 4, 'Borulfe', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 5, 'Bouzas (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 6, 'Costeira (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 7, 'Crecedur', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 8, 'Curuxal', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 9, 'Fondo de Vila (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 10, 'A Lama (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 11, 'O Malladoiro', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 12, 'Montios', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 13, 'As Ouxeas', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 14, 'Oxen', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 15, 'O Palacio (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 16, 'A Pousa (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 17, 'A Ra', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 18, 'O Rego (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 19, 'As Regueirias', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 20, 'O Reguengo (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 21, 'Sobreira (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32140', 22, 'O Souto (Vilamarin)', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 1, 'A Agra (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 2, 'Agro (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 3, 'Biduedo (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 4, 'Buenavista', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 5, 'Campelo (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 6, 'Costa de Monte (San Cristovo d', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 7, 'A Ermida (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 8, 'Faramontaos (San Cristovo de C', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 9, 'Faton', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 10, 'Os Ferreiros (San Cristovo de', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 11, 'Fondo de Vila (San Cristovo de', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 14, 'O Mosteiro (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 15, 'Parada de Ribeira', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 16, 'Peninvello', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 17, 'A Rasela (Verin)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 18, 'Rial (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 19, 'Ribas (Castrelo do Val)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 20, 'O Salgueiro (Verin)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 21, 'San Vitoiro (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 22, 'Souto (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 23, 'Tintores', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 24, 'Vilamaior (Verin)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 25, 'Vilela (Verin)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32635', 26, 'As Lamas (Xinzo de Limia)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 1, 'Amea', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 2, 'Baronzas', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 3, 'Bresmaus', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 4, 'Codesedo', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 5, 'Cortegada (Sarreaus)', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 6, 'Folgoso (Sarreaus)', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 7, 'Maus (Xinzo de Limia)', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 8, 'Meilas', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 9, 'Morgade (Xinzo de Limia)', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 10, 'Pazos (Sarreaus)', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 11, 'A Pena (Xinzo de Limia)', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 12, 'O Penedo (Sarreaus)', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 13, 'A Portela da Quinta', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 14, 'Soutelo (Xinzo de Limia)', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 15, 'Trandeiras (Xinzo de Limia)', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32636', 16, 'O Veredo (Sarreaus)', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32637', 1, 'Faramontaos (Xinzo de Limia)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32637', 2, 'Gudin', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32637', 3, 'Moreiras (Xinzo de Limia)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32637', 4, 'Mosteiro (Novas)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32637', 5, 'Novas (Xinzo de Limia)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32637', 6, 'Paredes (Xinzo de Limia)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32637', 7, 'Queirugas', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32637', 8, 'Rebordecha', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32637', 9, 'Seoane de Oleiros', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32640', 1, 'Dices', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32640', 2, 'Ganade', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32640', 3, 'A Gorgoloza', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32640', 5, 'Manga', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32640', 6, 'Outeiro (Xinzo de Limia)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32640', 7, 'Pombal (Xinzo de Limia)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32640', 8, 'Rigueiro', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32640', 9, 'Soutelo de Ribeira', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32640', 10, 'Via (Xinzo)', 320322, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 1, 'O Agro (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 2, 'Airavella (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 3, 'Bruxeira', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 4, 'Eido de Lamas', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 5, 'Eido de Ribeira', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 6, 'A Filgueira (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 7, 'A Gandara (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 8, 'A Lagoa (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 9, 'Martices (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 10, 'Penin Novo', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 11, 'As Quintas (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 12, 'Rial de Sabucedo', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 13, 'Sabucedo (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32641', 14, 'O Toxal', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 1, 'Faramias', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 2, 'Faramontaos (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 3, 'Fontemoura', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 4, 'Paradela de Abeleda', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 5, 'Porqueira (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 6, 'Reboredo (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 7, 'Retorta (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 8, 'San Lourenzo (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 9, 'Sever (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 10, 'Tellados (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 11, 'A Torre (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 12, 'Xocin (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 13, 'A Forxa (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 14, 'Lobios (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32643', 15, 'Paradela (Porqueira)', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32644', 1, 'Calvos de Randin', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32644', 2, 'Castelaus (Calvos de Randin)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32644', 4, 'Nocelo (Porqueira)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32644', 5, 'Nogueiras (Calvos de Randin)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32644', 7, 'Rosende', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32644', 8, 'San Mamede de Sobreganade (Por', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32644', 9, 'Serois', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32644', 10, 'Sevelo (Porqueira)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32644', 11, 'Soutelo (Porqueira)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32645', 0, 'Sobreganade', 320625, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32646', 1, 'Meaus', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32646', 2, 'Paradela (Calvos de Randin)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32646', 3, 'Randin', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32646', 4, 'Rubias (Calvos de Randin)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32646', 5, 'Rubias Dos Mixtos', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32646', 6, 'Santiago de Rubias', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32646', 7, 'Tosende (Baltar)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32646', 8, 'Vilar (Calvos de Randin)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32646', 9, 'Vilario (Calvos de Randin)', 320052, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32647', 0, 'Vila (Calvos de Randin)', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32648', 1, 'Feas (Calvos de Randin)', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32648', 2, 'Golpellas (Calvos de Randin)', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32648', 3, 'Lobas (Calvos de Randin)', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32648', 4, 'Lomear', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32648', 5, 'Padroso (Calvos de Randin)', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32648', 6, 'Pintas', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32648', 7, 'Rioseco (Calvos de Randin)', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32648', 8, 'O Silvoso (Calvos de Randin)', 320163, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32650', 1, 'O Barrio (Vilar de Santos)', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32650', 2, 'As Casas de Veiga (Vilar de Sa', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32650', 3, 'Vilar de Santos', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 1, 'Breixomes', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 2, 'Casas da Ponte', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 3, 'Castelao (Vilar de Santos)', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 4, 'Laioso (Vilar de Santos)', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 5, 'O Mosqueiro (Vilar de Santos)', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 6, 'Outeiro (Vilar de Santos)', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 7, 'Parada de Outeiro', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 8, 'A Ponte (Vilar de Santos)', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 9, 'Toxedio', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 10, 'A Venda (Vilar de Santos)', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32651', 11, 'O Vieiro (Vilar de Santos)', 320907, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 1, 'Aldea do Muio', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 2, 'Candas', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 3, 'Castrelo (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 4, 'Crespos (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 5, 'Curras (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 6, 'Fontefria (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 7, 'Gandara (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28599', 2, 'Cuetara S.A.', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28600', 2, 'Colonia Rio Guadarrama', 280967, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28600', 4, 'Los Manzanos', 280967, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28600', 5, 'Navalcarnero', 280967, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 1, 'El Alamo (Navalcarnero)', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 2, 'Los Alpes', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 3, 'Colonia los Pocillos', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 4, 'Colonia Perdices', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 5, 'Las Cruces', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 6, 'Cuatro Caminos', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 7, 'La Ermita (Navalcarnero)', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 8, 'Maya', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 9, 'Mirador el Alamo', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 10, 'El Olivar', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 11, 'Parque Luisa', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 12, 'Parque Maria Luisa', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 13, 'Retablo', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28607', 14, 'Virgen del Puerto (El Alamo)', 280040, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28609', 1, 'Manantiales', 281415, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28609', 2, 'Sevilla la Nueva', 281415, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28609', 3, 'Valdetablas', 281782, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28609', 4, 'Villamantilla', 281757, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28609', 5, 'Villanueva de Perales', 281782, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28610', 0, 'Villamanta', 281744, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28620', 1, 'Aldea del Fresno', 280088, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28620', 2, 'El Fresno', 280088, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28620', 3, 'Los Llanitos', 280088, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28620', 4, 'Las Lomas (Aldea del Fresno)', 280088, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28620', 5, 'Maria Elena', 280088, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28620', 6, 'De Puente Alberche (Aldea del', 280088, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28620', 7, 'Puente del Alberche', 280088, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28620', 8, 'El Rincon', 280088, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28620', 9, 'Rio Alberche', 280088, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28620', 10, 'Los Rodriguez', 280088, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28630', 0, 'Villa del Prado', 281718, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28640', 0, 'Cadalso de los Vidrios', 280318, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28648', 0, 'Entrepinos', 280318, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28649', 1, 'Cerro Guisando', 281283, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28649', 2, 'El Mirador de Cadalso', 281283, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28649', 3, 'El Piquillo 1', 281283, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28649', 4, 'El Piquillo 2', 281283, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28649', 5, 'Rozas de Puerto Real', 281283, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28650', 0, 'Cenicientos', 280376, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28660', 1, 'Boadilla del Monte', 280225, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28660', 2, 'Residencia Nuestra Seora del', 280225, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28668', 0, 'Monteprincipe', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28669', 1, 'Bonanza', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28669', 2, 'Club Encinas (Boadilla)', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28669', 3, 'Las Lomas (Boadilla)', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28669', 4, 'Monte Las Encinas', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28669', 5, 'El Olivar del Miraval', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28669', 6, 'Parque Boadilla', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28669', 7, 'Pico Centinela (Boadilla)', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28669', 8, 'Valdecabaas', 280822, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28670', 1, 'Villaviciosa de Odon', 281816, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28670', 2, 'El Bosque', 281816, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28679', 2, 'Residencia Ancianos (Villavici', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28680', 1, 'Apartamentos Pronto', 281338, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28680', 2, 'Ciudad San Ramon', 281338, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28680', 3, 'Costa Madrid', 281338, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28680', 4, 'San Martin de Valdeiglesias', 281338, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28690', 1, 'Brunete', 280262, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28690', 2, 'Guadamonte', 280262, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28690', 3, 'La Raya', 280262, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28691', 1, 'Cerro del Venero', 281760, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28691', 2, 'De Las Fuentes', 281760, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28691', 3, 'Villanueva de la Caada', 281760, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28692', 1, 'La Armada (El Noray)', 281760, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28692', 2, 'Espacial (Villafranca Castillo', 281760, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28692', 3, 'Los Jaralones', 281760, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28692', 4, 'La Mocha Chica', 281760, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28692', 5, 'El Noray', 281760, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28692', 6, 'Piedras Vivas', 281760, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28692', 7, 'Villafranca del Castillo', 281760, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28693', 1, 'Cantoblanco', 281198, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28693', 2, 'Quijorna', 281198, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28693', 3, 'Los Rosales (Villaviciosa Odon', 281198, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28694', 1, 'Barrio San Martin', 280513, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28694', 2, 'Chapineria', 280513, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28694', 3, 'Colonia Bello Monte', 280513, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28694', 4, 'Colonia de el Angel', 280513, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28694', 5, 'Colonia de Fuente de la Zarza', 280513, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28694', 6, 'Colonia de Las Mercedes', 280513, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28694', 7, 'Colonia Las Caadas', 280513, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28694', 8, 'Colonia Las Rodelas', 280513, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28695', 1, 'Cuesta Vieja', 280992, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28695', 2, 'El Morro', 280992, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28695', 3, 'Navas del Rey', 280992, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28695', 4, 'Poligono Industrial Navas del', 280992, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 1, 'Colonia de los Lanchares', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 2, 'Colonia el Ventorro', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 3, 'Colonia San Blas', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 4, 'Las Cumbres', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 5, 'Embalse de San Juan', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 6, 'Del Embalse de San Juan', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 7, 'Del Embalse (Pelayos)', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 8, 'La Estacion (Pelayos Presa)', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 9, 'Java Cruz', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 10, 'Javariega', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 11, 'De Pelayo Presa', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 12, 'Pelayos de la Presa', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28696', 13, 'Salto de San Juan', 281090, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28700', 1, 'La Granjilla', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28700', 2, 'San Sebastian de los Reyes', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28707', 1, 'Ciudalcampo', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28707', 2, 'R.A.C.E. (Real Automovil Club', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28708', 0, 'Fuente del Fresno', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28709', 1, 'La Cabaa (San Sebastian de lo', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28709', 2, 'Ciudad Deportiva del Jarama', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28709', 3, 'Club Deportivo Jarama', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28709', 4, 'Los Llanos (San Sebastian de l', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28709', 5, 'La Pesadilla', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28709', 6, 'Poligono Cervezas el Aguila', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28709', 7, 'Industrial de San Sebastian de', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28709', 8, 'Tecnaton', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28709', 9, 'Villas Susi', 281343, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28710', 0, 'El Molar', 280869, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28720', 1, 'Bustarviejo', 280284, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28720', 2, 'Cuesta Eusebia', 280284, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28720', 3, 'El Fornoso', 280284, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28720', 4, 'Fuente del Collazo', 280284, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28720', 5, 'El Pedregal', 280284, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28720', 6, 'El Robleda', 280284, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28721', 1, 'Cabanillas de la Sierra', 280297, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28721', 2, 'Reduea', 281219, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28722', 1, 'El Espartal', 281684, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28722', 2, 'El Vellon', 281684, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28723', 1, 'Atalaya Real', 281087, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28723', 2, 'Certifort', 281087, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30612', 0, 'Ulea', 300406, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 7, 'Casas de los Madriles', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 8, 'Casas de los Roses', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 9, 'Casas de Montoya', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 10, 'Casas de Torre Oviedo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 11, 'Las Caas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 12, 'Los Caos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 13, 'Hoya Morena (La Puebla)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 14, 'Juan Alfonso Leon', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 15, 'Los Lopez (La Puebla)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 16, 'La Marina', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 17, 'Los Mignazares', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 18, 'Los Perez de Arriba', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 19, 'La Puebla', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 20, 'Los Roses (La Puebla)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 21, 'Los Rosiques', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 22, 'Torre Oviedo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 23, 'Villa Teresa', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30395', 24, 'Poligono Industrial Cabezo Bea', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 1, 'Los Blases (Cuesta Blanca)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 2, 'Buenos Aires (Cuesta Blanca)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 3, 'Los Bullas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 4, 'Casas del Pino (Cuesta Blanca)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 5, 'Los Caavate (Cuesta Blanca)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 6, 'El Cipres', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 7, 'La Corona', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 8, 'Cuesta Blanca', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 9, 'Las Flores', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 10, 'Las Fuentes (Cuesta Blanca)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 11, 'Los Marines (Cuesta Blanca)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 12, 'Los Martinez (Cuesta Blanca)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 13, 'Molino de los Frailes', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 14, 'Los Perez (Cuesta Blanca)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 15, 'Perin', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 16, 'Los Pinos (Cuesta Blanca)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 17, 'Los Puertos de Abajo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 18, 'Los Puertos de Arriba', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 19, 'Rebollos (Cuesta Blanca)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 20, 'Las Rojas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30396', 21, 'Torre Nicolas Perez', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30397', 1, 'Los Carceles (La Magdalena)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30397', 2, 'La Magdalena', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30397', 3, 'El Palmero (La Magdalena)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30397', 4, 'Realerico', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30397', 5, 'San Isidro', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30397', 6, 'Los Sevillistas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30397', 7, 'Los Simonestes', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30397', 8, 'La Venta (La Magdalena)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 1, 'Los Agueras', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 2, 'Los Arroyos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 3, 'El Bosque', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 4, 'Casa Tejada (Tallante)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 5, 'Casas Altas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 6, 'Casas del Alto', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 7, 'El Caar', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 8, 'Collado (Tallante)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 9, 'Los Corriscos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 10, 'Las Escabeas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 11, 'Los Faustinos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 12, 'Los Hernandez (Tallante)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 13, 'Mahoma', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 14, 'La Manchica', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 15, 'Los Martinez (Tallante)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 16, 'Los Mendez', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 17, 'Los Meones', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 18, 'El Molino (Tallante)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 19, 'El Parrillar', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 20, 'Los Perez (Tallante)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 21, 'Pueblo Roto', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 22, 'Rincon de Tallante', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 23, 'Los Ruices (Tallante)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 24, 'Tallante', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 25, 'La Torre (Tallante)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 26, 'Valdelentiscos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30398', 27, 'Los Valencianos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30399', 1, 'Abrevadero', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30399', 2, 'Gibraltar', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30399', 3, 'Los Jorqueras', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30399', 4, 'Palmeras', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30399', 5, 'Villa Jorquera', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30399', 6, 'Vista Alegre', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30400', 0, 'Caravaca de la Cruz', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 1, 'La Almudena', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 2, 'Benablon', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 3, 'Calar de la Santa', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 4, 'Campo Coy', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 5, 'Caneja', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 6, 'La Encarnacion', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 7, 'Hoyuela', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 8, 'Navares', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 9, 'Pinilla', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 10, 'Los Prados', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30410', 11, 'Singla', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30411', 1, 'Caada de Tarragoya', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30411', 2, 'Paradores', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30411', 3, 'Los Royos', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30412', 1, 'Barranda', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30412', 2, 'Cabezuela', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30412', 3, 'La Junquera', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30412', 4, 'Moralejo', 300158, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30413', 1, 'Las Almenas', 300281, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30413', 2, 'El Hornico', 300281, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30413', 3, 'Inazares', 300281, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30413', 4, 'El Moral', 300281, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30413', 5, 'La Rogativa', 300281, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30413', 6, 'El Tartamudo', 300281, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30414', 1, 'Caada de la Cruz', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30414', 2, 'Entredicho', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30414', 3, 'Los Odres', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30420', 1, 'Argos Embalse', 300130, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30420', 2, 'Baos de Gilico', 300130, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30420', 3, 'Calasparra', 300130, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30420', 4, 'El Macaneo', 300130, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30420', 5, 'Los Madriles (Calasparra)', 300130, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30420', 6, 'Los Marines (Calasparra)', 300130, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30420', 7, 'Las Murtas', 300130, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30420', 8, 'Valentin', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30420', 9, 'Venta de Reales', 300130, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30430', 0, 'Cehegin', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30438', 2, 'Campillo y Suertes', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 1, 'Agua Salada', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 2, 'Barranca del Moro', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 3, 'Campillo de los Jimenez', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 4, 'Canara', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 5, 'Carrasquilla (Cehegin)', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 6, 'Caada Canara', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 7, 'Caada Lentisco', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 8, 'Llanos Pinos', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 9, 'Pila Canara', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 10, 'Burete', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 11, 'Casas de la Noria', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 12, 'El Escobar (Cehegin)', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 13, 'Fuente del Abad', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 14, 'Jabalina', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 15, 'El Ribazo', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30440', 0, 'Moratalla', 300281, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 12, 'Mandras (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 13, 'Pazos (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 14, 'Peago', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 15, 'Pereda (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 16, 'Ponte Mandras', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 17, 'Ponte Sobreira', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 18, 'Pulledo', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 19, 'A Regueira (San Cristovo de Ce', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 20, 'Rozadas', 320874, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 21, 'San Miguel (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 22, 'Souto (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 23, 'O Tellado (San Cristovo de Cea', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 24, 'Torgal', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 25, 'Toubes (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 26, 'O Val (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 27, 'Vencemos', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 28, 'A Vila (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 29, 'Vilaseco (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 30, 'Via (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 31, 'Zarza', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 32, 'Lavandeira (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 33, 'A Agrela (San Cristovo de Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 34, 'Anllo (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 35, 'Ardesende', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 36, 'Bustelo (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 37, 'Castrelo (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 38, 'Chao Real', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 39, 'Covas (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 40, 'Nogueira (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 41, 'Paramios', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 42, 'Ricovelo', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 43, 'A Torre (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 44, 'Mosteiron', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32141', 45, 'A Casanova (Cea)', 320760, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 1, 'Abedin', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 2, 'Abertesga', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 3, 'Alende (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 4, 'Amedo (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 5, 'Amido', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 6, 'Barrasusa', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 7, 'Barrela', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 8, 'Casdeguistola', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 9, 'A Peroxa (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 10, 'Cinco Nogueiras', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 11, 'O Conchouso (A Gueral-Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 12, 'O Conchouso (Vilarrubin)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 13, 'Diarada', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 14, 'A Fiestra', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 15, 'O Fontao (Toubes)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 16, 'Gaioso', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 17, 'Goias', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 18, 'Infesta (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 19, 'Lamas (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 20, 'A Lamia', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 21, 'Lentomil', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 22, 'Melle', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 23, 'A Orde', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 24, 'Outeirio (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 25, 'Outeiro (Toubes)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 26, 'Outeiro (Vilarrubin)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 27, 'Pacios (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 28, 'Celaguantes', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 29, 'Poin de Abaixo', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 30, 'Poin de Arriba', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 31, 'A Pousa (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 32, 'Rabacido', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 33, 'Salgueiros (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 34, 'Santigueiro (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 35, 'Sestelo', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 36, 'O Souto (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 37, 'A Vila (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 38, 'Vilanova (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 39, 'Vilar (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 40, 'Vilarrubin', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 41, 'Vilerma (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32150', 42, 'Vispin', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 1, 'Campos (Senin)', 320599, 27, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 2, 'Andelo', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 3, 'As Barbeitas', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 4, 'Barra de Cima', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 5, 'Berdelle', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 6, 'Besteiros', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 7, 'Bouza Longa', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 8, 'Bouzas Vedras', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 9, 'Bustos', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 10, 'Carballedo', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 11, 'O Casar (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 12, 'As Casarizas', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 13, 'Casundila', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 14, 'Corneda (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 15, 'Costa da Cabra', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 16, 'Dornelas (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 17, 'Ferradal (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 18, 'O Fontaio', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 19, 'Fontefria (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 20, 'Freire', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 21, 'Graices', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 22, 'Gulfariz', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 23, 'Laxas (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 24, 'Louredo (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 25, 'Mereixe', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 26, 'Mirallos (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 27, 'A Morcegueira', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 28, 'Moreda', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 29, 'Outeirios (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 30, 'Pain', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 31, 'As Paraxas', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 32, 'Peroxa Vella', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 33, 'Pousada (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 34, 'Redondelle', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 35, 'Salceda (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 36, 'San Nicolao', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 37, 'San Xes (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 38, 'Santa Ouxea (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 39, 'Santo Estevo (A Peroza)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 40, 'Senon', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 41, 'Turbisquedo', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 42, 'Turzavella', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 43, 'O Val (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 44, 'Vilarello (A Peroxa)', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32151', 45, 'Vilasusa', 320599, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 1, 'Alban', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 2, 'Alemparte (A Peroxa)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 3, 'A Barra', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 4, 'Bergaza', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 5, 'Cabanelas (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 6, 'Cabo de Vila (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 7, 'Cales (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 8, 'A Casanova (Barra)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 9, 'Coles (Capital)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 10, 'Corvelle (A Peroxa)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 11, 'Fontefiz', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 12, 'Gueral (A Peroxa)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 13, 'Lavandeira (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 14, 'A Madalena (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 8, 'Lama de Paio', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 9, 'Lampaza (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 10, 'Ludro', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 11, 'Moura (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 12, 'O Outeirio (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 13, 'Outeiro (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 14, 'A Pereiria', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 15, 'Rairiz de Veiga', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 16, 'Sabariz (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 17, 'A Sainza de Abaixo', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 18, 'A Sainza de Arriba', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 19, 'Salgados', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 20, 'San Pedro (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32652', 21, 'Toxo (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32653', 1, 'Monte Alban', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32653', 2, 'Padroso (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32653', 3, 'Trigas (R.Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32653', 4, 'A Venda (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 1, 'Amiadelo', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 2, 'Amieiro Longo', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 3, 'Ancivial', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 4, 'Campo de Lama', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 5, 'A Cancela (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 6, 'Carballal (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 7, 'Celme', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 8, 'Congostro (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 9, 'Eidobispo', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 10, 'Eidos de Limia', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 11, 'Espieiro (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 12, 'Fondevila (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 13, 'O Igrexario (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 14, 'Martices (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 15, 'As Maus (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 16, 'Peaguda', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 17, 'Pegas (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 18, 'Penelas (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 19, 'As Raposeiras', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 20, 'A Raoa (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 21, 'O Rial (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 22, 'San Miguel (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 23, 'A Telleira (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32654', 24, 'Zapeaus', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 1, 'Azoreiros', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 2, 'Barracel', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 3, 'Filgueiras (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 5, 'Guillamil', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 6, 'Nigueiroa (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 7, 'Ordes', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 8, 'A Pereira (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 9, 'Quilmelas', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 10, 'Rosen', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 11, 'Sampedro (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32655', 12, 'Santa Baia (Rairiz de Veiga)', 320678, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32660', 0, 'Allariz', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 1, 'A Barraca (A Mezquita)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 2, 'As Bouzas (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 3, 'Calzada', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 4, 'Cardanachama', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 5, 'Casnadagaia', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 6, 'O Castro (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 7, 'Celeiros (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 8, 'Condes (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 9, 'A Coruxeira', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 10, 'As Cruces (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 11, 'Cruxeira', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 12, 'A Torre (Urros-Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 13, 'Orraca', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 14, 'Outeiro de Orraca', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 15, 'A Pedreira (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 16, 'A Pousa (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 17, 'A Pousada (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 18, 'Queiroas', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 19, 'Requeixo de Queiroas', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 20, 'Rial (Urros-Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 21, 'San Mamede (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 22, 'San Vitoiro da Mezquita', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 23, 'Santa Baia (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 24, 'As Tabernas', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 25, 'Tain (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 26, 'A Torre', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 27, 'Urogo', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 28, 'Urros', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 29, 'Vilares (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 30, 'O Amiadoso', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 31, 'Casaldoira', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 32, 'Castrelo (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 33, 'A Forma', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 34, 'Lamarredonda', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 35, 'Magarelos', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 36, 'Penama (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 37, 'A Portela (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 38, 'A Quintas (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 39, 'O Rodicio (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 40, 'San Martio (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32664', 41, 'Os Xunqueiros', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32665', 9, 'Fonte Ermida', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32665', 14, 'Parroeira', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32665', 15, 'Pazo (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32665', 18, 'Pumares (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32665', 20, 'Rebola', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32665', 24, 'San Trocado', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32665', 25, 'Seoane (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32665', 27, 'Veiga Alta', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 1, 'Os Canos', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 2, 'Coedo (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 3, 'A Corredoira (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 4, 'A Costa (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 5, 'Guimaras (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 6, 'Nanin', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 7, 'Novas (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 8, 'Outeiro de Torneiros', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 9, 'Paicordeiro', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 10, 'Paradias (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 11, 'Pegas do Cotorro', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 12, 'Penaflor', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 13, 'A Quinta (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 14, 'Roimelo', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 15, 'San Miguel (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 16, 'O San Salvador (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32666', 17, 'Torneiros (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32667', 1, 'A Aira Vella', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32667', 2, 'Desder', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32667', 3, 'Pacios (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32667', 4, 'A Portela da Aira Vella', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32667', 5, 'Requeixo de Valverde', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32667', 6, 'Valverde (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32667', 7, 'Vilaboa (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32667', 8, 'Vilario de Tras do Convento (', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 1, 'Abuin', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28723', 3, 'Monte Enebro', 281087, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28723', 4, 'Pedrezuela', 281087, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28729', 1, 'Cotos de Monterrey', 281697, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28729', 2, 'Navalafuente', 280941, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28729', 3, 'Valdemanco', 281586, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28729', 4, 'Venturada', 281697, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28730', 1, 'Buitrago de Lozoya', 280278, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28730', 2, 'Las Garias', 280278, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28730', 3, 'De Riosequillo', 280278, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28737', 1, 'Braojos', 280246, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28737', 2, 'Gandullas', 281147, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28737', 3, 'Gascones', 280647, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28737', 4, 'De Gascones-Buitrago', 280246, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28737', 5, 'Industrial Losares', 280246, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28737', 6, 'Piuecar', 281147, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28737', 7, 'La Serna del Monte', 280246, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28737', 8, 'Venta de Gascones', 280246, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28738', 1, 'Bellidas', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28738', 2, 'Venta de la Gamera', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28739', 1, 'Casa del Guarda', 280632, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28739', 2, 'Castillo de Mirabel', 280632, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28739', 3, 'Gargantilla de Lozoya', 280632, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28739', 4, 'Molino de Villavieja', 280632, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28739', 5, 'Navarredonda (Buitrago)', 280632, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28739', 6, 'Pinilla de Buitrago', 280632, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28739', 7, 'San Mames', 280973, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28739', 8, 'Villavieja de Lozoya', 281821, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28740', 1, 'Colonia de Las Matillas', 281202, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28740', 2, 'Colonia la Castaa', 281202, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28740', 3, 'Puerto de Cotos', 281202, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28740', 4, 'Rascafria', 281202, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28741', 0, 'Real el Paular', 999999, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28742', 0, 'Lozoya del Valle', 280035, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28743', 1, 'Canencia de la Sierra', 280626, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28743', 2, 'Garganta de los Montes', 280626, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28749', 1, 'Alameda del Valle', 280035, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28749', 2, 'De Cobos', 280035, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28749', 3, 'El Cuadron', 280035, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28749', 4, 'Oteruelo del Valle', 281202, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28749', 5, 'Pajarilla', 280035, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28749', 6, 'Pinilla del Valle', 281126, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28750', 1, 'San Agustin de Guadalix', 281296, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28750', 2, 'Valdeagua', 281296, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28750', 3, 'Valdelagua', 281296, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28751', 0, 'La Cabrera', 280301, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28752', 0, 'Lozoyuela', 289015, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28753', 1, 'Molino de Mazacortas', 289015, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28753', 2, 'Sieteiglesias', 289015, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 1, 'El Bercial (Buitrago)', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 2, 'De Buitrago (Presa de Villar)', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 3, 'La Cerradilla', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 4, 'Cinco Villas', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 5, 'Colonia de la Fresnedilla', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 6, 'Colonia del Barral', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 7, 'Colonia el Alto', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 8, 'Colonia el Deposito', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28754', 9, 'Dehesa de Santillana', 289020, 28, 
    0, 13, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30609', 4, 'Churra (Torre del Junco)', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30609', 5, 'Los Martinez (Torre del Junco)', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30609', 6, 'Los Panizo', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30609', 7, 'Rio Muerto', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30609', 8, 'Torre del Junco', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30609', 9, 'Villa Maria', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30610', 1, 'La Bermeja', 300341, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30610', 2, 'Ricote', 300341, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30613', 1, 'Baron de Bellpuig', 300428, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30613', 2, 'Fuente Morra', 300428, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30613', 3, 'Mora', 300428, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30613', 4, 'Villanueva Rio Segura', 300428, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30613', 5, 'Las Yeseras (Villanueva del Ri', 300428, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30620', 0, 'Fortuna', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 1, 'Baos', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 2, 'Bocamina', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 3, 'Cantalgallo', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 4, 'Capres de Abajo', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 5, 'Capres de Arriba', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 6, 'Capres de Enmedio', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 7, 'Colonias Extranjeras', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 8, 'Mirador', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 9, 'La Parra', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 10, 'Pavia de Abajo', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 11, 'Pavia de Arriba', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 12, 'El Tole', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 13, 'Las Umbrias (Capres)', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30626', 14, 'Venta Cantogallo', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30627', 1, 'Abarda', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30627', 2, 'Campotejar Alta', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30627', 3, 'Campotejar Baja', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30627', 4, 'Comala', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30627', 5, 'La Espada', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30627', 6, 'Fenazar', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30627', 7, 'Gomala', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30627', 8, 'Hurona', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30627', 9, 'El Rellano', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30627', 10, 'Los Valientes', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 1, 'Ajauque', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 2, 'Almazara Santalo', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 3, 'Los Asperos', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 4, 'Barrio Cletos', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 5, 'Los Buitragos', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 6, 'Camino de la Venta', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 7, 'Estrecho de Las Piedras', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 8, 'Pantano Santomera', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 9, 'Puerto Zacacho', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 10, 'Rocamora', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 11, 'Salada', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 12, 'Salinas de Rambla Salada', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30628', 13, 'Venta del Sordo', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 1, 'Las Casicas (Pea Zafra)', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 2, 'Caada Roldan', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 3, 'Collado Redondo', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 4, 'Fuente Blanca', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 5, 'La Garapacha', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 6, 'La Hortichuela (Pea Zafra)', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 7, 'Hoya Hermosa', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 8, 'La Matanza', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 9, 'Pea Zafra de Abajo', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 10, 'Pea Zafra de Arriba', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 11, 'Las Peas', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30629', 12, 'Randa', 300200, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30630', 0, 'Balneario de Fortuna', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30640', 0, 'Abanilla', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 1, 'El Algarrobo', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 2, 'Barinas', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 3, 'Campules', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 4, 'El Canton', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 5, 'Caada de la Lena', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 6, 'Chicamo', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 7, 'Macisvenda', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 8, 'El Partidor', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 9, 'Ricabacica', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 10, 'Sahues', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 11, 'Salado', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 12, 'Tolle', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 13, 'Umbria', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30648', 14, 'La Zarza (El Canton)', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 16, 'Casas de Lentiscar', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30439', 17, 'Ermita de Burete', 300177, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30441', 1, 'Casas de Aledo', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30441', 2, 'Casas del Puerto', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30441', 3, 'Los Ferreles', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30441', 4, 'Fortuya', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30441', 5, 'Royo Tercero', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30441', 6, 'El Sabinar', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30441', 7, 'El Salero', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30441', 8, 'Campo de San Juan', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30441', 9, 'Venta Nueva', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30500', 1, 'Alcayna', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30500', 2, 'Molina de Segura', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30508', 0, 'La Ribera de Molina', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 1, 'La Barceloneta', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 2, 'Barrio Juan Xxiii', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 3, 'La Brancha', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 4, 'Los Bravos', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 5, 'De el Corte Ingles', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 6, 'La Hornera', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 7, 'Huerta de Abajo', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 8, 'Llano de Molina', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 9, 'Puente Almazora', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 10, 'El Puente', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 11, 'El Romeral', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 12, 'Torre Alta', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30509', 13, 'Torre Montijo', 300275, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30520', 0, 'Jumilla', 300222, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30528', 1, 'La Alqueria', 300222, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30528', 2, 'La Estacada', 300222, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30528', 3, 'Fuente del Pino', 300222, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30529', 1, 'Casa del Soldado', 300222, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30529', 2, 'Las Encebras', 300222, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30529', 3, 'La Raja', 300222, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30529', 4, 'Roman', 300222, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30529', 5, 'La Zarza', 300222, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 1, 'Los Albares', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 3, 'Asensao', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 4, 'Barretera', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 6, 'El Buho', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 7, 'Cabezo de Fuensantilla', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 8, 'Casones de la Fuente', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 9, 'Cieza', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 10, 'Cordovin', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 11, 'El Ginete', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 12, 'El Jinete', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 13, 'Maripinar', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 14, 'El Realejo', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 15, 'Salto de Almadenes', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30530', 16, 'Salto del Progreso', 300196, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30535', 0, 'Ascoy', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30536', 0, 'Bolvax', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 1, 'Alto de Chinchilla', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 2, 'Alto Palomo', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 3, 'Barranco de Trus', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 4, 'Barrax', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 5, 'Bayna', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 6, 'Blanca', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 7, 'Bulida', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 8, 'Buyla', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 9, 'Cabailes', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 10, 'Campillo (Blanca)', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 11, 'Casas Alcantara', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 12, 'Casas Castillo', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 13, 'El Solvente', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30540', 14, 'Tollos', 300119, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30550', 1, 'Abaran', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30550', 2, 'Barranco de Molax', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30558', 1, 'Barriada de la Virgen de Oro', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30558', 2, 'Benito', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30558', 3, 'Candelon', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30558', 4, 'Corona', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30558', 5, 'Corrales', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30558', 6, 'Cuesta Egea', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30558', 7, 'Soto Damian', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30558', 8, 'Sotos Campuzano', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30559', 1, 'El Boqueron', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30559', 2, 'Cabezo Negro (El Boqueron)', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30559', 3, 'Casa Blanca (El Boqueron)', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30559', 4, 'Casas de Bienvenido Yelo', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30559', 5, 'Casas de Matias', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30559', 6, 'Casas del Parque de Obras P', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30559', 7, 'Hoya del Campo', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30559', 8, 'San Jose Artesano', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30559', 9, 'Venta de la Aurora', 300026, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30560', 1, 'Alguazas', 300079, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30560', 2, 'Torre de los Moros', 300079, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30561', 1, 'Alguazas', 300079, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30561', 2, 'Barrancas', 300079, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30561', 3, 'Las Pullas', 300079, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30562', 0, 'Ceuti', 300183, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30563', 13, 'Los Torraos', 300183, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30564', 0, 'Lorqui', 300256, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30565', 1, 'Los Caramba', 300389, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30565', 2, 'Los Cortijos', 300389, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30565', 3, 'Cutillas', 300389, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30565', 4, 'La Florida (Las Torres de Coti', 300389, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30565', 5, 'Los Pulpites', 300389, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30565', 6, 'Taraiz', 300389, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30565', 7, 'Las Torres de Cotillas', 300389, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 1, 'Barrio San Pedro (Cotillas la', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 2, 'La Condomina', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 3, 'Los Guillermos (Torres de Coti', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 4, 'Huerta de Abajo (Torres de Cot', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 5, 'Huerta de Arriba', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 6, 'Los Matias', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 7, 'Media Legua (Torres de Cotilla', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 8, 'Las Parcelas', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 9, 'Parque Las Palmeras', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 10, 'Parque los Romeros', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30566', 11, 'Los Vicentes (Torres de Cotill', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30570', 1, 'La Azacaya', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30570', 2, 'La Basca', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30570', 3, 'Beniajan', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30570', 4, 'El Bojal', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30570', 5, 'Las Canales (Beniajan)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30570', 6, 'Canute', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30570', 7, 'Casas Nuevas (Beniajan)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30570', 8, 'Rincon de Villanueva', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30570', 9, 'San Jose de la Vega', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30570', 10, 'Tiosa (San Jose de la Vega)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30579', 0, 'Torreaguera', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30580', 1, 'Alquerias', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30580', 2, 'Carcanox', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 1, 'De los Algibes', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 2, 'Los Almachar', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 3, 'Almazara de Sirtes', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 4, 'De la Barca', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 5, 'Barranqueros', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 6, 'De Beniel', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 7, 'Ermita de los Remedios', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 8, 'Mojon de Zeneta', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 9, 'El Raiguero (Zeneta)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 10, 'El Regueron', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 11, 'Los Reolis', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 12, 'Del Royo', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 13, 'Tabala', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30588', 14, 'Zeneta', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 15, 'Meriz', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 16, 'Mira de Cima', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 17, 'Moure', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 18, 'Ocelle', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 19, 'Outeiro (Ucelle)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 20, 'Paradela (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 21, 'Pol (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 22, 'Quintas (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 23, 'Sas (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 24, 'Soutullo de Abaixo', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 25, 'Soutullo de Arriba', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 26, 'Tain (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 27, 'A Telleira (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 28, 'Tras do Rio (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 29, 'Vilaboa (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 30, 'Vilar da Barra', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 31, 'Vilar de Corvelle', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32152', 32, 'Vilarchao (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 1, 'As Golpelleiras', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 2, 'Lamas (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 3, 'Oucelle', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 4, 'O Pereiro (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 5, 'Rio (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 6, 'Sampaio (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 7, 'Santa Maria (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 8, 'A Tolda (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 9, 'A Torre (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 10, 'Vergaza', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32153', 11, 'Vilanova (Barra-Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 1, 'O Alcouce (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 2, 'Anteiro', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 3, 'Baldomar', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 4, 'Cabo de Vila (Nogueira de Ramu', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 5, 'Cinseiro', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 6, 'Cortecadela', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 7, 'Domez (Rios)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 8, 'A Eirexa (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 9, 'Espartedo', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 10, 'Fiscal', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 11, 'Fondo de Vila (Nogueira de Ram', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 12, 'Fontefria (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 13, 'Fontes (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 14, 'Lama Forcada', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 15, 'Liares (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 16, 'Loa do Monte', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 17, 'Luintra', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 18, 'Monteverde', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 19, 'Moura (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 20, 'Mundin (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 21, 'Nogueira de Ramuin', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 22, 'Pacios (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 23, 'Picornio', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 24, 'Requeixo (Loa-N. Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 25, 'Rubiacos', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 26, 'Santa Cruz (Nogueira de Ramuin', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 27, 'A Seara de Arriba', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 28, 'Sobrado (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 29, 'Souto (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 30, 'Vilasuxa', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32160', 31, 'Vilouriz', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 1, 'Armariz (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 2, 'Bion', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 3, 'Cachapraza', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 4, 'Campo (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 5, 'Castrelo (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 6, 'Cima de Vila (Nogueira de Ramu', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 7, 'A Costela (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 8, 'O Covelo (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 9, 'Eiradela', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 10, 'Faramontaos (Nogueira de Ramui', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 11, 'Gundias (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 12, 'Malburguete', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 13, 'Montecelo (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 14, 'Negueiroa (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 15, 'O Outeiro (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 16, 'Pacio (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 17, 'A Penela (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 18, 'As Pereiras (Nogueira de Ramui', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 19, 'Requeixo (Armariz-N. Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 20, 'Requeixo (Faramontaos-N. Ramui', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 21, 'Saceda (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 22, 'San Miguel do Campo', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 23, 'Santa Seguia', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 24, 'A Tellada (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 25, 'O Toxedo', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 26, 'Val do Pereiro', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 27, 'Valdoasno', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 28, 'Ver de Cima', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32161', 29, 'Ver de Fondo', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32162', 1, 'Biduedo', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32162', 2, 'Ribas de Sil', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32163', 1, 'Loureiro (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32163', 2, 'Paradaseca (Nogueira de Ramuin', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32163', 3, 'A Rasa', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32163', 4, 'Rio (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32163', 5, 'Vilar (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32164', 1, 'A Albergueria (Nogueira de Ram', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32164', 2, 'Biduedo (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32164', 3, 'Cachaldora', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32164', 4, 'Cerreda', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32164', 5, 'Paradela (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32164', 6, 'Pombar (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32164', 7, 'Santo Estevo de Ribas de Sil', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32164', 8, 'Vilouxe (Nogueira de Ramuin)', 320527, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 1, 'Amoeiro', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 2, 'Bubeiras', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 3, 'O Burguete', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 4, 'Os Casares (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 5, 'Codeseda', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 6, 'Cornoces', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 7, 'Costa de Monte (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 8, 'Cuvela', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 9, 'Fondo de Vila (Parada de Amoei', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 10, 'Fontao (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 11, 'Os Garabatos', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 12, 'Gilfonge', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 13, 'Granxa de Vales', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 14, 'Iglesia (Cornoces-Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 15, 'Iglesia (P.Amoeiro-Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 16, 'Martinga', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 17, 'Outeiro (Parada de Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 18, 'Parada (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 19, 'A Pica (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 20, 'A Poboanza (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32170', 21, 'Portocelo', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 2, 'A Acea (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 3, 'Armea', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 4, 'Augas Santas', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 5, 'As Casas Novas (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 6, 'Duci', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 7, 'Os Espieiros (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 8, 'Fondevila (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 9, 'Laioso (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 10, 'Meire (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 11, 'O Rial (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 12, 'Rubias (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 13, 'Santa Maria de Augas Santas', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 14, 'Santo Estevo (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 15, 'O Souto (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 16, 'A Tellada (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 17, 'Tosende (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 18, 'Turzas', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 19, 'A Vila (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 20, 'Vilar de Flores', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32668', 21, 'Gundias (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32669', 1, 'Arnado (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32669', 2, 'Barreiro (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32669', 3, 'A Cal (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32669', 4, 'A Coira', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32669', 5, 'A Enfeestela', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32669', 6, 'Folgoso (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32669', 7, 'A Frieira (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32669', 8, 'Guede (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32669', 9, 'O Mato (Allariz)', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32669', 10, 'Roiriz', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32670', 0, 'Xunqueira de Ambia', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32671', 0, 'Outorelo', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 1, 'Acevedo (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 2, 'Areas (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 3, 'Armariz (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 4, 'A Brandela', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 5, 'Carnalova', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 6, 'So Casares (Xunqueira de Ambia', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 7, 'As Casas Novas (Xunqueira de A', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 8, 'Casnaloba', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 9, 'Cerdeira (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 10, 'A Chouzana (Xunqueira de Ambia', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 11, 'O Covelo (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 12, 'A Farria', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 13, 'A Graa (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 14, 'Meri', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 15, 'A Pena (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 16, 'A Pousa (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 17, 'Requeixio', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 18, 'Salgueiros (Xunqueira de Ambia', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 19, 'San Andres (Xunqueira de Ambia', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 20, 'O San Martio (Xunqueira de Am', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 21, 'San Xillao', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 22, 'A Siota', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 23, 'Vilanova (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 24, 'Vilario do Rio', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32678', 25, 'Xunqueiroa', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 1, 'A Abeleda (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 2, 'Bobadela (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 3, 'Bustelio', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 4, 'Bustelo (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 5, 'Casasoa (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 6, 'Cima de Vila (Xunqueira de Amb', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 7, 'Fondo de Vila (Xunqueira de Am', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 8, 'Padroso (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 9, 'Pazos da Abeleda', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 10, 'Quintela (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 11, 'San Roman', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 12, 'Sobradelo (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 13, 'A Tellada (Xunqueira de Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 14, 'Vilamea (X.Ambia)', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32679', 15, 'Vilario da Veiga', 320369, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32680', 1, 'Atas', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32680', 2, 'Baldriz', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32680', 3, 'Curbaceiras', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32680', 4, 'As Estibadas', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32680', 5, 'As Mercedes', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32688', 1, 'Lamalonga (Cualedro)', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32688', 2, 'Lucenza', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32688', 3, 'Moimenta (Cualedro)', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32688', 4, 'A Pedrosa (Cualedro)', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32688', 5, 'Pena Verde', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32688', 6, 'A Saceda (Cualedro)', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32688', 7, 'San Millao', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32688', 8, 'Vilela (Cualedro)', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32688', 9, 'A Xironda', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32689', 1, 'Carzoa', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32689', 2, 'Cualedro', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32689', 3, 'Lamas (Cualedro)', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32689', 4, 'Rebordondo', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32689', 5, 'San Martio (Cualedro)', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32689', 6, 'Santa Baia de Montes (Cualedro', 320283, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 1, 'Abeledo', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 2, 'Alto de Taboadela', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 3, 'O Barrio (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 4, 'O Castro (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 5, 'Covelo (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 6, 'A Eirexa (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 7, 'O Fabello', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 8, 'Lavandeira (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 9, 'A Mezquita (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 10, 'Mingarabeiza', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 11, 'Outeiro de Laxe', 320013, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 12, 'O Outeiro (Soutomaior)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 13, 'O Outeiro (Toran)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 14, 'Palacio (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 15, 'Pazos (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 16, 'Pereiras (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 17, 'Pumar (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 18, 'As Quintas (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 19, 'A Rectoral (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 20, 'Ribo', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 21, 'San Fiz (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 22, 'A Seara (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 23, 'Silvosio', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 24, 'Silvoso (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 25, 'Soutomaior', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 26, 'Taboadela (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 27, 'A Telleira (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 28, 'Toran', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 29, 'A Venda do Rio', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 30, 'Vilar (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32690', 31, 'Xocios', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 1, 'O Amendo', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 2, 'Espiedo (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 3, 'Lama de Prado', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30649', 1, 'Baina', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30649', 2, 'Las Fuentes (Huerta Mahoya)', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30649', 3, 'Huerta Mahoya', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30649', 4, 'Los Madriles (Huerta Mahoya)', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30649', 5, 'Mahoya', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30649', 6, 'Margen', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30649', 7, 'El Prado', 300011, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30659', 0, 'La Anchosa', 300222, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30700', 1, 'Las Conquetas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30700', 2, 'Hoya Morena', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30700', 3, 'La Molina', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30700', 4, 'Olmos de Roda', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30700', 5, 'Torre Mochuela', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30700', 6, 'Torre Pacheco', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 1, 'Los Aljilicos', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 2, 'Los Bases', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 3, 'Los Baos', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 4, 'Los Blases (El Jimenado)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 5, 'Las Calderonas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 6, 'La Caada', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 7, 'Fontes de Pacheco', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 8, 'Galindos Nuevos', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 9, 'Galindos Viejos', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 10, 'Las Gilas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 11, 'El Gimenado', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 12, 'La Hortichuela', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 13, 'Los Ibaez', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 14, 'Los Mateos', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 15, 'Los Olmos', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 16, 'El Pasico', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 17, 'Pedreas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 18, 'Los Pientes', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 19, 'Lo Prior', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 20, 'Lo Rato', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 21, 'Las Rocas Viejas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 22, 'Los Ruices (El Jimenado)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 23, 'Los Sanchez (El Jimenado)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 24, 'Santa Cruz el Jimenado', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 25, 'Sotos Nuevos', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 26, 'Ulloa', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30708', 27, 'Los Zapatas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 1, 'Los Armeros', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 2, 'Los Cahimanes', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 3, 'Los Cortados (Roldan)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 4, 'Lo Ferro', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 5, 'Lo Gil', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 6, 'Los Guillenes', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 7, 'Los Navarros (Roldan)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 8, 'El Palmero (Roldan)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 9, 'Los Rocas (Roldan)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 10, 'Roldan', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 11, 'Saurines', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30709', 12, 'Valderas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 1, 'Alcazar Cartago Nova', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 2, 'Los Alcazares', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 3, 'Los Bauses', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 4, 'Los Blases (Los Alcazares)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 5, 'Casas de Bechi', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 6, 'Casas del Ruso', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 7, 'Los Cortados (Los Alcazares)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 8, 'Los Muoces (Campillo de Adent', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 9, 'Los Narejos', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 10, 'Los Nietos (Los Alcazares)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 11, 'La Parada', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 12, 'Los Rocas (Los Alcazares)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 13, 'Los Rodriguez', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 14, 'Santa Rosalia', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 15, 'Lo Sola', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30710', 16, 'Torre de Ramoe (Ramoe)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30715', 0, 'Casas de Gallan', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 1, 'Aldeas del Villar', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 2, 'La Calavera (Santiago de la Ri', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 3, 'Las Campanillas', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 4, 'Ciudad del Aire (Santiago de l', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 5, 'Los Cuatro Picos', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 6, 'Los Garcias', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 7, 'Las Palmeras', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 8, 'Parque Horse', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 9, 'Los Pozuelos', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 10, 'San Blas', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 11, 'Santiago de la Ribera', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 12, 'Seorio del Mar', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30720', 13, 'La Tejera (Santiago de la Ribe', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30729', 0, 'Academia General del Aire', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30730', 0, 'San Javier', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 1, 'Los Agustinos', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 2, 'Las Calderonas (Dolores Pachec', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 3, 'Casa Grande (Dolores Pacheco)', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 4, 'Las Casicas (Dolores Pacheco)', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 5, 'Dolores de Pacheco', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 6, 'Los Gallos (Dolores Pacheco)', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 7, 'Granjuela', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 8, 'Los Isidores', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 9, 'El Mirador', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 10, 'Pozo Aledo', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 11, 'Roda', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 12, 'Torrecica', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30739', 13, 'Los Vidales (Dolores Pacheco)', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 1, 'Los Antolinos', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 2, 'Barrio los Angeles', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 3, 'Las Beatas (Los Saez)', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 4, 'Las Charcas', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 5, 'Los Cuarteros', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 6, 'Las Esperanzas', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 7, 'Los Gomez', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 8, 'Los Imbernones', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 9, 'Loma de Abajo', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 10, 'Loma de Arriba', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 11, 'El Mojon (Cuarteros)', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 12, 'Los Monroyes', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 13, 'Lo Pagan', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 14, 'Las Palomas', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 15, 'Las Pardas', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 16, 'Los Peascos', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 17, 'Los Plazas', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 18, 'La Raya (Cuarteros)', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 19, 'Los Saez', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 20, 'San Pedro del Pinatar', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 21, 'Lo Tacon (Los Saez)', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 22, 'Los Veras', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 23, 'Villa Nanitos', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 24, 'Los Villenas', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 25, 'Los Lorcas', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 26, 'Nuevo San Pedro', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 27, 'Los Tarragas', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30740', 28, 'Las Esperanzas (Los Saez)', 300367, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30800', 1, 'Alajueces', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30800', 2, 'Bentarique', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30800', 3, 'Cazalla', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30800', 4, 'Lorca', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30800', 5, 'Pulgara', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30800', 6, 'Sutullena', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30800', 7, 'Tiata', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30810', 1, 'Rincon de los Carranzas', 300243, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30589', 1, 'Alquerias', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30589', 2, 'Chocolate', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30589', 3, 'Los Ramos', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30589', 4, 'Rincon de Almodovar', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30589', 5, 'Rincon de Gallego', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30589', 6, 'Torreaguera', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 1, 'Borrambla', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 2, 'Casa Pelada', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 3, 'Casas Blancas', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 4, 'Casas del Civil', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 5, 'Casas del Cura', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 6, 'Cuevas de Marin', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 7, 'Duende', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 8, 'Finca del Pino', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 9, 'Gea y Truyols', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 10, 'Lo Gea', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 11, 'Lo Mazon', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 12, 'Pino', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 13, 'Riquelme', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 14, 'Lo Santiago', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 15, 'Sucina', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 16, 'La Tercia', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30590', 17, 'Valle del Sol', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 1, 'La Almazarica', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 2, 'Atalaya (Balsicas)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 3, 'Balsicas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 4, 'Lo Bollo', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 5, 'Casas del Molino', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 6, 'Casas del Pino (Balsicas)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 7, 'Los Ceballos', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 8, 'Cegarras Nuevas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 9, 'Cegarras Viejas', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 10, 'Los Chicarrones', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 11, 'Cortes', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 12, 'La Maraa', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 13, 'Los Martinez (Balsicas)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 14, 'El Molino (La Pinilla)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 15, 'Montaar', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 16, 'El Palmero (Balsicas)', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 17, 'Pedro Garre', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 18, 'Los Tomases', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30591', 19, 'Torre Silva', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 1, 'Atalayon', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 2, 'Avileses', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 3, 'Camachos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 4, 'El Hondo (Avileses)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 5, 'La Hoya (Avileses)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 6, 'Los Infiernos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 7, 'Los Jeronimos (Avileses)', 300308, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 8, 'Meseguer', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 9, 'Montanaro', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 10, 'El Pelotero', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 11, 'Saez de Tarquinales', 300354, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30592', 12, 'San Cayetano Avileses', 300373, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 1, 'Los Balanzas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 2, 'Los Carriones (La Palma)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 3, 'Casas del Hondo (La Palma)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 4, 'Los Chorlitos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 5, 'Fuente Amarga', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 6, 'El Infierno', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 7, 'Ingleses (La Palma)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 8, 'Los Marines (La Palma)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 9, 'Los Medicos', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 10, 'Mignazares', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 11, 'Molino Garre', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 12, 'La Palma', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 13, 'Perez de Abajo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 14, 'Perez de Arriba', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 15, 'Los Salazares', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 16, 'Los Vidales (La Palma)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 17, 'La Zarza (La Palma)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 18, 'Pozo Nuevo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30593', 19, 'Los Conesas (La Palma)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 1, 'Los Carriones (Pozo Estrecho)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 2, 'Casas Nuevas (Pozo Estrecho)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 3, 'El Casil', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 4, 'Celdranes', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 5, 'Chacon', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 6, 'El Charco', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 8, 'Huerta Ricardo', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 9, 'Ingleses (Pozo Estrecho)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 10, 'La Loma (Pozo Estrecho)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 11, 'Pozo Estrecho', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 13, 'La Rambla (Torraos)', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 14, 'Torre Nuevas', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30594', 15, 'Los Tropeles', 300161, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30600', 1, 'Las Arboledas', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30600', 2, 'Archena', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30600', 3, 'Balneario de Archena', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30600', 4, 'La Cerca', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30600', 5, 'Hurtado', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30600', 6, 'Llano del Barco', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30609', 1, 'La Algaida', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30609', 2, 'Capellania (Torre del Junco)', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30609', 3, 'Caada Murcia', 300098, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 38, 'Panama', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 39, 'O Pao', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 40, 'Paredes (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 41, 'Paredes do Pao', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 42, 'Penama (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 43, 'Penedo (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 44, 'A Pombia', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 45, 'Redondallo', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 46, 'As Regadas (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 47, 'As Regas (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 48, 'Reguenga (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 49, 'San Paio (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 50, 'Sobrado (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 51, 'Souto do Bispo', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 52, 'O Souto (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 53, 'Tixosa (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 54, 'A Travesa (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 55, 'A Trigueira (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 56, 'Val de Feardos', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 57, 'Valverde (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 58, 'A Casanova (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 59, 'Vilacova', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32212', 60, 'Vias (Gomesende)', 320338, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 1, 'Abelenda de Balongo', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 2, 'Vao (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 3, 'A Barca', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 4, 'O Casal (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 5, 'Casaldalvaro', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 6, 'A Decolada', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 7, 'A Eirexa (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 8, 'Leirado (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 9, 'Merens', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 10, 'Os Muios (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 11, 'Outeiral', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 12, 'Pazo (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 13, 'Peralba', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 14, 'O Pereiro (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 15, 'A Pontetrado', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 16, 'Rabio', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32213', 17, 'Sa (Cortegada)', 320277, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 15, 'Mantaras', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 16, 'Matafollada', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 17, 'Momean', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 18, 'El Monte (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 19, 'Orgales', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 20, 'La Paloma', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 21, 'Pelogra', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 22, 'Penedin', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 23, 'El Pico (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 24, 'Piedrablanca', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 25, 'Poceira de Reiriz', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 26, 'Pontraviza', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 27, 'Reiriz', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 28, 'La Roda (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 29, 'Rondelo', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 30, 'San Antonio (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 31, 'San Julian (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 32, 'Santelos (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 33, 'Valle de San Agustin', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 34, 'La Veguia', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 35, 'La Ventanova', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 36, 'La Ventosa (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 37, 'Viademonte', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 38, 'Villar (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 39, 'Villar de Reiriz', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 40, 'Villargomil', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 41, 'Villarin (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 42, 'La Via (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 1, 'Casariego', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 2, 'Entreplayas', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 3, 'Ginzo', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 4, 'Lota', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 5, 'La Muria (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 7, 'Outeiro (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 8, 'Retela', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 9, 'Viacoba', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 10, 'El Viso (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 11, 'La Volta', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 1, 'Acebeiral', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 2, 'Barreiro (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 3, 'Buenavista (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 4, 'Cabo de Villa (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 5, 'Calambre', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 6, 'La Caleya (Serantes-Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 7, 'Caleyon', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 8, 'Calostra', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 9, 'El Campo (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 10, 'Casanova', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 11, 'Casteda', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 12, 'Cornayo', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 13, 'Cruceiro', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 14, 'Foristo', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 15, 'Grandela (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 16, 'La Lama', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 17, 'Lomba', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 18, 'Nogueiras', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 19, 'Pedralba', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 20, 'Penela', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 21, 'Prado (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 22, 'Rapalcuarto', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 23, 'El Regueiro (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 24, 'Roda (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 25, 'San Cristobal (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 26, 'San Pelayo (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 27, 'Santa Gadea', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 28, 'Serantes (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 29, 'Tesouro', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 30, 'Vilanova (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 31, 'Villamil', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33749', 32, 'Villanueva (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33750', 1, 'La Caridad (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33750', 2, 'Longara', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33750', 3, 'Viavelez', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33756', 1, 'La Andina', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33756', 2, 'Arancedo', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33756', 3, 'Boimouro', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33756', 4, 'Braamayor (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33756', 5, 'Coba (Boal)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33756', 6, 'Lebredo (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33756', 7, 'Riocabo', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33757', 1, 'Arboces', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33757', 2, 'Barganaz (La Caridad)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33757', 3, 'La Braa (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33757', 4, 'Carroceiro', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33757', 5, 'Chao Das Trabas', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33757', 6, 'Penadecabras (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33757', 7, 'Romaelle de Abajo', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33757', 8, 'Romaelle de Arriba', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33757', 9, 'Villarin de la Braa', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 1, 'Castello (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 2, 'Godella', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 3, 'Grandamarina', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 4, 'Mendones', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 5, 'Mercadeiros', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 6, 'Miudeira', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 7, 'Miudes', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 8, 'Perdiguero', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 9, 'Piantes', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 10, 'Veiral', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33758', 11, 'Villar de Miudes', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 1, 'Carbeje', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 2, 'Cerredo (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 3, 'Hervedeiras', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 4, 'Louredal (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 5, 'Ludeiros', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 6, 'Nenin', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 7, 'Prendones', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 8, 'Rebollada (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 9, 'La Ronda (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 10, 'San Juan de Prendones', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 11, 'San Julian (El Franco)', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 12, 'Sueiro', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33759', 13, 'Villalmarzo', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33760', 0, 'Castropol', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 1, 'Becharro', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 2, 'Berbesa', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 3, 'Berruga (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 4, 'Bouza (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 5, 'Las Campas (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 6, 'Campo (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 7, 'Carbayal (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 8, 'Carreira', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 9, 'Carretera (Moldes-Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 10, 'Castaeirua', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 11, 'Castro (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 12, 'Cobas (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 13, 'Colmieiros', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 14, 'Cotapos', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 15, 'El Esquilo', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 16, 'Ferradal (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 17, 'Grilo', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 18, 'Jonte (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 19, 'Molin Novo', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 20, 'Pinal', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 21, 'Piera (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 22, 'Pusallana', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 23, 'Rio de Berbesa', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 24, 'Riocaliente (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 25, 'Riofelle', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 26, 'Rodiles (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47017', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 4, 'O Meson de Calvos', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 5, 'O Outeirio (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 6, 'Pasadan', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 7, 'A Petada', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 8, 'Pousa (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 9, 'A Reguenga (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 10, 'San Xurxo da Touza', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 11, 'Santa Locaia', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 12, 'Santas (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 13, 'Touza (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 14, 'A Venda Nova', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 15, 'Veredo (Taboadela)', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32691', 16, 'Zainza', 320795, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 1, 'Cardeita', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 2, 'O Castro (Sandias)', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 3, 'Cerredelo', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 4, 'Coalloso', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 5, 'Couso de Limia', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 6, 'Finca Cabreira', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 7, 'Finca Suaira', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 8, 'Granxa Obispado', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 9, 'Pazo o Telleiro', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 10, 'As Pegas (Sandias)', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 11, 'Sandias', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 12, 'Santa Ana (Sandias)', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32692', 13, 'Vilario Das Poldras', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 1, 'Arcos (Sandias)', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 2, 'A Chousela', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 3, 'A Corga (Sandias)', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 4, 'A Fontela (Sandias)', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 5, 'A Ladeira', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 6, 'A Lavandeira (Sandias)', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 7, 'Novaio', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 8, 'Pieira de Abaixo', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 9, 'Pieira de Arcos', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 10, 'Pieira de Arriba', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32693', 11, 'Zadagos', 320776, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32694', 1, 'Abavides', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32694', 2, 'O Banco', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32694', 3, 'Cacabelo', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32694', 4, 'Cruces (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32694', 5, 'A Madorra', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32694', 6, 'O Seixo (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32694', 7, 'A Trapa', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 1, 'Barrio de Abaixo (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 2, 'Barrio de Arriba (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 3, 'O Barrio (Lobaces)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 4, 'O Campo (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 5, 'Casas (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 6, 'Chamosios', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 7, 'A Ermida (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 8, 'Lobaces (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 9, 'O Outeiro (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 10, 'Pardieiros (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 11, 'O Regueiro (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 12, 'Santa Baia de Chamosios (Tras', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 13, 'A Serralleira', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 14, 'Silvaescura (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 15, 'Soutelo (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 16, 'Trasmiras (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 17, 'Vilar de Lebres', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 18, 'Vilarchao (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32695', 19, 'Zos', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 1, 'O Alto (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 2, 'O Carreira (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 3, 'O Castelo (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 4, 'O Couto (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 5, 'O Curro (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 6, 'Escornabois', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 7, 'Rabal (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 8, 'Santo Andre (Trasmiras)', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 9, 'Seixas', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 10, 'Vila de Rei', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 11, 'Lodoselo', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 12, 'Nocelo da Pena', 320782, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32696', 13, 'Vilaseca', 320821, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32697', 1, 'Mourazos', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32697', 2, 'Tamagos', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32697', 3, 'Tamaguelos', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32698', 1, 'Feces de Cima', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32698', 2, 'Mandin', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32698', 3, 'Quizas', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32698', 4, 'Rabal (Oimbra)', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32698', 5, 'Terron', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32699', 0, 'Feces de Abaixo', 320855, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32700', 0, 'Maceda', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 1, 'Baos de Molgas', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 2, 'Bouzas (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 3, 'Calvelo (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 4, 'Formigoso', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 5, 'Francos (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 6, 'Froufe (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 7, 'Guamil', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 8, 'Lama Ma', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 9, 'Meaman', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 10, 'Poedo', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 11, 'Presqueira', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 12, 'Vide (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 13, 'Vilario (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32701', 14, 'Xocin (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 1, 'A Albergueria (Vilar de Barrio', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 2, 'Borran', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 3, 'Boveda (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 4, 'Fontela (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 5, 'Hermida (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 6, 'Padreda', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 7, 'Parada (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 8, 'Penouzos', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 9, 'Portela Naveaus', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 10, 'Prado (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 11, 'Rebordechau', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 12, 'Riobo (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 13, 'San Miguel (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 14, 'A Seara (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 15, 'Seiro', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 16, 'Vilar de Barrio', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 17, 'Vilar de Gomareite', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32702', 18, 'Viso (V.Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 1, 'Bustavalle', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 2, 'Calvelo (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 3, 'Casasoa (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 4, 'Casonel', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 5, 'Chaioso', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 6, 'A Eirexa (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 7, 'As Lamas (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 8, 'Outeiro da Torre', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 9, 'Sarreaus (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 10, 'Piuca', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 11, 'O Souto (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 12, 'Vilarellos (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32703', 13, 'Zorelle', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 1, 'A Acea (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 2, 'Almoite', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 15, 'Rodiles (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 16, 'Ronderos', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 17, 'San Vicente (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 18, 'Santa Marina de Quiros', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 19, 'Villagime', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 20, 'Villamarcel', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 21, 'Villar de Cienfuegos', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 22, 'Villasante', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 1, 'Arrojo (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 2, 'Barzana de Quiros', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 3, 'La Casa Vide', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 4, 'Casares (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 5, 'El Castaero (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 6, 'Coaana (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 7, 'La Fabrica (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 8, 'Faedo (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 9, 'Fresnedo (Casares-Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 10, 'Llanuces', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 11, 'El Lleron (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 12, 'Murias (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 13, 'Muriellos (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 14, 'Ninzor', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 15, 'Pando (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 16, 'Rano', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 17, 'Salcedo (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 18, 'San Pedro (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 19, 'San Salvador (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 20, 'Toriezo', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 21, 'Vallin (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 22, 'Las Vallinas (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 23, 'Vega (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 24, 'La Villa (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 25, 'Villagondu', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 26, 'Villar de Salcedo', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33117', 27, 'Villarejo (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 1, 'Aciera', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 2, 'Agueras de Quiros', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 3, 'Bermiego', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 4, 'Carrexa', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 5, 'El Carrilon (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 6, 'Cortina (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 7, 'El Llano (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 8, 'Perveo', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 9, 'Tene', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 10, 'Valdemurio', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33118', 11, 'Villaorille', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 1, 'Ballongo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 2, 'Bascones', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 3, 'Baselgas', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 4, 'Bayo (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 5, 'Belandres (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 6, 'Bercio', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 7, 'Borondes', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 8, 'Buseco (Santo Adriano)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 9, 'Santo Adriano del Monte', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 10, 'Camales', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 11, 'Las Carangas (Santo Adriano)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 12, 'La Condesa', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 13, 'La Corredoria (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 14, 'Las Cruces (Trubia)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 15, 'Las Cuestas (Trubia)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 16, 'Doro', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 17, 'Feleches (Trubia)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 18, 'Fuejo (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 19, 'Godos', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 20, 'El Medio (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 21, 'Molina (Trubia)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 22, 'El Monte (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 23, 'Nalio', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 24, 'Nora (Trubia)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 25, 'Nores', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 26, 'El Palacio (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 27, 'El Pando (Trubia)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 28, 'Pedredo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 29, 'Perlavia', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 30, 'Perlin', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 31, 'Pintoria', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 32, 'Pozoval', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 33, 'Priaes', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 34, 'Quintana (Trubia)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 35, 'Sama de Grado', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 36, 'San Andres de Trubia', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 37, 'San Pedro de Nora', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 38, 'Caleya (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 39, 'Siones', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 40, 'Soto de Arriba', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 41, 'Trasmuria', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 42, 'Udrion', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 43, 'Vega de Trubia', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 44, 'La Vega (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33119', 45, 'Villarin (Trubia)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33120', 0, 'Pravia', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33125', 1, 'La Arena (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33125', 2, 'San Juan de la Arena', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33126', 1, 'Cotollano', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33126', 2, 'Foncubierta', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33126', 3, 'Llago', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33126', 4, 'La Magadalena (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33126', 5, 'Rubines', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33126', 6, 'Soto del Barco', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33126', 7, 'Truebano (Soto Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33126', 8, 'Ucedo', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 1, 'Arco (Pravia)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 2, 'La Barrera (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 3, 'Bernadal', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 4, 'La Bimera', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 5, 'Carrocero', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 6, 'Castillo (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 7, 'La Florida (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 8, 'Fontebona', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 9, 'La Llamera (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 10, 'La Llana (Pravia)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 11, 'Monterrey', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 12, 'Peaullan', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 13, 'Las Rabias', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 14, 'Riberas (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 15, 'Santa Eulalia (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 16, 'Santa Maria de Riberas', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 17, 'Traslacuesta', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 18, 'La Uz (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33127', 19, 'Veneros (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 1, 'Ablanedo (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 2, 'Allence (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 3, 'Arango', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 4, 'Arborio', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 5, 'El Caliero (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 6, 'La Calzada', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 7, 'Carceda (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 8, 'La Castaal (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 9, 'Caunedo (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 10, 'Cordovero', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 11, 'Folgueras (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 12, 'Fondos de Villa (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 13, 'La Fungal', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 14, 'Inclan', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 15, 'Lomparte', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 55, 'Tabladiello (Pola de Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 56, 'Traslavilla', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 57, 'Traspando', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 58, 'Tresufin', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 59, 'La Vallina (Traspando-Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 60, 'Valvidares', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 61, 'Vega de Sariego', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 62, 'La Viesca (Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 63, 'Villar (Vega Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 1, 'Atras (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 2, 'Aveno', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 3, 'Balire (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 4, 'Barbales', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 5, 'Barredo (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 6, 'Belga (Celles-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 7, 'Bergueres', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 8, 'Boladro', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 9, 'Braa (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 10, 'La Braa (Norea)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 11, 'La Cabaa (Vega de Poja-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 12, 'Camino (Muo-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 13, 'La Cantera (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 14, 'El Canto (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 15, 'Careses', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 16, 'La Carrera (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 17, 'La Carril (Norea)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 18, 'Castiello (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 19, 'Celles', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 20, 'Ceal', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 21, 'La Collada (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 22, 'Coroa', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 23, 'Corujedo (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 24, 'Cotariello (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 25, 'La Cuesta (Vega de Poja-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 26, 'Escamplero (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 27, 'Ferlera', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 28, 'Ferrera (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 29, 'Forfontia', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 30, 'Fresno (Collada-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 31, 'La Granja (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 32, 'Guaricio', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 33, 'Huergo (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 34, 'Lavandera (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 35, 'El Llano (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 36, 'Lugarin (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 37, 'Marcenado', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 38, 'Monte (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 39, 'Mudarri', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 40, 'Munco', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 41, 'Muo', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 42, 'Negales', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 43, 'Ordiales (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 44, 'Otero (Pola de Siero-Celles)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 45, 'Otero (Pola de Siero-Muo)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 46, 'Pando (Celles-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 47, 'La Parte (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 48, 'La Peral (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 49, 'La Piera (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 50, 'Plazuela', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 51, 'Posada (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 52, 'El Pueblo (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 53, 'El Rayo', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 54, 'El Rebollal (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 55, 'Rioseco (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 56, 'San Andres (Norea)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 57, 'Santa Eulalia de Vigil', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 58, 'Santianes (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 59, 'Soma (Castropol)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 60, 'Taraa', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 61, 'Vega de Poja', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 62, 'Vega Muiz', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 63, 'Venta de la Salve', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 64, 'Vigil', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 65, 'Villanueva (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33519', 66, 'Villar (Pola de Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33520', 0, 'Nava', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33525', 0, 'Piqera (Bimenes)', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 1, 'La Acebal (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 2, 'Bonera', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 3, 'La Brauca', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 4, 'Canteli', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 5, 'Capellan', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 6, 'Carbajal (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 7, 'Casa del Rio', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 8, 'Castaal (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 9, 'Castiello (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 10, 'Castro (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 11, 'Colladas (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 12, 'Corredoria (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 13, 'El Cueto (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 14, 'Cuetos (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 15, 'Escobal (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 16, 'Faedo (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 17, 'La Figar (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 18, 'Fragua (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 19, 'Granxu', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 20, 'Hueria (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 21, 'Martimporra', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 22, 'Montiquin', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 23, 'Perezal', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 24, 'Pradon (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 25, 'Rebollo (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 26, 'La Riba', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 27, 'Ricabo (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 28, 'Riosuaria', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 29, 'Rubiera (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 30, 'San Julian de Bimenes', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 31, 'San Miguel (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 32, 'Texuca (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 33, 'Tuenes', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 34, 'El Valle (Bimenes)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33527', 35, 'Xugueros', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 1, 'Argamoso', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 2, 'Baragaa (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 3, 'Brizosa', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 4, 'Buruyosa', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 5, 'Las Cabaas (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 6, 'Caleyo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 7, 'Campanal (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 8, 'Canales (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 9, 'La Cantera (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 10, 'Carbajal (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 11, 'Carbayal (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 12, 'Cardeli', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 13, 'Casa del Monte', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 14, 'Caspio', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 15, 'Castaera (Rozadas-Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 16, 'Castaera (Suares-Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 17, 'Caal', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 18, 'La Cruz (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 19, 'Cuestespines', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 27, 'Salias', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 28, 'San Cristobal (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 29, 'Santiago (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 30, 'Seijas', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33768', 31, 'Valin (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 1, 'Agelan', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 2, 'Aldea (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 3, 'Aldeanova', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 4, 'Areneira', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 5, 'Augueira', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 6, 'Barreira (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 7, 'Barreiras (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 8, 'Bruiteira', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 9, 'Cal', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 10, 'La Casia', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 11, 'Cruz de Vilar', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 12, 'Fabal (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 13, 'El Ferrol', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 14, 'Granda (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 15, 'Grandallana', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 16, 'Huerta (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 17, 'Iramola', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 18, 'Lantoira', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 19, 'Liso', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 20, 'Loureiro', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 21, 'Palacios (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 22, 'Payoza', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 23, 'Poceira', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 24, 'Presa (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 25, 'Quintalonga', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 26, 'Reamil', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 27, 'Rio de Seares', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 28, 'La Roda (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 29, 'Sabugo (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 30, 'San Juan de Moldes', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 31, 'Seares', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 32, 'Silvallana (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 33, 'El Trobo', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 34, 'Vale', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 35, 'La Venta (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 36, 'Vilar', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 37, 'Vilavedelle', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33769', 38, 'Villarrasa', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33770', 0, 'Vegadeo', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 1, 'Antigua (San Tirso de Abres)', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 2, 'Eilale', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 3, 'Espasande', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 4, 'Fojas', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 5, 'Goje', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 6, 'Grandela (San Tirso de Abres)', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 7, 'El Llano (San Tirso de Abres)', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 8, 'Lombal', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 9, 'Louredal (San Tirso Abres)', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 10, 'Lourido (San Tirso Abres)', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 11, 'Matela', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 12, 'Mourela', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 13, 'Naraido', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 14, 'Prado (San Tirso de Abres)', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 15, 'Salcido', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 16, 'San Andres (San Tirso de Abres', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 17, 'Sobrelavega', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 18, 'Solmayor', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 19, 'Trasdacorda', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 20, 'Valiaseca', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 21, 'Las Vegas (San Tirso de Abres)', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 22, 'Vilar (San Tirso de Abres)', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33774', 23, 'Vilelas', 330637, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 1, 'Abraido', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 2, 'Aguillon (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 3, 'Almallos', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 4, 'Arredondas', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 5, 'Arrojo (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 6, 'Arruada (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 7, 'Barredo (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 8, 'Bres', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 9, 'Cabanias (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 10, 'Cabaza', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 11, 'Cabainas', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 12, 'Calvin (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 13, 'Cancelos', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 14, 'El Castro (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 15, 'Chao de Leiras', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 16, 'Couces', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 17, 'Couso (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 18, 'Entorcisa', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 19, 'Esquios', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 20, 'Fabal (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 21, 'Folgueirosa (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 22, 'Freije', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 23, 'Galieiros', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 24, 'Garda', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 25, 'Leiras', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 26, 'Les', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 27, 'Llan', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 28, 'Logares', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 29, 'Lourido (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 30, 'Loutima', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 31, 'Mazo de Bres', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 32, 'Mousende (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 33, 'Navallo', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 34, 'Nio', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 35, 'Nogueira', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 36, 'Ouria (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 37, 'Pardias', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 38, 'Pereira', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 39, 'Pereiro (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 40, 'Pieiro', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 41, 'San Julian de Ouria', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 42, 'Santa Marina (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 43, 'Silvallana (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 44, 'Taramundi', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 45, 'Teijo', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 46, 'Teijois', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 47, 'Las Tingas', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 48, 'Turia', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 49, 'Valin (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 50, 'Vega de la Zarza', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 51, 'Vega de Llan', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 52, 'Veigas de Turia', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 53, 'Vilanova (Taramundi)', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33775', 54, 'Villarede', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 1, 'Amieiros', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 2, 'Barcia (Santa Eulalia de Oscos', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 3, 'Barranca de Paramios', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 4, 'Barreiras (Santa Eulalia de Os', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 5, 'Batriban', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 6, 'Braavella', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 7, 'Busdemouros', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 8, 'Busqueimado', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 9, 'Bustapena', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 10, 'Caraduje', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 11, 'Castro (Santa Eulalia de Oscos', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 12, 'Castromouran', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 13, 'Espina (Vegadeo)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 14, 'Ferreira (Santa Eulalia de Osc', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 15, 'Ferreirela', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 16, 'Folgueiras (Vegadeo)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 17, 'La Garganta', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 3, 'Alvite', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 4, 'Ambia', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 5, 'Asperela', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 6, 'Betan', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 7, 'Brandin', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 8, 'Cachagonza', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 9, 'O Calvario', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 10, 'Cardoeiros', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 11, 'Fondodevila (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 12, 'Guede (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 13, 'Marzas', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 14, 'Nocelo (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 15, 'Nogueira de Arriba', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 16, 'Outeiro (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 17, 'O Pazo (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 18, 'Pazos (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 19, 'As Penas (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 20, 'Ponte Ambia', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 21, 'Pumares (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 22, 'San Martio (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 23, 'San Pedro de Ribeira', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 24, 'Sanguedo (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 25, 'Santa Eufemia de Ambia', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 26, 'Suatorre', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 27, 'Vilamea de Ambia', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 28, 'Vilar (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32704', 29, 'O Vial (Baos de Molgas)', 320071, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 1, 'Aldea de Abaixo (Vilar de Barr', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 2, 'Aldea de Arriba (Vilar de Barr', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 3, 'Alemparte (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 4, 'Arnuide', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 5, 'Barran (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 6, 'Cancillos', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 7, 'O Caudillo', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 8, 'A Eirexa (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 9, 'As Maus (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 10, 'Os Milagros do Monte', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 11, 'O Penadiz Ou Folon', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 12, 'Porto (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 13, 'San Pedro (Vilar de Barrio)', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32705', 14, 'Vivero los Milagros', 320893, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 1, 'Barxela (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 2, 'Calvelio do Monte', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 3, 'Caseta de Barjela', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 4, 'Castro de Escuadro', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 5, 'Escuadro', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 6, 'Foncuberta', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 7, 'Lamelas (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 8, 'Muio Alveira', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 9, 'Paioso', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 10, 'Pias (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 11, 'Santiso (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 12, 'A Teixeira (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 13, 'Vilar (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 14, 'Vixueses', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32706', 15, 'Xinzo da Costa', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32707', 1, 'O Batan', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32707', 2, 'Cimadevila (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32707', 3, 'A Costa (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32707', 4, 'A Couzada', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32707', 5, 'A Eirexa (Tioira)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32707', 6, 'Santa Marta (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32707', 7, 'Sarreaus (Tioira)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32707', 8, 'Tioira', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32707', 9, 'Vascos', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 1, 'Abelleira (Xunqueira de Espada', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 2, 'Amedo (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 3, 'Asadur', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 4, 'Baldrei (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 5, 'O Campo (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 6, 'A Casanova (Xunqueira de Espad', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 7, 'Celeiron (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 8, 'Coruxas (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 9, 'Cubelo', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 10, 'Francos (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 11, 'Marcelle (Xunqueira de Espadan', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 12, 'Outeiro do Cabo', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 13, 'Parada (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 14, 'Paradia (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 15, 'A Parrocha', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 16, 'Ramil Grande', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 17, 'Ramil Pequeno', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 18, 'O Rial (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 19, 'Somoza (Maceda)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 20, 'Tres Caminos', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 21, 'A Veiga (Xunqueira Espadanedo)', 320436, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32708', 22, 'Veigacha', 320375, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 2, 'Barreiros (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 4, 'Cachamuia (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 5, 'Casario (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 6, 'Castadon', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 7, 'Cortias (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 8, 'Covas (San Cibrao)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 9, 'Espiedo (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 10, 'Figueiredo (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 13, 'A Lamela (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 14, 'A Murteira', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 16, 'As Papelas (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 17, 'O Pelourio', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 18, 'A Pena (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 19, 'O Pereiro de Aguiar', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 20, 'O Pereiro de Alen', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 21, 'Prexigueiro (Pereiro de Aguiar', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 22, 'San Salvador (Prexigueiro)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 23, 'San Salvador (Vilario)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 24, 'Seoane (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 25, 'Tibias', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32710', 26, 'Vilar (Prexigueiro)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 1, 'Casdemiro', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 2, 'Cimadevila (Melias-Pereiro de', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 3, 'A Granxa (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 4, 'Lagocios', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 5, 'Parada (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 6, 'O Regueiro (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 7, 'Sabadelle', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 8, 'San Benito de Veiga', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 9, 'Ventosela (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 10, 'Vilaboa (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 11, 'Agra (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 12, 'Frieira (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 13, 'Lamagrande', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 14, 'Ouriz', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 15, 'Vilario (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 16, 'Xubande', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 17, 'O Condado (Pereiro de Aguiar)', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33733', 0, 'Gio', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 16, 'Loro', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 17, 'Omedas', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 18, 'Palacion', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 19, 'Perdella', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 20, 'La Peuca (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 21, 'Las Pieras', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 22, 'Prada (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 23, 'Puentevega', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 24, 'Quintana (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 25, 'Rivero (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 26, 'San Bartolome', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 27, 'San Esteban (Villavaler)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 28, 'San Juan de Arango', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 29, 'San Pelayo (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 30, 'Sangrea', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 31, 'Selgas', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 32, 'Las Tablas (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 33, 'Travesedo (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 34, 'Valdediello', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 35, 'Vegafriosa', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 36, 'Villamondriz', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33128', 37, 'Villavaler', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 1, 'Agones', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 2, 'Arrojo (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 3, 'Bances', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 4, 'Beifar', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 5, 'Buenavista (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 6, 'Los Cabos', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 7, 'Cadarienzo', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 8, 'Las Campas (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 9, 'Caedo (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 10, 'Corias (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 11, 'Corralinos', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 12, 'Escoredo', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 13, 'Fontana', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 14, 'Forcinas', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 15, 'Godina', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 16, 'Llaneces (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 17, 'Luerces', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 18, 'Masfera', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 19, 'Monteagudo (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 20, 'El Naval', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 21, 'Ocea', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 22, 'La Pandiella (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 23, 'Perzanas', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 24, 'Porfinas', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 25, 'Prahua (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 26, 'Pronga', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 27, 'Quinzanas', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 28, 'Recuevo', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 29, 'Repolles', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 30, 'Sandamias', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 31, 'Santa Catalina', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 32, 'Santianes (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 33, 'Vegaan', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 34, 'Villafria (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 35, 'Villagonzay', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 36, 'Villamejan', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 37, 'Villamuin', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 38, 'Villanueva (Pravia)', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 39, 'Villarigan', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33129', 40, 'Villaverduz', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33130', 0, 'San Esteban de Pravia', 330390, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33138', 1, 'Era', 330390, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33138', 2, 'Muros del Nalon', 330390, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33138', 3, 'La Pumariega (Muros)', 330390, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33138', 4, 'Reborio (Muros de Nalon)', 330390, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33138', 5, 'Villar (Muros Nalon)', 330390, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33139', 0, 'Somado', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33140', 1, 'La Arquera (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33140', 2, 'Cantayu', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33140', 3, 'Fuso de la Reina', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33140', 4, 'Lavarejos', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33140', 5, 'Mortera de Palomar', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33140', 6, 'Palomar (Ribera de Arriba)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33140', 7, 'Puerto-Fuso', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33140', 8, 'Rebollar (Ribera de Arriba)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33140', 9, 'Villar (Fuso-Puerto)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33150', 0, 'Cudillero', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33154', 1, 'Aronces', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33154', 2, 'El Atalaya (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33154', 3, 'La Paca', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33154', 4, 'El Pito', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33154', 5, 'La Vana', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 1, 'Argaton', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 2, 'Artedo', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 3, 'Baos', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 4, 'Beiciella', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 5, 'La Bordinga', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 6, 'Braaseca', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 7, 'Busfrio', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 8, 'Campo Bajo', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 9, 'Campocima', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 10, 'Castaedo (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 11, 'Cipiello', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 12, 'La Cogolla (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 13, 'Concha de Artedo', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 14, 'La Escalada (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 15, 'Folguerua (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 16, 'Gallinero (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 17, 'Gayuelos', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 18, 'Lamuo (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 19, 'Llendepin', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 20, 'La Magdalena (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 21, 'Mumayor', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 22, 'La Puerca', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 23, 'Rellayo', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 24, 'Ribao', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 25, 'Ribete', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 26, 'Rondiella (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 27, 'Salamir', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 28, 'San Cosme (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 29, 'San Martin de Luia', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 30, 'La Sinjania', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 31, 'Teixidiello', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33155', 32, 'La Traviesa (San Martin de Lui', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 1, 'El Cepedo', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 2, 'Las Chavolas (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 3, 'La Fueya', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 4, 'Llanorrozo', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 5, 'Oviana (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 6, 'Pandiello (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 7, 'Pramaro', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 8, 'Riego de Abajo', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 9, 'Riego de Arriba', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 10, 'San Pedro de la Ribera', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 11, 'Soto de Luia', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 12, 'Troncedo (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33156', 13, 'Vivigo', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33157', 1, 'Albuerne', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33157', 2, 'Castaeras', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33157', 3, 'Novellana', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33157', 4, 'Resiellas', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33157', 5, 'Valdredo', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33158', 1, 'Ballota (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33158', 2, 'Candano (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33158', 3, 'Cuesta del Cesto', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33158', 4, 'Resillinas', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 1, 'Armayor', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 20, 'Estacion (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 21, 'Fadiello', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 22, 'Fayacaba', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 23, 'Fontanina (Nava)', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 24, 'Fontoria (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 25, 'Llamedo (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 26, 'La Llantada', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 27, 'Melendreros', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 28, 'Mesnada', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 29, 'Oardi', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 30, 'Pedrero (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 31, 'Pinganon', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 32, 'Priandi', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 33, 'La Puente (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 34, 'Pumar (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 35, 'Quintana (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 36, 'Rebollar (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 37, 'Recimuro', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 38, 'Riega', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 39, 'Roiles (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 40, 'Rozadas (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 41, 'Santa Agadea', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 42, 'Santo Tomas de Priandi', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 43, 'Segredal', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 44, 'Sienra (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 45, 'Suares', 330061, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 46, 'Tavalles', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 47, 'La Vara (Bimenes)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33528', 48, 'Viay', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 1, 'Arboleya', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 2, 'El Barro', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 3, 'Basoredo', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 4, 'La Bovia', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 5, 'Buyeres', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 6, 'La Cabaa (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 7, 'Camas', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 8, 'Candones', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 9, 'Castaera (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 10, 'Cesa', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 11, 'Cezoso', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 12, 'Cuenya (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 13, 'El Emplalme (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 14, 'Fresnedo (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 15, 'Fresno (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 16, 'Gamonedo (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 17, 'Gradatila', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 18, 'Llamargon', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 19, 'Llames (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 20, 'El Llano (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 21, 'La Madera (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 22, 'Monga', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 23, 'Naveda', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 24, 'Omedo (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 25, 'Orizon', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 26, 'Ovin', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 27, 'Pandenes', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 28, 'Pando (Nava-Candones)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 29, 'Pando (Piloeta-Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 30, 'Paraes', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 31, 'Piloeta', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 32, 'Piqera (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 33, 'Pozo Cordero', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 34, 'Pruneda', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 35, 'El Remedio', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 36, 'Robledo (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 37, 'La Sierra (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 38, 'Solano (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 39, 'Travesedo (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 40, 'Tresali', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 41, 'Vega (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 42, 'La Vega (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 43, 'Vegadali', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 44, 'Verdera (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 45, 'Villa (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 46, 'Villabona (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 47, 'Villamartin (Nava)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 48, 'Villares (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33529', 49, 'Viobes', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33530', 1, 'Infiesto', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33530', 2, 'Villanueva (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 1, 'Anayo', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 2, 'Buslleria', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 3, 'Cadanes', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 4, 'Capareda', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 5, 'La Cuenya (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 6, 'Fresnosa (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 7, 'Grandiella (Nava)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 8, 'Llares', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 9, 'Moruxones', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 10, 'Oscuredal', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 11, 'Las Pedrazas', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 12, 'Pintueles', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 13, 'Robledo de Anayo', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33534', 14, 'Viyao', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 2, 'Bargaedo', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 4, 'Bustiello (Infiesto)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 5, 'Canello (Piloa)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 7, 'Castiello (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 8, 'Cervera', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 9, 'Cotariella (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 10, 'Coya', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 11, 'La Encrucijada (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 13, 'Gamonedo (Piloa)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 14, 'Giranes', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 15, 'Gramedo (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 16, 'Gerdies', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 17, 'Heria', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 19, 'Llana de Coya (Piloa)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 20, 'Llombon', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 21, 'Lodea', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 24, 'Maza', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 25, 'Miyanges (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 26, 'Montecoya', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 27, 'Mures', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 29, 'La Parte (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 30, 'Peella', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 32, 'La Rebollada (Cabranes)', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 34, 'Santa Leocadia', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 36, 'Serpiedo', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 37, 'Torazo', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 38, 'Valbuena', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 40, 'Villabajo', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33535', 41, 'Villarriba', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 1, 'Artedosa', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 2, 'Beronda', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 3, 'Cabaa Derecha', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 4, 'Cadapereda', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 5, 'La Comba (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 6, 'Los Cuetos', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 7, 'Las Cuevas (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 8, 'Fresnedal (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 9, 'La Marea', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 10, 'Melendreras (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 11, 'El Moro', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 12, 'Obana', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 13, 'Peruyero (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 14, 'Peueco', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 15, 'Puente Miera', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 16, 'Raposo (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 17, 'Retorno', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 18, 'San Martin (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 18, 'Gestoso (Villanueva de Oscos)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 19, 'Lineras (Santa Eulalia de Osco', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 20, 'Mazonovo (Santa Eulalia de Osc', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 21, 'Millarado', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 22, 'Monticelo', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 23, 'Montouto', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 24, 'Murias (Santa Eulalia de Oscos', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 25, 'Nonide', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 26, 'Paramios', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 27, 'Pasaron', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 28, 'Peizais', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 29, 'Perulleira', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 30, 'Pontigon (Santa Eulalia de Osc', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 31, 'El Puente (Santa Eulalia de Os', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 32, 'Pumares (Santa Eulalia de Osco', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 33, 'Quinta (Santa Eulalia de Oscos', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 34, 'Regodeseves', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 35, 'Restrepo', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 36, 'Salgueiras', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 37, 'San Cristobal (Villanueva de O', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 38, 'San Julian (Santa Eulalia de O', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 39, 'Santa Eulalia de Oscos', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 40, 'Sarceda (Santa Eulalia de Osco', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 41, 'Souto', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 42, 'Sualleiro', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 43, 'Talladas', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 44, 'Teijeira (Santa Eulalia de Osc', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 45, 'Toleiras', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 46, 'La Trapa (Santa Eulalia de Osc', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 47, 'Valia la', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 48, 'Vega de Villar', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 49, 'Vega del Carro', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 50, 'Ventoso', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 51, 'Vijande', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 52, 'Villamartin (Santa Eulalia de', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33776', 53, 'Villar (Villanueva de Oscos)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 1, 'Arrojina', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 2, 'Ascuita', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 3, 'Baldedo (San Martin de Oscos)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 4, 'La Bobia (Villanueva de Oscos)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 5, 'Brusquete', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 6, 'Cimadevilla (Villanueva de Osc', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 7, 'El Cortin', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 8, 'Cotarelo', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 9, 'Deilan', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 10, 'Folgueirarrubia', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 11, 'Labiaron', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 12, 'Liceira', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 13, 'Loujedo', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 14, 'Martul', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 15, 'Morlongo', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 16, 'Mourelle (Villanueva de Oscos)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 17, 'Ovellariza', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 18, 'Pacios (Villanueva de Oscos)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 19, 'Penacoba', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 20, 'Perdigueiros', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 21, 'Piorno', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 22, 'Revoqueira', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 23, 'El Rio (Villanueva de Oscos)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 24, 'Ron', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 25, 'Salcedo (Villanueva de Oscos)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 26, 'San Mamed', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 27, 'San Martin de Oscos', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 28, 'San Pedro de Agueira', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 29, 'San Pelayo (San Martin de Osco', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 30, 'Santa Eufemia (Villanueva de O', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 31, 'Sarceda (San Martin de Oscos)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 32, 'Soutelo', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 33, 'Teijeira (San Martin de Oscos)', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 34, 'Trasmonte (San Martin de Oscos', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 35, 'Travadelo', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 36, 'Vilarello (Villanueva de Oscos', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 37, 'Villamae', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 38, 'Villamea', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 39, 'Villanueva de Oscos', 330753, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 40, 'Villarin de Piorno', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 41, 'Villarin de Trasmonte', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 42, 'Villarpille', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33777', 43, 'Villarquille', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 1, 'Aguillon (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 2, 'Arco (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 3, 'Arguiol', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 4, 'Armeirin', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 5, 'Azoreiras', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 6, 'Aides', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 7, 'Balmonte', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 8, 'Barreiras (Balmonte-Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 9, 'Besedo', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 10, 'Braatuille', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 11, 'Cabana (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 12, 'Cabanada', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 13, 'Caborcos', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 14, 'Candal', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 15, 'Candaosa', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 16, 'Canero (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 17, 'Castro (Castropol-Vegadeo)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 18, 'Cerolleiro', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 19, 'La Coba (Vegadeo)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 20, 'Cobro', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 21, 'Colmieros', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 22, 'Lagar (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 23, 'Lanteiro', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 24, 'Lavandal', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 25, 'Leirio', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 26, 'El Mazo (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 27, 'Montealegre', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 28, 'Monteavaro', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 29, 'Muria (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 30, 'Murolas', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 31, 'Niseiros', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 32, 'Obanza', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 33, 'Penzol', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 34, 'Pereiral', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 35, 'Pereiro (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 36, 'Pianton', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 37, 'Porqueira', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 38, 'Porzun', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 39, 'Presno', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 40, 'Requejo (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 41, 'Rondeira', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 42, 'Samagan', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 43, 'Santa Colomba', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 44, 'Santalla', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 45, 'Sela de Obanza', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 46, 'Tabes', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 47, 'Tomentosa', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 48, 'Trio', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 49, 'Vega de los Molinos', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 50, 'Vega del Torno', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 51, 'Villameitide', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 52, 'Villar (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 53, 'Villarin (Castropol)', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33778', 54, 'Vior', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 18, 'As Peteiras', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32711', 19, 'Bouzas de Fondo', 320586, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 1, 'Alto do Couso', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 2, 'Os Arcos', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 3, 'Cachamuia (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 4, 'Calsomiro', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 5, 'A Casanova (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 6, 'A Cernada', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 7, 'Codesal (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 8, 'Coutada', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 9, 'Esgos (Capital)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 10, 'Fondo de Vila (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32720', 11, 'Gomariz (Esgos)', 320317, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 1, 'Canto de la Roza', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 2, 'El Carmen (R. de Arriba)', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 3, 'Carrera de Abajo', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 4, 'Carrera de Arriba', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 5, 'Casa Nueva (Ribera de Arriba)', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 6, 'Fueyos', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 7, 'La Joya', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 8, 'El Polledo (Ribera de Arriba)', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 9, 'La Roza (Ribera de Arriba)', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 10, 'Soto de Ribera', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 11, 'Torre (Ribera de Arriba)', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33172', 12, 'Vixiel', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33173', 1, 'Entrepuentes', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33173', 2, 'Mortera de Tellego', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33173', 3, 'Sardin', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33173', 4, 'Tellego', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33173', 5, 'Vegalencia', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 1, 'Barredos (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 2, 'Caces', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 3, 'Las Caldas', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 4, 'Casielles (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 5, 'Cuestayones', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 6, 'Fuentesilla', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 7, 'Pando (Caces)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 8, 'Piera (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 9, 'Premaa', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 10, 'Priorio (San Juan De)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33174', 11, 'La Vallina (Caces - Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33180', 0, 'Norea', 330426, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33183', 1, 'Moldano', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33183', 2, 'Nuste', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33183', 3, 'Sanriella', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33186', 1, 'El Berron', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33186', 2, 'Los Campones (El Berron)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33186', 3, 'Orial', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33186', 4, 'San Pelayo (El Berron - Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33186', 5, 'La Vallina (El Berron-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 1, 'Buenavista (El Berron)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 2, 'El Campo (Berron-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 3, 'La Cuesta (El Berron - Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 4, 'Fuentemelga', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 5, 'Gijun (El-Siero Berron)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 6, 'Hevia', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 7, 'Palacio de Hevia', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 8, 'El Pumarin (El Berron)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 9, 'Ricabada', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 10, 'Santa Marina (El Berron-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 11, 'Solad', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33187', 12, 'Somata (El Berron)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33188', 1, 'Arguelles', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33188', 2, 'La Belga Alta', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33188', 3, 'La Belga Baja', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33188', 4, 'Castaera (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33188', 5, 'El Cristo', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33188', 6, 'La Cuesta (Arguelles-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33188', 7, 'Fuentespino', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33188', 8, 'Pumares (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33188', 9, 'Revuelta del Coche', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33188', 10, 'San Miguel de la Barreda', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 1, 'Alto de la Madera', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 2, 'Anes (San Martin)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 3, 'Arniella', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 4, 'Calabaza (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 5, 'Campo Fernando', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 6, 'La Carizal', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 7, 'La Carrizal (Norea)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 8, 'Casa de Anes', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 9, 'El Coto (Anes-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 10, 'Espiniella (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 11, 'La Faeda (Parres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 12, 'Faedo Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 13, 'La Figarona', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 14, 'La Florida (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 15, 'Fombona', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 16, 'Grandarrasa', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 17, 'Huego (Anes-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 18, 'Llamedo (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 19, 'Llaneces (El Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 20, 'Llantero (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 21, 'La Madera (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 22, 'El Meson de la Tabla', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 23, 'Orviz', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 24, 'Palmiano', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 25, 'Paeda Nueva', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 26, 'Paeda Vieja', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 27, 'La Peral (Norea)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 28, 'Picaloredo', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 29, 'Poladura (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 30, 'San Pedro (Anes - Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 31, 'San Tirso (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 32, 'Vare', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 33, 'Vio', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33189', 34, 'Yerbano', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 1, 'Aguera (Las Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 2, 'Alcedo (Las Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 3, 'Andallon', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 4, 'Ania', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 5, 'Areces', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 6, 'Biedes (Las Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 7, 'Bolgues', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 8, 'Braa (Las Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 9, 'Las Cruces (Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 10, 'La Estaca (Las Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 11, 'La Fuente (Las Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 12, 'Granda (Las Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 13, 'Landrio', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 14, 'Lazana', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 15, 'Las Marinas', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 16, 'Meobra', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 17, 'Otero (Las Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 18, 'Paladin', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 19, 'Parades', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 20, 'Las Pereda (Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 21, 'Pravia (Las Regueras)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 22, 'Premio', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 23, 'Premoo', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 24, 'Puerma', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 25, 'Santullano de Las Regueras', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 26, 'Soto de Las Regueras', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 27, 'Trascaedo', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33158', 5, 'Santa Marina (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 2, 'Arrojas', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 3, 'Belandres (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 4, 'Bustiello (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 5, 'Cerecedo (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 6, 'Corollos', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 7, 'Las Dueas', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 8, 'Faedo (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 9, 'La Fenosa (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 10, 'Gardua', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 11, 'El Manto', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 12, 'Orderias (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 13, 'Otero (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 14, 'Pepin', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 15, 'El Peedo', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 16, 'Piera (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 17, 'San Cristobal (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 18, 'San Juan de Piera', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 19, 'Santa Ana (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 20, 'La Tabla (Cudillero)', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 21, 'Veiga', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 22, 'Villademar', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 23, 'Villazain', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 24, 'Villazones', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33159', 25, 'Villeirin', 330215, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 1, 'Ablanedo (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 2, 'Ablanosa', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 3, 'Las Aguera (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 4, 'La Ara', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 5, 'Cabornin', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 6, 'Cadabal (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 7, 'Los Caleyos (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 8, 'La Cantera (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 9, 'Canto de la Vara', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 10, 'El Canto (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 11, 'La Casillina (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 12, 'La Castaar', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 13, 'Cerecedo (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 14, 'El Collado (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 15, 'Corujedo (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 16, 'Los Cuadros (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 17, 'La Cuba', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 18, 'Doajuandi', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 19, 'Embernadas', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 20, 'Felguera (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 21, 'Fresnedo (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 22, 'Las Gateras', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 23, 'Grandiella (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 24, 'La Granja (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 25, 'El Huesped', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 26, 'La Juncar', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 27, 'Llamo', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 28, 'Las Llanas (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 29, 'La Llaneza (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 30, 'La Marina (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 31, 'Muriellos (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 32, 'Nijeres', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 33, 'Panderraices', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 34, 'Piedrafita (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 35, 'Porcio', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 36, 'Prado Velorto', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 37, 'Prunadiella', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 38, 'Puente Alta', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 39, 'La Rebolla', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 40, 'Rotellin (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 41, 'Rozacagil (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 42, 'San Adriano (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 43, 'Las Tejeras (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 44, 'Teleno', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 45, 'La Vara (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 46, 'Vega de Riosa', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 47, 'Villameri', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 48, 'Villar (Riosa)', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 49, 'Zorera de Las Llamas', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33160', 50, 'Zorera de Porcio', 330582, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 1, 'Busloe', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 2, 'La Calella (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 3, 'Calvin (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 4, 'La Carballosa', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 5, 'Cardeo (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 6, 'La Collada (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 7, 'La Cuesta (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 8, 'Enseca de Arriba y Abajo', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 9, 'La Figar (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 10, 'Figares (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 11, 'Foz de Morcin', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 12, 'Lugar de Abajo (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 13, 'Lugar de Arriba (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 14, 'Las Mazas (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 15, 'Melendreras (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 16, 'Mellampo', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 17, 'Molin de la Fuente', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 18, 'Molino de Figares', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 19, 'Otura (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 20, 'Panizales (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 21, 'El Pereo', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 22, 'Porriman', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 23, 'Pradiquin', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 24, 'La Puente (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 25, 'El Pumar (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 26, 'La Roza (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 27, 'El Vallin (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 28, 'La Vara (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33161', 29, 'Las Vegas de Cardeo', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 1, 'Ablanedo (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 2, 'Alfilorio de Abajo', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 3, 'Alfilorio de Arriba', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 4, 'Alfilorio del Medio', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 5, 'El Artoxu', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 6, 'Barrea', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 7, 'Bolias', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 8, 'La Boza (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 9, 'El Braueto', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 10, 'Campo la Iglesia (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 11, 'El Campo (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 12, 'Castandiello (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 13, 'Ceposa (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 14, 'El Cogollo (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 15, 'Cortes (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 16, 'La Cotina', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 17, 'Los Duernos', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 18, 'La Gantal', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 19, 'Los Gonzalez', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 20, 'Lavandera (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 21, 'La Llorera', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 22, 'Malpica (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 23, 'Otero', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 24, 'El Palacio (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 25, 'Parteayer', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 26, 'Peamiel', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 27, 'Peanes', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 28, 'Peerudes', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 29, 'Piera de Morcin', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33163', 1, 'Argame', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 19, 'El Tozo', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 20, 'Travesera', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33536', 21, 'Vegarrionda', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 1, 'Cuerrias de Espinaredo', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 2, 'Espinaredo (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 3, 'Esteli', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 4, 'Ligueria', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 5, 'Lozana', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 6, 'Omedal (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 7, 'Otero (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 8, 'Pandiella (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 9, 'Pando (La Maza-Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 10, 'Pedroso (Espinaredo-Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 11, 'Porciles (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 12, 'Raicedo (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 13, 'Riofabar', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 14, 'Rozapanera', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 15, 'San Vicente (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 16, 'Santianes (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33537', 17, 'Soto (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33538', 1, 'Abedul (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33538', 2, 'Arenas de Beloncio', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33538', 3, 'Beloncio', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33538', 4, 'Candanedo (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33538', 5, 'Cobayas', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33538', 6, 'Cuerrias de Maza', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33538', 7, 'La Cueva (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33538', 8, 'Ferreros (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33538', 9, 'La Peridiella', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33538', 10, 'Vallin (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 1, 'Argandenes', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 2, 'Barredo (Valle-Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 3, 'Beroes', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 4, 'Biedes (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 5, 'Bierces', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 6, 'El Calzado', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 7, 'El Carazal', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 8, 'Cardes (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 9, 'Castiello (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 10, 'La Cobaya', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 11, 'La Llana (San Roman-Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 12, 'Mestas (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 13, 'La Noval (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 14, 'El Orrin', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 15, 'Palacio (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 16, 'Pandoto', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 17, 'La Parte (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 18, 'Pascual (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 19, 'Pedrueco', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 20, 'Peleon', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 21, 'Ques', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 22, 'La Reboria (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 23, 'El Rivero (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 24, 'Robledal (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 25, 'Roces (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 26, 'San Miguel (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 27, 'San Roman Piloa', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 28, 'Las Tercias (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 29, 'Valle (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33539', 30, 'Valles (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33540', 1, 'Arriondas', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33540', 2, 'Castaera (Parres)', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33540', 3, 'Santianes del Terron', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 1, 'Arobes', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 2, 'Carrio (Arriondas)', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 3, 'La Granda de Abajo', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 4, 'La Granda de Arriba', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 5, 'Llerandi (San Cosme)', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 6, 'Ozanes', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 7, 'Romillin', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 8, 'Romillo', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 9, 'Romio', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 10, 'San Cosme de Llerandi', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33546', 11, 'Tospe', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 1, 'Aguera (Cangas de Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 2, 'Coviella (Cangas de Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 3, 'Cuenco', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 4, 'La Granda (C.Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 5, 'El Llano (Cangas Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 6, 'Llordon', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 7, 'Margolles', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 8, 'Miyar (Cangas Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 9, 'Parda', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 10, 'Peruyes (C. Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 11, 'Puente de Arriondas', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 12, 'La Roza (Castrillon)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 13, 'San Tirso (Cangas de Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 14, 'Triongo', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 15, 'Villa (C. Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33547', 16, 'Via (C. Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 1, 'Bodes', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 2, 'Cofio', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 3, 'Collado de Santo Tomas', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 4, 'Cuadrovea', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 5, 'Fios', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 6, 'Hueges', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 7, 'Nevares', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 8, 'Pandiello (Arriondas)', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 9, 'San Andres (Arriondas)', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 10, 'Santo Tomas de Collia', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 11, 'Villanueva de Fios', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 12, 'Villar de la Cuesta', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33548', 13, 'Villar de la Pea', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33549', 1, 'Bode', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33549', 2, 'Collia', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33549', 3, 'Las Coronas', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33549', 4, 'Montealea', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33549', 5, 'Pendas', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33549', 6, 'Tusienes', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33549', 7, 'La Vita', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33550', 1, 'Biamon', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33550', 2, 'Cangas de Onis', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33554', 1, 'Arangas', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33554', 2, 'Arenas de Cabrales', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33554', 3, 'Bulnes', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33554', 4, 'Camarmea', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33554', 5, 'Mildon', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33554', 6, 'Oceo', 330463, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33554', 7, 'Sotres', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33554', 8, 'Tielve', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 1, 'Poo de Cabrales', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 2, 'Berodia', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 3, 'Canales (Cabrales)', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 4, 'Carrea de Cabrales', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 5, 'El Escobal (Cabrales', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 6, 'Inguanzo', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 7, 'La Molina (Cabrales)', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 8, 'Ortiguero de Cabrales', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 9, 'Pandiello (Cabrales)', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 10, 'Asiego', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 11, 'Puertas de Cabrales', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33555', 12, 'Salce', 330083, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 1, 'Abamia', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 2, 'Avin', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 3, 'Becea', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 4, 'Benia', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 5, 'Bobia de Abajo', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09196', 6, 'Villamiel de Muo', 94398, 9, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 1, 'Bustelo de Meredo', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 2, 'Chao de Porzun', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 3, 'Coruja', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 4, 'Couso (Castropol)', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 5, 'Estelo', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 6, 'Fojo de Aides', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 7, 'Fuente Louteiro', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 8, 'Grandamea', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 9, 'La Graa', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 10, 'Guiar', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 11, 'Herreria de Meredo', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 12, 'Jaraz', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 13, 'Lamisqueira', 330714, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 14, 'Louterio', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 15, 'Meredo', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 16, 'Miou', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 17, 'Molejon', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 18, 'Mundia', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 19, 'Murias (Castropol)', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 20, 'Nafarea', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 21, 'Posadoiro (Santa Eulalia de Os', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 22, 'Pruida', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 23, 'La Pumarega', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 24, 'Quintela', 330621, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 25, 'Refojos', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 26, 'San Martin Vega de Villar', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 27, 'Santiago de Abres', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 28, 'Soladaloura', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 29, 'Travizas', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 30, 'Tremeado', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33779', 31, 'Vinjoy', 330740, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 2, 'Bahias', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 3, 'Balsera', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 4, 'Braaverniza', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 6, 'Candana', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 7, 'Castiello (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 8, 'La Corrada (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 10, 'Enverniego (Trevias)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 11, 'Fanon', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 12, 'Ferrera de Meras', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 13, 'Gamones', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 17, 'Malata', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 23, 'Pochica y Cruz', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 25, 'Rebollar de Vega', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 26, 'Rellon de Meras', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 27, 'Retiro (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 33, 'Soto (Trevias)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 34, 'Trevias', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 37, 'Villanueva (Trevias)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 38, 'Villar de Bahias', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 39, 'Xuco', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 40, 'Anguilero', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 41, 'Ribon', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 42, 'Tablizo', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33780', 43, 'Gallinero de Busmarzo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 1, 'Alienes', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 2, 'Ayones (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 3, 'Biescas (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 4, 'Castaedo (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 5, 'Castro (Castaedo-Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 6, 'Colinas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 7, 'Coroniella', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 8, 'Los Corros (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 9, 'Faedo (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 11, 'Pereda', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 12, 'Turuelles', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 13, 'Villar de Ayones', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33782', 14, 'Paniciegas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 1, 'Adrado', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 2, 'Bustiello (Pontigon)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 3, 'Llaneces (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 4, 'Ore', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 5, 'Pena (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 6, 'El Pontigon (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 7, 'Villagermonde', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 8, 'Cortina', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 9, 'Pescaredo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 10, 'Silvamayor', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 11, 'Valle', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 12, 'Lago', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 13, 'Llendecastillo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33783', 14, 'San Pelayo de Tahona', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 2, 'Argumosin', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 4, 'Arquillina', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 6, 'Brieves', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 7, 'La Cadorna', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 9, 'El Capiello (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 10, 'Carcedo (Brieves)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 12, 'Espiniella (Brieves)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 13, 'Faedal (Brieves)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 14, 'Ferrera de los Gavitos', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 24, 'Muas de Abajo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 25, 'Muas de Arriba', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33784', 29, 'Villar de Carcedo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 7, 'Quintana (Luarca)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 9, 'El Pueblo', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 10, 'Los Pontones', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 11, 'La Mortera', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 12, 'La Candanosa', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 13, 'Aguera', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 14, 'Bustiello de Paredes', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 15, 'Longrey', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 16, 'Meras', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 17, 'Ovienes', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 18, 'Paredes', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 19, 'Piera', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 20, 'San Feliz', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 21, 'San Pedro de Paredes', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 22, 'La Vega', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 23, 'Arcallana', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 24, 'Braarronda', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 25, 'Las Cruces', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 26, 'Folledo', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 27, 'La Llonga', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 28, 'Las Longas', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 29, 'Mafalla', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 30, 'Mones', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 31, 'Las Murias', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 32, 'Ocinera', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 33, 'Los Rozos', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 34, 'Villarin', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 35, 'San Vicente', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 36, 'Buslayo', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 37, 'Gamatosa', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33785', 38, 'Llendepea', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33786', 2, 'Cueva (Luarca)', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 1, 'Barcia (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 2, 'Sapinas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 3, 'Aldin', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 4, 'Cabanin', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 5, 'Carlangas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 6, 'Fontoria', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 7, 'Canero', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 8, 'Casiellas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 9, 'Chano de Canero', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 10, 'Fijuecas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 11, 'Mouroso', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 12, 'Ranon', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 13, 'Caroyas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33787', 14, 'Aragumoso', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33788', 1, 'Cadavedo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33788', 2, 'Villademoros', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33789', 2, 'Busto (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33789', 4, 'Queruas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 28, 'Trasmonte (Las Reguera)', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 29, 'Valduno', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33190', 30, 'Viado', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 1, 'Arees (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 2, 'La Barrosa (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 3, 'Belovio', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 4, 'La Cabaa', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 5, 'La Cabaa (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 6, 'Cida', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 7, 'Cimadevilla (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 8, 'La Cruz (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 9, 'Escamplero (Las Reguera)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 10, 'Fabarin', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 11, 'Gallegos (Las Regueras)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 12, 'La Granja (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 13, 'Las Heras', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 14, 'Lampajua', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 15, 'La Llama (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 16, 'La Llana (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 17, 'Loriana', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 18, 'Lubrio', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 19, 'La Maja', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 20, 'Malpica (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 21, 'Navaliega (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 22, 'Nievares (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 23, 'Omedo (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 24, 'Oteruelo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 25, 'Peanora', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 26, 'Ponteo (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 27, 'Pumeda (Las Regueras)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 28, 'Quejo', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 29, 'Raeces (Las Regueras)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 30, 'Rebollar (Loriana-Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 31, 'Requejo (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 32, 'Rivero (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 33, 'Rodiella', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 34, 'San Claudio', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 35, 'San Roque (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 36, 'Tahoces', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 37, 'Tamargo', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 38, 'La Torre (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 40, 'El Valle (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 41, 'Valsera', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 42, 'Villamar', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33191', 43, 'Villaverde (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 1, 'Barganiza', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 2, 'La Campana', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 3, 'Carbainos', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 4, 'Espinera (Pruvia-Siero)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 5, 'Fonferiz', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 6, 'Fozalguera (Pruvia-Llanera)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 7, 'La Granda (Pruvia)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 8, 'Llomba (Llanera)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 9, 'Pruvia (Llanera)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 10, 'Ordoo', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 11, 'Peadrada', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 12, 'Peaferruz', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 13, 'Pico (Pruvia)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 14, 'Picun', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 15, 'Lotero', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 16, 'Remoria', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 17, 'Santa Eulalia (Llanera)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 18, 'Silvota (Llanera-Pol. Industri', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 19, 'Venta de la Puga', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33192', 20, 'Venta del Jamon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 1, 'Arones', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 2, 'Ayones (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 3, 'Belonga', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 4, 'Carballinos', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 5, 'Carbayedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 6, 'Casuca (Ribera de Arriba)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 7, 'Escalones', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 8, 'Latores', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 9, 'La Martina', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 10, 'Pedruo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 11, 'Santa Marina Piedramuelle', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 12, 'Santo Medero', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 13, 'Sograndio (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 14, 'Toriello (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 15, 'Vega (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 16, 'La Venta (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33193', 17, 'Villarmil', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 1, 'Ajuyan', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 2, 'Braes (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 3, 'Cabaas (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 4, 'Las Campas (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 5, 'Cantera Ensidesa (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 6, 'El Canto (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 7, 'Carbayon', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 8, 'Los Carriles (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 9, 'Castiello (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 10, 'Constante (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 11, 'La Contriz', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 12, 'Cuyences', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 13, 'Escontiella', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 14, 'Folgueras (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 15, 'La Granja (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 16, 'Ladines (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 17, 'Lampaya', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 18, 'Laviada', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 19, 'El Llano (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 20, 'La Lloral (San Claudio)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 21, 'Lugarin (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 22, 'Nora (Villaperez)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 23, 'La Pedrera (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 24, 'Pevidal (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 25, 'Quintana (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 26, 'San Lazaro de Paniceres', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 27, 'Ules', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 28, 'La Venta (Braes)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 29, 'Villamorsen', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 30, 'Villanueva (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 31, 'Villaperez', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 32, 'Violeo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 33, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 34, 'Fitoria', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 35, 'Las Mazas', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33194', 36, 'Tresllamas', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 1, 'Arenales', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 2, 'La Barraca (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 3, 'Bendones', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 4, 'El Bosque', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 5, 'El Caldero', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 6, 'Carbajal (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 7, 'Casas de la Carretera', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 8, 'Cementerio', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 9, 'Covadonga (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 10, 'El Cruce', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 11, 'Fozalguera (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 12, 'Friera (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 13, 'La Granda (La Manjoya-Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 14, 'Llovera (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 15, 'Lugido', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 16, 'El Meso', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 17, 'Los Molinos (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 30, 'Requejo (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 31, 'El Rio (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 32, 'Rozadas (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 33, 'San Esteban (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 34, 'San Sebastian de Morcin', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 35, 'Santa Eulalia de Morcin', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 36, 'Las Vallinas (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 37, 'Vegas de San Esteban', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33162', 38, 'Villar (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33163', 2, 'La Rectoria (Morcin)', 330387, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33170', 1, 'El Caleyo (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33170', 2, 'El Cogollo (Ribera de Arriba)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33170', 3, 'El Llagu', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33170', 4, 'Llamaoscura', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33170', 5, 'La Manjoya', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33170', 6, 'Medio (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33170', 7, 'El Molin', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 1, 'El Atrollo', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 2, 'El Barco', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 3, 'La Barquera (Las Segadas)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 4, 'Bueo (Ribera de Arriba)', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 5, 'La Candana (R. de Arriba)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 6, 'La Carcaba (Soto de Ribera)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 7, 'Casielles de Pereda', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 8, 'El Condado (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 9, 'Cordial', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 10, 'Ferreros (Ribera de Arriba)', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 11, 'El Llosal', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 12, 'Pereda (Las Segadas)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 13, 'Quintaniellas (Ribera de Arrib', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 14, 'San Miguel de la Pereda', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 15, 'San Pedro de Ferreros', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 16, 'Santa Agueda', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 17, 'Las Segadas (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 18, 'Las Segadas (Ribera de Arriba)', 330576, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 19, 'Venta del Aire (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33171', 20, 'Villar de Pereda', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33582', 5, 'Fresnadiello (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33582', 6, 'Sienra (Ceceda)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33582', 7, 'La Vega (Ceceda)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 1, 'Antrialgo', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 2, 'Barcena (Villamayor)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 3, 'La Barraca (Villamayor)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 4, 'Borines', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 5, 'Brez', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 6, 'Cereceda (Villamayor)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 7, 'Cerezaledo (Villamayor)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 8, 'Los Collados (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 9, 'La Goleta (Villamayor)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 10, 'La Infiesta (Villamayor)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 11, 'Melarde', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 12, 'Miyares (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 13, 'Mones (Villamayor)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 14, 'Moo', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 15, 'El Pando (Miyares-Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 16, 'Pedroso (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 17, 'Pesquerin', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 18, 'Robledo de Cereceda', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 19, 'San Feliz (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 20, 'Sardeda', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 21, 'Sieres', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 22, 'Torin', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 23, 'Vallobal', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33583', 24, 'Villamayor (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 1, 'Caldevilla', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 2, 'La Canal (Sevares)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 3, 'Cua', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 4, 'La Faeda (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 5, 'Ferrera (Piloa)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 6, 'La Frecha (Sevares)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 7, 'La Matosa', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 8, 'Pandavenes', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 9, 'El Pico (Infiesto)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 10, 'La Piera (Sevares)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 11, 'Priede', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 12, 'Samalea', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 13, 'Sevares', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 14, 'Sierra (Sevares)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 15, 'Sorribas (Sevares)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 16, 'El Tejedal (Sevares)', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 17, 'Villar de Huergo', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33584', 18, 'Villarcazo', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33585', 1, 'Castiello de Parres', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33585', 2, 'Cividiello', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33585', 3, 'Fresnidiello', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33585', 4, 'Llames de Parres', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33585', 5, 'Prunales', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33585', 6, 'La Roza (Soto Dueas)', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33585', 7, 'Soto de Dueas', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33585', 8, 'Viabao', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33586', 1, 'Cayarga', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33586', 2, 'Fuentes (Arriondas)', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33586', 3, 'Gustarnales', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33586', 4, 'Mesariegos', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33586', 5, 'Sinariega', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33586', 6, 'Tresmonte', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33586', 7, 'Tresmonte de Parres', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33587', 1, 'Teyua', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33587', 2, 'Torao', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33588', 1, 'Cuevas de Agua', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33588', 2, 'Nocedo (Cuevas del Agua)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33588', 3, 'Tezangos', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 1, 'Cabielles', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 2, 'Cardes (Cangas de Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 3, 'Celorio (Cangas de Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 4, 'Covadonga (Cangas de Onis)', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 5, 'Llerices', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 7, 'Onao', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 8, 'Perlleces', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 9, 'La Riera de Covadonga', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 10, 'Soto de Cangas', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 11, 'Susierra', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 12, 'Torio', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33589', 13, 'Tresano', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 1, 'Andines', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 2, 'Las Bajuras', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 3, 'Bojes', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 4, 'Boquerizo', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 5, 'La Borbolla (Llanes)', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 6, 'Colombres', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 7, 'La Franca', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 8, 'Llavandes', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 9, 'Noriega', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 10, 'El Peral (Ribadedeva)', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 11, 'Pie de la Sierra', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 12, 'Pimiango', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 13, 'Santa Eulalia de Carranzo', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 14, 'Tresgrandas', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33590', 15, 'Villanueva de Colombres', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33591', 1, 'Belmonte de Pria', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33591', 2, 'Garaa de Pria', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33591', 3, 'Llames de Pria', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33591', 4, 'Pesa de Pria', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33591', 5, 'Pieres de Pria', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 6, 'Bobia de Arriba', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 7, 'Bustovela', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 8, 'El Castro (Cangas de Onis)', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 9, 'La Cebia', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 10, 'Con', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 11, 'Corain (Cangas de Onis)', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 12, 'Corao', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 13, 'Corao Castillo', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 14, 'Cuerres (Cangas de Onis)', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 15, 'Cuetoaleos', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 16, 'Demues', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 17, 'La Estrada (Cangas de Onis)', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 18, 'Gamonedo de Cangas', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 19, 'Gamonedo de Onis', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 20, 'Grazanes', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 21, 'Igena', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 22, 'Intriago', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 23, 'Labra', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 24, 'Llano de Con', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 25, 'Llenin', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 26, 'Los Menores', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 27, 'Mestas de Con', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 28, 'Pandellevandes', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 29, 'Paroro', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 30, 'El Pedroso (Cangas de Onis)', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 31, 'La Robellada', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 32, 'San Martin de Grazanes', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 33, 'Santianes de Ola', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 34, 'Santovea (Amieva)', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 35, 'Sirviella', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 36, 'Socuevas', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 37, 'Soto de la Ensartal', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 38, 'Talavero', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 39, 'Tarano (Cangas de Onis)', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 40, 'Telea', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 41, 'Villar de Onis', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 42, 'Villaverde (Cangas de Onis)', 330432, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33556', 43, 'Zardon', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 1, 'Abiegos', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 2, 'Ambingue', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 3, 'Beleo', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 4, 'Cadenaba', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 5, 'Carangas (Ponga)', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 6, 'Cazo', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 7, 'Cao (Cangas de Onis)', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 8, 'Cirieo', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 9, 'Corigos (Amieva)', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 10, 'Eno', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 11, 'La Fresneda (Amieva)', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 12, 'Los Laderos', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 13, 'Mestas de Ponga', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 14, 'Miyares (Amieva)', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 15, 'Mollera', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 16, 'Parcia (Amieva)', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 17, 'Pen', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 18, 'Pervis', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 19, 'El Pontigo (Amieva)', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 20, 'La Prida', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 21, 'Priesca', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 22, 'San Juan de Beleo', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 23, 'Santa Olaya', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 24, 'Santianes de Tornin', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 25, 'Sellao', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 26, 'Sobrefoz', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 27, 'Tanda', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 28, 'Taranes', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 29, 'Tornin', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 30, 'Vega de Pervis', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 31, 'Vega de Sebarga', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33557', 32, 'Villaverde (Amieva)', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 1, 'Amieva', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 2, 'Argolibio', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 3, 'Armao', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 4, 'Camporriondi', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 5, 'Carbes', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 6, 'Casielles de Ponga', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 7, 'Ceneya', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 8, 'Cien', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 9, 'Mian', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 10, 'Pombayon', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 11, 'Precendi', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 12, 'Puente Vidosa', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 13, 'Sames', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 14, 'San Ignacio', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 15, 'San Juan de Amieva', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 16, 'San Roman de Amieva', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 17, 'Santillan', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 18, 'Vega de Cien', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 19, 'Viboli', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33558', 20, 'Viego', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 1, 'Aballe', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 2, 'Arenas de Parres', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 3, 'Bada', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 4, 'Caxidi', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 5, 'Celango', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 6, 'Collado de Andrin', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 7, 'Dego', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 8, 'Helgueras', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 9, 'Isongo', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 10, 'Lago (Parres)', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 11, 'Llueves', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 12, 'Nieda', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 13, 'Olicio', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 14, 'Prestin', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 15, 'El Puente (Parres)', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 16, 'Las Rozas de Villanueva', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 17, 'San Juan de Parres', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 18, 'San Martin de Bada', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 19, 'Seguenco', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 20, 'Sobrepiedra', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 21, 'Soto de Dego', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 22, 'Tribierto', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 23, 'Valle de Moro', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 24, 'Vallobil', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 25, 'Vega de los Caseros', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 26, 'Villanueva (Cangas de Onis)', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 27, 'Vis', 330030, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33559', 28, 'Yano', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33560', 0, 'Ribadesella', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33566', 1, 'Calabrez', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33566', 2, 'Pando (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33567', 1, 'Carmen', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33567', 2, 'Fresno (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33567', 3, 'Moro (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33567', 4, 'Sardedo', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33567', 5, 'Sebreo', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33567', 6, 'Soto (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33568', 1, 'Camango', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33568', 2, 'Collera', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33568', 3, 'Cuerres (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33568', 4, 'Meluerda', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33568', 5, 'Orellana', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33568', 6, 'Toriello (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 1, 'Ardines', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 2, 'El Cabayo', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 3, 'Fries', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 4, 'Granda (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 5, 'Junco', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 6, 'Llovio', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 7, 'Omedina', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 8, 'San Miguel de Ucio', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 9, 'Santianes del Agua', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 10, 'Sardalla', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33789', 6, 'San Cristobal (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33790', 1, 'Puerto de Vega', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33790', 2, 'Santa Marina (Puerto Vega)', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33790', 3, 'Soirana', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33790', 4, 'Vega de Cima', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33790', 5, 'Vigo', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 1, 'Albarde', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 2, 'Aquelcabo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 3, 'Constancios', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 4, 'Corripia', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 5, 'La Mata', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 6, 'Moanes', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 8, 'Pontigas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 9, 'Ribadebajo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 10, 'Ribadecima', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 11, 'La Ronda', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 12, 'San Justo (Villuir - Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 13, 'San Martin', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 14, 'Santiago', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 15, 'Taborcias', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 16, 'El Vallin', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 17, 'Valtravieso', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 19, 'Vistalegre (Villuir-Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 20, 'Cajos', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 21, 'Godon', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 22, 'Grandavil', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 23, 'Herreria de Abajo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 24, 'Setienes', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33791', 25, 'Otero', 330544, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 1, 'Arnizo (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 2, 'Artosa (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 3, 'Boronas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 4, 'Busantianes', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 5, 'Cabornas (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 6, 'Caborno (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 7, 'Calella (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 8, 'Canedo (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 9, 'Carral', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 10, 'La Casona (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 11, 'La Cruz (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 12, 'Las Hervedosas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 13, 'Laada', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 14, 'Otur', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 15, 'Palacios (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 16, 'La Pedrera (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 17, 'El Piniello', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 18, 'Rellon (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 19, 'Los Remedios', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 20, 'Rio Canedo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 21, 'Riomayor (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 22, 'Sabugo (Otur)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 23, 'Vidural (Navia)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 24, 'Villar de Otur', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33792', 25, 'Caborno', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33793', 1, 'Barayo', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33793', 2, 'Barzana de Tox', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33793', 3, 'Cabrafigal', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33793', 4, 'Laguna (Navia)', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33793', 5, 'La Pea (Navia)', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33793', 6, 'Tox', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33793', 7, 'Villainclan', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33793', 8, 'Villapedre', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33793', 9, 'Villar (Villapedre-Navia)', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 1, 'Acevedin', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 2, 'Barres', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 3, 'Barrionuevo', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 4, 'Boudois', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 5, 'Bourio', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 6, 'La Brauela (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 7, 'Brul', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 8, 'Cabaleiros (Castropol)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 9, 'Campo Abierto', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 10, 'Campon (Barres)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 11, 'Carretera (Barres)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 12, 'Casa de la Granda', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 13, 'Donlebun', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 14, 'Figueras (Castropol)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 15, 'Fuente (Barres)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 16, 'Granda (Figueras)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 17, 'Grandela (Castropol)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 18, 'Lamelas', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 19, 'La Linera (Castropol)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 20, 'Lois', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 21, 'Magosteiras', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 22, 'Navalin (Castropol)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 23, 'Oubias', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 24, 'Outeiro (Barres)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 25, 'Pedras', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 26, 'Penadecabras (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 27, 'Penarronda', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 28, 'Penedo', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 29, 'Reboledo', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 30, 'Rozadela', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 31, 'Rubieira', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 32, 'Salcedo (Barres)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 33, 'San Roman (Castropol)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 34, 'Texo de Lois', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 35, 'Tol', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 36, 'El Tombin (Barres-Castropol)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 37, 'El Tombin (Tol-Castropol)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 38, 'Ubias', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 39, 'Vega de Acevedin', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 40, 'Villadun', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 41, 'Villarviejo (Barres)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 42, 'Villasibil', 330175, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33794', 43, 'Via (Barres)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 1, 'Astas', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 2, 'Bustabernego', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 3, 'Carbon', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 4, 'Cerejedo', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 5, 'Coaa', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 6, 'Las Cruces (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 7, 'Llosoiro', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 8, 'Las Mestas (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 9, 'Nadou', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 10, 'San Esteban (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 11, 'Sarriou', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 13, 'Valentin (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33795', 14, 'Villar (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33796', 1, 'El Aspra', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33796', 2, 'Busnovo', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33796', 3, 'Estelleiro', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33796', 4, 'Porto', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33796', 5, 'La Ronda (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33796', 7, 'Tarrebarre', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33796', 9, 'Torrebarre', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33796', 10, 'Villacondide', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33796', 11, 'Villarda', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33797', 3, 'Villar (Trelles-Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33798', 1, 'Hervedero', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33798', 2, 'Miagon', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33798', 3, 'Pendia', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33799', 1, 'La Cruz (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33799', 2, 'Mazonovo (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33799', 3, 'Los Mazos', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33799', 4, 'Riomayor (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33799', 5, 'Rodela', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33799', 6, 'Santa Eulalia (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33799', 7, 'Las Vias (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33800', 1, 'Cangas de Narcea', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33800', 2, 'Pinar', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 1, 'Alguerdo', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 2, 'Andeo', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 18, 'Morente', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 19, 'Novales (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 20, 'Paderne (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 21, 'El Pando (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 22, 'Los Pintos', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 23, 'Polledo (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 24, 'Rozavillar', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 25, 'San Cipriano de Pando', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 26, 'San Cristobal (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 27, 'San Esteban de Las Cruces', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 28, 'San Rafael', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 29, 'Valdemora (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 30, 'Vidayan', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33195', 31, 'El Codejal', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33196', 1, 'Barreros (La Manjona-Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33196', 2, 'Cabornio (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33196', 3, 'Cagigal', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33196', 4, 'Caseron', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33196', 5, 'Los Corzos', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33196', 6, 'Cotarexo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33196', 7, 'El Jardin', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33196', 8, 'Los Prietos', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33196', 9, 'La Rodada (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33196', 10, 'San Torcuato', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 1, 'Los Barreros (Limanes)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 2, 'Caravia (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 3, 'Eria (Colloto)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 4, 'Faro de Abajo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 5, 'Faro de Arriba', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 6, 'Las Folgueras (Colloto-Siero)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 7, 'Fonciello (Meres-Siero)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 8, 'Fozana', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 9, 'Fueyo (Meres - Siero)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 10, 'Granda (Siero)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 11, 'Granda- Siero (Poligono Indust', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 12, 'Limanes', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 13, 'Meres (Siero)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 14, 'Mieres (Limanes-Siero)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 15, 'Moreo', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 16, 'Peas (Siero)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 17, 'Los Prados (Colloto)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 18, 'Rebollada (Limanes)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 19, 'Roces (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 20, 'Roces de Heria', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 21, 'San Juan del Obispo', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 22, 'La Sierra (Granda - Siero)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 23, 'Tiana', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 24, 'Vallin (Limanes-Siero)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 25, 'Villamiana', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33199', 26, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33200', 0, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33201', 0, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33202', 0, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33203', 1, 'Candanal (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33203', 2, 'Corolla (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33203', 3, 'Fojanes (Somio)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33203', 4, 'Fuejo (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33203', 5, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33204', 0, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33205', 0, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33206', 0, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33207', 0, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33208', 0, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33209', 1, 'Caleros (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33209', 2, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33210', 1, 'Contrueces (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33210', 2, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33211', 1, 'La Iglesia (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33211', 2, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33212', 1, 'Fana', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33212', 2, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33213', 0, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33290', 1, 'El Musel', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33290', 2, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33299', 1, 'Cabaas de Jove', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33299', 2, 'Jove', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33299', 3, 'Jove de Arriba', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33299', 4, 'Jove del Medio', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33299', 5, 'Rubin', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33299', 6, 'Gijon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33300', 1, 'Arcenoyo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33300', 2, 'Braaverniz', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33300', 3, 'La Casona (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33300', 4, 'La Cobertoria (Villav)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33300', 5, 'Condarco', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33300', 6, 'Villaviciosa', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 1, 'Abeu (Fuentes-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 2, 'Barrial (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 3, 'Brecea', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 4, 'Buslad', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 5, 'Los Caminos', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 6, 'El Campon (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 7, 'Cayado', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 8, 'Cermuo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 9, 'Ceyanes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 10, 'El Coche', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 11, 'Coro', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 12, 'Fuente (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 13, 'Fuentes (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 14, 'La Granda (Coro-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 15, 'Herias (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 16, 'Infiesta (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 17, 'Lavandero', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 18, 'Liana', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 19, 'La Madrera', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 20, 'Migoya', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 21, 'Moratin (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 22, 'Novales (Brecea-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 23, 'Pando (Brecea-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 24, 'Pentanes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 25, 'El Peral (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 26, 'Perviyao', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 27, 'La Pea (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 28, 'Piedrafita (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 29, 'El Pino (Coro-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 30, 'La Piera (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 31, 'San Martin de Valles', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 32, 'San Vicente (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 33, 'Solares (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 34, 'Ternin', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 35, 'Tisorio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 36, 'Tresvilla', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 37, 'Trias', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 38, 'Vallina (Brecea)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 39, 'La Venta (Pando-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 40, 'Viones', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 41, 'Arriondo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 42, 'Bospolin', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 43, 'Carabao', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 44, 'Escobal', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 45, 'Madiedo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 46, 'Mases', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 47, 'Niao', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 48, 'Puerta', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 49, 'Santa Eulalia de Cabranes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 50, 'Sendin', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 51, 'Vegapalliada', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 52, 'Vion', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 9, 'Daja', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33591', 6, 'Pria', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33591', 7, 'Silviella de Pria', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33591', 8, 'Villanueva de Pria', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33592', 1, 'Los Carriles (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33592', 2, 'Llamigo', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33592', 3, 'Nueva (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33592', 4, 'Ovio', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33592', 5, 'Picones', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33592', 6, 'Riensena', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33593', 1, 'Cardoso (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33593', 2, 'Hontoria', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33593', 3, 'Villahormes', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33594', 1, 'Bricia', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33594', 2, 'Lledias', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33594', 3, 'Naves (Posada Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33594', 4, 'Piedra (Posada Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33594', 5, 'Posada de Llanes', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33594', 6, 'Quintana (Posada Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33594', 7, 'Rales (Posada Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33594', 8, 'San Antolin de Bedon', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33594', 9, 'Turanzas', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33595', 1, 'Balmori', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33595', 2, 'Barro (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33595', 3, 'Celorio (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33595', 4, 'Niembro', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33596', 1, 'Andrin', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33596', 2, 'La Galguera', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33596', 3, 'Puron', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33596', 4, 'San Roque del Acebal', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33596', 5, 'Soberron', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33597', 1, 'Puertas de Vidiago', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33597', 2, 'Riego (Vidiago)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33597', 3, 'Vidiago', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33598', 1, 'Buelna', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33598', 2, 'Pendueles', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33599', 2, 'Rumanes', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33599', 3, 'San Esteban (P. Baja)', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33600', 1, 'Las Abelles', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33600', 2, 'Aguain', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33600', 3, 'Arriondo (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33600', 4, 'La Campeta (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33600', 5, 'Cargadero Viejo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33600', 6, 'Mieres', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33600', 7, 'El Requintin', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 1, 'Turon', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 2, 'Argaxo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 3, 'Arniello', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 4, 'Arnizo (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 5, 'El Artoso', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 6, 'Barcena (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 7, 'La Berruga (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 8, 'La Braa (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 9, 'La Caba', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 10, 'La Cabaa (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 11, 'El Caborno (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 12, 'Cabritera', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 13, 'La Caleyina', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 14, 'Campa la Estrecha', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 15, 'Campo la Tabla', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 16, 'Canabatan', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 17, 'Candanal (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 18, 'Cantiquin', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 19, 'El Canto (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 20, 'Carcarosa', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 21, 'Casillina (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 22, 'Castair', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 23, 'La Ceposa (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 24, 'El Collado (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 25, 'Cotarente', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 26, 'La Crucina', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 27, 'Cuesta del Lago', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 28, 'La Cuesta (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 29, 'El Cuito (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 30, 'Dochal', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 31, 'Entrerrios (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 32, 'Enverniego (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 33, 'Escobal (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 34, 'Escosura', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 35, 'Espinos (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 36, 'La Faya (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 37, 'La Flecha', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 38, 'Folleron', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 39, 'Fortuna', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 40, 'La Fuente (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 41, 'La Fuentona (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 42, 'Fuexo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 43, 'El Gavito', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 44, 'La Granja (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 45, 'Lago (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 46, 'Lago de Arriba', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 47, 'Linares (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 48, 'Llama Palacio', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 49, 'La Llama (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 50, 'Llanacedo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 51, 'Llano Peral', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 52, 'La Llera (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 53, 'Las Matiellas', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 54, 'Misiego (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 55, 'Ordaliego (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 56, 'Pandel de Berruga', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 57, 'Pandiello (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 58, 'Pedrero (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 59, 'Peruyal (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 60, 'Pervaca', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 61, 'Piedrafita (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 62, 'La Pila (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 63, 'El Pindal', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 64, 'Las Porqueras', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 65, 'Preximir', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 66, 'Prubiz', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 67, 'La Pruvia (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 68, 'Puenes', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 69, 'Puente Villandio', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 70, 'La Rabaldana', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 71, 'La Rasa (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 72, 'Reconco (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 73, 'La Reguera (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 74, 'Regueron (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 75, 'Repedroso', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 76, 'Requejo (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 77, 'Rozadiella (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 78, 'San Andres (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 79, 'San Benigno', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 80, 'San Francisco', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 81, 'San Justo (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 82, 'San Pedro (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 83, 'Santa Eulalia (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 84, 'Santo Tomas (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 85, 'Sesnendi', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 86, 'Soqueto', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 87, 'Tablado (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 88, 'Tejera (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 89, 'Trechorio (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 90, 'Ablanedo (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 91, 'Los Valles (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 92, 'La Vegona', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 93, 'Vera del Camino', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 94, 'Las Viescas (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 95, 'Villabazal', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33569', 11, 'Ucio', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33570', 1, 'Panes', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33570', 2, 'Bustio', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33570', 3, 'Vilde', 330557, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33576', 1, 'Caraves', 330463, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33576', 2, 'Rozagas', 330463, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33576', 3, 'Ruenes', 330463, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33576', 4, 'Trescares', 330463, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33577', 0, 'Mier', 330463, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33578', 1, 'Alles', 330463, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33578', 2, 'Llonin', 330463, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33578', 3, 'Niserias (P. Alta)', 330463, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33578', 4, 'Trespalacios', 330463, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 1, 'Abandames', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 2, 'Alevia', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 3, 'Barrio Palacio', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 4, 'Bores', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 5, 'Buelles (P. Baja)', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 6, 'Cabandi', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 7, 'Cerebanes', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 8, 'Cimiano', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 9, 'Colosia', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 10, 'Hontamio', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 11, 'Lles', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 12, 'El Mazo (P. Baja)', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 13, 'Merodio', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 14, 'Para', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 15, 'Puentelles', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 16, 'Robriguero', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 17, 'Siejo', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 18, 'Suarias', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 19, 'Tobes (P. Baja)', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 20, 'Narganes', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33579', 21, 'Cuaba', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 1, 'La Acebal (Lieres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 2, 'La Cabaa (Lieres-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 3, 'Campiello (Lieres-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 4, 'Casadiella', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 5, 'Los Caales', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 6, 'Corte (Lieres-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 7, 'Corujedo (Lieres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 8, 'Cotaya', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 9, 'La Cruz (Lieres-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 10, 'Las Cuadriellas', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 11, 'La Cubiella', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 12, 'La Cuesta (Lieres-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 13, 'La Espinera (Lieres-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 14, 'Las Faces (Lieres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 15, 'La Faya (Lieres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 16, 'Fresneda (Lieres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 17, 'Lieres', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 18, 'El Monte (Lieres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 19, 'La Pedrera (Lieres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 20, 'El Pino (Lieres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 21, 'Piqule', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 22, 'Quintanales (Lieres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 23, 'Reanes', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 24, 'El Rebollar (Lieres-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 25, 'El Reconco (Lieres-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 26, 'La Roza (Lieres)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 27, 'Secadiella', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 28, 'Solvay', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33580', 29, 'Sorrobin', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33581', 1, 'Campones (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33581', 2, 'La Corba', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33581', 3, 'Fuentesanta', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33581', 4, 'Polanava', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33581', 5, 'Vegalloba', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33581', 6, 'La Vilortera', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33582', 1, 'Carancos', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33582', 2, 'Ceceda', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33582', 3, 'La Cuesta (Nava)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33582', 4, 'La Faya (Ceceda)', 330404, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 5, 'Prohida (Degaa)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 6, 'Rebollar (Degaa)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 7, 'Sisterna', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 8, 'Tablado (Degaa)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 9, 'Taladrid', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 10, 'Tormaleo', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 11, 'Villaoril (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 12, 'Villares de Abajo', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 13, 'Villares de Arriba', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 14, 'Villarin (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 15, 'Villarmeirin', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 1, 'Adrales', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 2, 'Aguera de Castaedo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 3, 'Alto Santo Arbas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 4, 'Arayon', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 5, 'Arbolente', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 6, 'Berguo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 7, 'Castaedo (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 8, 'Cibuyo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 9, 'Combarro', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 10, 'Cruces (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 11, 'Cueras', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 12, 'Folguerua (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 13, 'Fondos de Vega', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 14, 'Fraguas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 15, 'Larna', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 16, 'Laron', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 17, 'Llano (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 18, 'Monco (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 19, 'Otas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 20, 'Pandiello (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 21, 'La Pescal (Cangas Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 22, 'Pladano', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 23, 'Pueblo de Rengos', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 24, 'Saburcio', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 25, 'San Esteban (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 26, 'Santa Eulalia (Cangas de Narce', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 27, 'Sestorraso', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 28, 'Sierra de Castaedo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 29, 'Soto de Cibuyo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 30, 'Tarano (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 31, 'Vega de Castro', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 32, 'Vega de Rengos', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33813', 33, 'Viliella', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 1, 'Abancea', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 2, 'Acio', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 3, 'Aguera de Coto', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 4, 'Bergame', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 5, 'Cadaleito', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 6, 'Caldevilla de Acio', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 7, 'Casares (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 8, 'Cerveriz', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 9, 'Ciella', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 10, 'Combo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 11, 'La Escrita (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 12, 'Lartosa', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 13, 'Los Llanos (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 14, 'Lubeiro', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 15, 'Monasterio del Coto', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 16, 'Penles', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 17, 'Perandones', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 18, 'Peas (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 19, 'Rato', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 20, 'Rebollas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 21, 'Regla de Perandones', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 22, 'San Damias (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 24, 'Sevil', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 3, 'Arandojo', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 4, 'Barca (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 5, 'Boiro', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 6, 'Busante', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 7, 'Buso', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 8, 'Bustelin', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 9, 'Bustelo (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 10, 'Busto (San Antolin de Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 11, 'Cadagayoso', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 12, 'Caldevilla de Ibias', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 13, 'Carbueiro', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 14, 'Castaosa', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 15, 'Cuantas', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 16, 'Dou', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 17, 'Ferreira (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 18, 'Folgoso', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 19, 'Folgueiras de Avioga', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 20, 'Folgueiras de Boiro', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 21, 'Folgueiras de Cotos', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 22, 'Fondodevilla', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 23, 'Fresno (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 24, 'La Lagua', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 25, 'Lagueiro', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 26, 'Linares de Ibias', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 27, 'Luia (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 28, 'Montillo', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 29, 'Morentan', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 30, 'La Muria (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 31, 'Omente', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 32, 'Parada (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 33, 'Pelliceira', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 34, 'Penanogueira', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 35, 'Peneda', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 36, 'Penedela', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 37, 'Pieira (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 38, 'Pousadoiro (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 39, 'Pradias', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 40, 'Rellan (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 41, 'Salvador', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 42, 'San Antolin de Ibias', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 43, 'San Clemente (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 44, 'San Esteban (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 45, 'Santa Comba (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 46, 'Santiso', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 47, 'Sena', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 48, 'Seroiro', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 49, 'La Sierra (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 50, 'Torga', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 51, 'Uria (Seroiro)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 52, 'Valdeferreiros', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 53, 'Valvaler', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 54, 'Vilarello (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 55, 'Villamayor (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 56, 'Villarcebollin', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 57, 'Villardecendias', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 58, 'Villaselande', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33810', 59, 'Vial', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 1, 'Caldevilla de Rengos', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 2, 'Cecos', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 3, 'Centenales', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 4, 'La Cuitada', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 5, 'Los Eiros (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 6, 'Gedrez', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 7, 'Gillon', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 8, 'Jalon', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 9, 'Marcellana', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 10, 'Marentes', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 11, 'Mergulleira', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 12, 'Moal', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 13, 'Monasterio de Hermo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 14, 'La Muriella', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 15, 'Noceda de Rengos', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 16, 'Oballo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 17, 'Piedrafita (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 18, 'Posada de Rengos', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 19, 'Riodeporcos', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 20, 'Riotorno (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 21, 'San Martin de Eiros', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 22, 'Valdebueyes', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 23, 'Vega del Tallo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 24, 'Ventanueva (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 25, 'Vidal', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 26, 'Villajane', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 27, 'Villar de Noceda', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33811', 28, 'Villar de Posada', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 1, 'Bao (Ibias)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 2, 'Cerredo (Degaa)', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 3, 'Degaa', 330220, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33812', 4, 'Llanelo', 330289, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 2, 'Amayuelas de Ojeda', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 3, 'Berzosa de los Hidalgos', 341071, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 4, 'Micieces de Ojeda', 341071, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 5, 'Payo de Ojeda', 341245, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 6, 'Pison de Ojeda', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 7, 'Quintanatello de Ojeda', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 8, 'La Vid de Ojeda', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 9, 'Villavega de Ojeda', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 10, 'La Venta de Villavega', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 11, 'Villavega de Micieces', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34485', 12, 'Vega de Bur', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 1, 'Cozuelos de Ojeda', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 2, 'Villaescusa de Ecla', 341701, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 3, 'Granja de Olmos de Ojeda', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 4, 'Granja de Santa Eufemia', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 5, 'Montoto de Ojeda', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 6, 'Olmos de Ojeda', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 7, 'Perazancas', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 8, 'San Andres del Arroyo', 341701, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 9, 'Santibaez de Ecla', 341701, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 10, 'Cubillo de Ojeda', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 11, 'Moarves de Ojeda', 341147, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 12, 'Pradanos de Ojeda', 341394, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34486', 13, 'San Pedro de Moarves', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34489', 5, 'Monte del Rey (Alar del Rey)', 93734, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34490', 1, 'Santiago del Val', 341744, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34490', 2, 'Santoyo', 341744, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34490', 3, 'Palacios del Alcor', 340170, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34491', 1, 'Abia de Las Torres', 340035, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34491', 2, 'Espinosa de Villagonzalo', 340719, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34491', 3, 'Fuenteandrino', 342110, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34491', 4, 'San Cristobal de Boedo', 341610, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34491', 5, 'Santa Cruz de Boedo', 341684, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34491', 6, 'Villaprovedo', 342295, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34132', 0, 'Villasarracino', 340035, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 1, 'Santa Maria de Mave', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 2, 'Castrecias', 340040, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 3, 'La Rebolleda', 340040, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 4, 'Barrio de San Quirce', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 5, 'La Horadada', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 6, 'Mave', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 7, 'Nogales de Pisuerga', 340053, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 8, 'Pozancos', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 9, 'Rebolledo de la Orden', 93060, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 10, 'Rebolledo de la Torre', 340040, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 11, 'San Quirce de Rio Pisuerga', 340053, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 12, 'Albacastro', 340040, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 16, 'Villela', 340040, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 53, 'La Llana', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33310', 54, 'Valbunena', 330096, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 1, 'Algara', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 2, 'Amandi', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 3, 'Arpandi', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 4, 'Arrabal', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 5, 'Baragaas', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 6, 'Bozanes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 7, 'Cajide', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 8, 'Los Campos (Amandi-Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 9, 'Carcabada (Cazanes-Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 10, 'Casas del Monte', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 11, 'Casquita (Amandi-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 12, 'Cazanes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 13, 'Coruxeu', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 14, 'La Cuesta (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 15, 'Cueto (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 16, 'Felgueres (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 17, 'Fontines', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 18, 'Gordinallo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 19, 'Gotera', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 20, 'Labares', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 21, 'Lavares (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 22, 'La Llera (Amandi)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 23, 'Lugarin (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 24, 'Lugas', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 25, 'La Mesada', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 26, 'Mieres (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 27, 'Obaya', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 28, 'El Palacio (Amandi - Villavici', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 29, 'La Parra (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 30, 'Pedrera (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 31, 'Pelamantas', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 32, 'Poladura (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 33, 'Pumarin (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 34, 'La Quinta (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 35, 'La Roza (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 36, 'San Juan (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 37, 'Sebrayo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 38, 'Sietes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 39, 'Sorribas (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 40, 'Terienzo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 41, 'Valbucar', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 42, 'El Valle (Cazanes - Villavicio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 43, 'La Vega (Cazanes-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33311', 44, 'Ximangues', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 1, 'Ambas (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 2, 'Arbazal', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 3, 'Camoca de Abajo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 4, 'Camoca de Arriba', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 5, 'El Campo (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 6, 'Castaeu', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 7, 'Castiello (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 8, 'Congares', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 10, 'La Granda (Puebles-Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 11, 'Llameces', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 12, 'El Llano (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 13, 'Lloses', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 14, 'Luaria', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 15, 'El Monte (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 16, 'La Piqera (Camoca-Villaviciosa', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 17, 'Puelles', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 18, 'Reborion', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 19, 'La Riega (Camoca - Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 20, 'Ronzon (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 21, 'San Pedro de Ambas', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 22, 'San Saturnino', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 23, 'Santi', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 24, 'Torretejera', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 25, 'Toya', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 26, 'Travieso', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 27, 'Valdedios (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 28, 'Valeri', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 29, 'El Valle (Camoca - Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 30, 'Villabona (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 31, 'Villarrica', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 32, 'La Via (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33312', 33, 'Xiana', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 1, 'Arbellia', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 2, 'La Argallada', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 3, 'Barraca (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 4, 'Cabrafrio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 5, 'Casares (Nievares-Villaviciosa', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 6, 'Casquita (Grases-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 7, 'Conceyero', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 8, 'La Cortina (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 9, 'Los Cuadros (Villavicioa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 10, 'Las Cuartas', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 11, 'La Cueva (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 12, 'Fabares', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 13, 'Grases', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 14, 'Los Heros (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 15, 'La Huelga (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 16, 'Las Llanas (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 17, 'La Llosa (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 18, 'Mayorazo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 19, 'Molinos (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 20, 'Nievares (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 21, 'La Pendiz', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 22, 'Piqera (Nievares-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 23, 'La Piqera (Rozadas-Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 24, 'Pueblo (Nievares-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 25, 'La Reboria (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 26, 'El Respigo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 27, 'Rozadas (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 28, 'San Pedrin', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 29, 'Singla', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 30, 'Sopeas', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 31, 'El Sur', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 32, 'Terrero', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 33, 'La Torre (Nievares-Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 34, 'Turbeo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 35, 'Vallinas Las (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 36, 'La Venta (Grases - Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33313', 37, 'Villanueva (Rozadas-Villavicio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 1, 'Abedules', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 2, 'Arbezu', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 3, 'Argaoso', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 4, 'Arguerin', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 5, 'Arguero', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 6, 'Arriba', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 7, 'Arroes (Sta Marina)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 8, 'Atilan', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 9, 'Sariego (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 10, 'Bustiello (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 11, 'Buznegos', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 12, 'Cabriton', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 13, 'Cadamancio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 14, 'Caes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 15, 'El Calderon', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 16, 'Camino Real', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 41, 'Friuz', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 96, 'Villafria (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 97, 'Villandio', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33610', 98, 'Villapendi', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 1, 'Braanocedo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 2, 'La Cantera (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 3, 'Corujas (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 4, 'Cuarteles de Corujas', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 5, 'Cuarteles de Doriga', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 6, 'Fabariega (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 7, 'Pedroso (Santa Cruz - Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 8, 'La Reguerona (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 9, 'San Bernardo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 10, 'Santullano de Mieres', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 11, 'La Sierra (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 12, 'Villarejo (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33611', 13, 'Villasola (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 1, 'La Alameda', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 2, 'Bustiello (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 3, 'La Casona (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 4, 'La Collada (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 5, 'Collanzo (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 6, 'Corraina', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 7, 'Cruz de los Caminos', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 8, 'Figares (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 9, 'Forcada', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 10, 'Forniellos (Santa Cruz de Mier', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 11, 'Fresnedo (Santa Cruz de Mieres', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 12, 'Gramedo (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 13, 'Grillero', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 14, 'La Llama (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 15, 'Llamas (Santa Cruz de Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 16, 'Las Llanas (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 17, 'La Llinar', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 18, 'Oriella', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 19, 'Pomar (Santa Cruz de Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 20, 'Presamo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 21, 'Puente Vieja', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 22, 'Revallinas', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 23, 'Santa Cruz de Mieres', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 24, 'Taruelo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 25, 'Valdeciegos', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 26, 'Valdeoreyo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 27, 'Valdesenche', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 28, 'Virgen de la Luz', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33612', 29, 'Vistalegre (San Cruz de Mieres', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 1, 'Las Argalladas', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 2, 'Boyalvendi', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 3, 'Corral de Ujo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 4, 'La Faya la Verde', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 5, 'La Granda (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 6, 'Hueria de Urbies', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 7, 'Jamonda', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 8, 'La Llascara (Urbies)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 9, 'Llomba la (Turon)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 10, 'El Palacio (Urbies)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 11, 'Urbies', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 12, 'Valeriana', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33613', 13, 'Vallicuerra', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 1, 'El Cabanin (Santa Rosa-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 2, 'Cantomolino', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 3, 'Carraspientes', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 4, 'Casa Cima', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 5, 'Entrerrios (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 6, 'Invernal (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 7, 'Molinuco', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 8, 'Polio', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 9, 'Pradorredondo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 10, 'Los Quintanales (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 11, 'Redespines', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 12, 'Rioturbio', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 13, 'Santa Rosa (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 14, 'El Sordan', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 15, 'Vegadotos', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 16, 'El Vescon (Santa Rosa-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 17, 'Vistalegre (Santa Rosa-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33614', 18, 'La Xagosa', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 1, 'Cangas de Abajo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 2, 'Cangas de Arriba', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 3, 'La Caseta (Valdecuna-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 4, 'Cenera', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 5, 'Forniellos (Gallegos-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 6, 'Foz (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 7, 'Fresnedo (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 8, 'Gallegos (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 9, 'Ginales', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 10, 'Insierto', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 11, 'Llandebusto', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 12, 'El Lleron (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 13, 'Merujedo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 14, 'El Pedroso (Valdecuna - Mieres', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 15, 'El Pradon (Valdecuna - Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 16, 'Segada', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 17, 'Sobrobio', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 18, 'Tazada', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 19, 'Valdecuna', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 20, 'El Valleto', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 21, 'Viade', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 22, 'Viesca (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 23, 'Villaestremeri', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 24, 'Villamartin (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33615', 25, 'Villar de Gallegos', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 1, 'Acebedo (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 2, 'Acebo (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 3, 'Agradiellos', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 4, 'Baltasara', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 5, 'Barrio Solano', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 6, 'Belonga (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 7, 'Cadabal (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 8, 'Campacimera', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 9, 'El Campo (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 10, 'La Cantera (San Emiliano)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 11, 'Cantoserron', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 12, 'La Carba (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 13, 'La Caseria', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 14, 'El Collado (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 15, 'Corion', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 16, 'Coto Peral', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 17, 'Cuestavil', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 18, 'La Depata', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 19, 'El Fonderon', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 20, 'Fontanes', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 21, 'Fresnedal (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 22, 'La Insierta', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 23, 'La Llana (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 24, 'La Longa (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 25, 'La Matinada', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 26, 'Mosquita', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 27, 'Murias (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 28, 'Nadales', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 29, 'Pedrova', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 30, 'El Peon', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 31, 'La Piedra (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 32, 'Piedrafita (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 37, 'El Someron', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 23, 'Santiago de Peas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 25, 'Soto de los Molinos', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 26, 'Trasmonte de Abajo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 27, 'Trasmonte de Arriba', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 28, 'Tremado de Coto', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 29, 'Vega de Pope', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 30, 'Vegalagar', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 31, 'Vegaperpera', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 32, 'Villar de Bergame', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 33, 'El Viso (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33814', 34, 'Yema', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 1, 'Araniego', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 2, 'Las Avelleras', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 3, 'Besullo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 4, 'Cerecedo (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 5, 'Comba (Allande)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 6, 'Cubopuerto', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 7, 'Defradas del Coto', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 8, 'Faedo (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 9, 'Faidiel', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 10, 'Forniellas (Allande)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 11, 'Fuentes de Besullo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 12, 'Fuentes de Las Montaas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 13, 'Iboyo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 14, 'Irrondo de Besullo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 15, 'Leiron', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 16, 'Lorante', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 17, 'Noceda (Allande)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 18, 'Olgo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 19, 'Otriello', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 20, 'Parajas (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 21, 'Parajas (Pola de Allande)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 22, 'Posada de Besullo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 23, 'Pumar de Las Montaas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 24, 'Rozas (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 25, 'San Felix de Montaas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 26, 'San Pedro de Montaas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 27, 'San Roman de Besullo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 28, 'San Romano', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 29, 'Sanabuega', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 30, 'Santa Ana (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33815', 31, 'Trones', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 1, 'Anderve', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 2, 'Antrago', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 3, 'Barcena (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 4, 'Becerrales', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 5, 'Braa (Jarceley-Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 6, 'Bruelles', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 7, 'La Bubia', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 8, 'Cadrijuela', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 9, 'Carballedo (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 10, 'Castaal (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 11, 'Cierades', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 12, 'Coliema (San Pedro)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 13, 'Corias (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 14, 'Dagueo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 15, 'Fontaniella (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 16, 'Jarceley', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 17, 'Javita', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 18, 'Llamas de Mouro', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 19, 'Luarnes', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 20, 'Mendiello', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 21, 'Mieldes', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 22, 'El Mouro (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 23, 'Nando', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 24, 'Onon (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 25, 'Ordial', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 26, 'Ordiales (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 27, 'Ovilley', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 28, 'Pambley', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 29, 'Parrondo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 30, 'Portiella (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 31, 'Puente del Infierno', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 32, 'Retuertas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 33, 'Robledo de Biforco', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 34, 'San Martin de Sierra', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 35, 'San Pedro de Coliema', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 36, 'San Pedro de Corias', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 37, 'Santiago de Sierra', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 38, 'Sotiello (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 39, 'Tabladiello (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 40, 'Tandes', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 41, 'Tebongo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 42, 'Travesado (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 43, 'Valcabo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 44, 'Valleciello', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 45, 'La Veguilla', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 46, 'Villadestre', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 47, 'Villaoril de la Sierra', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33816', 48, 'Villardelantero', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 1, 'Ardaliz', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 2, 'Barzaniellas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 3, 'Carballo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 4, 'Castro de Limes', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 5, 'Cibea', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 6, 'Cobos', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 7, 'Corbero (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 8, 'Cuadriellas de Villalaez', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 9, 'Fondos de Villa (Cangas de Nar', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 10, 'Fonseca', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 11, 'Fuentes Corbero', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 12, 'Genestoso', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 13, 'La Himera', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 14, 'Limes', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 15, 'Llamera (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 16, 'Las Mestas (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 17, 'Moral (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 18, 'Morzo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 19, 'Pedrueo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 20, 'Pejan', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 21, 'La Piera (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 22, 'Ponton (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 23, 'Puenticiella', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 24, 'Regla de Cibea', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 25, 'Reguera de Cabo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 26, 'Sonande', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 27, 'Sorrodiles', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 28, 'Las Tiendas (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 29, 'Tremado de Carballo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 30, 'Valmayor', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 31, 'Villalaez', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 32, 'Villar de los Indianos', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 33, 'Villarin de Cibea', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 34, 'Villarino de Limes', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 35, 'Villarmental', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33817', 36, 'Villategil', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 1, 'Arbas (San Julian)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 2, 'Arbas (San Pedro)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 3, 'Bimeda', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 4, 'Braas de Abajo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 5, 'Braas de Arriba', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 8, 'Caldevilla de Arbas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 13, 'Valdegama', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 14, 'Valtierra de Albacastro', 340040, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 15, 'Villacibio', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34492', 17, 'Rebolledillo', 340040, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34800', 1, 'Aguilar de Campoo', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34800', 2, 'Santa Maria la Real', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 1, 'Nestar de Aguilar', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 2, 'Barrio de Santa Maria', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 3, 'Vallespinoso de Aguilar', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 4, 'Quintanilla de la Berzosa', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 5, 'Foldada', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 6, 'Grijera', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 7, 'Matalbaniega', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 8, 'Matamorisca', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 9, 'Menaza', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 10, 'Cordovilla de Aguilar', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 11, 'Quintanilla de Corvio', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 12, 'Corvio', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 13, 'De Santa Maria la Real', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 14, 'Barrio de San Pedro', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34810', 15, 'Villavega de Aguilar', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34811', 1, 'Cabria', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34811', 2, 'Canduela', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34811', 3, 'Granja de Munilla', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34811', 4, 'Navas de Sobremonte', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34811', 5, 'Quintanas de Hormiguera', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34811', 6, 'Quintanilla de Las Torres', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34811', 7, 'Villanueva de Henares', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34812', 0, 'Las Ventas de Becerril', 999999, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 1, 'Aguilar del Campoo', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 2, 'Bascones de Valdivia', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 3, 'Camesa de Valdivia', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 4, 'Elecha de Valdivia', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 5, 'Pomar de Valdivia', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 6, 'Porquera de los Infantes', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 7, 'Puentetoma', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 8, 'Rebolledo de la Inera', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 9, 'Revilla de Pomar', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 10, 'Respenda de Aguilar', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 11, 'La Venta de Bascones', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34813', 12, 'Villaren de Valdivia', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34814', 0, 'Lastrilla', 341356, 34, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34815', 1, 'Becerril del Carpio', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34815', 2, 'Gama', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34815', 3, 'Lomilla', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34815', 4, 'Olleros de Pisuerga', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34815', 5, 'Puebla de San Vicente', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34815', 6, 'Renedo de la Inera', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34815', 7, 'Valoria de Aguilar', 340040, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34815', 8, 'Villaescusa de Las Torres', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34815', 9, 'Villallano', 341356, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34815', 10, 'Barrio de San Vicente', 340040, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34820', 1, 'Arroyo del Mazo', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34820', 2, 'Barruelo de Santullan', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34820', 3, 'El Helechar', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34820', 4, 'Mercedes', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34820', 5, 'Petrita', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 1, 'Bustillo de Santullan', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 2, 'Monasterio', 341586, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 3, 'Nava de Santullan', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 4, 'Porquera de Santullan', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 5, 'Revilla de Santullan', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 6, 'Santa Maria de Nava', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 7, 'Santuario del Carmen', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 8, 'Valle de Santullan', 341603, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 9, 'Verbios', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 10, 'Villabellaco', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34828', 11, 'Villanueva de la Torre', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34829', 1, 'Braosera', 340360, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34829', 2, 'Cillamayor', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34829', 3, 'Matabuena', 340278, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34829', 4, 'Minas de Orbo', 340360, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34829', 5, 'Orbo', 340360, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34829', 6, 'Salcedillo', 340360, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34829', 7, 'El Valle', 340360, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34829', 8, 'Vallejo de Orbo', 340360, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34829', 9, 'Valverzoso', 340360, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34830', 1, 'Renedo de Zalima', 341586, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34830', 2, 'Salinas de Pisuerga', 341586, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34830', 3, 'San Mames de Zalima', 341586, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 1, 'Barcenilla de Pisuerga', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 2, 'Liguerzana', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 3, 'Matabustillo', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 4, 'Mina Maria', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 5, 'Mina Mariposa', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 6, 'Rueda de Pisuerga', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 7, 'San Cebrian de Muda', 341603, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 8, 'Muda', 341104, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 9, 'Vergao', 341603, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 10, 'Quintanaluengos', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 11, 'Perapertu', 341603, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 12, 'Minas Monteciruelo', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 13, 'San Martin de Perapertu', 341603, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 14, 'Socavon', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 15, 'Vallespinoso de Cervera', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34839', 16, 'Minas Engracia', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34840', 0, 'Cervera de Pisuerga', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34842', 0, 'Ermita de San Roque', 999999, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 1, 'Colmenares de Ojeda', 341855, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 2, 'Dehesa de Montejo', 341855, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 3, 'Triollo', 341855, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 4, 'Vado-Cervera', 341855, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 6, 'Resoba', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 7, 'Ruesga', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 8, 'San Martin de los Herreros', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 9, 'Santibaez de Resoba', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 10, 'Rabanal de Las Llantas', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 11, 'De Vado Cervera', 341855, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 12, 'La Lastra', 341855, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 13, 'Ventanilla', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34844', 14, 'Vidrieros', 341855, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34845', 0, 'Venta de Santa Lucia', 999999, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 1, 'Celada de Roblecedo', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 2, 'Estalaya', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 3, 'Herreruela de Castilleria', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 4, 'Polentinos', 341343, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 5, 'San Felices de Castilleria', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 6, 'Vaes', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 7, 'Verdea', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 8, 'Arbejal', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 9, 'Gramedo', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 10, 'Pantano de la Requejada', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 11, 'Valsadornin', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34846', 12, 'Rabanal de los Caballeros', 340565, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34847', 1, 'Abadia de Lebanza', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34847', 2, 'El Campo', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34847', 3, 'Lebanza', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34847', 4, 'La Pernia', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34847', 5, 'San Salvador de Cantamuda', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34848', 1, 'Lores', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 1, 'Areos', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 2, 'Camasobres', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 3, 'Casavegas', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33403', 0, 'Aviles', 330045, 33, 
    0, 3, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 17, 'Los Campos (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 18, 'Candanal (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 19, 'Capellania (Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 20, 'Carbayera (Castiello-Villavici', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 21, 'Carbayera (Villaverde-Villavic', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 22, 'Carees', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 23, 'Casamori', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 24, 'Castiello de la Marina', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 25, 'Cazamular', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 26, 'Cerra (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 27, 'Cerredo (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 28, 'Cimadevilla (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 29, 'Collado (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 30, 'Contriz (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 31, 'Corolla (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 32, 'La Cruz (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 33, 'Cuatro Caminos', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 34, 'Curbiello', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 35, 'La Florida (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 36, 'Foncalada', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 37, 'Fondujo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 38, 'Fonfria (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 39, 'El Fontin', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 40, 'El Fresno (Carees - Villavici', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 42, 'Granderroble', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 43, 'Llavandera', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 44, 'Manzanedo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 45, 'La Marina (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 46, 'El Medio (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 47, 'Melendreras (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 48, 'Monasterio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 49, 'Moanco', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 50, 'La Nava (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 51, 'La Obra (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 52, 'El Pedroso (Villavicios)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 53, 'Peon', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 54, 'Pisones', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 55, 'Piares', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 56, 'Piole', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 57, 'La Portella (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 58, 'Puente Arroes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 59, 'Pumar de Abad', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 60, 'La Quintana (Arguero - Villavi', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 61, 'Quintes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 62, 'Quintueles', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 63, 'Roces (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 64, 'Rodavigo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 65, 'San Clemente (Villavicio)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 66, 'San Justo (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 67, 'San Miguel (Arroes-Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 68, 'Sandin (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 69, 'Santa Ana (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 70, 'Santa Cecilia (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 71, 'Barcena (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 72, 'Silva (Carees-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 73, 'El Valle (Peon-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 74, 'La Vallina (Villavic.)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 75, 'La Vega (Castiello-Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 76, 'Venta de la Esperanza', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 77, 'Venta de Las Ranas', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 78, 'Villanueva (Sariego-Villavicio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33314', 79, 'Villaverde (Villavicio)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 1, 'Abayu', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 2, 'Arenas (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 3, 'La Atalaya (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 4, 'Bedriana', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 5, 'Cabaas (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 6, 'La Ermita', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 7, 'Gobernador', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 8, 'Liero', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 9, 'Llames (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 10, 'Lloraza', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 11, 'Maseras', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 12, 'Las Mestas (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 13, 'Mienagos', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 14, 'Oles', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 15, 'Oriyes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 16, 'La Pola (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 17, 'El Puntal', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 18, 'Requejo (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 19, 'Requexu', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 20, 'Retiro (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 21, 'La Riega (Bedriana - Villavic', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 22, 'San Martin del Mar', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 23, 'San Miguel (Tazones - Villavic', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 24, 'Santa Marina (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 25, 'Seli', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 26, 'Tarandiellos', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 27, 'Tazones', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 28, 'Tuero', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33315', 29, 'Villar (Tazones)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 1, 'Abeu de Arriba (Carda-Villavic', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 2, 'La Alegria', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 3, 'Ayones (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 4, 'La Busta', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 5, 'La Cabaona (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 6, 'La Calle (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 7, 'Las Callejas', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 8, 'Carda', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 9, 'Carda de Arriba', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 10, 'Los Casares (Priesca-Villavici', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 11, 'La Espina (Quintana)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 12, 'Los Faroles', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 13, 'El Fresno (Tornon-Villaviciosa', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 14, 'La Llera (Quintana)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 15, 'Maniel', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 16, 'Misiego (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 17, 'Montoto', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 18, 'Moreda (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 19, 'Muslera', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 20, 'Muones', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 21, 'El Olivar', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 22, 'Onon (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 23, 'El Otero (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 24, 'Pando (Tornon - Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 25, 'Panizales (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 26, 'La Parada (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 27, 'Peredal', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 28, 'Peredi', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 29, 'Peruyera (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 30, 'Peucal', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 31, 'Piniella (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 32, 'La Piquera (Villavicio)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 33, 'Poreo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 34, 'Porreo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 35, 'Priesca (San Salvador)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 39, 'Repudia', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 33, 'La Planta (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 34, 'Los Pontones (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 35, 'Rebollo (Santa Rosa-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 36, 'Santo Emiliano', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33616', 38, 'Torneros (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 1, 'El Arzolar', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 2, 'El Barrio (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 3, 'El Bravo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 4, 'El Cabanin (La Pea-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 5, 'La Canterona', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 6, 'Carba de Arrojo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 7, 'Casa del Miedo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 8, 'La Caseta (La Pea-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 9, 'Las Casetas (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 10, 'Cimiellos', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 11, 'Corraelcanto', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 12, 'Las Cruces (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 13, 'Cutiellos (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 14, 'Escalada (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 15, 'Las Escuelas (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 16, 'La Funetequina', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 17, 'La Infestal', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 18, 'La Nozal', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 19, 'La Pea (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 20, 'La Pipa', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 21, 'El Pradon (La Pea - Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 22, 'La Pria', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 23, 'La Rambla', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 24, 'Rozadas de la Pea', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 25, 'El Rucio (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 26, 'San Tirso (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 27, 'Tejera del Arroyo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 28, 'La Tejera (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 29, 'El Terronal', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 30, 'La Vara (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33617', 31, 'La Venta (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 1, 'Barrio Gonzalin', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 2, 'Carricacho', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 3, 'Disco', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 4, 'Espinedo (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 5, 'La Estacion (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 6, 'La Fonda (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 7, 'Llano la Tabla', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 8, 'Maricasina', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 9, 'Pajio', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 10, 'Panizales (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 11, 'Pares', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 12, 'Prado Reguero', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 13, 'Pradon (Seana - Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 14, 'Puente la Luisa', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 15, 'La Quinta (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 16, 'Reimeses', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 17, 'Requejado', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 18, 'Ribono', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 19, 'Seana', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 20, 'Sueros', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33618', 21, 'Vescon el (Seana - Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 1, 'Aguilar', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 2, 'Braanobeles', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 3, 'La Calleja', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 4, 'Camino de la Mariana', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 5, 'Camino de la Quinta', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 6, 'Carbonero', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 7, 'Carrilon (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 8, 'Casanueva (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 9, 'Casas de Don Fermin', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 10, 'Cao de la Salud', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 11, 'La Coca', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 12, 'Copian', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 13, 'El Corredor (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 14, 'Cuarteles de Mariana', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 15, 'La Escombrera', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 16, 'La Malateria (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 17, 'Mariana', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 18, 'Peraleda', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 19, 'Las Piezas (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 20, 'La Piperona', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 21, 'El Plano (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 22, 'Prados de Copian', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 23, 'De la Quinta', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 24, 'La Raiz (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 25, 'La Rebollada (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 26, 'Repitaneo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 27, 'Resenche', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 28, 'El Rollo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 29, 'Rosamiana', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 30, 'Rozadas de Bazuelo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 31, 'Santa Lucia (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 32, 'Tablado de Mieres', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 33, 'Tejera de Bazuelo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 34, 'Tendejones', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33619', 35, 'Valmurian', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33620', 1, 'Campomanes', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33620', 2, 'El Collado (Campomane)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33620', 3, 'Cornellana (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33620', 4, 'Corrada Vieja (Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33620', 5, 'Cotorraso (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33620', 6, 'La Nozala', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33627', 1, 'Arnon', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33627', 2, 'Cortina de Telledo', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33627', 3, 'Los Pontones (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33628', 1, 'El Campo (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33628', 2, 'La Cruz (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33628', 3, 'Reconcos (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33628', 4, 'Riospasos', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33628', 5, 'Telledo', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33628', 6, 'Tras la Cruz', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33628', 7, 'Tuiza', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 1, 'Alcedo de Caballeros', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 2, 'Bendueos', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 3, 'Carraluz', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 4, 'Enverniega', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 5, 'Espinedo (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 6, 'Ferreras (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 7, 'La Frecha (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 8, 'Herias (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 9, 'Heros (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 10, 'Jomezana de Abajo', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 11, 'Jomezana de Arriba', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 12, 'El Moclin', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 13, 'Las Monas', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 14, 'Piera (Campananes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 15, 'Renueva', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 16, 'Salas (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 17, 'Sotiello (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 18, 'Tios', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 19, 'Valle (Campomanes)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 20, 'Zureda', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33629', 21, 'El Redondo', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33630', 1, 'Pola de Lena', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33630', 2, 'Robledo', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 1, 'Ablano (Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 2, 'Alcedo (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 6, 'Bustelo (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 7, 'Bustiello (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 9, 'Chavola de Vallado', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 10, 'Corros (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 11, 'La Farruquita', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 12, 'Folgueraju', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 13, 'La Fonda (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 14, 'Gelan', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 15, 'Labayos (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 16, 'Ladredo (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 17, 'Leitariegos', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 18, 'La Linde', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 19, 'Lindota', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 20, 'La Mata (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 21, 'Miravalles (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 22, 'Murias de Puntaras', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 23, 'Naviego', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 24, 'Otardeju', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 25, 'El Otero (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 26, 'La Pachalina', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 27, 'Palacio de Naviego', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 28, 'Penellada', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 29, 'Puntaras', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 30, 'Regla de Naviego', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 31, 'Riomolin', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 32, 'Rubial (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 33, 'San Juan de Bimeda', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 34, 'San Juan del Monte', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 35, 'San Julian de Arbas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 36, 'San Martin de Bimeda', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 37, 'San Pedro de Arbas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 38, 'Socarral', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 39, 'Tablado de Villacibran', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 40, 'Trascastro', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 41, 'Vallado', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 42, 'Valle de los Humeros', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 43, 'El Valle (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 44, 'Vega de Horreo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 45, 'Vega de Rey (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 46, 'Vegameoro', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 47, 'Villacanes', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 48, 'Villacibran', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 49, 'Villager', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 50, 'Villajur', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 51, 'Villaoril de Bimeda', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 52, 'Villar de Bimeda', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 53, 'Villar de Naviego', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33818', 54, 'La Via (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 1, 'Amago', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 2, 'Ambres', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 3, 'Barnedo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 4, 'Biescas (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 5, 'Bornazal', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 6, 'Borracan', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 7, 'La Braa (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 8, 'Braamena (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 9, 'Brindimiana', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 10, 'El Cabanal', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 11, 'Carceda (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 12, 'Castiello (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 13, 'Castilmoure', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 14, 'Castro de la Sierra', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 15, 'Castrosin', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 16, 'Cerame', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 17, 'Cerezaliz', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 18, 'La Cogolla (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 19, 'Cuadriella de Ambres', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 20, 'Curriellos (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 21, 'Defradas de Ambres', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 22, 'Las Escolinas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 23, 'Folgueras (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 24, 'Irrondo de Santa Marina', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 25, 'Linares de Acebo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 26, 'Llamas de Ambasaguas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 27, 'Llanos de Tainas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 28, 'Medeo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 29, 'Nisal (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 30, 'Obanca', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 31, 'Parada la Nueva', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 32, 'Parada la Vieja', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 33, 'Porciles (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 34, 'Porley', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 35, 'Raeces de San Cristobal', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 36, 'Raeces de Sierra', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 37, 'Ridera', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 38, 'Robledo de San Cristobal', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 39, 'Robledo de Tainas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 40, 'Rocabo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 41, 'Santa Maria de Obanca', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 42, 'Santianes (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 43, 'Sillaso', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 44, 'Soucedo', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 45, 'Los Tablados', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 46, 'Tainas', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 47, 'Vallinas (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 48, 'Vecil', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 49, 'Villajimada', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 50, 'Villalar', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 51, 'Villanueva (Cangas de Narcea)', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33819', 52, 'Villar de Adrales', 330117, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33820', 1, 'La Borbolla (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33820', 2, 'Grado', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33820', 3, 'Moratina', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 1, 'Alcubiella', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 2, 'La Calle (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 3, 'Campo del Valle', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 4, 'Carbayin (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 5, 'Las Corradas (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 6, 'Cueto (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 7, 'Entre los Rios', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 8, 'La Iglesia Entre', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 9, 'Entrelafuente', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 10, 'La Espina (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 11, 'Espriella', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 12, 'Ferreras (La Mata)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 13, 'Infiesta (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 14, 'Javier', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 15, 'Los Llanos (La Mata-Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 16, 'La Mata (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 17, 'El Merin', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 18, 'Picalgallo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 19, 'Pozanco', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 20, 'Prioto', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 21, 'Rebollal (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 22, 'El Reguero (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 23, 'Riviellas (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 24, 'Rodaco', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 25, 'Santo Dolfo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33825', 26, 'Xorro', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 1, 'Ambas (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 2, 'Arellanes', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 7, 'Gua', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 4, 'Los Llazos', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 6, 'Piedrasluengas', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 7, 'San Juan de Redondo', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 8, 'Santa Maria de Redondo', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 9, 'Tremaya', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 10, 'Venta de Campa', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 11, 'Venta de Cortes', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34849', 12, 'Venta de Urbaneja', 349041, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34850', 0, 'Castrejon de la Pea', 340493, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34858', 1, 'Pison de Castrejon', 340493, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34858', 2, 'Recueva de la Pea', 340493, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34858', 3, 'Roscales de la Pea', 340493, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34859', 1, 'Boedo de Castrejon', 340493, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34859', 2, 'Cantoral de la Pea', 340493, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34859', 3, 'Cubillo de Castrejon', 340493, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34859', 4, 'Loma de Castrejon', 340493, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34859', 5, 'Traspea', 340493, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34859', 6, 'Villanueva de la Pea', 340493, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34860', 0, 'Minas de Castilla', 999999, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34869', 1, 'Aviante de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34869', 2, 'Nuestra Seora del Brezo', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34869', 3, 'Tarilonte de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34869', 4, 'Velilla de Tarilonte', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34869', 5, 'Villafria de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34869', 6, 'Villalveto de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34869', 7, 'Villaverde de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34869', 8, 'Virgen del Brezo', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34870', 1, 'Respenda de la Pea', 341512, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34870', 2, 'Santibaez de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34878', 1, 'Barajores de la Pea', 341512, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34878', 2, 'Baos de la Pea', 341512, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34878', 3, 'Fontecha de la Pea', 341512, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34878', 4, 'Riosmenudos de la Pea', 341512, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34878', 5, 'Santana de la Pea', 341512, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34878', 6, 'Vega de Riacos', 341512, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34878', 7, 'Viduerna de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34878', 8, 'Villanueva de Abajo', 340626, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34879', 1, 'Cornon de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34879', 2, 'Las Heras de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34879', 3, 'Intorcisa de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34879', 4, 'Mueca de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34879', 5, 'Pino de Viduerna', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34879', 6, 'Villa Oliva de la Pea', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34879', 7, 'Villanueva de Arriba', 341718, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34880', 0, 'Guardo', 340800, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34885', 0, 'BESANDE', 999999, 24, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34886', 1, 'Valcovero', 341991, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34886', 2, 'Velilla del Rio Carrion', 341991, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34888', 1, 'Alba de los Cardaos', 341991, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34888', 2, 'Besande', 341991, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34888', 3, 'Camporredondo de Alba', 341991, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34888', 4, 'Cardao de Abajo', 341991, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34888', 5, 'Cardao de Arriba', 341991, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34888', 6, 'Otero de Guardo', 341991, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34888', 7, 'Pantano del Compuerto', 341991, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34889', 1, 'Fresno del Rio', 340730, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34889', 2, 'Mantinos', 340730, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34889', 3, 'San Pedro de Cansoles', 340800, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34889', 4, 'Villalba de Guardo', 342146, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35001', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35002', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35003', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35004', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35005', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35006', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35007', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35008', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35009', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35010', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35011', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35012', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35013', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35014', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35015', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35016', 1, 'General del Sur', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35016', 2, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35017', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35018', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35019', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35060', 0, 'Las Palmas Naval', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35070', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35071', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35080', 0, 'Las Palmas de Gran Canaria', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35090', 0, 'Las Palmas Ejercito de Tierra', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35100', 0, 'Maspalomas', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 1, 'Calderin', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 2, 'Cuesta la Arena', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 3, 'Llanimo', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 4, 'Martin', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 5, 'Maspalomas Costa Oeste', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 6, 'Mayor', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 7, 'Las Meloneras', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 9, 'Montaa Blanca (Maspalomas)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 10, 'Montaa de la Arena', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 11, 'Pasito Blanco', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 12, 'El Pedrazo Alto', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 13, 'Salobre', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35106', 14, 'Triana', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 1, 'Aereo-Club', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 2, 'Agadir', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 3, 'El Aguila', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 4, 'Bahia Feliz', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 5, 'Barranco de Las Palmas', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 6, 'Castillo del Romeral', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 7, 'La Florida (Maspalomas-Juan Gr', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 8, 'Juan Grande', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 9, 'Juncalillo (Maspalomas)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 10, 'Los Matorrales', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 11, 'Lomo del Moral', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 12, 'Morrete', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 13, 'Piedra Grande', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 14, 'Los Rodeos (Gran Canaria)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 15, 'Las Salinas del Matorral', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35107', 16, 'Tarajalillo (Juan Grande)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35108', 1, 'Arteara', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35108', 2, 'Fataga', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35109', 2, 'La Data', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35109', 3, 'Lomo Gordo', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35109', 4, 'Lomo Pereda', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35109', 5, 'Media Fanega', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35109', 6, 'Palmitos Park', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35109', 7, 'El Tablero (Maspalomas)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35109', 8, 'Tenis Club', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35109', 9, 'Monteleon', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35110', 1, 'Sardina del Sur', 350228, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35110', 2, 'Vecindario', 350228, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 36, 'Quintana (Priesca - Villavicio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 37, 'La Rasa (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 38, 'Rebollar (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 40, 'Riera (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 41, 'Rodiles (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 42, 'San Andres (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 43, 'San Feliz (Arguero-Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 44, 'San Roque (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 45, 'Santa Mera', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 46, 'Selorio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 47, 'La Sienra (Tornon - Villavicio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 48, 'Silva (Villaverde - Villavicio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 49, 'Soma la (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 50, 'Soto (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 51, 'Tornon', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 52, 'Toroyes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 53, 'La Torre (Carda-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 54, 'Los Valles (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 55, 'Vega (Quintana)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 56, 'Vega (Selorio-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 57, 'La Vega (Priesca-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 58, 'Villar (Selorio-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 59, 'Villar (Tornon-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 60, 'Villar (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33316', 61, 'Villaverde (Quintana)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 1, 'La Abadia', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 2, 'Acevedo (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 3, 'Aguelle', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 4, 'Balduera', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 5, 'La Barrosa (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 6, 'Baton', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 7, 'Bayones', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 8, 'Las Braas (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 9, 'El Busto (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 10, 'Calamua', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 11, 'Caliellu (Busto-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 12, 'Camatierra', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 13, 'Los Campos (Miravalles-Villavi', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 14, 'Carbayera (Magdalena-Villavici', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 15, 'Casa Hevia', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 16, 'Casamayor (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 17, 'Cueli', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 18, 'Las Felgueras', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 19, 'Gancedo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 20, 'La Hera', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 21, 'Llugaron', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 22, 'La Magdalena (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 23, 'Mallado', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 24, 'Miravalles (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 25, 'La Miyar (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 26, 'Morillon', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 27, 'Novales (Oles-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 28, 'Palomera', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 29, 'Paniceres (La Magdalena - Vill', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 30, 'Paniceres (Pando - Villavicios', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 31, 'El Pico (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 32, 'El Pino (Cardo-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 33, 'Polledo (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 34, 'Puente (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 16, 'O Outeiro (Paizas)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 17, 'Paizas', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 18, 'Pambre', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 19, 'O Pazo (Celanova)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 20, 'O Pazo (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 21, 'Pazos (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 22, 'Penosios', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 23, 'Pereira (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 24, 'Pereira de San Tome', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 25, 'As Pereiras (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 26, 'Os Pinos (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 27, 'Os Pinos', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 28, 'Ponte Dos Madeiros', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 29, 'Proente (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 30, 'Pumar Vello', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 31, 'Quinta (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 32, 'As Regas (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 33, 'O Reguengo (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 34, 'O Rial (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 35, 'San Cristovo (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 36, 'San Tome (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 37, 'A Silva (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 38, 'Silvaescura', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 39, 'Souto (Penosios-Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 40, 'O Tellado (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 41, 'Turei (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 42, 'Tuo', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 43, 'A Veiga (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 44, 'Ver', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 45, 'Vilaboa (Paizas)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 46, 'Vilaboa (Rubias)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 47, 'Vilaflor', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 48, 'Vilanova (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 49, 'Vilario (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 50, 'Vilavidal', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32811', 51, 'O Viso (Ramiras)', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 1, 'Abadia (Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 2, 'Albarin', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 3, 'Aldea Ferreiro', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 4, 'Alvarin', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 5, 'Anxa', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 6, 'Barreal (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 7, 'Barrio (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 8, 'Berredo', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 9, 'A Bola (Capital)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 10, 'Cabanas (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 11, 'Cacabelos (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 12, 'O Campo (Sorga)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 13, 'O Campo (Soutomel)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 14, 'O Capelo', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 15, 'Casal de Feas', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 16, 'Casal de Morgade', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 17, 'Casal do Rio', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 18, 'Casanova (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 19, 'O Castro (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 20, 'Cerdal (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 21, 'Cerdan (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 22, 'Chaus', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 23, 'Ciros', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 24, 'Covas (Celanova)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 25, 'A Cortia', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 26, 'Espial', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 27, 'Fechas (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 28, 'Folgoso (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 29, 'Fondo de Vila (Pardavedra)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 30, 'Fondo de Vila (Sorga)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 31, 'Fontes (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 32, 'O Forriolo', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 33, 'Froias', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 34, 'Iglesia (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 3, 'Las Campas (P. Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 4, 'La Caseta (P. Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 5, 'Cobertoria (P. Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 6, 'Columbiello', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 7, 'Consorios', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 8, 'Felgueras (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 9, 'Mamorana', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 10, 'Otero (P.Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 11, 'Palacio (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 12, 'Peridiello', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 13, 'La Puente (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 14, 'Quinta Norte', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 15, 'Quinta Sur', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 17, 'Ronzon (P. Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 18, 'Santa Cristina (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 19, 'Sorribas (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 20, 'Vega del Ciego', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33637', 21, 'Vega del Rey', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 1, 'Armada', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 2, 'Carabanzo', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 3, 'Corradon', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 4, 'Piedraceda', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 5, 'San Feliz (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 6, 'Tablado (P. Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 7, 'El Valle (P. Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 8, 'Fresnedo', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 9, 'Retrunal', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 10, 'Via', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 11, 'Cabo', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33638', 12, 'Mora', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 1, 'La Barraca (Pola Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 2, 'El Bayo (Pola Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 3, 'Braalamosa', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 4, 'Los Campos (P. Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 5, 'Castaera (P. Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 6, 'El Corro', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 7, 'La Corroa', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 8, 'La Culquera', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 9, 'Figares (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 10, 'Los Fueyos (P.Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 11, 'La Iglesia (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 12, 'La Maderada', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 13, 'Maramuiz', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 14, 'La Miera', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 15, 'La Muela (P.Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 16, 'Muon Cimero', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 17, 'Muon Fondero', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 18, 'Palacios (P.Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 19, 'Reconcos (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 20, 'Soterraa', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 21, 'Trechorio (Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33639', 22, 'Venceyal', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 1, 'Ante la Iglesia (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 2, 'Barredos (Ujo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 3, 'Barrio Nuevo de la Estacion (U', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 4, 'Casares (Ujo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 5, 'La Cortina (Ujo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 6, 'Estacion (Ujo-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 7, 'Lugarin (Ujo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 8, 'Pontarron', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 9, 'El Rebollo (Ujo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 10, 'La Reigosa', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 11, 'Ribayon', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 12, 'San Esteban (Ujo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 13, 'Tapios los', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 14, 'Ubriendes', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 15, 'Ujo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 16, 'La Urdiera', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 17, 'La Vega (Ujo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 18, 'Viastalegre', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 19, 'Villar (Ujo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 20, 'Las Vias (Ujo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33640', 21, 'Viuela', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33650', 1, 'Ablaa', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33650', 2, 'La Faidosa', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33650', 3, 'Llamas (Ablaa)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33650', 4, 'Llanolacuba', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33650', 5, 'Nicolasa', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33650', 6, 'Pea del Cuervo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33650', 7, 'Las Quintanas (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33660', 1, 'Armatilla', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33660', 2, 'Malpica (Olloniego)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33660', 3, 'Olloniego', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33660', 4, 'Quintanal (Olloniego)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33660', 5, 'Santianes (Olloniego)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33660', 6, 'Sienra (Olloniego)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 1, 'Casares (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 2, 'Escobadielles', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 3, 'La Focara (Olloniego)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 4, 'Llandellana', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 5, 'Manzaneda (Olloniego)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 6, 'Monegro', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 7, 'La Mortera (Olloniego)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 8, 'El Padrun (Olloniego)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 9, 'El Portazgo (Olloniego)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 10, 'San Frechoso (Olloniego)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33669', 11, 'Santa Eulalia de Manzaneda', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33670', 0, 'Moreda de Aller', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33673', 0, 'Nandiello', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33675', 1, 'Boo', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33675', 2, 'Bustille', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33675', 3, 'Canto de la Silla', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33675', 4, 'Carrerallana', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33675', 5, 'Cuarteles de Marianas', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33675', 6, 'Labayos (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33675', 7, 'La Pena (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33675', 8, 'La Provia (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33676', 1, 'Murias (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33676', 2, 'Santibaez de Murias', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33676', 3, 'Villar de Murias', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 1, 'Arnizo (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 2, 'Cabanon', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 3, 'Cabo (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 4, 'El Campo (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 5, 'Campueta', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 6, 'La Carrera (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 7, 'Corralada', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 8, 'Enfistiella', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 9, 'Las Fureras', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 10, 'Huertomuro', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 11, 'La Llera (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 12, 'Nembra', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 13, 'Omedal (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 14, 'El Otero (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 15, 'Perasente', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 16, 'Posadorio', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 17, 'Pumardongo (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 18, 'Rueda', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 19, 'San Miguel (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33677', 20, 'Los Tornos (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 1, 'Agueria (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 2, 'Arriondo (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 3, 'Bustios', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 4, 'Cabanielles', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 44, 'Xin', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 3, 'Barzana (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 4, 'La Calea (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 5, 'Las Cortes (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 6, 'Las Corujas', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 7, 'Cubia', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 8, 'Fojo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 9, 'Llamas (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 10, 'El Llanon (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 11, 'Momalo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 12, 'Noceda (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 13, 'Panicera', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 14, 'El Regueral (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 15, 'El Retiro (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 16, 'Robledo (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 17, 'Rodiles (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 18, 'Rubiano', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 19, 'San Miguel de Tejedo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 20, 'San Pedro de los Burros', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 21, 'Santianes de Molenes', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 22, 'Sorribas (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 23, 'Tablado (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 24, 'Tameza', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 25, 'Tejedo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 26, 'Tolinas (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 27, 'Trillapea', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 28, 'La Vega de Villaldin', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 29, 'Vendilles', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 30, 'Villabre', 330788, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 31, 'Villagarcia', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 32, 'Villaldin', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 33, 'Villamarin de Salcedo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 34, 'Villaruiz (Tameza)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 35, 'Las Villas (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 36, 'Yernes', 330788, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33826', 37, 'La Zurraquera', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 1, 'Aguera de Salcedo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 2, 'Los Barreiros (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 3, 'El Cabanin (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 4, 'La Cabaa (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 5, 'El Caliente', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 6, 'Caedo (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 7, 'La Escaldada', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 8, 'La Fueja', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 9, 'Hispanes', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 10, 'Lobio', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 11, 'Los Lodos', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 12, 'Moutas', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 13, 'Pereda (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 14, 'Puente de Seaza', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 15, 'Restiello', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 16, 'Rozallana', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 17, 'Santa Cristina (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 18, 'Santa Maria de Villandas', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 19, 'Seaza', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 20, 'Vega de Restiello', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 21, 'Vigaa', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 22, 'Villaizoy', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 23, 'Villandas', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 24, 'Villanueva (Grado)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 25, 'Vio de Pedrouco', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33827', 26, 'Vio del Pico', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 1, 'Aces de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 2, 'Barredo (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 3, 'Barrioazul', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 4, 'El Bravuco', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 5, 'Bustiello (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 6, 'Cadenado', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 7, 'Camin', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 8, 'Campo del Cura', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 9, 'Los Canales', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 10, 'Casas de Abajo (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 11, 'Castaero (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 12, 'Cerecedo (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 13, 'El Charco', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 14, 'La Cueva (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 15, 'El Escobio (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 16, 'Espinosa', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 17, 'Fabariego (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 18, 'Fenolleda', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 19, 'Ferreras (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 20, 'Fojaca', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 21, 'Foncaba', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 22, 'La Fontina', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 23, 'La Forna (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 24, 'Gorrion', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 25, 'Llana de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 26, 'El Llano (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 27, 'Llavayos', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 28, 'Llinde', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 29, 'Lloural', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 30, 'Matiega', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 31, 'La Matiella (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 32, 'Molinos de Agosto', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 33, 'Morana', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 34, 'La Mortera (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 35, 'Otero (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 36, 'Pandiello (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 37, 'Las Parrucas', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 38, 'Picaroso', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 39, 'Piedras (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 40, 'Portalada', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 41, 'La Portiella (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 42, 'Prahua (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 43, 'Quintana (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 44, 'Ribolouro', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 45, 'Ricabo (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 46, 'San Roman de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 47, 'San Roque (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 48, 'San Tirso de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 49, 'Sandiche', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 50, 'Santa Eulalia (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 51, 'Santoseso', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 52, 'La Tejera (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 53, 'El Terrero', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 54, 'Torno (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 55, 'Valdemora (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 56, 'Valle de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 57, 'Vallin (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 58, 'La Vallina (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 59, 'Villa (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 60, 'Villamarin de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 61, 'Villanueva de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33828', 62, 'Vistalegre (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 1, 'Acebedo (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 2, 'Aguera de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 3, 'Alvare (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 4, 'Anzo (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 5, 'Asniella', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 6, 'Bailache', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 7, 'Barraca (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 8, 'Bohiles', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 9, 'Bondeyo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 10, 'Cabruana', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 11, 'El Caleyo (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 12, 'Campamojada', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 13, 'Campillin', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 14, 'Candamin', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 15, 'La Caridad (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35118', 1, 'Arinaga', 350022, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35118', 2, 'Cruce de Arinaga', 350022, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35118', 3, 'Montaa de San Francisco', 350022, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 1, 'Aldea Blanca', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 2, 'Barranquillo (Vecindario)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 3, 'Casa Santa', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 4, 'De Comunicaciones', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 5, 'Corralillo', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 6, 'Las Cuevas', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 7, 'Llanos Prietos', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 8, 'Pie de la Cuesta (Vecindario)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 9, 'Piletas (Vecindario)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 10, 'Poligono Industrial de Arinaga', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 11, 'El Polvo', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 12, 'Pozo de Cardon', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 13, 'Pozo Izquierdo', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35119', 14, 'Las Rosas (Vecindario)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35120', 1, 'Arguineguin', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35120', 2, 'La Cornisa', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35120', 3, 'Loma Dos', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 1, 'Barranquillo Andres', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 2, 'Cercado Espino', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 3, 'Cesa', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 4, 'Chira', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 5, 'Las Crucitas', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 6, 'El Pajar', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 7, 'Presa de Soria', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 8, 'Los Quemados', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 9, 'El Caidero', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 10, 'El Sao', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 11, 'Lomito de Chira', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 12, 'Lomo Galeon', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 13, 'Los Peones (Mogan)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35128', 14, 'Santa Agueda', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35129', 2, 'Barranco Balito', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35129', 3, 'Barranco de la Verga', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35129', 4, 'Los Canarios', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35129', 5, 'La Cornisa', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35129', 7, 'Lago del Sol', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35129', 8, 'Patalavaca (Con Urbanizaciones', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35129', 9, 'Los Caideros', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35130', 0, 'Puerto Rico', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35138', 1, 'Tauro Country Club', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35138', 2, 'De Mogan', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35138', 3, 'El Platero', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35138', 4, 'Taurito', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35138', 5, 'De Tauro', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35139', 0, 'Puerto Rico', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35140', 0, 'Mogan', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 1, 'Las Burrillas', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 2, 'Casas Blancas (Mogan)', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 3, 'Casas de Veneguera', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 4, 'Las Casillas (Mogan)', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 5, 'El Cercado (Mogan)', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 6, 'Hornillo', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 7, 'Molino de Viento (Mogan)', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 8, 'Postreragua de Veneguera', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 9, 'Pie de la Cuesta (Mogan)', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 10, 'Tabailes', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 11, 'La Humbridilla', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35149', 12, 'De Veneguera', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35190', 1, 'Barranco de la Ballena', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35190', 3, 'El Cardon', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35190', 4, 'De Chile', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35191', 1, 'La Adelfa', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35191', 3, 'Las Coloradas', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35191', 5, 'La Punta', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35191', 6, 'Del Rincon', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35191', 8, 'Tinoca', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35192', 1, 'Barahona', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35192', 2, 'Barranco Verdejo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35192', 3, 'Barranquilla los Toledos', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35192', 4, 'General del Centro', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35192', 6, 'La Matula', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35192', 7, 'San Jose Artesano', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35193', 1, 'La Calzada', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35193', 2, 'Dragonal Alto', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35193', 3, 'Dragonal Bajo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35193', 4, 'Malpez', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35193', 5, 'Rivero', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35193', 6, 'El Roque (Las Palmas-Dragonal)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35193', 7, 'Siete Puertas', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35194', 1, 'Canteras del Fondillo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35194', 2, 'Lomo Blanco (Las Palmas-Picovi', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35194', 3, 'Monte Luz', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35194', 4, 'Pico Viento', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35194', 5, 'Plan de Loreto', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35194', 6, 'Tafira Baja', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35194', 7, 'Zurbaran', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 1, 'Lomo del Capon', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 2, 'Centro de los Hoyos', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 3, 'Cruz de Morera', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 4, 'Lomo de Enmedio', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 5, 'Lomo de los Fierros', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 6, 'Hoya Parral', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 7, 'Mondalon', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 8, 'Montaeta (Las Palmas-Marzagan', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 9, 'El Sabinal', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 10, 'Lomo del Sabinal', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 11, 'San Francisco (Dragonal)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 12, 'El Tablero (Marzagan)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35195', 13, 'Valle de los Lirios', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 1, 'Acebuchal (Marzape)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 2, 'Los Caideros', 350120, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 3, 'El Cortijo (Las Palmas-Tamarac', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 4, 'Cuesta de la Cruz', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 5, 'Cueva del Monte', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 6, 'Cuevas de Ortega', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 7, 'Los Dragos (Las Palmas-Tamarac', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 8, 'Hermanos Alvarez', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 9, 'Lomo Vizcaina', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 10, 'Marzape', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 11, 'Mascuervos', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 12, 'La Milagrosa', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 13, 'Morro (Marzape El)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 14, 'El Pintor', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 15, 'San Lorenzo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 16, 'San Roman', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 17, 'El Sardo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 18, 'Las Toscas (Tamaracette San Lo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35196', 19, 'Zarandilla', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 1, 'Almatriche Alto', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 2, 'Almatriche Bajo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 3, 'Casas de Abajo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 4, 'Los Cuarteles', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 5, 'Cuesta Blanca', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 6, 'Lomo de Cuesta Blanca', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 7, 'Hoya Andrea', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 8, 'Las Majadilla (Tamaraceite)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 9, 'El Olivo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 10, 'Las Perreras', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35197', 11, 'Tamaraceite', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35198', 1, 'Cruz del Ovejero', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35198', 2, 'Escuela de Arquitectura', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 35, 'As Mamoelas', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 36, 'Moreirias', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 37, 'Morgade (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 38, 'Murzas', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 39, 'O Outeiro (Berredo)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 40, 'O Outeiro (Sorga)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 41, 'O Outeiro (A Veiga-Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 42, 'Oxen (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 43, 'Pardavedra', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 44, 'O Pazo (Santa Baia Berredo)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 45, 'O Pazo (Pardavedra)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 46, 'O Pazo (Sorga)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 47, 'Pegaria', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 48, 'Podentes', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 49, 'Podentios', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 50, 'Pousa (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 51, 'O Prado (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 52, 'Ponte Rubias', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 53, 'As Quintas (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 54, 'Rairigo', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 55, 'O Raadoiro (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 56, 'Requeixo (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 57, 'Rozas (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 58, 'Ponte Rubias (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 59, 'San Fiz (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 60, 'San Mamede (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 61, 'San Martio (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 62, 'San Pedro (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 63, 'San Simon', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 64, 'A Seara (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 65, 'Seixomil (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 66, 'Sorga', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 67, 'Soutomel', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 68, 'Tixosa (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 69, 'Tourille', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 70, 'Val de Boi', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 71, 'A Veiga (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 72, 'Vilar (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32812', 73, 'Vilaverde (A Bola)', 320147, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 1, 'Abeleda (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 2, 'Albos', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 3, 'Alelaus', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 4, 'A Anguela', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 5, 'Balin', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 6, 'Bangueses', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 7, 'Barreiro (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 8, 'Campo Real', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 9, 'Carballo (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 10, 'Cardeo', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 11, 'Casal de Abade', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 12, 'Casal de Bisco', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 13, 'Os Casares (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 14, 'O Castro (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 15, 'Cernadela', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 16, 'Cexo', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 17, 'Chedas', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 18, 'Cigarrosa', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 19, 'Domes', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 20, 'Fondodevila (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 21, 'Fontechide', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 22, 'Gondesende', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 23, 'Gontan (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 24, 'As Laceiras (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 25, 'Laioso (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 26, 'Ledime', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 27, 'Mocios', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 28, 'Nigueiroa (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 29, 'Nogueira (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 30, 'Nogueiras (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 31, 'Ourille de Arriba', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 32, 'Outeiro (Domez)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 33, 'Outeiro (Sanguedo)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 34, 'Paredes (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 35, 'A Pia', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 36, 'Pitelos', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 37, 'Portela (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 38, 'Retortoiro', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 39, 'Sa (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 40, 'Sabucedo (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 41, 'Sambades (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 42, 'San Martio (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 43, 'San Vicente (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 44, 'Sanguedo (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 45, 'Verea (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 46, 'Vieiro (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 47, 'Vilar (Verea)', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32813', 48, 'Xacebas', 320842, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 1, 'Agua Levada', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 2, 'O Alcouce (Quintela de Leirado', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 3, 'Atainde', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 4, 'Atrio (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 5, 'Beade (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 6, 'Cabanelas (Quintela de Leirado', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 7, 'Cima de Vila (Quintela de Leir', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 8, 'A Corredoira (Quintela de Leir', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 9, 'Costa (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 10, 'Fondons', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 11, 'Forxan (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 12, 'Fraguas (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 13, 'Lavandeira (Quintela de Leirad', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 14, 'Leirado (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 15, 'A Mourisca (Quintela de Leirad', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 16, 'Outeiro (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 17, 'As Pereiras (Quintela de Leira', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 18, 'Pousa (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 19, 'Quintela de Leirado', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 20, 'Redemuios (San Salvador)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 21, 'Reguengo (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 22, 'Rio de Abaixo', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 23, 'Rio de Arriba', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 24, 'San Pedro de Leirado', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 25, 'Souto (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 26, 'Tornaooiro', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32814', 27, 'Val (Quintela de Leirado)', 320662, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 1, 'Acevedo do Rio (San Xurxo)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 2, 'Ademouran', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 3, 'Alcazar de Milmanda (Santa Mar', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 4, 'Arrabalde', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 5, 'A Arrotea (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 6, 'A Barreira (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 7, 'A Buratia', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 8, 'Canavelas', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 9, 'Canto', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 10, 'O Carballo (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 11, 'Carracedo (Milmanda)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 12, 'O Casal (Acevedo)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 13, 'Castromao (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 14, 'Cavadoiro', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 15, 'Cercedo (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 16, 'As Chousas', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 17, 'As Chouzas', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 18, 'Cobreiros', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 5, 'Casanueva (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 6, 'La Cascayera', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 7, 'La Caseta (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 8, 'Castro (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 9, 'Conforcada', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 10, 'Fontona', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 11, 'Las Llanas (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 12, 'Llandemieres', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 13, 'La Maravilla', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 14, 'Omeo (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 15, 'Polea', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 16, 'La Rumiada', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33678', 17, 'Santo Tomas (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 1, 'Collada (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 2, 'Entrebu', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 3, 'La Felguerosa (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 4, 'La Florida (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 5, 'Los Heras (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 6, 'Oyanco', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 7, 'Primayor', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 8, 'El Rason', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 9, 'Reyan', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 10, 'La Roza (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 11, 'Sotiello (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 12, 'Los Torneros (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 13, 'Valdedios (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 14, 'El Valle (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 15, 'Villanueva (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33679', 16, 'Xagual', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33680', 1, 'Collanzo (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33680', 2, 'Cuerigo', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33680', 3, 'La Fuente (Collanzo)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33680', 4, 'Santibaez de la Fuente', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33680', 5, 'Valdevero', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33681', 1, 'Casomera', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33681', 2, 'Conforcos (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33681', 3, 'Foz (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33681', 4, 'Llamas (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33681', 5, 'La Paraya', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33681', 6, 'Rio Aller', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33681', 7, 'Riomaon', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33681', 8, 'Villar de Casomera', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 1, 'Baia', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 2, 'La Barraca (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 3, 'Los Barreros (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 4, 'Barrial (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 5, 'Barrio de Pachon', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 6, 'Bullidoso', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 7, 'Cardeo (La Pereda-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 8, 'Casa de Arriba (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 9, 'Cima la Villa', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 10, 'El Coston', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 11, 'Cuestas de Baia', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 12, 'Cuestas de Cardeo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 13, 'Escalabada', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 14, 'La Falcuedra', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 15, 'Fenosa (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 16, 'Fondos de Villa (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 17, 'Laviades', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 18, 'Llaneces (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 19, 'Llerosa de Abajo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 20, 'Llerosa de Arriba', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 21, 'Loredo (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 22, 'El Navalin (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 23, 'Navalina', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 24, 'Paraxa', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 25, 'La Pereda (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 26, 'Perio', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 27, 'Puente de la Pereda', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 28, 'Pumardongo (La Pereda)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 29, 'Rociella', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 30, 'La Roza (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 31, 'Tablado (Loredo - Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 32, 'Traspalacio', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 33, 'El Tunelon', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 34, 'Vallin (Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 35, 'Vega de San Pedro', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33682', 36, 'Via (La Pereda)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 1, 'Agualestro', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 2, 'Aprocedorio', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 3, 'Arriondo (Figaredo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 4, 'Cabojal', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 5, 'Cortina de Figaredo', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 6, 'Cuarteles de Guadalupe', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 7, 'Cubiellos', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 8, 'La Cuesta (Figaredo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 9, 'Cutielles (Figaredo-Mieres)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 10, 'Felguerua', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 11, 'Figaredo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 12, 'Formiguera (Figaredo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 13, 'La Lavandera (Figaredo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 14, 'La Pena (Figaredo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 15, 'Peule', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 35, 'Rionda (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 36, 'Sabudiello', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 37, 'San Blas', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 38, 'San Martin de Miravalles', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 39, 'Santa Eugenia (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 40, 'Santiago (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 41, 'La Sienra (La Magdalena - Vill', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 42, 'La Sota', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33317', 43, 'El Vallin (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 1, 'Ablanedo (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 2, 'El Caleyu (Celada-Villaviciosa', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 3, 'El Camino (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 4, 'Carcabada (Celada-Villaviciosa', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 5, 'Castiello (Celada)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 6, 'Cecees', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 7, 'Celada', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 8, 'Chamberi', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 9, 'El Charcon (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 10, 'Conciella', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 11, 'Contina', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 12, 'Cuinya', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 13, 'Espina (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 14, 'Fernandiz', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 15, 'Ferreria (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 16, 'Fongabin', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 17, 'Fuentona', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 18, 'Fumerin', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 19, 'Llata', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 20, 'Llaviaes', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 21, 'Llineres', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 22, 'Llosanueva', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 23, 'Mahojo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 24, 'Marianes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 25, 'Miyares (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 26, 'Miyeres (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 27, 'Mogobio', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 28, 'Morvis', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 29, 'Mota', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 30, 'El Palacio (Celada - Villavici', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 31, 'La Payariega', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 32, 'Peruyero (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 36, 'Rali', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 16, 'Las Carquivas', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 17, 'Carroceda', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 18, 'Casas del Monte', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 19, 'Coalla', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 20, 'Coallaju', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 21, 'Cuero', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 22, 'Faces (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 23, 'Ferreros (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 24, 'La Figal (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 25, 'Figaredo de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 26, 'Los Fornos (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 27, 'El Fresno (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 28, 'Fuejo (Salas)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 29, 'La Garaba', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 30, 'Grullos', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 31, 'Gurulles', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 32, 'La Linar', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 33, 'Llamero', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 34, 'La Llamiella', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 35, 'Los Llanos (El Fresno-Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 36, 'Llantrales', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 37, 'Loredo (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 38, 'Les Macetes', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 39, 'Mafalla (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 40, 'El Monte Llamero', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 41, 'Murias de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 42, 'Las Murias (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 43, 'Los Novales (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 44, 'Pando (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 45, 'Panizal', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 46, 'Peaflor', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 47, 'Piqueras (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 48, 'Puente de Peaflor', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 49, 'Pumarin (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 50, 'Raeces (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 51, 'Rebollada (Salas)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 52, 'La Rebollada (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 53, 'Reconco (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 54, 'Rellan (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 55, 'Rozadas (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 56, 'San Juan de Villapaada', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 57, 'San Martin de Gurulles', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 58, 'San Pelayo (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 59, 'San Pelayo de Sienra', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 60, 'Sestiello', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 61, 'Solaiglesia', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 62, 'Somines', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 63, 'Temia', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 64, 'La Tronca', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 65, 'Usiles', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 66, 'Vega de Peridiello', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 67, 'Ventosa (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 68, 'Villar (Grado)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 69, 'Villar de Candamo', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33829', 70, 'La Via (Candamo)', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33830', 0, 'Belmonte', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 1, 'Abango', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 2, 'Alcedo (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 3, 'Antoana', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 4, 'Balbona (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 5, 'Begega', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 6, 'Boinas', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 7, 'Carricedo', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 8, 'Las Estacas', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 9, 'Estilleiro', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 10, 'El Ferredal (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 11, 'Llan de la Tabla', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 12, 'Millara', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 13, 'Pontigo (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 14, 'Quintana (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 15, 'Santa Marina (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 16, 'Valbona (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 17, 'Valle de Begega', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 18, 'Vega de Quintana', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 19, 'Villar de Tejon', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33836', 20, 'Villaverde (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33837', 1, 'Alvariza', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33837', 2, 'Cezana', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33837', 3, 'Corias de Abajo', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33837', 4, 'Corias de Arriba', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33837', 5, 'Dorera', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33837', 6, 'Fresnedo (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33837', 7, 'Pascual (Blamonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33837', 8, 'Posadoiro (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 1, 'Los Bazales', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 2, 'Casa del Sol', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 3, 'Las Cruces (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 4, 'Dolia', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 5, 'Faedo (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 6, 'Faidiello (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 7, 'Meruja', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 8, 'Repenerencia', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 9, 'Tablado (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 10, 'Tiblos', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33838', 11, 'Vigaa de Arcello', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33839', 1, 'Llamoso', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33839', 2, 'Montovo', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33839', 3, 'Ondes', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33839', 4, 'San Martin de Ondes', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 1, 'Aguino', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 2, 'Arbeyales (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 3, 'Caunedo (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 4, 'El Coto (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 5, 'Endriga', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 6, 'Falguera', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 8, 'Llamardal', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 9, 'La Llamera (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 10, 'La Peral (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 11, 'Perlunes', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 12, 'Pola de Somiedo', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 13, 'Puerto (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 14, 'Saliencia', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 15, 'Santa Maria de Somiedo', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 16, 'Urria (P. Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 17, 'Valle de Lago', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 18, 'Veigas', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33840', 19, 'Villarin (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 1, 'Bustariega', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 2, 'Castro (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 3, 'Clavillas', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 4, 'Las Morteras', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 5, 'Orderias (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 6, 'Pineda', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 7, 'La Riera de Somiedo', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 8, 'Santiago de Hermo', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 9, 'Valcarcel', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 10, 'Villamor', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 11, 'Villaux', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33841', 12, 'Las Vias (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33842', 1, 'Aguasmestas', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33842', 2, 'Cores', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33842', 3, 'Pigueces', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33842', 4, 'Piguea', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33842', 5, 'Rebollada (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33842', 6, 'Robledo (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33842', 7, 'Santullano (Somiedo)', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33842', 8, 'Villar de Vildas', 330680, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35198', 3, 'Lomo de los Frailes (Tamaracei', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35198', 4, 'Los Frailes', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35198', 5, 'La Gacela', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35198', 6, 'Galera', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35198', 7, 'La Herradura (Las Palmas-Tamar', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35198', 8, 'Llano de la Cobranza', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35198', 9, 'Colegio Nacional Valencia', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35198', 10, 'La Zarzuela', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 1, 'El Calvario (Tamaraceite)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 2, 'Cuesta de Las Palmas', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 3, 'Jacomar', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 4, 'Las Mesas Altas', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 5, 'Las Mesas Bajas', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 6, 'Piletas (Tamaraceite)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 7, 'San Jose del Alamo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 8, 'Los Sifones', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 9, 'La Suerte (Las Palmas Tamarace', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 10, 'Tascon Alto', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 11, 'Tascon Bajo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 12, 'De Teror', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35199', 13, 'Los Vieras', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35200', 0, 'Telde', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35210', 1, 'Balcon de Telde', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35210', 2, 'Doramas', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35210', 3, 'Lomo de la Herradura', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35210', 4, 'Longuera', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35210', 5, 'Montaa de Las Palmas', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35210', 6, 'San Jose de Las Longueras', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35210', 7, 'Tara', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35210', 8, 'Valverde', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 1, 'Arenales', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 2, 'Las Breas (Cazadores)', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 3, 'Cardon el Telde Cazadores', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 4, 'Cazadores', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 5, 'La Colomba', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 6, 'Los Corrales (Telde-Cazadores)', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 7, 'El Drago (Telde-Cazadores)', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 8, 'Egido Alto', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 9, 'Hoya de Manrique', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 10, 'Hoya de San Gregorio', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 11, 'Hoya de Zurita', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 12, 'Lomo-Bristol', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 13, 'Lomo-Magullo', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 14, 'Ruiz Muoz', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35211', 15, 'Tecen', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 1, 'Boca Barranco', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 2, 'La Estrella', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 3, 'Lomo los Frailes (Telde)', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 4, 'La Garita', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 5, 'Hoya del Pozo', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 6, 'Las Huesas', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 7, 'La Mareta', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 8, 'Marpequea-Este', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 9, 'Lomo de Melones', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 10, 'Prebetong', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35212', 11, 'El Travieso', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35214', 1, 'De Las Clavellinas', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35214', 2, 'Del Hombre', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35214', 3, 'De Melenara', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35214', 4, 'Las Rudiezas', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35214', 5, 'De la Salinetas', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35214', 6, 'Taliarte', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 1, 'Barranco de Silva', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 2, 'Caracol Alto', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 3, 'Caracol Bajo', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 4, 'El Caracol', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 5, 'Contrapeso', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 6, 'Cuatro Puertas', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 7, 'El Goro', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 8, 'Jerez', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 9, 'Lomo Cementerio', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 10, 'Lomo Sala', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 11, 'Las Medianias', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 12, 'Piletillas', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35215', 13, 'Tosquillas', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35216', 1, 'Las Casillas (Telde-El Rincon)', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35216', 2, 'Colmenar de Abajo', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35216', 3, 'Colmenar de Arriba', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35216', 4, 'Era de la Mota', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35216', 5, 'El Montaon', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35216', 6, 'El Pedregal', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35216', 7, 'El Rincon', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35216', 8, 'Tenteniguada', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35216', 9, 'Valsequillo (Telde-Rincon)', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35216', 10, 'Las Vegas (Telde)', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 1, 'Los Almendros', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 2, 'La Barrera', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 3, 'La Cantera', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 4, 'El Cardon (Telde)(Valsequillo)', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 5, 'Las Casas', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 6, 'La Choza', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 7, 'Fuente Pea', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 8, 'Juagarzos', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 9, 'Los Llanetes', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 10, 'Llano del Conde', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 11, 'Lomitos de Correa', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 12, 'Luis Verde', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 13, 'Mirabala', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 14, 'La Palma', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 15, 'Salva-Indias', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35217', 16, 'Valsequillo (Telde)', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 1, 'Caserones Altos', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 2, 'Caserones Bajos', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 3, 'Cendro', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 4, 'Cortijo de San Ignacio', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 5, 'Cruce de Higuera Canaria', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 6, 'Cruz de la Gallina', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 7, 'Garcia Ruiz', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 8, 'Las Gavias', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 9, 'Las Goteras (Telde-San Roque)', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 10, 'Higuera Canaria', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 11, 'Hoya Aguedita', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 12, 'La Majadilla', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 13, 'Palmital', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 14, 'El Rincon Alto', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 15, 'San Roque', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 16, 'La Solana (Telde)', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 17, 'Valle Casares', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35218', 18, 'Vista de Telde', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35219', 1, 'De Aguadulce', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35219', 2, 'El Cardonal', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35219', 3, 'Gando', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35219', 4, 'Ojos de Garza', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35219', 5, 'De Ojos de Garza', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35219', 6, 'Poligo Industrial el Goro', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35219', 7, 'Poligono Industrial Salinetas', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35219', 8, 'De Tufia', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35220', 1, 'Hornos del Rey', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35220', 2, 'Jinamar', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35220', 3, 'Lomo Blanco (Jinamar)', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35220', 4, 'La Matanza', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35220', 5, 'Santa Rita de Casia', 350265, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35229', 1, 'Casas Quemadas', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35229', 2, 'Las Cuevas', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35229', 3, 'Llanos de Cuatro Caminos', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35330', 0, 'Teror', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 19, 'Coucieiro (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 20, 'Eiras', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 21, 'Ermide (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 22, 'A Ferreria', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 23, 'Fonte Branca', 320684, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 24, 'A Gandarela (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 25, 'As Lamas (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 26, 'A Madanela (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 27, 'Meson (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 28, 'Miranzo', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 29, 'A Moimenta (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 30, 'Orban (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 31, 'Outeiro (Acevedo)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 32, 'Paradela (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 33, 'Pazo Das Chouzas', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 34, 'O Pereiro (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 35, 'Pieiro (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 36, 'Os Prados (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 37, 'San Cibrao (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 38, 'San Martio de Abaixo', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 39, 'San Martio de Arriba', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 40, 'San Xiao', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 41, 'Santa Eufemia (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 42, 'Seoane (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 43, 'O Tellado (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 44, 'O Terrado (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 45, 'Trasmiras (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 46, 'Vila (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 47, 'Vilaverde (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32815', 48, 'Xamiras', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 1, 'A Abelleira (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 2, 'Amedo (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 3, 'A Armada (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 4, 'Barrio (Bobadela)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 5, 'Barxa (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 6, 'A Barxia', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 7, 'Bobadela (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 8, 'Campo (Bobadela)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 9, 'Carfaxio', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 10, 'O Cristal', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 11, 'Fechas (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 12, 'Fechias', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 13, 'A Lampaza (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 14, 'Leborin (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 15, 'Orga', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 16, 'O Outeiro (Orga)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 17, 'As Pereiras (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 18, 'Ponte Fechas', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 19, 'A Pousa (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 20, 'Pontegrande', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 21, 'Quintairos (Bobadela)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 22, 'Quintas (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 23, 'Rabal (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 24, 'Rabal da Eirexa', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 25, 'Rabal de Arriba', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 26, 'Rairos (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 27, 'A Ramallosa', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 28, 'A Roda de Abaixo', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 29, 'A Roda de Arriba', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 30, 'San Paio (Rabal-Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 31, 'San Pedro (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 32, 'O Souto (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32816', 33, 'Vilanova Dos Infantes', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 1, 'O Abellal', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 2, 'Amoroce', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 3, 'Ansemil', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 4, 'A Baraca (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 5, 'A Barraca (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 6, 'Os Barreiros (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 7, 'Barrio (Ansemil)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 8, 'O Burgo (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 9, 'Cachapraz', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 10, 'Campo (Mourillos)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 11, 'Campo de Veiga', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 12, 'Carballeira (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 13, 'A Carreira (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 14, 'Casal (Amoroce)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 15, 'Casasoa (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 16, 'Caseta (Ansemil)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 17, 'A Casia', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 18, 'Casvasco', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 19, 'Caon', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 20, 'A Devesa (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 21, 'Eilabai', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 22, 'Einibo', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 23, 'Feal de Ansemil', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 24, 'Fedepedro', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 25, 'Figueiredo (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 26, 'Goterre', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 27, 'A Granxa (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 28, 'A Lama (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 29, 'Lobeiras', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 30, 'Mandras (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 31, 'O Mato (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 32, 'Montenovo', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 33, 'Moreira (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 34, 'Mourillos', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 35, 'A Obra', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 36, 'Outeiro (Amoroce)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 37, 'O Outeiro (Caon)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 38, 'O Outeiro (Veiga-Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 39, 'Pazos (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 40, 'Penalta', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 41, 'Quintairos (Amoroce)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 42, 'Redondo', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 43, 'Regada (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 44, 'Rial (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 45, 'O Ribeiro (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 46, 'Samances', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 47, 'Sambades (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 48, 'Sampil', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 49, 'San Paio da Veiga (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 50, 'Sandin (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 51, 'Seguin', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 52, 'O Souto (Hermida-Celanova', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 53, 'O Val (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32817', 54, 'A Veiga (S. Munio)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 1, 'Bandeira', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 2, 'A Bouza (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 3, 'Calvelos (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 4, 'Carballos (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 5, 'Cartelle (Capital)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 6, 'Madarnas (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 7, 'O Mato (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 8, 'O Peto (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 9, 'Reigoso (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 10, 'San Martio (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 11, 'Sanguedo (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 12, 'Santa Catelia', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 13, 'A Teixugueira', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 14, 'Tellado (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32820', 15, 'Vilar de Vacas', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 33, 'Peas Blancas', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 34, 'El Pueblo (Celada-Villaviciosa', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 35, 'La Quintana (Celada - Villavic', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 37, 'Riao (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 38, 'Sello', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 39, 'La Tejera (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 40, 'El Toral (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 41, 'Los Torales', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 42, 'La Torre (Celada-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 43, 'La Trocha', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 44, 'Turueo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 45, 'Valdaces', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 46, 'Valdebarcena', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 47, 'Valdemaria', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 48, 'Vallinaoscura', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 49, 'Las Vegas (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 50, 'La Viesca (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 51, 'Villar (Valdebarcena - Villavi', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33318', 52, 'Vitienes', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33320', 1, 'Cerracin', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33320', 2, 'Colunga', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33324', 0, 'La Riera (Colunga)', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33325', 1, 'Carrandena', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33325', 2, 'Eslabayo', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33325', 3, 'Fano (Colunga)', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33325', 4, 'Libardon', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33325', 5, 'Raicedo (Colunga)', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33325', 6, 'Toyos', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33326', 1, 'Arnin', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33326', 2, 'Cardegoda', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33326', 3, 'Castaera (Rales-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33326', 4, 'El Cayo', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33326', 5, 'El Llestro', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33326', 6, 'Pivierda', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33326', 7, 'Rales (Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33326', 8, 'San Feliz (Rales-Villaviciosa)', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33326', 9, 'abla', 330766, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33327', 1, 'Beldredo', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33327', 2, 'Conlledo', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33327', 3, 'Pernus', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33327', 4, 'Pis', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33327', 5, 'Sales', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33328', 1, 'Aspo', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33328', 2, 'Huerres', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33328', 3, 'Luces', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33328', 4, 'La Rasa (Colunga)', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33328', 5, 'San Juan de Duz', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33328', 6, 'San Telmo', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33328', 7, 'Villanueva (Colunga)', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33329', 1, 'Ablanedo (Colunga)', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33329', 2, 'Carrandi', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33330', 0, 'Lastres', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33340', 1, 'Castiello (Colunga)', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33340', 2, 'Lue', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33341', 0, 'La Isla', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33342', 1, 'El Barrigon', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33342', 2, 'Cocea', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33342', 3, 'Gobiendes', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33342', 4, 'Loroe', 330194, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33343', 1, 'Caravia Baja', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33343', 2, 'Carrales', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33343', 3, 'Duesos', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33343', 4, 'Duyos', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33343', 5, 'La Espasa (Caravia B.)', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33343', 6, 'Valle (Caravia)', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33344', 1, 'Bandalisque', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33344', 2, 'La Cantiella', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33344', 4, 'Prado (Caravia)', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33344', 5, 'Pumarin (Caravia Alta)', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33344', 6, 'Rotella (Caravia Alta)', 330138, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33345', 1, 'Alea', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33345', 2, 'Barredo (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33345', 3, 'Linares (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33345', 4, 'La Torre (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33345', 5, 'La Vega (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33346', 1, 'Berbes', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33346', 2, 'Caravia Alta', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33347', 1, 'Abeo', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33347', 2, 'Bones', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33347', 3, 'Leces', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33347', 4, 'San Esteban de Leces', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33347', 5, 'San Pedro (Ribadesella)', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33347', 6, 'Terees', 330560, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 1, 'Aroles', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 2, 'La Bobia (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 3, 'Cabuezo', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 4, 'La Camocha', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 5, 'Lavandera (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 6, 'Linares (Camocha)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 7, 'Monte de Huerces', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 8, 'El Monte (La Camocha)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 9, 'San Martin de Huerces', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 10, 'Santa Cecilia (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 11, 'Tueya', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33350', 12, 'Villaverde (La Camocha)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33390', 1, 'Leorio', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33390', 2, 'Llantones', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33390', 3, 'Mareo de Abajo', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33390', 4, 'Mareo de Arriba', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33390', 5, 'La Pedrera (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 1, 'Baldornon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 2, 'Baones', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 3, 'Caldones', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 4, 'Carcedo (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 5, 'Fano (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 6, 'Garvelles', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 7, 'Granda (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 8, 'Linares (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 9, 'La Mata (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 10, 'Quintana (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 11, 'Rioseco (Baldornon-Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 12, 'Rioseco (Caldones-Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 13, 'Robledo (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 14, 'Salientes', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 15, 'San Pelayo (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 16, 'Santa Eulalia (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 17, 'Tarna (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 18, 'Vega (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 19, 'Villares (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33391', 20, 'Zalca', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 1, 'Aguda', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 2, 'Arroyo (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 3, 'Casares (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 4, 'Cerca de Abajo', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 5, 'Cerca de Arriba', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 6, 'Figar (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 7, 'Fontaciera', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 8, 'Pinzales', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 9, 'Piera (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 10, 'Porceyo', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 11, 'Puenteseco (Roces)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 12, 'Rebollada (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 13, 'Riera (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 14, 'Ruedes', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 15, 'Salcedo (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 16, 'Torres', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 17, 'Vega (Pinzales)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33392', 18, 'Venta de Veranes', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33393', 1, 'Batiao', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33843', 1, 'Almurfe', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33843', 2, 'Cuevas (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 1, 'Abedul (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 2, 'Aguera (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 3, 'Aguerina', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 4, 'La Arena (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 5, 'Castaera (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 6, 'Ciguedres', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 7, 'Ferreiria (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 8, 'Quintanal (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 9, 'Rozos', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 10, 'San Esteban (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33844', 11, 'Villar de Zuepos', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33845', 1, 'Bello (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33845', 2, 'Leiguarda', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33845', 3, 'Menes', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33845', 4, 'Modreros (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33845', 5, 'Pando (Belmonte)', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33845', 6, 'Selviella', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33846', 1, 'Alava', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33846', 2, 'Barcena de Alava', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33846', 3, 'Castaedo de Miranda', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33846', 4, 'Fontoria (Belmonte)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33846', 5, 'Oviaa (Belmonte)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33846', 6, 'San Cristobal (Belmonte)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33846', 7, 'San Martin de Lodon', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33846', 8, 'Vega de Castaedo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33846', 9, 'Villanueva (Belmonte)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33850', 1, 'Candanonegro', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33850', 2, 'Cornellana (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33850', 3, 'Fajas', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33850', 4, 'Folguerinas', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33850', 5, 'Fresnedo (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33850', 6, 'Las Nisales', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33850', 7, 'Santueina (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33850', 8, 'Verdugos', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33857', 1, 'Bulse', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33857', 2, 'Castiello (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33857', 3, 'Cotariello (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33857', 4, 'Doriga (San Esteban-Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33857', 5, 'Eiros (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33857', 6, 'Reconco (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33857', 7, 'La Rodriga', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33857', 8, 'San Esteban (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33857', 9, 'San Justo de Doriga', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33857', 10, 'Villar (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 1, 'Barrudo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 2, 'Casas del Puente', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 3, 'Doriga (San Antonio-Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 4, 'Doriga (Santa Eulalia - Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 5, 'Loreda', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 6, 'Marcelo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 7, 'Moratin (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 8, 'La Reaz', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 9, 'Rubial (Doriga - Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 10, 'San Antolin (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33858', 11, 'San Marcelo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 1, 'Ballota (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 2, 'Borreras', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 3, 'Cermoo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 4, 'Cortes (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 5, 'Nava (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 6, 'Ovanes', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 7, 'La Planadera', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 8, 'Quintoos', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 9, 'Rondero', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 10, 'Santa Eufemia (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 11, 'Sobrerriba', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33859', 12, 'Valbona (Cornellana)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33860', 0, 'Salas', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 1, 'Busmarzo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 2, 'Cutiellos (Belmonte)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 3, 'El Hospital (Belmonte)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 4, 'Longoria', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 5, 'Pumarada', 330058, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 6, 'San Bartolome de Miranda', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 7, 'Barcena (Salas)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 8, 'Laneo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 9, 'Requejo (Salas)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 10, 'Rubial (Santiago de la Barca-S', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 11, 'Santiago de la Barca', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33865', 12, 'Lorero', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 1, 'Acevedo (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 2, 'Barraca (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 3, 'Borducedo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 4, 'Braaivente', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 5, 'El Candano (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 6, 'Cerezal (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 7, 'Curiscado', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 8, 'Folguerosa (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 9, 'Gallinero (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 10, 'La Granja (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 11, 'Lindemurias', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 12, 'Malleza', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 13, 'Montenuevo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 14, 'El Pumar (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 15, 'Rubieros', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 16, 'San Andres (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 17, 'San Cristobal (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 18, 'Vegacebron', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33866', 19, 'Villarin (Malleza)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 1, 'El Alba', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 2, 'Argusan', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 3, 'La Arquera (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 4, 'El Barrio (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 5, 'Caborno (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 6, 'El Caleyo (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 7, 'Campas (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 8, 'Camuo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 9, 'Carbajal (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 10, 'Cardus', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 11, 'La Carril (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 12, 'Casamayor (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 13, 'La Casona (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 14, 'Las Centiniegas', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 15, 'Las Corradas (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 16, 'Daner', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 17, 'Escobio (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 18, 'La Estrada (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 19, 'Fenigonte', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 20, 'Folgueiro (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 21, 'Linares (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 22, 'Mallecina', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 23, 'Mouroso (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 24, 'La Peral (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 25, 'La Pea (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 26, 'Piniella (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 27, 'El Pozo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 28, 'Prada (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 29, 'Priero', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 30, 'La Puerta (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 31, 'Santullano (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 32, 'Tarano (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 33, 'Toral (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 34, 'Valderrodero', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35229', 4, 'Las Margaritas', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35229', 5, 'Marzagan', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35229', 6, 'Merca Las Palmas', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35229', 7, 'El Sabinal', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35229', 8, 'Hoya Sabina', 350167, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35230', 0, 'Aeropuerto de Gando', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35240', 1, 'El Carrizal', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35240', 2, 'La Jurada', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35250', 0, 'Ingenio', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 1, 'Aguatona el Nuevo', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 2, 'Aguatona el Viejo', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 3, 'Banda de Carrizal', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 4, 'De Burrerro', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 5, 'El Eden', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 6, 'El Lomo (Ingenio)', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 7, 'Las Majoreras', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 8, 'Marfu', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 9, 'Mondragon', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 10, 'Montaa de los Velez', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 11, 'Los Moriscos', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 12, 'Oasis', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 13, 'La Pesadilla', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 14, 'Las Puntillas', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35259', 15, 'Las Salinas', 350115, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35260', 0, 'Aguimes', 350022, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35270', 0, 'Temisas', 350022, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 1, 'Casas Blancas (Santa Lucia)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 2, 'Ciudad Luna', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 3, 'Ingenio (Sta Lucia)', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 4, 'Lomito de Taidia', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 5, 'Moriscos', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 6, 'Parral Grande', 350228, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 7, 'Risco Blanco', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 8, 'Rociana', 350228, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 9, 'Santa Lucia', 350228, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 10, 'Sitio Alto', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 11, 'Sitio Bajo', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 12, 'Sorrueda', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 13, 'Taidia', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35280', 14, 'Trejo', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35290', 0, 'San Bartolome de Tirajana', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35299', 1, 'Agualatente', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35299', 2, 'Cruz Grande', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35299', 3, 'La Culata', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35299', 4, 'La Plata', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35299', 5, 'El Sequero', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35300', 0, 'Santa Brigida', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35307', 1, 'La Atalaya de Guia', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35307', 2, 'La Concepcion', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35307', 3, 'Las Cordilleras', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35307', 4, 'Cuesta la Gramma', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35307', 5, 'De Doa Luisa', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35307', 6, 'Las Goteras (Santa Brigida)', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35307', 7, 'El Raso', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35307', 8, 'San Jose', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35307', 9, 'El Vinculo', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 1, 'Las Casillas (Santa Brigada)', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 2, 'Gamonal Alto', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 3, 'Gamonal Bajo', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 4, 'Gran Parada', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 5, 'Hoya Bravo', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 6, 'Lugarejo', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 7, 'Madroal', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 8, 'El Molino (Santa Brigida)', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 9, 'El Paraiso', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 10, 'Portada Verde', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 11, 'Los Silos (Santa Brigida)', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35308', 12, 'Vuelta del Pino', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35309', 1, 'La Angostura', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35309', 2, 'Lomo Espino', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35309', 3, 'Los Olivos', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35309', 4, 'Pino Santo Alto', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35309', 5, 'Pino Santo Bajo', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35310', 1, 'Hoya Capa', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35310', 2, 'Lentiscos', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35310', 3, 'Monte Lentiscal', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35310', 4, 'El Reventon', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35310', 5, 'Los Toscanes', 350213, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35319', 1, 'Las Arenillas', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35319', 2, 'Caldera de Bandama', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35319', 3, 'Campo de Golf', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35319', 4, 'Fuente de los Berros', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35319', 5, 'Los Lirios', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35319', 6, 'La Montaeta (Monte Lentiscal)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35319', 7, 'La Posada', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35319', 8, 'Tres Cruces (Monte Lentiscal)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35320', 0, 'San Mateo', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 1, 'La Almagria', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 2, 'Ariez', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 3, 'El Castillo', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 4, 'La Corte (San Mateo)', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 5, 'Cruz de Tejeda', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 6, 'Cuevecillas', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 7, 'El Estanco (San Mateo)', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 8, 'Francisco Javier', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 9, 'Lagunetas', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 10, 'Lomito', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 11, 'La Longuera', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 12, 'El Portillo', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 13, 'San Francisco (San Mateo)', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 14, 'Solana', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 15, 'Urbanizacion', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 16, 'Utiaca', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 17, 'Las Vegas (San Mateo)', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 18, 'El Vinco', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35328', 19, 'La Yedra', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35329', 1, 'Acequia Marrero', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35329', 2, 'La Bodeguilla', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35329', 3, 'Camareta', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35329', 4, 'El Chorrillo', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35329', 5, 'Los Chorros', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35329', 6, 'Cueva Grande', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35329', 7, 'La Higuera', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35329', 8, 'Lechucilla', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35329', 9, 'La Lechuza', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35329', 10, 'Olla Gamonal', 350332, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35333', 0, 'Arbejales', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 1, 'Barranco Zapatero', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 2, 'Lo Blanco', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 3, 'Corrales los (Teror)', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 4, 'Espartero', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 5, 'El Faro', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 6, 'Fuente Agria', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 7, 'Lomo del Gallego', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 8, 'Lomo Pilon', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 9, 'Las Majadilla (Teror)', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 10, 'Miraflor', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 11, 'Los Monteros', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 12, 'Ojero', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 13, 'El Paso (Telor)', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 14, 'San Isidro', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 15, 'Hoya de San Lazaro', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35338', 16, 'Las Toscas (Teror)', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 1, 'El Alamo', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 2, 'Cuesta Falcon', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 3, 'Guanchia', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 4, 'Los Llanos', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 5, 'El Palmar', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 6, 'Lomo del Palmar', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 7, 'El Pedregal', 350311, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 8, 'La Pea (Teror)', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 1, 'O Bagullo', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 2, 'Baldariz (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 3, 'O Carballal (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 4, 'Lamas de Outeiro', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 5, 'Sabucedo de Montes', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 6, 'San Tome (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 7, 'A Seara (Cartelle)', 320202, 32, 
    0, 11, 'E', 3, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 8, 'As Seixadas', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 9, 'Seixadelas', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 10, 'As Teixugueiras', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 11, 'Terzas', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 12, 'Valdariz', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32821', 13, 'Xinzo Das Teixugueiras', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32822', 1, 'A Armada (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32822', 2, 'Pereda (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32822', 3, 'Os Pereiros (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32822', 4, 'San Pedro (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32823', 1, 'O Bidueiro', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32823', 2, 'Freixo (Celanova)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32823', 3, 'Oleiros (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32823', 4, 'Parbon', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32823', 5, 'O Prado (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32823', 6, 'Sande (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32823', 7, 'Vilar da Ponte', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32824', 1, 'O Carregal', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32824', 2, 'Couxil', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32824', 3, 'Couxilio', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32824', 4, 'Gueral de Arriba', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32824', 5, 'O Mundil', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32824', 6, 'Noguero', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32824', 7, 'Outomuro', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32825', 1, 'Anfeoz', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32825', 2, 'Gueral de Abaixo', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32825', 3, 'Miros (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32825', 4, 'A Pena (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32825', 5, 'Sabuz', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32825', 6, 'Santa Baia de Anfeoz (Cartelle', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32825', 7, 'Soutelo (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32825', 8, 'A Teixeira (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 1, 'Abellos', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 2, 'Augalevada', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 3, 'Aulce', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 4, 'Doniz', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 5, 'Ella', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 6, 'Espioso', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 7, 'Freixoso', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 8, 'A Lama Grande (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 9, 'As Maravillas', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 10, 'Muntian', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 11, 'O Pazo (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 12, 'Os Pazos (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 13, 'Penela (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 14, 'Peto (Espioso-Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 15, 'Os Pumares (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32826', 16, 'O Vieiro (Cartelle)', 320202, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32827', 1, 'Bouzo (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32827', 2, 'Fonte Cuberta', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32827', 3, 'As Nieves (Puente Grande-Celan', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32827', 4, 'Outeiro (Puente Grande)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32828', 1, 'Buzacos', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32828', 2, 'A Casanova (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32828', 3, 'Correxas (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32828', 4, 'Fontelo (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32828', 5, 'Gueral (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32828', 6, 'As Nieves (Freixo-Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32828', 7, 'O Outeiro (Viveiro)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32828', 8, 'Tindeiro', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32828', 9, 'Os Vilares (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32828', 10, 'Viveiro (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32829', 0, 'Santa Maria (Celanova)', 320245, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 1, 'Barrio (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 2, 'Bouzas (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 3, 'Campinas (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 4, 'A Carballeira (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 5, 'A Corredoira (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 6, 'Fondo de Vila (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 7, 'A Manchica', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 8, 'Matusios', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 9, 'A Merca', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 10, 'Merouzo', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 11, 'Nigueiroa (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 12, 'Nogueira (Manchica)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 13, 'Nogueiroa (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 14, 'Outeiro (Parderrubias)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 15, 'Parderrubias', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 16, 'Pereira de Montes', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 17, 'As Pias (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 18, 'Solbeira (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 19, 'Suameixe', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 20, 'Vilaboa (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 21, 'Vilacha (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32830', 22, 'Vilar de Paio Muiz', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 1, 'Arcas', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 2, 'Avioa', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 3, 'O Campo (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 4, 'Canton', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 5, 'Celeiros (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 6, 'Cima de Vila (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 7, 'Compostela (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 8, 'Cruceiro (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 9, 'A Eirexa (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 10, 'Fontefria (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 11, 'Forxas de Vias', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 12, 'Freixeiro', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 13, 'Loureiro (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 14, 'A Mezquita (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 15, 'Moreiras (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 16, 'Nogueira (A-Merca Mezquita A)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 17, 'Outeiro (A-Merca Mezquita A)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 18, 'Pieiro (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 19, 'Proente (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 20, 'Rubillos', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 21, 'Santa Clara', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 22, 'Soutelo (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 23, 'Souto (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 24, 'A Torre (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32838', 25, 'O Val (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 1, 'A Barreira (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 2, 'Cabanas de Abaixo', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 3, 'Cabanas de Ferro', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 4, 'Cabanas Loureiro', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 5, 'Campos (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 6, 'Casal (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 7, 'Entrambosrios (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 8, 'Faramontaos (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 9, 'Lameiro Quente', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 10, 'A Medorra (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 11, 'Olas', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 12, 'Oxen (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 13, 'Pazos de Olas', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 14, 'Vilario (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33748', 6, 'Ol', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33393', 2, 'Beloo', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33393', 3, 'Caravedo', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33393', 4, 'Cenero', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33393', 5, 'Fresno (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33393', 6, 'Sotiello (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33393', 7, 'Trubia (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33393', 8, 'Veranes', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33393', 9, 'Villar (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 1, 'La Aldea (Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 2, 'Bernueces', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 3, 'Cabuees', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 4, 'Castaeda', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 5, 'Cefontes', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 6, 'Cimadevilla (Cabuees)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 7, 'La Cuesta (Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 8, 'Deva', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 9, 'Fondon (Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 10, 'Lloreda (Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 11, 'La Olla (Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 12, 'Pedroso (Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 13, 'Pontica', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 14, 'Reguera (Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 15, 'Rioseco (Vega - Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 16, 'San Antonio (Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 17, 'San Miguel de Bernueces', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 18, 'Santurio', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 19, 'Serantes (Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33394', 20, 'Zarracina (Deva - Gijon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 1, 'Corvera', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 2, 'Atalaya (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 3, 'Atras (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 4, 'Aviles', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 5, 'Barrial (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 6, 'El Breton', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 7, 'La Cabianca', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 8, 'Caleyo (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 9, 'Caliero (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 10, 'Campo Conde', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 11, 'El Campo (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 12, 'Los Campos (Corvera)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 14, 'Corros (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 15, 'Altamira (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 16, 'El Cueto (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 17, 'Entrevias (Corvera)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 18, 'Entrevias (San Cristobal-Avil', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 19, 'Los Espinos (Corvera)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 20, 'La Estrada (Corvera)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 21, 'La Folleca', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 23, 'La Garita', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 24, 'Gaxin', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 25, 'La Lleda', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 26, 'La Pedrisca', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 27, 'Piqueros', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 28, 'Raices Nuevo (Castrillon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 29, 'Raices Viejo (Castrillon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 30, 'La Sabrera', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 31, 'Salinas (Castrillon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 32, 'San Cristobal (Castrillon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 33, 'Santa Cruz de los Campos (Corv', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 34, 'Somorrostro', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 35, 'De Trubia (Corvera)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 36, 'Truyes (Corvera)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 37, 'Valgranda', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 38, 'Las Vegas (Corvera)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 39, 'Villalegre (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 41, 'Coto Carcedo (Castrillon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33400', 42, 'La Sablera', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33402', 1, 'Arabuya', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33402', 2, 'Aviles', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33402', 3, 'Ceba, La (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33402', 5, 'Grandiella (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 1, 'Alfaraz', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 2, 'Bao (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 3, 'Los Caleyos (Castrillon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 4, 'Los Calvos', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 5, 'Campo Santa Ana', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 6, 'La Carriona', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 7, 'Cruz de Illas', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 8, 'Cruz de la Hoguera', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 9, 'La Curtia', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 10, 'Eria de Corros', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 11, 'El Forcon (Castrillon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 12, 'La Granda (Castrillon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 13, 'Heros (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 14, 'Miranda (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 15, 'Mondivisa', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 16, 'Montecerrado', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 17, 'Las Pedreras', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 18, 'El Pelame', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 19, 'Pozo de la Granda', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 20, 'El Riego', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 21, 'Santa Ana (Miranda - Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 22, 'Santo Domingo', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 23, 'Vidoledo', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33410', 24, 'Villanueva (La Carriona)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 1, 'La Barrera (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 2, 'La Braa (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 3, 'Bruzal', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 4, 'Callezuela', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 5, 'Fonte', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 6, 'Friera (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 7, 'Joyana', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 8, 'La Llascara (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 9, 'Poli', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 10, 'Taborneda', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33411', 11, 'Trejo', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 1, 'El Barriero', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 2, 'El Breton', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 3, 'Capiello (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 4, 'Cao (Aviles)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 5, 'La Escuela (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 6, 'Fabar (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 7, 'Las Huertas', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 8, 'La Laguna (Castrillon)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 9, 'La Llamera (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 10, 'Llano (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 11, 'Lloreda (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 12, 'El Monte (Aviles)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 13, 'Panizales (Aviles)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 14, 'La Pereda (Aviles)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 15, 'El Pevidal (Castrillon)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 16, 'Piniella (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 17, 'Ponton de Villa (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 18, 'El Suco (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 19, 'La Torre (Laguna)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 20, 'Tras la Iglesia', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 21, 'Truebano (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 22, 'Vallin (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 23, 'Velasco', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 24, 'El Venero', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 25, 'Villa (Corvera)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33412', 26, 'Zanzadornin', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 1, 'Argaosa', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 2, 'Calavero', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 3, 'Ceruyeda', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 35, 'La Viesca (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 36, 'Villa de Abajo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 37, 'Villarin (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33867', 38, 'Vistahermosa (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 1, 'Acellana', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 2, 'Allence (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 3, 'Arrojo (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 4, 'Casazorrina', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 5, 'Espinedo (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 6, 'Festiella', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 7, 'Figares (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 8, 'Fontanal', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 9, 'Llamas (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 10, 'Loris', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 11, 'El Monte (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 12, 'Monteagudo (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 13, 'Poles', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 14, 'Quintana (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 15, 'Rabadiello', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 16, 'La Sala (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 17, 'San Martin (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 18, 'San Vicente (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 19, 'Villacarisme', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 20, 'Villamar de Abajo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 21, 'Villamar de Arriba', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 22, 'Villampero', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 23, 'Villarraba', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33868', 24, 'Villazon', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 1, 'Ablaneda (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 2, 'Arbodas', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 3, 'La Barrosa (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 4, 'Carles', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 5, 'Godan', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 6, 'Mallecin', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 7, 'Otero (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 8, 'Pereras', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 9, 'El Pevidal (Salas', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 10, 'Peedo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 11, 'Piedo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 12, 'Soto de los Infantes', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 13, 'Vega de los Peredos', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 14, 'La Vega (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 15, 'La Venta (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33869', 16, 'Viescas (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33870', 1, 'La Braa (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33870', 2, 'Buenavista (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33870', 3, 'Ocio', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33870', 4, 'Tineo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 1, 'Atalaya (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 2, 'Barreiro (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 3, 'Barzanallana', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 4, 'Bullacente', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 5, 'Burgazal', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 6, 'Bustellin', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 7, 'Calabazos', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 8, 'Calleras', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 9, 'Carrizal (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 10, 'Cerezal de Rellanos', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 11, 'Coldobredo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 12, 'Conto', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 13, 'Ese de Calleras', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 14, 'La Fanar', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 15, 'Folgueras de Mualen', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 16, 'Folledo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 17, 'Foyedo (Navelgas-Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 18, 'Foz (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 19, 'Fresnedo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 20, 'Fuentes (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 21, 'Leirosa', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 22, 'Llaneces de Rellanos', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 23, 'Morados', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 24, 'Mualen', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 25, 'Navelgas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 26, 'Parada (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 27, 'Paradiella', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 28, 'La Peral (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 29, 'Rebollada (Navelgas-Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 30, 'Rellanos', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 31, 'Relloso (Navelgas-Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 32, 'Sabadell de Navelgas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 33, 'Tejedal (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 34, 'La Tejera (Navelgas-Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 35, 'Vallinaferrera', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 36, 'Vega de Mualen', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 37, 'Venta de Aquilino', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 38, 'Villar de Navelgas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33873', 39, 'Zardain', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 1, 'Arcillero', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 2, 'Aristebano', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 3, 'Barcena del Monasterio', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 4, 'Berrugoso', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 5, 'Busian', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 6, 'Bustellon', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 7, 'Cabuerna', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 8, 'Candanedo (Naraval)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 9, 'Carbajal (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 10, 'La Cebedal (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 11, 'Cerecedo de Cabuerna', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 12, 'Cerezal de Tablado', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 13, 'Collada (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 14, 'Cornas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 15, 'Cuestalonga', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 16, 'Escarden', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 17, 'Ese de San Vicente', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 18, 'La Fajera (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 19, 'La Fanosa', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 20, 'Folgueras de Cornas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 21, 'Folgueras del Rio', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 22, 'Francos (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 23, 'Genestosa', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 24, 'Hervederas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 25, 'Lantero (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 26, 'Luciernas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 27, 'Mio', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 28, 'Monterizo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 29, 'Murias (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 30, 'Naraval', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 31, 'Narciandi', 330122, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 32, 'Noron', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 33, 'Obona', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 34, 'Olleros', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 35, 'Ordial de Mio', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 36, 'Paniceros', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 37, 'Piedrafita (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 38, 'Piedralonga', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 39, 'Piedratecha', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 40, 'Prado (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 41, 'La Rebollosa', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 42, 'Recorba', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 43, 'Rellon (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 44, 'Riocastiello', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 45, 'Riviella (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 46, 'San Andres (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 16, 'Pumarin (Figaredo)', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 17, 'Quemadero', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 18, 'Repipe', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 19, 'Riquela', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 20, 'Sarabia', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 21, 'Sobre Las Vegas', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 22, 'Vega de los Piqueros', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 9, 'Las Peas', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 10, 'Del Pino', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 11, 'Quebradero', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 12, 'Las Rosadas', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35339', 13, 'San Matias', 350271, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35340', 1, 'Las Cuevas', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35340', 2, 'Cuevecillas (Maspalomas)', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 47, 'San Fructuoso', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 48, 'San Martin de Forcayado', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 49, 'San Martin de Olleros', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 50, 'San Pedro de Barcena', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 51, 'San Salvador (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 52, 'Santa Eulalia de Mio', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 53, 'Silvallana (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 54, 'Tablado de Riviella', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 55, 'Tablado del Rio', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 56, 'Tarantiellos', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 57, 'Las Tiendas (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 58, 'Tremado (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 59, 'Trespando', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 60, 'Valle de Tablado', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 61, 'Venta Arcadio', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 62, 'Venta del Aire (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 63, 'Venta el Pagano', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 64, 'Venta Quildan', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 65, 'Venta Villacin', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 66, 'Villapro', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 67, 'Villarino del Rio', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 68, 'Villatriz', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 69, 'La Vinada', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33874', 70, 'Vislavera', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 1, 'Ablaneda (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 2, 'Agoveda', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 3, 'Aguera de Carriles', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 4, 'Albar', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 5, 'Ansaras', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 6, 'Arganza', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 7, 'Armayan', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 8, 'Arroyo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 9, 'Barzana (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 10, 'Barzanicas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 11, 'Berdules', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 12, 'Cabaas (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 13, 'Cachorrero', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 14, 'Campo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 15, 'Carcediel', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 16, 'Carriles (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 17, 'Cerviago', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 18, 'Cortina (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 19, 'Los Eiros (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 20, 'Fenolledo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 21, 'Gera', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 22, 'Lago (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 23, 'La Llama (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 24, 'Magarin', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 25, 'Mallayo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 26, 'Mirallo de Abajo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 27, 'Mirallo de Arriba', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 28, 'El Peligro', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 29, 'Pena (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 30, 'Pendosen', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 31, 'Perluces', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 32, 'Piera de San Felix', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 33, 'Pozon (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 34, 'El Pueblo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 35, 'Quintaniella (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 36, 'Relamiego (San Esteban)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 37, 'Rozadiella (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 38, 'San Antonio de Relamiego', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 39, 'San Esteban de Relamiego', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 40, 'San Facundo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 41, 'San Felix (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 42, 'San Julian de Ponte', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 43, 'San Martin de Semproniana', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 44, 'Santa Marina (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 45, 'Santuea (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 46, 'Santullano (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 47, 'Semellon de Abajo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 48, 'Semellon de Arriba', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 49, 'Sobrado', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 50, 'Socarrera', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 51, 'Somellon', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 52, 'Tamallanes', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 53, 'Tejero', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 54, 'Valentin (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 55, 'Vallecueva', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 56, 'Valles de Teso', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 57, 'Villacin', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 58, 'Villafronte', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 59, 'Villameana (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 60, 'Villar de Sapos (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 61, 'Villarmou', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 62, 'Villarpadrid', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33875', 63, 'Vivente', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 1, 'Aguera de la Barca', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 2, 'Arees (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 3, 'Argancinas (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 4, 'Azorera', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 5, 'Bebares', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 6, 'Berzana', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 7, 'Bombeao', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 8, 'Braueta (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 9, 'Buseiro', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 10, 'Cabaniellas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 11, 'Las Campas (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 12, 'Casares (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 13, 'Castaedo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 14, 'Castaera (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 15, 'Castiello (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 16, 'Castiello de la Barca', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 17, 'Cetrales', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 18, 'Combarcio', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 19, 'Corniella', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 20, 'Espinaredo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 21, 'La Florida (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 22, 'Forcon (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 23, 'Fresno de Genestaza', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 24, 'Genestaza', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 25, 'Merilles', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 26, 'La Oteda', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 27, 'Pilotuerto', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 28, 'La Piqera (Genestosa-Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 29, 'Posada (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 30, 'La Prohida (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 31, 'Puente Tua', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 32, 'Puentecastro', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 33, 'Requejo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 34, 'El Rodical', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 35, 'San Adriano (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 36, 'San Vicente (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 37, 'Santa Marta', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 38, 'Santianes (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 39, 'Silva (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 40, 'Solanos', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 41, 'Sorriba', 330518, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 42, 'Soto de la Barca', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 43, 'Torayo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 44, 'Los Tornos (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 15, 'Xen', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 16, 'Campelo (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 17, 'Casal de Maus', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 18, 'Corvillon', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 19, 'Covas do Rio', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 20, 'Fontao (A Merca)', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 21, 'Forxas de Montes', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 22, 'Salpurido', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32839', 23, 'Zarracos', 320473, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32840', 0, 'Bande', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32845', 0, 'Vitela', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 1, 'Buxan (Bande)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 2, 'Cahus', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 3, 'Carpazas', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 4, 'Chaos (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 5, 'Fradalvite', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 6, 'Mexide', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 7, 'Nigueiroa (Bande)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 8, 'O Outeiro (Bande)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 9, 'O Pazo (Bande)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 10, 'Portoquintela', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 11, 'Quinta (Bande)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 12, 'Quintela (Bande)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 13, 'Quintela (Santa Comba)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 14, 'Santa Comba (Bande)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 15, 'Trarigo', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 16, 'Vilamea (Bande)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 17, 'O Vial (Bande)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32846', 18, 'Xordos (Ver Sordos)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32847', 1, 'Barrio (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32847', 2, 'As Campinas (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32847', 3, 'Fervenza (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32847', 4, 'Garabelos (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32847', 5, 'Guin', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32847', 6, 'Lueda', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32847', 7, 'As Ponte Linares', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32847', 8, 'Quintela (Ribeiro)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32847', 9, 'O Ribeiro (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32847', 10, 'San Fiz (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32848', 1, 'Aldea de Arriba (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32848', 2, 'Os Baos de Bande', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32848', 3, 'Lebosandaus', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32848', 4, 'As Maus (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32848', 5, 'Vilar (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32848', 6, 'Vilela (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 1, 'Cados (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 2, 'Calvos (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 3, 'Cima de Vila (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 4, 'Corvelle (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 5, 'A Igrexa (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 6, 'Martian', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 7, 'Pazos (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 8, 'Pereira (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 9, 'Sarreaus (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 10, 'Recarei', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 11, 'Ribas (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 12, 'Rubias (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 13, 'Pumares (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 14, 'Seoane (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 15, 'O Souto (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32849', 16, 'Vilamea (Calvos-Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32850', 1, 'Lobeira (Capital)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32850', 2, 'As Quintas (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32850', 3, 'Baldemir', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32850', 4, 'A Canle', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32850', 5, 'Sabariz (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32850', 6, 'Torneiros (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32850', 7, 'Vilario (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32850', 8, 'Sendereiz (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32858', 1, 'Facos', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32858', 2, 'A Fraga (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32858', 3, 'Meas', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32858', 4, 'Parada do Monte', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32858', 5, 'A Parada (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32858', 6, 'Santa Baia (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32858', 7, 'Taboazas (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32858', 8, 'A Vila (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32859', 1, 'As Forcadas (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32859', 2, 'Monte Longo (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32859', 3, 'Nogueira (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32859', 4, 'Souto (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32859', 5, 'Vilario (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32860', 1, 'Asperelo y Olin', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32860', 2, 'O Casal (Entrimo)', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32860', 3, 'Entrimo (Capital)', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32860', 4, 'Esperelo', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32860', 5, 'A Feira Vella', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32860', 6, 'Galez', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32860', 7, 'As Quintas (Entrimo)', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32860', 8, 'Santa Maria la Real', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32860', 9, 'A Terracha', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32868', 1, 'Bouzadragro', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32868', 2, 'Ferreiros (Entrimo)', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32868', 3, 'Guxinde (Entrimo)', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32868', 4, 'Pereira (Entrimo)', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32868', 5, 'Queguas', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32868', 6, 'Quintian (Entrimo)', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32868', 7, 'Venceans', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32868', 8, 'Vilar (Entrimo)', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32869', 1, 'Buscalque', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32869', 2, 'Escoleira', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32869', 3, 'A Illa', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32869', 4, 'Lantemil', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32869', 5, 'Lentemil (Entrimo)', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32869', 6, 'Olelas', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32869', 7, 'Quintela (Lobios)', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32869', 8, 'Reloeira', 320300, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 1, 'Aceredo', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 2, 'Barreal (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 3, 'Bubaces', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 4, 'Cimadevila (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 5, 'Compostela (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 6, 'Cruces (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 7, 'A Devesa (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 8, 'Fabrica (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 9, 'Fondevila (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 10, 'Lobios (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 11, 'Ludeiros (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 12, 'Manin', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 13, 'O Outeiro (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 14, 'Padrendo (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 15, 'Pazos (San Miguel Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 16, 'As Quintas (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 17, 'Rial (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 18, 'Suigrexa (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 19, 'A Vila (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32870', 20, 'Zapateiros', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 1, 'Arauxo (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 2, 'Bouzas (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 3, 'Briidelo', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 4, 'A Cela', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 5, 'Delas', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 6, 'Esperanzo', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 7, 'Guende', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 8, 'Gustomeao', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 9, 'Ogos', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 10, 'Pancibe', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 9, 'Fea', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 4, 'Cogollo (Las Regueras)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 5, 'Cogullon', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 6, 'La Cuesta (Aviles)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 7, 'Faedo (Candamo)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 8, 'Faedo (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 9, 'Llanavao (Aviles-La Reigada)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 10, 'Llano (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 11, 'Los Llanos (Aviles)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 12, 'Los Llaos', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 13, 'Paciones', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 14, 'El Palacio (Aviles)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 15, 'Las Pandiellas', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 16, 'Pedregal (Aviles)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 17, 'La Peral (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 18, 'Peocedo', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 19, 'Peoy', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 20, 'Picaron', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 21, 'Pijil', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 22, 'El Pozo de Viescas (Aviles-La', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 23, 'Reconco (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 24, 'Regidor', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 25, 'La Reigada (Candamo)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 26, 'La Reigada (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 27, 'Revelgo', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 28, 'Reznera', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 29, 'Rozaflor', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 30, 'Roada la', 330100, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 31, 'La Sierra (Aviles-La Reigada)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 32, 'Tablado (Candamo)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 33, 'La Torre (La Reigada)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 34, 'Los Valles (Candamo)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33414', 35, 'Ventanueva (Illas)', 330306, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 1, 'Ablaneda (Corbera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 3, 'Bango', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 4, 'Barrial (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 5, 'La Cabaa (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 6, 'Calabaza (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 7, 'Candamo de Corvera', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 8, 'Carruebano', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 9, 'Castiello (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 10, 'Castiello (Villabona-Llanera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 11, 'La Cogulla (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 12, 'Entrialgo', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 13, 'Esquilera', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 14, 'Estebanina', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 15, 'Fuencaliente', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 16, 'Garcia', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 17, 'Grandellana', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 18, 'Juncedo', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 19, 'Lago (Aviles)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 20, 'Lavandera (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 21, 'Llandones (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 22, 'El Llano (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 23, 'Menudera', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 24, 'La Mina', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 25, 'Molleda', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 26, 'Monco (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 27, 'Nubledo', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 28, 'Pedrera (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 29, 'La Peluca', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 30, 'Peruyal (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 31, 'El Pino (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 32, 'Ralla', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 33, 'La Reguera (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 34, 'La Rozona', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 35, 'Sabledal', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 36, 'La Sierra (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 37, 'La Trapa (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 38, 'Vega (Illas)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33416', 39, 'Villanueva (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33417', 0, 'San Juan de Nieva', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 1, 'El Araon', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 2, 'Campo de la Iglesia (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 3, 'El Campo (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 4, 'Endasa (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 5, 'Faro de Aviles', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 6, 'Genra', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 7, 'La Granda (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 8, 'Laviana de Gozon', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 9, 'Llodero (San Martin de Podes)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 10, 'Lloreda (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 11, 'Monteril', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 12, 'Nieva', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 13, 'La Piquera (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 14, 'Podes', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 15, 'San Balandran', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 16, 'San Martin de Podes', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 17, 'Santiago de Ambiedes', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 18, 'Xago', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33418', 19, 'Zeluan', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33420', 1, 'El Carbayo (Lugones)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33420', 2, 'Lugones', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33423', 0, 'Soto de Llanera', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33424', 1, 'Abarrio', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33424', 2, 'Ables', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33424', 3, 'Andorcio', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33424', 4, 'Lineres (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33424', 5, 'Peruyeres', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33424', 6, 'Portiella (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33424', 7, 'Posada de Llanera', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33424', 8, 'Regidorio', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33424', 9, 'Rondiella (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33424', 10, 'Severies', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33425', 1, 'Aguera (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33425', 2, 'Bauro', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33425', 3, 'Caa', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33425', 4, 'Guyame', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33425', 5, 'Piera (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33425', 6, 'San Cucao', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33425', 7, 'Tuernes el Grande', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33425', 8, 'Tuernes el Pequeo', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33425', 9, 'Villanueva (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33426', 1, 'Bonielles', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33426', 2, 'Carbajal (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33426', 3, 'El Fresno (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33426', 4, 'La Granda (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33426', 5, 'Panizales (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33426', 6, 'La Pea (Bonielles - Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33426', 7, 'Vidriera', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 1, 'Anduerga', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 2, 'Arlos', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 3, 'Barredo (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 4, 'Carbayal (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 5, 'Cenizal (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 6, 'Fanes', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 7, 'Lavares (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 8, 'Santa Cruz de Llanera', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 9, 'Vendon', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 10, 'Verdera (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33427', 11, 'Villayo', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33428', 1, 'Arroyo (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33428', 2, 'Cadage', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33428', 3, 'Campiello (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33428', 4, 'Cayes', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33428', 5, 'Coruo', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33428', 6, 'Poligono Industrial de Asipo', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33428', 7, 'Ponte (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47018', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 23, 'Vegalafonte', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33683', 24, 'Villadominica', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 1, 'Buciello', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 2, 'Caborana', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 3, 'Los Collados (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 4, 'Conveniencia', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 5, 'La Estrada (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 6, 'Llana la Mata', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 7, 'La Pinga', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 8, 'La Reguera (Caborana)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 9, 'La Sienra (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 10, 'Sinariego', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 11, 'El Tarancon', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 12, 'La Tejera (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33684', 13, 'Valdefarrucos', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 1, 'Acebedo (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 2, 'Arteos', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 3, 'Las Barrosas', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 4, 'Cambrosio', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 5, 'Carrocera (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 6, 'El Casar de Moreda', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 7, 'Los Casares (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 8, 'Castandiello (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 9, 'Castaedo (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 10, 'Castiello (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 11, 'Corigos (Aller', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 12, 'La Cortina (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 13, 'Cubrenes', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 14, 'Escobio (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 15, 'Estrullones', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 16, 'Fresnadiello (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 17, 'Fresnaza', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 18, 'El Lagar (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 19, 'Llameras', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 20, 'Misiegos', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 21, 'Orilles de Serrapio', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 22, 'El Palacio (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 23, 'Pedregal (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 24, 'Pereda (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 25, 'Pinedo', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 26, 'Pieres de Aller', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 27, 'La Provia (Pieres)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 28, 'El Pueblo (Pieres-Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 29, 'San Antonio (Pieres - Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 30, 'San Pedro de Pieres', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 31, 'Santa Ana (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 32, 'Serrapio', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 33, 'Soto de Aller', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 34, 'Las Tercias (Pieres-Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 35, 'El Torno', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 36, 'Vegalatorre', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 37, 'Veguellina', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 38, 'La Venta (Pieres-Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33685', 39, 'Villar (Pieres-Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 1, 'Bello (Cabaaquinta-Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 2, 'Cabaaquinta', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 3, 'Casas de Abajo (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 4, 'Cuevas (Pelugano - Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 5, 'Entrepeas (Cabaaquinta)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 6, 'Escobio (Cabaaquinta)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 7, 'Fornos (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 8, 'Levinco', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 9, 'Palomar (Cabaaquinta)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 10, 'Pelugano', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 11, 'Las Quintanas (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 12, 'Rio Cabo', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 13, 'La Sierra (Cabaaquinta)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33686', 14, 'La Vega (Cabaaquinta)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33687', 1, 'Llanos', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33687', 2, 'El Pino (Moreda)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33687', 3, 'Pola del Pino', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33687', 4, 'Rioseco (Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33688', 1, 'Cuevas (Felechosa - Aller)', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33688', 2, 'Felechosa', 330024, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 1, 'Berbola', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 2, 'Caravies', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 3, 'Castaera (Lugo Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 4, 'Castiello (Lugo Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 5, 'Fonciello (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 6, 'Lugo de Llanera', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 7, 'Pando (Lugo de Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 8, 'Pondal', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 9, 'Robledo (Lugo Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 10, 'Santa Rosa (Lugo Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33690', 11, 'Truebano (Lugo Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33691', 1, 'Monteana', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33691', 2, 'Muniello (Veria)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33691', 3, 'Pavierna', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33691', 4, 'Poago (Veria)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33691', 5, 'Veria', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33691', 6, 'Zarracina (Veria-Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33692', 2, 'Cabezon', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33692', 7, 'Navidiello', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33692', 10, 'Las Puentes', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33692', 12, 'San Andres (Puente Fierros)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 1, 'Braillin (Pajares)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 2, 'Flor de Acebos', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 3, 'La Malveda', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 4, 'El Nocedo (Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 5, 'Pajares', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 6, 'Las Pedrosas', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 7, 'San Miguel del Rio', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 8, 'Santa Marina (Pajares)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 9, 'Valgrande (Estacion Invernal -', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 10, 'Villar (Pajares)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 11, 'La Muela', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 12, 'Navedo', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 13, 'Puente de los Fierros', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 14, 'Castiello', 330450, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 15, 'Romia de Abajo', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33693', 16, 'Romia de Arriba', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33694', 1, 'El Carril', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33694', 2, 'Casorvida', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33694', 3, 'Congostinas', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33694', 4, 'Linares del Puerto', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33694', 5, 'Malvedo', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33694', 6, 'Pandiella (Linares-Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33694', 7, 'Buelles', 330479, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33694', 8, 'Llanos de Someron', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33694', 9, 'Parana', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33694', 10, 'Fresnedo', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 2, 'Castiello (Villallana)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 4, 'Castro (Villallana)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 5, 'La Collada (Pola de Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 6, 'La Corraona', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 7, 'Embaralado', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 9, 'Malpique', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 11, 'El Padrun (Villallana)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 12, 'Requejo (Lena)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 13, 'Retrulles', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 15, 'San Martino', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 16, 'Vallinas (Villallana)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 10, 'Pasquin', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 45, 'La Troncada', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 46, 'Tueres', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 47, 'Tua', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 48, 'Valserondo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33876', 49, 'Villanueva de Sorriba', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 1, 'Bedures', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 2, 'Braalonga', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 3, 'Busllon', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 4, 'Buspaulin', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 5, 'Cezures', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 6, 'Couto', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 7, 'El Crucero', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 8, 'El Espin (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 9, 'Faedo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 10, 'Millariega', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 11, 'Modreiros', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 12, 'Monteoscuro', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 13, 'Ondinas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 14, 'Pedregal (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 15, 'La Pereda (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 16, 'Las Pontigas (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 17, 'Santa Eulalia de Tineo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 18, 'Sebran', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 19, 'La Tejera (El Crucero - Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 20, 'La Trapa (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 21, 'Truebano (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 22, 'Valdarieme', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 23, 'El Valle (El Crucero - Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33877', 24, 'Zarrazin', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 1, 'Anzas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 2, 'Besapie', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 3, 'Borres', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 4, 'Bustiello de Cabuerna', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 5, 'Campiello (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 6, 'Cerecedo del Monte', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 7, 'Colinas de Abajo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 8, 'Colinas de Arriba', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 9, 'Concellin', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 10, 'Concillin', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 11, 'Corcolina', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 12, 'La Cueta (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 13, 'Curriellos (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 14, 'Espin de Sangonedo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 15, 'La Fayona (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 16, 'Fontalba', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 17, 'Fresno (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 18, 'Huergola', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 19, 'Laniello', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 20, 'Lavadoira', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 21, 'Lavandera (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 22, 'La Mortera (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 23, 'Orderias (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 24, 'Orrea', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 25, 'Pelontre', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 26, 'Pereda de Sangoedo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 27, 'Porciles (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 28, 'Robledo de Obona', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 29, 'Sabadell de Troncedo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 30, 'Samblismo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 31, 'Sangoedo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 32, 'Troncedo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 33, 'Valmorisco', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 34, 'Vega de Rey (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 35, 'Villajulian', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 36, 'Villaluz', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33878', 37, 'Villerino del Monte', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 1, 'Baradal', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 2, 'Barredo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 3, 'Busmartin', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 4, 'Busmeon', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 5, 'Bustellan', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 6, 'Bustiello de Calleras', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 7, 'Bustoburniego', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 8, 'Campo Caldera', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 9, 'La Casilla (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 10, 'Los Cepones', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 11, 'Las Colladas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 12, 'Las Cruces (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 13, 'Faedal (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 14, 'Fastias', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 15, 'Folguerua (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 16, 'Fondal (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 17, 'Fuejo (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 18, 'Grandamuelle', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 19, 'Llaneces de Calleras', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 20, 'Llaneces de la Barca', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 21, 'Llaneza la (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 22, 'Llanoriego', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 23, 'Maores', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 24, 'Montelloso', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 25, 'Nieres', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 26, 'Ordial de la Barca', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 27, 'Pandiello (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 29, 'Peacabranes', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 30, 'Peafolgueras', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 31, 'Piera de Barredo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 32, 'Ponte (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 33, 'Los Pontones (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 34, 'Rio Villar', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 35, 'La Rubiera (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 36, 'San Roque (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 37, 'Santiago de Cerredo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 38, 'Las Tabiernas', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 39, 'Trabazo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 40, 'La Uz (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 41, 'Vallamonte', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 42, 'Veneiro', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 43, 'Villabona (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 44, 'Villacabrera', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 45, 'Villatresmil', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 46, 'El Viso (Tineo)', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33879', 47, 'Yerbo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33880', 0, 'Pola de Allande', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 1, 'Buslabin', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 2, 'Cernias', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 3, 'Ema', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 4, 'Fresnedo (San Emiliano)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 5, 'Herias (Illano)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 6, 'Murias (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 7, 'La Quintana (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 8, 'San Emiliano', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 9, 'Tamagordas', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 10, 'Valle (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 11, 'Vallinas (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33885', 12, 'Villadecabo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33886', 1, 'Armenande', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33886', 2, 'Carcedo de Lago', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33886', 3, 'Lago (Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33886', 4, 'Santa Maria de Lago', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33886', 5, 'Villar de Castanedo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33886', 6, 'Villardejusto', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 1, 'Abuanes', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 2, 'Baldedo (Pola Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 3, 'Barras', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 4, 'Berducedo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 5, 'Buspol (Grandas de Salime)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 6, 'Bustarel', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 7, 'Busvidal', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 11, 'Parao (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 12, 'A Portaxe', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 13, 'Prancibe', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 14, 'O Puxedo', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 15, 'A Regada (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 16, 'O Reguengo (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 17, 'Requeixo (Arauxo)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 18, 'Ribas de Arauxo', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 19, 'Sa (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 20, 'San Paio de Arauxo', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32879', 21, 'A Vila (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 1, 'O Agrelo', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 2, 'Guntumil (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 3, 'As Maus de Salas', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 4, 'Mugueimes', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 5, 'Muios (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 6, 'Picos', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 7, 'Porqueiros', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 8, 'O Raadoiro (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 9, 'Requias', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 10, 'Calvelo (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 11, 'Cerdedo (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 12, 'Couso de Salas', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 13, 'Fornadeiros', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 14, 'Guimil', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 15, 'A Pousa (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 16, 'O Reguego', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 17, 'Soutelo (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32880', 18, 'Vilar de Cas (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 1, 'Alen (Barbadas)', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 2, 'O Alto do Ponton', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 3, 'Barbadas', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 4, 'Bentraces', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 5, 'A Carretera (Barbadas)', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 6, 'Cimadevila (Barbadas)', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 7, 'Os Fornos', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 8, 'A Igrexa (Barbadas)', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 9, 'As Lamas', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 10, 'Loiro', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 11, 'Os Muios (Barbadas)', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 12, 'O Ponton (Barbadas)', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 13, 'Prado (Barbadas)', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 14, 'San Amaro (Barbadas)', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32890', 15, 'Sobrado do Bispo', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32891', 1, 'A Granxa (Bande)', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32891', 2, 'Ponte Cados', 320065, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 1, 'Barallo', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 2, 'A Carreira (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 3, 'Casal do Souto', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 4, 'Casardecima', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 5, 'Casardomato (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 6, 'Cimadevila (Grou)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 7, 'Coloo', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 8, 'O Corgo (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 9, 'A Cruz (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 10, 'O Eido', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 11, 'Ferreiros (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 12, 'Ferreiros de Alen', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 13, 'Foz (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 14, 'Ganceiros', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 15, 'A Lama (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 16, 'Maras', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 17, 'Pazos (Grou)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 18, 'Pedrosa (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 19, 'Pousa (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 20, 'As Quintas (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 21, 'A Rasela (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 22, 'O Reguengo (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 23, 'Requeixo (Grou)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 24, 'A Rua (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 25, 'Silvares (Lovios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 26, 'O Souto (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 27, 'Terradas', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 28, 'Torno', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 29, 'Uzal', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 30, 'O Valoiro', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 31, 'Xeas', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32892', 32, 'Xendive (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32893', 1, 'Arieiros', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32893', 2, 'A Herdadia', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32893', 3, 'Pereiro (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32895', 1, 'Os Baos (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32895', 2, 'Torneiros (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32895', 3, 'Vilamea (Lobios)', 320420, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32896', 1, 'Parada de Ventosa', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32896', 2, 'Pazo (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32897', 1, 'Cabaleiros', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32897', 2, 'Carreiras (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32897', 3, 'As Conchas', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32897', 4, 'Ermille', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32897', 5, 'A Santa Cruz (Lobeira)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32897', 6, 'Tedos', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32897', 7, 'Abelleira (Muios)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32897', 8, 'Barxes (Muios)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32897', 9, 'Taboadela (Muios)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32897', 10, 'Seoana de Taboadela (Muios)', 320415, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32898', 1, 'Albite (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32898', 2, 'Barrio (Cados)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32898', 3, 'Cados (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32898', 4, 'Pioi', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32898', 5, 'Prado de Limia', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32898', 6, 'Reparada', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32898', 7, 'O Salgueiro', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32898', 8, 'San Miguel (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32898', 9, 'Xermeade', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32899', 2, 'O Barrio (Barxes)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32899', 7, 'O Cruceiro (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32899', 8, 'Farnadeiros', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32899', 11, 'Pazos (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32899', 12, 'A Pedreira (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32899', 14, 'Quinta (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32899', 16, 'Reguendo (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32899', 17, 'Santuario', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32899', 20, 'Souto de Limia (Muios)', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32899', 22, 'Touros', 320512, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32900', 1, 'Balias', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32900', 2, 'Belmonte', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32900', 3, 'Campo (Ourense)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32900', 4, 'Chao (Ourense)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32900', 5, 'Cotorio', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32900', 7, 'Pazos de San Clodio', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32900', 8, 'O Picouto (San Cibrao Das Via', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32900', 9, 'Valias (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32900', 10, 'A Zamorana', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 2, 'Calvos (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 3, 'A Carballeira (San Cibrao Das', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 4, 'A Castellana', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 5, 'Castroverde', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 7, 'A Eirexa (Rabeda)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 8, 'A Mioteira (San Cibrao Das Vi', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 10, 'Poligono Industrial (San Cibra', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 11, 'Poligono San Cibrao Das Vias', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 13, 'Porto Seixio', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 14, 'A Ponte (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 14, 'Lage', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33428', 8, 'Venta del Gallo (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 1, 'Balbona (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 2, 'La Belga (Bobes-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 3, 'La Belga (Viella-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 4, 'Bobes', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 5, 'La Cabornia (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 6, 'Castaero (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 7, 'El Castro (Lugones)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 8, 'El Cogollu (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 9, 'Conceyin (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 10, 'La Cuesta (Bobes-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 11, 'Estacion (Piedeloro-Carreo)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 12, 'Folgueras (Lugones)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 13, 'Fresneda (Lugones)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 14, 'Naon', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 15, 'Paredes (Lugones)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33429', 16, 'Viella', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33430', 1, 'Candas', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33430', 2, 'Carbayo (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33430', 3, 'Casas Molino', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33430', 4, 'La Cruz de Arrabal', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33430', 5, 'La Forca (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33430', 6, 'Peqeres (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33430', 7, 'La Piedra (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 1, 'Ambas (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 2, 'La Arena (Carredo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 3, 'Arquiella', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 4, 'Barcena (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 5, 'Las Barreras (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 6, 'Barreres (Prendes-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 7, 'Cabo de Villa (Candas)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 8, 'Cabovilla', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 9, 'Canto (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 10, 'El Canto (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 11, 'Cardoso (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 12, 'Cespedera', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 13, 'Condres', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 14, 'Cueto (El Valle-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 15, 'Fondo', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 16, 'Guimaran', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 17, 'Lacin', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 18, 'Lloral', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 19, 'Logrezana', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 20, 'Manzaneda (Guimaran - Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 21, 'Maquila', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 22, 'La Mata (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 23, 'El Monte (Logrezana-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 24, 'Naves (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 25, 'Nozalin (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 26, 'El Palacio (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 27, 'Polledo (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 28, 'Posada (Candas)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 29, 'Prendes', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 30, 'Rebollada (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 31, 'Riestro', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 32, 'San Pablo (Guimaran - Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 33, 'San Pablo (Prendes - Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 34, 'Santa Eulalia (Candas)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 35, 'La Sierra (Candas - Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 36, 'Sopea', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 37, 'Torre (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 38, 'Valle de Carreo', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 39, 'Vega (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 40, 'Villar (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33438', 41, 'Xianes', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 1, 'Alto de la Iglesia', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 2, 'La Barca (Piedeloro-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 3, 'La Cabada (Logrezana-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 4, 'Calabrina', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 5, 'Los Caleros (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 6, 'Campanal (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 7, 'Carnicera', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 8, 'Castiello (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 9, 'Colloto (Candas)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 10, 'Coyanca', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 11, 'Espasa (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 12, 'La Granda (Candas)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 13, 'Llaneces (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 14, 'El Llano (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 15, 'Llantero (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 16, 'La Machina', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 17, 'Matiella', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 18, 'La Menudina', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 19, 'El Monte (Piedeloro-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 20, 'Pedregal (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 21, 'Peeo', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 22, 'Piedeloro', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 23, 'Regueral (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 24, 'Rendaliego', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 25, 'Sebades', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 26, 'La Tejera (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 27, 'La Uz (Candas)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 28, 'Xunca', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33439', 29, 'Zanzabornin', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33440', 0, 'Luanco', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 1, 'Las Arenas (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 2, 'Balbin', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 3, 'Baugues', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 4, 'Cabaas (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 5, 'Cabo Peas', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 6, 'Camporriondo', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 7, 'Cellero', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 8, 'La Cuesta (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 9, 'Espeada', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 10, 'Fancornio', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 11, 'Faro de Peas', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 12, 'Ferrero (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 13, 'Fiame', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 14, 'Gelaz', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 15, 'Heres', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 16, 'El Monte (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 17, 'Peroo', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 18, 'Pesgana', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 19, 'El Pueblo (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 20, 'Quintana (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 21, 'Salines (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 22, 'San Jorge de Heres', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 23, 'Susacasa', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 24, 'La Vallina (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 25, 'Verdicio', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 26, 'Villanueva (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33448', 27, 'Viodo', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 1, 'Altamira (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 2, 'Alvare (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 3, 'Antromero', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 4, 'Aramar', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 5, 'Bocines', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 6, 'Busto (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 7, 'Cabornio (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 8, 'Cabrera', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 9, 'Cardo', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 10, 'Cerin', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 11, 'Eria (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 12, 'Ferrera (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 13, 'La Fuentefria', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 17, 'Vega Muro', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 18, 'La Vega (Villallana)', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 19, 'Villallana', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33695', 20, 'Viscarriona', 330334, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33696', 1, 'Fresnedo (Soto Rey)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33696', 2, 'Lusiella', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33696', 3, 'Picolanza', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33696', 4, 'Soto de Rey', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 1, 'Arroyo (Serin)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 2, 'Campazon', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 3, 'Cruciada', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 4, 'El Espin (Gijon)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 5, 'Fontanielles', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 6, 'Gallinal', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 7, 'Liervado', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 8, 'Melendrera (Serin)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 9, 'Naviella', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 11, 'Pendiello', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 12, 'Piqera (Serin)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 13, 'Reboria (Serin)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 14, 'San Andres de Tacones', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 15, 'Santianes (Serin)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 16, 'Serin', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 17, 'Sisiello', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 18, 'Traveseo', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 19, 'Vallin (Serin)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 20, 'La Vega (Serin)', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33697', 21, 'Vilarteo', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33700', 1, 'Almua', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33700', 2, 'Barcellina', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33700', 3, 'Barrera (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33700', 4, 'Capitana', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33700', 5, 'Chano de Luarca', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33700', 6, 'Luarca', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33700', 7, 'Pateta', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33700', 8, 'Villar de Luarca', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 1, 'Belen', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 2, 'Buseco (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 4, 'Carboniella', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 5, 'Cercenadas', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 6, 'Cerezal (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 7, 'Concernoso', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 8, 'Conqueros', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 9, 'La Degollada', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 10, 'Fuentenavia', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 12, 'La Granda (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 15, 'El Mazo (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 16, 'Menudero', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 17, 'Ordovaga', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 18, 'Paladeperre', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 19, 'La Perdoz', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 20, 'Piedrafita (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 21, 'Los Pieros', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 22, 'Raicedo (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 23, 'Rebollares', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 24, 'Riopinoso', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 25, 'San Pelayo de Sexmo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 27, 'Sieriz', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 28, 'Tejedal de Abajo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 29, 'Tejedales', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33707', 30, 'Valleancho', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 1, 'Ablanedo (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 2, 'Busindre', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 3, 'Busmourisco', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 5, 'Cadollo', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 6, 'Candanin', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 7, 'La Candanosa (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 8, 'La Figal (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 9, 'Folgueron', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 10, 'Gallinero de Barcia', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 11, 'Herreria de Arriba', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 12, 'Leiriella', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 13, 'Modreros (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 14, 'Nera', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 15, 'Rioseco (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 17, 'Telares', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33708', 18, 'La Venta (Luarca)', 330349, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33710', 1, 'Aceas', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33710', 2, 'El Espin (Coaa)', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33710', 3, 'Navia', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33710', 4, 'Olga', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33716', 1, 'Fojos', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33716', 2, 'Medal', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33716', 3, 'Mohias', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33716', 4, 'Ortiguera (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33716', 5, 'Puerto de Ortiguera', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33716', 6, 'Rabeiron', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33716', 7, 'Reguera (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33716', 8, 'Vega de Pindolas', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33716', 9, 'Villares los (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33716', 10, 'Los Villares (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 1, 'Abrueiros', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 2, 'Berbeguera', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 3, 'Berrugas', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 4, 'Brauas', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 5, 'Bullimeiro', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 6, 'Busmente', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 7, 'Candanosa de Parlero', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 8, 'Carcabas', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 9, 'Carcobas', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 10, 'Carrio (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 11, 'Castaera (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 12, 'Granas', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 13, 'Herias (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 14, 'Los Lagos', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 15, 'Lendelforno', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 16, 'La Linera (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 17, 'Masenga', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 18, 'Murias (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 19, 'Oneta', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 20, 'Parlero', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 21, 'Ribalagua', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 22, 'Riestra (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 23, 'San Cristobal (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 24, 'Sellon (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 25, 'Valbona (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 26, 'Villayon', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33717', 27, 'Zorerina', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 1, 'Aguamaroza', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 2, 'Arbon', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 3, 'Argolellas', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 4, 'Barandon', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 5, 'El Barrio (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 6, 'Busmayor (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 7, 'Bustelfollado', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 8, 'Candanosa de Bustefollado', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 9, 'Candanosa de Solares', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 10, 'Castanedo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 11, 'El Couz (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 12, 'Folguerosa (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 13, 'Illaso', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 14, 'Lantero (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 15, 'Lendequintana', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 16, 'Loredo (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 17, 'Martintorin', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 18, 'Pojos', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 19, 'Ponticiella', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 20, 'San Pelayo (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 21, 'Solares (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 8, 'Castello (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 9, 'El Castro (Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 10, 'Coba (P. Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 11, 'Collada (P. Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 12, 'Cornollo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 13, 'Corondeo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 14, 'El Engertal', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 15, 'La Figuerina', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 16, 'Fonteta', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 17, 'La Furada', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 18, 'La Grandera (Pola de Allende)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 19, 'La Mesa', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 20, 'Paradas', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 21, 'El Provo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 22, 'Robledo (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 23, 'Rubieiro', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 24, 'Salcedo (P. Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 25, 'San Martin de Valledor', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 26, 'San Salvador de Valledor', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 27, 'Teijedo (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 28, 'Los Toucedos', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 29, 'Trabaces', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 30, 'Trapa (P. Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 31, 'Trellopico', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 32, 'Tremado (P. Allende)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 33, 'Valia Mayor', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 34, 'Villalain', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 35, 'Villanueva (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 36, 'Villar de Buspol', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 37, 'Villasonte', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33887', 38, 'Villarpedre', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 1, 'Arbeyales (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 2, 'Bendon', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 3, 'Beveraso', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 4, 'Bojo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 5, 'Bustantigo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 6, 'Bustel', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 7, 'Caleyo de Abajo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 8, 'Caleyo de Arriba', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 9, 'El Caleyo (Santa Coloma)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 10, 'Castanedo (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 11, 'Estela', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 12, 'La Folgueriza', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 14, 'Llaneces (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 15, 'Meres (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 16, 'Monon', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 17, 'Montefurado', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 18, 'Muriellos (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 19, 'Navedo (Illano)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 20, 'Penouta (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 21, 'El Plantao (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 22, 'La Porquera', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 23, 'Puentenueva', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 24, 'El Rebollo (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 25, 'Riodecoba', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 26, 'San Pedro (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 27, 'Santa Coloma (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 28, 'Sarzol', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 29, 'El Sellon (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 1, 'Cabral', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 2, 'Caleyo (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 3, 'Carballedo (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 4, 'Celon', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 5, 'Cereceda (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 6, 'Cimadevilla (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 7, 'Colobredo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 8, 'Ferroy', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 9, 'Figueras (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 10, 'Fresnedo (Santa Coloma)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 11, 'Mazo de Abajo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 12, 'Mazo de Arriba', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 13, 'Penablanca', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 14, 'Peaseita', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 15, 'Piniella (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 16, 'Prada (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 17, 'Pradiella', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 18, 'La Reigada (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 19, 'Riovena', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 20, 'La Roza (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 21, 'Santa Eulalia (Pola de Allande', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 22, 'Santullano (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 23, 'Selce', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 24, 'Tamuo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 25, 'Valbona (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 26, 'Vallinadosa', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 27, 'Villafrontu', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 28, 'Villagrufe', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33889', 29, 'Villavaser', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 1, 'Abaniella', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 2, 'Almoo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 3, 'Argancinas (Pola Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 4, 'Arganzua', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 5, 'Carcedo de Lomes', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 6, 'Lantigo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 7, 'Linares (P.Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 8, 'Lomes', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 9, 'Moure', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 10, 'El Otero (P.Allende)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 11, 'Peruyeda', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 12, 'Presnas (P.Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 13, 'Puente de Linares', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 14, 'Pumar (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 15, 'Rozas (P. Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 16, 'San Martin de Beduledo', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 17, 'Taralle', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 18, 'Vega de Truelles', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 19, 'Villar de Sapos (P. Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33890', 20, 'Villaverde (Pola de Allande)', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 1, 'Ablanedo (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 2, 'La Acebal (Espina)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 3, 'Ardesaldo', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 4, 'Barracas', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 5, 'Bodenaya', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 6, 'La Bonga', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 7, 'La Borra', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 8, 'La Bouga', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 9, 'Braameana (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 10, 'Braasivil', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 11, 'Buscabrero', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 12, 'Buspol (La Espina)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 13, 'Bustoto', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 14, 'Candano (La Espina)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 15, 'Casandresin', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 16, 'El Castro (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 17, 'La Cirriquera', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 18, 'La Colniella', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 19, 'Cotariello (Las Rubias)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 20, 'El Couz (La Espina)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 21, 'La Cuerva', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 22, 'Cueva (La Espina)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 23, 'La Cueva (La Espina)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 24, 'La Curriquera', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 15, 'Reboredo (San Cibrao Das Vias', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 16, 'Santa Cruz da Rabeda', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32901', 18, 'Soutio (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32907', 0, 'Carguizoi', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 2, 'Carballo (San Cibrao Das Vias', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 3, 'O Carballo (San Cibrao Das Vi', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 4, 'A Casanova (San Cibrao Das Vi', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 5, 'Casdemendo', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 6, 'Condado (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 7, 'A Cruz de Rante', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 8, 'Curras (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 9, 'A Eirexa (Rante)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 10, 'A Eirexa (Soutopenedo)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 11, 'Os Facheiros', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 12, 'Gargantos', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 13, 'Infesta (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 15, 'A Laxe (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 16, 'Madrid, de (Nacional-525 Zamor', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 17, 'Montelongo de Abaixo', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 18, 'Montelongo de Arriba', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 19, 'Outeiro Calvo', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 20, 'O Outeiro (San Cibrao Das Via', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 21, 'O Pazo (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 22, 'Pazos (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 23, 'Penedo (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 24, 'Polvorin', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 25, 'O Prado (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 26, 'Rante', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 27, 'O Rego (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 28, 'San Cibrao, Desde Km.1,500', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 29, 'Santa Comba de Gargantos', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 30, 'A Serra', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 31, 'Souto Bravo', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 32, 'Soutopenedo', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 33, 'A Torre (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 34, 'A Venda', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32910', 35, 'Vilanova (San Cibrao Das Vias', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32911', 1, 'A Lagoa (San Cibrao Das Vias)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32911', 2, 'San Cibrao Das Vias (Capital)', 320757, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32915', 1, 'Aspera (San Cibrao Das Vias)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32915', 2, 'O Cumial (Ourense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32915', 3, 'A Ponte Noalla', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32915', 4, 'Santa Marta (San Cibrao Das Vi', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32915', 5, 'Zona Comercial Barreiros (Oure', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32915', 6, 'O Cumial (San Cibrao Das Vias', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32915', 7, 'Noalla (San Cibrao Das Vias)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32915', 8, 'Veiga (San Cibrao Das Vias)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32920', 1, 'As Airas', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32920', 2, 'Moreiras (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32920', 3, 'San Lourenzo de Pior', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32920', 4, 'Trelle', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32920', 5, 'Trellerma', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32920', 6, 'Vilaescusa', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 1, 'A Barxa (Barbadas)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 2, 'O Campo (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 3, 'Casar (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 4, 'O Fondon', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 5, 'Fonte Larelle', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 6, 'Godexas', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 7, 'A Gradeira', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 8, 'Larelle', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 9, 'Meade', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 10, 'As Moas (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 11, 'O Moreiro', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 12, 'Mugares', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 13, 'Ousande', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 14, 'Parada de Pior', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 15, 'Pazo (Toen-Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 16, 'A Pipileira', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 17, 'O Pieiro (Barbadas)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 18, 'Pior (Barbadas)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 19, 'Quintas (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 20, 'As Quintas (Barbadas)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 21, 'A Rectoral (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 22, 'Requeixo (Barbadas)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 23, 'Ribadela', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 24, 'Roma', 320087, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 25, 'Seixo (Ourense)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 26, 'Toen (Capital)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 27, 'Verea (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 28, 'O Vilar (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32930', 29, 'Xestosa', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 1, 'Alongos', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 2, 'Barrio da Libertade', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 3, 'Cabildo', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 4, 'Carretera (Alongos)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 6, 'Castieiras (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 7, 'Celeiron (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 8, 'A Corredoira (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 10, 'Fonte (Reza-Ourense)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 11, 'Freixendo', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 13, 'Iglesia (Reza-Ourense)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 14, 'Igrexa (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 15, 'O Olivar (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 16, 'O Outeiro (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 17, 'Paredes (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 18, 'Prado (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 19, 'Puga', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 20, 'Quenlle', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 21, 'Reguengo (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 22, 'Rosairo', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 23, 'Santa Ouxea (Barbadas)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 24, 'O Santo (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32940', 25, 'O Torron (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32941', 1, 'Carixa (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32941', 2, 'A Carretera (Puga)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32941', 3, 'Dornas', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32941', 4, 'Montecelo (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32941', 5, 'Padin', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32941', 6, 'O Pazo (Puga)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32941', 7, 'As Penelas (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32941', 8, 'Quellepon', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32941', 9, 'San Fiz (Toen)', 320816, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 1, 'Bamio', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 2, 'Barra de Mio', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 3, 'Barxelas (Ourense)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 4, 'Belesar', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 5, 'Boco', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 6, 'Cachondil', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 7, 'Carballeda (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 8, 'Carvalleda', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 9, 'Casanova (Melias-Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 10, 'Cerdedo (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 11, 'Cima de Vila (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 12, 'Costela (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 13, 'Covas (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 14, 'Estacion Barra Mio', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 15, 'Ferreiros (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 16, 'Figueiredo (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 14, 'Fundial', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 15, 'Legua', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 16, 'Manzaneda (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 17, 'Mazorra', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 18, 'Moniello', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 19, 'Nembro', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 20, 'Ovies', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 21, 'La Pedrera (Gozon)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 22, 'Raitan', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 23, 'La Ren', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 24, 'Romadonga', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 25, 'Salguero', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 26, 'Santa Ana (Luanco)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 27, 'Valparaiso', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 28, 'Venta de la Gallina', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33449', 29, 'Vioo', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 1, 'Piedras Blancas', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 2, 'Arnao', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 3, 'Las Campas (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 4, 'Campiello (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 5, 'Los Carbayos', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 6, 'La Castaalona', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 7, 'Censo', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 8, 'Cuenza', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 9, 'El Cueto (Laspra - Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 10, 'Fabrica (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 11, 'Ferralgo', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 12, 'Garabiza', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 13, 'Padre', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 14, 'Alvare (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 15, 'Ponton (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 16, 'San Martin de Laspra', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 17, 'Valboniel', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 18, 'Vegarrozadas', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33450', 19, 'Ventorrillo (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 1, 'Las Barzanas', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 2, 'Berruga (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 3, 'La Braa (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 4, 'Bujandi', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 5, 'Buria', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 6, 'La Cangueta', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 7, 'Cascayo (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 8, 'El Cuadro', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 9, 'Llodares', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 10, 'Llordal', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 11, 'Machuquera', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 12, 'Moire', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 13, 'Orbon', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 14, 'Pearey', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 15, 'Pillarno', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 16, 'Pulide (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 17, 'La Ramera de Abajo', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 18, 'La Ramera', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 19, 'La Rasa (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 20, 'La Rionda (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 21, 'Romadoiro', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 22, 'La Salguera', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 23, 'Teboyas', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33456', 24, 'La Torre (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 1, 'Arances', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 2, 'Arrojo (Naveces-Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 3, 'Bayas', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 4, 'La Cabornia (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 5, 'Calamon', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 6, 'Carbajal (Soto del Barco)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 7, 'Las Chavolas (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 8, 'La Cotarona', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 9, 'Cueto el (Bayas - Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 10, 'La Envidia', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 11, 'Infiesta (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 12, 'Linares (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 13, 'La Llada', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 14, 'Las Lunas', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 15, 'Mar', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 16, 'El Muro', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 17, 'Navalon', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 18, 'Naveces', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 19, 'La Parra (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 20, 'La Pedrera (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 21, 'El Pino (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 22, 'Pipe (P. Blancas)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 23, 'El Puerto', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 24, 'San Adriano (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 25, 'Santa Maria del Mar', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 26, 'Las Vallinas (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33457', 27, 'Villar (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 1, 'Alto del Praviano', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 2, 'Arenas (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 3, 'Los Calbuetos', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 4, 'Carcabina', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 5, 'La Corrada (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 6, 'Ferreria (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 7, 'Folgueras (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 8, 'Ponte (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 9, 'Riocuevas', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 10, 'Sombredo', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 11, 'La Tejera (Soto del Barco)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 12, 'Trasvalles', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33458', 13, 'Las Viadas (P. Blancas)', 330693, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 1, 'La Banda', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 2, 'Barganaz (Soto del Barco)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 3, 'La Cabaa (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 4, 'Carcedo (Soto Barco)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 5, 'El Castro (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 6, 'Cenizal (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 7, 'Las Cepas', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 8, 'Corredoria (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 9, 'La Cruz (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 10, 'Cueplo', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 11, 'Figueras (Soto del Barco)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 12, 'Fondon (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 13, 'Llantero (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 14, 'La Lleada', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 15, 'La Lloba', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 16, 'La Marrona', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 17, 'Panizales (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 18, 'La Plata (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 19, 'Pumedo', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 20, 'Quiloo', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 21, 'Quintana (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 22, 'Ranon (Soto del Barco)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 23, 'Rio de la Vega', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 24, 'Santiago del Monte', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 25, 'La Vallina (Castrillon)', 330169, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33459', 26, 'Ventaniella', 330501, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33460', 0, 'Llaranes', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 1, 'Bardasquera', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 2, 'Cueto (Trasona)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 3, 'Fafilan', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 4, 'Favila', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 5, 'Los Gavitos', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 6, 'Los Guardados', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 7, 'Gudin', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 8, 'Marzaniella', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 9, 'Mocin', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 22, 'Trabada (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 23, 'Valdedo (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 24, 'Valle (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 25, 'Vidural (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 26, 'Villartorey', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 27, 'La Zorera (Villayon)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 28, 'Sequeiro', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 29, 'Sabariz', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 30, 'Teijedo (Coaa)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 31, 'Pumarin (Coaa)', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 32, 'Vivedro', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33718', 33, 'San Juan de Trelles', 330772, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 1, 'Ablanedo (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 2, 'Abranedo', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 3, 'Andes', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 4, 'Anleo', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 5, 'Ansilan', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 6, 'Armental', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 7, 'Aspra', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 8, 'Balmeon', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 9, 'Barqueros', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 10, 'Braa del Rio (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 11, 'Busmargali', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 12, 'Cabanella', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 13, 'Caborno (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 14, 'Cacabellos', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 15, 'Carbajal (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 16, 'Cartavio', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 17, 'Casadoiro', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 18, 'El Castro (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 19, 'Cepeda', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 20, 'La Colorada', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 21, 'Concerbal', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 22, 'Las Cortinas', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 23, 'Enjamenas', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 24, 'Las Escas', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 25, 'Esfreita', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 26, 'Esteler', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 27, 'Folgueras (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 28, 'Freal', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 29, 'Frejulfe', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 30, 'Fuentes (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 31, 'Guardia', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 32, 'Jarrio', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 33, 'Jonte (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 34, 'Lebredo (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 35, 'Loza', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 36, 'Lugarnuevo', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 37, 'La Mabona', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 38, 'Meiro', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 39, 'El Monte (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 40, 'Murias (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 41, 'Omedo (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 42, 'Paderne (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 43, 'Piquera (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 44, 'Piera (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 45, 'Polavieja', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 46, 'Puil (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 47, 'Regla (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 48, 'Salcedo (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 49, 'San Cristobal (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 50, 'San Miguel de Eiros', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 51, 'Sante (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 52, 'El Seijo', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 53, 'Silvarronda', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 54, 'Somorto', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 55, 'Talaren', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 56, 'Teifaros', 330411, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 57, 'Torce (Coaa)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 58, 'La Venta (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 59, 'Villabona (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 60, 'Villalocay', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 61, 'La Villalonga', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33719', 62, 'Villaoril (Navia)', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33720', 1, 'Boal', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33720', 2, 'Llaviada', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33720', 3, 'Pelame (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33720', 4, 'Penouta (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33721', 1, 'Villur', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33721', 2, 'Fagera', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33724', 0, 'Los Navalios', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 1, 'Armal', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 2, 'La Bouza (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 3, 'Las Cabanas (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 4, 'El Caleyo (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 5, 'Capareirin', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 6, 'Capareiro', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 7, 'Langrave', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 8, 'Lleiras', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 9, 'Miguil', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 10, 'Rozas (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 11, 'El Serredo', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 12, 'Toledo', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33725', 13, 'Villanueva (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33726', 1, 'Cabanas Trabazas', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33726', 2, 'Lantero (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33726', 3, 'Mezana', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33726', 4, 'Orbaelle', 330181, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33726', 5, 'Serandinas', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33726', 6, 'Sierra (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33726', 7, 'Villar de Serandinas', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 1, 'Castrillon de Boal', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 2, 'Folguera Mayor', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 3, 'Fuentes Cavadas', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 4, 'Lendeiglesia', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 5, 'Merou', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 6, 'Las Mestas (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 7, 'Rebollal (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 8, 'Reigoto (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 9, 'Sampol', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 10, 'Sarceda (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33727', 11, 'Silvon', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 1, 'La Bajada', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 2, 'Braadesella', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 3, 'Braavara', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 4, 'La Cabana (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 5, 'La Camara', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 6, 'Carrugueiro', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 7, 'Ferradal (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 8, 'Meisnado', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 9, 'El Pato', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 10, 'Peirones', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 11, 'Prelo', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 12, 'Roginos', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 13, 'La Ronda (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 14, 'San Luis', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 15, 'Santa Marina (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 16, 'Silvarelle', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33728', 17, 'Villar de San Pedro', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 1, 'Braalibel', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 2, 'Carbayal (Boal-Ouria)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 3, 'El Cepon', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 4, 'Gumio', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 5, 'Ouria (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 6, 'Ransal', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 7, 'Rozadas (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 8, 'Treve', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 9, 'Valleseco', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 10, 'Vega de Ouria', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33729', 11, 'Vidural (Boal)', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 1, 'Airela', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 2, 'Armilda', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 3, 'Arregaida', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 4, 'La Aviola', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 25, 'Escobedal', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 26, 'La Espina (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 27, 'Faedo (Salas)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 28, 'Fontanos', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 29, 'Las Gallinas', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 30, 'Idarga', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 31, 'Lavio', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 32, 'El Llanon', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 33, 'Oves', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 34, 'Pende', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 35, 'La Pea (La Espina)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 36, 'Peallonga', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 37, 'Porciles (La Espina)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 38, 'Posadoiro (La Espina)', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 39, 'Raadoiro', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 40, 'Las Rubias', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 41, 'Socolinas', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 42, 'Valloria', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 43, 'Valsoredo', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 44, 'Villanueva de Raadoiro', 330735, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33891', 45, 'Villarmor', 330595, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33892', 1, 'Barredo (Vega de Anzo)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33892', 2, 'La Caborna', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33892', 3, 'Castaos', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33892', 4, 'Cima de Grado', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33892', 5, 'Corros (Vega de Anzo)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33892', 6, 'Cueto (Las Regueras)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33892', 7, 'Fozante', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33892', 8, 'Llera (Vega de Anzo)', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33892', 9, 'Sobrevega', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33892', 10, 'Vega de Anzo', 330267, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33900', 1, 'Ciao', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33900', 2, 'El Llano (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33900', 3, 'Sama de Langreo', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33900', 4, 'San Martin del Rey Aurelio', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33900', 5, 'San Roque (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 1, 'La Armada', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 2, 'Artosa (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 3, 'La Cabaa (Ciao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 4, 'Cabain (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 5, 'Cabaos de Abajo', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 6, 'Cabaos de Arriba', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 7, 'El Cabo (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 8, 'Cabofel', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 9, 'Cadavio', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 10, 'La Caleya (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 11, 'La Campa (Ciao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 12, 'La Canga (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 13, 'La Cantera (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 14, 'Canto Trechorio', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 15, 'La Capilla (Ciao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 16, 'Carabin', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 17, 'Carbayal (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 18, 'El Carbayo (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 19, 'Cardiuezo', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 20, 'El Carril (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 21, 'Casa Abajo', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 22, 'Casa del Medio (Cia0-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 23, 'Casielles (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 24, 'La Casona (Ciao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 25, 'La Casuca (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 26, 'Las Casucas', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 27, 'Centenal (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 28, 'Las Codes', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 29, 'Corralon (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 30, 'Corros (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 31, 'Cuarteles de la Hueria', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 32, 'Cuesta del Arco', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 33, 'Cuesta la Via', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 34, 'Las Cuestas (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 35, 'Cuetos (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 36, 'El Escobal (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 37, 'Felgueroso', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 38, 'Formiguera (Grado)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 39, 'Fornos (Ciao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 40, 'Foyaca (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 41, 'Fresnedal (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 42, 'Fresnosa (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 43, 'Hueria (Sama-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 44, 'Las Llanas (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 45, 'El Maderal', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 46, 'Moquina', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 47, 'La Mosquitera (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 48, 'Nadal', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 49, 'Navaliego (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 50, 'La Nueva (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 51, 'Omedines (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 52, 'Otones', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 53, 'Pampiedra', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 54, 'Paniciri', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 55, 'Payega (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 56, 'Perallonga', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 57, 'Pertegal', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 58, 'El Pevidal (Ciao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 59, 'La Pea (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 60, 'Peaotiello', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 61, 'Peas (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 62, 'Las Piezas de Arriba', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 63, 'Las Piezas (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 64, 'El Ponton (Sama-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 65, 'Posadoiro (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 66, 'Poya', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 67, 'Pozobal', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 68, 'El Pradon (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 69, 'Puente Carbon', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 70, 'Puente Humero', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 71, 'Pumaron', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 72, 'Raposa la (Sama-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 73, 'El Rebollo (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 74, 'El Respolon', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 75, 'Roiles (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 76, 'Rondera', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 77, 'Ronderina', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 78, 'La Roza (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 79, 'Samuo', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 80, 'Sexto Piso de Carbones', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 81, 'Sienra (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 82, 'Tablones los', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 83, 'La Tejera (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 84, 'Tendeyon', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 85, 'Texuca (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 86, 'La Traba (Ciao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 87, 'Tras el Canto', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 88, 'Trechorio (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 89, 'El Tunel', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 90, 'El Valle (Sama-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 91, 'Los Valles (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 92, 'La Vallina (Ciao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 93, 'Viesques (Ciao-Langreo', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 94, 'Xarrota', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 95, 'La Xuga', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33909', 96, 'La Zorera (Ciao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 1, 'Alperi', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 17, 'Fontao (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 18, 'Fonte de Monte', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 19, 'A Furada', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 20, 'Iglesia (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 21, 'Izas (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 22, 'Lagarios', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 23, 'Levices', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 24, 'O Malvedo', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 25, 'Meigo de Vila', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 26, 'Mira de Abaixo', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 27, 'Mira do Rio', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 28, 'Natorre', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 29, 'Negoade', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 30, 'Outeirios (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 31, 'Outeiro (Melias-Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 32, 'Outeiro (Rivela)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 33, 'Pacios (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 34, 'Pazo (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 35, 'A Pereira (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 36, 'Pousada (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 37, 'Prados (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 38, 'Reguenga (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 39, 'Ribela (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 40, 'San Eusebio', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 41, 'San Lourenzo (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 42, 'San Miguel de Melias', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 44, 'A Se', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 45, 'Sobrado (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 46, 'A Solva (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 47, 'Souto (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 48, 'Vilanova (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32950', 49, 'Vilerma (Coles)', 320261, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 1, 'A Batundeira', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 2, 'A Borraxeira', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 3, 'Cangos', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 5, 'Os Canivelos', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 6, 'Casixova', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 7, 'Cazaligo', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 8, 'Cerradao', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 10, 'A Eirexa (Pereiro de Aguiar)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 11, 'Fontao (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 12, 'A Granxa (Velle)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 13, 'O Lagar (Velle)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 14, 'Lonia de Arriba', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 15, 'O Outeiro (Velle)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 16, 'O Pacio (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 17, 'A Pedra', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 20, 'A Pousa (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 21, 'Pueblo Carretera (Velle-Ourens', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 22, 'Quintela de Velle', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 23, 'Regoufe', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 24, 'Roxomilo', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 25, 'San Mamede (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 26, 'Santo Tome (Tras Hospital)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 27, 'A Senra (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 28, 'Valdoseira', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 29, 'Velle', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32960', 30, 'Santo Tome (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32970', 1, 'Bemposta (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32970', 2, 'Coega', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32970', 4, 'Seixalbo (San Breixo)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32970', 5, 'Soutoverde', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 1, 'As Curuxeiras', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 2, 'O Outeiro (Palmes)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 3, 'Rairo', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 4, 'Rairo (Santa Lucia)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 6, 'Tenencia de Zain', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 7, 'Villa Mercedes', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 8, 'Zain', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 9, 'A Granxa (Montealegre)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 10, 'Dos Franciscanos', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 11, 'Santa Lucia (Rairo)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32971', 12, 'Santa Maria do Monte', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 1, 'A Abelaira', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 2, 'A Abeleda (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 3, 'Arauxo (Amoeiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 4, 'Bacurin', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 5, 'Barrio (Amoeiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 6, 'Boveda (Amoeiro)', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 7, 'Bovedamea', 320028, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 8, 'Burgo (Amoeiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 9, 'Cachalvite', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 10, 'Cambela (Amoeiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 11, 'Cardenao', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 12, 'Casdenao', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 13, 'O Castro de Beiro', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 14, 'Chacin', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 15, 'Cima da Costa', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 16, 'As Cruces (Amoeiro)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 17, 'Freixedo', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 18, 'O Lagar (O Castro de Beiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 19, 'Nogueira (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 20, 'Obradoiro', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 21, 'Outeiro (Boveda de Amoeiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 22, 'Pazos (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 23, 'O Priorato', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 24, 'Sampaio (Amoeiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 25, 'O Seixo (Amoeiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 26, 'Tellado (Castro-Ourense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 27, 'O Tiollo', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32980', 28, 'Vilario (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 1, 'Anaigo', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 2, 'Astres', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 3, 'Beiro (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 4, 'A Bouza (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 5, 'A Burata', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 6, 'A Bureta', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 7, 'O Burgo (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 8, 'A Caveanca', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 9, 'Chantada', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 10, 'A Conchada', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 11, 'A Eirexa (Beiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 12, 'Guxilde', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 13, 'O Lagar (Vilar de Astres)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 14, 'A Lama (Palmes)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 15, 'Ludeiros (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 16, 'Madrosende', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 17, 'Monte (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 18, 'Naves', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 19, 'Palmes (San Mamede)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 20, 'Paradela (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 21, 'O Pereiro (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 22, 'Pradobo', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 23, 'Reboredo (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 24, 'Regoalde', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 25, 'Saceda (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 26, 'Sartedigos', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 27, 'Sas (Beiro)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 28, 'Turei (Ourense)', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 29, 'Valdolide', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32981', 30, 'Vilar de Astres', 320548, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32982', 0, 'Cruceiro (Lobios)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 1, 'Cacabelos (Ourense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 2, 'Calvelos (Ourense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 3, 'Outariz (Arrabaldo-Orense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 4, 'Ponte do Prado', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 10, 'Overo', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 11, 'Palacio (Corvera)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 12, 'Pedrero (Corvera)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 13, 'Reguera Abajo', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 14, 'Reguera Arriba', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 15, 'Robes', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 16, 'San Pelayo (Trasona - Corvera)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 17, 'Santa Cruz (Corvera)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 18, 'Silvota (Trasona)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 19, 'Tarin', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 20, 'Las Trancas', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 21, 'Trasmonte (Corvera)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 22, 'Trasona', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33468', 23, 'Villanueva (Trasona-Corvera)', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 1, 'Admiracion de Iglesia', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 2, 'La Barca (Logrezana-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 3, 'Bardiel', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 4, 'Cabaas (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 5, 'Cascayo (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 6, 'Cimadevilla (Llaranes)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 7, 'Cotones', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 8, 'Fontanina (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 9, 'La Huelga (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 10, 'Huerno', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 11, 'Maripollin', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 12, 'Monte el Pando', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 13, 'Montegrande', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 14, 'Montico', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 15, 'Orilla del Rio', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 16, 'El Redal', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 17, 'Ribanceo', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 18, 'Rodil', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 19, 'San Martin (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 20, 'Tabaza', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 21, 'La Tabla (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 22, 'Tamon', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 23, 'Vallina (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 24, 'De la Vega', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 25, 'La Velilla (Tabaza)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 26, 'La Venta (Tabaza-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33469', 27, 'Villar (Tabaza-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 1, 'Acebo (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 2, 'Aguera (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 3, 'Aguilero', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 4, 'Alvares (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 5, 'Les Arees (Llanera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 6, 'Barredo (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 7, 'Cabaon', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 8, 'Camina', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 9, 'Campaones', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 10, 'Campo la Vega', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 11, 'Cancienes', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 12, 'La Cruzada (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 13, 'La Cruzada', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 14, 'Ferroes', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 15, 'El Martinete (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 16, 'El Monte (Cancienes)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 17, 'Monteagudo (Llanera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 18, 'La Mora (Cancienes)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 19, 'Moriana', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 20, 'Noval (Llanera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 21, 'Nuez', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 22, 'La Pescal (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 23, 'Picosa', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 24, 'El Ponton (Solis - Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 25, 'La Rebollada (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 26, 'Rodiles (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 27, 'Sama de Abajo', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 28, 'Sama de Arriba', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 29, 'Santa Marina (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 30, 'Solis', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 31, 'Sota (Corvera)', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 32, 'Tarao', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33470', 33, 'Taujo', 330208, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 1, 'Albares (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 2, 'Las Cabaas (Villabona)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 3, 'La Cigoa', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 4, 'La Estrella', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 5, 'La Miranda (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 6, 'Pea (Villabona-Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 7, 'Piles (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 8, 'Ponton (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 9, 'Santo Firme', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 10, 'Tabladiello (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 11, 'La Vega (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 12, 'Veyo', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 13, 'Villabona (Llanera)', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33480', 14, 'Villardeveyo', 330352, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 1, 'Ambiedes', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 2, 'Barredo (Gozon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 3, 'La Cabian', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 4, 'Campo de la Iglesia (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 5, 'Campo de la Vega', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 6, 'Corujedo (San Pedro Navarro)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 7, 'La Escucha (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 8, 'El Estrellin', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 9, 'Ferrero', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 10, 'La Fuente (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 11, 'La Granda (Aviles)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 12, 'Iboya', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 13, 'Llantao', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 14, 'El Palomo', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 15, 'Perdones', 330254, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 16, 'Piedramenuda', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 17, 'La Piera (Gozon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 18, 'Quintana Pedro', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 19, 'Refurao', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 20, 'Retumes', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 21, 'San Pedro de Navarro', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 22, 'San Sebastian', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 23, 'Tabiella', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 24, 'Tetuan (San Pedro Navarro)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 25, 'Tues', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 26, 'Tuez', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 27, 'El Valle (Gozon)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 28, 'Valliniello', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33490', 29, 'Villanueva (San Pedro Navarro)', 330045, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 1, 'Las Arenas (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 2, 'La Bermeya', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 3, 'La Braa (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 4, 'Canto Coyanca', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 5, 'Ciudad Residencial de Perlora', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 6, 'Corredor (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 7, 'Cueto (Perlora-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 8, 'Cuto (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 9, 'Dormon', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 10, 'Estacion (Perlora-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 11, 'Estaquera', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 12, 'La Ferrian', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 13, 'Formiga', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 14, 'Friera (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 15, 'La Iglesia (Candas)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 16, 'El Monte (Perlora-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 17, 'Noval (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 18, 'Nozaleda (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 5, 'Brualla', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 6, 'Busmayor (Grandas de Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 7, 'Carballo del Cuito', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 8, 'Castiadelo', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 9, 'Cereijeira', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 10, 'Escanlares', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 11, 'Fabal (Grandas de Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 12, 'La Farrapa', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 13, 'Grandas de Salime', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 14, 'Llandecarballo', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 15, 'Magadan', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 16, 'Nogueiron', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 17, 'Paradela (Villamayor)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 18, 'Pelou', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 19, 'Pontiga (Grandas de Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 20, 'Robledo (Grandas de Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 21, 'San Bruno', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 22, 'San Mayor', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 23, 'Teijeira (Grandas de Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 24, 'Trasmonte (Grandas de Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 25, 'Valdedo (Grandas de Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 26, 'Villabolle', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 27, 'Villadefondo', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 28, 'Villarello (Grandas de Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 29, 'Villarmayor', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 31, 'Vista Alegre', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 32, 'Vistalegre', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33730', 33, 'Los Vitos', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 1, 'Baboreira', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 2, 'Barboreira', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 3, 'Bullaso', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 4, 'Bustelo (Illano)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 5, 'Doiras', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 6, 'Escrita (Boal)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 7, 'Froseira', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 8, 'Lantero (Illano)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 9, 'Lombatin', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 10, 'Muon', 330077, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 11, 'Pertiga (Boal)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 12, 'Pieira (Boal)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33731', 13, 'Villar de Bullaso', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33732', 0, 'Cedemonio', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 1, 'El Arne', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 2, 'Arruada (San Martin de Oscos)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 3, 'Cachafol', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 4, 'Carbayal (Illano)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 5, 'Cimadevilla (Illano)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 6, 'Entrerrios (Illano)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 7, 'Illano', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 8, 'La Montaa', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 9, 'Pastur', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 10, 'Rozas (Illano)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 11, 'San Esteban (Illano)', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 12, 'San Pedro de Ahio', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 13, 'Villar de Pastur', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33734', 14, 'Villaseca', 330292, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 1, 'Argul', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 2, 'Bousoo', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 3, 'Braavieja (Pesoz)', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 4, 'Cabanela (Pesoz)', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 5, 'Castaeira', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 6, 'Cela', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 7, 'Francos (Pesoz)', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 8, 'Lijou', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 9, 'Mazo de Mon', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 10, 'El Molino (Pesoz)', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 11, 'Mon', 330616, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 12, 'Pelorde', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 13, 'Pesoz', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 14, 'Sequeiros', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 15, 'Ventosa (S.M. de Oscos)', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 16, 'Villabrille', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33735', 17, 'Villarmarzo', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33736', 1, 'Santa Maria (Grandas de Salime', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33736', 2, 'Sanzo', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33736', 3, 'Seran', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33736', 4, 'Los Valles (G. Salime)', 330485, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33737', 1, 'Castro (Grandas de Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33737', 2, 'Malneira', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33737', 3, 'Padraira', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33737', 4, 'Pedre', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33737', 5, 'San Julian (Grandas de Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33738', 1, 'La Coba (Grandas Salime)', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33738', 2, 'Trabada (G. Salime)', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 1, 'Braela (Grandas Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 2, 'Braota', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 3, 'Bustelo del Camino', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 4, 'Folgosa', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 5, 'Fornaza', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 6, 'Gestoselo', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 7, 'Gestoso (Grandas Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 8, 'Lieira', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 9, 'Llandepereira', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 10, 'Monteserin Grande', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 11, 'Monteserin Pequeo', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 12, 'Peafuente', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 13, 'Peafurada', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 14, 'Seoane', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 15, 'Silvallana (Grandas Salime)', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33739', 16, 'Valabelleiro', 330273, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33740', 0, 'Tapia de Casariego', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 1, 'Balmorto', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 2, 'Bardascon', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 3, 'La Caleya (Campos-Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 4, 'Calvario', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 5, 'Campos (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 6, 'La Coroza', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 7, 'Cortaficio', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 8, 'Folgueiras (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 9, 'Follada', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 10, 'Forcado', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 11, 'El Franco', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 12, 'Hospital (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 13, 'Lavandeira', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 14, 'Medio (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 15, 'Mernies', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 16, 'Picocegueiro', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 17, 'Picon', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 18, 'Porcia', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 19, 'Portela', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 20, 'Rabote', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 21, 'La Rebollada (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 22, 'Salave', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 23, 'San Pelayo (El Franco)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33746', 24, 'Valdepares', 330236, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 1, 'Abreiras', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 2, 'Acevedo (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 3, 'Alfonsares', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 4, 'Bao de Cangas (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 5, 'Barredo (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 6, 'La Barrosa (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 7, 'Bustelo (Tapia)', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 8, 'El Cabillon', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 9, 'Castrovaselle', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 10, 'Jaren', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 11, 'Jarias', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 12, 'Lagunas', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 13, 'Lantrapian', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33747', 14, 'Limayosa', 330707, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 2, 'Avio', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 3, 'Braa (Tudela Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 4, 'Cabornio (T.Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 5, 'La Cueva (T.Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 6, 'Pandiella (T.Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 7, 'Picola Via', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 8, 'La Presa (T. Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 9, 'Las Quintanas (T. Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 10, 'Las Rozas (T. Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 11, 'Tudela Veguin', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 12, 'El Valle (T. Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33910', 13, 'Veguin', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33912', 0, 'Los Tableros', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 1, 'Abedul (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 2, 'Anieves', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 3, 'Argollanes', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 4, 'Argumal', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 5, 'La Cabaa (T. Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 6, 'El Campo (T. Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 8, 'Cortina (T.Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 9, 'Entrepeas (T. Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 10, 'La Grandota', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 11, 'La Llana (T.Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 12, 'Llaneza (T.Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 13, 'Llano del Rio', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 14, 'La Llosona', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 15, 'El Molino (T. Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 16, 'Naves (T. Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 17, 'Quintaniella (T.Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 18, 'San Pedro de Naves', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 19, 'Sotiello (T. Veguin)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33919', 20, 'Tudela de Agueria', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 1, 'La Acebal (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 2, 'La Barraca (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 3, 'La Bobia (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 4, 'La Cabaa (Riao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 5, 'Los Campones (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 6, 'Cataldonce', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 7, 'El Collado (Langreo Barros)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 8, 'Lloredo (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 9, 'Pedrazos (Barros - Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 10, 'Pevidal (Barros-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 11, 'La Piqera (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 12, 'Riao (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 13, 'La Riera (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 14, 'Rionda (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 15, 'Terronero', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 16, 'Viesques (Riao-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 17, 'Villa (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33920', 18, 'La Zorera (Riao - Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33928', 0, 'La Foyaca (Grado)', 999999, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 1, 'Barripies', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 2, 'Las Borias (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 3, 'Cabornio (La Venta-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 4, 'Candanedo (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 5, 'Cantera (La Venta-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 6, 'Caperones (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 7, 'El Carmen (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 8, 'La Casa el Medio (La Venta-Lan', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 9, 'La Cebosa (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 10, 'La Cortina (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 11, 'Cotorraso (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 12, 'Cuarteles de la Pea', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 13, 'Cuesta el Viso', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 14, 'La Espina (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 15, 'Espinedo (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 16, 'Faedo (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 17, 'El Felgueron (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 18, 'Frieres', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 19, 'Hueria (La Venta - Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 20, 'Llandoso', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 21, 'Llaneces (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 22, 'Llantamartin', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 23, 'Paerna', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 24, 'Pedrazos (Lada - Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 25, 'Pea Rubia', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 26, 'La Raposa (La Venta-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 27, 'Ruciu el (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 28, 'San Tirso (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 29, 'Santianes (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 30, 'Sierrallana', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 31, 'Sorribero', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 32, 'Los Sotos', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 33, 'La Taberna', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 34, 'La Tejera (Blimea)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 35, 'La Trapa (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 36, 'Troncos', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 37, 'La Vega (La Venta-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 38, 'Los Veneros (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33929', 39, 'El Viso (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33930', 1, 'Barros', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33930', 2, 'La Felguera (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33930', 3, 'Rexiella', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33930', 4, 'La Traba (Barros-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33930', 5, 'La Viesca (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 1, 'El Caleyo (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 2, 'El Camporro (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 3, 'La Casa Nueva (Lada-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 4, 'Conforcos (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 5, 'La Cuesta Naval', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 6, 'La Granda (Lada-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 7, 'La Justa', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 8, 'Lada', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 9, 'Llindion', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 10, 'La Manigua (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 11, 'Merian', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 12, 'La Nisal (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 13, 'Pedrea', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 14, 'Pelabraga', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 15, 'La Pertiga (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 16, 'El Ponton (Lada - Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 17, 'Rivero (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 18, 'San Miguel (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 19, 'El Valle (Lada - Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33934', 20, 'La Venta (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 1, 'Antua', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 2, 'Baeres', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 3, 'Braa del Rio (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 4, 'La Braa (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 5, 'Camonal', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 6, 'Campanal (Tuilla-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 7, 'Caperal', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 8, 'Carbayu (Tuilla-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 9, 'Casa el Canto', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 10, 'La Casa el Monte', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 11, 'La Casa Nueva (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 12, 'La Casanueva (Tuilla-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 13, 'La Casona (Tuilla-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 5, 'Vigo (Nacional-120 Logroo-Vig', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 6, 'Ramiras (Arrabaldo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 7, 'O Albaredo', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 8, 'Alen (Ourense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 9, 'Arrabaldo (Ourense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 10, 'Barrio (Untes)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 11, 'Os Beleiros', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 12, 'Os Campos (Ourense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 13, 'Carruceiro', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 14, 'Casar do Mato (Ourense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 15, 'Os Casares (Ourense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 16, 'O Cirro', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 17, 'A Cuqueira', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 18, 'A Gardueira (Ourense)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 19, 'O Garavanzal', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 20, 'A Granxa (Arrabaldo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 21, 'O Meson (Arrabaldo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 22, 'Porta do Prado', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 23, 'Poutas (Arrabaldo)', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 24, 'Sistis', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 25, 'A Tafona', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('32990', 26, 'Untes', 999999, 32, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33001', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33002', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33003', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33004', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33005', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33006', 1, 'Campiello (La Manjoya)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33006', 2, 'Fuente del Forno', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33006', 3, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33007', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33008', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33009', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33010', 1, 'Abuli', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33010', 2, 'Colloto (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33010', 3, 'Colloto (Siero)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33010', 4, 'Nonin', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33010', 5, 'Santa Ana de Abuli', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33010', 6, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33011', 1, 'Concejiles', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33011', 2, 'Corredoria (Oviedo)', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33011', 3, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33012', 2, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33013', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33014', 0, 'Carreo', 999999, 33, 
    0, 3, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33031', 0, 'Langreo', 999999, 33, 
    0, 3, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33070', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33071', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33080', 0, 'Oviedo', 330447, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33100', 1, 'Junigro', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33100', 2, 'Trubia', 330241, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 1, 'Alesga', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 2, 'Barzana (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 3, 'Berrueo', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 4, 'Campiello (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 5, 'Campos (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 6, 'Cansinos', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 7, 'Carrea', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 8, 'Castro (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 9, 'Coaana (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 10, 'Los Cuarteles (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 11, 'Cua', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 12, 'Entrago (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 13, 'La Favorita', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 14, 'Focella', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 15, 'Fresnedo (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 16, 'Las Garbas', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 17, 'Gradura', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 18, 'Hedrada', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 19, 'Infiesta (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 20, 'Llamas (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 21, 'Medion', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 22, 'Monteciello', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 23, 'Murias (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 24, 'La Obra (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 25, 'Paramo', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 26, 'La Plaza (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 27, 'Prado (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 28, 'Quintanal (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 29, 'Redral', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 30, 'Riello', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 31, 'Riomayor (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 32, 'San Martin de Teverga', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 33, 'San Salvador (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 34, 'Santianes (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 35, 'Sobrevilla', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 36, 'Taja', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 37, 'Torce (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 38, 'La Torre (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 39, 'Urria (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 40, 'Las Vegas (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 41, 'Vigidel', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 42, 'Villa de Sub', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 43, 'Villabonel', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 44, 'Villamayor (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 45, 'Villanueva (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33111', 46, 'Villar (Teverga)', 330729, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33112', 1, 'Bustiello (Proaza)', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33112', 2, 'Fabar (Proaza)', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33112', 3, 'Santa Maria de Traspea', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33112', 4, 'El Toral (Proaza)', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33112', 5, 'Las Ventas (Proaza)', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 1, 'Bandujo', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 2, 'Caranga', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 3, 'La Cuandia', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 4, 'Folgueras (Proaza)', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 5, 'Linares (Proaza)', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 6, 'Murias (Proaza)', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 7, 'Proacina', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 8, 'Proaza', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 9, 'San Martin (Proaza)', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 10, 'Serandi', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 11, 'Sograndio (Proaza)', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 12, 'Las Vegas (Proaza)', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33114', 13, 'Villamejin', 330523, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 1, 'La Casina', 330642, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 2, 'Castaedo del Monte', 330642, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 3, 'Cotomonteros', 330642, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 4, 'Dosango', 330642, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 5, 'Lavares (Santo Adriano)', 330642, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 6, 'Pedroveya', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 7, 'La Rebollada (Quiros)', 330642, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 8, 'Sabadille', 330642, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 9, 'Tenebredo', 330642, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 10, 'Tuon', 330642, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33115', 11, 'Villanueva de Santo Adriano', 330642, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 1, 'Aguadina', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 2, 'Bucida', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 3, 'Bueira', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 4, 'Cerezal (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 5, 'Cienfuegos', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 6, 'La Concepcion', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 7, 'Corral', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 8, 'Cortes (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 9, 'Cuevas (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 10, 'Fresnedo (Lindes-Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 11, 'Lindes', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 12, 'Las Llanas (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 13, 'Nimbra', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33116', 14, 'Ricabo (Quiros)', 330539, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 19, 'La Pedrera (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 20, 'Peran', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 21, 'Perecil', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 22, 'Perlora', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 23, 'Ponteo (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 24, 'El Prado (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 25, 'La Rodada (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 26, 'Rodiles (Perlora)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 27, 'Rotella (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 28, 'La Sierra (Perlora - Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33491', 29, 'Yavio', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 1, 'Aboo', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 2, 'Albandi', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 3, 'Bandin', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 4, 'Baragaa (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 5, 'La Barquera (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 6, 'Barreres (Albandi_Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 7, 'Barreres (Pervera-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 8, 'Caicorrida', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 9, 'Calera', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 10, 'Caleyo (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 11, 'Campo San Juan', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 12, 'Carrio (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 13, 'El Convento (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 14, 'Las Cruzadas', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 15, 'Cuesta Carrio', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 16, 'La Cuesta (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 17, 'El Empalme (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 18, 'La Granda (Albandi-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 19, 'Llamera (Aboo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 20, 'Manzaneda (Aboo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 21, 'Monte Moris', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 22, 'El Monte (Pervera-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 23, 'Montecalera', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 24, 'Muniello (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 25, 'Otero (Aboo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 26, 'Peruyera (Albandi-Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 27, 'Peruyera (Carrio - Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 28, 'Pervera', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 29, 'Reconco (Aboo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 30, 'Reguero (Carreo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 31, 'Rica', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 32, 'Riego (Aboo)', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 33, 'Sabarriona', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 34, 'Xana la', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33492', 35, 'Xivares', 330143, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33500', 0, 'Llanes', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 1, 'Ardisana', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 2, 'Buda', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 3, 'Calduein', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 4, 'Caldueo', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 5, 'Los Callejos', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 6, 'Cortines', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 7, 'Debodes', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 8, 'Jareras', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 9, 'Llano de Amieva', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 10, 'El Mazuco', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 11, 'Mestas de Ardisana', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 12, 'Palacio de Ardisana', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 13, 'Puente Nuevo', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 14, 'Riocaliente (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 15, 'Rotella (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 16, 'Villa (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33507', 17, 'Villanueva de Ardisana', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33508', 1, 'Allende (Vibao)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33508', 2, 'La Malateria (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33508', 3, 'Mere', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33508', 4, 'Rioseco (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33508', 5, 'Torrevega', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33508', 6, 'El Vallin (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33508', 7, 'Vibao', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33509', 1, 'La Arquera (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33509', 2, 'Cue', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33509', 3, 'Pancar', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33509', 4, 'Parres (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33509', 5, 'La Pereda (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33509', 6, 'Poo de Llanes', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33509', 7, 'Porrua', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33509', 8, 'La Portiella (Llanes)', 330365, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33510', 0, 'Pola de Siero', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 1, 'Acebo (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 2, 'Aramanti', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 3, 'Aramil', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 4, 'Barbecho', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 5, 'Barrial (Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 6, 'Berros', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 7, 'La Brauca (Traspando-Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 8, 'La Cabaa (Traspando-Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 9, 'El Camino (Feleches-Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 10, 'Canal (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 11, 'La Capilla (Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 12, 'Carcabada (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 13, 'Castaera (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 14, 'La Cigueta', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 15, 'Cirigeyo', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 16, 'Collado (Pola de Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 17, 'Cordon', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 18, 'Los Corros (Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 19, 'Corte', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 20, 'La Cuesta (Feleches-Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 21, 'La Cuesta (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 22, 'Feleches (Pola de Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 23, 'La Felguera (Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 24, 'Figares (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 25, 'Fuentemil', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 26, 'Llorian', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 27, 'La Masanti', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 28, 'La Mata (Feleches-Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 29, 'Matuca', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 30, 'Miyares (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 31, 'El Molinon', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 32, 'Moral de Sariego', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 33, 'Narzana de Sariego', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 34, 'Nora (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 35, 'Novalin', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 36, 'El Pascual (Traspando-Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 37, 'Pedraces (Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 38, 'Pedrosa (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 39, 'Quintana (Pola de Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 40, 'La Quintana (Pola de Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 41, 'La Rebollada (Pola de Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 42, 'El Rebollar (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 43, 'La Recula', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 44, 'Rimada', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 45, 'Rincon', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 46, 'Rio Abajo', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 47, 'Rio Arriba', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 48, 'San Esteban (Aramil)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 49, 'San Roman de Sariego', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 50, 'San Roque (Pola de Siero)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 51, 'Santianes (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 52, 'La Secada', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 53, 'La Sierra (Sariego)', 330655, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33518', 54, 'Solapea', 330498, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33888', 13, 'Is', 330019, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41928', 0, 'Palomares del Rio', 410704, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41930', 0, 'Bormujos', 410172, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41940', 0, 'Tomares', 410938, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41950', 0, 'Castilleja de la Cuesta', 410299, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41960', 0, 'Gines', 410476, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41970', 0, 'Santiponce', 410896, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41980', 0, 'La Algaba', 410074, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41989', 0, 'El Aral', 410074, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42001', 0, 'Soria', 421736, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42002', 0, 'Soria', 421736, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42003', 0, 'Soria', 421736, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42004', 0, 'Soria', 421736, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42005', 0, 'Soria', 421736, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42070', 0, 'Soria', 421736, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42071', 0, 'Soria', 421736, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42080', 0, 'Soria', 421736, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42100', 0, 'Agreda', 420047, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42107', 1, 'Aldehuela de Agreda', 420047, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42107', 2, 'Beraton', 420341, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42107', 3, 'Cueva de Agreda', 420737, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42107', 4, 'Fuentes de Agreda', 420047, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42107', 5, 'Vozmediano', 420047, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42108', 1, 'Aavieja', 420578, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42108', 2, 'Devanos', 420755, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42108', 3, 'Muro', 421340, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42108', 4, 'Valverde de Agreda', 420578, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42110', 0, 'Olvega', 421340, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 1, 'Aldealpozo', 421003, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 2, 'Calderuela', 421003, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 3, 'Hinojosa del Campo', 421003, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 4, 'Nieva de Calderuela', 421003, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 5, 'Omeaca', 421003, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 6, 'Pinilla del Campo', 421391, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 7, 'Pozalmuro', 421427, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 8, 'Tajahuerce', 421767, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 9, 'Tozalmoro', 421003, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 10, 'Valdegea', 421003, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42112', 11, 'Villar del Campo', 422083, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42113', 1, 'Castilruiz', 420578, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42113', 2, 'Cigudosa', 420578, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42113', 3, 'Fuentestrun', 420933, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42113', 4, 'Matalebreras', 421101, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42113', 5, 'Montenegro de Agreda', 421101, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42113', 6, 'San Felices', 420578, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42113', 7, 'Trevago', 421887, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42113', 8, 'Valdelagua del Cerro', 421932, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42120', 0, 'Gomara', 420964, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42126', 1, 'De Albalate', 420217, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42126', 2, 'Almazul', 420217, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42126', 3, 'Cihuela', 420639, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42126', 4, 'Deza', 420768, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42126', 5, 'Mazateron', 420217, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42126', 6, 'Miana', 420768, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42126', 7, 'La Alameda', 420217, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42126', 8, 'Carabantes', 420217, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42126', 9, 'Quioneria', 420217, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42126', 10, 'Reznos', 420217, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42127', 1, 'Abion', 420964, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42127', 2, 'Ledesma de Soria', 420964, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42127', 3, 'Seron de Nagima', 421715, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42127', 4, 'Zarabes', 420217, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42128', 1, 'Bliecos', 420373, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42128', 2, 'Castil de Tierra', 421834, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42128', 3, 'Nomparedes', 421834, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42128', 4, 'Tapiela', 420373, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42128', 5, 'Tejado', 421834, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42128', 6, 'Villanueva de Zamajon', 421834, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42128', 7, 'Zamajon', 421834, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42130', 1, 'Almenar', 420222, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42130', 2, 'Cabrejas del Campo', 420222, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42130', 3, 'Castejon del Campo', 420222, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42130', 4, 'Esteras de Lubia', 420222, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42130', 5, 'Mazalvete', 420222, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42130', 6, 'Ojuel', 420222, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42130', 7, 'Peroniel del Campo', 420222, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42132', 1, 'Albocabe', 421329, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42132', 2, 'Aliud', 421329, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42132', 3, 'Buberos', 421329, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42132', 4, 'Noviercas', 421329, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42132', 5, 'Paredesroyas', 421329, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42132', 6, 'Torralba de Arciel', 421329, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42132', 7, 'Villaseca de Arciel', 421329, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42132', 8, 'Jaray', 421329, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 1, 'Aldealafuente', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 2, 'Candilichera', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 3, 'Carazuelo', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 4, 'Duaez', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 5, 'Fuensauco', 421545, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 6, 'Fuentetecha', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 7, 'Ribarroya', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 8, 'Alconaba', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 9, 'Cubo de Hogueras', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 10, 'Martialay', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 11, 'Ontalvilla de Valcorba', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 12, 'Cadosa', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42134', 13, 'La Salma', 420490, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42137', 3, 'Pealcazar', 999999, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42138', 1, 'Borobia', 420392, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42138', 2, 'Ciria', 420644, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42138', 3, 'Cardejon', 420222, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42138', 4, 'Portillo de Soria', 420392, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42138', 5, 'Sauquillo de Alcazar', 420392, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42138', 6, 'Torrubia de Soria', 420392, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42140', 0, 'San Leonardo de Yague', 421643, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42141', 1, 'Arganza', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42141', 2, 'Fuencaliente del Burgo', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42141', 3, 'Fuentearmegil', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42141', 4, 'Guijosa', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42141', 5, 'Nafria de Ucero', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42141', 6, 'Quintanilla de Nuo Pedro', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42141', 7, 'Rejas de Ucero', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42141', 8, 'Santa Maria de Las Hoyas', 421681, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42141', 9, 'Santervas del Burgo', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42141', 10, 'Valdealbin', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42142', 1, 'Navas de Pinar', 420807, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42142', 2, 'Espeja de San Marcelino', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42142', 3, 'Espejon', 420814, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42142', 4, 'La Hinojosa', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42142', 5, 'Muecas', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42142', 6, 'Orillares', 420807, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42145', 1, 'Cidones', 420618, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42145', 2, 'Herreros', 420618, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42145', 3, 'Malluembre', 420618, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42145', 4, 'Ocenilla', 420618, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42145', 5, 'Villaverde del Monte', 420618, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42146', 1, 'Abejar', 420011, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42146', 2, 'Cabrejas del Pinar', 420452, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42147', 0, 'La Blanca', 420452, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42148', 1, 'Cantalucia', 421789, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42148', 2, 'Casarejos', 421789, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42148', 3, 'Cubilla', 420709, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42148', 4, 'Cubillos', 421789, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42148', 5, 'Herrera de Soria', 421789, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42148', 6, 'Muriel Viejo', 421255, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42148', 7, 'Pinar Grande', 421789, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42148', 8, 'Talveila', 421789, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42148', 9, 'Vadillo', 421789, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42149', 0, 'Navaleno', 421293, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 24, 'Orujo', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 25, 'El Pajonal', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 26, 'El Pinar (Los Llanos)', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 27, 'Pintado', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 28, 'El Primillo', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 29, 'La Punta (Tijarafe)', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 30, 'Puntagorda', 380295, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 31, 'El Roque (Los Llanos)', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 14, 'Ceacal', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 15, 'Cotariella (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 16, 'Coz', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 17, 'El Cueto (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 18, 'Espinera (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 19, 'Fondaque', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 20, 'La Gallina', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 21, 'La Huelga (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 22, 'Hueria (Tuilla -Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 23, 'La Molinera', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 24, 'Molino de Coz', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 25, 'Molino de la Maa', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 26, 'Molino Rozado', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 27, 'La Moral (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 28, 'La Mudrera', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 29, 'La Mudrerina', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 30, 'Otero-Roiles', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 31, 'Refozones', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 32, 'Reguerin', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 33, 'Riega Miguel', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 34, 'Rozado', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 35, 'Terreron', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 36, 'La Tornera', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 37, 'Tuilla', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 38, 'La Valdre', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 39, 'La Vallina (Tuilla - Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33935', 40, 'Valluco el', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 1, 'Arenas (Carbayin-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 2, 'La Bollina (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 3, 'La Cabaona (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 4, 'Candin', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 5, 'Carbayin Alto (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 6, 'Cardao', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 7, 'El Carpio', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 8, 'Cerezales', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 9, 'Corujona (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 10, 'Cotayo', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 11, 'El Coto (Arenas-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 12, 'La Cruz (Arenas-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 13, 'La Cuea', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 14, 'El Cuitu (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 15, 'Escobal (Carbayin)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 16, 'Estacion (Carbayin-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 17, 'La Foyaca (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 18, 'El Fresno (Arenas-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 19, 'La Horrea', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 20, 'Lamuo (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 21, 'La Llosa (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 22, 'La Llovera (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 23, 'La Magadalena (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 24, 'Miracales', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 25, 'Mosquitera (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 26, 'Les Paseres', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 27, 'El Planadal', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 28, 'Porqueriza', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 29, 'Los Pozos', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 30, 'Pumarabule', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 31, 'Puide', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 32, 'La Rasa (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 33, 'Rosellon (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 34, 'Saldaa', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 35, 'Santiago de Arenas', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 36, 'Saus', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 37, 'Tronquedal', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33936', 38, 'Villaescusa (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33937', 1, 'Bendicion', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33937', 2, 'Caballeros (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33937', 3, 'Corripos', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33937', 4, 'Molledo', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33937', 5, 'Moeca', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33937', 6, 'Nora (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33937', 7, 'Tablado (Bendicion-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33937', 8, 'Venta de Soto', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33937', 9, 'Las Vinadas (Langreo)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 1, 'Castiello (Bendicion)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 2, 'Faes', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 3, 'Landia', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 4, 'Lecees', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 5, 'Llorianes', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 6, 'Valdesoto', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 7, 'Piniella (Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 8, 'La Rotella (Valdesoto-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 9, 'Tiroco de Abajo', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 10, 'Tiroco de Arriba', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33938', 11, 'Pando (Valdesoto-Siero)', 330668, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 1, 'Andarujo', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 2, 'La Atalaya (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 3, 'Caballeros (Bendicion-Siero)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 4, 'La Campa (Barros-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 5, 'Campanal (La Felguera-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 6, 'Campo Carrera', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 7, 'La Capilla (Felguera-Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 8, 'Castandiello (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 9, 'Los Cuarteles (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 10, 'Las Fayas (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 11, 'Formiguera (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 12, 'Lo Frayoso', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 13, 'Gargantada', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 14, 'La Granda (La Felguera - Langr', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 15, 'Hueria (La Felguera - Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 16, 'La Llana (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 17, 'Llano Pando', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 18, 'Llascaras', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 19, 'La Nava (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 20, 'Pajomal', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 21, 'Pando (Langreo9', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 22, 'Rebollin', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 23, 'Reguerinas', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 24, 'Reguero Llerin', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 25, 'Respinedo', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 26, 'Respio', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 27, 'El Ricarion', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 28, 'Riparape', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 29, 'San Justo (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 30, 'Tejera de Pando', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 31, 'Las Tejeras (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 32, 'Torgados', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33939', 33, 'Venta del Aire (Langreo)', 330313, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33940', 1, 'El Entrego', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33940', 2, 'Soton', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 1, 'La Cabaa (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 2, 'Carrocera (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 3, 'Casanueva (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 4, 'Corvero', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 5, 'El Cubo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 6, 'Hueria de Carrocera', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 7, 'La Huerta (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 8, 'La Llave', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 9, 'La Magdalena (Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 10, 'La Piera (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 11, 'Pontona (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 12, 'El Pumarabin', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33945', 13, 'La Rotella (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 1, 'Aragustin', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 2, 'Los Artos', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 4, 'Casas Redondas', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 5, 'Club Aldiana', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 6, 'Club Marabu', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 7, 'Don Carlos', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 8, 'Esmeralda', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 9, 'Esquinzo (Morrojable)', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 10, 'Los Gorriones', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 11, 'Hotel Jandia', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 14, 'Monte Marina', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 15, 'Stella Canaria', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 16, 'Taberna del Pescador', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 17, 'Tenni-Center', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 18, 'Viajes Insular', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 19, 'Villa Maana', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35627', 1, 'La Calabaza', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35627', 2, 'Cardon el (Gran Tarajal)', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35627', 3, 'Costa Calma', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35627', 4, 'Huerta de Chilegua', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35627', 5, 'La Lajita', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35627', 6, 'Marcos Sanchez', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35627', 7, 'La Pared', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35627', 8, 'Rosas de los James', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35627', 9, 'Tarajalejo', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35627', 10, 'Tesejerague', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35628', 1, 'Ajuy', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35628', 2, 'Mezquez', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35628', 3, 'Pajara', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35628', 4, 'Rosa de Catalina Garcia', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35628', 5, 'Toto', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35628', 6, 'Tuineje', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 1, 'El Charco', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 2, 'El Cuchillette', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 3, 'Entallada (Enlace de La)', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 4, 'Faro de la Entallada', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 5, 'La Fuentita', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 6, 'Ginijinamar', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 7, 'Juan Gopar', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 8, 'Mazacote', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 9, 'Piedra Hincada', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 10, 'Las Playitas', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 11, 'Rosa Grande', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 12, 'Tenicosquey', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 13, 'Tequital', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 14, 'Violante', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35629', 15, 'La Mata', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35630', 1, 'La Antigua', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35630', 2, 'El Barrio (Antigua)', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35630', 3, 'El Durazno', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35630', 4, 'Maninubre', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35637', 1, 'Almacigo', 350075, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35637', 2, 'Ampuyenta', 350075, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35637', 3, 'Betancuria', 350075, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35637', 4, 'Llanos de la Concepcion', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35637', 5, 'Valle de Santa Ines', 350075, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35637', 6, 'Vega de Rio Palma', 350075, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35638', 1, 'Agua de Bueyes', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35638', 2, 'Casillas de Morales', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35638', 3, 'La Tiscamanita Corte', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35638', 4, 'Los Pocetas', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35638', 5, 'Tiscamanita', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35638', 6, 'Valles de Ortega', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35639', 1, 'Alares', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35639', 2, 'Casas del Hospinal', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35639', 3, 'Majada', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35639', 4, 'Pozo Negro', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35639', 5, 'Rosa del Taro', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35639', 6, 'Triquivijate', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35640', 1, 'La Oliva', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35640', 2, 'Villaverde', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35649', 1, 'Caldereta (La Oliva)', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35649', 2, 'Esquinzo (La Oliva)', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35649', 3, 'Taca', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35649', 4, 'Tindaya', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35649', 5, 'Vallebron', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35650', 1, 'Cotillo', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35650', 2, 'Cotillo (Playa De)', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35650', 3, 'Lajares', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35650', 4, 'El Roque (Cotillo)', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35660', 0, 'Corralejo', 350141, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36001', 0, 'Pontevedra', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36002', 0, 'Pontevedra', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36003', 0, 'Pontevedra', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36004', 0, 'Pontevedra', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36005', 0, 'Pontevedra', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36070', 0, 'Pontevedra', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36071', 0, 'Pontevedra', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36080', 0, 'Pontevedra', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36100', 0, 'Centro Militar Figueirido', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36110', 1, 'Alagoa (Campolameiro)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36110', 2, 'Alende (Campolameiro)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36110', 3, 'Campo Lameiro', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36110', 4, 'Liarios (Campolameiro)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36110', 5, 'Morao (Campolameiro)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36116', 1, 'Castro (Cerdedo-Docabo)', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36116', 2, 'Castro (Cerdedo-Domedio)', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36116', 3, 'Castro (Cerdedo-Filgueira)', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36116', 4, 'Quireza (Resto Parroquia)', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36116', 5, 'Tomonde', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36117', 1, 'Castro (Cerdedo)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36117', 2, 'Castro (Cerdedo-Bugarin)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36117', 3, 'Cuia (Quireza)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36117', 4, 'Mamoalba (Quireza)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36117', 5, 'Montes (San Isidro)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36117', 6, 'Quireza (Mamoalba Cuia', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36117', 7, 'San Isidro de Montes', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36117', 8, 'Serrapio (Pedre)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36117', 9, 'Vilarchan (Quireza)', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36118', 0, 'Fragas', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36119', 1, 'Chacente (Campolameiro)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36119', 2, 'Fontanes (San Jorge de Sacos)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36119', 3, 'Morillas', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36119', 4, 'Muimenta (Campo Lameiro)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36119', 5, 'Praderrey (Campolameiro)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36119', 6, 'San Jorge de Sacos (Fontanes)', 360078, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36120', 0, 'Tenorio', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36121', 1, 'San Jorge de Sacos (Resto Parr', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36121', 2, 'Santa Maria de Sacos', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36121', 3, 'Viascon', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36130', 0, 'Cerdedo (Casco Urbano)', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36139', 1, 'Cerdedo (Resto Parroquia)', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36139', 2, 'Figueroa', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36139', 3, 'Pedre (Pedre)', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36139', 4, 'Vichocuntin (Pedre)', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36140', 1, 'Bertola', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36140', 2, 'Figueirido (Santo Andre)', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36140', 3, 'A Graa (Vilaboa)', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36140', 4, 'Postemiron (Vilaboa)', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36140', 5, 'Vilaboa (Graa)', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36140', 6, 'Vilaboa (Postemiron)', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36141', 1, 'Paredes (Vilaboa)', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36141', 2, 'O Toural', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36141', 3, 'Vilaboa (Resto Parroquia)', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36142', 1, 'Cobres (Santo Adran)', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36142', 2, 'Santa Cristina de Cobres (Sant', 360583, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36200', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37451', 2, 'Carrascal del Obispo', 370883, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37451', 3, 'Casasolilla y Huelmos', 370883, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37451', 4, 'El Cubito', 370883, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37451', 5, 'Huelmos y Casasolilla', 370883, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37451', 6, 'Vega de Olleros', 370883, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37451', 7, 'Villalba de los Llanos', 373533, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37452', 1, 'Casanueva', 373467, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37452', 2, 'Casasola', 373467, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37452', 3, 'Casasola del Campo', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37452', 4, 'Castroverde', 372112, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37452', 5, 'Cortos de la Sierra', 372112, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37452', 6, 'Garcigalindo', 372112, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37452', 7, 'Sanchogomez', 372112, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37453', 1, 'Carneruelo', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37453', 2, 'Carrascal de Sanchiricones', 371876, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37453', 3, 'El Cueto', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37453', 4, 'Gueribaez', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37453', 5, 'La Milanera', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37453', 6, 'Sanchiricones', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37453', 7, 'Tordelalosa', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37453', 8, 'Tornadizos', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37453', 9, 'La Torrita', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37454', 2, 'Carrascal del Asno', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37454', 7, 'Las Veguillas', 373467, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37458', 1, 'La Duea de Abajo', 372376, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37458', 3, 'Fuensanta', 372376, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 1, 'Aldehuela de la Boveda', 370251, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 2, 'Alcornocal', 371494, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 3, 'Cabeza de Diego Gomez', 372838, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 4, 'Villarejo (Sando)', 370251, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 5, 'Ardonsillero', 371494, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 6, 'Berrocalejo', 371494, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 7, 'Castro Enriquez', 370251, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 8, 'Garcirrey', 371494, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 9, 'La Moral de Castro', 371494, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 10, 'Rodasviejas', 370251, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 11, 'Tejadillo (Aldehuela de la Bov', 370251, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 12, 'Vilvis', 371494, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 13, 'Tabera de Arriba', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 14, 'Villar de los Alamos', 370251, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 15, 'Valdelama', 371494, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37460', 16, 'Aldehuela de la Boveda (Barrid', 370251, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37465', 1, 'Anaya de Huebra', 372730, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37465', 2, 'Carrascalejo de Huebra', 372730, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37465', 3, 'La Sagrada', 372730, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37466', 1, 'Cuarton del Pilar', 370251, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37466', 2, 'Olleros de Pea de Cabra', 370251, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37466', 3, 'Sanchon de la Sagrada', 372817, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37467', 3, 'Villagarcia', 372838, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37468', 2, 'Fuentes de Sando', 372838, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37468', 3, 'Grandez', 371067, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37468', 4, 'Iruelo del Camino', 372838, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37468', 5, 'Sando de Santa Maria', 372838, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37468', 6, 'Santa Maria de Sando', 372936, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37468', 7, 'El Valejo', 372838, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37468', 8, 'Villasdardo', 373684, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37470', 0, 'Sancti Spiritus', 372796, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37478', 1, 'Alba de Yeltes', 370093, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37478', 2, 'Diosleguarde', 371152, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37478', 3, 'Dos Encinas', 370093, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37478', 4, 'El Mejorito', 370093, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37479', 1, 'Fuenterroble de Abajo', 370969, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37479', 2, 'Fuenterroble de Arriba', 370969, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37479', 3, 'Paradinas de Abajo', 370969, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37479', 4, 'Valdelazarza', 370969, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37479', 5, 'Villar del Rey', 370969, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37479', 6, 'Vistahermosa (Santi Espiritus)', 370969, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37480', 0, 'Fuentes de Ooro', 371400, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37481', 0, 'Fuentes de Ooro', 371400, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37488', 1, 'Aldea del Obispo', 370153, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37488', 2, 'Barquilla', 373599, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37488', 3, 'Bernoy', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37488', 4, 'La Bouza', 370153, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37488', 5, 'Castillejo de Dos Casas', 370153, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37488', 6, 'El Gardon', 370153, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37488', 7, 'Villar de la Yegua', 373599, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37488', 8, 'Villar del Ciervo', 373570, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37488', 9, 'Puerto Seguro', 372647, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37490', 1, 'Cabezabellosa de la Calzada', 370628, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37490', 2, 'Pitiegua', 372549, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37490', 3, 'Sordos', 370628, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37491', 4, 'Encinasola de Las Minayas', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37491', 5, 'Navas de Quejigal', 370798, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37491', 12, 'Taberuela', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37491', 13, 'Tellosancho', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37491', 15, 'Valdechapero', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37492', 1, 'San Fernando', 372702, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37493', 1, 'Aldeavieja (Alaveria)', 370592, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37493', 2, 'Aldeavila de Revilla', 370592, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37493', 3, 'Campos de la Viuda', 370592, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37493', 4, 'Mercadillo', 370592, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37493', 5, 'Muoz', 371358, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37493', 6, 'Peramato', 372416, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37494', 1, 'Campocerrado', 371839, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37494', 2, 'Castillejo de Yeltes', 371839, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37494', 3, 'Castraz', 370975, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37494', 4, 'Cuarto de Galache', 371839, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37494', 5, 'Martin de Yeltes', 371839, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37494', 6, 'Pedraza de Yeltes', 370975, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37494', 7, 'Sepulveda de Yeltes', 371839, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37495', 1, 'Baos de Retortillo', 372679, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37495', 2, 'Collado de Yeltes', 372679, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37495', 3, 'Nava de Yeltes', 372679, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37495', 4, 'Retortillo', 372679, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37495', 5, 'Vadera Valdia', 372679, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37497', 1, 'Espeja', 371279, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37497', 2, 'Alameda de Gardon', 371279, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37497', 3, 'Villar de Argaan', 373564, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37497', 4, 'Gallegos de Argaan', 371456, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37497', 5, 'Martillan', 373564, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37497', 6, 'Serranillo', 373599, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37497', 7, 'Sexmiro', 373564, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37497', 8, 'Carpio de Azaba', 370861, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37497', 9, 'Hurtada', 373564, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37500', 1, 'Ciudad Rodrigo', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37500', 2, 'Ivanrey', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37510', 1, 'Martiago', 371818, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37510', 2, 'Agallas', 370021, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37510', 3, 'Vegas de Domingo Rey', 370021, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37510', 4, 'Villarejo Agallas', 371818, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37510', 5, 'Pastores', 372339, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37510', 6, 'Cespedosa de Agadones', 371572, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37510', 7, 'El Sahugo', 371818, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37515', 0, 'La Encina', 371190, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37516', 0, 'Herguijuela de Ciudad Rodrigo', 371572, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37520', 0, 'El Bodon', 370541, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37521', 0, 'Robleda', 372698, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37522', 0, 'Villasrubias', 373718, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37523', 0, 'Peaparda', 372455, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37524', 0, 'El Payo', 372344, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37530', 0, 'Serradilla del Llano', 373071, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37531', 0, 'Serradilla del Arroyo', 373065, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37532', 0, 'Monsagro', 371993, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37540', 0, 'Fuenteguinaldo', 371361, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37541', 0, 'Casillas de Flores', 370917, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 32, 'Tabona', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 33, 'El Time', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 34, 'Tinizara', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 35, 'Las Traviesas', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38800', 0, 'San Sebastian Gomera', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38810', 0, 'De Santiago', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38811', 1, 'Barranco de Santiago', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38811', 2, 'Benchijigua', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38811', 3, 'De la Charca', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38811', 4, 'Laguna de Santiago', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38811', 5, 'Lomo del Gato', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38811', 6, 'Pastrana', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38811', 7, 'Tapahuga', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38811', 8, 'Tecina', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38811', 9, 'Tejiadez', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38811', 10, 'Las Toscas', 380368, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38812', 1, 'Agalan', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38812', 2, 'Alajero', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38812', 3, 'Almacigos', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38812', 4, 'Guariniar', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38812', 5, 'Magaa', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38812', 6, 'Los Molinos Maria Juana', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38812', 7, 'Quise', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38812', 8, 'El Repecho', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 1, 'Antoncojo', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 2, 'Ayamosna', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 3, 'Casa Caida', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 4, 'Jerdue', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 5, 'Mauro', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 6, 'Mequesegue', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 7, 'La Roseta', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 8, 'Santa Ana', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 9, 'Sardina', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 10, 'Targa', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 11, 'Las Toscas (Gomera)', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38813', 12, 'Vegaipala', 380033, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38820', 0, 'Hermigua', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 1, 'Barzonera', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 2, 'Cabezadas de Abajo', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 3, 'Cabezadas de Arriba', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 4, 'El Cabo (Hermigua)', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 5, 'Las Casas (Hermigua)', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 6, 'La Cerca (Hermigua)', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 7, 'Corralete', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 8, 'Estanquillo', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 9, 'Hoyetas', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 10, 'Ibo Alfaro', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 11, 'Monforte', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 12, 'Las Palmas', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 13, 'Las Poyatas', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 14, 'San Pedro (Hermigua)', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 15, 'El Tabaibal', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38829', 16, 'Valle Alto', 380218, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38830', 1, 'Agulo', 380027, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38830', 2, 'Lepe', 380027, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38840', 1, 'Las Casillas (Vallehermoso)', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38840', 2, 'Vallehermoso', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38849', 1, 'Banda de Las Rosas', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38849', 2, 'Los Chapines', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38849', 3, 'Ingenio', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38849', 4, 'Los Loros', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38849', 5, 'Macayo', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38849', 6, 'La Quilla', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38850', 0, 'Arguamul', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38852', 1, 'Alojera', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38852', 2, 'Epina', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38852', 3, 'Taguluche', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38860', 1, 'Arguayoda', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38860', 2, 'La Rajita', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 1, 'El Angosto', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 2, 'Apartadero', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 3, 'El Cercado (San Sebastian Gome', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 4, 'Chipude (Playa Rajita)', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 5, 'Las Cuadernas (Empalmede)', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 6, 'La Dama', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 7, 'La Dehesa', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 8, 'El Engosto', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 9, 'Erque', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 10, 'Erquito', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 11, 'Gerian', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 12, 'Guarchico', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 13, 'Las Hayas', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 14, 'Hoya de la Virgen', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 15, 'Igualero', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 16, 'Mague', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 17, 'Pavon', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 18, 'Santa Catalina (Hermigua)', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38869', 19, 'Verodal', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38870', 0, 'Valle Gran Rey', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 1, 'Casa de la Seda', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 2, 'Chele', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 3, 'Los Descansaderos', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 4, 'Los Granados', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 5, 'El Guro', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 6, 'El Hornillo (Valle Gran Rey)', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 7, 'Lomo del Balo (Valle Gran Rey)', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 8, 'Lomo Moral', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 9, 'Retamal', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 10, 'La Rinconada', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38879', 11, 'La Vizcaina (Gomera)', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38890', 1, 'Los Acevios', 380027, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38890', 2, 'Cruz del Tierno', 380027, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38890', 3, 'Las Hiedras', 380027, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38890', 4, 'Pajar de Bento', 380027, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38890', 5, 'La Palmita (Hermigua)', 380027, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38890', 6, 'Las Rosas (Hermigua)', 380027, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38890', 7, 'Serpa', 380027, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38890', 8, 'Las Vegas (Hermigua)', 380027, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 1, 'Carrion', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 2, 'Caada (San Sebastian Gomera)', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 3, 'Cuevitas', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 4, 'Guanches', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 5, 'La Laja', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 6, 'Lomo Barro', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 7, 'Lomo Josepe', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 8, 'Pie de la Cuesta', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 9, 'La Playa', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 10, 'Rabone', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 11, 'La Rueda', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 12, 'Simancas', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 13, 'Tamargada', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 14, 'Los Tartagos', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 15, 'Tributo', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38891', 16, 'Los Zarzales', 380504, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38892', 1, 'Acardece', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38892', 2, 'Arure', 380491, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38900', 0, 'Valverde del Hierro', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38910', 1, 'Aeropuerto de Hierro', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38910', 2, 'De la Caleta', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38910', 3, 'Planta Electrica', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38910', 4, 'Puerto de la Estaca', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38910', 5, 'Tamaduste', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38910', 6, 'Timijiraque', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 1, 'Las Casillas (Hierro)', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 2, 'Los Corchos (Valverde)', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 3, 'Frontera', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 4, 'Guinea', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 5, 'El Hoy', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 6, 'Las Lapas', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 7, 'Lomo de los Guzmanes', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 8, 'Luchon', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 9, 'Los Mocanes', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 10, 'Pie del Risco', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 11, 'Las Puntas (V. Hierro)', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 3, 'Baua', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 4, 'Braniella', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 5, 'Cabaina (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 6, 'La Cabaona (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 7, 'La Camperona (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 8, 'La Camperona (Siero)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 9, 'La Casuca (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 10, 'Ciriego', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 11, 'Cocain', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 12, 'Cocao', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 13, 'La Comba (Siero)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 14, 'Corredoria (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 15, 'Cotariella-Cocain', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 16, 'El Edrado (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 17, 'La Encarnada', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 18, 'Fatorgada', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 19, 'La Faya (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 20, 'Felechosas', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 21, 'Felguerosa (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 22, 'Forniellas (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 23, 'Gemenediz', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 24, 'Ifrera', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 25, 'Llaneces del Rey Moro', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 26, 'La Llaniella (Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 27, 'Llanos los Artos', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 28, 'Lloseta', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 29, 'La Longa (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 30, 'Noal', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 31, 'Ordiales (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 32, 'Pelonegro', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 33, 'Perlada', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 34, 'El Plano (Siero)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 35, 'Poladura (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 36, 'El Portazgo (Corvera)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 37, 'La Revenga', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 38, 'La Rina', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 39, 'Riolosbueyes', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 40, 'Las Roces (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 41, 'Roiles (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 42, 'El Rosellon (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 43, 'Rotella de Bedavo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33946', 44, 'Sagosa', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 1, 'Abonion', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 2, 'La Acebal (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 3, 'Arbejil', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 4, 'Artosa (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 5, 'La Cabaa (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 6, 'Castaera (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 7, 'Ciera', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 8, 'Cotariella-Escobio', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 9, 'Escobio (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 10, 'La Figar (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 11, 'Lantero (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 12, 'Llagos', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 13, 'Mayao', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 14, 'Otariz', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 15, 'Paniceres de San Andres', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 16, 'Pipe (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 17, 'La Rebollada (Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 18, 'Los Rebollos (Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 19, 'San Vicente (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 20, 'Sorriego', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 21, 'Trabanquin', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 22, 'Valleya', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 23, 'Vallina (Valle Lantero)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 24, 'Las Vilorteras (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33947', 25, 'Via (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 1, 'Barredo (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 2, 'Bedavo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 3, 'Bornadina', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 4, 'Bornadones', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 5, 'La Cantera (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 6, 'La Fayona (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 7, 'El Fresno (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 8, 'Juliana', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 9, 'Llugarin de Abajo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 10, 'Llugarin de Arriba', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 11, 'El Lugarin de Arriba', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 12, 'Meruxeo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 13, 'La Nespral (Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 14, 'Otariello', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 15, 'El Rebollal (Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 16, 'Rozada', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33948', 17, 'Vistalegre (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 1, 'La Barraca (Ciao-Langreo)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 2, 'El Candanal (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 3, 'La Capilla (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 4, 'El Carbayal (Langreo)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 5, 'La Casorra (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 6, 'La Central', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 7, 'La Ceposa (Langreo)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 8, 'La Cuadra', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 9, 'Las Cubas', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 10, 'Felguera de Villar (Ciao)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 11, 'Los Fornos (Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 12, 'Foyedo (Langreo)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 13, 'Granja (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 14, 'Limosnera', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 15, 'Picocastillo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 16, 'Polledo (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 17, 'Pumarin (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 18, 'Solalonga', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 19, 'La Traviesa (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 20, 'Los Valles (Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 21, 'Vallina (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 22, 'Vallina de la Longa', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33949', 23, 'Villacedre', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33950', 1, 'Serrallo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33950', 2, 'Sotrondio', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33950', 3, 'La Venta (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 1, 'Argayadas', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 2, 'Batan', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 3, 'Los Caleyos (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 4, 'Canto Las Matas', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 5, 'El Canto (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 6, 'Casa Nueva (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 7, 'Casacima', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 8, 'Casas de Abajo (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 9, 'La Casuca (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 10, 'Colladiella', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 11, 'Collado Escobal', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 12, 'Corralon (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 13, 'Costaya', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 14, 'La Cruz (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 15, 'Edrado (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 16, 'Escobal (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 17, 'La Espesura', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 18, 'La Estaca (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 19, 'Los Llanos (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 20, 'La Meruca (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 21, 'Miera de Arriba', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36143', 0, 'Salcedo (San Martio)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36150', 0, 'Xeve (Santo Andre)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36151', 1, 'Santa Maria de Xeve (Santa Mar', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36151', 2, 'Verducido (San Martio)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36152', 0, 'Cerponzons (San Vicente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36153', 1, 'Agrovello (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36153', 2, 'De Celulosas', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36153', 3, 'Colonia Pina', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36153', 4, 'A Igrexa (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36153', 5, 'Lourizan (Santo Andre)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36153', 6, 'A Mean (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36153', 7, 'As Nogueiras (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36153', 8, 'O Rial (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36153', 9, 'Roris (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36153', 10, 'O Rozo (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36154', 1, 'A Barcia (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36154', 2, 'Bora (Santa Maria)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36154', 3, 'A Cardosa (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36154', 4, 'Carracido (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36154', 5, 'A Ermida (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36154', 6, 'Peralba (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36154', 7, 'Ria de Abaixo (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36154', 8, 'Ria de Arriba (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36155', 1, 'As Casaldorado E Cernadas (Ler', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36155', 2, 'A Cendona (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36155', 3, 'A E Xunqueira de Lerez Gandara', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36155', 4, 'A Pedra Picada (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36155', 5, 'A Ramallas E Ferreira (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 1, 'Casal Novo (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 2, 'O Castelo (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 3, 'Cimbelo (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 4, 'O Couso (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 5, 'O Cruceiro (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 6, 'A Fontaia (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 7, 'A Laxia (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 8, 'Lerez (Arca)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 9, 'Lerez (Porta do Sol)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 10, 'O Outeiro (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 11, 'A Piolla (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36156', 12, 'A Torre (Lerez)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36157', 1, 'Alba (Santa Maria)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36157', 2, 'Campao (San Pedro)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36158', 1, 'Albeiro (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36158', 2, 'Marcon (San Miguel)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36158', 3, 'Pazos (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36158', 4, 'Pintos (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36158', 5, 'Tomeza (San Pedro)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36158', 6, 'Valadares (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36158', 7, 'Vilafranca (Marcon)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36158', 8, 'O Marco', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36160', 1, 'Campolongo', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36160', 2, 'La Chamusca', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36160', 3, 'Cuesta de Canda', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36160', 4, 'Fuente Santa', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36160', 5, 'Matalobos', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36160', 6, 'A Ruibal', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36160', 7, 'San Brais', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36161', 2, 'Moldes (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36161', 3, 'Montecelo', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36161', 4, 'La Parda', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36161', 5, 'Pedra do Lagarto', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36161', 6, 'San Amaro (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36162', 1, 'Areales (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36162', 2, 'Os Campos (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36162', 3, 'Monte Porreiro', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36162', 4, 'O Outeiro (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36162', 5, 'Santa Margarida (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36162', 6, 'La Seca', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36162', 7, 'Pontevedra', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36163', 0, 'Poio (San Salvador)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36164', 1, 'Bouza (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36164', 2, 'Carabelos (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36164', 3, 'A Casas Novas E Laxe (Mourente', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36164', 4, 'Condesa (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36164', 5, 'Cons (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36164', 6, 'Eiros (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36164', 7, 'Freixeiro (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36164', 8, 'Laxe (Mourente)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36164', 9, 'Mourente (Santa Maria)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36190', 0, 'Agudelo', 360025, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36191', 0, 'Barro', 360025, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36192', 0, 'Armenteira', 360280, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36193', 1, 'Romay', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36193', 2, 'Valias', 360025, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36194', 1, 'Perdecanay', 360025, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36194', 2, 'San Antonio', 360025, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36201', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36202', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36203', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36204', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36205', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36206', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36207', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36208', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36209', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36210', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36211', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36212', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36213', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36214', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36215', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36216', 0, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36300', 0, 'Baiona', 360031, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36307', 0, 'Belesar (San Lourenzo)', 360031, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36308', 0, 'Bahia (Santa Maria)', 360031, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36309', 1, 'Baredo (Santa Maria)', 360366, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36309', 2, 'Mougas', 360366, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36309', 3, 'Pedornes', 360366, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36309', 4, 'Villadesuso', 360366, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 1, 'Cales (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 2, 'Casal de Abaixo (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 3, 'Chousas (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 4, 'Cidanes (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 5, 'Colexio Universitario (Zamanes', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 6, 'Embalse (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 7, 'Erville (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 8, 'Iglesia (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 9, 'Lagoas (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 10, 'Marcosende (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 11, 'Menda (Zamames)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 12, 'Paredes (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 13, 'San Cosme Alto (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 14, 'Veijas Longas (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 15, 'Vilarino (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 16, 'Vilaverde (Zamanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 17, 'Zamanes', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36310', 18, 'Vigo', 360577, 36, 
    0, 11, 'E', 4, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36311', 0, 'Cela (San Pedro)', 360335, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 1, 'Abanico (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 2, 'Anguia (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 3, 'Avion (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 4, 'Babio (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37542', 0, 'Navasfrias', 372210, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37550', 0, 'Campillo de Azaba', 370747, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37551', 0, 'Ituero de Azaba', 371664, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37552', 0, 'Castillejo de Azaba', 372587, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37553', 0, 'Puebla de Azaba', 372587, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37554', 1, 'Alamedilla', 370068, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37554', 2, 'Moheda de Risueo', 370068, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37555', 0, 'Albergueria de Argaan', 370114, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37556', 0, 'Tejadillo', 999999, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37590', 1, 'La Cuesta', 373065, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37590', 2, 'Guadapero', 373065, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37590', 3, 'La Jara', 373065, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37590', 4, 'Morasverdes', 372040, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37590', 5, 'Pedrotoro', 373065, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37590', 6, 'La Ravida', 373065, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37590', 7, 'El Real', 373065, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37590', 8, 'Salto del Gitano', 373065, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37590', 10, 'Tenebron', 373219, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37591', 1, 'La Atalaya', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37591', 2, 'La Caridad', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37591', 3, 'El Manco', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37591', 4, 'San Juanejo', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37591', 5, 'El Soto', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37591', 6, 'El Valle', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37591', 7, 'Zamarra', 373782, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37592', 1, 'Castillejo Martin Viejo', 372724, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37592', 2, 'Sahelices el Chico', 372724, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37593', 1, 'Bocacara', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37593', 2, 'Valdecarpinteros', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37594', 1, 'Agueda del Caudillo', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37594', 2, 'San Sebastian (Arrabal De)', 371073, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37600', 0, 'Tamames', 373163, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37606', 1, 'Altejos', 372604, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37606', 2, 'Puebla de Yeltes', 372604, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 1, 'Casillas del Puerto', 372199, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 2, 'Navarredonda de la Rinconada', 372199, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 3, 'Puerto de la Calderilla', 373202, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 4, 'Rinconada de la Sierra', 372685, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 5, 'Ventas de Garriel', 372685, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 6, 'Alcazaren', 370418, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 7, 'Barbalos', 370418, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 8, 'Garciigo', 370418, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 9, 'Moraleja de Huebra', 370418, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 10, 'Los Arevalos', 372199, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 11, 'Monflorido', 373202, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 12, 'Segoyuela de los Cornejos', 373202, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 13, 'Tejeda y Segoyuela', 373202, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 14, 'Corral de Garciigo', 370418, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 15, 'Honduras de Huebra', 372199, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37607', 16, 'San Miguel de Asperones', 373202, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37608', 3, 'Pedraza de la Sierra', 373163, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 1, 'Avililla de la Sierra', 373163, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 2, 'Berrocal de Huebra', 370508, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 3, 'Coca de Huebra', 370508, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 4, 'Coquilla de Huebra', 370508, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 5, 'Domingo Seor', 370508, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 6, 'Gallinero de Huebra', 370508, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 7, 'Herreros de Pea Cabra', 373163, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 8, 'Peralejos de Solis', 372112, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 9, 'Pea de Cabra', 372112, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 10, 'Servandez', 373163, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 11, 'Torre de Velayos', 370508, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 12, 'Villar del Profeta', 370508, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 13, 'Arguijo', 373467, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 14, 'Carrascal del Asno', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 15, 'Esteban Isidro', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 16, 'Pedro Llen', 373467, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 17, 'Santo Cristo de Cabrera', 373163, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 18, 'Iigo de Huebra', 373163, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 19, 'Terrones', 372112, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 20, 'Narros de Matalayegua', 372112, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 21, 'Cempron', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37609', 22, 'Pedro Martin', 370883, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37610', 0, 'Mogarras', 371942, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37617', 0, 'Rebollosa', 371588, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37618', 0, 'Monforte de la Sierra', 371968, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37619', 1, 'Herguijuela de la Sierra', 371588, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37619', 2, 'Madroal de la Sierra', 371588, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37621', 1, 'El Maillo', 370188, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37621', 2, 'Zarzosillo', 370188, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37621', 3, 'El Cabaco', 370188, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37621', 4, 'El Zarzoso', 370188, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37621', 5, 'Aldeanueva de la Sierra', 370188, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37621', 6, 'La Bastida', 370188, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37621', 7, 'Cilleros de la Bastida', 371041, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37621', 8, 'Cerceda de la Sierra', 370994, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37624', 0, 'La Alberca', 370107, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37630', 0, 'Cabrillas', 370687, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37638', 1, 'Sepulcro Hilario', 373049, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37638', 2, 'Tomillar', 373049, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37638', 3, 'Valdenavajo', 373049, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37639', 1, 'Aldehuela de Yeltes', 370264, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37639', 2, 'Cristo de la Laguna', 370264, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37640', 1, 'Abusejo', 370016, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37640', 2, 'Gallegos de Huebra', 372894, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37650', 0, 'Sequeros', 373052, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37656', 0, 'Cepeda', 370981, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37657', 0, 'Sotoserrano', 373132, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37658', 1, 'Garcibuey', 371475, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37658', 2, 'Villanueva del Conde', 373551, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37659', 1, 'Casas del Conde', 372869, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37659', 2, 'San Martin del Castaar', 372869, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37659', 3, 'Nava de Francia', 372148, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37659', 4, 'San Miguel de Robledo', 370362, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37659', 5, 'El Casarito', 372869, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37660', 0, 'Miranda del Castaar', 371937, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37670', 0, 'Santibaez de la Sierra', 372989, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37671', 0, 'San Esteban de la Sierra', 372843, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37680', 0, 'Valdefuentes de Sangusin', 373317, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37681', 0, 'Tejera', 999999, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37682', 0, 'Santa Maria de los Llanos', 372989, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37683', 0, 'Molinillo', 371955, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37684', 0, 'Cristobal de la Sierra', 371128, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37690', 0, 'Santa Olalla de Yeltes', 371358, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37700', 1, 'Bejar', 370460, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37700', 2, 'Palomares Alto', 370460, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37700', 3, 'Palomares de Bejar', 370460, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37710', 0, 'Candelario', 370785, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37711', 0, 'Colmenar de Montemayor', 371092, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37712', 1, 'Horcajo de Montemayor', 371612, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37712', 2, 'Pinedas', 372528, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37713', 0, 'Valdehijaderos', 373322, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37714', 1, 'Calzada de Bejar', 370711, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37714', 2, 'Campo Grande', 370711, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37714', 3, 'Pieza Vieja', 370711, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37714', 4, 'Prados Merinos', 370711, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37715', 0, 'El Castaar', 999999, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37716', 1, 'La Hoya', 372127, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37716', 2, 'Navacarros', 372127, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37716', 3, 'Vistahermosa (Bejar)', 372127, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37716', 4, 'Cantagallo', 370802, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37717', 1, 'Valdesangil', 370460, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37717', 2, 'Vallejera de Riofrio', 373436, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37718', 1, 'Aldeacipreste', 370135, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 12, 'Vergara Alta', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38911', 13, 'Vergara Baja', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38912', 0, 'Sabinosa', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38913', 1, 'El Golfo', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38913', 2, 'Los Llanitos (Valverde Hierro)', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38913', 3, 'Tigaday', 380131, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38914', 1, 'Las Casas', 389013, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38914', 2, 'El Pinar (V. Hierro)', 389013, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38915', 1, 'Azofa', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38915', 2, 'La Cuesta (Valverde)', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38915', 3, 'Isora', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38915', 4, 'Los Llanos (Valverde H.)', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38915', 5, 'La Restinga', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38915', 6, 'San Andres (V. Hierro)', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38915', 7, 'Tajace de Abajo', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38915', 8, 'Tior', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38915', 9, 'La Torre (El Hierro)', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38916', 1, 'Casas del Monte', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38916', 2, 'Erese', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38916', 3, 'Guarazoca', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38916', 4, 'Hoyo del Barrio', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38916', 5, 'Los Jarales', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38916', 6, 'Mocanal', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38916', 7, 'Las Montaetas', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38916', 8, 'Tesbabo', 380488, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39001', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39002', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39003', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39004', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39005', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39006', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39007', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39008', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39009', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39010', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39011', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39012', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39070', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39071', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39080', 0, 'Santander', 390759, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39100', 0, 'Santa Cruz de Bezana', 390731, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39108', 1, 'Azoos', 390731, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39108', 2, 'Maoo', 390731, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39108', 3, 'Mompia', 390731, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39108', 4, 'Prezanes', 390731, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39110', 1, 'Sancibrian (Soto de la Marina)', 390731, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39110', 2, 'Soto de la Marina', 390731, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39120', 1, 'Liencres', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39120', 2, 'Mortera', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39130', 1, 'Elechas', 390400, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39130', 2, 'Pedrea', 390400, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39140', 0, 'Somo', 390612, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39150', 1, 'Carriazo (Ribamontan al Mar)', 390612, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39150', 2, 'Castanedo', 390612, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39150', 3, 'Suesa', 390612, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39160', 1, 'Galizano', 390612, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39160', 2, 'Langre', 390612, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39160', 3, 'Loredo', 390612, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39170', 1, 'Ajo', 390113, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39170', 2, 'Bareyo', 390113, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39180', 1, 'Noja', 390475, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39180', 2, 'Ris', 390475, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39191', 0, 'Guemes', 390113, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39192', 1, 'San Bartolome (Meruelo)', 390438, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39192', 2, 'San Mames de Meruelo', 390438, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39192', 3, 'San Miguel de Meruelo', 390438, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39192', 4, 'Vierna', 390438, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39193', 1, 'El Alvareo', 390067, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39193', 2, 'Castillo', 390067, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39193', 3, 'Rionegro', 390298, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39193', 4, 'Soano', 390067, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39195', 1, 'Arnuero', 390067, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39195', 2, 'Isla', 390067, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39195', 3, 'Isla Playa', 390067, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39197', 1, 'Ancillo', 390054, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39197', 2, 'Argoos', 390054, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39197', 3, 'Cerecedas', 390054, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39197', 4, 'Piedrahita', 390797, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39197', 5, 'Santiuste', 390054, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39200', 1, 'Matamorosa', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39200', 2, 'Reinosa', 390591, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 1, 'Villar', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 2, 'Barrio (Campoo de Suso)', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 3, 'Braavieja', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 4, 'Celada de los Calderones', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 5, 'Entrambasaguas (Campoo de Suso', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 6, 'Espinilla', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 7, 'Hoz de Abiada', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 8, 'La Lomba', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 9, 'Mazandrero', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 10, 'Naveda', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 11, 'Ormas', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 12, 'Poblacion de Suso', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 13, 'Proao', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 14, 'Soto (Campoo de Suso)', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 15, 'Villacantid', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39211', 16, 'Abiada', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 1, 'Aradillos', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 2, 'Argeso', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 3, 'Camino (Campoo de Suso)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 4, 'Fontecha', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 5, 'Fontibre', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 6, 'Fresno del Rio', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 7, 'La Mia (Campoo de Suso)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 8, 'Morancas', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 9, 'Nestares', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 10, 'Paracuelles', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 11, 'Salces', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 12, 'La Serna (Campoo de Suso)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39212', 13, 'Sierra (Enmedio)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 1, 'Bolmir', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 2, 'Celada Marlantes', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 3, 'Cervatos', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 4, 'Fombellida', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 5, 'Horna de Ebro', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 6, 'Izara', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 7, 'Quintanilla (Enmedio)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 8, 'Retortillo', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 9, 'Villaescusa (Enmedio)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 10, 'Sopea (Cervatos)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 11, 'Suano', 390324, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 12, 'San Pedro (Cervatos)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39213', 13, 'Villafria (Enmedio)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39220', 0, 'Polientes', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39229', 1, 'Arantiones', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39229', 2, 'Salcedo (Valderredible)', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39230', 1, 'Poblacion de Abajo', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39230', 2, 'Poblacion de Arriba', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39230', 3, 'Ruijas', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39230', 4, 'La Serna (Valderredible)', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 1, 'Arenillas de Ebro', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 2, 'Arroyuelos', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 3, 'Cadalso (Valderredible)', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 4, 'Espinosa de Bricia', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 5, 'Repudio', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 6, 'Ruerrero', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 7, 'San Martin de Elines', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 8, 'Santa Maria de Hito', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 9, 'Villaescusa de Ebro', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 10, 'Villaverde de Hito', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39231', 11, 'Villota de Elines', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 1, 'Linares de Bricia', 390942, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 22, 'Miera del Medio', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 23, 'El Molino (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 24, 'La Nespral (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 25, 'Paniceres (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 26, 'La Pared', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 27, 'Perabeles', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 28, 'La Potaxa', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 29, 'El Prado (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 30, 'Restinga', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 31, 'Rioceral', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 32, 'Riocerezaledo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 33, 'Santa Barbara', 330371, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 34, 'La Seca del Agua', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 35, 'Vallicalagua', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 36, 'El Vericioso', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 37, 'Vero', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 38, 'Villar (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33957', 39, 'La Zorea', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 1, 'Baraosa', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 2, 'Cabaa Isidora', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 3, 'Cabaas Loredo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 4, 'Cabaas Nuevas', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 5, 'La Campeta (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 6, 'El Carbo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 7, 'El Carbonero (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 8, 'La Caseta (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 9, 'Cepedal', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 10, 'La Florida (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 11, 'Foxacos', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 12, 'Fuente Las Roces', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 13, 'La Gallega', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 14, 'Linares (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 15, 'Llaneces de Pedriego', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 16, 'El Madreero', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 17, 'Parayes', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 18, 'Pedriego', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 19, 'Peruyera (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 20, 'La Peona', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 21, 'La Piquera (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 22, 'Pomarada (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 23, 'San Frechoso (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 24, 'San Martin (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 25, 'San Pedro (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 26, 'Socavon', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 27, 'Venta del Aire (El Entrego)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33958', 28, 'Vilorteras (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 1, 'Cabaina (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 2, 'La Cabaina', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 3, 'El Caleyo (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 4, 'Cavite', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 5, 'La Invernal (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 6, 'La Invernite', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 7, 'Inverniza', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 8, 'Labayos (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 9, 'Llana de Pando', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 10, 'El Llano (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 11, 'Peatejera', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 12, 'La Rotura', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 13, 'Sallosas', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33959', 14, 'Tetuan (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33960', 1, 'Blimea', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33960', 2, 'Caraveo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 1, 'San Mames', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 2, 'Biomba', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 3, 'La Bobia (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 4, 'Bravial', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 5, 'Burganeo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 6, 'La Cabezada', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 7, 'La Cabiella', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 8, 'Cabuernos', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 9, 'Las Canales (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 10, 'El Canto (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 11, 'La Casilla (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 12, 'Cegontin', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 13, 'El Chirente', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 14, 'El Collado (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 15, 'Cuello', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 16, 'Fariseo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 17, 'Felguera (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 18, 'Fuente Felguera', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 19, 'La Hueria (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 20, 'Ladesancho', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 21, 'Lay', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 22, 'Los Melchores', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 23, 'El Mero', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 24, 'La Milana', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 25, 'La Molatera', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 26, 'Moznera', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 27, 'El Murio', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 28, 'El Nieto', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 29, 'Payega (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 30, 'Peruyal (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 31, 'Pea Corvera', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 32, 'La Pea (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 33, 'Ponton (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 34, 'El Portillo', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 35, 'La Quintana (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 36, 'Las Quintanas (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 37, 'Raposera (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 38, 'Riegalatabla', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 39, 'Riolapiedra', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 40, 'El Ronzon (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 41, 'Aparadas', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 42, 'San Roque (Sotrondio)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 43, 'Sienra (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 44, 'La Sierra (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 45, 'Solascampas', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 46, 'El Soto (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 47, 'Las Tercias (Blimea)', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33969', 48, 'Villalad', 330609, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33970', 1, 'Los Barredos (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33970', 2, 'Recortina', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 1, 'Abedul (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 2, 'La Barrera (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 3, 'Bustio (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 4, 'Las Cabaas (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 5, 'Cabuernia', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 6, 'El Campo (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 7, 'El Camporro (Barredos)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 8, 'Carbajal (Barredos)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 9, 'Los Cardos', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 10, 'Casa de Arriba (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 11, 'Casacabada', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 12, 'La Casorra (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 13, 'Cerezal (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 14, 'Condueo', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 15, 'Fabariego (Tiraa-Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 16, 'Facuriella', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 17, 'El Forno', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 18, 'La Hueria (Barredos)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 19, 'Lloro', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 20, 'La Moral (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 21, 'Ordaliego (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 22, 'Paniceres (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 23, 'El Pareu', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 5, 'Balde (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 6, 'Barallas (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 7, 'Barreira (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 8, 'Barxa (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 9, 'Batalla (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 10, 'Beade', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 11, 'Beceira (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 12, 'Beleira (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 13, 'Boavista (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 14, 'Brea (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 15, 'Cabada (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 16, 'Campo de Abaixo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 17, 'Canteira de Ramiso', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 18, 'Caramuxo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 19, 'Carballo do Pazo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 20, 'Carrexons (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 21, 'Casmarcelo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 22, 'Casta al (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 23, 'Castieiras (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 24, 'Chabarras (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 25, 'Chan de Vella (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 26, 'Coba (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 27, 'Cocheno (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 28, 'Cometerra (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 29, 'Concello (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 30, 'Corcho (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 31, 'Costa da Rua (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 32, 'Costa Gandara (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 33, 'O Coto (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 34, 'Couselo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 35, 'Coutada (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 36, 'Covelo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 37, 'Cruceiros (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 38, 'Cu da Via (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 39, 'Dehesa de Arriba (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 40, 'Devesa de Arriba (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 41, 'Dornelas (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 42, 'Estrada (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 43, 'Eucaliptos (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 44, 'Facho (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 45, 'Figueiros (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 46, 'Fonas (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 47, 'Fontias (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 48, 'Galeota (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 49, 'Galo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 50, 'Gandara (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 51, 'Gavianceira (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 52, 'Goaldino (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 53, 'Gorgosa (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 54, 'Hevellido (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 55, 'Lago (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 56, 'Lagoa (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 57, 'Lameiro (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 58, 'Laranxo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 59, 'Lascas (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 60, 'Lombeiro (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 61, 'Marinaeia (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 62, 'Marzos (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 63, 'Millada (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 64, 'Mina (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 65, 'Monte (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 66, 'Moraa (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 67, 'Morrohone (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 68, 'Moscabeira (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 69, 'Mua (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 70, 'Muieiras (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 71, 'Norberto (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 72, 'Outeiro (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 73, 'Palmira (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 74, 'Pando (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 75, 'Pedra (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 76, 'Pena (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 77, 'Penelas (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 78, 'Pitasio (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 79, 'Pombal (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 80, 'Portaleiras (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 81, 'Portelo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 82, 'Porto (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 83, 'Pouleira (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 84, 'Pousa (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 85, 'Preiro (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 86, 'Presa (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 87, 'Presas A. Quintian (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 88, 'Quintian (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 89, 'Raman Dos Pinos (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 90, 'Ramiro Pascual (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 91, 'Rapadouros de Abaixo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 92, 'Rapadouros de Arriba (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 93, 'Raposa (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 94, 'Real (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 95, 'Redondo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 96, 'Regueiro (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 97, 'Relfas (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 98, 'Rialexo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 99, 'Rio (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 100, 'Riomao (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 101, 'Romeo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 102, 'Rosalia (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 103, 'Roupeiro (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 104, 'Rua (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 105, 'Saa (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 106, 'San Correa (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 107, 'Seixinas (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 108, 'Seixo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 109, 'Sua Fonte (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 110, 'Sumata (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 111, 'Torreiro (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 112, 'Torreiro de Abaixo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 113, 'Treistas (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 114, 'Vaca Morta (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 115, 'Veiga de Abaixo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 116, 'Velouro (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 117, 'Venda (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 118, 'Vinas (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 119, 'Xeixo (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 120, 'Xestal (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 121, 'Xoanela (Beade)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36312', 122, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 1, 'Area de Recreo (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 2, 'Arieiro (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 3, 'Bouzafria (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 4, 'Canchadas', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 5, 'Carballal (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 6, 'Carballas (Cabral Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 7, 'Casal (Cabral Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 8, 'Chans (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 9, 'Cocho (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 10, 'Cruz (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 11, 'Eifonso (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 12, 'Espedras (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 13, 'Ferreiras (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37718', 2, 'Valbuena', 370135, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37720', 1, 'Puerto de Bejar', 372632, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37720', 2, 'El Cerro', 372632, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37724', 1, 'Lagunilla', 371686, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37724', 2, 'Valdelageve', 373343, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37724', 3, 'Valdelamatanza', 371020, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37727', 1, 'Montemayor del Rio', 372014, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37727', 2, 'Peacaballera', 372442, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37729', 0, 'Colonia Estacion-Puerto Bejar', 372632, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37730', 0, 'Ledrada', 371710, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37740', 0, 'Santibaez de Bejar', 372973, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37748', 0, 'Puente del Congosto', 372611, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37749', 1, 'Las Casillas', 372186, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37749', 2, 'La Magdalena', 372186, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37749', 3, 'Navamorales', 372186, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37749', 4, 'El Tejado de Bejar', 372186, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37750', 0, 'Cespedosa', 371036, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37751', 0, 'Gallegos de Solmiron', 371469, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37752', 0, 'La Tala', 373150, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37753', 0, 'Navahombela', 370359, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37754', 0, 'Iigo Blasco', 370359, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37755', 0, 'Armenteros', 370359, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37756', 0, 'Revalbos', 370359, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37759', 0, 'Anguas', 999999, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37760', 0, 'Linares de Riofrio', 371725, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37762', 1, 'Albergueria de Herguijuela', 371591, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37762', 2, 'Albergueria del Campo', 371591, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37762', 3, 'Escurial de la Sierra', 371250, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37762', 4, 'Herguijuela del Campo', 371591, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37762', 5, 'San Domingo', 371591, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37762', 6, 'Santo Domingo de Herguijuela', 371591, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37762', 7, 'La Sierpe', 371591, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37763', 0, 'San Miguel de Valero', 372875, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37764', 0, 'Valero de la Sierra', 373394, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37765', 1, 'Casas de Monleon', 371247, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37765', 2, 'Monleon', 371974, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37765', 3, 'El Tornadizo', 371247, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37766', 1, 'Endrinal de la Sierra', 371247, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37766', 2, 'Villar de Leche', 371247, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37766', 3, 'Membribe de la Sierra', 371895, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37766', 4, 'Navagallega', 371895, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37766', 5, 'Frades de la Sierra', 371319, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37766', 6, 'Navarredonda de Salvatierra', 371319, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37766', 7, 'Dueas de Arriba', 371247, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37767', 1, 'Aldeanueva de Campomojado', 370896, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37767', 2, 'Casafranca', 370896, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37768', 1, 'Fuenterroble de Salvatierra', 371383, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37768', 2, 'Los Santos', 371383, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37770', 0, 'Guijuelo', 371566, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37774', 0, 'Guijo de Avila', 371553, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37775', 0, 'Fresnedoso', 371330, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37776', 0, 'Nava de Bejar', 372133, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37777', 1, 'La Cabeza de Bejar', 373126, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37777', 2, 'Sorihuela', 373126, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37778', 0, 'Campillo de Salvatierra', 371566, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37779', 1, 'Aldeavieja de Tormes', 370248, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37779', 2, 'Salvatierra de Tormes', 372777, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37780', 0, 'La Maya', 371882, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37785', 0, 'Galinduste', 371438, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37786', 1, 'Andarromero', 371438, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37786', 2, 'Gutierrez Velasco', 371438, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37786', 3, 'Martin Perez', 371438, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37787', 0, 'Pelayos', 372421, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37788', 1, 'Amatos de Salvatierra', 372035, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37788', 2, 'Calzadilla de los Mendigos', 372035, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37788', 3, 'Castillejo de Salvatierra', 372035, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37788', 4, 'Monterrubio de la Sierra', 372035, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37788', 5, 'Pedrosillo de los Aires', 372376, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37788', 6, 'Valdejerrus', 372035, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37789', 1, 'Belea', 370476, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37789', 2, 'Buenavista', 370606, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37789', 3, 'Fresno Alhandiga', 371345, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37790', 0, 'Fuentes de Bejar', 371396, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37791', 1, 'Peromingo', 372513, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37791', 2, 'Puebla de San Medel', 372590, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37791', 3, 'San Medel', 372590, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37791', 4, 'Valdelacasa', 373338, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37791', 5, 'Valverde de Valdelacasa', 373415, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37793', 1, 'Fuentebuena', 370460, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37793', 2, 'La Sauceda', 370460, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37793', 3, 'Teneria', 370460, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37793', 4, 'Teneria Galindo', 370460, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37793', 5, 'Ventorro', 370460, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37794', 1, 'Navalmoral de Bejar', 372170, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37794', 2, 'Sanchotello', 372822, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37795', 1, 'Berrocal de Salvatierra', 370515, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37795', 2, 'Cabezuela de Salvatierra', 371566, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37795', 3, 'Montejo de Salvatierra', 370515, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37795', 4, 'Palacios de Salvatierra', 371566, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37795', 5, 'Pizarral de Salvatierra', 370515, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37796', 1, 'Arapiles', 370325, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37796', 2, 'Mozarbez', 372091, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37796', 3, 'Las Torres', 370325, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37797', 1, 'Calzada de Valdunciel', 370732, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37797', 2, 'Castellanos de Villiquera', 371857, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37797', 3, 'Arroyo de la Encina', 370732, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37797', 4, 'Las Castellanas', 370732, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37798', 1, 'Carbajosa de Armua', 37084, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37798', 3, 'Mata de Armua', 371857, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37798', 4, 'Naharros de Valdunciel', 373381, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37798', 5, 'Planta de Butano', 371857, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37798', 6, 'Valdunciel', 373381, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37798', 7, 'Monterrubio de Armua', 372029, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37798', 8, 'Mozodiel del Camino', 372029, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37798', 9, 'El Viso', 371857, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37798', 10, 'La Mina', 371857, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37798', 11, 'Las Bizarricas', 371857, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 1, 'Cardeosa', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 2, 'Cardeosa-Huelmos', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 3, 'Caedo', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 4, 'De Huelmos', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 5, 'Izcala', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 6, 'Negrilla de Palencia', 372225, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 7, 'Palencia de Negrilla', 372297, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 8, 'San Cristobal del Monte', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 9, 'Topas', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 10, 'Valdelosa', 373356, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 11, 'Valencia de la Encomienda', 373356, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 12, 'Villanueva de Caedo', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 13, 'Forfoleda', 371302, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 14, 'El Bardal', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 15, 'Los Jarales', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37799', 16, 'Zovisa', 373230, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37800', 0, 'Alba de Tormes', 370080, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37810', 1, 'Garcihernandez', 371481, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37810', 2, 'Gemingomez', 371481, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37810', 3, 'La Lurda', 371481, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37820', 0, 'Pearandilla', 372474, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37830', 0, 'Coca de Alba', 371089, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37840', 0, 'Tordillos', 373245, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37850', 1, 'Arauzo', 372151, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37850', 2, 'Nava de Sotrobal', 372151, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37860', 0, 'Horcajo Medianero', 371627, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37861', 1, 'Chagarcia-Medianero', 371149, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37861', 2, 'Juarros', 371149, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 2, 'Lomas de Villamediana', 390942, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 3, 'Allen del Hoyo', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 4, 'Cejancas', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 5, 'Quintanilla de Rucandio', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 6, 'Renedo de Bricia', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 7, 'Riopanero', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 8, 'Ruanales', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 9, 'Rucandio (Valderredible)', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 11, 'Soto de Rucandio', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 13, 'Villamediana de la Loma', 390942, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39232', 14, 'Valderias', 390942, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39248', 1, 'Candenosa', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39248', 2, 'Navamuel', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39248', 3, 'San Cristobal del Monte', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39249', 1, 'Barcena de Ebro', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39249', 2, 'Bustillo del Monte', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39249', 3, 'Loma Somera', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39249', 4, 'Otero (Valderredible)', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39249', 5, 'Rasgada', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 1, 'Bascones de Ebro (Palencia)', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 2, 'Campo de Ebro', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 3, 'Coroneles', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 4, 'Cubillo de Ebro', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 5, 'Cuillas del Valle (Palencia)', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 6, 'Montecillo', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 7, 'Olleros de P. Rubias (Pal)', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 8, 'La Puente del Valle', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 9, 'Quintanilla de An', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 10, 'Rebollar de Ebro', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 11, 'Revelillas', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 12, 'Rocamundo', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 13, 'Sobrepenilla', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 14, 'Sobrepea', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 15, 'Susilla (Valderredible)', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 16, 'Villamoico', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 17, 'Villanueva de la Nia', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 18, 'Bascones de Ebro', 340323, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 19, 'Berzosilla', 340323, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 20, 'Cezura', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 21, 'Cuillas del Valle', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 22, 'Lastrilla', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 23, 'Olleros de Paredes Rubias', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 24, 'Castrillo de Valdelomar', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 25, 'San Andres de Valdelomar', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 26, 'San Martin de Valdelomar', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39250', 27, 'Santa Maria de Valverde', 390942, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39290', 1, 'Monegro', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39290', 2, 'Quintana (Campoo de Yuso)', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39291', 1, 'Aldueso', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39291', 2, 'Orzales', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39291', 3, 'Requejo (Enmedio)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39291', 4, 'Villapaderne', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39292', 1, 'Bustamante', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39292', 2, 'La Costana', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39292', 3, 'Quintanamanil', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39292', 4, 'Servillas', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39292', 5, 'Servillejas', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39292', 6, 'Villasuso (Campoo de Yuso)', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39293', 1, 'Lanchares', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39293', 2, 'La Poblacion de Yuso', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39293', 3, 'La Riva de Yuso', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39294', 0, 'Corconte', 390171, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39300', 1, 'Barreda (Torrelavega)', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39300', 2, 'Campuzano', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39300', 3, 'Dualez', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39300', 4, 'Ganzo', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39300', 5, 'Torrelavega', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39300', 6, 'Torres', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39310', 1, 'Gornazo', 390443, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39310', 2, 'Miengo', 390443, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39310', 3, 'Mogro', 390443, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39311', 1, 'La Barquera', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39311', 2, 'Bedico', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39311', 3, 'Cartes', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39311', 4, 'Corral', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39311', 5, 'Mercadal', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39311', 6, 'Mijarojos', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39311', 7, 'San Miguel', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39311', 8, 'Santiago de Cartes', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39311', 9, 'Sierra Elsa', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39311', 10, 'Yermo', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39312', 1, 'Barcena de Cudon', 390443, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39312', 2, 'Mar', 390540, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39312', 3, 'Requejada', 390540, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39312', 4, 'Rumoroso', 390540, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39312', 5, 'Soa', 390540, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39313', 1, 'Barrio Obrero (Polanco)', 390540, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39313', 2, 'Polanco', 390540, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39313', 3, 'Posadillo', 390540, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39313', 4, 'Rinconeda', 390540, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39314', 1, 'Queveda', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39314', 2, 'Viveda', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39315', 1, 'Barrio de Hoz', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39315', 2, 'Viernoles', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39316', 0, 'Tanos', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39317', 1, 'La Montaa', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39317', 2, 'Sierrapando', 390876, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39318', 1, 'Cuchia', 390443, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39318', 2, 'Cudon', 390443, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39320', 0, 'Cobreces', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39329', 0, 'Toanes', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39330', 0, 'Santillana del Mar', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39340', 0, 'Suances', 390857, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39350', 1, 'Cortiguera', 390857, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39350', 2, 'Hinojedo', 390857, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39350', 3, 'Puente Avios', 390857, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39360', 1, 'Arroyo (Santillana del Mar)', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39360', 2, 'Avios', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39360', 3, 'Camplengo', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39360', 4, 'Herran', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39360', 5, 'Ongayo', 390857, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39360', 6, 'Tagle', 390857, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39360', 7, 'Ubiarco', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39360', 8, 'Vispieres', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39360', 9, 'Yuso', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39400', 1, 'Los Corrales de Buelna', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39400', 2, 'La Cuesta (Corrales)', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39400', 3, 'Lobado', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39400', 4, 'Penias', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39400', 5, 'San Andres (Los Corrales)', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39400', 6, 'Somahoz', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39407', 1, 'Collado (Cieza)', 390211, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39407', 2, 'Villasuso de Cieza', 390211, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39407', 3, 'Villayuso de Cieza', 390211, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 1, 'San Mateo', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 2, 'La Barcena (Corrales)', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 3, 'Barcenias', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 4, 'Barros', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 5, 'El Bear', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 6, 'Campogiro (Los Corrales)', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 7, 'El Coio', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 8, 'La Concepcion', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 9, 'Coo', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 10, 'El Corral', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 11, 'La Herran (Barros)', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 12, 'El Llano (Los Corrales)', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 13, 'La Llosa', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 14, 'La Pereda', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 15, 'La Pesquera (Los Corrales)', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 16, 'Pumarejo', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 17, 'La Rueda', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 24, 'Patarin', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 25, 'Peruyal (Tiraa-Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 26, 'Rebollal (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 27, 'San Pedro de Tiraa', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 28, 'Sayedo', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 29, 'Valliquin', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 30, 'Veneros (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 31, 'Villarin (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 32, 'Zoreda Alta', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33979', 33, 'Zoreda Baja', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33980', 1, 'La Arbeya', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33980', 2, 'Pola de Laviana', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 1, 'Arbin', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 2, 'Bargana', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 3, 'Las Borias (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 4, 'Braa (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 5, 'Braavieja (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 6, 'El Cabo (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 7, 'Campomojado', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 8, 'Caucia', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 9, 'Cerezalero', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 10, 'Corian', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 11, 'Cuadrazal', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 12, 'Cuesta de Abajo', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 13, 'Cuesta de Arriba', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 14, 'Cuesta los Valles', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 15, 'Febrero', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 16, 'Fechaladrona', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 17, 'Fornos (Pola de Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 18, 'Fresnedo (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 19, 'Grandon', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 20, 'Llanolaviesca', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 21, 'Merujal de Villoria', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 22, 'Las Mestas (P.Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 23, 'Miguelperi', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 24, 'Navaliego (P.Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 25, 'Paradina', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 26, 'Piedras Negras', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 27, 'Pumarada (Pola de Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 28, 'Quintanas (P.Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 29, 'Roxil', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 30, 'San Pedro de Villoria', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 31, 'Solano (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 32, 'Tolivia (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 33, 'Tornos (Pola de Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 34, 'Valdelafaya', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 35, 'Viescabozadas', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33986', 36, 'Villoria', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 1, 'Acebal (Pola de Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 2, 'Cabaa (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 3, 'Cabaas (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 4, 'Canzana', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 5, 'Entralgo', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 6, 'Fombermeja', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 7, 'Iguanzo', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 8, 'Pando (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 9, 'Peruyal (Entralgo-Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 10, 'Puente del Arco', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 11, 'Ribota', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33987', 12, 'Solavega (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33988', 1, 'Boza (Pola Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33988', 2, 'Braueta (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33988', 3, 'Carrio (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33988', 4, 'Corcia', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33988', 5, 'Cuarteles de Merujal', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33988', 6, 'Linariegas', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33988', 7, 'Mardana', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33988', 8, 'Merujal', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33988', 9, 'Perujal', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33988', 10, 'Sarambiello', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 1, 'Canto de Abajo', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 2, 'Canto de Arriba', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 3, 'La Carba (Pola de Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 4, 'Casapapio', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 5, 'Castaal (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 6, 'Constante (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 7, 'Corredoria (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 8, 'Fabariego (Villoria-Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 9, 'La Faya (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 10, 'Felgueron (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 11, 'Gamonal', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 12, 'Grandiella (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 13, 'Horron', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 14, 'Las Llanas (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 15, 'Lloreo', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 16, 'Omedines (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 17, 'La Ortigosa', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 18, 'Las Palomas', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 19, 'Pielagos', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 20, 'Piniella (P.Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 21, 'Pomarada (Pola de Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 22, 'Las Portillas (P.Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 23, 'La Rasa (P.Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 24, 'Rebollada (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 25, 'La Rebollada (Sotrondio)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 26, 'Rebolloso', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 27, 'Redondina', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 28, 'Redondo (Pola de Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 29, 'La Sertera', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 30, 'Sospelaya', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 31, 'Tablazo', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 32, 'Tendejon', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 33, 'Traslasierra', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33989', 34, 'Valdelasabejas', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33990', 1, 'Barrio (Caso)', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33990', 2, 'Bueres (Caso)', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33990', 3, 'Campo de Caso', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33990', 4, 'Gobezanes', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33990', 5, 'Nieves', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33990', 6, 'Orle', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33990', 7, 'Veneros de Caso', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33991', 1, 'Celleruelo', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33991', 2, 'La Llera (P.Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33991', 3, 'Lorio', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33991', 4, 'Muera', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33991', 5, 'Payandi', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33992', 1, 'Aldea (Pola de Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33992', 2, 'Boroes', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33992', 3, 'El Condado (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33992', 4, 'La Ferrera (Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33992', 5, 'Sierra (P. Laviana)', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33992', 6, 'Soto de Lorio', 330328, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33993', 1, 'Agues', 330674, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33993', 2, 'Anzo (Sobrescobio)', 330674, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33993', 3, 'Campiellos', 330674, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33993', 4, 'Ladines (Sobrescobio)', 330674, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33993', 5, 'Pola (Sobrescobio)', 330674, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33993', 6, 'La Polina', 330674, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33993', 7, 'Rioseco de Sobrescobio', 330674, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33993', 8, 'San Andres (Sobrescobio)', 330674, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33993', 9, 'Soto de Agues', 330674, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33993', 10, 'Villamorey', 330674, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33994', 1, 'Abantro', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33994', 2, 'Barcena (P. Laviana)', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33994', 3, 'Prieres', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33994', 4, 'Tanes', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 14, 'Fraga (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 15, 'Freires (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 16, 'Gestoso (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 17, 'Lameiro (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 18, 'Manoin (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 19, 'Miraflores (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 20, 'Monteira (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 21, 'Mosteiro (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 22, 'Mosteiro (Vigo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 23, 'Mourelle (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 24, 'Novelos (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 25, 'Outeiro (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 26, 'Parrocha (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 27, 'Pedrosa (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 28, 'Plantas (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 29, 'Pousa (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 30, 'Quintans (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 31, 'Recare (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 32, 'Regada (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 33, 'Revolta (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 34, 'A Ribeira (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 35, 'O Rio (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 36, 'San Cipriano (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 37, 'Senra (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 38, 'Suaxeira (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 39, 'Vina Grande (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36313', 40, 'Xestose (Mosteiro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 1, 'Antergo de Maquias (Valladares', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 2, 'Barreira (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 3, 'Cabadon (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 4, 'Cautales', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 5, 'Costa (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 6, 'Costa do Can (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 7, 'Costias (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 8, 'Covelo (Valladaes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 9, 'Dehesa (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 10, 'Devesa (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 11, 'Escola Andersen (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 12, 'Farrapeira (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 13, 'Feira (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 14, 'Foxo (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 15, 'Futbol (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 16, 'Iglesia (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 17, 'Laranxo (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 18, 'Nancales (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 19, 'Outeiro (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 20, 'Portal (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 21, 'Prado (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 22, 'Quinta (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 23, 'Rabadeira (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 24, 'Riego de Agua (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 25, 'Seixo (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 26, 'Torre (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 27, 'Valladares (Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 28, 'Valladares (Portal)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36314', 29, 'Valladares (Prado)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 1, 'Alba-Cruce (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 2, 'Alba-Monte (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 3, 'Balada (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 4, 'Barrocas (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 5, 'De Beade (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 6, 'Caceiro (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 7, 'Cacheira (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 8, 'Caizo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 9, 'Carregal (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 10, 'Curras (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 11, 'Eira Vella (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 12, 'Escola da Sobreira (Valladares', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 13, 'Fabas (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 14, 'Freixo (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 15, 'Gandara (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 16, 'Garriga (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 17, 'Groo (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 18, 'Lagoa (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 19, 'Mancales (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 20, 'Las Maquias (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 21, 'Outide (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 22, 'Paredes (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 23, 'Pena (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 24, 'Pinal (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 25, 'Pinguela (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 26, 'Regueiro (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 27, 'San Juan de Freixo (Valladares', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 28, 'Seixo (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 29, 'Senra (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 30, 'Simona (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 31, 'Sobreira (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 32, 'Souto (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 33, 'Vales (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 34, 'Valladares (Resto Parroquia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 35, 'Valladares (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36315', 36, 'Xestal (Valladares)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36316', 0, 'Vincios', 360216, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 1, 'Baja A Penis (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 2, 'Balancia (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 3, 'Banquero (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 4, 'Barreiro 1/A (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 5, 'Besada (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 6, 'Caceira (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 7, 'Calvario (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 8, 'Candean', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 9, 'Candean de Arriba', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 10, 'Canesa', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 11, 'Careiro (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 12, 'Casta Eira (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 13, 'Cerqueiro (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 14, 'Cocharis (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 15, 'Cocho de Laxe (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 16, 'Codoside (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 17, 'Costeira (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 18, 'Cotobad (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 19, 'Curras (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 20, 'Dehesa (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 21, 'Devesa (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 22, 'Esqueiria (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 23, 'Fabal (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 24, 'Felisa (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 25, 'Fonte da Barca (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 26, 'Fonte Oscura (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 27, 'Fregana (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 28, 'Freiria (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 29, 'Fuente de la Barca (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 30, 'Fuente Oscura (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37862', 1, 'Los Ahijones', 371627, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37862', 2, 'La Laguna', 371627, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37862', 3, 'Valverde de Gonzaliae', 371627, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37862', 4, 'El Vaqueril', 371627, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37863', 0, 'Anaya de Alba', 370299, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37864', 0, 'Herrezuelo', 370299, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37865', 0, 'Larrodrigo', 371699, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37870', 0, 'Aldeaseca de Alba', 370212, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37871', 1, 'Pedrosillo de Alba', 372360, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37871', 2, 'Turra de Alba', 372360, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37873', 0, 'Valeros', 371417, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37874', 1, 'Gajates', 371417, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37874', 2, 'Cilloruelo', 371211, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37874', 3, 'Azud de Villagonzalo', 371481, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37874', 4, 'El Pardo', 371417, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37881', 0, 'Valdecarros', 373300, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37882', 1, 'Pedraza de Alba', 372357, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37882', 2, 'Navales de Alba', 372357, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37882', 3, 'El Pinar de Alba', 372357, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37882', 4, 'Terradillos', 373224, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37890', 0, 'Amatos de Alba', 370080, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 1, 'Bercimueble', 371187, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 2, 'Las Casillas de Alba', 371187, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 3, 'Ejeme', 371187, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 4, 'Galisancho', 371443, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 5, 'Portillo de Ejeme', 371187, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 6, 'Santa Ines', 371443, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 7, 'Santa Teresa', 371443, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 8, 'Cuatro Calzadas', 371823, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 9, 'Martinamor', 371823, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 10, 'Valdemierque', 373369, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37891', 11, 'Cartala', 371443, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37892', 1, 'Encinas de Arriba', 371226, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37892', 2, 'Sieteiglesias de Tormes', 373104, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37892', 3, 'Torrejon', 371226, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37893', 1, 'Carpio Bernardo', 373527, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37893', 3, 'Hoteles del Camino Otero', 373527, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37893', 5, 'Palomares de Alba', 370080, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37893', 6, 'El Pinar de Alba', 373527, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37893', 9, 'Los Ventorros', 373527, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37893', 10, 'Villagonzalo de Tormes', 373527, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37893', 11, 'Machacon', 371759, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37893', 12, 'Encinas de Abajo', 371211, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37893', 13, 'Francos Nuevo y Viejo', 373527, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37893', 14, 'Castaeda', 373527, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37900', 0, 'Santa Marta de Tormes', 372941, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38001', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38002', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38003', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38004', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38005', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38006', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38007', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38008', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38009', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38010', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38070', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38071', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38080', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38107', 1, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 1, 'Taco Barranco Grande', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 3, 'Cascajal', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 4, 'Centenillo', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 6, 'Cuevas Blancas Altas', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38107', 2, 'La Gallega', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 8, 'General del Sur', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 9, 'Humilladero Alto', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 10, 'Martin (Tincer Bajo)', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 11, 'Moraditas de Taco', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 12, 'El Pilar', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 13, 'Poligono Industrial el Mayoraz', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 14, 'San Isidro (Taco Barranco Gran', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38107', 3, 'El Tablero', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 16, 'Apartacaminos', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 17, 'Turilago', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38108', 18, 'Cuevas Blancas Bajas', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38109', 1, 'Aaza', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38109', 2, 'Bocacangrejo (Taco)', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38109', 4, 'Radazul', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38109', 5, 'Santa Maria del Mar (Taco Barr', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38110', 1, 'Centro Militar Hoya Fria', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38110', 2, 'Hoya Fria', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38120', 0, 'San Andres (Santa Cruz de Tene', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 1, 'Almaciga', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 2, 'El Bailadero', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 3, 'Benijo', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 4, 'Chamorga', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 5, 'El Draguillo', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 6, 'Las Gaviotas', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 7, 'Roque Bermejo', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 8, 'Roque Bodegas', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 9, 'Roque de Las Bodegas', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 10, 'San Jose (Suculum)', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38129', 11, 'El Suculum', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38130', 0, 'Taganana', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38139', 1, 'Afur', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38139', 2, 'Casas de la Cumbre', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38139', 3, 'Cumbrecillas', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38139', 4, 'Guaaque', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38139', 5, 'La Porquera', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38139', 6, 'Roque Negro', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38140', 1, 'Las Casillas (San Andres)', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38140', 2, 'Igueste de San Andres', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38140', 3, 'Valle de Las Yeguas', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38150', 1, 'Cardonera', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38150', 2, 'Las Cuevas', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38150', 3, 'Rebolado', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38150', 4, 'Valle de los Catalanes', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38150', 5, 'Valleseco', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38150', 6, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38160', 1, 'Barrio de la Alegria', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38160', 2, 'Fielato de los Melones', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38160', 3, 'Tahodio', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38160', 4, 'Ventoso', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38170', 1, 'Los Campitos', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38170', 2, 'Ifara', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38170', 3, 'La Ninfa', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38170', 4, 'Ramon Baulet Grandy', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38170', 5, 'Rubens Marichal Lopez', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38180', 1, 'Cueva Bermeja', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38180', 2, 'Darsena Pesquera', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38180', 3, 'Fabrica de Cementos', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38180', 4, 'La Jurada', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38180', 5, 'Maria Jimenez', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38180', 6, 'Valle de Bufadero', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38190', 1, 'Camino Turilago', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38190', 2, 'Machado', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38190', 3, 'Tabaiba', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38190', 4, 'La Vera (Taco Barranco Grande)', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38190', 5, 'El Chorrillo', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38200', 0, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38201', 0, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38202', 0, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38203', 0, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38204', 0, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 18, 'La Aujera', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 19, 'Santian (Los Corrales)', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39408', 20, 'La Torre', 390250, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39409', 1, 'La Barcena (San Felices Buelna', 390699, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39409', 2, 'Jain', 390699, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39409', 3, 'Llano (San Felices Buelna)', 390699, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39409', 4, 'Mata', 390699, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39409', 5, 'Posajo Penias', 390699, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39409', 6, 'Rivero (San Felices)', 390699, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39409', 7, 'Sopenilla', 390699, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39409', 8, 'Sovilla', 390699, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39409', 9, 'Tarriba (San Felices)', 390699, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39410', 0, 'Mataporquera', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39416', 1, 'La Aguilera', 390651, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39416', 2, 'Arroyo de Valdearroyo', 390651, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39416', 3, 'Bimon', 390651, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39416', 4, 'Llano (De Valdearroyo)', 390651, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39416', 5, 'Quintanilla de Polledo', 390651, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39416', 6, 'Renedo de Valdearroyo', 390651, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39416', 7, 'Las Rozas de Valdearroyo', 390651, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39416', 8, 'Villanueva (Rozas Valdearroyo)', 390651, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39417', 1, 'Bustasur (Las Rozas)', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39417', 2, 'Bustidoo', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39417', 3, 'Laguillos', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39417', 4, 'Malataja', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39417', 5, 'Montesclaros', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 1, 'Barriopalacio (Valdeolea)', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 2, 'Bercedo', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 3, 'Camesa', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 4, 'Castrillo del Haya', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 5, 'Cuena', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 6, 'El Haya (Valdeolea)', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 7, 'Las Henestrosas de Las Quintan', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 8, 'Hoyos', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 9, 'La Loma (Valdeolea)', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 10, 'Mata de Hoz', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 11, 'Matarrepudio', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 12, 'Olea', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 13, 'La Quintana (Valdeolea)', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 14, 'Las Quintanillas', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 15, 'Rebolledo', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 16, 'Reinosilla', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 17, 'San Martin de Hoyos', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39418', 18, 'Santa Olalla (Valdeolea)', 390921, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 1, 'Aldea de Ebro', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 2, 'Arcera', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 3, 'Arroyal de los Carabeos', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 4, 'Barruelo (Valdeprado)', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 5, 'Hormiguera', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 6, 'Mediadoro', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 7, 'Reocin de los Molinos', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 8, 'San Andres (Valdeprado)', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 9, 'San Vitores (Valdeprado)', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 10, 'Sotillo', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39419', 11, 'Valdeprado del Rio', 390937, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39420', 1, 'Barcena Pie de Concha', 390106, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39420', 2, 'Cobejo', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39420', 3, 'Montabliz', 390106, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39420', 4, 'Pie de Concha', 390106, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39420', 5, 'Pujayo', 390106, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39430', 1, 'Arca', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39430', 2, 'Caceo', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39430', 3, 'Helguera (Molledo)', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39430', 4, 'El Meson (Molledo)', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39430', 5, 'Molledo', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39430', 6, 'Mura', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39430', 7, 'Santa Olalla (Molledo)', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39438', 1, 'Casares', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39438', 2, 'Pando (Molledo)', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39438', 3, 'Quevedo', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39438', 4, 'San Martin de Quevedo', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39438', 5, 'Santa Marina (Molledo)', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39438', 6, 'Santian (Molledo)', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39438', 7, 'Silio', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39438', 8, 'Ulda', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39438', 9, 'Vallejo (Molledo)', 390469, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 1, 'Arenas de Igua', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 2, 'Cohio', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 3, 'Cuello Abajo', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 4, 'Cuello Arriba', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 5, 'Las Fraguas', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 6, 'Helecha', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 7, 'Los Llares', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 8, 'Palacio (Arenas Igua)', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 9, 'Pedredo', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 10, 'San Cristobal', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 11, 'San Vicente de Leon', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 12, 'Santa Agueda', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 13, 'Santa Cruz de Igua', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 14, 'La Serna (Igua)', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39450', 15, 'Valdeigua', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 1, 'Villasuso de Anievas', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 2, 'Barriopalacio (Anievas)', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 3, 'Bostronizo', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 4, 'Calga', 390036, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 5, 'El Carmen', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 6, 'Castaera (Las Fraguas)', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 7, 'Collantes', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 8, 'Cotillo de Anievas', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 9, 'Raicedo', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 10, 'San Juan de Raicedo', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 11, 'Tejeras', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39451', 12, 'Achero', 390041, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39460', 1, 'Las Caldas de Besaya', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39460', 2, 'Riocorvo', 390187, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39470', 0, 'Renedo de Pielagos', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39477', 1, 'Barcenilla de Pielagos', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39477', 2, 'Orua de Pielagos', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39477', 3, 'Quijano de Pielagos', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39478', 1, 'Arce', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39478', 2, 'Boo de Pielagos', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39478', 3, 'Puente Arce', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39479', 1, 'Carandia', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39479', 2, 'Vioo', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39479', 3, 'Zurita', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39490', 1, 'Lantueno', 390778, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39490', 2, 'Santiurde de Reinosa', 390778, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39490', 3, 'Somballe', 390778, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39491', 1, 'Caeda', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39491', 2, 'Pesquera', 390514, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39491', 3, 'Rioseco (Santiurde-Reinosa)', 390279, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39491', 4, 'San Miguel de Aguayo', 390703, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39491', 5, 'Santa Maria de Aguayo', 390703, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39491', 6, 'Santa Olalla de Aguayo', 390703, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39491', 7, 'Ventorrillo', 390514, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39500', 1, 'Cabezon de la Sal', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39500', 2, 'Ontoria', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39500', 3, 'Vernejo', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 1, 'Bustablado (Cabezon de la Sal)', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 2, 'Canales (Udias)', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 3, 'Dua', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 4, 'La Gandara (Cabezon de la Sal)', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 5, 'La Hayuela (Udias)', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 6, 'El Llano (Udias)', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 7, 'Pumalverde (Udias)', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 8, 'Rodezas', 390909, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 9, 'Toporias', 390909, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33994', 5, 'Valderrosa', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33995', 1, 'Buspriz', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33995', 2, 'Caleao', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33995', 3, 'Coballes', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33995', 4, 'Coviella (P. Laviana)', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33995', 5, 'Felguerina', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33995', 6, 'Linares (Caso)', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33995', 7, 'Puente Piedra', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33996', 1, 'Belerda', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33996', 2, 'Bezanes', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33996', 3, 'Cortina (P.Laviana)', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33996', 4, 'Foz de Caso', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33996', 5, 'Sobrecastillo', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33996', 6, 'Soto de Caso', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33997', 1, 'Pendones', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33997', 2, 'Tarna (Caso)', 330156, 33, 
    0, 3, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34001', 0, 'Palencia', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34002', 0, 'Palencia', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34003', 0, 'Palencia', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34004', 0, 'Palencia', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34005', 0, 'Palencia', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34006', 4, 'Palencia', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34070', 0, 'Palencia', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34071', 0, 'Palencia', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34080', 0, 'Palencia', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34100', 0, 'Saldaa', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34110', 0, 'Pino del Rio', 341296, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 1, 'Acera de la Vega', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 2, 'Barrios de la Vega', 342184, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 3, 'Celadilla del Rio', 341296, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 4, 'Gavios', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 5, 'Huerta de la Verja', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 6, 'Molino de Las Lomas', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 7, 'Villosilla de la Vega', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 8, 'Poza de la Vega', 341369, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 9, 'Villaluenga de la Vega', 342184, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 10, 'Valcabado', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 11, 'Venta de Contrera', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 12, 'Venta del Nido', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 13, 'San Martin del Obispo', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34111', 14, 'Molino del Sotillo', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34112', 1, 'San Andres de la Regla', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34112', 2, 'Santa Olaja de la Vega', 342184, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34112', 3, 'Santervas de la Vega', 341697, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34112', 4, 'Villapun', 341697, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34112', 5, 'Villarrobejo', 341697, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34112', 6, 'Villota del Paramo', 342453, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34113', 1, 'De Bustocirio', 342184, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34113', 2, 'Quintanadiez de la Vega', 342184, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34113', 3, 'San Llorente del Paramo', 342316, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34113', 4, 'Villambroz', 342316, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34113', 5, 'Villarrabe', 342316, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34113', 6, 'Villarrodrigo de la Vega', 341261, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34114', 1, 'Portillejo', 341436, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34114', 2, 'Quintanilla de Onsoa', 341436, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34114', 3, 'Velillas del Duque', 341436, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34114', 4, 'Villantodrigo', 341436, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34114', 5, 'Villarmienzo', 341436, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 1, 'Membrillar', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 2, 'Relea de la Loma', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 3, 'Renedo del Monte', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 4, 'Valenoso', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 5, 'Valles de Valdavia', 341907, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 6, 'Vega de Doa Olimpa', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 8, 'Villanueva del Monte', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 9, 'Villasur', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 10, 'Virgen del Valle', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 11, 'Villaires', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34115', 12, 'Villalafuente', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34116', 2, 'Bustillo de la Vega', 340382, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34116', 3, 'Gainas de la Vega', 341261, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34116', 4, 'Lagunilla de la Vega', 340382, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34116', 5, 'Lobera de la Vega', 341261, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34116', 6, 'Pedrosa de la Vega', 341261, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34116', 7, 'San Martin del Valle', 342316, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34117', 1, 'Carbonera', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34117', 2, 'Valcabadillo', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34117', 3, 'Villafruel', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34117', 4, 'Villorquite del Paramo', 341570, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34120', 0, 'Carrion de los Condes', 340474, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34126', 1, 'Albala de la Vega', 341473, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34126', 2, 'Moslares de la Vega', 341473, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34126', 3, 'Renedo de la Vega', 341473, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34126', 4, 'Santa Maria de la Vega', 341473, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34126', 5, 'Santillan de la Vega', 341473, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34126', 6, 'Villamoronta', 342239, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34127', 1, 'Bahillo', 349036, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34127', 2, 'Loma de Ucieza', 349036, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34127', 3, 'Mianes', 341929, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34127', 4, 'Robladillo de Ucieza', 341929, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34127', 5, 'San Mames de Campos', 349036, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34127', 7, 'Villamorco', 341929, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34127', 8, 'Villasabariego de Ucieza', 341929, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34128', 1, 'Gozon de Ucieza', 349036, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34128', 2, 'Nogal de Las Huerts', 341126, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34128', 3, 'Poblacion de Soto', 341126, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34128', 4, 'La Serna', 349036, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34128', 5, 'El Valio', 349036, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34128', 6, 'Villaproviano', 341436, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34128', 7, 'Villota del Duque', 349036, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34129', 1, 'Villanueva de los Nabos', 342368, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34129', 2, 'Bustillo del Paramo', 342368, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34129', 3, 'Calzada de los Molinos', 340421, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34129', 5, 'Molino de Las Pavas', 342368, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34129', 6, 'Monte de Carrion', 342368, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34129', 8, 'Villotilla', 342368, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34129', 9, 'Villacuende', 342368, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34129', 10, 'Abadia de San Torcuato', 342368, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34129', 11, 'Villaturde', 342368, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34130', 1, 'Monte de la Cepuda', 999999, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34130', 2, 'Monte de la Villa', 999999, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34130', 3, 'Monton de Trigo', 999999, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34131', 1, 'Castrillejo de la Olma', 342435, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34131', 2, 'Dehesa de Cigoera', 342435, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34131', 3, 'La Vencedora', 342435, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34131', 4, 'Villafolfo', 342435, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34131', 5, 'Villanueva del Rio', 342435, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34131', 6, 'Villoldo', 342435, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34131', 7, 'Dehesa de Macintos', 342435, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34131', 8, 'Torre de los Molinos', 340474, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34149', 0, 'Villalinvierno', 999999, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34159', 4, 'Monte la Torre', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34159', 5, 'Padilla', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34159', 6, 'Rayaces', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34159', 7, 'Los Salamanquinos', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34159', 9, 'Valdebusto', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34159', 11, 'Villarramiro', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34160', 2, 'La Dehesilla', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34160', 3, 'Esquileo de Abajo', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34160', 4, 'Esquileo de Arriba', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34170', 2, 'Cascon de la Nava', 342374, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34170', 3, 'Pedraza de Campos', 341258, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34170', 4, 'Revilla de Campos', 342201, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34170', 5, 'Villamartin de Campos', 342201, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 31, 'Gatineira (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 32, 'Goleta (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 33, 'Gomersindo (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 34, 'Gondomar (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 35, 'Herminde (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 36, 'Iglesia (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 37, 'Laxes (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 38, 'Madroa (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 39, 'Subida Madroa (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 40, 'Manuel Costas Bastos (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 41, 'Marquesa (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 42, 'Minas (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 43, 'Monte Pequeo (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 44, 'Mueisas (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 45, 'Pacharan (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 46, 'Petou (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 47, 'Pio (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 48, 'Rabadeira (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 49, 'Regadas (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 50, 'Regoufe (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 51, 'Rosendo (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 52, 'Saladina (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 53, 'Salgueiro (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 54, 'Salvador (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 55, 'San Cristovo (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 56, 'Ronda San Francisco (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 57, 'Sanatorio (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 58, 'Sil (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 59, 'Sobreiro (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 60, 'Solombo (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 61, 'Subride (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 62, 'Surraneiro (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 63, 'Torre (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 64, 'Xoxin (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 65, 'Xunco Marino (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 66, 'Zoo (Candean)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36317', 67, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 1, 'Alza (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 2, 'Amaris (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 3, 'Amaro (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 4, 'Ameal (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 5, 'Animas (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 6, 'Becerreira (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 7, 'Beillesa (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 8, 'Cabral-Iglesia', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 9, 'Canto', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 10, 'Carballal (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 11, 'Castrio (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 12, 'Cemieiras (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 13, 'Cernades (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 14, 'Chans (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 15, 'Cimiterio (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 16, 'Condia (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 17, 'Coto Grande (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 18, 'Curras (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 19, 'Fontaia (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 20, 'Gavilan (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 21, 'Gondarisco (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 22, 'Gorguia (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 23, 'Gorxal-Monte (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 24, 'Grileira (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 25, 'Iglesia (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 26, 'Os Lagos (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 27, 'Lavandeira (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 28, 'Lomba (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 29, 'Loureiro (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 30, 'Maceira (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 31, 'A Manco (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 32, 'Marceira (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 33, 'Monte Calvario (Cabral-Iglesia', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 34, 'Del Monte Lugar (Cabral-Iglesi', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 35, 'Narxo (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 36, 'Nogueira (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 37, 'Nogueira Casal (Cabral-Iglesia', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 38, 'Patas (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 39, 'Peizas (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 40, 'Pino Manso (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 41, 'Pividal (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 42, 'Puxeiros (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 43, 'Rans (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 44, 'Remesil (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 45, 'Retorta (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 46, 'Riomao (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 47, 'Saladino Cortizo (Cabral-Igles', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 48, 'San Pedro (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 49, 'Sanin (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 50, 'Santa Marina (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 51, 'Souto (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 52, 'Sub.Al Cementerio Puxeiros (Ca', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 53, 'Temperan (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 54, 'Trisas (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 55, 'Useira (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 56, 'Xalon (Cabral-Iglesia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36318', 57, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36320', 0, 'Chapela (San Fausfo)', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 1, 'Abad (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 2, 'Bao (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 3, 'Bouzos (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 4, 'Burdes (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 5, 'Calzada (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 6, 'Calzadia (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 7, 'Capela (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 8, 'Carballal (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 9, 'Casal (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 10, 'Castro (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 11, 'Cerdeira (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 12, 'Colexio (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 13, 'Coruxo (Resto Parroquia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 14, 'Coruxo de Arriba (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 15, 'Cotarelo (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 16, 'Covelos (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 17, 'Cruceiro (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 18, 'Fonte (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 19, 'Fragoselo (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 20, 'Freital (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 21, 'Gandara (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 22, 'Gato (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 23, 'Iglesia (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 24, 'Jose Rivas (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 25, 'Lajes (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 26, 'Laxeira (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38205', 0, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38206', 1, 'Segunda Nava Toscana', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38206', 2, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38207', 0, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38208', 0, 'San Cristbal de la Laguna', 380239, 38, 
    0, 5, 'E', 3, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38240', 0, 'Punta del Hidalgo', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38250', 0, 'Bajamar', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 1, 'Arico', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 2, 'Asomada', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 3, 'Camino Gomero', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 4, 'Cardon', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 5, 'La Fuente (Tejina)', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 6, 'Loma', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 7, 'Milan', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 8, 'Paranzuela', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 9, 'Pico Bermejo', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 10, 'Pico Chico', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 11, 'Pico Grande', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 12, 'Las Rias', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 13, 'El Riego (Bajamar)', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 14, 'Risquete', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38260', 15, 'Tejina', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38270', 1, 'Barrio de la Palma', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38270', 2, 'Camino de Moya', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38270', 3, 'Corazon de Jesus', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38270', 4, 'El Manzano', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38270', 5, 'De la Palma', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38270', 6, 'Valle Guerra', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 1, 'Barranco el Tanque', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 2, 'Barrio del Realejo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 3, 'Barrio Homician', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 4, 'Del Calvario', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 5, 'Camino de la Barranquera', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 6, 'Camino de la Milonga', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 7, 'Camino del Guincho', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 8, 'El Cantillo (Valle Guerra)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 9, 'La Herradura', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 10, 'De la Iglesia', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 11, 'Lomo de Zoris', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 12, 'Las Lucanas', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 13, 'Toscas de Abajo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 14, 'Toscas de Arriba', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38279', 15, 'Del Vino', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38280', 1, 'Carmen', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38280', 2, 'Naciente', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38280', 3, 'San Marcos', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38280', 4, 'Tegueste', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38289', 1, 'Agua de Dios', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38289', 2, 'Ciudad Jardin', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38289', 3, 'El Gomero', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38289', 4, 'De Tegueste', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38290', 1, 'La Esperanza', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38290', 2, 'La Caada', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38290', 3, 'Karting Club', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38290', 4, 'Las Lagunetas (La Esperanza)', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38290', 5, 'Lomo Pelado', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38290', 6, 'Peafiel', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38290', 7, 'Preventorio', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38290', 8, 'Las Raices', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38290', 9, 'Las Barreras', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38290', 10, 'Las Rosas (La Esperanza)', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 1, 'Los Baldios', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 3, 'Barrio Gomero', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 4, 'Camino Bellotero', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 5, 'Camino del Cementerio de Cande', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 6, 'Camino del Medio (Laguna)', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 7, 'Camino del Salto del Pino', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 8, 'Camino Estrecho', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 9, 'Camino Mollero', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 10, 'Camino Talavera', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 11, 'Camino Viatera', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 12, 'Las Casas (La Laguna)', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 14, 'Cercado de Las Veras', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 15, 'El Convento (La Laguna)', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 16, 'Jacaranda', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 19, 'Llano del Moro', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 20, 'Llano el Muro', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 22, 'El Majano', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 23, 'Las Manchas (La Laguna)', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 24, 'Mina', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 25, 'La Montaa', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 29, 'San Francisco de Paula', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 30, 'La Zapatera', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38291', 31, 'La Laguna', 380321, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38292', 1, 'El Infierno', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38292', 2, 'Padilla Baja', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38292', 3, 'Pedro Alvarez', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38292', 4, 'El Socorro (La Laguna)', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 1, 'El Bronco', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 2, 'Camino de Huertas Blancas', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 3, 'Camino de Jardina', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 4, 'Camino de la Gallardina', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 5, 'Camino de la Triciana', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 6, 'Camino del Olivo', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 7, 'Camino del Pino (Laguna)', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 8, 'Camino del Rayo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 9, 'Las Canteras', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 10, 'Caada de Abajo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 11, 'Caada de Arriba', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 12, 'Caada del Molino', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 13, 'General A la Laguna', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 14, 'Loma de los Mirlos', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 15, 'Las Mercedes de', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 16, 'Las Mercedes', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 17, 'Viejo de Las Mercedes', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38293', 18, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38294', 1, 'Batan de Abajo', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38294', 2, 'Batan de Arriba', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38294', 3, 'Las Carboneras', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38294', 4, 'Chinamada', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38294', 5, 'Cruz del Carmen', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38294', 6, 'Rio', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38294', 7, 'Taborno', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38295', 1, 'Camino de Las Mantecas', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38295', 2, 'Camino del Valle Colino', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38295', 3, 'Charcon Macario', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38295', 4, 'Gracia', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38295', 5, 'Santa Maria de Gracia', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38295', 6, 'Valle Colino', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38295', 7, 'Valle de Vinagre', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38295', 8, 'Valle Vinagre', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38295', 9, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38296', 1, 'Camino de la Hornera', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38296', 2, 'Camino de San Bartolome de Gen', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38296', 3, 'San Miguel de Geneto', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38296', 4, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 1, 'Aeropuerto de los Rodeos (Sant', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 2, 'Residencial Aeropuerto de los', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 3, 'De Agua Garcia', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 4, 'Camino de la Caada', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 5, 'Garimba', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 6, 'General (Ortigal)', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 7, 'Hoya del Camello', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 8, 'Ortigal', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 9, 'Ortigal de Abajo', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 10, 'Ortigal de Arriba', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 10, 'Valoria', 390909, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39507', 11, 'Virgen la (Udias)', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39508', 0, 'Cobijon (Udias)', 999999, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 1, 'Villanueva de la Pea', 390417, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 2, 'Carrejo', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 3, 'Cos', 390417, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 4, 'Herrera de Ibio', 390417, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 5, 'Ibio', 390417, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 6, 'Luzmela', 390417, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 7, 'Mazcuerras', 390417, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 8, 'Riao de Ibio', 390417, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 9, 'Santibaez (Cabezon de la Sal)', 390417, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 10, 'Sierra de Ibio', 390417, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 11, 'Cabrojo (Cabezon de la Sal)', 390417, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39509', 12, 'Virgen de la Pea', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39510', 1, 'Barcenillas (Ruente)', 390664, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39510', 2, 'Lamia (Ruente)', 390664, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39510', 3, 'Sopea (Cabuerniga)', 390149, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39510', 4, 'Teran (Valle Cabuerniga)', 390149, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39510', 5, 'Valle de Cabuerniga', 390149, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39511', 1, 'Renedo de Cabuerniga', 390149, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39511', 2, 'Selores (Cabuerniga)', 390149, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39511', 3, 'Viaa (Cabuerniga)', 390149, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39513', 1, 'Barrio de Abajo (Ruente)', 390664, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39513', 2, 'Barrio de Arriba (Ruente)', 390664, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39513', 3, 'La Cuesta (Ruente)', 390664, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39513', 4, 'Gismana (Ruente)', 390664, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39513', 5, 'Meca (Ucieda)', 390664, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39513', 6, 'Monasterio', 390664, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39513', 7, 'Ruente', 390664, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39513', 8, 'Ucieda', 390664, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39517', 1, 'Saja', 390860, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39517', 2, 'El Tojo', 390860, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39518', 1, 'Barcenamayor', 390860, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39518', 2, 'Correpoco', 390860, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39518', 3, 'Fresneda', 390149, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39518', 4, 'Los Tojos', 390860, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39520', 1, 'Comillas', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39520', 2, 'Seminario Pontificio', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39525', 1, 'Barcena (Alfoz)', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39525', 2, 'Caborredondo (Alfoz de Lloredo', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39525', 3, 'Carrastrada (Alfoz de Lloredo)', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39525', 4, 'Orea', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39525', 5, 'Padruno', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39525', 6, 'Perelada', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39525', 7, 'San Roque (Orea)', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39525', 8, 'Torriente', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39525', 9, 'Viallan', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39526', 1, 'Cigenza', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39526', 2, 'Novales', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39527', 1, 'Casasola (Ruiloba)', 390686, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39527', 2, 'Concha', 390686, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39527', 3, 'Haces', 390686, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39527', 4, 'La Iglesia (Ruiloba)', 390686, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39527', 5, 'Liandres', 390686, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39527', 6, 'Pando (Ruiloba)', 390686, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39527', 7, 'Ruiloba', 390686, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39527', 8, 'Ruilobuca', 390686, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39527', 9, 'Sierra (Ruiloba)', 390686, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39527', 10, 'Trasierra', 390686, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39528', 1, 'Cara', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39528', 2, 'Ceceo', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39528', 3, 'Larteme', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39528', 4, 'La Rabia', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39528', 5, 'Rioturbio', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39528', 6, 'Rubarcena', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39528', 7, 'Ruiseada', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39528', 8, 'Santa Ana', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39528', 9, 'El Tejo', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39528', 10, 'Trasvia', 390247, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39530', 1, 'Mijares', 390762, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39530', 2, 'Puente San Miguel', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39538', 1, 'Helguera (Reocin)', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39538', 2, 'Reocin', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39538', 3, 'La Veguilla', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39539', 1, 'Cerrazo', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39539', 2, 'Fresnedo (Alfoz de Lloredo)', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39539', 3, 'Lloredo', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39539', 4, 'Rudaguera', 390015, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39539', 5, 'San Esteban de Cerrazo', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39539', 6, 'San Pedro (Rudaguera)', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39539', 7, 'Villapresente', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39540', 0, 'San Vicente de la Barquera', 390801, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39547', 1, 'Los Llaos', 390801, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39547', 2, 'La Revilla (San Vicente de la', 390801, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39548', 1, 'Pesues', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39548', 2, 'Prellezo', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39548', 3, 'Santillan', 390801, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39548', 4, 'Los Tanagos', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39549', 1, 'Abanillas', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39549', 2, 'Abao', 390801, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39549', 3, 'La Acebosa (Abanillas)', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39549', 4, 'El Barcenal', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39549', 5, 'Estrada', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39549', 6, 'Gandarilla', 390801, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39549', 7, 'Hortigal', 390801, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39549', 8, 'Portillo (San Vicente de la Ba', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39549', 9, 'Serdio', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 1, 'Bielva', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 2, 'Burio', 390345, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 3, 'Cades', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 4, 'Cires', 390345, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 5, 'Lafuente de Lamason', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 6, 'Los Pumares (Lamason)', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 7, 'Quintanilla (Lamason)', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 8, 'Rabago', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 9, 'Rio (Lamason)', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 10, 'Sobrelapea', 390345, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39550', 11, 'La Venta (Lamason)', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39551', 1, 'Cabanzon', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39551', 2, 'Casamaria', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39553', 1, 'Arenas (Rionansa)', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39553', 2, 'Las Barcenas', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39553', 3, 'Celis', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39553', 4, 'Celucos', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39553', 5, 'La Cotera (Rionansa)', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39553', 6, 'La Herreria (Rionansa)', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39553', 7, 'Riclones', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39554', 1, 'Obeso', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39554', 2, 'Pedreo', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39554', 3, 'Los Picayos', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39554', 4, 'Puentenansa', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39554', 5, 'Rioseco (Rionansa)', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39554', 6, 'San Sebastian de Garabandal', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39555', 1, 'La Lastra (Tudanca)', 390895, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39555', 2, 'Santotis', 390895, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39555', 3, 'Sarceda', 390895, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39555', 4, 'Tudanca', 390895, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39556', 1, 'La Laguna', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39556', 2, 'Puente Pumar', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39556', 3, 'Uznayo', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39557', 1, 'Belmonte', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39557', 2, 'Cotillos', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39557', 3, 'Lombraa', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39557', 4, 'Pejanda', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39557', 5, 'Salceda', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39557', 6, 'San Mames (Polaciones)', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39557', 7, 'Santa Eulalia', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39557', 8, 'Tresabuela', 390535, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39558', 1, 'Cabrojo (Rionansa)', 390149, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39558', 2, 'Carmona', 390149, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34170', 6, 'Mazariegos', 341028, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34190', 1, 'Calabazanos', 342257, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34190', 2, 'Ciudad Jardin Virgen Milagro', 342257, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34190', 3, 'Los Olmillos', 342257, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34190', 4, 'El Portazgo', 342257, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34190', 5, 'Villamuriel de Cerrato', 342257, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34191', 1, 'Monte de Villalobon', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34191', 2, 'Paradilla del Alcor', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34191', 3, 'Paredes del Monte', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34191', 4, 'Santa Cecilia del Alcor', 341678, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34191', 6, 'Valoria del Alcor', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34191', 7, 'Ampudia', 340105, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34191', 8, 'Autilla del Pino', 340186, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34191', 9, 'La Alconada', 341202, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34191', 10, 'Villalobn', 341202, 34, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34192', 1, 'Grijota', 340796, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34192', 2, 'De la Nava', 340796, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34192', 3, 'El Serron', 340796, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34192', 4, 'Villaumbrales', 342374, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34200', 1, 'Baos de Cerrato', 340231, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34200', 2, 'Venta de Baos', 340231, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34208', 1, 'Cementos Hontoria', 340231, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34208', 2, 'Dehesa de los Barrios', 340231, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34208', 3, 'Monasterio de San Isidro Duea', 340231, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34208', 4, 'Reinoso de Cerrato', 341467, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34208', 5, 'San Isidro de Dueas', 340698, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34209', 1, 'Dehesa del Rebollar', 340869, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34209', 2, 'Hontoria de Cerrato', 340869, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34209', 3, 'Soto de Cerrato', 341776, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34209', 4, 'Tariego de Cerrato', 341816, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34209', 5, 'Valle de Cerrato', 341966, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34210', 0, 'Dueas', 340698, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34218', 0, 'Cevico de la Torre', 340571, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34219', 1, 'El Aguachal', 340066, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34219', 2, 'Alba de Cerrato', 340066, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34219', 3, 'Castrillo de Onielo', 340513, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34219', 4, 'Cubillas de Cerrato', 340663, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34219', 5, 'Huerta Pagola', 340066, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34219', 6, 'Poblacion de Cerrato', 341338, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34219', 7, 'Vertavillo', 342012, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34220', 1, 'Castillo de Magaz', 340989, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34220', 2, 'Magaz', 340989, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34230', 1, 'Nuestra Seora de Valdezate', 341821, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34230', 2, 'Torquemada', 341821, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34239', 1, 'Unidad Transmisiones Ejercito', 341893, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34239', 2, 'Valdeolmillos', 341893, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34239', 3, 'Villamediana de Valdesalce', 341893, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34240', 1, 'Baltanas', 340225, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34240', 2, 'Monte de la Aldea', 340225, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34246', 0, 'Castrillo de Don Juan', 340506, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34247', 1, 'Cevico Navero', 340587, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34247', 2, 'Hermedes de Cerrato', 340822, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34247', 3, 'Villaconancio', 342051, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34248', 1, 'Antiguedad', 340127, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34248', 2, 'Cobos de Cerrato', 340604, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34248', 3, 'Dehesa de Valverde', 340127, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34248', 4, 'Espinosa de Cerrato', 340702, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34249', 1, 'La Encomienda', 340875, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34249', 2, 'Granja de la Encomienda', 340875, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34249', 3, 'Hornillos de Cerrato', 340875, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34249', 4, 'Valdecaas de Cerrato', 340225, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34249', 5, 'Villaviudas', 342380, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34250', 0, 'Quintana del Puente', 341415, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34257', 1, 'Granja de Olmos de Cerrato', 341219, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34257', 2, 'Olmos de Cerrato', 341219, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34257', 3, 'Palenzuela', 341219, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34257', 4, 'Quintana de Negredo', 341219, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34257', 5, 'Las Quintanilla', 341219, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34257', 6, 'Tabanera de Cerrato', 341782, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34257', 7, 'Villahan de Palenzuela', 341219, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34257', 8, 'Villodrigo', 342429, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34258', 0, 'San Juan de Castellanos', 999999, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 2, 'Cordovilla la Real', 340632, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 3, 'Dehesa de Cordovilla', 340632, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 4, 'Dehesa de Matanza', 340632, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 5, 'Dehesa de Villandrando', 340632, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 7, 'Herrera de Valdecaas', 340843, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 8, 'San Salvador del Moral', 340632, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 9, 'Melgar de Yuso', 340632, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 10, 'San Cebrian de Buena Madre', 340632, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 11, 'Valbuena de Pisuerga', 340632, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 12, 'Villalaco', 342131, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34259', 13, 'Villodre', 340632, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34260', 1, 'Revilla Vallejera', 94461, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34260', 2, 'Santa Rosalia', 94461, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34260', 3, 'Vallejera', 94461, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34260', 4, 'Valles de Palenzuela', 94461, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34260', 5, 'Vizmalo', 94461, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34260', 6, 'Villamedianilla', 94461, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34300', 0, 'Paredes de Nava', 341230, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34305', 1, 'Boada de Campos', 340339, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34305', 2, 'Capillas', 340455, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34305', 3, 'Meneses de Campos', 341065, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34305', 4, 'Villerias de Campos', 342407, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34305', 5, 'Baquerin de Campos', 340246, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34305', 6, 'Castromocho', 340534, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34305', 7, 'Torremormojon', 341842, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34306', 1, 'Belmonte de Campos', 340480, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34306', 2, 'Castil de Vela', 340480, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34306', 3, 'Frechilla', 340724, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34306', 4, 'Guaza de Campos', 340817, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34306', 5, 'Mazuecos de Valdeginate', 341034, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34307', 1, 'Abastas', 349020, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34307', 2, 'Abastillas', 349020, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34307', 3, 'Aoza', 349020, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34307', 4, 'Villalumbroso', 349020, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34307', 5, 'Villatoquite', 349020, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34309', 1, 'Calzadilla de la Cueza', 340552, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34309', 2, 'Cardeosa de Volpejera', 340468, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34309', 3, 'Cervatos de la Cueza', 340552, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34309', 4, 'Quintanilla de la Cueza', 340552, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34309', 5, 'Riberos de la Cueza', 341564, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34309', 6, 'Santa Maria de Las Tiendas', 340552, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34309', 8, 'Villamuera de la Cueza', 342244, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34309', 9, 'Villanueva del Rebollar', 342276, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34309', 10, 'Villaverde de Volpejera', 340552, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34310', 1, 'Becerril de Campos', 340297, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34310', 2, 'El Espinar', 340297, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34310', 3, 'Monte Carrascal', 340297, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34310', 4, 'Pinacho', 340297, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34310', 5, 'La Venta', 340297, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34310', 6, 'Villafruela', 341277, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34310', 7, 'Villaldavin', 341277, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34320', 0, 'Cisneros', 340590, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34337', 0, 'Fuentes de Nava', 340761, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34338', 1, 'Abarca de Campos', 340014, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34338', 2, 'Autillo de Campos', 340199, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34340', 1, 'Villada', 342064, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34340', 2, 'Villarramiel', 342064, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34347', 1, 'Arroyo', 341317, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34347', 2, 'Lagartos', 340915, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34347', 3, 'Ledigos', 340941, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 27, 'Longra (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 28, 'Luz (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 29, 'Melcas (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 30, 'Molinos (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 31, 'Monte (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 32, 'Monte do Gato (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 33, 'Parrocha (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 34, 'Pedreira (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 35, 'Quintas (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 36, 'Regueiro (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 37, 'Rio de Barxa (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 38, 'Romeu (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 39, 'Roteas (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 40, 'Rozo (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 41, 'San Lorenzo (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 42, 'San Sebastian (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 43, 'Sobreira (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 44, 'Sub-Coruxo (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 45, 'Taberna (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 46, 'Tarrio (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 47, 'Tintureira (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 48, 'Torre (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 49, 'Verdeal (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 50, 'Vino (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 51, 'Voltina (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36330', 52, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 1, 'Aldeagoso (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 2, 'Bao (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 3, 'Breadouro (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 4, 'Calzoa (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 5, 'Carrasqueira (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 6, 'O Casta (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 7, 'Cean (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 8, 'Chan de Riveiro (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 9, 'Combro (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 10, 'Corujo (Fontela)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 11, 'Coruxo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 12, 'Coruxo (Breadouro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 13, 'Coruxo (Combro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 14, 'Coruxo (Coto de Abaixo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 15, 'Coruxo (Coto de Arriba)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 16, 'Coruxo (Molanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 17, 'Coruxo (Rio)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 18, 'Coruxo de Abaixo (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 19, 'Coto de Abaixo (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 20, 'Coto de Arriba (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 21, 'Fontela (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 22, 'Fox (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 23, 'Illa Toralla (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 24, 'Molanes (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 25, 'Monte Carrasqueira (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 26, 'Orillamar (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 27, 'Outeiro (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 28, 'Pereiria (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 29, 'Rias Baixas (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 30, 'Rio (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 31, 'Silveira (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 32, 'Veisas (Coruxo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36331', 33, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36340', 0, 'Panjon', 360353, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36350', 0, 'Nigran', 360353, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36360', 1, 'Camos', 360353, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36360', 2, 'Chandebrito', 360353, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36370', 0, 'A Ramallosa (San Pedro)', 360353, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36378', 0, 'Borreiros', 360216, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36379', 0, 'A Ramallosa (San Pedro-Resto P', 360353, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36380', 1, 'Gondomar', 360216, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36380', 2, 'Villaza', 360216, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36388', 1, 'Donas', 360216, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36388', 2, 'Maufe', 360216, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36389', 1, 'Chain', 360216, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36389', 2, 'Couso (Gondomar)', 360216, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36389', 3, 'Morgadanes', 360216, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36389', 4, 'Peitieiros', 360216, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 1, 'Oia', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 2, 'Cabo Estay (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 3, 'Canido', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 4, 'Canido (San Miguel de Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 5, 'Cesareo A.Vazquez (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 6, 'Cortada (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 7, 'Cotomaje (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 8, 'Cruceiro (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 9, 'Curras (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 10, 'Eiras (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 11, 'Estea (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 12, 'Esteriz (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 13, 'Estomada (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 14, 'Figueiras (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 15, 'Funchios (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 16, 'Gontade (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 17, 'Grandes (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 18, 'Hermida (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 19, 'Hermida (San Miguel de Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 20, 'Iglesia (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 21, 'Lavandeira (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 22, 'Lavandeira (San Miguel de Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 23, 'Liares (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 24, 'Loureiro (San Miguel Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 25, 'Matoca (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 26, 'Matoca (San Miguel de Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 27, 'Mide (San Miguel de Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 28, 'Bouzo (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 29, 'Oia (San Miguel-Hermida)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 30, 'Oia (San Miguel-Lavandeira)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 31, 'Oia (San Miguel-Matoca)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 32, 'Oia (San Miguel-Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 33, 'Oia (San Miguel-Poza)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 34, 'Oia (San Miguel-Rozo)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 35, 'Oia (San Miguel-Sistro)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 36, 'Oia (San Miguel-Toucido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 37, 'Outeiro da Aldea (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 38, 'Outeiro de Abaixo (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 39, 'Outeiro de Arriba (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 40, 'Pirucha (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 41, 'Poza (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 42, 'Poza (San Miguel de Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 43, 'Prado (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 44, 'Praia de Canido (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 45, 'Rochas (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 46, 'Rozo (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 47, 'Rozo (San Miguel de Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 48, 'San Miguel de Oya (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 49, 'San Miguel Oya (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 50, 'Sedane (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 51, 'Senra de Abajo (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 52, 'Senra de Arriba (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 53, 'Sistro (San Miguel de Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 54, 'Sival (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 55, 'Sixtro (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 11, 'Portezuelo', 380466, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38297', 12, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 1, 'La Atalaya', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 2, 'Camino de la Villa', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 3, 'Camino de San Diego', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 4, 'Camino de San Lazaro', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 5, 'Camino Torneros', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 6, 'Caaveral', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 7, 'General (Afueras Laguna)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 8, 'Ladera de la Mesa Mota', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 9, 'Lomo del Bronco', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 10, 'Lomo Largo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 11, 'Nava Toscana', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 12, 'De Nava Toscana', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 13, 'Pista Militar San Roque', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 14, 'San Roque', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 15, 'De Tejina (La Laguna)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38298', 16, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38300', 1, 'Icona', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38300', 2, 'La Orotava', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38300', 3, 'Parador Las Caadas', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38300', 4, 'Parque Nacional Teide', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 1, 'La Abejera', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 2, 'Aguamansa', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 3, 'Barroso (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 4, 'Bebedero Alto', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 5, 'Bebedero Bajo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 6, 'Belayo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 7, 'La Cabezada', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 8, 'Camino de la Candelaria', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 9, 'Camino del Velo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 10, 'Camino el Gallo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 11, 'Camino el Sauce', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 12, 'Caneo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 13, 'Casa Forestal (Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 14, 'Caada Alta', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 15, 'Colombo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 16, 'Colombo Bajo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 17, 'La Cruz de Tea (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 18, 'Cueva del Negro', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 19, 'Fiesgo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 20, 'Los Fontones', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 21, 'Hacienda Perdida', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 22, 'Mamio', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 23, 'Las Maravillas', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 24, 'El Montijo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 25, 'Los Perdigones', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 26, 'Pinoleris', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 27, 'Los Pintos', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 28, 'Planta Vieja', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 29, 'Posada de Montenegro', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 30, 'Puente la Barca', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 31, 'Los Sanchez', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 32, 'La Sierra', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 33, 'Tienda Rica', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38310', 34, 'Tres Pinos (Aguamansa)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 1, 'Blas Luis', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 2, 'Camino de Guanche', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 3, 'Camino de la Vera', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 4, 'Camino de Las Caadas', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 5, 'Camino Polo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 6, 'La Caada Baja', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 7, 'Dehesa Alta', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 8, 'El Drago (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 9, 'Florida Alta', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 10, 'La Florida (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 11, 'Los Frontones', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 12, 'Los Gomez', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 13, 'La Hondura', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 14, 'Humboldt', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 15, 'La Jarrita', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 16, 'Ladera del Pino', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 17, 'Maestre Juan', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 18, 'Nueva', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 19, 'Pino Alto', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 20, 'Los Pinos', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 21, 'La Torrita', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38311', 22, 'La Vera (La Victoria)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 1, 'El Alamo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 2, 'Barranco Siete Ojos', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 3, 'Barriada Martinez', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 4, 'Camino Arbeja', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 5, 'Camino Sauzo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 6, 'Las Candias', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 7, 'Carabeo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 8, 'El Cipres', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 9, 'Ciudad Jardin (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 10, 'Cruz de los Martillos', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 11, 'Cuerpo de Bomberos', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 12, 'Donis', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 13, 'La Guima', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 14, 'Los Hoyos', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 15, 'Las Lajas (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 16, 'La Luz', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 17, 'La Malzaga', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 18, 'La Mocama', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 19, 'El Monturrio', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 20, 'La Palmita (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 21, 'Parque Corina', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 22, 'Playita', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 23, 'La Sabina (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 24, 'San Felipe', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 25, 'San Jeronimo (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 26, 'San Miguel (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 27, 'Tagunaste', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38312', 28, 'Las Toscas Donis', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 1, 'Barbuzano', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 2, 'Barranco de San Antonio', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 3, 'Barriada 25 Aos de Paz', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 4, 'Barriada de San Antonio', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 5, 'Benijos', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 6, 'El Bucio', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 7, 'Camino de la Ladera (La Orotav', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 8, 'La Chaba', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 9, 'Dormaito', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 10, 'La Ferruja (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 11, 'La Habanera', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 12, 'Lomo Alto', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 13, 'Marmolan', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 14, 'Los Oreganos', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 15, 'El Palo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 16, 'La Quinta (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 17, 'Las Rosas (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38313', 18, 'La Suerte', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 1, 'Barranco de la Arena', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 2, 'Las Cuevas', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 3, 'El Durazno', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 4, 'El Pinito (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 5, 'El Ramal', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 6, 'La Ratona', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 7, 'Los Rechazos', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 8, 'El Rincon (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 9, 'San Bartolome (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 10, 'San Diego (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 11, 'San Pablo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38314', 12, 'Vizcaina', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 1, 'La Aza', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39559', 1, 'Cosio', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39559', 2, 'Rozadio', 390633, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39560', 0, 'Unquera', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39569', 3, 'Escandon', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39569', 4, 'Helgueras', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39569', 5, 'El Hoyo (Val de San Vicente)', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39569', 6, 'Molleda', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39569', 7, 'Prio', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39569', 8, 'San Pedro de Las Baheras', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39569', 9, 'Santa Marina (Val de San Vicen', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39570', 1, 'Potes', 390553, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39570', 2, 'Rases', 390553, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39571', 1, 'Aniezo', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39571', 2, 'Cabezon de Liebana', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39571', 3, 'Cahecho', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39571', 4, 'Cambarco', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39571', 5, 'Luriezo', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39571', 6, 'Torices', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39572', 1, 'Avellanedo', 390507, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39572', 2, 'Barreda (Pesaguero)', 390507, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39572', 3, 'Caloca', 390507, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39572', 4, 'Lomea-Basieda', 390507, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39572', 5, 'Obargo', 390507, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39572', 6, 'Pesaguero', 390507, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39572', 7, 'Vendejo', 390507, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39572', 8, 'Venta (Pesaguero)', 390507, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39573', 1, 'Aceaba', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39573', 2, 'Buyezo', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39573', 3, 'Los Cos', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39573', 4, 'Lamedo', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39573', 5, 'Perrozo', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39573', 6, 'Piasca', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39573', 7, 'Puente Asnil', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39573', 8, 'San Andres (Cabezon Liebana)', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39574', 1, 'Cueva (Pesaguero)', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39574', 2, 'Frama', 390134, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39574', 3, 'Lerones', 390507, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39574', 4, 'Valdeprado', 390507, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 1, 'Barago', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 2, 'Cucayo', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 3, 'Dobres', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 4, 'Naroba', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 5, 'Porcieda', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 6, 'Seas', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 7, 'Soberado', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 8, 'Tollo', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 9, 'Tudes', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 10, 'Valcayo', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39575', 11, 'Valmeo', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 1, 'El Arroyo', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 2, 'Vega de Liebana', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 3, 'Bores', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 4, 'Campollo', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 5, 'Dobares', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 6, 'Dobarganes', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 7, 'Enterrias', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 8, 'Ledantes', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 9, 'Maredes', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 10, 'Ongayo (Vega Liebana)', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 11, 'Pollayo', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 12, 'Toranzo (Vega Liebana)', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 13, 'Vada', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 14, 'Barrio (Vega Liebana)', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 15, 'Vejo', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39577', 16, 'Villaverde (Vega de Liebana)', 390968, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39580', 1, 'Bejes', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39580', 2, 'Caldas (Pearrubia)', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39580', 3, 'Cicera', 390494, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39580', 4, 'La Hermida', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39580', 5, 'Linares', 390494, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39580', 6, 'Navedo', 390494, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39580', 7, 'Pieres', 390494, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39580', 8, 'Roza (Pearrubia)', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39580', 9, 'Tresviso', 390882, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 1, 'Areos', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 2, 'Barcena (Camaleo)', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 3, 'Besoy', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 4, 'Cosgaya', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 5, 'Enterria', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 6, 'Los Llanos (Camaleo)', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 7, 'Llaves', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 8, 'Mogrovejo', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 9, 'Pembes', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 10, 'Sebrango', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39582', 11, 'Trevio', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39583', 1, 'Castro-Cillorigo', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39583', 2, 'Lebea', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 1, 'Aliezo', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 2, 'Armao', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 3, 'Cabaes', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 4, 'Cobea', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 5, 'Colio', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 6, 'Concejo de Bedoya', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 7, 'Concejo de San Sebastian', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 8, 'Esanos', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 9, 'Llayo', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 10, 'Ojedo', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 11, 'Pendes', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 12, 'Penduso', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 13, 'Pumarea', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 14, 'Salarzon', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 15, 'San Pedro (Bedoya)', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 16, 'Tama', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 17, 'Trillayo', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39584', 18, 'Vion', 390226, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39586', 1, 'Arguebanes', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39586', 2, 'Congarna', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39586', 3, 'Mieses', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39586', 4, 'Turieno', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 1, 'Baro', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 2, 'Beares', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 3, 'Bodia', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 4, 'Brez', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 5, 'Camaleo', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 6, 'La Frecha', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 7, 'Lon', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 8, 'La Molina (Camaleo)', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 9, 'Quintana (Camaleo)', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 10, 'Redo', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 11, 'San Pelayo (Camaleo)', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39587', 12, 'Tanarrio', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39588', 1, 'Espinama', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39588', 2, 'Fuente de', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39588', 3, 'Las Ilces', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39588', 4, 'Pido', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39589', 1, 'Santo Toribio', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39589', 2, 'Vallejo (Camaleno)', 390152, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39590', 1, 'Barcenaciones', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39590', 2, 'La Busta', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39590', 3, 'Golbardo', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39590', 4, 'Quijas', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39590', 5, 'Santa Isabel de Quijas', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39590', 6, 'Valles', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39591', 1, 'Caranceja', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39591', 2, 'Casar de Periedo', 390605, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39591', 3, 'Periedo', 390128, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 1, 'El Ansar', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 2, 'Birruezas', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 3, 'Las Casas Nuevas (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 4, 'Los Corrales (Treceo)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 5, 'La Herreria (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 6, 'Hualle', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 7, 'La Molina (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 8, 'La Plaza', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 9, 'Requejo (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 10, 'La Ria', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 11, 'San Vicente del Monte', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 12, 'La Sierra (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34347', 4, 'Poblacion de Arroyo', 341317, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34347', 5, 'Pozo de Urama', 341375, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34347', 6, 'San Roman de la Cuba', 341659, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34347', 7, 'Villalcon', 342162, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34347', 8, 'Villambran de Cea', 340915, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 1, 'Boadilla de Rioseco', 340357, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 2, 'Moratinos', 341090, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 3, 'Pozuelos del Rey', 342064, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 4, 'San Martin de la Fuente', 340357, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 5, 'San Nicolas del Real Camino', 341090, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 6, 'Terradillos de Templarios', 340915, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 7, 'Valenceja', 340357, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 8, 'Villacidaler', 342048, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 9, 'Villatima', 340357, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 10, 'Villelga', 342064, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34349', 11, 'Villemar', 342064, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34400', 0, 'Herrera de Pisuerga', 340838, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34405', 1, 'Hijosa de Boedo', 341684, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34405', 2, 'Naveros de Pisuerga', 340838, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34405', 3, 'Olmos de Pisuerga', 340838, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34405', 4, 'San Llorente de la Vega', 341684, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34405', 5, 'Ventosa de Pisuerga', 340838, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34406', 1, 'Bascones de Ojeda', 340284, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34406', 2, 'Dehesa de Romanos', 340685, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34406', 3, 'Oteros de Boedo', 340611, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34406', 4, 'San Jorde de Ojeda', 340284, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34406', 5, 'Villabermudo de Ojeda', 340284, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 1, 'Calahorra de Boedo', 340416, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 2, 'Cembrero', 342223, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 3, 'Maino', 340416, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 4, 'Paramo de Boedo', 341224, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 5, 'Priorato', 340416, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 6, 'San Martin del Monte', 342223, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 7, 'Sotobaado y Priorato', 341760, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 8, 'Collazos de Boedo', 340611, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 9, 'Olea de Boedo', 341132, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 10, 'Revilla de Collazos', 341548, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 11, 'Sotillo de Boedo', 341760, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 12, 'Villaneceriel', 340416, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34407', 13, 'Zorita del Paramo', 341224, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34410', 1, 'La Junquera', 341087, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34410', 2, 'Monzon de Campos', 341087, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34410', 3, 'Ventanueva', 341087, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34419', 1, 'Fuentes de Valdepero', 340777, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34419', 2, 'Granja Manrique', 340777, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34419', 3, 'Husillos', 340881, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34419', 4, 'Monte del Rey (Monzon de Campo', 340777, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34419', 5, 'Valdespina', 340112, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34419', 6, 'Villajimena', 341087, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34419', 7, 'Villalobon', 342178, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34420', 1, 'Amusco', 340112, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34429', 1, 'Amayuelas de Abajo', 341599, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34429', 2, 'Amayuelas de Arriba', 340091, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34429', 3, 'Becerrilejos', 341599, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34429', 4, 'Calahorra de Campos', 341599, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34429', 5, 'Manquillos', 340992, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34429', 6, 'Ribas de Campos', 341551, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34429', 7, 'San Cebrian de Campos', 341599, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34429', 8, 'Perales de Campos', 341599, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34429', 9, 'Santa Cruz de Ribas', 341599, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34430', 0, 'Pia de Campos', 341300, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34439', 0, 'Tamara', 341809, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34440', 0, 'Fromista', 340745, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34447', 1, 'Revenga de Campos', 341527, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34447', 2, 'La Sola', 341527, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34447', 3, 'Villarmentero de Campos', 342309, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34449', 1, 'Arconada', 340151, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34449', 2, 'Lomas de Campos', 340151, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34449', 3, 'Poblacion de Campos', 341322, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34449', 4, 'Villalcazar de Sirga', 342159, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34449', 5, 'Villovieco', 342466, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34450', 1, 'Astudillo', 340170, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34450', 2, 'Dehesa de Espinosilla', 340170, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34450', 3, 'San Carlos', 340170, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34460', 0, 'Osorno', 349015, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34468', 1, 'Boadilla del Camino', 340344, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34468', 2, 'Itero de la Vega', 340894, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34468', 3, 'Lantadilla', 340920, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34468', 4, 'Osornillo', 341163, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34469', 1, 'Las Cabaas de Castilla', 341013, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34469', 2, 'Marcilla de Campos', 341013, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34469', 3, 'Requena de Campos', 341492, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34469', 4, 'Santillana de Campos', 349015, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34469', 5, 'Villadiezma', 349015, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34469', 6, 'Villaherreros', 342110, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34470', 1, 'Buenavista de Valdavia', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34470', 2, 'Congosto de Valdavia', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34470', 3, 'Cornoncillo', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34470', 4, 'Barrio la Puebla', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34470', 5, 'La Puebla de Valdavia', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34470', 6, 'Barriosuso', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34470', 7, 'Dehesa de Tablares', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34473', 1, 'Arenillas de San Pelayo', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34473', 2, 'Ayuela de Valdavia', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34473', 3, 'Mazuelas', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34473', 4, 'Polvorosa de Valdavia', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34473', 5, 'Renedo de Valdavia', 340376, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34473', 6, 'Tabanera de Valdavia', 341795, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34473', 7, 'Valderrabano', 341907, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34475', 1, 'Villabasta', 342086, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34475', 2, 'Villaeles de Valdavia', 342086, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34475', 3, 'Villamelendro', 342342, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34475', 4, 'Villasila de Valdavia', 342342, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34477', 1, 'Arenillas de Nuo Perez', 342282, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34477', 2, 'Barcena de Campos', 340259, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34477', 3, 'Itero Seco', 349036, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34477', 4, 'Santa Cruz del Monte', 342282, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34477', 5, 'Villameriel', 342282, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34477', 6, 'Villanuo de Valdavia', 342282, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34477', 7, 'Villorquite de Herrera', 342282, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34478', 1, 'Castrillo de Villavega', 340528, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34478', 2, 'Villavega', 340528, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34480', 0, 'Alar del Rey', 340053, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36549', 3, 'Filloy (Acebeiro)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36549', 4, 'Fonteboa (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36549', 5, 'Gestoso', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36549', 6, 'Reigosa (Acebeiro)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36550', 0, 'Forcarei (Casco Urbano)', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36555', 0, 'Ventojo', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36556', 1, 'Acebeiro', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36556', 2, 'Cachafeiro', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36556', 3, 'Forcarei (Resto Parroquia)', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36556', 4, 'Millerada', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36557', 1, 'Meavia', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36557', 2, 'Pereira', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36557', 3, 'Quintillan', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36558', 1, 'Castrelo (Forcarei)', 360118, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36558', 2, 'Folgoso', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36558', 3, 'Parada (Cerdedo)', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 1, 'Carballeira (Forcarey)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 2, 'Casetas (Forcarey)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 3, 'Codeseda (Bouzas)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 56, 'Toucido (Canido)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 57, 'Toucido (San Miguel de Oia)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 58, 'Verdella (Oya)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36390', 59, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36391', 0, 'Priegue', 360353, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 1, 'Aral (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 2, 'Cal do Outeiro (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 3, 'Capilla (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 4, 'Carballido (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 5, 'Casta al (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 6, 'Cova da Barja (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 7, 'Cova de Brecha (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 8, 'Cubeipa (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 9, 'Dehesa (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 10, 'Devesa (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 11, 'Domeira (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 12, 'Fontan (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 13, 'Fontina (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 14, 'Fortion (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 15, 'Fortion de Arriba (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 16, 'Gandara (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 17, 'Garcias (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 18, 'Gondufe (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 19, 'Mangela (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 20, 'Migerelas (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 21, 'Oia (San Miguel-Resto Parroqui', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 22, 'Ordas (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 23, 'Orta (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 24, 'Orxas (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 25, 'Outeiro (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 26, 'Panaderia (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 27, 'Pedreiras (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 28, 'Portio (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 29, 'Porto de Arriba (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 30, 'Praia (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 31, 'Sabugueiro (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 32, 'San Jorge (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 33, 'San Xurxo (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 34, 'Sayanes', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 35, 'Souto (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 36, 'Tomada (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 37, 'Vilaverde (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 38, 'Volta (Sayanes)', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36392', 39, 'Vigo', 360577, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36393', 1, 'Sabaris', 360031, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36393', 2, 'Santa Cristina de Ramallosa (S', 360031, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36400', 0, 'O Porrio', 360391, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36410', 0, 'Torneiros', 360391, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36411', 0, 'Cans', 360391, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36412', 0, 'Pontellas', 360391, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36413', 0, 'Mosende', 360391, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36414', 0, 'Chenlo', 360391, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36415', 1, 'Carracido', 360335, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36415', 2, 'Louredo (San Salvador)', 360335, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36415', 3, 'Mos (Santa Eulalia)', 360335, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36416', 1, 'Petelos (San Mamede)', 360335, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36416', 2, 'Tameiga (San Martio)', 360335, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36417', 1, 'Dornelas (Santa Maria)', 360335, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36417', 2, 'Guizan (Santa Maria)', 360335, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36417', 3, 'Torroso (San Mamede)', 360335, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36418', 1, 'Atios', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36418', 2, 'Sanguieda (Santa Maria)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36419', 0, 'Pereiras (San Miguel)', 360335, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36420', 0, 'Crecente', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36428', 1, 'Angudes', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36428', 2, 'Freijo', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36428', 3, 'Sendelle', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36429', 1, 'Albeos', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36429', 2, 'Villar (Crecente)', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36430', 1, 'Arbo', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36430', 2, 'La Arbo', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36430', 3, 'Chan (Arbo)', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36430', 4, 'Correlo (Arbo)', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36430', 5, 'Torgan (Arbo)', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36435', 0, 'Barcela', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36436', 0, 'Cabeiras', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36437', 1, 'Hermida (Arbo)', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36437', 2, 'Mourentan', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36438', 1, 'Alevadas (Arbo)', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36438', 2, 'Cequelios', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36438', 3, 'Devesa (Arbo)', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36438', 4, 'Regadas (Arbo)', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36438', 5, 'San Juan (Arbo)', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36438', 6, 'Via (Arbo)', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36439', 0, 'Arbo (Resto Parroquia)', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36440', 0, 'As Neves', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36446', 1, 'Ribarteme (San Cipriano)', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36446', 2, 'Setados', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36446', 3, 'Vide', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36447', 1, 'Cerdeira', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36447', 2, 'Ribarteme (San Jose)', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36447', 3, 'Ribarteme (Santiago)', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36448', 1, 'Batallanes', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36448', 2, 'Taboeja', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36449', 1, 'Liares', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36449', 2, 'Rubios', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36449', 3, 'Tortoreos', 360340, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36450', 2, 'Salvaterra de Mio', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36455', 1, 'Fornelos', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36455', 2, 'Lourido', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36456', 0, 'Pesqueiras', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36457', 1, 'Corzanes', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36457', 2, 'Fiolledo', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36457', 3, 'Leirado', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36457', 4, 'Meder', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36457', 5, 'Oleiros (Salvaterra Mio)', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36457', 6, 'Sotolobre', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36458', 1, 'Alxen', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36458', 2, 'Arantey', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36458', 3, 'Cabreira', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36458', 4, 'Porto', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36459', 0, 'Salvaterra de Mio (Resto Parr', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36460', 1, 'Baldranes', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36460', 2, 'Caldelas de Mio', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36460', 3, 'Soutelo (Salceda de Caselas)', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 1, 'Altamira (Santa Maria de Salce', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 2, 'Devesa (Santa Maria de Salceda', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 3, 'Esfarrapada', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 4, 'Esfarrapada (Santa Maria de Sa', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 5, 'Farrapeira (Santa Maria de Sal', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 6, 'Pedra (Santa Maria de Salceda)', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 7, 'Pegullal (Santa Maria de Salce', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 8, 'Salceda (Pegullal)', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 9, 'Salceda (Santa Maria-Altamira)', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 10, 'Salceda (Santa Maria-Devesa)', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 11, 'Salceda (Santa Maria-Esfarrapa', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 12, 'Salceda (Santa Maria-Farrapeir', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 13, 'Salceda (Santa Maria-Pedra)', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 14, 'Salceda (Santa Maria-Sierra)', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36470', 15, 'Sierra (Santa Maria de Salceda', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36471', 0, 'Entienza', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36472', 1, 'Parderrubias', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36474', 0, 'Picoa', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 2, 'Barranco de la Raya', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 3, 'Barriada de San Jeronimo', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 4, 'Camino de el Madrigal', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 5, 'Camino de la Fuente Vieja', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 6, 'Camino del Pino (Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 7, 'Camino del Tio Luis', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 8, 'Las Caas (Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 9, 'La Cuesta (Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 10, 'La Fuente (La Orotava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 11, 'La Perdoma', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 12, 'La Punta (La Oratava)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 13, 'El Ratio (Aguamansa)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 14, 'El Ratio (La Perdoma)', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38315', 15, 'Los Tenez', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38320', 1, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38320', 2, 'La Cuesta de Arguijon', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38320', 3, 'La Laguna', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38329', 1, 'Lomo de Las Casillas', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38329', 2, 'Las Mesas', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38329', 3, 'La Piterita', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38329', 4, 'Valle Jimenez', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38329', 5, 'Valle Tabares', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38330', 1, 'El Boqueron', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38330', 2, 'Guamasa', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38330', 3, 'El Molino (La Laguna)', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38330', 4, 'El Pulpito', 380239, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 1, 'Los Alamos (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 2, 'Alvaro Faria', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 3, 'El Calvario (Los Naranjeros)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 4, 'Camino Albornoz', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 5, 'Camino del Medio (Santa Cruz T', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 6, 'Camino la Fuga', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 7, 'Camino la Sangradera', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 8, 'Camino Nuevo del Laurel', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 9, 'Campo de Golf', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 10, 'Caridad', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 11, 'Flor de Pascua', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 12, 'El Hornillo (Los Naranjeros)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 13, 'Las Llaves', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 14, 'De Lopez', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 15, 'Melchor Alvarez', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 16, 'Los Naranjeros', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 17, 'Otilia Lopez', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 18, 'Piedra de Torres', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 19, 'El Trazo', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38340', 20, 'Vereda Alta', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38350', 0, 'Tacoronte', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 1, 'Las Abiertas', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 2, 'Agua Garcia', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 3, 'Barranco de Las Lajas', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 4, 'Camino de Candelaria', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 5, 'Camino de la Cuesta', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 6, 'Camino de Lomo del Trazo', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 7, 'Camino Real (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 8, 'Carril Alto', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 9, 'El Chupadero', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 10, 'De la Esperanza', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 11, 'La Higuera (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 12, 'La Hornaca', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 13, 'Hoya de Manzaneros', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 14, 'Huerta Bicho', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 15, 'Madre del Agua', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 16, 'Las Mesetas', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 17, 'Las Mirleras', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38355', 18, 'La Montaeta (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 1, 'Barranco de San Juan', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 2, 'Barranco el Pato', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 3, 'Barrio del Pino', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 4, 'Camino de Fray Diego', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 5, 'Enrique Castro', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 6, 'Finca del Carmen (O de los Ale', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 7, 'Finca el Corazon', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 8, 'Grande', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 9, 'La Herreria', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 10, 'Lomo la Vieja', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 11, 'Del Mal Contento', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 12, 'Nueva (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 13, 'San Jeronimo (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 14, 'Tagoro Alto', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38356', 15, 'De Tejina (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 1, 'El Adelantado', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 2, 'El Calvario (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 3, 'Casas Altas', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 4, 'Chaboco', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 5, 'General (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 6, 'Juan Perez', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 7, 'El Llano', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 8, 'Lomo Colorado', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 9, 'Mujica', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 10, 'Padilla', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 11, 'Pedro Felipe', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 12, 'La Placeta (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 13, 'Valerio Padron', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38357', 14, 'Waque', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 1, 'Barranco Martio', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 2, 'Barrio Tagoro (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 3, 'Camino de los Guanches (Tacaro', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 4, 'Flores y Sol', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 5, 'Guayonce', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 6, 'Jardin del Sol', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 7, 'Juan Fernandez', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 8, 'Mesa del Mar', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 9, 'El Prix', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 10, 'Prixmar', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 11, 'Puerto la Madera', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 12, 'Punta del Viento', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 13, 'Tagoro Bajo', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38358', 14, 'Las Toscas (Tacoronte)', 380435, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 1, 'San Cristobal De La Laguna', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 2, 'Barranco Cabrera', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 3, 'Camino de Juan Alonso', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 4, 'Camino de la Fuente', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 5, 'Camino de Lomo Piedras', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 6, 'Camino del Pozo', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 7, 'Camino los Laureles', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 8, 'Camino Lucano', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 9, 'Camino Real de Ravelo', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 10, 'Las Cancelillas', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 11, 'Los Corraletes', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 12, 'Cruz de Leandro', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 13, 'El Hayal', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 14, 'Lomo Bermejo', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 15, 'Lomo Espigon', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 16, 'Lomo Piedras', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 17, 'La Monaeta de Ravelo', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 18, 'Rafael Ramos', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 19, 'Ravelo', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 20, 'Las Baboseras', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38359', 21, 'Valle Forestal', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 1, 'Amargura', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 2, 'El Calvario (El Sauzal)', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 3, 'Del Cementerio', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 6, 'Mejias', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 13, 'Treceo', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39592', 14, 'El Turujal', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 1, 'Lamadrid', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 2, 'Arguedes', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 3, 'Bustillo (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 4, 'Bustriguado', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 5, 'La Cantera', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 6, 'Caviedes', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 7, 'Cavia', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 8, 'La Cocina', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 9, 'La Concha (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 10, 'La Cotera (Lamadrid-Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 11, 'La Cotera (Roiz-Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 12, 'Las Cuevas (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 13, 'La Ganceda', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 14, 'La Hoya', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 15, 'Las Arenas', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 16, 'Losbia', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 17, 'La Mata', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 18, 'El Mazo (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 19, 'Movellan', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 20, 'La Peia', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 21, 'La Puente (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 22, 'Radillo', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 23, 'Roiz', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 24, 'San Pedro (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 25, 'San Salvador (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 26, 'Sejo de Abajo', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 27, 'Vallines', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 28, 'El Vear', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 29, 'La Vega (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39593', 30, 'La Venta (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39594', 1, 'Camijanes', 390330, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39594', 2, 'Luey', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39594', 3, 'Muorrodero', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39594', 4, 'Pechon', 390955, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39595', 1, 'Labarces', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39595', 2, 'Villanueva (Valdaliga)', 390916, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39600', 1, 'Maliao', 390165, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39600', 2, 'Muriedas', 390165, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39600', 3, 'Revilla de Camargo', 390165, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39608', 1, 'Cacicedo', 390165, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39608', 2, 'Herrera de Camargo', 390165, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39608', 3, 'Igollo de Camargo', 390165, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39609', 1, 'Camargo', 390165, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39609', 2, 'Escobedo de Camargo', 390165, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39610', 0, 'El Astillero', 390089, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39611', 0, 'Guarnizo', 390089, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39612', 1, 'Cianca', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39612', 2, 'Parbayon', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39612', 3, 'Riosapero', 390529, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39613', 0, 'Boo de Guarnizo', 390089, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39618', 0, 'Pontejos', 390400, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39619', 1, 'San Salvador (Medio Cudeyo)', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39619', 2, 'Santiago de Heras', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39620', 0, 'Saron', 390746, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39626', 1, 'La Abadilla', 390746, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39626', 2, 'Argomilla de Cayon', 390746, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39626', 3, 'San Roman de Cayon', 390746, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39627', 1, 'El Arenal de Penagos', 390481, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39627', 2, 'Cabarceno', 390481, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39627', 3, 'La Encina', 390481, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39627', 4, 'Los Llanos (Penagos)', 390481, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39627', 5, 'Penagos', 390481, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39627', 6, 'Sobarzo (Penagos)', 390481, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39630', 1, 'Penilla (Villafufre)', 391007, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39630', 2, 'Vega de Carriedo (Villafufre)', 391007, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39638', 1, 'Escobedo de Villafufre', 391007, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39638', 2, 'Rasillo de Villafufre', 391007, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39638', 3, 'Villafufre', 391007, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39639', 1, 'Abionzo', 390980, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39639', 2, 'Coterillo (Vega de Carriedo)', 390980, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39639', 3, 'Llerana', 390818, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39639', 4, 'Saro', 390818, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39640', 0, 'Villacarriedo', 390980, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39649', 1, 'Aloos', 390980, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39649', 2, 'Barcena de Carriedo', 390980, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39649', 3, 'Pedroso', 390980, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39649', 4, 'Santibaez de Carriedo', 390980, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39649', 5, 'Soto (Villacarriedo)', 390980, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39649', 6, 'Tezanos', 390980, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39650', 1, 'La Cueva', 999999, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39650', 2, 'La de Cayon Penilla', 999999, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39660', 1, 'Castaeda', 390190, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39660', 2, 'Pomaluengo', 390190, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39660', 3, 'Socobio', 390190, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39660', 4, 'Villabaez', 390190, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39670', 1, 'Aes', 390566, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39670', 2, 'Hijas', 390566, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39670', 3, 'Puente Viesgo', 390566, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39679', 1, 'Las Presillas', 390566, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39679', 2, 'Vargas', 390566, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39680', 1, 'Alceda', 390263, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39680', 2, 'Ontaneda', 390263, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39681', 1, 'Bollacin', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39681', 2, 'Penilla (Luena)', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39681', 3, 'Resconorio', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39681', 4, 'Sel del Manzano', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39682', 1, 'Entrambasmestas', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39682', 2, 'Guzparras', 390974, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39682', 3, 'Ocejo', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39682', 4, 'La Parada', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39682', 5, 'Retuerta', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39682', 6, 'Sel de la Pea', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39682', 7, 'Sel del Tojo (Toranzo)', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39682', 8, 'Vega Escobosa', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39683', 1, 'Aldano', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39683', 2, 'La Gurueba', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39683', 3, 'Riolangos', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39683', 4, 'Vegaloscorrales', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39683', 5, 'Vegalosvados', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39685', 1, 'Candolias', 390974, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39685', 2, 'Pandillo (Vega Pas)', 390974, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39685', 3, 'Vega de Pas', 390974, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39685', 4, 'Viaa (Vega Pas)', 390974, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39685', 5, 'Yera', 390974, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39686', 1, 'Bustaleguin', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39686', 2, 'Bustiyerro', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39686', 3, 'Hornedillo', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39686', 4, 'La Peredilla', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39686', 5, 'El Rosario', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39686', 6, 'San Pedro del Romeral', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39686', 7, 'La Sota (San Pedro Romeral)', 390710, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 1, 'Carrascal de Cocejon', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 2, 'Carrascal de San Miguel', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 3, 'El Cocejon', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 4, 'Llano (Luena)', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 5, 'Los Pandos', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 6, 'Pandoto', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 7, 'Los Perales de Luena', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 8, 'La Puente (Luena)', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 9, 'San Andres (Luena)', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 10, 'San Miguel de Luena', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 11, 'Sel de la Carrera', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 12, 'Sel del Hoyo', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39687', 13, 'Selviejo', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39688', 1, 'Bustasur (Luena)', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39688', 2, 'Cazpurrion', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39688', 3, 'La Garma', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39688', 4, 'Tablado (Luena)', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39688', 5, 'Urdiales', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 4, 'Codeseda (Bugalleira)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 5, 'Codeseda (Coto)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 6, 'Codeseda (Portela)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 7, 'Codeseda (Vilaboa)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 8, 'Forcarei', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 9, 'Forcarei (Casetas)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 10, 'Liripio', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36559', 11, 'Sabucedo', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36560', 0, 'Soutelo de Montes', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36567', 0, 'Magdalena de Montes (Santa Mar', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36568', 0, 'Santiago de Pardesoa', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36569', 0, 'Presqueiras', 360182, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36570', 1, 'Bandeira', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36570', 2, 'Chapa', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36570', 3, 'Manduas', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36579', 1, 'Cervaa', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36579', 2, 'Dornelas (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36579', 3, 'Moalde', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36579', 4, 'Pieiro (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36580', 1, 'Bascuas', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36580', 2, 'Merza', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36581', 0, 'Sabrejo', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36582', 0, 'Carbia', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36583', 1, 'Fontao', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36583', 2, 'Loson (Santa Eulalia Porto do', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36583', 3, 'Loson (Santa Eulalia-Senin)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36584', 1, 'Arnois', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36584', 2, 'Castro (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36585', 1, 'Aobre', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36585', 2, 'Brandariz', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36585', 3, 'Obra', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36586', 1, 'Ollares', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36586', 2, 'Piloo', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36586', 3, 'Salgueiros', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36587', 1, 'Camanzo', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36587', 2, 'Cira', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36587', 3, 'Gres', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36588', 1, 'Loimil', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36588', 2, 'Orazo', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36589', 1, 'Abades', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36589', 2, 'Pazos', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36590', 0, 'Vila de Cruces', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36596', 1, 'Asorey', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36596', 2, 'Camposancos (Lalin)', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36596', 3, 'Cercio', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36596', 4, 'Galegos', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36596', 5, 'Rodis', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36596', 6, 'Val (Lalin)', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36597', 0, 'Tuiriz', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36598', 1, 'Besejos', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36598', 2, 'Bodao', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36598', 3, 'Loson (Santa Eulalia Resto Par', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36598', 4, 'Loson (Santa Eulalia)', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36598', 5, 'Oiros', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36599', 1, 'Arnego (Vila de Cruces)', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36599', 2, 'Cumeiro', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36599', 3, 'Dujame', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36599', 4, 'Ferreiros', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36599', 5, 'Insua (Vila de Cruces)', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36599', 6, 'Loo', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36599', 7, 'Portodemouros', 360596, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36600', 0, 'Vilagarcia', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36610', 0, 'Carril (Casco Urbano)', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36611', 1, 'Sobradelo', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36611', 2, 'Sobran (Resto Parroquia)', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36611', 3, 'Villajuan de Arosa', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36612', 1, 'Abalo', 360101, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36612', 2, 'Catoira', 360101, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36612', 3, 'Oeste', 360101, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36613', 1, 'Arealonga', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36613', 2, 'Caldiguela', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36613', 3, 'Guillan (Carril)', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36613', 4, 'Rueiro (Carril)', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36614', 1, 'Bayon (Resto Parroquia)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36614', 2, 'Soloveira', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36615', 0, 'Godos', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36616', 1, 'Bayon (Rabuade)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36616', 2, 'Paradela (Meis)', 360280, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36617', 0, 'Cea', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36618', 1, 'Bamio', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36618', 2, 'Sardieira (Carril)', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36619', 1, 'Cornazo', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36619', 2, 'Rubianes', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36620', 1, 'Caleiro (Villamayor)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36620', 2, 'Vilanova de Arousa', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36620', 3, 'Villamayor (Caleiro)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36626', 0, 'Isla de Arosa', 369011, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36627', 0, 'San Miguel de Deiro', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36628', 1, 'Andras', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36628', 2, 'Tremoedo', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 1, 'Aralde (Sobran)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 2, 'Caleiro (Resto Parroquia)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 3, 'Eirio (Sobran)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 4, 'Galans (Sobran)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 5, 'Goris (Sobran)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 6, 'Lodeiros (Sobran)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 7, 'Praga (Sobran)', 360600, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 8, 'Sobran (Aralde)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 9, 'Sobran (Eivio)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 10, 'Sobran (Galans)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 11, 'Sobran (Goris)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 12, 'Sobran (Lodeiro)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36629', 13, 'Sobran (Praga)', 360617, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36630', 0, 'Cambados', 360062, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36633', 0, 'Vilario (Cambados)', 360062, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36634', 0, 'Corbillon', 360062, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36635', 1, 'Leiro', 360464, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36635', 2, 'Lois', 360464, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36635', 3, 'Oubia', 360464, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36636', 1, 'Barrantes (Ribadumia)', 360464, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36636', 2, 'Besomao', 360464, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36636', 3, 'Ribadumia', 360464, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36637', 1, 'Meis (San Martin)', 360280, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36637', 2, 'Meis (San Salvador)', 360280, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36637', 3, 'Mosteiro (Meis)', 360280, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36637', 4, 'Nogueira (Meis)', 360280, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36638', 1, 'Covas', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36638', 2, 'Padrenda (San Martio)', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36638', 3, 'Sisan', 360464, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36639', 0, 'Castrelo (Cambados)', 360062, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36640', 0, 'Pontecesures', 360448, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36645', 1, 'Janza (Resto Parroquia)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36645', 2, 'Valga (Resto Parroquia)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36646', 1, 'Janza (Piedrafita)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36646', 2, 'Laceiras (Valga)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36646', 3, 'Los Martores (Valga)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36646', 4, 'Rajoy (Valga)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36646', 5, 'Sietecoros', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36646', 6, 'Valga (Laceiras)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36646', 7, 'Valga (Los Martores)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36646', 8, 'Valga (Los Vilares)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36646', 9, 'Valga (Rajoy)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36646', 10, 'Los Vilares (Valga)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36647', 1, 'Campaa', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36647', 2, 'Louro (Santa Columba)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36647', 3, 'Gandara (Louro)', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36647', 4, 'Santa Columba del Louro (Corde', 360561, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36648', 1, 'Carballio', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36648', 2, 'Costa Xanza', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36648', 4, 'Medela', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36472', 2, 'Salceda (Santa Maria )', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36472', 3, 'Salceda (Santa Maria-Resto Par', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36473', 0, 'Salceda de Caselas', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36475', 0, 'Budio', 360499, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36490', 0, 'Filgueira (Crecente)', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36491', 0, 'Rebordechan', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36492', 1, 'Frieira', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36492', 2, 'Quintela (Creciente)', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36493', 1, 'Pousa', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36493', 2, 'Ribera', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36494', 0, 'Sela', 360010, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36500', 0, 'Lalin (Casco Urbano)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36510', 1, 'Carragoso de Abajo', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36510', 2, 'Corredoira (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36510', 3, 'Garcia Sanchez (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36510', 4, 'Goyas', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36510', 5, 'Jajan', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36510', 6, 'Reboiros (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36510', 7, 'Veiga (Resto Parroquia)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36510', 8, 'Carragoso de Arriba', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36511', 1, 'Alceme (Resto Parroquia)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36511', 2, 'Alemparte', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36511', 3, 'Arnego (Rodeiro)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36511', 4, 'Asperelo', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36511', 5, 'Carboentes', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36511', 6, 'Castro (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36511', 7, 'Pedroso', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36511', 8, 'Riobo (Rodeiro)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36511', 9, 'Senra', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36512', 1, 'Anzo', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36512', 2, 'Busto', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36512', 3, 'Filgueira (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36512', 4, 'Madrian', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36512', 5, 'Noceda', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36512', 6, 'Prado (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36512', 7, 'Santiso', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36514', 1, 'Cadron', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36514', 2, 'Carballeda (Veiga)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36514', 3, 'Esperante', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36514', 4, 'Muimenta (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36514', 5, 'Parada (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36514', 6, 'Veiga (Carballeda)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36514', 7, 'Vilario (Golada)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36515', 1, 'Catasos (Resto Parroquia)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36515', 2, 'Gesta', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36515', 3, 'Moneijas', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36515', 4, 'Villanueva (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36516', 1, 'Albarellos', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36516', 2, 'Alceme (Raestras)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36516', 3, 'Maceira (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36516', 4, 'Sa', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36516', 5, 'Sisto (Resto Parroquia)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36516', 6, 'Vilarello', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36517', 1, 'Bermes', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36517', 2, 'Cangas (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36517', 3, 'Palmou', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36517', 4, 'Sello', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 1, 'La O', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 2, 'Barrio Catasos', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 3, 'Catasos (Belelle)', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 4, 'Catasos (Celemin)', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 5, 'Catasos (Donfrean)', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 6, 'Catasos (Pujallos)', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 7, 'Catasos (Quintela)', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 8, 'Dozon', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 9, 'Maceiras', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 10, 'Sanguiedo', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 11, 'Sisto (Pereiro)', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36518', 12, 'Vidueiros', 360160, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 1, 'Alfonselle (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 2, 'Ansean', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 3, 'Barcia', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 4, 'Botos', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 5, 'Cristimil', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 6, 'Donsion (Santa Eulalia de )', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 7, 'Feas (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 8, 'Gresande', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 9, 'Lagazos (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 10, 'Lebozan', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 11, 'Lodeiro', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 12, 'Outeiro (Lalin)', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 13, 'Sotolongo', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 14, 'Villatuje', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36519', 15, 'Zobra', 360242, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36520', 1, 'Agolada', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36520', 2, 'Ferreiroa', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36524', 1, 'Brantega', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36524', 2, 'Carmoega', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36524', 3, 'Santa Comba', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36525', 1, 'Bais', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36525', 2, 'Borrageiros', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36526', 1, 'Agra', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36526', 2, 'Brocos', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36526', 3, 'Sejo', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36526', 4, 'Sesto', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36526', 5, 'Val (Golada)', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36527', 1, 'Basadre', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36527', 2, 'Eidian', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36528', 1, 'Artoo', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36528', 2, 'Baia', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36528', 3, 'Berredo', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36528', 4, 'Merlin', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36528', 5, 'Orrea', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36529', 1, 'Gurgueiro', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36529', 2, 'Trabancas', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36529', 3, 'Ventosa', 360209, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36530', 0, 'Rodeiro', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36537', 1, 'Camba (Santa Eulalia)', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36537', 2, 'Fafian', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36538', 1, 'Az', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36538', 2, 'Guillar', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36538', 3, 'Negrelos', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36538', 4, 'Pescoso', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36539', 1, 'Camba (San Juan)', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36539', 2, 'Camba (San Salvador)', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36539', 3, 'Portela (Rodeiro)', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36539', 4, 'Salto', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36539', 5, 'Vilela', 360470, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36540', 0, 'Silleda (Casco Urbano)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36542', 0, 'Refoxos', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36543', 1, 'Capricho (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36543', 2, 'Costoya (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36543', 3, 'Mera (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36543', 4, 'Mourelos (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36543', 5, 'Ponte', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36543', 6, 'Taboada', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36543', 7, 'Trasfontao (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36543', 8, 'Villar (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36544', 1, 'Cartimil (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36544', 2, 'Coscaros (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36544', 3, 'Currelo (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36544', 4, 'Laro (San Salvador De)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36544', 5, 'Marco (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36544', 6, 'Parada (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36544', 7, 'Penadagra (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36545', 1, 'Cortegada', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36545', 2, 'Oleiros (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36546', 1, 'Ansemil', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36546', 2, 'Breija', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36546', 3, 'Carboeiro', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36546', 4, 'O Castro', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36546', 5, 'Martije', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36546', 6, 'Negreiros', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36546', 7, 'Saidres', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 4, 'Inmaculada', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 5, 'Los Lavaderos', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 7, 'Samoa', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 8, 'San Pedro (Tacoronte)', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 9, 'El Sauzal', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 10, 'Vecinal del Sauzal', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38360', 11, 'Sierva de Dios', 380414, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 1, 'Los Angeles', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 2, 'Autopista', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 3, 'Las Breas', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 4, 'Camino de Las Breas', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 5, 'Camino de San Jose (Sauzal)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 6, 'Camino Nuevo (El Sauzal)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 7, 'General (Sauzal)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 8, 'El Gurrial', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 9, 'Jubaniz', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 10, 'Los Naranjos', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 11, 'El Puertito', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38369', 12, 'San Nicolas', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38370', 1, 'Benavides', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38370', 2, 'Camino de Llimeras', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38370', 3, 'Camino de Perez Caceres', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38370', 4, 'Camino de San Jose (Matanza)', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38370', 5, 'La Matanza de Acentejo', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 1, 'Almendros', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 2, 'Andaga', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 3, 'Arrayon', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 4, 'Botello', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 5, 'El Caleton (Tacoronte)', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 6, 'Camino de Acentejo', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 7, 'Camino de Guia', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 8, 'Camino de la Vica', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 9, 'Camino del Cementerio', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 10, 'Camino Nuevo (Matanza)', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 11, 'Camino Real (Orotava)', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 12, 'Chamiana', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 13, 'Cruz del Camino Largo', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 14, 'Escobon', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 15, 'Fuente los Frailes', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 16, 'Fuentenueva', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 17, 'General del Norte (La Matanza)', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 18, 'Higueras de Borrallo', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 19, 'Jagre', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 20, 'Lomo Zarate', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 21, 'El Mocan', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 22, 'Montanchez', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 23, 'Piterillas', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 24, 'Puntillo del Sol', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 25, 'La Resbala (Tacoronte)', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 26, 'El Reventon (La Matanza)', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 27, 'La Romana', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 28, 'Romeral', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 29, 'San Antonio', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 30, 'San Cristobal', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 31, 'San Diego (Tacoronte)', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 32, 'Tabaiba', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 33, 'Tabares', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 34, 'Tinguaro', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 35, 'Toscas de Guia', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38379', 36, 'Toscas de San Antonio', 380257, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38380', 0, 'La Victoria de Acentejo', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 1, 'Acentejo', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 2, 'Los Almendros', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 3, 'Los Altos', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 4, 'Los Arroyos', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 5, 'La Asomada', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 6, 'Barquetas', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 7, 'Beatas', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 8, 'Camino Arrayanero', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 9, 'Camino de la Fuente (La Victor', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 10, 'Camino de San Antonio', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 11, 'Camino de San Juan', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 12, 'Carril', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 13, 'El Casco', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 14, 'Cercado', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 15, 'Chamizo', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 16, 'Chivana', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 17, 'Combate', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 18, 'La Costa (Orotava)', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 19, 'Floridero', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 20, 'Fuente del Tanque', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 21, 'Horno de la Teja', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 22, 'El Laurel (La Victoria)', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 23, 'Marrero', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 24, 'Las Nieves (Orotava)', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 25, 'La Pedrera (La Orotava)', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 26, 'Pedro Hernandez', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 27, 'Postigarga', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 28, 'La Resbala (La Orotava)', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 29, 'Sanabria', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 30, 'El Sol', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 31, 'Tagoro (La Orotava)', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 32, 'Ventura Perera', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38389', 33, 'Vieja', 380511, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38390', 1, 'Camino Cala', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38390', 2, 'Camino Tijarafe', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38390', 3, 'Quinta', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38390', 4, 'Santa Ursula', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38390', 5, 'Tosca de la Iglesia', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38390', 6, 'La Vera (Santa Ursula)', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38398', 1, 'Camino del Mar', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38398', 2, 'Cuesta de la Villa', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38398', 3, 'Farrobillo', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38398', 4, 'Lomo Roman', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38398', 5, 'Malpais (Santa Ursula)', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38398', 6, 'Panoramica', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38398', 7, 'Pastora', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38398', 8, 'Tosca de Anamaria', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38398', 9, 'Tosca de Barrio', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38398', 10, 'Vista Paraiso', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 1, 'Acequia', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 2, 'Barrio Tamaide', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 3, 'La Bastona', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 4, 'Calzada', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 5, 'Camino Cala (Santa Ursula)', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 6, 'Camino de la Corujera', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 7, 'Camino de los Guanches (Santa', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 8, 'Camino de Zarzales', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 9, 'Camino Zumacal', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 10, 'Cantillo', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 11, 'Casa Blanca', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 12, 'Fuentes Ravelo', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 13, 'El Jardin (Santa Ursula)', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 14, 'Lomo del Hilo', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 15, 'Pedro Afonso', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 16, 'San Patricio', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 17, 'Tamaide (La Orotava)', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38399', 18, 'Zacatin', 380393, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38400', 0, 'Puerto de la Cruz', 380282, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38410', 1, 'Realejo Alto', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38410', 2, 'Los Realejos', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38411', 1, 'Albornoz', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38411', 2, 'Gaanias (Los Realejos)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38411', 3, 'El Horno (Los Realejos)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38411', 4, 'El Lagar', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38411', 5, 'Mencey Aaterne', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39688', 6, 'La Ventona', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39688', 7, 'Vozpornoche', 390396, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39689', 1, 'Barcena de Toranzo', 390784, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39689', 2, 'San Martin de Toranzo', 390784, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39689', 3, 'Vejoris', 390784, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39690', 1, 'La Concha (Villaescu)', 390993, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39690', 2, 'Obregon', 390993, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39690', 3, 'Villanueva (Villaescusa)', 390993, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39691', 1, 'Iruz', 390784, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39691', 2, 'Pando (Soto Iruz)', 390784, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39691', 3, 'Penilla (Toranzo)', 390784, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39691', 4, 'Soto Iruz', 390784, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39692', 0, 'Liao', 390993, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39694', 1, 'Esles', 390746, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39694', 2, 'Lloreda', 390746, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39694', 3, 'Santa Maria de Cayon', 390746, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39694', 4, 'Totero', 390746, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39696', 1, 'Bustantegua', 390823, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39696', 2, 'Campillo', 390823, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39696', 3, 'Pisuea', 390823, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39696', 4, 'Selaya', 390823, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39696', 5, 'Valvanuz', 390823, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39697', 1, 'Corvera de Toranzo', 390263, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39697', 2, 'Prases', 390263, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39698', 1, 'Acereda', 390784, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39698', 2, 'Santiurde de Toranzo', 390784, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39698', 3, 'Villasevil', 390784, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39699', 1, 'Borlea', 390263, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39699', 2, 'Castillo Pedroso', 390263, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39699', 3, 'Esponzues', 390263, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39699', 4, 'Quintana (Toranzo)', 390263, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39699', 5, 'San Vicente de Toranzo', 390263, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39699', 6, 'Villegar', 390263, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39700', 0, 'Castro Urdiales', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39706', 1, 'Baltezana', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39706', 2, 'Lusa', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39706', 3, 'Onton', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39706', 4, 'Santullan', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39707', 1, 'Otaes', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39707', 2, 'Talledo', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39708', 0, 'Mioo', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39709', 1, 'El Moral', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39709', 2, 'Samano', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39710', 0, 'Solares', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39715', 1, 'Entrambasaguas', 390285, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39715', 2, 'Navajeda', 390285, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39716', 1, 'El Bosque', 390285, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39716', 2, 'Hornedo', 390285, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39716', 3, 'Hoznayo', 390285, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39716', 4, 'Santa Marina (Entrambasaguas)', 390285, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39717', 1, 'La Collada', 390844, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39717', 2, 'Riao (Solorzano)', 390844, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39718', 1, 'Anaz', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39718', 2, 'Bucarrero', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39718', 3, 'Casa del Monte', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39718', 4, 'El Condado', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39718', 5, 'La Herran', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39718', 6, 'Pamanes', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39718', 7, 'San Vitores (Medio Cudeyo)', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39718', 8, 'Sobremazas', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39718', 9, 'Somarriba', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39718', 10, 'Tarriba (Lierganes)', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39719', 1, 'Agero', 390400, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39719', 2, 'Orejo', 390400, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39719', 3, 'Puente Aguero', 390285, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39719', 4, 'Rubayo', 390400, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39719', 5, 'Setien', 390400, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 1, 'Arronte', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 2, 'Barrio de Arriba (Riotuerto)', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 3, 'El Caleron', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 4, 'Las Calzadillas', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 5, 'Camposdelante', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 6, 'La Cavada', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 7, 'La Cotera', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 8, 'Idiopuerta', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 9, 'La Lombana', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 10, 'Moncobe', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 11, 'Monte (Riotuerto)', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 12, 'Puente de los Arroyos', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 13, 'La Ramadilla', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 14, 'Revilla (Riotuerto)', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 15, 'Rucandio (Riotuerto)', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 16, 'Sierra Mediana', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39720', 17, 'Tejera', 390648, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39722', 1, 'La Costera', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39722', 2, 'Lierganes', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39722', 3, 'Los Pumares (Miera)', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39723', 1, 'La Carcoba', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39723', 2, 'Irias', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39723', 3, 'Solana (Miera)', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39724', 1, 'Ceceas', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39724', 2, 'Hermosa', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39724', 3, 'Valdecilla', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39725', 1, 'La Cantolla', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39725', 2, 'Mirones', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39725', 3, 'Mortesante', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39725', 4, 'La Vega (Miera)', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 1, 'Angustina (Lierganes)', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 2, 'Calgar', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 3, 'Estremera', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 4, 'Mercadillo', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 5, 'Las Porquerizas', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 6, 'Los Prados', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 7, 'La Quieva', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 8, 'La Raada', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 9, 'El Rellano', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 10, 'Rubalcaba', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 11, 'La Toba', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39727', 12, 'La Vega (Lierganes)', 390377, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39728', 1, 'Ajanedo', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39728', 2, 'Calseca', 390670, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39728', 3, 'La Concha', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39728', 4, 'Linto', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39728', 5, 'Morilla', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39728', 6, 'La Pedrosa', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39728', 7, 'San Roque de Rio Miera', 390456, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39728', 8, 'Valdicio', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39730', 1, 'Las Agueras', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39730', 2, 'Beranga', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39730', 3, 'Berezales', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39730', 4, 'Carite la Poza', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39730', 5, 'La Carrera', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39730', 6, 'Conforta', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39730', 7, 'Los Corrales (Hazas Cesto)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39730', 8, 'La Estacion (Beranga)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39730', 9, 'El Hoyo (Beranga)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39730', 10, 'El Meson (Beranga)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 1, 'La Cauta', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 2, 'La Centinela', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 3, 'Las Escuelas', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 4, 'Fresnedo (Solorzano)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 5, 'Garzon (Solorzano)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 6, 'Hazas de Cesto', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 7, 'La Iglesia (Hazas de Cesto)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 8, 'Las Lastras', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 9, 'El Perujo (Hazas de Cesto)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 10, 'Portillo (Solorzano)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 11, 'El Rao', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 12, 'Regolfo', 390844, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 13, 'El Rincon', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39738', 14, 'Solorzano', 390844, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39739', 1, 'La Iglesia (Praves)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39739', 2, 'El Pandillo', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36648', 5, 'Outeirio', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36648', 6, 'Senin', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36648', 7, 'Sixto', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36648', 8, 'Torre Campaa', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36648', 9, 'Xanza', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36649', 1, 'Devesa', 360448, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36649', 2, 'Pontecesures (Resto Parroquia)', 360448, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36649', 3, 'Redondo', 360448, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36650', 0, 'Caldas de Reis (Casco Urbano)', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36653', 0, 'Cesar (San Andres-Resto Parroq', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36654', 1, 'Cesar (San Andres-Aboy)', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36654', 2, 'Cesar (San Clemente)', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36655', 1, 'Arcos de Condesa', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36655', 2, 'Barreiros (Caldas de Reyes)', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36655', 3, 'Castaos (Caldas de Reyes)', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36655', 4, 'Catasos (Caldas de Reyes)', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36655', 5, 'Eirin (Caldas de Reyes)', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36655', 6, 'Pazo (Caldas de Reyes)', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36655', 7, 'Tivo (Caldas de Reyes)', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36656', 0, 'Sayar', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36657', 0, 'Lantao (San Pedro De)', 360405, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36658', 1, 'Briallos', 360405, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36658', 2, 'Portas', 360405, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36659', 1, 'Carracedo', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36659', 2, 'Vemil', 360059, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36660', 1, 'Moraa', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36660', 2, 'Santa Lucia', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36660', 3, 'Sayans (Resto Parroquia)', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36667', 0, 'Moraa (San Lourenzo)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36668', 1, 'Cosoirado', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36668', 2, 'Gargantans', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36668', 3, 'Laje (Moraa)', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36668', 4, 'Moraa (Santa Justa)', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36669', 1, 'Albergueria (Sayans)', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36669', 2, 'Amil', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36669', 3, 'Barosela (Sayayns)', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36669', 4, 'Rebon', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36669', 5, 'Sayans (Albergueria)', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36669', 6, 'Sayans (Barosela)', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36669', 7, 'Sayans (Sayans)', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36669', 8, 'Sayans (Soiglesia)', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36669', 9, 'Soiglesia (Sayans)', 360329, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36670', 0, 'Cuntis', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36675', 1, 'Cuntis (Fontecoba)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36675', 2, 'Cuntis (Meira)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36675', 3, 'Cuntis (Rogadio)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36675', 4, 'Cuntis (Trasponte)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36675', 5, 'Estacas (Cuntis - Torres)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36675', 6, 'Troans', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36676', 1, 'Vea (San Andres)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36676', 2, 'Vea (San Julian)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36677', 1, 'Arcos (Cuntis)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36677', 2, 'Couselo', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36677', 3, 'Pieiro (Resto Parroquia Cunti', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36677', 4, 'Portela (Cuntis)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36678', 1, 'Ciquiril', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36678', 2, 'Couso (Campolameiro)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36678', 3, 'Cuntis (Cardecid)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36678', 4, 'Cuntis (Ginzo)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36678', 5, 'Cuntis (Hermida)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36678', 6, 'Cuntis (Louria)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36678', 7, 'Cuntis (Paizosa)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36678', 8, 'Cuntis (Rebordelo)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36679', 1, 'Cuntis (Resto Parroquia)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36679', 2, 'Estacas (Cuntis) (Resto Parroq', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36679', 3, 'Pieiro (Gontad Cuntis)', 360157, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36680', 0, 'A Estrada', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36681', 1, 'Figueroa de Abajo (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36681', 2, 'Figueroa de Arriba (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36681', 3, 'Guimarey', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36681', 4, 'Ouzande', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36681', 5, 'Vilar (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36682', 1, 'Baloira', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36682', 2, 'Cora', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36682', 3, 'Couso (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36682', 4, 'Toedo', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36682', 5, 'Vea (Santa Cristina de )', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36683', 1, 'Barcala', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36683', 2, 'Frades (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36683', 4, 'Vea (San Jorge)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36684', 1, 'Arca', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36684', 2, 'Codeseda (Resto Parroquia)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36684', 3, 'Nigoy', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36684', 4, 'Parada (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36684', 5, 'Souto', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36684', 6, 'Tabeiros', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36685', 1, 'Agar', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36685', 2, 'Aguiones', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36685', 3, 'Barbud', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36685', 4, 'Oca', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36685', 5, 'Paradela (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36685', 6, 'Riobo (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36685', 7, 'Riveira', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36685', 8, 'Remesar', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36686', 1, 'Ancorados', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36686', 2, 'Curantes', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36686', 3, 'Lamas (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36686', 4, 'Olives', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36686', 5, 'Pardemarin', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36686', 6, 'Rubin', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36687', 1, 'Cereijo', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36687', 2, 'Lagartones (San Esteban)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36687', 3, 'Rivela', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36687', 4, 'Vinseiro', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36688', 1, 'Berres', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36688', 2, 'Callobre', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36688', 3, 'Moreira (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36689', 1, 'Matalobos (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36689', 2, 'Pedregal (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36689', 3, 'Regueiro (A Estrada)', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36689', 4, 'Santeles', 360176, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36690', 1, 'Arcade', 360530, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36690', 2, 'Canicouba', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36690', 3, 'Ponte Sampaio', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36691', 0, 'Soutomaior', 360530, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36692', 1, 'Curro', 360025, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36692', 2, 'Portela (Barro)', 360025, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36693', 1, 'Cesantes (San Pedro)', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36693', 2, 'Soutoxuste (Viso)', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36693', 3, 'Viso (Sotojusto)', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36700', 0, 'Tui', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36710', 0, 'Ribadelouro', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36711', 1, 'Areas (Tui)', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36711', 2, 'Pesegueiro (Resto Parroquia)', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36712', 1, 'Pazos de Reyes (Calzada)', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36712', 2, 'Pazos de Reyes (Oliva)', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36712', 3, 'Pazos de Reyes (Pallans)', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36712', 4, 'Pazos de Reyes (Rollo)', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36712', 5, 'Rebordanes', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36713', 0, 'Randufe', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36714', 1, 'Malvas', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36714', 2, 'Pesegueiro (Vilanova)', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36715', 0, 'Pazos de Reyes (Resto Parroqui', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36720', 0, 'Guillarey', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36729', 0, 'Paramos', 360558, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36547', 1, 'Barcia (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36547', 2, 'Barro (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36547', 3, 'Escuadro', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36547', 4, 'Outeiro (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36547', 5, 'Rellas', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36547', 6, 'Sestelo (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36547', 7, 'Siador (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36548', 1, 'Casas del Monte (Siador)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36548', 2, 'Casas do Monte (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36548', 3, 'Fojo (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36548', 4, 'Grava', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36548', 5, 'Margarid', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36548', 6, 'Outeiro (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36548', 7, 'Toiriz (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36548', 8, 'Toja (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36548', 9, 'Trasiglesia (Silleda)', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36549', 1, 'Dosiglesias', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36549', 2, 'Fiestras', 360524, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 1, 'La Caleta de Interian', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 2, 'Caleta de Silos', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 3, 'Casa Amarilla', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 4, 'Las Cruces (Garachico)', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 5, 'Espinosa (Caleta de Interian)', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 6, 'El Lomo (Caleta de Interian)', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 7, 'Palma-Daute', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 8, 'El Pozo (Garachico)', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 9, 'Riquel', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 10, 'La Sabina (Garachico)', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38460', 11, 'San Pedro de Daute', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38470', 0, 'Los Silos', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38479', 1, 'Barrio de San Jose Alto', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38479', 2, 'Barrio de San Jose Bajo', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38479', 3, 'Las Canteras de Silos', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38479', 4, 'La Costa (Los Silos)', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38479', 5, 'Las Manzanillas', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38479', 6, 'Parque Sibora', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38479', 7, 'Puertito de los Silos', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38480', 1, 'Buenavista del Norte', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38480', 2, 'El Rincon (Garachico)', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38489', 1, 'Los Cabildos', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38489', 2, 'Las Canteras (Garachico)', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38489', 3, 'Los Carrizales', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38489', 4, 'Lagunetas (Buenavista)', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38489', 5, 'Masca', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38489', 6, 'El Palmar', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38489', 7, 'Las Portelas', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38489', 8, 'Teno', 380103, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38500', 0, 'Guimar', 380201, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38508', 0, 'El Puertito de Guimar', 380201, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 1, 'Aroba', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 2, 'Brillasol', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 3, 'El Carreton', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 4, 'Catao', 380201, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 5, 'Chogo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 6, 'El Encajonado', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 7, 'El Falsete', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 8, 'La Hidalga', 380048, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 9, 'Lomo del Caballo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 10, 'Lomo Juan Diaz', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 11, 'Malpais (Guimar)', 380201, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 12, 'La Pedrera (Guimar)', 380201, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 13, 'Poligono Industrial Valle de G', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 14, 'La Punta (Guimar)', 380201, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 15, 'Puzol', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 16, 'La Reconda', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 17, 'Rempujones', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 18, 'El Socorro (Guimar)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 19, 'Supptil', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38509', 20, 'Vence', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38510', 1, 'Barranco Hondo', 380110, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38510', 2, 'Camino Pringado', 380110, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38520', 1, 'Las Caletillas', 380110, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38520', 2, 'Igueste de Candelaria', 380110, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38530', 0, 'Candelaria', 380110, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38540', 1, 'Araya', 380110, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38540', 2, 'Cuevecitas', 380110, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38540', 3, 'Malpais (Araya)', 380110, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38550', 0, 'Arafo', 380048, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38560', 1, 'La Medida', 380201, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38560', 2, 'Pajara', 380201, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38570', 1, 'Las Eras (Fasnia)', 380125, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38570', 2, 'Fasnia', 380125, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38579', 1, 'Sabina Alta', 380125, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38579', 2, 'La Sombrera (Guimar)', 380125, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38579', 3, 'La Zarza', 380125, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38580', 1, 'De Arico', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38580', 2, 'Villa de Arico', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38588', 1, 'Casablanca (Poris)', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38588', 2, 'Faro de Abona', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38588', 3, 'La Jaca', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38588', 4, 'Manteca', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38588', 5, 'Mogan', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38588', 6, 'Poris de Abona', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38588', 7, 'Punta de Abona', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38588', 8, 'San Juan (Granadilla)', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38588', 9, 'San Miguel de Tajao', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38588', 10, 'El Tagoro', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 1, 'Aguelillas', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 2, 'Arico el Nuevo', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 3, 'Arico el Viejo', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 4, 'El Bueno', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 5, 'La Cisnera', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 6, 'La Degollada (Arico)', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 7, 'Eritas', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 8, 'Gavilanes', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 9, 'Luis Delgado', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 10, 'Rodrigo', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 11, 'La Sabinita', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 12, 'Tajoz', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38589', 13, 'Teguedite', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38590', 0, 'Lomo de Mena', 380201, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38591', 0, 'El Escobonal', 380201, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38592', 1, 'Las Eras (Arico)', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38592', 2, 'Icor', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38593', 0, 'El Rio de Arico', 380051, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 1, 'El Barco', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 2, 'Barrio Las Arenas (Arico)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 3, 'La Caleta (Granadilla)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 4, 'Casas de Juan Alonso', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 5, 'Casas de Manuel Diaz', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 6, 'Chimiche', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 7, 'Chimiche Alto', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 8, 'El Fondo (Arico)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 9, 'Fuente Nueva', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 10, 'El Llano (Arico)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 11, 'Lomo Estanque', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 12, 'Lomo Grande (Granadilla)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 13, 'Lomo Pablo', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 14, 'Las Rosas (Guimar)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 15, 'Los Sitios', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 16, 'El Vallito', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38594', 17, 'Las Vegas (Granadilla)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38595', 1, 'Las Chafiras (Arico)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38595', 2, 'Charco del Pino', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38595', 3, 'Chiama', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38595', 4, 'Los Dolores', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38595', 5, 'El Guanche', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38595', 6, 'Los Moros', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38411', 6, 'El Mocan (Los Realejos)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38411', 7, 'La Piera', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38411', 8, 'Secadero', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38411', 9, 'Trinidad', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38412', 0, 'Realejo Bajo', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 1, 'Brezal', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 2, 'Camino Atravesado', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 3, 'Cartaya', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 4, 'Casa Higa', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 5, 'Cruz Santa', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 6, 'La Ferruja (Los Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 7, 'Hoya Farrais', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 8, 'Piera', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 9, 'Las Rosas (Los Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 10, 'Tanqueras', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 11, 'Tierra del Oro', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38413', 12, 'Tres Pinos (Cruz Santa)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 1, 'El Anden', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 2, 'Azadilla Alta', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 3, 'Los Chabocos', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 4, 'La Corona', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 5, 'El Dornajo', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 6, 'La Gallinera', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 7, 'Icod el Alto', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 8, 'Lomo Juan de la Guardia', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 9, 'Lomo Marquez', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 10, 'La Lora', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 11, 'Madre Juana', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 12, 'Masape', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 13, 'La Pared', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 14, 'El Riego (Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 15, 'La Sombrera (Los Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 16, 'Tanque Arriba (Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38414', 17, 'Tierra Matias', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38415', 1, 'Angosto', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38415', 2, 'Llanadas', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38415', 3, 'Lomo Incienso (Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38415', 4, 'Palo Blanco', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38415', 5, 'La Romera', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38415', 6, 'El Viatico', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 1, 'Aserradero', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 2, 'Azadilla Baja', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 3, 'Barranco Godinez', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 4, 'Barranco Ruiz', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 5, 'Barriada de Barroso', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 6, 'Camino Nuevo de los Realejos', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 7, 'El Cuchillo', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 8, 'Lomito Vaso', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 9, 'Los Principes', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 10, 'El Quinto', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 11, 'San Pedro (Los Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 12, 'San Vicente', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 13, 'Siete Fuentes', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 14, 'El Socorro (Los Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 15, 'El Terrero', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 16, 'Tigaiga', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 17, 'La Torre (Los Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38416', 18, 'Las Vueltas', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38417', 1, 'Acapulco', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38417', 2, 'Los Bancales', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38417', 3, 'El Burgado', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38417', 4, 'La Gorborana', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38417', 5, 'La Pintora', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38417', 6, 'Los Potreros', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38417', 7, 'El Toscal', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38417', 8, 'Valparaiso', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38418', 1, 'El Castillo (Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38418', 2, 'Gordejuela', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38418', 3, 'Llanos de Mendez', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38418', 4, 'Longuera', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38418', 5, 'El Patronato', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38418', 6, 'Los Piris', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38418', 7, 'Romantica I', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38418', 8, 'Romantica II', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 1, 'Los Afligidos', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 2, 'Barros (Los Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 3, 'La Carrera', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 4, 'Ciudad Jardin (Los Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 5, 'Las Gaanias', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 6, 'Grimona', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 7, 'El Jardin (Los Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 8, 'La Montaeta (Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 9, 'La Palmita (Los Realejos)', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 10, 'San Benito', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 11, 'Zamora Alta', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38419', 12, 'Zamora Baja', 380316, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38420', 0, 'San Juan de la Rambla', 380342, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38428', 1, 'Casas de la Hacienda', 380342, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38428', 2, 'La Portalina', 380342, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38428', 3, 'Los Quevedos', 380342, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38428', 4, 'Rosas', 380342, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38428', 5, 'San Jose', 380342, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38429', 1, 'Las Aguas', 380342, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38429', 2, 'Casas de la Pea', 380342, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38429', 3, 'Santa Catalina (Los Realejos)', 380342, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38430', 1, 'Icod', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38430', 2, 'De San Marcos', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 1, 'Belmonte Bajo', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 2, 'Camino de la Ladera', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 3, 'Casa Blanca', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 4, 'Las Caeritas', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 5, 'La Cucaracha', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 6, 'Era (Realejos)', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 7, 'La Florida (Icod)', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 8, 'Hoya Anadiaz', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 9, 'Llanito Perera', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 10, 'Lomo Blanco (Icod V.)', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 11, 'Lomo Eres', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 12, 'Peniche', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 13, 'Sanguial', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38434', 14, 'Santa Barbara', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 1, 'Casa Forestal (Icod)', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 2, 'Casas de Arriba', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 3, 'Las Castras', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 4, 'Cornisano', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 5, 'De Doniz', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 6, 'Erjos', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 7, 'Partidos de Arriba', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 8, 'Los Poyos', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 9, 'Ramal de Tamaseti', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 10, 'Rosa Vieja', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 11, 'Ruigomez', 380440, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 12, 'San Jose de los Llanos', 380440, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 13, 'Tanque (Icod de los Vinos)', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 14, 'Tanque Abajo', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 15, 'Tanque Arriba (Icod)', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 16, 'Tierra del Trigo', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 17, 'Villanueva', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38435', 18, 'Volcan', 380429, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38436', 0, 'Santiago del Teide', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 1, 'Almendral', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 2, 'Buen Paso', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 3, 'Chipude (Icod)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 4, 'La Costa (Icod)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 5, 'El Cuarto', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 6, 'Don Garcia', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 7, 'Hoya Garces', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 8, 'Hoya Grande de Abajo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 11, 'La Mancha', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39739', 3, 'Praves', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39739', 4, 'La Sierra (Praves)', 390319, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39740', 0, 'Santoa', 390797, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39749', 0, 'Dueso', 390797, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39750', 0, 'Colindres', 390232, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39760', 1, 'Coz de Monte', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39760', 2, 'La Estacion (Treto)', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39760', 3, 'La Maza', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39760', 4, 'La Pea', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39760', 5, 'Primosto', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39760', 6, 'La Sierra (Treto)', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39760', 7, 'Treto', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39761', 1, 'Adal', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39761', 2, 'Nates', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39761', 3, 'Vidular', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39762', 1, 'Carasa', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39762', 2, 'Padierniga', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39764', 1, 'Badames', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39764', 2, 'Llanez', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39764', 3, 'Rada', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39764', 4, 'San Mames de Aras', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39764', 5, 'Secadura', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39766', 1, 'Bueras', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39766', 2, 'Llueva', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39766', 3, 'San Bartolome de los Montes', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39766', 4, 'San Miguel de Aras', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39766', 5, 'San Pantaleon de Aras', 391029, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39770', 0, 'Laredo', 390358, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 1, 'Hazas (Liendo)', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 2, 'Iseca Nueva', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 3, 'Iseca Vieja', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 4, 'Isequilla', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 5, 'Liendo', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 6, 'Llatazos', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 7, 'Mendina', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 8, 'Mollaneda', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 9, 'Noval Liendo', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 10, 'La Portilla', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 11, 'Rocillo (Liendo)', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 12, 'Sopea (Liendo)', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 13, 'Villanueva (Liendo)', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39776', 14, 'Villaviad', 390361, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39777', 1, 'La Arenosa', 390358, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39777', 2, 'Las Carcobas', 390358, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39777', 3, 'Tarrueza', 390358, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39778', 0, 'Sea', 390383, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39779', 1, 'El Callejo', 390358, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39779', 2, 'Las Casillas', 390358, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39779', 3, 'La Pesquera (Laredo)', 390358, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39779', 4, 'Villante', 390358, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39780', 1, 'Nocina', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39780', 2, 'Orion', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39780', 3, 'El Pontarron', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39780', 4, 'Sonabia', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39780', 5, 'Torquiendo', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39787', 1, 'Balbacienta', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39787', 2, 'Francos', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39787', 3, 'Lendagua', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39787', 4, 'Lugarejos', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39787', 5, 'La Magdalena', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39787', 6, 'Pomar', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39787', 7, 'Ranero', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39787', 8, 'Rioseco de Guriezo', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39787', 9, 'Santa Cruz (Guriezo)', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39787', 10, 'Tresagua', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39788', 1, 'Adino', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39788', 2, 'Angostina', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39788', 3, 'Carazon', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39788', 4, 'La Corra', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39788', 5, 'Landeral', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39788', 6, 'El Llano (Guriezo)', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39788', 7, 'El Puente (Guriezo)', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39788', 8, 'Revilla (Guriezo)', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39788', 9, 'Trebuesto', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 1, 'El Bao', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 2, 'Barcena de Cicero', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 3, 'Carnerizas', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 4, 'Cicero', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 5, 'Cornocio (Cicero)', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 6, 'La Ermita', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 7, 'La Fragua', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 8, 'Gama', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 9, 'Mazuecas', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 10, 'Paderne', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 11, 'Pomares', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 12, 'Rivaplumo', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 13, 'Rueda', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 14, 'San Pelayo (Cicero)', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39790', 15, 'La Via', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 1, 'Ambrosero', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 2, 'La Bodega', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 3, 'Casuso', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 4, 'El Cristo', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 5, 'La Cuesta (Cicero)', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 6, 'La Escallada', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 7, 'Estian', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 8, 'La Iglesia (Ambrosero)', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 9, 'La Iglesia (Cicero)', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 10, 'Madama', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 11, 'La Madrid', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 12, 'El Manzanar', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 13, 'Moncalian', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 14, 'Palacio (Cicero)', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 15, 'Pendon', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 16, 'El Pico', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 17, 'Riolastras', 390844, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 18, 'San Andres (Ambrosero)', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 19, 'La Tejera', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39791', 20, 'Tuebre', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39792', 1, 'Gajano', 390400, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39792', 2, 'Heras', 390422, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39793', 1, 'Cubas', 390627, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39793', 2, 'Liermo', 390627, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39793', 3, 'Omoo', 390627, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39793', 4, 'Las Pilas', 390627, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39793', 5, 'Pontones', 390627, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39793', 6, 'Villaverde de Pontones', 390627, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39794', 1, 'Anero', 390627, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39794', 2, 'Hoz de Anero', 390627, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39795', 1, 'Baranda', 390298, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39795', 2, 'Cornocio (Escalante)', 390298, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39795', 3, 'Escalante', 390298, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39795', 4, 'Montehano', 390298, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39795', 5, 'Noval (Escalante)', 390298, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39796', 0, 'Sollagua', 390092, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39798', 1, 'Allendelagua', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39798', 2, 'Cerdigo', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39798', 3, 'Islares', 390204, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39800', 1, 'La Estacion (Ramales)', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39800', 2, 'Ramales de la Victoria', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39800', 3, 'Salto del Oso', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39800', 4, 'Veares', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39805', 1, 'La Calera (Vizcaya)', 999999, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39805', 2, 'Herada de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39805', 3, 'La Pared', 999999, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39805', 4, 'El Prado', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 1, 'Aja', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 2, 'Ason', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 3, 'Astrana', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 4, 'Bustancilles', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 5, 'Caedo', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 6, 'Fresnedo de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 7, 'La Gandara (Soba)', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 8, 'Hazas de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 9, 'Lavin', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 10, 'Pilas', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 11, 'Quintana (Soba)', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36730', 1, 'Carregal de Abajo (Amorin)', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36730', 2, 'Carregal de Arriba (Amorin)', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36730', 3, 'Estas', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36730', 4, 'Forcadela', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36739', 1, 'Pieiro (Tomio)', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36739', 2, 'Taborda', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36740', 0, 'Tomio', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36746', 0, 'Tebra (Santa Maria)', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36747', 0, 'Vilamean', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36748', 0, 'Tebra (San Salvador)', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36749', 1, 'Barrantes (Tomio)', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36749', 2, 'Pinzas', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36750', 0, 'Goyan', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36760', 1, 'Eiras', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36760', 2, 'Tabagon', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 1, 'Calvario (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 2, 'Casal (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 3, 'Caselas (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 4, 'Couselo (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 5, 'Couso (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 6, 'Cumieira de Abajo (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 7, 'Cumieira de Arriba (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 8, 'Cunchada (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 9, 'Lagos (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 10, 'Lomba (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 11, 'O Rosal (Calvario)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 12, 'O Rosal (Casal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 13, 'O Rosal (Caselas)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 14, 'O Rosal (Couselo)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 15, 'O Rosal (Couso)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 16, 'O Rosal (Cumieira de Abaixo)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 17, 'O Rosal (Cumieira de Arriba)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 18, 'O Rosal (Cunchada)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 19, 'O Rosal (Lagos)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 20, 'O Rosal (Lomba)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 21, 'O Rosal (Urgal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 22, 'O Rosal (Valdemiotos)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 23, 'Urgal (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36770', 24, 'Valdemiotos (O Rosal)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36778', 0, 'O Rosal (Resto Parroquia)', 360486, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36779', 1, 'Burgueira', 360366, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36779', 2, 'Loureza', 360366, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36780', 0, 'A Guarda', 360237, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36788', 0, 'Camposancos (A Guarda)', 360237, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36789', 0, 'Salcidos', 360237, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36790', 0, 'Sobrada', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36791', 1, 'Amorin', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36791', 2, 'Baceiro (Amorin)', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36791', 3, 'Curras', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36791', 4, 'Outeiro (Amorin)', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36791', 5, 'Rotea (Amorin)', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36792', 0, 'Figueiro', 360545, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36794', 0, 'Oia (Santa Maria de )', 360366, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36800', 0, 'Redondela', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36810', 0, 'O Viso (Santa Maria))', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36811', 0, 'Trasmao', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36812', 1, 'Cedeira (Santo Andre)', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36812', 2, 'Rande', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36813', 0, 'Cabeiro (San Xoan)', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36814', 0, 'Negros', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36815', 0, 'Villar de Infesta', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36816', 0, 'Sajamonde', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36817', 1, 'Cepeda', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36817', 2, 'Nespereira', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36817', 3, 'Quintela (San Mamede)', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36818', 1, 'Cedeira (Resto Parroquia)', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36818', 2, 'Reboreda (Santa Maria)', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36818', 3, 'Ventosela (San Martio)', 360451, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36820', 0, 'Ponte-Caldelas', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36826', 1, 'Barbudo', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36826', 2, 'Insua (Ponte Caldelas)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36827', 1, 'Justanes', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36827', 2, 'Miron (Touron)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36827', 3, 'Reigosa (Touron)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36827', 4, 'Taboadelo', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36827', 5, 'Vilarchan (Touron)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36828', 1, 'Buchabad (Touron)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36828', 2, 'Ponte Caldelas (Resto Parroqui', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36828', 3, 'Touron (Touron)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36829', 1, 'Anceu', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36829', 2, 'Caldelas (Puentecaldelas)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36829', 3, 'Caritel', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36829', 4, 'Gradin (Puentecaldelas)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36829', 5, 'Pazos (Puentecaldelas)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36829', 6, 'Ponte Caldelas (Caldelas)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36829', 7, 'Ponte Caldelas (Gradin)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36829', 8, 'Ponte Caldelas (Pazos)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36830', 1, 'A Lama', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36830', 2, 'Pedreira', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36835', 0, 'Seijido', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36836', 0, 'Giesta', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36837', 0, 'Barcia de Seijo (Resto Parroqu', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36838', 0, 'Escuadra', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36839', 1, 'Cambeses (Barcia de Seijo)', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36839', 2, 'Covelo (San Sebastian)', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36839', 3, 'Gabian (Barcia de Seijo)', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36840', 0, 'Amoedo', 360372, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36841', 1, 'Hermida (Pazos de Borben)', 360372, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36841', 2, 'Pazos de Borben', 360372, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36842', 0, 'Borben', 360372, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36843', 0, 'Moscoso', 360372, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36844', 0, 'Junqueiras', 360372, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36845', 0, 'Calvos', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36846', 0, 'Oitaven', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36847', 0, 'Fornelos de Montes', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36848', 0, 'Ventin', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36849', 0, 'Traspielas (Resto Parroquia)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36850', 0, 'Berducido (La Lama) (Resto de', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36851', 0, 'Estacas (Fornelos de Montes)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36852', 0, 'Laje (Fornelos de Montes)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36853', 1, 'Antas', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36853', 2, 'Berducido (La Lama-Cortegada)', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36853', 3, 'Forzanes', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36853', 4, 'Gajate', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36853', 5, 'Gende', 360255, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36854', 1, 'Aguasantas', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36854', 2, 'Valongo', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36855', 0, 'Loureiro', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36856', 1, 'Carballedo', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36856', 2, 'Caroy', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36856', 3, 'Corredoira', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36857', 0, 'Rebordelo (Resto Parroquia)', 360433, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36858', 1, 'Almofrey (Gesteira)', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36858', 2, 'Borela', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36858', 3, 'Rebordelo (Facho)', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36858', 4, 'Rebordelo (Lagoas)', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36858', 5, 'Rebordelo (Pozo Negro)', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36859', 0, 'Almofrey (Resto Parroquia)', 360123, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36860', 0, 'Ponteareas', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36861', 1, 'Areas (Ponteareas)', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36861', 2, 'Gulanes', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36862', 1, 'Lira', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36862', 2, 'San Mateo de Oliveira', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36863', 1, 'Cristiade', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36863', 2, 'Moreira (Ponteareas)', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38595', 7, 'Pinolata', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38595', 8, 'Los Salones', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38595', 9, 'Toledo', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38600', 0, 'Granadilla', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38610', 0, 'Aeropuerto Reina Sofia (Santa', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38611', 0, 'San Isidro de Abona', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38612', 0, 'El Medano', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38613', 0, 'Vilaflor', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38614', 1, 'La Escalona', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38614', 2, 'Hoyo', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38615', 1, 'Bueyero', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38615', 2, 'Honduras', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38615', 3, 'Ifonche', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38615', 4, 'Trevejos', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 1, 'Los Barrancos', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 2, 'Barriada Nueva (Granadilla)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 3, 'Los Blanquitos', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 4, 'Chavez', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 5, 'Las Chozas', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 6, 'Cruz de Las Animas', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 7, 'Cruz de San Antonio', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 8, 'Cruz de Tea (Granadilla)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 9, 'Cueva Gacha', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 10, 'El Desierto', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 11, 'La Higuera (Granadilla)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 12, 'El Pinito (Granadilla)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 13, 'Los Quemados (Granadilla)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38616', 14, 'Vicacaro', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 1, 'Atogo', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 2, 'Barriada Nueva de Bonny', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 3, 'La Capellania (Glla.)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 4, 'Casablanca (Granadilla)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 5, 'Castro Nuevo', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 6, 'Castro Viejo', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 7, 'Chuchurumbache', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 8, 'Cigea', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 9, 'El Draguito', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 10, 'Los Llanos (Granadilla)', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 11, 'La Margarita', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 12, 'Las Montaitas', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 13, 'Morronuevo', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 14, 'Nueva', 380260, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 15, 'Las Palomas', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 16, 'El Salto', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 17, 'Velazquez', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 18, 'Vista Gorda', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38617', 19, 'Yaco', 380178, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38620', 0, 'San Miguel de Abona', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 1, 'Barranco Oscuro', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 2, 'Buzanada', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 3, 'Cabo Blanco', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 4, 'Casas de Abajo', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 5, 'La Cerca (San Miguel)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 6, 'La Ermita', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 7, 'La Galga (San Miguel)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 8, 'Llano Mora', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 9, 'El Llano (San Miguel)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 10, 'Machin', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 11, 'Quemada', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 12, 'Los Rodriguez', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 13, 'Los Toscales', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 14, 'La Trujilla', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38626', 15, 'Valle de San Lorenzo', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 1, 'Almacigo', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 2, 'La Arenita', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 3, 'Los Bebederos', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 4, 'Bea', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 5, 'Brea', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 6, 'El Cabo (San Miguel)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 7, 'La Camella', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 8, 'Caada Blanca', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 9, 'Caada Verde', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 10, 'Chayofa', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 11, 'Chipude (San Miguel)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 12, 'Cho', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 13, 'Cruz de Guanche', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 14, 'La Era (Granadilla)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 15, 'La Estrella', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 16, 'Faro Rasca', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 17, 'La Florida', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 18, 'La Fuente (San Miguel)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 19, 'Guaza', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 20, 'Llano Azul', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 21, 'El Mojon', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 22, 'El Morro (San Miguel-Faro de R', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 24, 'Palmar', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 25, 'Los Parlamentos', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 26, 'Las Rosas (San Miguel-Faro de', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 27, 'Salonito', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 28, 'Tinguafaya', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 29, 'El Torito', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38627', 30, 'La Tosca (San Miguel)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 1, 'Aldea Blanca', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 2, 'Asomada Baja', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 3, 'Cruz de la Ballena', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 4, 'Los Gamonales', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 5, 'Garaana (Rajeta)', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 6, 'La Montaita', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 7, 'San Roman', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 8, 'Tamaide (San Miguel)', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 9, 'Toscas (San Miguel)', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 10, 'Via Vieja', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38628', 11, 'Las Zocas', 380355, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 1, 'Asomada Alta', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 2, 'El Chorro', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 3, 'La Degollada (San Miguel)', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 4, 'El Fronton', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 5, 'La Hoya (San Miguel)', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 6, 'Jama', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 7, 'Mandible', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 8, 'El Morro (San Miguel-El Fronto', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 9, 'Ochoa', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 10, 'Pedro Gil', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 11, 'El Portillo', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 12, 'El Rincon (San Miguel)', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 13, 'El Roque (San Miguel)', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 14, 'La Sabina (San Miguel)', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 15, 'Tagoro (San Miguel)', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38629', 16, 'El Tapao', 380526, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38630', 1, 'El Chaparral', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38630', 2, 'Costa del Silencio', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38631', 1, 'Las Galletas', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38631', 2, 'Ten-Bel', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 1, 'Los Abrigos', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 2, 'Archile', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 3, 'Las Chafiras (San Miguel)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 4, 'De Don Virgilio', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 5, 'Los Erales', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 6, 'Los Fondos', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 7, 'Fraile Nuevo', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 8, 'Fraile Viejo', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 9, 'Guargacho', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 10, 'El Guincho (San Miguel)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 11, 'El Monte', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 12, 'Puerto Abrigos', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 13, 'Punta el Lomo', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 14, 'Las Rosas (Las Galletas)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38639', 15, 'Villa Isabel', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 9, 'Hoya Grande de Arriba', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 10, 'Las Longueras', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 12, 'El Puente (Icod)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 13, 'La Punta (Icod)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 14, 'Las Puntas (Icod)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 15, 'Las Rositas', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 16, 'Santo Domingo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 17, 'Tazana', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 18, 'Tierra Costa', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38437', 19, 'La Vizcondesa', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 1, 'El Amparo', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 2, 'Boquin', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 3, 'Cueva del Viento', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 4, 'Las Lajas (Icod V.)', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 5, 'Montal', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 6, 'Montero', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 7, 'La Patita', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 8, 'Pedregal', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 9, 'Redrido', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 10, 'Reventon (Icod)', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 11, 'San Valentin', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38438', 12, 'El Sobral', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 1, 'Canales', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 2, 'Los Canales', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 3, 'La Canalita', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 4, 'Las Caas', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 5, 'Fuente la Vega', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 6, 'Matatoro', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 7, 'Mirabal', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 8, 'Los Pajares', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 9, 'El Pino', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 10, 'La Vega Alta', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38439', 11, 'La Vega', 380223, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38440', 1, 'Cruz del Brezo', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38440', 2, 'El Farrobo', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38440', 3, 'La Fuente (La Guancha)', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38440', 4, 'La Guancha', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38440', 5, 'Lomo Blanco (La Guancha)', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38440', 6, 'Monte Frio', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38440', 7, 'Natero', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38440', 8, 'La Pedrera (Icod)', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38440', 9, 'El Tejal', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38449', 1, 'Caada', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38449', 2, 'Caada (Icod Vinos)', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38449', 3, 'Las Comenitas', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38449', 4, 'Guancha de Abajo', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38449', 5, 'Hoya Pablos', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38449', 6, 'Llano Mendez', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38449', 7, 'Lomo Campana', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38449', 8, 'La Patrona', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38449', 9, 'El Pinalete', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38449', 10, 'La Sorriba', 380184, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38450', 0, 'Garachico', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38458', 1, 'La Coronela', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38458', 2, 'El Guincho (Garachico)', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38459', 1, 'Genoves', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38459', 2, 'Lomo Leon', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38459', 3, 'La Montaeta (Garachico)', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38459', 4, 'San Juan del Reparo', 380159, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 9, 'Laiseca (V. de Trucios)', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 10, 'Llaguno', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 11, 'La Matanza (Villaverde de Truc', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 12, 'Mollinedo', 391014, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 13, 'Palacio (Villaverde de Trucios', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 14, 'Villanueva (Villaverde Trucios', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 15, 'Villaverde de Trucios', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39890', 0, 'Angustina (Limpias)', 999999, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40001', 0, 'Segovia', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40002', 0, 'Segovia', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40003', 0, 'Segovia', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40004', 0, 'Segovia', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40005', 0, 'Segovia', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40006', 0, 'Segovia', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40070', 0, 'Segovia', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40071', 0, 'Segovia', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40080', 0, 'Segovia', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40100', 0, 'San Ildefonso o la Granja', 401811, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40109', 0, 'Valsain', 401811, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40120', 0, 'Garcillan', 400946, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40121', 0, 'Anaya', 400175, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40122', 1, 'Pascuales', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40122', 2, 'Pinilla Ambroz', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40122', 3, 'Tabladillo', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40123', 1, 'Aragoneses', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40123', 2, 'Paradinas', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40130', 1, 'Juarros de Riomoros', 401193, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40130', 2, 'Marazoleja', 401193, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40130', 3, 'Martin Miguel', 401193, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40132', 0, 'Redonda el Nuevo', 409031, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40133', 0, 'Marazuela', 401180, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40134', 1, 'Etreros', 401804, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40134', 2, 'Sangarcia', 401804, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40135', 1, 'Jemenuo', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40135', 2, 'San Salvador de Abajo', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40135', 3, 'San Salvador de Arriba', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40135', 4, 'Santovenia', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40136', 1, 'Hoyuelos', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40136', 2, 'Laguna Rodrigo', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40136', 3, 'Ochando', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40140', 0, 'Valverde del Majano', 402167, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40141', 0, 'Abades', 400019, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40142', 1, 'Caserio de Allas', 401116, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40142', 2, 'Lastras del Pozo', 401116, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40142', 3, 'Marugan', 401229, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40142', 4, 'Monterrubio', 401312, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40142', 5, 'Redonda el Viejo', 401116, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40143', 0, 'Parraces', 999999, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40144', 1, 'Bercial', 400289, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40144', 2, 'Cobos de Segovia', 401804, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40145', 1, 'De Acedos', 401351, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40145', 2, 'Muopedro', 401351, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40146', 0, 'Labajos', 401076, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40150', 0, 'Villacastin', 402252, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40151', 0, 'Ituero y Lama', 401044, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40152', 0, 'Zarzuela del Monte', 402332, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40153', 1, 'Aldeallana', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40153', 2, 'Campillo', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40153', 3, 'Cijas', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40153', 4, 'Colina', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40153', 5, 'Fuentemilanos', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40153', 6, 'Lagunilla', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40153', 7, 'Matamanzano', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40153', 8, 'Tajua', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40154', 1, 'Abadejos', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40154', 2, 'Madrona', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40154', 3, 'Paredones', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40154', 4, 'Perogordo', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40154', 5, 'Puerta de Madrona', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40154', 6, 'Torredondo', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40154', 7, 'Torremondo', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40160', 1, 'Aldehuela (Torrecaballeros)', 402038, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40160', 2, 'Cabanillas del Monte', 402038, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40160', 3, 'Caserio de la Torre', 402038, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40160', 4, 'Torrecaballeros', 402038, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40161', 0, 'Navafria', 401399, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40162', 1, 'Aldealengua de Pedraza', 400077, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40162', 2, 'Ceguilla', 400077, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40162', 3, 'Cotanillo', 400077, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40162', 4, 'Galindez', 400077, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40162', 5, 'Gallegos', 400931, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40162', 6, 'Martincano', 400077, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40163', 1, 'Caicosa', 401235, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40182', 2, 'Pavia', 400349, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 12, 'Revilla de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 13, 'San Juan de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 14, 'San Martin de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 15, 'Valcaba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 16, 'Villar de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39806', 17, 'Villaverde de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39807', 0, 'Regules', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39808', 1, 'Incedo de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39808', 2, 'Rehoyos', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39808', 3, 'Rozas de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39808', 4, 'San Pedro (Soba)', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39808', 5, 'Sangas', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39808', 6, 'Santayana de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39808', 7, 'Veguilla de Soba', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39809', 1, 'Entrepuentes', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39809', 2, 'Gibaja', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39809', 3, 'Guardamino', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39809', 4, 'Helguero', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39809', 5, 'El Mazo (Ramales)', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39809', 6, 'Pondra', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39809', 7, 'Riancho', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39809', 8, 'Los Valles', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39812', 1, 'Matienzo', 390670, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39812', 2, 'Mentera Barruelo', 390670, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39812', 3, 'Ogarrio', 390670, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39812', 4, 'Sierra Alcomba', 390670, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 1, 'Alisas (Ramales)', 390073, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 2, 'Arredondo', 390073, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 3, 'Ason', 390839, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 4, 'El Avellanal', 390073, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 5, 'Bustablado (Arredondo)', 390073, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 6, 'La Iglesia (Arredondo)', 390073, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 7, 'Rocias', 390073, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 8, 'La Roza (Arredondo)', 390073, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 9, 'Socueva', 390073, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 10, 'Tabladillo', 390073, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39813', 11, 'Val de Ason', 390073, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39815', 1, 'Barcena (Ramales)', 999999, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39815', 2, 'Riva de Ruesga', 390572, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39815', 3, 'Valle de Ruesga', 390670, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39820', 1, 'Collado (Limpias)', 390383, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39820', 2, 'Dehesa', 390383, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39820', 3, 'Espina', 390383, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39820', 4, 'Limpias', 390383, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39820', 5, 'Rio (Limpias)', 390383, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39820', 6, 'Rivero (Limpias)', 390383, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39820', 7, 'Rucoba', 390383, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39840', 0, 'Ampuero', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 1, 'Ahedo (Ampuero)', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 2, 'Alisas (Ampuero)', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 3, 'La Aparecida', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 4, 'La Barcena', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 5, 'Bernales', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 6, 'El Camino', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 7, 'Cerbiago', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 8, 'Coterillo (Ampuero)', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 9, 'Las Entradas', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 10, 'Las Garmillas', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 11, 'Hoz de Marron', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 12, 'Marron', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 13, 'El Perujo (Ampuero)', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 14, 'Pieragullano', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 15, 'Rascon', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 16, 'Regada', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 17, 'Rocillo (Ampuero)', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 18, 'Santisteban', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 19, 'Santuario Bien Aparecida', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 20, 'Solamaza', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39849', 21, 'Tabernilla', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39850', 1, 'Bulco', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39850', 2, 'Udalla', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39850', 3, 'Vear de Udalla', 390020, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 1, 'Casavieja (Rasines)', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 2, 'Cereceda', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 3, 'El Cerro', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 4, 'La Edilla', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 5, 'Fresno', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 6, 'Helguera (Rasines)', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 7, 'Lombera', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 8, 'Ojebar', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 9, 'Rasines', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 10, 'Rocillo (Rasines)', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 11, 'Santa Cruz (Rasines)', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 12, 'Torcollano', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 13, 'La Vega (Rasines)', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39860', 14, 'Villaparte', 390588, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 1, 'Aguera', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 2, 'Agera de Trucios', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 3, 'La Altura', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 4, 'Cabaa de la Sierra', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 5, 'El Campo', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 6, 'La Capitana', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 7, 'Los Hoyos', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39880', 8, 'La Iglesia (Villaverde Trucios', 390302, 39, 
    0, 6, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46317', 1, 'Los Huertos', 462592, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46317', 2, 'Villargordo del Cabriel', 462592, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46318', 0, 'Pantano de Contreras', 462592, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46320', 1, 'Los Lobos', 462325, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46320', 2, 'Sinarcas', 462325, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46321', 0, 'Aldea de la Torre', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46330', 0, 'Camporrobles', 460804, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46339', 0, 'La Loberuela', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46340', 1, 'Requena', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46340', 2, 'Salto de Cofrentes', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46350', 0, 'Chera', 461081, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46351', 1, 'Calvestra', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46351', 2, 'La Caada (Requena)', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46351', 3, 'Mas de Caballeros', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46351', 4, 'Mas de Cholla', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46351', 5, 'Mas de Sancho', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46351', 6, 'Las Nogueras', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46351', 7, 'Villar de Olmos', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46351', 8, 'Villar de Tejas', 461069, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46352', 1, 'Campo Arcis', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46352', 2, 'Casas de Cisterna', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46352', 3, 'Casas de Eufemia', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46352', 4, 'Casas de Gimenez', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46352', 5, 'Casas del Doctor', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46352', 6, 'La Cornudilla', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46352', 7, 'Los Duques', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46352', 8, 'Valderrama', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46352', 9, 'Valderramilla', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46353', 1, 'Casas de Lazaro', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46353', 2, 'Casas de Sancho', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46353', 3, 'Casas de Violante', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46353', 4, 'Caada Honda', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46353', 5, 'Los Ruices', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46354', 1, 'Casas de Lanza', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46354', 2, 'Casas de Penen', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46354', 3, 'Los Cojos', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46354', 4, 'Los Isidros', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46354', 5, 'Muela de Arriba', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46354', 6, 'Muelecilla', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46354', 7, 'Los Sandineros', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46355', 1, 'Carrascalejo', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46355', 2, 'Casas de Juan Vich', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46355', 3, 'Casas de la Vereda', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46355', 4, 'Casas Nuevas', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46355', 5, 'La Manchega', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46355', 6, 'Los Pedrones', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46356', 3, 'Penen', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34350', 0, 'Villarramiel', 342321, 34, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28231', 0, 'Rozas de Madrid, Las', 281277, 28, 
    0, 13, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36863', 3, 'Nogueira (Ponteareas)', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36864', 1, 'San Lorenzo Oliveira', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36864', 2, 'Santiago Oliveira', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36865', 1, 'Arcos (Ponteareas)', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36865', 2, 'Celeiros', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36865', 3, 'Fontenla', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36866', 1, 'Fozara', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36866', 2, 'Padrones', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36866', 3, 'Paredes (Ponteareas)', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36866', 4, 'Ribadetea', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36867', 0, 'Angoares', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36868', 1, 'Guillade', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36868', 2, 'Uma', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36868', 3, 'Vilacoba', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36869', 0, 'Bugarin', 360502, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36870', 1, 'Merouces (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36870', 2, 'Mondariz', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36870', 3, 'Pedreira (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36872', 1, 'Covelo (Santa Marina)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36872', 2, 'O Covelo (Santiago)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36873', 1, 'Campo (Covelo)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36873', 2, 'Fofe (Covelo)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36873', 3, 'Godons (Covelo)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36873', 4, 'A Graa (Covelo)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36873', 5, 'Maceira (Covelo)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36873', 6, 'Prado (Covelo)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 1, 'Aboal (Touton)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 2, 'Carballal (Riofrio)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 3, 'Chaleira (Riofrio)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 4, 'Frades (Mondariz- Aboal)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 5, 'Frades (Mondariz-Costa)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 6, 'Lordelo (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 7, 'Pe do Muio (Riofrio)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 8, 'Touton (Aboal)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 9, 'Touton (Casco)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 10, 'Touton (Lordelo)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36874', 11, 'Vilar (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36875', 1, 'Asnela (Riofrio)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36875', 2, 'Festin (Touton)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36875', 3, 'Frades (Mondariz-Cambra)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36875', 4, 'Frades (Mondariz-Quintans)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36875', 5, 'Freaza', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36875', 6, 'Gargamala', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36875', 7, 'Portacurbo (Touton)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36875', 8, 'San Miguel (Riofrio)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36875', 9, 'Touton (Festin)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36875', 10, 'Touton (Portacurbo)', 360195, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36876', 1, 'Castelanes (Costa)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36876', 2, 'Castelanes (Pereiras)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36876', 3, 'Ceo (Mondariz)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36876', 4, 'Costa (Castelanes)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36876', 5, 'Foxaco (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36876', 6, 'Fraga da Barcia (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36876', 7, 'Lougares (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36876', 8, 'Paredes (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36876', 9, 'Pereiras (Castelanes)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36876', 10, 'Vilanova (Barcia de Mera)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36877', 1, 'Meirol (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36877', 2, 'Mouriscados (Mondariz)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36877', 3, 'Paraos (Covelo)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36877', 4, 'Queimadelos', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36877', 5, 'Sesteiro (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36878', 1, 'Barcia de Mera (Resto Parroqui', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36878', 2, 'Castelanes (Lourido)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36878', 3, 'Cernadelas (Riofrio)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36878', 4, 'Lourido (Castelanes)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36878', 5, 'Sabaxans (Mondariz)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36879', 1, 'Escobeiro (Mondariz)', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36879', 2, 'Villasobroso', 360307, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36880', 0, 'A Caiza', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36883', 0, 'Valeije', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36884', 1, 'Deva (A Caiza)', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36884', 2, 'Petan', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36885', 1, 'Ameijeira', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36885', 2, 'Oroso', 360144, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36886', 0, 'Couto (A Caiza)', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36887', 1, 'Luneda', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36887', 2, 'Parada de Achas (A Caiza)', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36887', 3, 'Parada de Achas (Resto Parroqu', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36888', 1, 'Achas', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36888', 2, 'A Caiza (Resto Parroquia)', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36889', 1, 'Cocho (A Caiza)', 360097, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36889', 2, 'La Franqueira', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36889', 3, 'Lamosa', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36889', 4, 'Parada de Achas (Barreiro)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36889', 5, 'Parada de Achas (Folgoso)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36889', 6, 'Parada de Achas (Formigueiro)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36889', 7, 'Parada de Achas (Vilario)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36889', 8, 'Parada de Achas (Visticovo)', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36889', 9, 'Prado de la Canda', 360139, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36890', 0, 'Mondariz (Balneario)', 360314, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36891', 0, 'Ginzo', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36892', 0, 'Arnoso', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36893', 0, 'Cumiar', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36895', 1, 'Pias', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36895', 2, 'Prado (Ponteareas)', 360427, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36900', 0, 'Marin (Casco Urbano)', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36910', 1, 'Camboa (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36910', 2, 'A Carballeira (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36910', 3, 'Caritel (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36910', 4, 'Cunchidos (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36910', 5, 'Estribela (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36910', 6, 'O Outeiro (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36910', 7, 'Pexegueiro (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36910', 8, 'Os Praceres (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36910', 9, 'O Regueirio (Lourizan)', 360388, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36911', 0, 'Mogor (San Xurxo)', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36912', 0, 'Ardan (Resto Parroquia)', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36913', 1, 'Aguete', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36913', 2, 'Seixo (Resto Parroquia)', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36914', 1, 'Ardan (Pastoriza)', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36914', 2, 'O Campo (Santa Maria)', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36914', 3, 'San Tome de Pieiro (San Tome)', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36914', 4, 'Seixo (Bexa Con)', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36915', 1, 'Marin (San Xian)', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36915', 2, 'Pardavila', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36920', 1, 'Escuela Naval Militar de Marin', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36920', 2, 'Marin (Escuela Naval Militar)', 360268, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36930', 0, 'Bueu (Casco Urbano)', 360046, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36937', 0, 'Bon', 360046, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36938', 1, 'Bueu (Meiro)', 360046, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36938', 2, 'Bueu (Portela)', 360046, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36938', 3, 'Cela (Santa Maria)', 360046, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36938', 4, 'Ermelo', 360046, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36938', 5, 'Meiro (Bueu)', 360046, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36938', 6, 'A Portela (Bueu)', 360046, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36939', 0, 'Bueu (Resto Parroquia)', 360046, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36940', 0, 'Cangas', 360084, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36945', 1, 'Aldan (San Cibran)', 360084, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36945', 2, 'Erbello (Aldan)', 360084, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36968', 1, 'Gil', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38640', 0, 'Arona', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38649', 1, 'Altavista', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38649', 2, 'Las Casas (San Miguel)', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38649', 3, 'Las Hoyas', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38649', 4, 'Llano de Vento', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38649', 5, 'Montaa Fria', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38649', 6, 'Sabinita Alta', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38649', 7, 'Sabinita Baja', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38649', 8, 'Tunez', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38649', 9, 'Vento', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38650', 0, 'Playa de los Cristianos', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38660', 1, 'De Las Americas', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38660', 2, 'Club Miraverde', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38660', 3, 'Playas de Faabe', 380064, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38660', 4, 'San Eugenio', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38670', 1, 'Adeje', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38670', 2, 'Barriada de los Olivos', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38670', 3, 'El Galeon', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38670', 4, 'El Lomo (Adeje)', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38670', 5, 'La Postura', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38670', 6, 'La Telefonica', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38670', 7, 'Los Tres Machos', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38670', 8, 'El Valito', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 1, 'La Concepcion', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 2, 'Hoya Grande (Adeje)', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 3, 'La Hoya (Adeje)', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 4, 'Iserse', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 5, 'Los Menores', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 6, 'Las Moraditas (Adeje)', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 7, 'La Quinta (Adeje)', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 8, 'Rosas Las (Adeje)', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 9, 'Taucho', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 10, 'Tijoco', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38677', 11, 'Tijoco Alto', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 1, 'Armeime', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 2, 'Barriada los Hernandez', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 3, 'Boca Cangrejo (Adeje)', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 4, 'Callao Salvaje', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 5, 'Las Cancelas', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 6, 'Club Marazul', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 7, 'Iboibo', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 8, 'La Isorana', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 9, 'Nogueras', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 10, 'Paraiso', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 11, 'Pencatinta', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 12, 'El Pinque', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 13, 'El Puertito de Adeje', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38678', 14, 'Ricasa', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38679', 1, 'Barriada de Fyffes', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38679', 2, 'Barriada Faabe', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38679', 3, 'La Caldera', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38679', 4, 'La Caleta (Adeje)', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38679', 5, 'La Enramada', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38679', 6, 'Llanos de Las Casitas', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38679', 7, 'El Veril', 380012, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38680', 1, 'Guia de Isora', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38680', 2, 'Vera de Erques', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38683', 1, 'Acantilado de los Gigantes', 380407, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38683', 2, 'De la Arena', 380407, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38683', 3, 'Puerto de Santiago', 380407, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38683', 4, 'Puerto Santiago-Los Gigantes', 380407, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38684', 1, 'Cercados', 380407, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38684', 2, 'Finca Caldera', 380407, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38684', 3, 'Finca la Vigilia', 380407, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38684', 4, 'Tamaimo (Guia de Isora)', 380407, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38685', 0, 'Tejina de Isora', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38686', 0, 'Alcala', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 1, 'Abama', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 2, 'Aguadulce', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 3, 'Los Alamos (Guia Isora)', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 4, 'Aponte', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 5, 'Barrameda', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 6, 'Barrio de Fuensalida', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 7, 'El Campanario', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 8, 'La Chiquita', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 9, 'La Chorche', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 10, 'La Cooperativa', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 11, 'Cueva del Polvo', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 12, 'La Cumbrita', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 13, 'Don Felipe Machado', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 14, 'Finca Antonio Alfonso', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 15, 'Finca Florentino Mederos', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 16, 'Finca J. Leon', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 17, 'Finca la Carrera', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 18, 'Finca Leona', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 19, 'Finca Leonardo Perez', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 20, 'Finca Manuel Borges', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 21, 'Finca Paco Mederos', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 22, 'Finca Rafael Gomez', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 23, 'Finca Salazar', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 24, 'Finca Salvador Reyes', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 25, 'El Jacinto', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 26, 'Los Llanitos (Playa San Juan)', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 27, 'Llanos Las Damas', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 28, 'Los Maguenes del Teide', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 29, 'Maguenes Elisa Machado', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 30, 'Maguenes Eurico Alhers', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 31, 'Los Majuelos', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 32, 'La Mangla', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 33, 'Piedra Hincada', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 34, 'Punta Blanca', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 35, 'De San Juan', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38687', 36, 'La Tosca (Guia de Isora)', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 1, 'Acojeja', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 2, 'Arite', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 3, 'Arzola', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 4, 'El Calvario (Guia Isora)', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 5, 'Carquetas', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 6, 'Los Cascarejos', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 7, 'Chiguergue', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 8, 'Chirche', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 9, 'El Chirital', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 10, 'El Compromiso', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 11, 'Los Corchos (Guia Isora)', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 12, 'La Gambueza', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 13, 'El Hoyo Azul', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 14, 'El Jaral', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 15, 'Los Llanitos (Guia I.)', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 16, 'Lomo Atrevesado', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 17, 'Lomo del Balo (Guia I.)', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 18, 'La Mostaza', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 19, 'Las Pilas', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 20, 'El Pozo (Guia de Isora)', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38688', 21, 'Las Visitas', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38689', 1, 'Arguayo', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38689', 2, 'Chio', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38689', 3, 'Las Manchas (Guia I.)', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38689', 4, 'Molledo', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38689', 5, 'Nuestra Seora de la Paz', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38689', 6, 'Retamar (Guia de Isora)', 380197, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38700', 0, 'Santa Cruz de la Palma', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38710', 1, 'Aguacencio', 380086, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38710', 2, 'Brea Alta', 380086, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38711', 1, 'Barrio del Monte', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38711', 2, 'Beltran', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38711', 3, 'Lomo Incienso (Santa Cruz de l', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40163', 2, 'Matabuena', 401235, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40163', 3, 'Matamala', 401235, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40164', 1, 'Arconcillos', 400208, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40164', 2, 'Arcones', 400208, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40164', 3, 'Castillejo de Arcones', 400208, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40164', 4, 'Colladillo', 400208, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40164', 5, 'Huerta', 400208, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40165', 1, 'Casas Altas', 401620, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40165', 2, 'Pradena', 401620, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40165', 3, 'Pradenilla', 401620, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40165', 4, 'Tejadilla (Ventosilla)', 401620, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40165', 5, 'Ventosilla y Tejadilla', 401620, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40170', 1, 'Collado Hermoso', 400595, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40170', 2, 'La Mata de Piron', 400595, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40170', 3, 'Pelayos del Arroyo', 401575, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40170', 4, 'Sotosalbos', 401996, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40171', 1, 'Chavida', 401885, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40171', 2, 'Mata de Santiuste', 401885, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40171', 3, 'La Salceda', 401885, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40171', 4, 'Santiuste de Pedraza', 401885, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40171', 5, 'Torre Val de San Pedro', 402069, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40171', 6, 'Valle de San Pedro', 402069, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40172', 1, 'Pedraza', 401569, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40172', 2, 'Rades de Abajo', 401569, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40172', 3, 'Rades de Arriba', 401569, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40173', 1, 'Arahuetes', 400194, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40173', 2, 'Requijada', 401885, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40173', 3, 'La Velilla', 400194, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40174', 1, 'Berzal', 402206, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40174', 2, 'Tejadilla (Valleruela Pedraza)', 402206, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40174', 3, 'Valleruela de Pedraza', 402206, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40175', 0, 'La Matilla', 401253, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40176', 1, 'Alameda (Orejana)', 401500, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40176', 2, 'El Arenal', 401500, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40176', 3, 'Orejana', 401500, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40176', 4, 'Orejanilla', 401500, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40176', 5, 'Revilla (Orejana)', 401500, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40176', 6, 'Sanchopedro', 401500, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40176', 7, 'Valleruela de Seplveda', 402213, 40, 
    0, 7, 'E', 3, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40180', 1, 'Basardilla', 400267, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40180', 2, 'Brieva', 400334, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40180', 3, 'Santo Domingo de Piron', 401902, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40180', 4, 'Tenzuela', 401575, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40181', 1, 'Aldeasaz de la Cuesta', 402081, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40181', 2, 'Berrocal', 402081, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40181', 3, 'Carrascal de la Cuesta', 402081, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40181', 4, 'La Cuesta', 402081, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40182', 1, 'Caballar', 400349, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40183', 0, 'Muoveros', 401364, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40184', 1, 'Pajares de Pedraza', 400194, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40184', 2, 'Puebla de Pedraza', 401636, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40184', 3, 'Rebollo', 401654, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40185', 1, 'Arevalillo de Cega', 400215, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40185', 2, 'Cubillo', 400621, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40185', 3, 'Guijar de Valdevacas', 400215, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40185', 4, 'Mata de Rasueros', 400215, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40185', 5, 'Valdevacas de Montejo', 402120, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40185', 6, 'Valdevacas y Guijar', 400215, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40190', 0, 'Bernuy de Porreros', 400313, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40191', 1, 'Espirdo', 400772, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40191', 2, 'La Higuera', 400772, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40191', 3, 'Tizneros', 400772, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40192', 1, 'Adrada de Piron', 400024, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40192', 2, 'Losana de Piron', 402056, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40192', 3, 'Torreiglesias', 402056, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40193', 0, 'Parque de Robledo', 999999, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40194', 1, 'Palazuelos de Eresma', 401556, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40194', 2, 'Quitapesares', 401556, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40194', 4, 'Sonsoto', 402075, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40194', 5, 'Tabanera del Monte', 401556, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40194', 6, 'Trescasas', 402075, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40195', 1, 'Hontoria', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40195', 2, 'Revenga', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40196', 1, 'La Lastrilla', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40196', 2, 'Zamarramala', 401945, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40197', 0, 'San Cristobal de Segovia', 409062, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40200', 0, 'Cuellar', 400637, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40210', 0, 'Escarabajosa de Cuellar', 400637, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40211', 0, 'Torregutierrez', 400637, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40212', 0, 'San Cristobal de Cuellar', 401771, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40213', 0, 'Vallelado', 402192, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40214', 0, 'Mata de Cuellar', 401240, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40215', 0, 'Arroyo de Cuellar', 400637, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40216', 1, 'Chae', 400655, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40216', 2, 'Remondo', 401667, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40217', 0, 'Fresneda de Cuellar', 400788, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40218', 0, 'Fuente el Olmo de Iscar', 400848, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40219', 0, 'Villaverde de Iscar', 402287, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40220', 1, 'Olombrada', 401497, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40220', 2, 'Vegafria', 401497, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40230', 1, 'Dehesa de Cuellar', 400637, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40230', 2, 'Dehesa Mayor', 400637, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40231', 0, 'Lovingos', 400637, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40232', 0, 'Fuentes de Cuellar', 400637, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40233', 0, 'Moraleja de Cuellar', 401497, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40234', 0, 'Membibre de la Hoz', 401272, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40235', 0, 'Aldeasoa', 400138, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40236', 1, 'Laguna de Contreras', 401082, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40236', 2, 'Vivar de Fuentiduea', 401082, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40237', 0, 'Sacramenia', 401749, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40238', 1, 'Coto de San Bernardo', 402154, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40238', 2, 'Pecharroman', 402154, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40238', 3, 'San Bernardo', 402154, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40238', 4, 'San Jose de Valtiendas', 402154, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40239', 0, 'Cuevas de Provanco', 409059, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40240', 0, 'Gomezserracin', 400959, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40241', 0, 'Chatun', 400637, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40242', 0, 'Campo de Cuellar', 400637, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40250', 0, 'Mozoncillo', 401348, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40260', 0, 'Fuentepelayo', 400864, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40270', 0, 'Carbonero el Mayor', 400432, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40280', 0, 'Navalmanzano', 401410, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40290', 0, 'Roda de Eresma', 401734, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40291', 1, 'Escarabajosa de Cabezas', 400740, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40291', 2, 'Tabanera la Luenga', 402000, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40292', 0, 'Aldea Real', 400122, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40293', 0, 'Zarzuela del Pinar', 402347, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40294', 0, 'Pinarnegrillo', 401608, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40295', 1, 'Mudrian', 401826, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40295', 2, 'San Martin y Mudrian', 401826, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40296', 0, 'Pinarejos', 401594, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40297', 0, 'Sanchonuo', 401790, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40298', 0, 'Frumales', 400812, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40299', 0, 'El Henar', 999999, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40300', 0, 'Sepulveda', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40310', 1, 'Cabrerizos', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40310', 2, 'Perorrubio', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40310', 3, 'Santa Marta del Cerro', 401863, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40311', 1, 'Alameda (Sotillo)', 401983, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40311', 2, 'Aldehuela (Sepulveda)', 401983, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40311', 3, 'Fresneda de Sepulveda', 401983, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40311', 4, 'Sotillo', 401983, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40312', 1, 'Corral de Duraton', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40312', 2, 'Los Cortos', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40312', 3, 'Duraton', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40312', 4, 'Duruelo', 400707, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40312', 5, 'Giriego', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40312', 6, 'Sanchofruela', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46356', 1, 'Casas de la Noria', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46356', 2, 'Casas del Rio', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46357', 1, 'Azagador', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46357', 2, 'Casa del Pastor', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46357', 3, 'Cuevas de Zapata', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46357', 4, 'Hortunas de Abajo', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46357', 5, 'Hortunas de Arriba', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46357', 6, 'Ortola', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46357', 7, 'El Ponton', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46357', 8, 'La Portera', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46357', 9, 'Los Rincones', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46360', 1, 'Buol', 460771, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46360', 2, 'Mijares', 460771, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46360', 3, 'Rambla Seca', 460771, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46360', 4, 'Las Ventas de Buol', 460771, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46367', 0, 'Yatova', 462613, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46368', 0, 'Macastre', 461580, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46369', 0, 'Alborache', 460121, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46370', 0, 'Chiva', 461115, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46380', 0, 'Cheste', 461094, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46388', 0, 'Godelleta', 461363, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46389', 1, 'Del Conde Cortichelles', 462482, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46389', 2, 'Turis', 462482, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 1, 'Barrio Arroyo', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 2, 'Benaca', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 3, 'Calderon', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 4, 'Casas de los Frailes', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 5, 'Casas de Oria', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 6, 'Chicanos', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 7, 'Derramador', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 8, 'La Motilla', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 9, 'Los Ochandos', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 10, 'Roma', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 11, 'San Antonio de Requena', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 12, 'San Juan de Requena', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46390', 13, 'Turquia', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46391', 1, 'El Matutano', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46391', 2, 'El Rebollar', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46392', 1, 'Siete Aguas', 462299, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46392', 2, 'Venta Mina', 462299, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46392', 3, 'Venta Quemada', 462299, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46393', 0, 'Loriguilla', 461483, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46394', 1, 'Granja Escuela Hermanas Chavas', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46394', 2, 'Llano de Cuart', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46394', 3, 'Del Oliveral', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46394', 4, 'Ventas de Poyo', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46400', 1, 'El Cano', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46400', 2, 'Cullera', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46408', 1, 'El Dosel', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46408', 2, 'Faro de Cullera', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46408', 3, 'Mareny de San Lorenzo', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46408', 4, 'Mareny de Vilches', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46408', 5, 'Santa Marta', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46408', 6, 'Vilches', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46409', 1, 'El Brosquil', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46409', 2, 'El Dorado', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46409', 3, 'El Estany', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46409', 4, 'El Marenyet', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46409', 5, 'Racona', 461056, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46410', 0, 'Sueca', 462359, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46417', 0, 'Riola', 462153, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46418', 0, 'Fortaleny', 461252, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46419', 1, 'Mareny Blau', 462359, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46419', 2, 'Mareny de les Barraquetes', 462359, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46419', 3, 'Las Palmeras', 462359, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46419', 4, 'Les Palmeretes', 462359, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46420', 0, 'El Perello', 462359, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46430', 0, 'Sollana', 462331, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46439', 1, 'El Ale', 462331, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46439', 2, 'Romani', 462331, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46440', 0, 'Almussafes', 460351, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46450', 0, 'Benifaio', 460608, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46460', 0, 'Silla', 462303, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46469', 0, 'Beniparrell', 460654, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46470', 1, 'Albal', 460076, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46470', 2, 'Catarroja', 460945, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46470', 3, 'Massanassa', 461653, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46500', 1, 'Petres', 461923, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46500', 2, 'Sagunt/Sagunto', 461923, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46510', 1, 'Benavites', 461038, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46510', 3, 'Quart de les Valls', 461038, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46510', 4, 'Quartell', 461038, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46510', 5, 'Los Valles', 461038, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46511', 0, 'Benifairo de les Valls', 460581, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46512', 0, 'Faura', 461228, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46520', 1, 'Grao de Sagunto', 462205, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46520', 2, 'Puerto de Sagunto', 462205, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46529', 1, 'De Almarda', 460826, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46529', 2, 'Canet D''En Berenguer', 460826, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46530', 0, 'Puol', 462055, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46540', 1, 'Del Puig', 462042, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46540', 2, 'El Puig', 462042, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46550', 0, 'Albuixech', 460142, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46560', 0, 'Massalfassar', 461635, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46590', 0, 'Estivella', 461206, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46591', 0, 'Albalat Dels Tarongers', 460109, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46592', 0, 'Segart', 462248, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46593', 0, 'Algar de Palancia', 460288, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46600', 0, 'Alzira', 460174, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46610', 0, 'Guadassuar', 461398, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46611', 0, 'Benimuslem', 460641, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46612', 0, 'Corbera', 460983, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46613', 0, 'Llauri', 461555, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46614', 0, 'Favara', 461234, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46620', 0, 'Ayora', 460446, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46621', 1, 'Casas de Madrona', 462634, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46621', 2, 'Casas de Regajo', 462634, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46621', 3, 'Hoz de Abajo', 462634, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46621', 4, 'Hoz de Arriba', 462634, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46621', 5, 'El Regajo', 462634, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46621', 6, 'San Benito', 462634, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46621', 7, 'Zarra', 462634, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46622', 0, 'Teresa de Cofrentes', 462397, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46623', 0, 'Jarafuel', 461445, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46624', 0, 'Jalance', 461424, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46625', 1, 'Cofrentes', 460977, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46625', 2, 'Hervideros de Cofrentes', 460977, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46630', 0, 'La Font de la Figuera', 461287, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46635', 1, 'Casas de Vidal', 461249, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46635', 2, 'Fontanars Dels Alforins', 461249, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46635', 3, 'Las Pedradas', 461249, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46635', 4, 'Poblet', 461249, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46635', 5, 'San Rafael', 461249, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46636', 1, 'Barrio Espaa', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46636', 2, 'Cabezo', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46636', 3, 'Casa el Roig', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46636', 4, 'Casas de Corbi', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46637', 1, 'Corrales de Blay', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46637', 2, 'Truenas Nuevas', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46638', 1, 'La Borderia', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46638', 2, 'Casa los Tontos', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46639', 1, 'Casa el Pla', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46639', 2, 'Rincon Oliver', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46639', 3, 'La Zafra', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46640', 0, 'Moixent/Mogente', 461705, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46649', 1, 'Las Alcuzas', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46649', 2, 'Casas de Lloma', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46649', 3, 'Gramogente', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46649', 4, 'La Parrilla', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46650', 0, 'Canals', 460811, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46659', 0, 'Ayacor', 460811, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46660', 0, 'Manuel', 461607, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46666', 1, 'Berfull', 462093, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46666', 2, 'Rafelguaraf', 462093, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46666', 3, 'Riu Rau', 462093, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36945', 3, 'A Espieira (Aldan)', 360084, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36945', 4, 'O Hio (Santo Andre)', 360084, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36946', 1, 'Gandon (Aldan)', 360084, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36946', 2, 'Menduia (Aldan)', 360084, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36946', 3, 'Rozabales (Aldan)', 360084, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36947', 0, 'Coiro (San Salvador)', 360084, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36948', 0, 'Hio (Resto Parroquia)', 360084, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36949', 0, 'Darbo (Santa Maria)', 999999, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36950', 1, 'Moaa (Casco Urbano)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36950', 2, 'Quintela (Moaa)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36950', 3, 'A Seara (Moaa)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36950', 4, 'Tiran (San Xoan)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 1, 'Abelendo (Moaa)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 2, 'Ameixoada (Abelendo)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 3, 'Ameixoada (Moaa)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 4, 'Casal (Abelendo)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 5, 'Casal (Moaa)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 6, 'O Casal (Moaa)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 7, 'O Cruceiro (Moaa)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 8, 'Crucero (Abelendo)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 9, 'Moaa (Abelendo)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 10, 'Moaa (Ameijoada)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 11, 'Moaa (Jalda)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 12, 'Pieiro', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 13, 'Quintela (Abelendo)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36954', 14, 'A Xalde (Moaa)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36955', 1, 'Couso (Santa Eulalia de Meira)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36955', 2, 'La Guia (Santa Eulalia de Meir', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36955', 3, 'Laton (Santa Eulalia de Meira)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36955', 4, 'Meira (Santa Eulalia)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36955', 5, 'Moureira (Santa Eulalia de Mei', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36955', 6, 'Pombal (Santa Eulalia de Meira', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36955', 7, 'Reibon (Santa Eulalia de Meira', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36955', 8, 'Rivera (Santa Eulalia de Meira', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36957', 1, 'Calvar (Domaio)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36957', 2, 'Carballido (Domaio)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36957', 3, 'Costa (Domaio)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36957', 4, 'Domaio (San Pedro)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36957', 5, 'Palmas (Domaio)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36957', 6, 'San Lorenzo (Domaio)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36957', 7, 'Verdeal (Domaio)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36958', 1, 'Albarios (San Xoan de Tiran)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36958', 2, 'Carrasqueira (San Xoan de Tira', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36958', 3, 'Fontes (San Xoan de Tiran)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36958', 4, 'Iglesiario (San Xoan de Tiran)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36958', 5, 'Lazareto (San Xoan de Tiran)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36958', 6, 'Pandia (San Xoan de Tiran)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36958', 7, 'Tiran (Resto Parroquia)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36958', 8, 'Vilela (San Xoan de Tiran)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36959', 1, 'Berducedo (Pieiro)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36959', 2, 'Broullon (Pieiro)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36959', 3, 'Fraga (Pieiro)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36959', 4, 'Marrua (Pieiro)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36959', 5, 'Moaa (Resto Parroquia)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36959', 6, 'Paradela (Pieiro)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36959', 7, 'Pieiro (Moaa)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36959', 8, 'Redondo (Pieiro)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36959', 9, 'Sabaceda (Pieiro)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36959', 10, 'Xalde (Pieiro)', 360293, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36960', 0, 'Sanxenxo', 360519, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36966', 1, 'Bordons (San Pedro)', 360519, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36966', 2, 'Dorron (San Xoan)', 360519, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36966', 3, 'Padrian (Resto Parroquia)', 360519, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36967', 0, 'Dena (Santa Eulalia)', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36968', 2, 'Meao', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36969', 1, 'Lores', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36969', 2, 'Nantes (Santa Baia)', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36969', 3, 'Padrian', 360519, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36969', 4, 'Padrian (Seijal)', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36969', 5, 'Padrian (Vinquio)', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36969', 6, 'Seijal (Padrian)', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36969', 7, 'Simes (Santa Maria)', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36969', 8, 'O Vinquio (Padrian)', 360274, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36970', 0, 'Portonovo', 360519, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36979', 0, 'Adina (Santa Maria)', 360519, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36980', 0, 'O Grove (Casco Urbano)', 360221, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36988', 0, 'San Vicente de el Grove', 360221, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36989', 0, 'O Grove (Resto Parroquia)', 360221, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36990', 1, 'Noalla (Santo Estevo)', 360519, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36990', 2, 'Villalonga', 360519, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36991', 0, 'La Toja', 360221, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36992', 1, 'Raxo (San Gregorio)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36992', 2, 'Samieira (Santa Maria)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36993', 0, 'Combarro (San Roque)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 1, 'Albar (San Xoan de Poio)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 2, 'Campelo (San Xoan de Poio)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 3, 'O Casal (San Xoan de Poio)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 4, 'Estanco (San Juan de Poio)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 5, 'O Estanco (Poio)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 6, 'A Freixa (San Xoan de Poio)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 7, 'Liares (San Xoan de Poio)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 8, 'Poio (San Juan-Albar)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 9, 'Poio (San Juan-Campelo)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 10, 'Poio (San Juan-Casal)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 11, 'Poio (San Juan-Freija)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 12, 'Poio (San Juan-Liares)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 13, 'Vilanova (Poio)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36994', 14, 'Vilanova (San Xoan de Poio)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36995', 1, 'Poio (San Juan-Resto Parroquia', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('36995', 2, 'Poio (San Xoan)', 360412, 36, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37001', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37002', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37003', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37004', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37005', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37006', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37007', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37008', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37070', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37071', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37080', 0, 'Salamanca', 372745, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37100', 0, 'Ledesma', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37110', 1, 'Aldearrodrigo', 370191, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37110', 2, 'El Arco', 370191, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37110', 3, 'San Pelayo de la Guarea', 372920, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37110', 4, 'Santiz', 372992, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37110', 5, 'Zamayon', 373795, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37110', 6, 'Torresmenudas', 373277, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37111', 1, 'Aover de Tormes', 370303, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37111', 2, 'Cuadrilleros de los Dieces', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37111', 3, 'Espino Rapado', 372920, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37111', 4, 'Moreras', 370303, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37111', 5, 'Palacino', 370303, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37111', 6, 'Palacios del Arzobispo', 372262, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37113', 0, 'Pedro Lises', 999999, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37114', 1, 'Encinas de San Silvestre', 371204, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38711', 4, 'Las Mesitas', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38711', 5, 'La Polvacera (Breas)', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38711', 6, 'El Rincon (Santa Cruz de la Pa', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38711', 7, 'San Antonio de Brea', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38711', 8, 'Vista Alegre (Santa Cruz de la', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 1, 'Bajamar (Breas)', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 2, 'Barranco Amargavinos', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 3, 'Barriada de la Montaa', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 4, 'El Caleton (Santa Cruz de la P', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 5, 'Los Cancajos', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 6, 'El Cantillo (Parte Baja)', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 7, 'El Cantillo (Santa Cruz de la', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 8, 'La Capellania (Santa Cruz de l', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 9, 'Central Electrica', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 10, 'Cuatro Caminos (E.Breas)', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 11, 'El Drago (Santa Cruz de la Pal', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 12, 'El Fuerte', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 13, 'Los Guinchos', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 14, 'La Laguna (Santa Cruz de la Pa', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 15, 'Ledas', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 16, 'Ledas de Abajo', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 17, 'Ledas de Arriba', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 18, 'Los Llanitos (Santa Cruz de la', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 19, 'Lomo Grande (Santa Cruz de la', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 20, 'Medialuna', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 21, 'Miranda de Santa Cruz de la Pa', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 22, 'Molino del Viento (Santa Cruz', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 23, 'Montaa la Brea', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 24, 'San Isidro (Santa Cruz de la P', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 25, 'San Jose de Brea Baja', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 26, 'El Socorro (Santa Cruz de la P', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 27, 'Somacal', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 28, 'Villa Flora', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38712', 29, 'Vuelta de Susana', 380099, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 1, 'Los Alamos (Santa Cruz de la P', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 2, 'Barranco de San Juan Mayor', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 3, 'Barranco del Rio', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 4, 'Barranco Espino', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 5, 'Barranquillo de San Vicente', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 6, 'Barriada del Cementerio', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 7, 'Belhoco', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 8, 'Botazo', 380086, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 9, 'Buenavista de Abajo', 380086, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 10, 'Buenavista de Arriba', 380086, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 11, 'Calcina', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 12, 'Cuatro Caminos (E. Belhoco)', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 13, 'Cubillas', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 14, 'La Cuesta (Santa Cruz de la Pa', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 15, 'Espantacuervos', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 16, 'El Lorito', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 17, 'Miraflores', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 18, 'Las Nieves (Santa Cruz de la P', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 19, 'El Porvenir', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38713', 20, 'Las Tierritas', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 1, 'Brasil', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 2, 'El Cercado (Santa Cruz de la P', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 3, 'Cuesta Medina', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 4, 'Fondo del Lomo Posito', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 5, 'La Galga (Santa Cruz de la Pal', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 6, 'El Granel', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 7, 'Llano de Juan Carro', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 8, 'Llano Molino', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 9, 'Lomo de la Galga', 380309, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 10, 'Lomo el Corcho', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 11, 'Lomo Estrecho', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 12, 'Lomo Llano', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 13, 'Lomo Piagrande', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 14, 'Lomo Piedo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 15, 'El Pilon', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 16, 'El Posito', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 17, 'San Bartolome (Santa Cruz de l', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38714', 18, 'El Topo', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 1, 'Bajamar (Belhoco)', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 2, 'Barranco de Aguas', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 3, 'Barranco del Carmen', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 4, 'Barranco Miranda', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 5, 'Barranco Seco', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 6, 'Barranquera de Machado', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 7, 'El Barranquillo', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 8, 'Barriada Nueva (Santa Cruz de', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 9, 'Barriada Pio Xii', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 10, 'Candelaria (Santa Cruz de la P', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 11, 'La Canocha', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 12, 'Casa Alta', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 13, 'La Crucita (Santa Cruz de la P', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 14, 'El Dorador', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 15, 'Llano del Fraile', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 16, 'Llano Fleitas', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 17, 'Lomadilla', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 18, 'Lomo de los Gomeros', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 19, 'Miranda de Brea Alta', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 20, 'Los Molinos de Viento', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 21, 'El Morro (Santa Cruz de la Pal', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 22, 'De Las Nieves', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 23, 'Puntallana', 380309, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 24, 'Sanatorio de Mirca', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 25, 'Santa Lucia', 380309, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 26, 'Serreria de Mirca', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 27, 'El Taboco', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 28, 'Teneguia', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 29, 'El Topito', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 30, 'Topo Miranda', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38715', 31, 'Las Toscas (Santa Cruz de la P', 380374, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38720', 0, 'San Andres y Sauces', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38726', 1, 'Barlovento', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38726', 2, 'Llanada de Bona', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38726', 3, 'Lomo Machin', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38726', 4, 'Lomo Machin Alto', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38726', 5, 'Las Paredes', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38726', 6, 'Talavera', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38726', 7, 'Tocadero', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 1, 'Cabezadas Altas', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 2, 'Cabezadas Bajas', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 3, 'La Cadena', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 4, 'La Cancela', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 5, 'La Crucita (San Andres y Sauce', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 6, 'Cruz de Aparicio', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 7, 'La Cuesta (San Andres y Sauces', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 8, 'La Fuente (San Andres y Sauces', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 9, 'Gallegos', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 10, 'Llano Eria', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 11, 'La Lomadita', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 12, 'Lomo de los Castros', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 13, 'Lomo Quinto', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 14, 'Lomo Romero', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 15, 'Lomo Viejo de la Florida', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 16, 'Marantes', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 17, 'Oropesa', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40312', 7, 'La Serna de Duraton', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40312', 8, 'Tanarro', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40312', 9, 'Vellosillo', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40313', 0, 'Torreadrada', 402022, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40314', 1, 'Fuentesoto', 400910, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40314', 2, 'Tejares de Fuentiduea', 400910, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40314', 3, 'Valtiendas', 402154, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40315', 1, 'Castro de Fuentiduea', 400479, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40315', 2, 'Castrojimeno', 400485, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40315', 3, 'Castroserracin', 400479, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40317', 1, 'Aldehuela (Hinojosas)', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40317', 2, 'Castrillo de Sepulveda', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40317', 3, 'Hinojosas del Cerro', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40317', 4, 'Urueas', 402108, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40317', 5, 'Villar de Sobrepea', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40317', 6, 'Villaseca', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40318', 1, 'Castillo de Castilnovo', 400498, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40318', 2, 'Castillo del Condado de Castil', 400498, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40318', 3, 'Castroserna de Abajo', 400498, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40318', 4, 'Castroserna de Arriba', 401620, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40318', 5, 'Condado de Castilnovo', 400498, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40318', 6, 'Nava del Condado', 400498, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40318', 7, 'Torrecilla del Condado', 400498, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40318', 8, 'Valdesaz', 400609, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40318', 9, 'Villafranca del Condado', 400498, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40320', 0, 'Cantalejo', 400404, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40330', 0, 'Fuenterrebollo', 400886, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40331', 1, 'Burgomillodo', 400447, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40331', 2, 'Carrascal del Rio', 400447, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40331', 3, 'Navalilla', 401403, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40331', 4, 'Valle de Tabladillo', 402189, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40332', 1, 'Cobos de Fuentiduea', 400560, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40332', 2, 'San Miguel de Bernuy', 401832, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40340', 0, 'Aguilafuente', 400045, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40350', 0, 'Escalona del Prado', 400735, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40351', 0, 'Sauquillo de Cabezas', 401924, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40352', 0, 'Lastras de Cuellar', 401109, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40353', 0, 'Hontalbilla', 401001, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40354', 1, 'Adrados', 400030, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40354', 2, 'Cozuelos de Fuentiduea', 409025, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40354', 3, 'Perosillo', 401581, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40355', 0, 'Fuentesauco de Fuentiduea', 400899, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40356', 0, 'Calabazas', 400371, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40357', 1, 'Fuentiduea', 400925, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40357', 2, 'Los Valles de Fuentiduea', 400925, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40358', 0, 'Fuentepiel', 400870, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40359', 1, 'Fuente el Olmo de Fuentiduea', 402043, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40359', 2, 'Torrecilla del Pinar', 402043, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40360', 0, 'Cantimpalos', 400411, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40370', 0, 'Turegano', 402081, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40380', 1, 'Aldeonsancho', 400404, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40380', 2, 'Negueruela', 400404, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40380', 3, 'San Miguel de Neguera', 400404, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40380', 4, 'Sebulcor', 401930, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40389', 1, 'Aldealafuente', 400061, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40389', 2, 'Aldealcorvo', 400061, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40389', 3, 'Aldearraso', 400061, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40389', 4, 'Consuegra de Murera', 401958, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40389', 5, 'Rebollar', 401847, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40389', 6, 'San Pedro de Gaillos', 401847, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40389', 7, 'Valdesimonte', 400404, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40389', 8, 'Ventosilla (San Pedro Gaillos)', 400061, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40390', 0, 'Valseca', 402141, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40391', 0, 'Encinillas', 400729, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40392', 1, 'Cabaas de Polendos', 400352, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40392', 2, 'Mata de Quintanar', 400352, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40392', 3, 'Pinillos de Polendos', 400753, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40392', 4, 'Quintanar de Polendos', 400352, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40392', 5, 'Venta de Pinillos', 400352, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40393', 1, 'Escobar de Polendos', 400753, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40393', 2, 'Parral de Piron o de Villovela', 400753, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40393', 3, 'Peasrrubias de Piron', 400753, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40393', 4, 'Villovela de Piron', 400753, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40394', 0, 'Otones de Benjumea', 402056, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40395', 0, 'Veganzones', 402228, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40396', 0, 'Cabezuela', 400365, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40400', 1, 'Aranguren', 400766, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40400', 2, 'De el Espinar', 400766, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40400', 3, 'El Espinar', 400766, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40400', 4, 'Santo Cristo del Caloco', 400766, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40408', 1, 'Coto de San Isidro', 401462, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40408', 2, 'Navas de San Antonio', 401462, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40409', 1, 'Batanejos', 999999, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40409', 2, 'Campo de Azalvaro', 999999, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40409', 3, 'La Isabela', 999999, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40410', 0, 'San Rafael', 400766, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40419', 1, 'Alto de los Leones', 400766, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40419', 2, 'Gudillos', 400766, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40420', 1, 'Lindaraja', 409046, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40420', 2, 'La Losa', 409046, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40420', 3, 'Navas de Riofrio', 409046, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40420', 4, 'Real Bosque de Riofrio', 409046, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40421', 0, 'Ortigosa del Monte', 409010, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40422', 0, 'Otero de Herreros', 401522, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40423', 1, 'Guijasalbas', 402115, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40423', 2, 'Valdeprados', 402115, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40423', 3, 'Vegas de Matute', 402234, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40424', 0, 'Los Angeles de San Rafael', 400766, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40430', 0, 'Bernardos', 400306, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40440', 0, 'Santa Maria la Real de Nieva', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40441', 0, 'Miguelaez', 401288, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40442', 0, 'Samboal', 401765, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40443', 0, 'Narros de Cuellar', 401765, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40444', 0, 'Melque de Cercos', 401266, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40445', 0, 'Juarros de Voltoya', 401060, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40446', 0, 'Martin Muoz de Las Posadas', 401214, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40447', 0, 'Nieva', 401484, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40449', 1, 'Balisa', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40449', 2, 'Villoslada', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40450', 0, 'Nava de la Asuncion', 401386, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40460', 1, 'Bernuy de Coca', 401898, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40460', 2, 'Santiuste de San Juan Bautista', 401898, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40461', 0, 'Moraleja de Coca', 401386, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40462', 1, 'Aldeanueva del Codonal', 400100, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40462', 2, 'Aldehuela del Codonal', 400156, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40463', 0, 'Codorniz', 400582, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40464', 0, 'Montuenga', 400582, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40465', 0, 'San Cristobal de la Vega', 401787, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40466', 1, 'Martin Muoz de la Dehesa', 401207, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40466', 2, 'Rapariegos', 401641, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40467', 0, 'Tolocirio', 402017, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40468', 0, 'Montejo de Arevalo', 401291, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40469', 0, 'Donhierro', 400693, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40470', 0, 'Navas de Oro', 401459, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40480', 0, 'Coca', 400576, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40490', 1, 'Hontanares de Eresma', 401018, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40490', 2, 'Los Huertos', 401018, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40491', 1, 'Ahusin', 400220, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40491', 2, 'Carbonero de Ahusin', 400220, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40492', 0, 'Ae', 400181, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40493', 0, 'Yanguas de Eresma', 402311, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40494', 1, 'Armua', 400220, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40494', 2, 'Miguel Ibaez', 401850, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46667', 0, 'Barxeta', 460459, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46668', 1, 'De Fenollet Nuevo', 461516, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46668', 2, 'Torre de Lloris', 461458, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46668', 3, 'Tosalnou', 461458, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46669', 1, 'L''Enova', 462270, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46669', 2, 'San Juan de Enova', 462270, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46669', 3, 'Senyera', 462270, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46670', 1, 'La Pobla Llarga', 462037, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46670', 2, 'Realengo', 462037, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46680', 1, 'Algemesi', 460291, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46680', 2, 'Carrascalet', 460291, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46687', 0, 'Albalat de la Ribera', 460082, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46688', 0, 'Polinya de Xuquer', 461976, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46689', 0, 'Benicull', 469045, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46690', 0, 'L''Alcudia de Crespins', 460207, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46691', 0, 'Vallada', 462515, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46692', 0, 'Montesa', 461748, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46700', 1, 'Beniopa', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46700', 2, 'Benipeixcar', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46700', 3, 'Benirredra', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46700', 4, 'Gandia', 461311, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46710', 1, 'Daimus', 461136, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46710', 2, 'De Daimus', 461136, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46711', 1, 'Guardamar', 461688, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46711', 2, 'Miramar', 461688, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46711', 3, 'De Miramar', 461688, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46712', 1, 'Piles', 461957, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46712', 2, 'De Piles', 461957, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46713', 1, 'Bellreguard', 460484, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46713', 2, 'De Bellreguard', 460484, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46714', 0, 'Palmera', 461884, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46715', 0, 'L''Alqueria de la Comtessa/Alqu', 460370, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46716', 0, 'Rafelcofer', 462080, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46717', 0, 'La Font D''En Carros', 461271, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46720', 0, 'Villalonga', 462554, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46721', 0, 'Potries', 461982, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46722', 1, 'Beniarjo', 460556, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46722', 2, 'Benifla', 460615, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46723', 0, 'Almoines', 460348, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46724', 1, 'Ador', 461878, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46724', 2, 'Palma de Gandia', 461878, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46725', 1, 'Alfauir', 460235, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46725', 2, 'Rotova', 462188, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46726', 1, 'Almisera', 460333, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46726', 2, 'Castellonet de la Conquesta', 460333, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46726', 3, 'Llocnou de Sant Jeroni', 461537, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46727', 0, 'Real de Gandia', 462114, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46728', 0, 'Marchuquera', 461311, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46730', 1, 'De Gandia', 461311, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46730', 2, 'Grao de Gandia', 461311, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46730', 3, 'Puerto de Gandia', 461311, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46740', 0, 'Carcaixent', 460832, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46749', 0, 'Cogullada', 460832, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46750', 0, 'Simat de la Valldigna', 462310, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46758', 1, 'Barx', 460462, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46758', 2, 'La Drova', 460462, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46758', 3, 'Las Foyas', 460462, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46758', 4, 'La Puigmola', 460462, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46759', 0, 'Corrales de Valldigna', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46760', 1, 'Cruce Borderia', 462384, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46760', 2, 'Tavernes de la Valldigna', 462384, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46760', 3, 'De Tavernes de la Valldigna', 462384, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46770', 0, 'Xeraco', 461430, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46780', 1, 'Ole', 461810, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46780', 2, 'Oliva', 461810, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46780', 3, 'Los Secaderos', 461810, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46789', 0, 'Paupi', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46790', 1, 'Caudeli', 461461, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46790', 2, 'Xeresa', 461461, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46791', 0, 'Benifairo de la Valldigna', 460594, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46792', 0, 'Barraca de Aguas Vivas', 460832, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46800', 1, 'Alboy', 461458, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46800', 2, 'Anahuir', 461458, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46800', 3, 'Novetle/Novele', 461458, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46800', 4, 'Santa Ana', 461458, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46800', 5, 'Balneario Santa Ana', 461458, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46800', 6, 'Sorio', 461458, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46800', 7, 'Xativa', 461458, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46810', 0, 'Enguera', 461189, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46811', 1, 'Navalon de Abajo', 461189, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46811', 2, 'Navalon de Arriba', 461189, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46811', 3, 'Santich', 461189, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46812', 1, 'Aielo de Malferit', 460425, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46813', 1, 'Cerda', 460961, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46813', 2, 'Torre de Cerda', 460961, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46814', 1, 'La Granja de la Costera', 461542, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46814', 2, 'Llanera de Ranes', 461542, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46814', 3, 'Torrella', 462439, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46814', 4, 'Valles', 462536, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46815', 0, 'Llosa de Ranes', 461574, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46816', 1, 'Rotgla y Corbera', 462172, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46816', 2, 'Torrent de Fenollet', 462172, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46817', 0, 'Estubeny', 461213, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46820', 1, 'Anna', 460399, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46820', 2, 'Barrio Fuente Negra', 460399, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46821', 0, 'Chella', 461075, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46822', 0, 'Bolbaite', 460734, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46823', 0, 'Navarres', 461799, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46824', 0, 'Quesa', 462068, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46825', 0, 'Bicorp', 460713, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46830', 0, 'Beniganim', 460620, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46837', 0, 'Quatretonda', 461043, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46838', 1, 'Benicolet', 460575, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46838', 2, 'Llutxent', 461509, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46838', 3, 'Pinet', 461960, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46839', 1, 'Balneario de Bellus', 460497, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46839', 2, 'Bellus', 460497, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46839', 3, 'Benisuera', 460692, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46839', 4, 'Guadasequies', 461385, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46839', 5, 'Sempere', 462264, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46840', 0, 'La Pobla del Duc', 462009, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46841', 0, 'Castello de Rugat', 460902, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46842', 1, 'Ayelo de Rugat', 460431, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46842', 2, 'Montichelvo', 461751, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46842', 3, 'Rugat', 462191, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46842', 4, 'Terrateig', 462401, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46843', 1, 'Rafol de Salem', 462107, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46843', 2, 'Salem', 462212, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46844', 1, 'Beniatjar', 460569, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46844', 2, 'Otos', 461859, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46850', 0, 'L''Olleria', 461831, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46860', 0, 'Albaida', 460060, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46868', 0, 'Belgida', 460478, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46869', 1, 'Adzaneta de Albaida', 460689, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46869', 2, 'Benisoda', 460689, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46869', 3, 'Carricola', 460863, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46870', 0, 'Ontinyent', 461846, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46880', 1, 'Bocairent', 460728, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46880', 2, 'Poblet Dels Ferrers', 460728, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46890', 0, 'Agullent', 460044, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46891', 1, 'Bufali', 460752, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46891', 2, 'Palomar', 461897, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46892', 0, 'Montaverner', 461733, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46893', 0, 'Alfarrasi', 460272, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46894', 0, 'Genoves', 461326, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46900', 1, 'De Realon', 462444, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46900', 2, 'El Realon', 462444, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46900', 3, 'Torrent', 462444, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46901', 0, 'El Vedat de Torrente', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46909', 0, 'Del Juez', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46910', 1, 'Alfafar', 460229, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46910', 2, 'Benetusser', 460543, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46910', 3, 'De la Corona Nuevo', 460229, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46910', 4, 'Parque Alcosa', 460229, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46910', 5, 'Sedavi', 462233, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46920', 0, 'Mislata', 461691, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37114', 2, 'Espayos', 371204, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37114', 3, 'Gejuelo del Barro', 371507, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37114', 4, 'La Huerfana', 371204, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37114', 5, 'Muelledes', 371507, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37114', 6, 'Valrubio', 371507, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37114', 7, 'Villaseco de los Gamitos', 373697, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37115', 1, 'Almenara de Tormes', 370270, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37115', 2, 'Baos de Ledesma', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37115', 3, 'Carrascal de Olmillos', 370270, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37115', 4, 'Contiensa', 373659, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37115', 5, 'Frades Nuevo', 370270, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37115', 6, 'Frades Viejo', 370270, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37115', 7, 'Juzbado', 371670, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37115', 8, 'Olmillos', 371670, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37115', 9, 'Valverdon', 373420, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 1, 'Aldeagutierrez', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 2, 'Estacas', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 3, 'Estanquillas', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 4, 'Los Mesones', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 5, 'Pelilla', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 6, 'La Reverita', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 7, 'La Sagrada (Ledesma)', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 8, 'La Samasa', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 9, 'La Samasita', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 10, 'Santo Domingo', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 11, 'La Vadima', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37116', 12, 'Zorita', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37120', 1, 'Cabrasmalas', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37120', 2, 'Calzadilla de la Valmuza', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37120', 3, 'Doinos de Salamanca', 371171, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37120', 4, 'La Golpejera', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37120', 5, 'Torre de la Valmuza', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 1, 'Argentina', 371171, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 2, 'Burrinas', 371171, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 3, 'Carrascal de Barregas', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 4, 'Florida de Liebana', 371298, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 5, 'Palacio de Villalones', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 6, 'El Palacio del Rio', 371171, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 7, 'Parada de Arriba', 372301, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35340', 3, 'Lanzarote (Por Valleseco)', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35340', 4, 'Madrelagua', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35340', 5, 'Valleseco', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 1, 'Barranco', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 2, 'Barranquillo (Valleseco)', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 3, 'Carpinteras', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 4, 'Caseron', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 5, 'Huertas de la Laguna', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 6, 'La Laguna', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 7, 'Monagas', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 8, 'Sobradillo (Valleseco)', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 9, 'Troyana', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 10, 'Valsendero', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 11, 'Zamora', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35349', 12, 'Zumacal', 350326, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35350', 1, 'Acusa Verde', 350056, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35350', 2, 'Artenara', 350056, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35350', 3, 'Las Arvejas', 350056, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35350', 4, 'Barranco Hondo (Artenara)', 350056, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35350', 5, 'Candelaria', 350056, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35350', 6, 'De la Corua', 350056, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35350', 7, 'Las Cuevas', 350056, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35350', 8, 'Las Hoyas', 350056, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35350', 9, 'Juncalillo (Galdar)', 350056, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35350', 10, 'Tablado', 350056, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35360', 1, 'Tejeda', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35360', 2, 'La Tosca', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35368', 1, 'Carrizal de Tejeda', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35368', 2, 'Casa Forestal Pajonales', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35368', 3, 'La Culata', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35368', 4, 'Espinillo', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35368', 5, 'El Fondillo (Tejada)', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35368', 6, 'Higuerilla', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35368', 7, 'El Juncal', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35368', 8, 'Pagos de Casas Juan Gomez', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35368', 9, 'Roque', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35368', 10, 'Solana del Chorrillo', 350252, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35369', 1, 'Aserrador', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35369', 2, 'Ayacata', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35369', 3, 'La Candelilla', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35369', 4, 'Casas de Huertas', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35369', 5, 'Casas de Umbrias', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35369', 6, 'Casas del Lomo', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35369', 7, 'Cercados de Araa', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35369', 8, 'Cruces de Las Horadas', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35369', 9, 'Hoya de la Vieja', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35369', 10, 'Timagada', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35400', 0, 'Arucas', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 1, 'Los Alemanes (Arucas)', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 2, 'Barriada de Juan Xxiii', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 3, 'Lomo Grande', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 4, 'El Lomo (Santidad)', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 5, 'La Palmita', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 6, 'Puente de Tenoya', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 7, 'El Puente', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 8, 'San Francisco Javier', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 9, 'San Gregorio', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 10, 'Santidad Alta', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35411', 11, 'Santidad Baja', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 1, 'Los Altabacales', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 2, 'Barrio Virgen del Pino', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 3, 'Camino de la Cruz', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 4, 'Camino del Arco', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 5, 'Los Castillos', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 6, 'Las Chorreras', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 7, 'El Guincho', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 8, 'Honduras', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 9, 'Llano Blanco', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 10, 'El Lomito', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 11, 'Lomo Ramirez', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 12, 'Las Longueras (Arucas)', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 13, 'Los Peones', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 14, 'Los Portales', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 15, 'Santa Flora', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 16, 'La Solana (Arucas)', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 17, 'Tanasio', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 18, 'Trasmontaa', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35412', 19, 'Visvique', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 1, 'Altillo', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 2, 'La Carabela', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 3, 'Cardonal (Arucas)', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 4, 'Costa', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 5, 'Cruz de Pineda', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 6, 'La Fula', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 7, 'Hinojal', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 8, 'Las Hoyas (Arucas)', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 9, 'Lomo Quintanilla', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 10, 'Pagador', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 11, 'La Palmila', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 12, 'Los Palmitos', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 13, 'Quintanilla', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 14, 'El Roque (Arucas)', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 11, 'San Andres', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 16, 'San Felipe', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35413', 17, 'Trapiche (Arucas)', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 1, 'Barranquilla', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 2, 'Baaderos', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 3, 'Casas del Cementerio', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 4, 'Coloradas', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 5, 'La Cuestilla', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 18, 'La Palmita (San Andres y Sauce', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 19, 'Topaciegas', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38727', 20, 'La Tosca (Los Sauces)', 380070, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38728', 1, 'Los Franceses', 380162, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38728', 2, 'Roque Faro', 380162, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38728', 3, 'El Tablado', 380162, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 1, 'Bajamar (Sauces)', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 2, 'Bermudez', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 3, 'Caldereta', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 4, 'El Calvario (San Andres y Sauc', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 5, 'La Calzada', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 6, 'Cardonal', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 7, 'El Convento (San Andres y Sauc', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 8, 'La Cruz Chiquita', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 9, 'Curva del Valle', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 10, 'El Fondo (San Andres y Sauces)', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 11, 'La Fuente Nueva', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 12, 'Galguitos', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 13, 'Garachico (San Andres y Sauces', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 14, 'Llano del Pino', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 15, 'Lomitos de Abajo', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 16, 'Lomo Chico', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 17, 'Lomo de San Pedro', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 18, 'Manos de Oro', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 19, 'El Melonar', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 20, 'Orotava (San Andres y Sauces)', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 21, 'La Pedrera (San Andres y Sauce', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 22, 'La Placeta (San Andres y Sauce', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 23, 'Puerto Espindola', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 24, 'Quinta Zoca', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 25, 'Ramirez', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 26, 'El Roque (San Andres y Sauces)', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 27, 'San Andres de la Palma', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 28, 'San Juan (San Andres y Sauces)', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 29, 'El Tanque (Los Sauces)', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 30, 'El Valle', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 31, 'Vereda de Bajamar', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38729', 32, 'Vereda de Lomadas', 380337, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38730', 0, 'Mazo', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 1, 'Aeropuerto de la Palma', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 2, 'Belmaco', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 3, 'Callejones de Abajo', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 4, 'El Calvario (Mazo)', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 5, 'Lomo Oscuro de Abajo', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 6, 'Lomo Oscuro de Arriba', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 7, 'Malpaises', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 8, 'Monte de Luna', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 9, 'La Sabina (Santa Cruz de la Pa', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 10, 'San Simon', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 11, 'Tigalate Abajo', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 12, 'Tigalate Arriba', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 13, 'Tiguerorte', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38738', 14, 'Tirimaga', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38739', 1, 'Barrio de Monte de Abajo', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38739', 2, 'Callejones de Arriba', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38739', 3, 'Lodero', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38739', 4, 'Monte Breas', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38739', 5, 'Monte de Arriba', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38739', 6, 'Monte Pueblo', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38739', 7, 'El Poleal', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38739', 8, 'La Polvorosa', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38739', 9, 'La Rosa (Santa Cruz de la Palm', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38739', 10, 'Santa Rosalia', 380532, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38740', 0, 'Fuencaliente', 380146, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38749', 1, 'Las Caletas (Fuencalite)', 380146, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38749', 2, 'El Charco', 380146, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38749', 3, 'Las Indias', 380146, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38749', 4, 'Los Quemados (Santa Cruz de la', 380146, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38750', 0, 'El Paso', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 1, 'Barrial de Abajo', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 2, 'Barrial de Arriba', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 3, 'Barrial de Enmedio', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 4, 'Camino de la Cumbrecita', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 5, 'Camino del Medio (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 6, 'Camino Viejo', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 7, 'Chorro Don Diego', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 8, 'Cuesta del Viejo', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 9, 'Cuesta Matias', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 10, 'Fatima (Parte Alta)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 11, 'Monte Lujan', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 12, 'Las Moraditas (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 13, 'La Rosa (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38758', 14, 'Tacande de Arriba (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 1, 'Barros', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 2, 'Cajita del Agua', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 3, 'Camino de Rodrigo', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 4, 'Camino Dos Palmas', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 5, 'Camino San Nicolas', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 6, 'Camino San Telmo', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 7, 'Los Campitos (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 8, 'Empalme Tajuya', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 9, 'La Hoya (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 10, 'Jedey (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 11, 'Malpais (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 12, 'Manchas de Abajo', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 13, 'Las Manchas (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 14, 'El Paraiso', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 15, 'Paso de Abajo', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 16, 'Tacande Abajo (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 17, 'Vista Alegre (El Paso)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38759', 18, 'Vista Valle (Bungalows)', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38760', 0, 'Llanos de Aridane', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 1, 'De Angosto', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 2, 'Las Angustias (Llanos)', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 3, 'Los Areneros', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 4, 'Argual de Abajo', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 5, 'Bajamontaa', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 6, 'La Calera', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 7, 'Cercado de Afuera', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 8, 'Cuatro Caminos (Llanos)', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 9, 'Jedey (Los Llanos)', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 10, 'Laurel el (Los Llanos de Arida', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 11, 'Las Martelas', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 12, 'Parque Antonio Gomez', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 13, 'La Punta de Argual', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 14, 'Las Rosas (Los Llanos)', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 15, 'Triana', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38767', 16, 'La Vera (Los Llanos)', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 1, 'Barros (Los Llanos)', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 2, 'Bergoyo', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 3, 'Bungalows Celta', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 4, 'Cajita del Agua Parte Baja', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 5, 'Calzada Jesus del Monte', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 6, 'Camino de la Caldera', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 7, 'Camino de la Palmita', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 8, 'La Carrilla', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 9, 'Cruz de la Paloma', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 10, 'Los Dos Pinos', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 11, 'Hermosilla', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40495', 1, 'Domingo Garcia', 400680, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40495', 2, 'Ortigosa del Pestao', 401517, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40496', 1, 'Ciruelos de Coca', 400576, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40496', 2, 'Fuente de Santa Cruz de Coca', 400576, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40496', 3, 'Villagonzalo de Coca', 400576, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40496', 4, 'Villeguillo', 402304, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40500', 0, 'Riaza', 401706, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40510', 1, 'Alquite', 401706, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40510', 2, 'Becerril', 401706, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40510', 3, 'Madriguera', 401706, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40510', 4, 'Martin Muoz de Ayllon', 401706, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40510', 5, 'El Muyo', 401706, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40510', 6, 'Serracin', 401706, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40512', 1, 'Grado del Pico', 400241, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40512', 2, 'El Negredo', 400241, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40512', 3, 'Santibaez de Ayllon', 400241, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40512', 4, 'Villacorta', 401706, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40513', 1, 'Aldealazaro', 401713, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40513', 2, 'Ribota', 401713, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40514', 1, 'Estebanvela', 400241, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40514', 2, 'Francos', 400241, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40514', 3, 'Saldaa de Ayllon', 400241, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40514', 4, 'Valvieja', 400241, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40515', 0, 'Riofrio de Riaza', 401728, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40516', 0, 'Fresno de Cantespino', 400791, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40517', 1, 'Aldeanueva del Monte', 401706, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40517', 2, 'Barahona de Fresno', 401706, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40517', 3, 'Sequera de Fresno', 401961, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40518', 1, 'Cascajares', 400791, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40518', 2, 'Castiltierra', 400791, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40518', 3, 'Cincovillas', 400791, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40518', 4, 'Gomeznarro', 400791, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40518', 5, 'Pajares de Fresno', 400791, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40518', 6, 'Riahuelas', 400791, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40520', 0, 'Ayllon', 400241, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40529', 1, 'Alconada de Maderuelo', 400058, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40529', 2, 'Alconadilla', 400058, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40529', 3, 'Corral de Ayllon', 400616, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40529', 4, 'Riaguas de San Bartolome', 401689, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40530', 1, 'Barbolla', 400254, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40530', 2, 'Cobachuelas', 400254, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40530', 3, 'Corralejo', 400254, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40530', 4, 'El Olmillo', 400254, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40530', 5, 'El Olmo', 400254, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40530', 6, 'Villarejo (El Olmo)', 400254, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40531', 1, 'Aldeonte', 400169, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40531', 2, 'Encinas', 400714, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40531', 3, 'Navares de Ayuso', 401425, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40532', 1, 'Aldeanueva de la Serrezuela', 400096, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40532', 2, 'Navares de Arriba', 400096, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40532', 3, 'Navares de Enmedio', 401431, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40532', 4, 'Navares de Las Cuevas', 401446, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40533', 0, 'Aldehorno', 400143, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40540', 1, 'Carabias', 401615, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40540', 2, 'Ciruelos de Pradales', 401615, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40540', 3, 'Fresno de la Fuente', 400805, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40540', 4, 'Pradales', 401615, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40541', 1, 'Honrubia de la Cuesta', 400997, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40541', 2, 'Villalbilla de Montejo', 402290, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40542', 1, 'Montejo de la Vega de la Serre', 401327, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40542', 2, 'Moral de Hornuez', 401327, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40542', 3, 'Villaverde de Montejo', 402290, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40550', 1, 'Bercimuel', 400292, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40550', 2, 'Cedillo de la Torre', 400523, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40551', 1, 'Campo de San Pedro', 400390, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40551', 2, 'Cilleruelo de San Mames', 400557, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40552', 0, 'Fuentemizarra', 400390, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40553', 0, 'Valdevarnes', 400390, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40554', 1, 'Casas de Maluque', 401155, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40554', 2, 'Central Electrica de Linares', 401155, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40554', 3, 'Maderuelo', 401155, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40554', 4, 'Maluque', 401155, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40555', 0, 'Aldealengua de Santa Maria', 400083, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40556', 1, 'Languilla', 401095, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40556', 2, 'Mazagatos', 401095, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40560', 1, 'Boceguillas', 400328, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40560', 2, 'Turrubuelo', 400328, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40567', 0, 'Pajarejos', 401543, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40568', 0, 'Aldeanueva del Campanario', 400328, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40569', 0, 'Grajera', 400978, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40590', 1, 'Casla', 400450, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40590', 2, 'La Rades', 400450, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40590', 3, 'Rosuero', 401919, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40590', 4, 'Santo Tome del Puerto', 400450, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40590', 5, 'Siguero', 401919, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40590', 6, 'Sigueruelo', 401919, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40590', 7, 'Villarejo (Santo Tome del Puer', 400450, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40591', 1, 'Cerezo de Abajo', 400539, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40591', 2, 'Mansilla', 400539, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40592', 0, 'Cerezo de Arriba', 400544, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40593', 1, 'Castillejo de Mesleon', 400463, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40593', 2, 'Hostal El Ancla', 400463, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40593', 3, 'Sotos de Sepulveda', 400463, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('40594', 0, 'Santa Maria de Riaza', 400241, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41001', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41002', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41003', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41004', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41005', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41006', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41007', 4, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41008', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41009', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41010', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41011', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41012', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41013', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41014', 2, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41015', 2, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41016', 2, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41017', 2, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41018', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41019', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41020', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41070', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41071', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41080', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41089', 0, 'Montequinto', 410384, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41092', 0, 'Sevilla', 410917, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41100', 1, 'Carchena', 410346, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41100', 2, 'Coria del Rio', 410346, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41100', 3, 'La Vega', 410346, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41110', 0, 'Bollullos de la Mitacion', 410166, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41111', 0, 'Almensilla', 410107, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41120', 0, 'Gelves', 410444, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41130', 1, 'Colinas', 410798, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41130', 2, 'La Compaia', 410798, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41130', 3, 'La Puebla del Rio', 410798, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41140', 1, 'Isla Minima', 419022, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41140', 2, 'Queipo de Llano', 419022, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41140', 3, 'Villafranco del Guadalquivir', 419022, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41150', 1, 'Alfonso Xiii', 419022, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41150', 2, 'Rincon de los Lirios', 419022, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41200', 0, 'Alcala del Rio', 410055, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41209', 1, 'Esquivel', 410055, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41209', 2, 'San Ignacio del Viar', 410055, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41209', 3, 'Torre de la Reina', 410055, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41210', 1, 'Central de Cala', 410495, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41210', 2, 'Guillena', 410495, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41210', 3, 'Lagos del Serrano', 410495, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46930', 1, 'Barrio Jose Artesano', 461022, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46930', 2, 'Barrio M. Vilar', 461022, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46930', 3, 'Barrio Porta', 461022, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46930', 4, 'Ciudad Mudeco', 461022, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46930', 5, 'Colonia el Cano', 461022, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46930', 6, 'Quart de Poblet', 461022, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46940', 1, 'Aeropuerto de Manises (Valenci', 461593, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46940', 2, 'Cipreret', 461593, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46940', 3, 'Collado', 461593, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46940', 4, 'Manises', 461593, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46940', 5, 'Pinate', 461593, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46940', 6, 'La Presa', 461593, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46940', 7, 'El Raco', 461593, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46950', 0, 'Xirivella', 461108, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46960', 1, 'Aldaia', 460214, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46960', 2, 'Barrio del Cristo', 460214, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46970', 0, 'Alaquas', 460057, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46980', 1, 'Campamento (Paterna)', 461901, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46980', 2, 'Del Cebo', 461901, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46980', 3, 'Paterna', 461901, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46988', 0, 'Poligono Fuente del Jarro', 461901, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46989', 0, 'Terramelar', 461901, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47001', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47002', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47003', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47004', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47005', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47006', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47007', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47008', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47009', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 5, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47010', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47011', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47012', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47013', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47014', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47015', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47016', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47070', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47071', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47080', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47100', 0, 'Tordesillas', 471659, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47110', 0, 'Casasola de Arion', 470360, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47111', 0, 'Villalar de los Comuneros', 472103, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47112', 0, 'Pedrosa del Rey', 471132, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47113', 1, 'Villalbarba', 472131, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47113', 2, 'Villavieja del Cerro', 472131, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47114', 1, 'Matilla de los Caos', 470838, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47114', 2, 'Torrecilla de la Abadesa', 471662, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47114', 3, 'Velilla', 471907, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47115', 1, 'Bercero', 470170, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47115', 2, 'Berceruelo', 470186, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47116', 0, 'Pollos', 471219, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47120', 0, 'Mota del Marques', 470973, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47129', 1, 'Adalia', 470014, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47129', 2, 'Barruelo del Valle', 470148, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47129', 3, 'San Cebrian de Mazote', 471420, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47129', 4, 'San Pelayo del Valle', 470014, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47129', 5, 'Torrecilla de la Torre', 471684, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47130', 0, 'Simancas', 471610, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47131', 1, 'Geria', 470719, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47131', 2, 'Robladillo', 471356, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47131', 3, 'Velliza', 471914, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47131', 4, 'Ventas de Geria', 470719, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47131', 5, 'Villan de Tordesillas', 472162, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47132', 1, 'Pedroso de la Abadesa', 471467, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47132', 2, 'San Miguel del Pino', 471467, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47132', 3, 'Villamarciel', 471659, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47133', 1, 'Marzales', 470817, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47133', 2, 'Vega de Valdetronco', 471880, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47134', 1, 'Gallegos de Hornija', 470698, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47134', 2, 'San Salvador de Hornija', 470698, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47134', 3, 'Torrelobaton', 471718, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47134', 4, 'Villasexmir', 472257, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47140', 0, 'Laguna de Duero', 470761, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47150', 0, 'Viana de Cega', 471935, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47151', 0, 'Boecillo', 470231, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47152', 0, 'Puente Duero', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47153', 0, 'El Pinar de Antequera', 471868, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47155', 0, 'Santovenia de Pisuerga', 471551, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47160', 1, 'Aldea de San Miguel', 470066, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47160', 2, 'Arrabal de Portillo', 471224, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47160', 3, 'Portillo', 471224, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47161', 1, 'Herrera de Duero', 471757, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47161', 2, 'Puente Herrera', 471757, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47162', 0, 'Aldeamayor de San Martin', 470072, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47164', 1, 'San Miguel del Arroyo', 471454, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47164', 2, 'Santiago del Arroyo', 471454, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47165', 0, 'Camporredondo', 470323, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47166', 0, 'Viloria del Henar', 471940, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47169', 1, 'La Corala', 470761, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47169', 2, 'El Otero', 471757, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47170', 0, 'Renedo de Esgueva', 471338, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47171', 0, 'Castronuevo de Esgueva', 470442, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47172', 0, 'Villarmentero de Esgueva', 472244, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47173', 0, 'Olmos de Esgueva', 471052, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47174', 0, 'Villanueva de los Infantes', 472218, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47175', 0, 'Pia de Esgueva', 471179, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47176', 0, 'Esguevillas de Esgueva', 470611, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47177', 0, 'Amusquillo', 470091, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47180', 0, 'Villafuerte de Esgueva', 472064, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47181', 0, 'Villaco', 472005, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47182', 0, 'Castroverde de Cerrato', 470474, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47183', 0, 'Torre de Esgueva', 471697, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47184', 0, 'Fombellida', 470626, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47185', 0, 'Canillas de Esgueva', 470344, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47186', 0, 'Encinas de Esgueva', 470604, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47190', 0, 'Wamba', 472309, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47191', 0, 'Ciguuela', 470513, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47192', 0, 'Castrodeza', 470416, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47193', 0, 'La Cisterniga', 470528, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47194', 1, 'Fuensaldaa', 470663, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47194', 2, 'Mucientes', 470989, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47195', 1, 'Arroyo de la Encomienda', 470105, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47195', 2, 'La Flecha', 470105, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47196', 0, 'Pedraja de Portillo', 471111, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47197', 0, 'Valladolid', 471868, 47, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47200', 0, 'Valoria la Buena', 471842, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47209', 1, 'Muedra', 471441, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47209', 2, 'De Quiones', 471441, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47209', 3, 'San Andres', 471441, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47209', 4, 'San Martin de Valveni', 471441, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47210', 0, 'Ataquines', 470112, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47219', 1, 'Honcalada', 471415, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47219', 2, 'Honquilana', 471415, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47219', 3, 'Muriel de Zapardiel', 471006, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47219', 4, 'Salvador de Zapardiel', 471415, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47219', 5, 'San Pablo de la Moraleja', 471473, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47220', 0, 'Pozaldez', 471245, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47230', 0, 'Matapozuelos', 470822, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47238', 1, 'Alcazaren', 470053, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47238', 2, 'Hornillos de Eresma', 470745, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47238', 3, 'Villalba de Adaja', 470053, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47239', 1, 'Aniago', 472184, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47239', 2, 'Serrada', 471599, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47232', 0, 'Ventosa de la Cuesta', 471929, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47239', 4, 'Villanueva de Duero', 472184, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47240', 0, 'Valdestillas', 471821, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 6, 'Escaleritas', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 7, 'El Pilon', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 8, 'El Puertillo', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 9, 'Punta Camello', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35414', 10, 'Risco el (Arucas)', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35415', 1, 'Carril', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35415', 2, 'Hornillos', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35415', 3, 'Hoya Alta', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35415', 4, 'Montaa Cardones', 350069, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35420', 0, 'Moya', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35421', 1, 'Aguas de Fontanales', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35421', 2, 'Barranco del Pinar (Moya)', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35421', 3, 'Hoyos del Clavero', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35421', 4, 'Juarada', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35421', 5, 'Laurel', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35421', 6, 'Peon', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35421', 7, 'San Bartolome Fontanales', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35421', 8, 'San Fernando', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35421', 9, 'Tablero', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35421', 10, 'Tilas', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35422', 1, 'Cabo Verde', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35422', 2, 'Las Carreras', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35422', 3, 'El Dean', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35422', 4, 'El Fronton', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35422', 5, 'El Palmito', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35422', 6, 'Toscales', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35422', 7, 'Trujillo (Moya)', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35422', 8, 'De Trujillo', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35423', 1, 'Los Canales', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35423', 2, 'Carreteria', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35423', 3, 'El Charco', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35423', 4, 'Doramas', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35423', 5, 'Los Dragos (Moya)', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35423', 6, 'El Lance', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35423', 7, 'Lomo Blanco (Moya)', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35423', 8, 'La Montaeta (Moya)', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35423', 9, 'El Palo', 350136, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35430', 1, 'Bachicao', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35430', 2, 'Firgas', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35430', 3, 'El Hoyo (Firgas)', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35430', 4, 'Lomo de la Viuda', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35430', 5, 'Lomo de San Pedro (Firgas)', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35430', 6, 'La Montaa (Tenoya)', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35430', 7, 'Risco el (Tenoya)', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35431', 1, 'Buenlugar', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35431', 2, 'Casablanca', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35431', 3, 'El Estanco (Firgas)', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35431', 4, 'San Anton', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35431', 5, 'Trapichillos', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35432', 1, 'Acebuche', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35432', 2, 'Los Barranquillos', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35432', 3, 'La Caldera', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35432', 4, 'Cambalud', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35432', 5, 'Los Chorros', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35432', 6, 'Las Huertecillas', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35432', 7, 'Los Lomillos', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35432', 8, 'Padilla', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35432', 9, 'Quintanilla de Firgas', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35432', 10, 'Trapiche', 350081, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35450', 0, 'Santa Maria de Guia', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 1, 'Risco de la Aguililla', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 2, 'Alguacilejos', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 3, 'Barranco del Pinar (Santa Mari', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 4, 'Barranquillo Frio', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 5, 'Bascamao', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 6, 'El Brezal', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 7, 'Barranquillo Cardoso', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 8, 'Carne de Agua', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 10, 'Caserio de Marente', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 11, 'El Ciruelo', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 12, 'Cuesta de Caraballo', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 13, 'Cuesta del Hornillo', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 14, 'Cuevas del Monte', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 15, 'Fronton', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 16, 'Fuente Bermeja', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 17, 'Guzman', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 18, 'Hoya del Bardo', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 19, 'Hoya del Predegal', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 20, 'Hoya la Prensa', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 22, 'Ingenio Blanco', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 23, 'Junquillo', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 24, 'Las Laderas (Santa Ma de Guia)', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 25, 'Lomo Betancor', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 26, 'Lomo del Pino', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 27, 'Lomo el Negro', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 28, 'Lomo la Raya', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 29, 'Lomo Las Quemadas', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 30, 'Montaa Alta (Santa Maria de G', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 31, 'El Palmital Alto', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 32, 'Paso Maria de los Santos', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 33, 'Piedra de Molino', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 34, 'Santa Cristina', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 35, 'Santa Ines Bajo', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 36, 'La Sillailla', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 37, 'Los Solapones', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 38, 'La Solapilla', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 39, 'Tres Cruces (Santa Ma de Guia)', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35457', 40, 'Verdejo', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 1, 'Albercon de la Virgen', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 2, 'Barranco Hondo (Santa Maria de', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 3, 'Calabozo', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 4, 'Casas de Aguilar', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 5, 'Cenovio de Valeron', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 7, 'Cuesta de Silva', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 8, 'La Dehesa', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 9, 'Desaguaderos', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 10, 'Doana', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 11, 'Farailaga', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 12, 'El Gallego Delantero', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 13, 'El Gallego Trasero', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 14, 'La Granja', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 15, 'El Hormiguero', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 16, 'Llano Alegre', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 18, 'Lomo de Las Azucenas', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 19, 'Lomo la Zarza', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 20, 'Lomo los Martines', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 21, 'Mondragones', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 22, 'La Montaeta (Sta Ma de Guia)', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 23, 'Palmital Bajo', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 24, 'El Palmital', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 25, 'San Blas', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 26, 'San Juan', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 27, 'Santa Ines', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 28, 'La Suerte', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 29, 'Tres Palmas', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 30, 'Vergara', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35458', 31, 'Vergara Bajo', 350234, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 1, 'Anzo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 2, 'Anzofe', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 3, 'Las Boticarias', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 4, 'El Capellan', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 5, 'Caada la (Sta Ma de Guia)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 6, 'El Drago (Sta Ma de Guia)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 7, 'Hasta Km. 24 General', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 8, 'Hoya del Guanche', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 9, 'Ingenio (Sta Ma de Guia-Anzo)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 10, 'Llanos de Parra', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 12, 'Las Hoyas Hondas', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 13, 'Jarra Canaria', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 14, 'Lomo de los Caballos', 380276, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 15, 'Los Lomos', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 16, 'Los Pedregales', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 17, 'Puente Vicente Brito', 999999, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38768', 18, 'Retamar (Los Llanos)', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 1, 'Cabrejas', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 2, 'Los Campitos (Llanos)', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 3, 'Casa de la Bombilla', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 4, 'La Condesa', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 5, 'La Crucita', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 6, 'Fincas del Saliente de Hoyos', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 7, 'La Gata', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 8, 'Hoya de la Laguna', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 9, 'Isla del Sol', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 10, 'De Jose Maria', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 11, 'Los Pasitos', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 12, 'El Pedregal', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 13, 'Playa Nueva', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 14, 'Pompillo', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 15, 'Puerto de Naos', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 16, 'El Remo', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 17, 'Tajuya', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38769', 18, 'Todoque', 380244, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38770', 0, 'Tazacorte', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 1, 'Algodonero', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 2, 'Las Angustias (Tazacorte)', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 3, 'Arenero', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 4, 'Barriada de San Miguel', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 5, 'La Costa (Tazacorte)', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 6, 'La Cruz', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 7, 'Cuesta Zapata', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 8, 'Marina', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 9, 'El Puente (Tazacorte)', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 10, 'El Puerto de Tazacorte', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 11, 'Las Rozas', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 12, 'San Borondon', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 13, 'Taburiente', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38779', 14, 'Los Tarajales', 380453, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38780', 0, 'Tijarafe', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38787', 0, 'Garafia', 380162, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38788', 1, 'El Castillo (Tijarafe)', 380162, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38788', 2, 'Cueva del Agua', 380162, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38788', 3, 'Hoya Grande (Tijarafe)', 380162, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38788', 4, 'Llano Negro', 380162, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38788', 5, 'Las Tricias', 380162, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 1, 'Aguatavar', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 2, 'Amagar', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 3, 'Arojina', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 4, 'Banaros', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 5, 'Las Caletas (Tijarafe)', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 6, 'Calladito', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 7, 'El Calvario (Los Llanos)', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 8, 'La Capellania (Llanos)', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 9, 'Casa de la Hacienda', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 10, 'Casa Quemada', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 11, 'La Castellana', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 12, 'El Conadero', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 13, 'Las Cruces (Los Llanos)', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 14, 'Fagundo', 380295, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 15, 'El Fallal', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 16, 'Fuente de Candelaria', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 17, 'El Jesus', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 18, 'Lomito de la Fuente del Toro', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 19, 'El Lomito', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 20, 'Lomo de la Travesia', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 21, 'Lomo de los Barreros', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 22, 'Lomo de los Breveras', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38789', 23, 'Lomo Rallanito', 380472, 38, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 8, 'Puerto de la Anunciacion', 371298, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 9, 'San Justo de la Valmuza', 371422, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 10, 'Santibaez del Rio', 371171, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37129', 11, 'Villaselva', 371298, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 2, 'Villarmayor', 373659, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 3, 'Doinos de Ledesma', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 4, 'Gejo de Diego Gomez', 371860, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 5, 'Mata de Ledesma', 373659, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 6, 'Porqueriza', 371860, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 7, 'Tajurmientos', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 8, 'Zafron', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 9, 'Berrocal de Padierno', 373659, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 10, 'Carreros', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 11, 'Tabera de Abajo', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 12, 'Padierno', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 13, 'Quejigal', 370798, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 14, 'Robliza de Cojos', 372702, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 15, 'Cojos de Robliza', 372702, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 16, 'Teso del Corcho', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 17, 'San Roman', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 18, 'Encinasola de San Roman', 373659, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37130', 19, 'Valdefresno', 373147, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37139', 1, 'El Barrero de Porqueriza', 371860, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37139', 2, 'Dehesitas', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37139', 5, 'El Gejo', 999999, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37140', 1, 'El Campo de Ledesma', 373701, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37140', 2, 'Espioja', 373701, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37147', 0, 'Villar de Peralonso', 373603, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37148', 1, 'Becerril', 371263, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37148', 2, 'Espadaa', 371263, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37148', 3, 'Pedernal', 371263, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37148', 4, 'Pealvo', 373296, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37148', 5, 'Sardon de los Alamos', 373603, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37148', 6, 'Tremedal de Tormes', 373296, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37148', 7, 'Villosino', 371263, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37149', 1, 'Cuadrillero de los Gusanos', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37149', 2, 'Cuadrilleros', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37149', 3, 'Gusanos', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37149', 4, 'Mazan', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37149', 5, 'Moscosa y Gusende', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37149', 6, 'Mozodiel de Abajo', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37149', 7, 'Mozodiel del Campo', 371703, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37149', 8, 'Trabadillo', 373296, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37150', 1, 'Bermimuelle', 373701, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37150', 2, 'Gejo de los Reyes', 373701, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37150', 3, 'Villaseco de los Reyes', 373701, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37159', 1, 'Berganciano', 373701, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37159', 2, 'Cerezal de Puertas', 372626, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37159', 3, 'El Groo', 373701, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37159', 4, 'Manceras', 372626, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37159', 5, 'Puertas', 372626, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37160', 0, 'Villarino de los Aires', 373646, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37169', 0, 'La Rachita', 373646, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 1, 'El Pino de Tormes', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 2, 'Vega de Tirados', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 3, 'Carrascalino', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 4, 'Cuartos de Abajo', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 5, 'Cuartos de Arriba', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 6, 'Dehesa Fuente Arenosa', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 7, 'Golpejas', 371514, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 8, 'La Narra', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 9, 'Palacio de los Ovalle', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 10, 'El Carmen', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 11, 'Porteros', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 12, 'San Pedro del Valle', 372908, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 13, 'Tirados de Vega', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 16, 'Zarapicos', 373809, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41219', 0, 'Las Pajanosas', 410495, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41220', 1, 'Burguillos', 410191, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41220', 2, 'Mudapelos', 410191, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41230', 0, 'Castilblanco de los Arroyos', 410270, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41240', 1, 'Almaden de la Plata', 410093, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41240', 2, 'Dehesa de San Bartolome', 410093, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41240', 3, 'Membrillo', 410093, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41240', 4, 'Morilla', 410093, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41250', 1, 'Alcornoque', 410802, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41250', 2, 'La Bastiana', 410802, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41250', 3, 'Perdigueros', 410802, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41250', 4, 'El Real de la Jara', 410802, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41300', 1, 'Poligono Industrial el Gordill', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41300', 2, 'Poligono Industrial Majaraviqu', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41300', 3, 'Poligono Industrial Nacoisa', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41300', 4, 'San Jose de la Rinconada', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41300', 5, 'Sevilla-Brenes, del Km. 5,5 al', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41300', 6, 'Sevilla-Cazalla, del Km. 4 al', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41309', 1, 'Buitrago', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41309', 2, 'Cartuja', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41309', 3, 'Casablanquilla', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41309', 4, 'La Jarilla', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41309', 5, 'Majaloba', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41309', 6, 'La Rinconada', 410819, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41310', 0, 'Brenes', 410188, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41318', 0, 'Villaverde del Rio', 411015, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41319', 0, 'El Viar del Caudillo', 410055, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41320', 1, 'De Brenes', 410233, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41320', 2, 'Cantillana', 410233, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41320', 3, 'Los Pajares', 410233, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41329', 0, 'Cerrado de Miura', 999999, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41330', 1, 'Los Rosales', 410922, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41330', 2, 'San Cayetano', 999999, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41339', 0, 'Guadajoz', 410248, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41340', 0, 'Tocina', 410922, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41350', 1, 'Arenillas', 410994, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41350', 2, 'El Sardinero', 410994, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41350', 3, 'Villanueva del Rio y Minas', 410994, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41359', 1, 'Alcornocalejos', 410994, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41359', 2, 'Carbonal', 410994, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41359', 3, 'Villanueva del Rio', 410994, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41360', 1, 'Caadas del Romero', 410732, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41360', 2, 'Fabrica de el Pedroso', 410732, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41360', 3, 'Las Jarillas', 410732, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41360', 4, 'Navahonda', 410732, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41360', 5, 'El Pedroso', 410732, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41370', 1, 'Cazalla de la Sierra', 410325, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41370', 2, 'El Galeon', 410325, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41370', 3, 'La Ganchosa', 410325, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41370', 4, 'El Pintado', 410325, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41370', 5, 'Solana del Valle', 410325, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41380', 1, 'Alanis', 410021, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41380', 2, 'El Encinar', 410021, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41380', 3, 'Fuente Juana', 410021, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41380', 4, 'La Nava', 410021, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41380', 5, 'La Viuela', 410021, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41388', 0, 'San Nicolas del Puerto', 410883, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41389', 1, 'Cerro del Hierro', 410883, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41389', 2, 'Minas de Montehierro', 410883, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41390', 1, 'Florida', 410482, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41390', 2, 'Guadalcanal', 410482, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41390', 3, 'El Hornillo', 410482, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41390', 4, 'El Postigo', 410482, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41390', 5, 'Santa Marina', 410482, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41400', 0, 'Ecija', 410397, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41409', 1, 'Cerro Perea', 410397, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41409', 2, 'Isla del Vicario', 410397, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41409', 3, 'Navalagrulla', 410397, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41409', 4, 'Turullote', 410397, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41409', 5, 'Villanueva del Rey', 410397, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41409', 6, 'El Villar del Marco', 410397, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41410', 0, 'Carmona', 410248, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41420', 0, 'Fuentes de Andalucia', 410423, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41429', 0, 'La Campana', 410227, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41430', 0, 'La Luisiana', 410567, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41439', 1, 'El Campillo (Caada del Rosal)', 419017, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41439', 2, 'Caada Rosal', 419017, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41439', 3, 'La Monclova', 419017, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 1, 'El Acebuchal (Lora del Rio)', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 2, 'El Alamo (Lora del Rio)', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 3, 'Azanaque', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 4, 'Lora del Rio', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 5, 'Majadales', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 6, 'El Priorato', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 7, 'La Rambla', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 8, 'La Ramblilla', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 9, 'El Rincon', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 10, 'Setefilla', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41440', 11, 'El Sevillano', 410554, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41449', 1, 'Alcolea del Rio', 410068, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41449', 2, 'La Boyal', 410068, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41449', 3, 'Piedra de la Sal', 410068, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41450', 1, 'Constantina', 410331, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41450', 2, 'Fuente el Negro', 410331, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41460', 0, 'Las Navas de Las Concepcion', 410665, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41470', 1, 'Peaflor', 410747, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41470', 2, 'Vega de Almenara', 410747, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41470', 3, 'Vereda', 410747, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41479', 0, 'La Puebla de los Infantes', 410785, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41500', 1, 'El Acebuchal (Alcala de Guadai', 410042, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41500', 2, 'Alcala de Guadaira', 410042, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41500', 3, 'Marchenilla-Gandul', 410042, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41500', 4, 'Soledad', 410042, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41500', 5, 'Trujillo Cabeza Sordo', 410042, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41500', 6, 'Torrequinto', 410042, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41510', 1, 'Bencarron', 410589, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41510', 2, 'Clavinque', 410589, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41510', 3, 'Mairena del Alcor', 410589, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41510', 4, 'San Rafael', 410589, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41510', 5, 'Santa Genoveva', 410589, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41520', 0, 'Viso del Alcor', 411020, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41530', 1, 'Las Encarnaciones', 410652, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41530', 2, 'Las Matas', 410652, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41530', 3, 'Moron de la Frontera', 410652, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41530', 4, 'Las Rosas', 410652, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41540', 1, 'La Puebla de Cazalla', 410779, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41540', 2, 'San Antonio del Fontanal', 410779, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41550', 1, 'Aguadulce', 410016, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41550', 2, 'Cortijo del Marques', 410016, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41550', 3, 'Huerta del Colegio', 410016, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41560', 1, 'Alamedilla', 410418, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41560', 2, 'Estepa', 410418, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41560', 3, 'El Gallo', 410418, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41560', 4, 'Pozo del Villar', 410418, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41560', 5, 'La Salada', 410418, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41564', 0, 'Lora de Estepa', 410541, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41565', 0, 'Gilena', 410460, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41566', 0, 'Pedrera', 410726, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41567', 1, 'Las Ceuelas', 410508, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41567', 2, 'Herrera', 410508, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41567', 3, 'Isla Redonda', 410397, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41568', 0, 'El Rubio', 410845, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41569', 1, 'Marinaleda', 410613, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41569', 2, 'Matarredonda', 410613, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41570', 1, 'Badolatosa', 410140, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41570', 2, 'Burraco', 410140, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41570', 3, 'Huertas de la Manga', 410140, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47250', 0, 'Mojados', 470908, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47260', 0, 'Cabezon de Pisuerga', 470278, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47270', 0, 'Cigales', 470506, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47280', 0, 'Corcos del Valle', 470552, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47281', 0, 'Aguilarejo', 470552, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47282', 0, 'Trigueros del Valle', 471744, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47283', 0, 'Quintanilla de Trigueros', 471300, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47290', 0, 'Cubillas de Sta Marta', 470571, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47300', 0, 'Peafiel', 471147, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47310', 0, 'Campaspero', 470301, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47311', 1, 'Canalejas de Peafiel', 470339, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47311', 2, 'Fompedraza', 470632, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47312', 0, 'Bahabon de Valcorba', 470127, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47313', 1, 'Aldealbar', 471723, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47313', 2, 'Aldeyuso', 471147, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47313', 3, 'Cogeces del Monte', 470549, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47313', 4, 'Molpeceres', 471701, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47313', 5, 'Torrescarcela', 471723, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47314', 1, 'Langayo', 470777, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47314', 2, 'Manzanillo', 470800, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47314', 3, 'Padilla de Duero', 471147, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47315', 0, 'Pesquera de Duero', 471163, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47316', 1, 'Curiel de Duero', 470590, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47316', 2, 'Piel de Abajo', 471185, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47316', 3, 'Piel de Arriba', 471198, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47316', 4, 'Roturas', 471375, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47317', 1, 'Bocos', 470565, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47317', 2, 'Corrales de Duero', 470565, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47317', 3, 'San Llorente del Valle', 470565, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47317', 4, 'Valdearcos de la Vega', 471809, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47318', 1, 'Castrillo de Duero', 470382, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47318', 2, 'Melida', 471147, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47318', 3, 'Olmos de Peafiel', 471065, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47319', 1, 'Rabano', 471317, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47319', 2, 'Torre de Peafiel', 471701, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47320', 1, 'Casillas de Retamar', 470936, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47320', 2, 'Fuentes de Duero', 470936, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47320', 3, 'Lagares de Fuentes', 470936, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47320', 4, 'Montemayor de Pililla', 470936, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47320', 5, 'Tudela de Duero', 471757, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47328', 0, 'La Parrilla', 471104, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47329', 1, 'Castrillo Tejeriego', 470395, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47329', 2, 'Villabaez', 471953, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47329', 3, 'Villavaquerin de Cerrato', 470395, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47330', 0, 'Traspinedo', 471739, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47331', 0, 'Santibaez de Valcorba', 471548, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47340', 0, 'Sardon de Duero', 471570, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47350', 0, 'Quintanilla de Onesimo', 471296, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47359', 1, 'Olivares de Duero', 471034, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47359', 2, 'La Quemada', 471034, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47359', 3, 'San Bernardo', 471795, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47359', 4, 'Valbuena de Duero', 471795, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47359', 5, 'Vega Sicilia', 471795, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47360', 0, 'Quintanilla de Arriba', 471277, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47400', 0, 'Medina del Campo', 470856, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47410', 0, 'Olmedo', 471049, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47418', 1, 'Aguasal', 470029, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47418', 2, 'Fuente Olmedo', 470685, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47418', 3, 'Llano de Olmedo', 470796, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47419', 1, 'Almenara de Adaja', 470088, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47419', 2, 'Bocigas', 470210, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47419', 3, 'Puras', 471261, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47420', 0, 'Iscar', 470758, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47430', 0, 'Pedrajas de San Esteban', 471126, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47440', 1, 'Cogeces de Iscar', 470534, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47440', 2, 'Megeces de Iscar', 470534, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47450', 0, 'Pozal de Gallinas', 471230, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47451', 0, 'Calabazas', 471049, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47452', 0, 'La Zarza', 472321, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47453', 0, 'Ramiro', 471322, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47454', 0, 'Moraleja de Las Panadera', 470954, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47460', 0, 'El Campillo', 470318, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47461', 0, 'Brahojos de Medina', 470259, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47462', 0, 'Bobadilla del Campo', 470203, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47463', 0, 'Velascalvaro', 471893, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47464', 0, 'Nueva Villa de Las Torres', 471028, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47465', 0, 'Villaverde de Medina', 472282, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47470', 0, 'Carpio', 470357, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47480', 0, 'Fresno el Viejo', 470650, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47490', 0, 'Rueda', 471394, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47491', 0, 'La Seca', 471586, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47492', 1, 'Foncastin', 471394, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47492', 2, 'Rodilana', 470856, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47493', 1, 'Gomeznarro', 470856, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47493', 2, 'San Vicente del Palacio', 471564, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47494', 1, 'Cervillego de la Cruz', 470493, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47494', 2, 'Fuente el Sol', 470679, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47494', 3, 'Lomoviejo', 470783, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47494', 4, 'Rubi de Bracamonte', 471381, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47500', 0, 'Nava del Rey', 471013, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47509', 0, 'Torrecilla del Valle', 471394, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47510', 0, 'Alaejos', 470040, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47511', 0, 'Siete Iglesias de Trabancos', 471603, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47512', 0, 'Castrejon de Trabancos', 470376, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47513', 0, 'Torrecilla de la Orden', 471678, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47520', 0, 'Castronuo', 470455, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47529', 0, 'Villafranca de Duero', 472048, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47530', 0, 'San Roman de la Hornija', 471505, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47540', 1, 'Villaester de Abajo', 999999, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47540', 2, 'Villaester de Arriba', 999999, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47600', 0, 'Villalon de Campos', 472146, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47606', 1, 'Gaton de Campos', 470702, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47606', 2, 'Villafrades de Campos', 472033, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47607', 1, 'Herrin de Campos', 470730, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47607', 2, 'Villacid de Campos', 471991, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47608', 1, 'Bustillo de Chaves', 470262, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47608', 2, 'Gordaliza de la Loma', 470262, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47608', 3, 'Villagomez la Nueva', 472086, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47608', 4, 'Villanueva de la Condesa', 472197, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47609', 1, 'Fontihoyuelo', 470647, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47609', 2, 'Santervas de Campos', 471533, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47609', 3, 'Vega de Ruiponce', 471874, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47609', 4, 'Villacarralon', 471988, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47609', 5, 'Villacreces', 471533, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47609', 6, 'Zorita de la Loma', 471533, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47610', 0, 'Zaratan', 472316, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47620', 0, 'Villanubla', 472178, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47630', 0, 'La Mudarra', 470992, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47639', 1, 'Carrascalejo-Carrascal', 472125, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47639', 2, 'De Matallana', 472125, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47639', 3, 'Paramo de Matallana', 472125, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47639', 4, 'El Rocio', 472125, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47639', 5, 'Villalba de los Alcores', 472125, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47640', 1, 'Peaflor de Hornija', 471150, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47640', 2, 'La Romanita', 471150, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47640', 3, 'Torozos', 471150, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47640', 4, 'Villa Romanita', 471150, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47641', 1, 'Castromonte', 470437, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47641', 2, 'La Santa Espina', 470437, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47650', 0, 'Cuenca de Campos', 470587, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47664', 0, 'Castroponce de Valderaduey', 470468, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47670', 1, 'Becilla de Valderaduey', 470151, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47670', 2, 'La Union de Campos', 470151, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47671', 0, 'Urones de Castroponce', 471776, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47672', 0, 'Valdunquillo', 471837, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 11, 'Lomo Guillen', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 12, 'Las Longueras (Sta Ma de Guia)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 13, 'Marente', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 14, 'Montaa de Guia', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 15, 'Colegio Nacional Nicolas Aguil', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 16, 'Pineda', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 21, 'Terrero de Luchas', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35459', 22, 'La Vega', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35460', 0, 'Galdar', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 1, 'La Agazal', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 2, 'Alamillo', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 3, 'Buenavista', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 4, 'Caideros de San Jose', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 5, 'Las Calderas', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 6, 'Camino del Jucar', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 7, 'Cardonal (Galdar)', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 8, 'Chirino', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 9, 'Cuevas de Las Cruces', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 10, 'Cuevas Sosa', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 11, 'Degollada la (Galdar)', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 12, 'Fagagesto', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 13, 'El Fondillo (Galdar)', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 14, 'El Hornillo', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 15, 'Hoya del Pedregal', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 16, 'Hoya Pineda', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 17, 'Inciensa', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 18, 'Llano de Miguel Diaz', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 19, 'Lomo del Palo', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 20, 'Lucena', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 21, 'Las Mesas', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 22, 'El Molino (Galdar)', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 23, 'La Montaeta (Galdar)', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 24, 'Palominos', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 25, 'Los Picachos', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 26, 'Piso Firme', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 27, 'El Poleo', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 28, 'Rosas Las (Galdar)', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 29, 'Sao', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 30, 'Saucillo', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 31, 'Los Silos (Galdar)', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 32, 'Tegueste', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 33, 'Trujillo (Galdar)', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 34, 'Valeron', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35468', 35, 'Zamarrita', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 1, 'El Agujero', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 2, 'Barrial', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 3, 'Barrio Negrin', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 4, 'Caleta de Abajo', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 5, 'Caleta de Arriba', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 6, 'Canteras (Con los Lomos)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 7, 'El Clavo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 8, 'Corralete', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 9, 'Cruce Sardina del Norte', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 10, 'Cumbrecilla', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 11, 'Llanos de Sardina', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 12, 'Los Lomos', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 13, 'Nido Cuervo', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 14, 'Sardina del Norte', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35469', 15, 'Sobradillo (Galdar)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35470', 1, 'El Barrio (San Nicolas de Tole', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35470', 2, 'San Nicolas de Tolentino', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 1, 'Artejeves', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 2, 'El Canonigo', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 3, 'La Cardonera', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 4, 'Casas Blancas (San Nicolas de', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 5, 'El Hoyo (San Nicolas de Tolent', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 6, 'Molino de Viento (Tasarte)', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 7, 'Pago de los Cardones', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 8, 'Palillo de Tasarte', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 9, 'Los Pasitos', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 10, 'Posteragua de Tasarte', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 11, 'Rosas Las (San Nicolas de Tole', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 12, 'Tasarte', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 13, 'De Tasarte', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 14, 'Tasartico', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35478', 15, 'Tocodoman', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 1, 'El Albercon', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 2, 'Barranquillo Hondo Alto', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 3, 'Barranquillo Hondo Bajo', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 4, 'El Calvario (San Nicolas de To', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 5, 'Los Caserones', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 6, 'Cercadillos', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 7, 'El Convenio', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 8, 'El Cruce (San Nicolas de Tolen', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 9, 'Los Espinos Altos', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 11, 'La Hoyilla', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 12, 'Jerez Alto', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 13, 'Jerez Bajo', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 14, 'La Ladera', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 15, 'Marciega', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 16, 'Mederos', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 17, 'Molino de Agua', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 19, 'Montaeta Baja', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 20, 'El Parral', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 21, 'Pinillos', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 22, 'La Playa (San Nicolas de Tolen', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35479', 23, 'Tarajalillo (San Nicolas de To', 350206, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35480', 0, 'Agaete', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 1, 'Barranco Canario', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 2, 'Farragut', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 3, 'Juan Viejo', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 4, 'Lomo de Don Tomas', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 5, 'Lomo de San Anton', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 6, 'Majadilla', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 7, 'Marmolejo', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 8, 'De Marmolejo', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 9, 'Las Quintanas', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 10, 'El Roque (Agaete)', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 11, 'Rosetas', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 12, 'San Isidro (Galdar)', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35488', 13, 'Taya', 350094, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 1, 'Barranco de la Palma', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 2, 'Balneario de Berrazales', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 3, 'La Calera', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 4, 'El Capote', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 5, 'Casa del Molino', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 6, 'Casas del Camino', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 7, 'Chapin', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 8, 'La Cruz', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 9, 'Cuevecillas (Agaete)', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 10, 'La Culata (Agaete)', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 11, 'Guayedra', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 12, 'Hotel Guayarmina', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 13, 'El Hoyo (Agaetg)', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 14, 'Ingenio (Agaete)', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 15, 'La Laja', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 16, 'Lomo de San Pedro (Agaete)', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 17, 'Lomo Molino', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 18, 'Las Longueras (Agaete)', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 19, 'La Moreta', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 20, 'El Paso (Agaete)', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 21, 'La Pea (Agaete)', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 22, 'Puerto de Las Nieves', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 23, 'Risco el (Agaete)', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 24, 'San Pablo', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 14, 'Torrecilla de Miranda', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 15, 'Carrascal de Velambeles', 372908, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 17, 'Zaratan', 372534, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 18, 'Espino de los Doctores', 373659, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 19, 'Pozos de Mondar', 371860, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 20, 'La Cabra', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 21, 'La Granja', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37170', 22, 'San Jose', 373454, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37171', 1, 'El Manzano', 371980, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37171', 2, 'Monleras', 371980, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37172', 1, 'Sardon de los Frailes', 373013, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37172', 2, 'Villarejo (Sardon de los Frail', 373013, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37173', 1, 'Ahigal de Villarino', 370042, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37173', 2, 'Trabanca', 373283, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37173', 3, 'Zarza de Don Beltran', 370042, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37174', 0, 'Cabeza de Framontanos', 373646, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37175', 0, 'Perea de la Ribera', 372506, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37176', 1, 'Almendra', 370286, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37176', 2, 'Salto de Almendra', 370286, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 1, 'Amatos del Rio', 370690, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 2, 'Andres Bueno', 370690, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 3, 'Calvarrasa de Abajo', 370690, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 4, 'Centerrubio', 370690, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 5, 'Noharros del Rio', 372409, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 6, 'Nuevos Naharros', 372409, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 7, 'Pelabravo', 372409, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 8, 'La Cea', 370690, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 9, 'Nuevo Amatos', 370690, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 10, 'Valdecarretas', 370690, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37181', 11, 'Nuevo Naharros', 372409, 37, 
    0, 7, 'E', 3, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37182', 2, 'Colonia Joaquin Reixa', 999999, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37183', 1, 'Aldealgordo de Abajo', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37183', 2, 'Aldealgordo de Arriba', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37183', 3, 'Cilleros el Hondo', 372091, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37183', 4, 'Hotel los Arapiles', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37183', 5, 'Morille', 372053, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37183', 6, 'Orejudos', 370325, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37183', 7, 'San Pedro de Rozados', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37183', 8, 'Sanchoviejo', 370233, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37183', 9, 'Santo Tome de Rozados', 372091, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37183', 10, 'Torre de Juan Vazquez', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37184', 3, 'Poligono los Villares Reina', 373625, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37184', 4, 'Villares de la Reina', 373625, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37185', 1, 'El Canto', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37185', 2, 'Granja de los Paramos', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37185', 3, 'Granja Fatima', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37185', 4, 'Granja Proposa', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37185', 5, 'Gudino', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37185', 6, 'Mozodiel de Sanchiigo', 371857, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37185', 7, 'Valcuevo', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37185', 8, 'Villamayor', 373548, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37185', 9, 'Zorita de Valverdon', 371165, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37186', 1, 'Carrascalino de la Valmuza', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37186', 2, 'Continos', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37186', 3, 'Otero de Vaciadores', 370233, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37186', 4, 'Salvadorique', 370233, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37186', 5, 'Terrubias', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37186', 6, 'Turra', 372091, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37186', 7, 'Valmucina', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 1, 'Aldeagallega', 371921, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 2, 'Aldeanueva de Ariseos', 371921, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 3, 'Aldeatejada', 370233, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 4, 'Florida', 371921, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 5, 'Huerta Otea', 371921, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 6, 'El Marin', 371921, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 7, 'Miranda de Azan', 371921, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 8, 'La Moral del Rio', 371921, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 9, 'Porquerizos', 370233, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 10, 'Tejones', 371921, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 11, 'Torrecilla', 371921, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37187', 12, 'Vistahermosa (Sotomuiz)', 371921, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37188', 1, 'Carbajosa de la Sagrada', 370858, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37188', 2, 'Escuela de Capataces', 370858, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37188', 3, 'La Pinilla', 370858, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37189', 0, 'Aldeaseca de la Armua', 373625, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37190', 1, 'Los Cisnes', 373224, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37190', 2, 'El Encinar', 373224, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37191', 1, 'Calvarrasa de Arriba', 370704, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37191', 2, 'Navahonda', 370704, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37192', 1, 'Montalvo I', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37192', 2, 'Montalvo II', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37192', 3, 'Montalvo III', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37192', 4, 'Montalvo IV', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37192', 5, 'Montalvo Rano', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37192', 6, 'Sanatorio Martinez Anido', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37193', 1, 'De Aldealengua', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37193', 2, 'Aldehuela de los Guzmanes', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37193', 3, 'Arenal del Angel', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37193', 4, 'Cabrerizos', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37193', 5, 'Casar de Rozados', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37193', 6, 'La Flecha', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37193', 7, 'Rozados', 372915, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37194', 0, 'Valdelagua', 372941, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37197', 1, 'Ariseos', 372091, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37197', 2, 'Platera', 372091, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37197', 3, 'Sotomuiz', 372091, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37198', 0, 'Carpihuelo', 370858, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37200', 0, 'La Fuente de San Esteban', 371358, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37207', 0, 'Fuente San Esteban', 371358, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37208', 1, 'Boadilla', 371358, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37208', 2, 'San Muoz', 372894, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37209', 1, 'Buenamadre', 370592, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37209', 2, 'Campos de Buenamadre', 370592, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37209', 4, 'Casasola de la Encomienda', 371494, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37209', 5, 'Fonseca de Buenamadre', 370592, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37209', 6, 'Pelarrodriguez', 372416, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37209', 7, 'Villoria de Buenamadre', 371134, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37210', 0, 'Vitigudino', 373760, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37214', 1, 'Cabeza de Caballo', 370652, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37214', 2, 'Fuentes de Masueco', 370652, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37214', 3, 'La Pea', 370652, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37214', 4, 'Valsalabroso', 373408, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37214', 5, 'La Vidola', 370652, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37216', 1, 'Castillejo de Evans', 371067, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37216', 2, 'Ciperez', 371067, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37216', 3, 'Gomeciego', 372493, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37216', 4, 'La Moralita', 371067, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37216', 5, 'Peralejos de Abajo', 372480, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37216', 6, 'Peralejos de Arriba', 372493, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37216', 7, 'Escuernavacas', 372088, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37216', 8, 'Pozos de Hinojo', 372571, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37216', 9, 'Cuarton de Traguntia', 371067, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37216', 10, 'Traguntia', 372571, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 1, 'Brincones', 370589, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 2, 'Carrasca', 372800, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 3, 'Iruelos de Meson Nuevo', 370589, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 4, 'Villargordo', 373662, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 5, 'Villarmuerto', 373662, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 6, 'Barceino', 370423, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 7, 'Barceo', 370423, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 8, 'Las Uces', 370589, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 9, 'Robledo Hermoso', 373610, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 10, 'Sanchon de la Ribera', 372800, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 11, 'Villar de Samaniego', 373610, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 12, 'Carrasco', 372800, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37217', 13, 'Peas Altas', 370589, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41580', 1, 'Casariche', 410264, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41580', 2, 'Cortijo Abajo', 410264, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41580', 3, 'El Patronato', 410264, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41580', 4, 'Riguelo', 410264, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41580', 5, 'Santa Barbara', 410264, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41590', 0, 'La Roda de Andalucia', 410824, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41599', 1, 'Corcoya', 410140, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41599', 2, 'Los Cortijillos', 410140, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41599', 3, 'Los Perenos', 410140, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41599', 4, 'Los Perez', 410140, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41600', 1, 'Arahal', 410114, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41600', 2, 'La Gironda', 410114, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41600', 3, 'Las Monjas', 410114, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41610', 1, 'El Calvario', 410711, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41610', 2, 'Las Dueas', 410711, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41610', 3, 'Monte-Palacio', 410711, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41610', 4, 'El Palomar', 410711, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41610', 5, 'Paradas', 410711, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41620', 1, 'Marchena', 410606, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41630', 1, 'La Lantejuela', 410520, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41630', 2, 'Molino de Recacha', 410520, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41640', 1, 'Arenoso', 410687, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41640', 2, 'Osuna', 410687, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41640', 3, 'Puerto de la Encina', 410687, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41640', 4, 'Santa Cruz', 410687, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41640', 5, 'Vias de los Cerros', 410687, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41650', 0, 'El Saucejo', 410900, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41657', 0, 'Los Corrales', 410378, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41658', 1, 'Martin de la Jara', 410628, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41658', 2, 'Rejano', 410628, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41659', 1, 'La Mezquitilla', 410900, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41659', 2, 'Navarredonda', 410900, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41660', 0, 'Villanueva de San Juan', 411008, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41661', 0, 'Algamitas', 410080, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41670', 0, 'Pruna', 410763, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41700', 1, 'Dos Hermanas', 410384, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41703', 2, 'Fuente del Rey', 410384, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41700', 3, 'Lugar Nuevo', 410384, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41700', 4, 'Los Merinales', 410384, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41710', 1, 'El Alhorin', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41710', 2, 'Don Rodrigo', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41710', 3, 'La Encinilla y el Rubio', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41710', 4, 'Utrera', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41719', 1, 'Guadalema de los Quintero', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41719', 2, 'El Palmar de Troya', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41719', 3, 'Pantano Torre del Aguila', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41720', 0, 'Los Palacios y Villafranca', 410690, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41727', 1, 'Maribaez', 410690, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41727', 2, 'El Trobal', 410690, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41728', 1, 'Adriano', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41728', 2, 'Los Chapatales', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41728', 3, 'Cotos Regables', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41728', 4, 'Pinzon', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41728', 5, 'San Vicente Ferrer', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41728', 6, 'Valme', 410956, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41729', 1, 'Las Alcantarillas', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41729', 2, 'Consolacion', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41729', 3, 'Juan Gomez', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41729', 4, 'Sacramento', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41729', 5, 'Trajano', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41729', 6, 'Vetaherrado', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41730', 1, 'El Algarrobillo', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41730', 2, 'Las Cabezas de San Juan', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41730', 3, 'Cepija', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41730', 4, 'La Harinosa', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41730', 5, 'Marismilla', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41730', 6, 'San Rafael', 410205, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41740', 1, 'Las Arenas', 410536, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41740', 2, 'El Horcajo', 410536, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41740', 3, 'Lebrija', 410536, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41740', 4, 'San Benito', 410536, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41740', 5, 'La Seuela', 410536, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41749', 1, 'El Cuervo', 419038, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41749', 2, 'Encinilla-Grija', 419038, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41749', 3, 'Los Rabanillos (Gamo)', 419038, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41750', 0, 'Los Molares', 410634, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41760', 1, 'Aguzaderas', 410362, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41760', 2, 'El Coronil', 410362, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41760', 3, 'Palancar', 410362, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41760', 4, 'Tierras Nuevas', 410362, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41770', 1, 'El Bosque', 410649, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41770', 2, 'Galindo', 410649, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41770', 3, 'Montellano', 410649, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41770', 4, 'Pilares', 410649, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41770', 5, 'La Rata', 410649, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41780', 0, 'Coripe', 410359, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41800', 0, 'Sanlucar la Mayor', 410877, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41804', 0, 'Olivares', 410671, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41805', 0, 'Benacazon', 410153, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41806', 0, 'Umbrete', 410943, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41807', 0, 'Espartinas', 410401, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41808', 0, 'Villanueva del Ariscal', 410981, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41809', 0, 'Albaida del Aljarafe', 410037, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41810', 0, 'Castilleja del Campo', 410303, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41820', 0, 'Carrion de los Cespedes', 410251, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41830', 0, 'Huevar de Arafe', 410515, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41840', 0, 'Pilas', 410750, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41849', 0, 'Aznalcazar', 410129, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41850', 0, 'Villamanrique de la Condesa', 410975, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41860', 0, 'Gerena', 410457, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41870', 1, 'Aznalcollar', 410135, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41870', 2, 'Barbacena', 410135, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41870', 4, 'Charcofrio', 410135, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41870', 5, 'Mina Caridad', 410135, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41880', 1, 'El Hoyuelo', 410830, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41880', 2, 'La Ratilla', 410830, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41880', 3, 'El Ronquillo', 410830, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41880', 4, 'Venta Curro Gal', 410830, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41888', 1, 'Casa Toril', 999999, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41888', 2, 'El Garrobo', 410439, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41888', 3, 'Venta del Alto', 410883, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41889', 1, 'El Alisar', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41889', 2, 'Arroyo de la Plata', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41889', 3, 'El Cauelo', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41890', 1, 'El Castillo de Las Guardas', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41890', 2, 'Las Caadillas', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41890', 3, 'Las Cortecillas', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41890', 4, 'El Pedrosillo', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41890', 5, 'Peroamigo', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41897', 0, 'El Madroo', 410573, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41898', 1, 'El Alamo (Minas del Castillo)', 410573, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41898', 2, 'La Aulaga', 410573, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41898', 3, 'Juan Anton', 410573, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41898', 4, 'Juan Gallego', 410573, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41898', 5, 'Minas del Castillo', 410573, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41898', 6, 'El Peralejo', 410573, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41898', 7, 'Villargordo', 410573, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41899', 1, 'La Alcornocosa', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41899', 2, 'Archidona', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41899', 3, 'Valdeflores', 410310, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41900', 1, 'Camas', 410212, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41900', 2, 'La Paoleta', 410212, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41907', 0, 'Valencina de la Concepcion', 410969, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41908', 0, 'Castilleja de Guzman', 410286, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41909', 0, 'Salteras', 410858, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41910', 1, 'El Carambolo', 410212, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41910', 2, 'Coca de la Piera', 410212, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41920', 0, 'San Juan de Aznalfarache', 410861, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41926', 1, 'Aleros de Sevilla', 410592, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41927', 1, 'Mairena del Aljarafe', 410592, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41927', 2, 'Valle Blanco', 410592, 41, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47673', 1, 'Quintanilla del Molar', 471283, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47673', 2, 'Roales', 471283, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47674', 0, 'Barcial de la Loma', 470133, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47675', 1, 'Bolaos de Campos', 470246, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47675', 2, 'Villalan de Campos', 472099, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47676', 0, 'Villavicencio de los Caballero', 472295, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47680', 0, 'Mayorga', 470843, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47686', 0, 'Melgar de Arriba', 470894, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47687', 0, 'Melgar de Abajo', 470881, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47688', 0, 'Monasterio de Vega', 470915, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47689', 1, 'Cabezon de Valderaduey', 470284, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47689', 2, 'Castrobol', 470409, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47689', 3, 'Saelices de Mayorga', 471408, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47689', 4, 'Villalba de la Loma', 472110, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47690', 0, 'Valverde de Campos', 471855, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47691', 0, 'Moral de la Reina', 470941, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47692', 0, 'Ceinos', 470480, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47800', 0, 'Medina de Rioseco', 470869, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47810', 0, 'Villafrechos', 472051, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47811', 1, 'Morales de Campos', 470967, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47811', 2, 'Santa Eufemia del Arroyo', 471527, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47811', 3, 'Villaesper', 470967, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47812', 0, 'Palazuelo de Vedija', 471090, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47813', 1, 'Berrueces', 470199, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47813', 2, 'Villanueva de San Mancio', 472223, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47814', 1, 'Aguilar de Campos', 470035, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47814', 2, 'Villamuriel de Campos', 472159, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47815', 1, 'Tamariz de Campos', 471625, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47815', 2, 'Villabaruz de Campos', 471966, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47816', 1, 'Montealegre', 470869, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47816', 2, 'Palacios de Campos', 470869, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47816', 3, 'Valdenedro de los Valles', 471816, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47820', 0, 'Villabragima', 471972, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47830', 0, 'Tordehumos', 471646, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47831', 0, 'Pozuelo de la Orden', 471258, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47832', 0, 'Cabreros del Monte', 470297, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47840', 0, 'Villagarcia de Campos', 472070, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47850', 0, 'Villanueva de los Caballeros', 472201, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47851', 0, 'San Pedro de Latarce', 471489, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47860', 0, 'Villardefrades', 472239, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47861', 0, 'Almaraz de la Mota', 999999, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47862', 0, 'Uruea', 471782, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47870', 0, 'Tiedra', 471631, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47880', 0, 'Benafarces', 470164, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47881', 0, 'Pobladura de Sotiedra', 471631, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47882', 0, 'Castromembibre', 470421, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('47883', 0, 'Villavellid', 472276, 47, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48001', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48002', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48003', 1, 'La Pea', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48003', 2, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48004', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48005', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48006', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48007', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48008', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48009', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48010', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48011', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48012', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48013', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48014', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48015', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48070', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48071', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48080', 0, 'Bilbao', 480209, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48100', 1, 'Belako', 480694, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48100', 2, 'Berreaga', 480694, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48100', 3, 'La Bilbaina', 480694, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48100', 4, 'Laucariz', 480694, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48100', 5, 'Mungia', 480694, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48100', 6, 'Munguia', 480694, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48110', 1, 'Butron', 480405, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48110', 2, 'Gatica', 480405, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48110', 3, 'Gatika', 480405, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48110', 4, 'Libarona', 480405, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48111', 1, 'Laukiniz', 480530, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48111', 2, 'Laukiz', 480530, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48111', 3, 'Lauquiniz', 480530, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48111', 4, 'San Martin de Lauquiniz', 480530, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48111', 5, 'Umbe-Mendi', 480530, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48112', 1, 'Jatabe', 480617, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48112', 2, 'Maruri-Jatabe', 480617, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48112', 3, 'San Lorenzo de Maruri', 480617, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48113', 1, 'Fika', 480388, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48113', 2, 'Gamiz-Fica', 480388, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48113', 3, 'Gamiz-Fika', 480388, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48113', 4, 'Ibarra (Gamiz-Fika)', 480388, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48114', 1, 'Arrieta', 480101, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48114', 2, 'Libano de Arrieta', 480101, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48115', 1, 'Morga', 480669, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48115', 2, 'Morgaondo', 480669, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48116', 1, 'Fruiz', 480353, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48116', 2, 'Fruniz', 480353, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48120', 1, 'Larrauri', 480694, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48120', 2, 'Meaca', 480694, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48120', 3, 'Meaka', 480694, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48120', 4, 'San Lorenzo de Mesterica', 480694, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48130', 1, 'Bakio', 480123, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48130', 2, 'Baquio', 480123, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48130', 3, 'Basigo', 480123, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48130', 4, 'Bentalde', 480123, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48130', 5, 'San Pelayo', 480123, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48130', 6, 'Zubiaur (Bakio)', 480123, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48140', 1, 'Arantzazu', 480062, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48140', 2, 'Aranzazu', 480062, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48140', 3, 'Igorre', 480062, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48140', 4, 'San Juan (Igorre)', 480947, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48140', 5, 'Yurre', 480062, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48141', 0, 'Dima', 480268, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48142', 1, 'Artea', 480237, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48142', 2, 'Castillo-Elejabeitia', 480237, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48142', 3, 'Elejabeitia', 480237, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48143', 1, 'Areatza', 480932, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48143', 2, 'Villaro', 480932, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48144', 1, 'Alzusta', 480242, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48144', 2, 'Ceanuri', 480242, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48144', 3, 'Undurraga', 480242, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48144', 4, 'Zeanuri', 480242, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48145', 1, 'San Juan de Ubidea', 480887, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48145', 2, 'Ubide', 480887, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48145', 3, 'Ubidea', 480887, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48150', 1, 'Aeropuerto Sondika (Vizcaya)', 489047, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48150', 2, 'Basozabal', 489047, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48150', 3, 'Izarza', 489047, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48150', 4, 'Sangroniz', 489047, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48150', 5, 'Sondika', 489047, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48160', 1, 'Arteaga (Derio)', 489011, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48160', 2, 'Derio', 489011, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48160', 3, 'San Esteban (Derio)', 489011, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48170', 1, 'Parque Tecnologico (Zamudio)', 489050, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48170', 2, 'San Antolin (Zamudio)', 489050, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48170', 3, 'San Mames (Zamudio)', 489050, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48170', 4, 'San Martin de Arteaga (Zamudio', 489050, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48170', 5, 'Zamudio', 489050, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48180', 1, 'Elotxelerri', 489032, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48180', 2, 'Larrondo', 489032, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48180', 3, 'Lauros (Lujua)', 489032, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48180', 4, 'Loiu', 489032, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48180', 5, 'Lujua', 489032, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48180', 6, 'Zabaloetxe', 489032, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48190', 1, 'La Baluga', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48190', 2, 'El Castao', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49718', 0, 'Mayalde', 491159, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 25, 'San Pedro', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 26, 'Santiago Suarez', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 27, 'Suerte la (Agaete)', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 28, 'Terrero', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 29, 'Tierra Bermeja', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 30, 'Tierra de Manuel', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 31, 'Valle de Agaete', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35489', 32, 'Vecindad de Enfrente', 350017, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35500', 0, 'Arrecife', 350043, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35509', 1, 'Del Cable', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35509', 2, 'La Caletas', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35508', 0, 'Costa Teguise', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35509', 4, 'Nazaret', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35509', 5, 'Playa Honda', 350189, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35509', 6, 'Las Puntas', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35509', 7, 'Tahiche', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35509', 8, 'Vega de Tahiche', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35509', 9, 'Volvan de Tahiche', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35510', 0, 'Puerto del Carmen', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35518', 1, 'Barranco del Quiquere', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35518', 2, 'La Culata', 350192, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35518', 3, 'Los Mojones', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35519', 1, 'Los Alemanes (Puerto del Carme', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35519', 2, 'Los Casalones', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35519', 3, 'Los Pocillos', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35520', 0, 'Haria', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35530', 0, 'Teguise', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35539', 1, 'El Mojon', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35539', 2, 'La Montaa (Teguise)', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35539', 3, 'Teguesite', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35539', 4, 'Los Valles', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35540', 0, 'Caleta de Sebo (Isla Graciosa)', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35541', 1, 'Guinate', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35541', 2, 'Hoya de la Pila', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35541', 3, 'Las Hoyas (Maguez)', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35541', 4, 'Los Lajares', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35541', 5, 'Maguez', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35541', 6, 'Orzola', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35541', 7, 'Pea Redonda', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35541', 8, 'Salinas del Rio', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35542', 1, 'Arrieta', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35542', 2, 'Punta Mujeres', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35542', 3, 'Tabayesco', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35543', 0, 'Mala', 350108, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35544', 0, 'Guatiza', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35550', 0, 'San Bartolome de Lanzarote', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35558', 1, 'Caldereta (San Bartolome de La', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35558', 2, 'Caleta de Famara', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35558', 3, 'Ermita de San Juan', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35558', 4, 'El Islote', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35558', 5, 'Las Laderas (San Bartolome de', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35558', 6, 'Muique', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35558', 7, 'Soo', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35558', 8, 'Tiagua', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35558', 9, 'Vista la Graciosa', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35559', 1, 'Bermejos', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35559', 2, 'Las Caleras', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35559', 3, 'La Florida (San Bartolome de L', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35559', 4, 'Guime', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35559', 5, 'Montaa Blanca (San Bartolome', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 1, 'Las Calderetas (Tinajo)', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 2, 'Caada la (Tinajo)', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 3, 'La Costa', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 4, 'El Cuchillo', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 5, 'Mancha Blanca', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 6, 'El Rio', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 7, 'La Santa', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 8, 'Tajaste', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 9, 'Tinajo', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 10, 'Tinguaton', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 11, 'La Vegueta', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35560', 12, 'Yuco', 350290, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35561', 0, 'Tao (Tinajo)', 350249, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35562', 1, 'Mozaga', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35562', 2, 'Tomaren', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35570', 1, 'Blanca (Yaiza)', 350347, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35570', 2, 'Las Breas (Yaiza)', 350347, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35570', 3, 'Las Casitas', 350347, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35570', 4, 'Degollada la (Yaiza)', 350347, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35570', 5, 'Femes', 350347, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35570', 6, 'La Geria', 350347, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35570', 7, 'Las Hoyas (Yaiza)', 350347, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35570', 8, 'Maciot', 350347, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35570', 9, 'Uga', 350347, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35570', 10, 'Yaiza', 350347, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 1, 'La Asomada (Yaiza)', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 2, 'Barranco de la Calera (Macher)', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 3, 'Barranco de la Pila', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 4, 'Barranco del Agua', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 5, 'Los Barrancos', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 6, 'La Caldereta (Macher)', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 7, 'Cercado el (Yaiza)', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 8, 'Los Llanitos', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 9, 'Macher', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 10, 'La Majada', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 11, 'El Meson', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 12, 'Los Rodeos (Isla de Lanzarote)', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 13, 'El Rompimiento', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 14, 'Vistas de Las Vegas', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35571', 15, 'El Volcan', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35572', 1, 'Masdache', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35572', 2, 'Tegoyo Conil', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35572', 3, 'Tias', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35572', 4, 'Vegas de Tegoyo (Las)', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35572', 5, 'Las Vegas de Tegoyo', 350287, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35600', 0, 'Puerto del Rosario', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35610', 1, 'Aeropuerto del Matorral (Fuert', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35610', 2, 'Barranco de la Torre', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35610', 3, 'Barrio de Negrin', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35610', 4, 'Blanca (Puerto Rosario)', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35610', 5, 'Casas de la Guirra', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35610', 6, 'Castillo de Caleta Fuste', 350038, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35610', 7, 'El Matorral', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35610', 8, 'Salinas del Carmen', 999999, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35611', 1, 'Casilla del Angel', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35611', 2, 'Colonia de Garcia Escamez', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35611', 3, 'Colonia Penit. de Tefia', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35611', 4, 'Tao (Pto del Rosario)', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35611', 5, 'Tefia', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35611', 6, 'Tesjuate', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35612', 1, 'Guisguey', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35612', 2, 'Puerto Lajas', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35612', 3, 'Rosa Monja', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35613', 1, 'La Asomada (Puerto Rosario)', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35613', 2, 'Los Estancos', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35613', 3, 'La Herradura (Pto Rosario)', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35613', 4, 'La Matilla', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35613', 5, 'Montaeta (Puerto del Rosario)', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35613', 6, 'Tamariche', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35613', 7, 'Tetir', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35613', 8, 'El Time', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35613', 9, 'Valhondo', 350173, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35620', 0, 'Gran Tarajal', 350304, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35625', 0, 'Morro Jable', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 1, 'Altamarena', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 2, 'Barranco los Canarios', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35626', 3, 'Casa Atlantica', 350154, 35, 
    0, 5, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37219', 1, 'Casa Blanca', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37219', 4, 'Gema', 373776, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37219', 5, 'Guadramiro', 371540, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37219', 9, 'Yecla de Yeltes', 373776, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37219', 10, 'El Pito', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37219', 11, 'Santidad', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37219', 12, 'Altares Cuarto', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37219', 13, 'El Siero', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37219', 14, 'Los Casales', 370671, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37220', 1, 'Fregeneda', 371324, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37220', 2, 'Quinta de San Pedro', 371324, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37229', 0, 'Fregeneda', 371324, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37230', 0, 'Hinojosa de Duero', 371605, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37240', 0, 'Lumbrales', 371731, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37246', 0, 'Sobradillo', 373111, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37247', 0, 'La Redonda', 372663, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37248', 0, 'Ahigal de los Aceiteros', 370037, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37250', 1, 'Aldeadavila de la Ribera', 370140, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37250', 2, 'Majuges', 373760, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37251', 1, 'Corporario', 370140, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37251', 2, 'Masueco', 371844, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37253', 1, 'Cerezal de Peahorcada', 371008, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37253', 2, 'Salto de Aldeadavila la Ribera', 371008, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37253', 3, 'Zarza de Pumareda', 371008, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37254', 0, 'Mieza', 371909, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37255', 0, 'Barruecopardo', 370444, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37256', 1, 'Barreras', 373678, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37256', 2, 'El Milano', 373678, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37256', 3, 'Villasbuenas', 373678, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37256', 4, 'Encinasola de los Comendadores', 373678, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37256', 5, 'Picones', 371232, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37256', 6, 'Valderrodrigo', 373375, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37257', 1, 'Salto de Saucelle', 373028, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37257', 2, 'Saucelle', 373028, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37258', 1, 'Vilvestre', 373505, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37258', 2, 'Moronta', 372088, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37259', 0, 'Saldeana', 372758, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37260', 2, 'Villavieja de Yeltes', 373739, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37267', 1, 'Pedro Alvaro', 373631, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37267', 2, 'Villares de Yeltes', 373631, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37269', 0, 'La Caada', 999999, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37270', 0, 'San Felices de los Gallegos', 372856, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37271', 0, 'Baobarez', 370397, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37273', 0, 'Campilduero', 371015, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37281', 1, 'Cubo de Don Sancho', 371134, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37281', 2, 'Ituerino', 371134, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37281', 3, 'Ituero de Huebra', 371134, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37290', 1, 'Boada', 370520, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37290', 2, 'Las Porciones', 370520, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37290', 3, 'La Zarza', 370520, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37291', 1, 'Cerralbo', 371015, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37291', 2, 'Fuenlabrada', 372231, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37291', 3, 'Bermellar', 370495, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37291', 4, 'Bogajo', 370554, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37291', 5, 'Fuenteliante', 371377, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37292', 0, 'Olmedo de Camaces', 372231, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37300', 0, 'Pearanda de Bracamonte', 372468, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37310', 0, 'Macotera', 371746, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37311', 0, 'Santiago de la Puebla', 372967, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37312', 0, 'Alaraz', 370074, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37313', 0, 'Malpartida de Pearrey', 371784, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37314', 0, 'Salmoral', 372761, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37315', 0, 'Mancera de Abajo', 371797, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37316', 0, 'Boveda del Rio Almar', 370573, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37317', 1, 'Aldeaseca de la Frontera', 370227, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37317', 2, 'Aldeayuste', 370779, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37317', 3, 'El Campo de Pearanda', 370227, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37318', 1, 'Paradinas de San Juan', 372323, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37318', 2, 'Ragama', 372650, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37319', 0, 'Cantaracillo', 370830, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37320', 0, 'Villar de Gallimazo', 373586, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37329', 1, 'Alconada', 370129, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37329', 2, 'San Vicente de Alconada', 370129, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37329', 3, 'Ventosa del Rio Almar', 373489, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37330', 0, 'Babilafuente', 370384, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37337', 1, 'Cordovilla', 371106, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37337', 2, 'Moriigo', 372066, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37338', 1, 'Huerta', 371648, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37338', 2, 'Villoruela', 373757, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37339', 0, 'Villoria', 373744, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37340', 1, 'Aldearrubia', 370205, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37340', 2, 'San Morales', 372881, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37350', 0, 'Aldealengua', 370166, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37400', 0, 'Cantalapiedra', 370819, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37405', 0, 'Cantalpino', 370824, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37406', 1, 'Poveda de Las Cintas', 372565, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37406', 2, 'Villaflores', 373512, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37406', 3, 'Palacios Rubios', 372284, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37408', 0, 'Zorita de la Frontera', 373821, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37409', 0, 'Tarazona de la Guarea', 373179, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37410', 0, 'Pedroso de Armua', 372395, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37418', 0, 'Arabayona de Mojica', 370310, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37419', 1, 'Espino de la Orbada', 371285, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37419', 2, 'Parada de Rubiales', 372318, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37420', 0, 'Gomecello', 371529, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37427', 1, 'Pedrosillo el Ralo', 372382, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37427', 2, 'Las Velles', 372382, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37428', 1, 'La Orbada', 372259, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37428', 2, 'La Orbadilla', 372259, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37428', 3, 'Pajares de la Laguna', 372259, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37428', 4, 'Villanueva de los Pavones', 372246, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37428', 5, 'Villaverde de Guarea', 373723, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37429', 1, 'Aldeanueva de Figueroa', 370172, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37429', 2, 'Arcediano', 370331, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37429', 3, 'Tardaguila', 373185, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37430', 0, 'Moriscos', 372072, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37439', 1, 'Castellanos de Moriscos', 370922, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37439', 2, 'Fuentepedraza', 370922, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37439', 3, 'San Cristobal de la Cuesta', 372783, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37440', 1, 'Barbadillo', 370401, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37440', 2, 'Carnero', 370726, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37440', 3, 'Castrejon', 370401, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37440', 4, 'Gejo de da Mencia', 370401, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37440', 5, 'El Tejado', 370401, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37440', 6, 'El Vecino', 370401, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37447', 0, 'Rollan', 372719, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37448', 1, 'Calzada de Don Diego', 370726, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37448', 2, 'Canillas de Abajo', 370798, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37448', 3, 'Canillejas', 370798, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37448', 4, 'Sagos', 370798, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37449', 1, 'Albergueria de la Valmuza', 372301, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37449', 2, 'Carrascal de Pericalvo', 372301, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37449', 3, 'Los Escobos', 372301, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37449', 4, 'Galindo y Perahuy', 371422, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37449', 5, 'Miranda de Pericalvo', 371422, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37449', 6, 'Pericalvo', 371422, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37449', 7, 'La Rad', 372301, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37449', 8, 'Rodillo', 370877, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37449', 9, 'San Benito de la Balmuza', 371422, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37449', 10, 'Santo Tome del Collado', 371422, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37450', 1, 'Corbacera', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37450', 2, 'Galleguillos', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37450', 3, 'Matilla de los Caos', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37450', 4, 'Vecinos', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37450', 5, 'Llen', 373467, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37450', 6, 'Olmedilla', 373441, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('37451', 1, 'Canillas de Arriba', 370883, 37, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 46, 'Xoane', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 47, 'Xoane da Carretera', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 1, 'Arnados', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 2, 'Braa (Oza)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 3, 'Cabanas (Oza)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 4, 'Cambre (Razo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 5, 'Cambrelle', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 6, 'Campo de San Pedro', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 7, 'Cances (San Martio)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 8, 'Cances da Vila', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 9, 'Cances Grande', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 10, 'Encrucilladas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 11, 'A Iglesia (Oza)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 12, 'Lieiro (Cances)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 13, 'Muios Das Pinturas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 14, 'Netoma', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 15, 'Nion', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 16, 'Outeiro (Oza)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 17, 'Oza (San Verisimo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 18, 'Oza Bella', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 19, 'Pardias (Razo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 20, 'Razo (San Martio)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 21, 'Razo da Costa', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 22, 'Rodo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 23, 'Santa Maria (Ora)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 24, 'Serantes de Abaixo (Oza)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 25, 'Serantes do Medio (Oza)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 26, 'As Torres (Oza)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 27, 'Vernes', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 28, 'Vilanova (Cances)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 29, 'Vilar (Santiag0)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 30, 'Vilar de Cidre', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 31, 'Vilar de Uz', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 32, 'Vilardocarballo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15107', 33, 'Vilario (Cances)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 1, 'Aguiuncho (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 2, 'Aldemunde', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 3, 'Aldemunde de Arriba', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 4, 'Almacen (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 5, 'Altivoa (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 6, 'Alveiro', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 7, 'Artes', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 8, 'Aspallas (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 9, 'Aspozas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 10, 'Avion', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 11, 'Aon (Berdillo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 12, 'Baltar (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 13, 'Barral (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 14, 'Berdillo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 15, 'Bertoa (Sama-Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 16, 'Bolon', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 17, 'Bouzas (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 18, 'Braille', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 19, 'Cabalos (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 20, 'Cadaveira', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 21, 'Calvelo de Abaixo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 22, 'Calvelo de Arriba', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 23, 'Campo (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 24, 'Campo (Berdillo-Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 25, 'Campo da Feira (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 26, 'Campo de Arriba (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 27, 'Canelas (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 28, 'Carracha', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 29, 'Carris (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 30, 'Casanova (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 31, 'Casas Novas (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 32, 'Catasol (Moldes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 33, 'Cerrallo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 34, 'Chacin (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 35, 'Charrua (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 36, 'Choyas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 37, 'Corredoira (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 38, 'Costa (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 39, 'Cotomil', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 40, 'Cotote', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 41, 'Cova de Abaixo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 42, 'Covas de Arriba', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 43, 'Cruz (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 44, 'Devesa (Silvarredonda)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 45, 'Ermeade (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 46, 'Esmoris (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 47, 'Evas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 48, 'Feira Nova (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 49, 'Ferradal (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 50, 'Figueiras (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 51, 'Fisteos', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 52, 'Fondal', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 53, 'Fonte (Aldemude)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 54, 'Forno (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 55, 'Fraga (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 56, 'Freixal (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 57, 'Gandar (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 58, 'Ganduma', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 59, 'Gonzalbres', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 60, 'Guitoi de Abaixo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 61, 'Guitoi de Arriba', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 62, 'Gutian', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 63, 'Hermida (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 64, 'A Iglesia (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 65, 'A Iglesia (Berdillo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 66, 'Lagarteira (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 67, 'Longras (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 68, 'Loureiro (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 69, 'Maroas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 70, 'Monelos', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 71, 'Monte (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 72, 'Moucho (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 73, 'Niodaguia (San Paio)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 74, 'Outeiro (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 75, 'Pallas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 76, 'Paradela (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 77, 'Pedreira (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 78, 'Pedreira (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 79, 'Pedrosa (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 80, 'Periscal de Abaixo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 81, 'Periscal de Arriba', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 82, 'Picoto (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 83, 'Pilro', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 84, 'Pinos', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 85, 'A Pia (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 86, 'Pieiro (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 87, 'Plaza (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 88, 'Pomaras', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 89, 'Pontenova (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 90, 'Porto da Rama (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 91, 'Pozas (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 92, 'Prearada', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 93, 'Prego', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 94, 'Quintela (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 95, 'Rachola', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 96, 'Ramiscosa', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 97, 'Raxacendes', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 98, 'Raxeira', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 99, 'Reboredo (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 100, 'Redonda (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 101, 'Regueira (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 102, 'Regueira de Abaixo (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 104, 'Reijia', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03001', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03002', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03003', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03004', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03005', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03006', 1, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03007', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03008', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03009', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03010', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03011', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03012', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03013', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03014', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03015', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03016', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03070', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03071', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03080', 0, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03100', 1, 'Abio', 30839, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03100', 2, 'Carrasqueta', 30839, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03100', 3, 'Segorb', 30839, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03100', 4, 'Xixona/Jijona', 30839, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03108', 1, 'Alcoyes', 31323, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03108', 2, 'Barranco Orta', 31323, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03108', 3, 'Sierra Grana', 31323, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03108', 4, 'La Torre de les Maanes /Torre', 31323, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03108', 5, 'Viola', 31323, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03109', 1, 'El Aljibe', 31297, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03109', 2, 'Bonaire', 31297, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03109', 3, 'Finca Terol', 31297, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03109', 4, 'Maigmo', 31297, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03109', 5, 'Pinares de Mecli', 31297, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03109', 6, 'Tibi', 31297, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03109', 7, 'Torrosella', 31297, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 1, 'Almaina-Park', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 2, 'La Almajada', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 3, 'Los Apostoles', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 4, 'La Bayona', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 5, 'Benaud', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 6, 'Bonalba Baja', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 7, 'Borrachina', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 8, 'La Calera', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 9, 'El Cantalar', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 10, 'Capellans', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 11, 'Casa Fus', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 12, 'El Collao', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 13, 'La Costera', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 14, 'Cotoveta', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 15, 'L''Entredos', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 16, 'L''Estaca', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 17, 'El Fondo', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 18, 'Gialma', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 19, 'Los Girasoles (Muchamiel)', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 20, 'La Huerta (Muchamiel)', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 21, 'El Juncaret', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 22, 'Majada-Verde', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 23, 'Marseta', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 24, 'Las Minas del Ocre', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 25, 'Moli-Foc', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 26, 'Molino Nuevo', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 27, 'Mutxamel', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 28, 'Oasis Rico', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 29, 'La Obrera', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 30, 'Los Olmos', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 31, 'Las Paulinas', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 32, 'Peacerrada', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 33, 'Les Peetes', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 34, 'El Pino', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 35, 'Ravel', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 36, 'El Rio', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 37, 'Rio-Park', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 38, 'La Roseta', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 39, 'El Salt (Muchamiel)', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 40, 'San Peret', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 41, 'Serveres', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 42, 'El Seal', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 43, 'La Torreta', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 44, 'Tosal Redo', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 45, 'Valle del Sol', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 46, 'La Venteta', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 47, 'La Vibra', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 48, 'El Volador', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 49, 'Calvari', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 50, 'Barrella', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03110', 51, 'Benessiu', 30909, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 1, 'Bonalba Alta', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 2, 'Busot', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 3, 'Canalobre', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 4, 'Carril', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 5, 'La Cava', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 6, 'El Figueralet', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 7, 'Hoya Berenguer', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 8, 'Hoya de los Patos', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 9, 'Hoya de Parra', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 10, 'Hoya de San Jaime', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 11, 'Liebre Park', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 12, 'Llano de Partidores', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 13, 'Llano Pastores', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 14, 'Pisnella', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 15, 'Pla de Cabeco', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 16, 'Pla Lloma', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 17, 'El Planet', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 18, 'El Pohuet', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 19, 'Vercheret', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 20, 'Vidrier', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03111', 21, 'Volveta Ganga', 30469, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03112', 1, 'Chareus', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03112', 2, 'Mariquitos', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03112', 3, 'Tangel', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03112', 4, 'Villafranqueza', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03113', 1, 'Foncalent', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03113', 2, 'Rebolledo', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03113', 3, 'Santa Ana', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03113', 4, 'De la Vallonga', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03113', 5, 'Lo Xeperut', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03114', 1, 'Bacarot', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03114', 2, 'Poligono Industrial Las Atalay', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03115', 0, 'Monnegre', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03130', 1, 'Bras del Port', 31210, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03130', 2, 'Lisa', 31210, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03130', 3, 'Poniente', 31210, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03130', 4, 'Salinas (Santa Pola)', 31210, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03130', 5, 'Santa Pola', 31210, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03138', 0, 'Tabarca', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03139', 1, 'Los Balsares (Altet)', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03139', 2, 'Santana', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03139', 3, 'Valverde Alto', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03139', 4, 'Valverde Bajo', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03140', 1, 'Guardamar del Segura', 30762, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03140', 2, 'Mare Nostrum', 30762, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03140', 3, 'Pall-Mall', 30762, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03140', 4, 'La Pinada', 30762, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03140', 5, 'San Jose', 30762, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03140', 6, 'Las Pesqueras', 30762, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03140', 7, 'Lo Pepin', 30762, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03140', 8, 'Los Chapaprietas', 30762, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03149', 1, 'Almarjal', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03149', 2, 'Comercio de Aldeguer', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03149', 3, 'Moncayo', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03149', 4, 'Los Rasos', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03149', 5, 'San Bruno', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03149', 6, 'Ventosala', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03150', 0, 'Dolores', 30648, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 1, 'Berengueres', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 2, 'Las Casicas', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 3, 'Catral', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 4, 'La Cruz', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07071', 1, 'Base Aerea Son Sant Joan', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07071', 2, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07080', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07100', 3, 'L''Horta de Pollena', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07100', 4, 'S''Alqueria Des Comte/L''Alqueri', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07100', 5, 'S''Horta (Soller)', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07100', 6, 'Sa Calobra/La Calobra', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07100', 8, 'Soller', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07101', 0, 'Biniaraix', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07108', 1, 'Camp de Lama', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07108', 2, 'La Cementera', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07108', 3, 'Es Traves', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07108', 4, 'La Figuera', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07108', 5, 'Lazareto (Mallorca)', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07108', 6, 'Muleta', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07108', 7, 'La Playa', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07108', 8, 'Port de Soller', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07108', 9, 'La Roca Rotja', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07109', 0, 'Fornalutx', 70257, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07110', 0, 'Bunyola', 70103, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07119', 0, 'Caubet', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07120', 1, 'Font de la Vila', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07120', 2, 'El Radol', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07120', 3, 'Sa Garriga/La Garriga', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07120', 4, 'Son Espanyol', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07120', 5, 'Son Sardina', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07120', 6, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07122', 0, 'Palma', 70407, 7, 
    0, 4, 'E', 5, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07130', 0, 'Centro Militar General Asensio', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07140', 1, 'Ca''S Cana', 70472, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07140', 2, 'Lea', 70472, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07140', 3, 'Sancellas', 70472, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07140', 4, 'Sencelles', 70472, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07141', 1, 'Benestar', 70368, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07141', 4, 'Es Garrovers', 70368, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07141', 5, 'Es Figueral/El Figueral', 70368, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07141', 6, 'Marratxinet', 70368, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07141', 7, 'Poligono Industrial de Marrato', 70368, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07141', 8, 'Portol', 70368, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07141', 9, 'Sa Cabaneta/La Cabaneta', 70368, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07141', 10, 'Sant Maral', 70368, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07141', 11, 'Son Veri Nou', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07142', 4, 'Santa Eugenia', 70532, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07142', 5, 'Ses Alqueries/Les Alqueries', 70532, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07142', 6, 'Ses Coves/Les Coves', 70532, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07142', 7, 'Ses Olleries/Les Olleries', 70532, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07143', 1, 'Biniali', 70472, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07143', 2, 'Son Arosa', 70472, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07144', 1, 'Ca''N Albia', 70178, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07144', 2, 'Ca''N Buri', 70178, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07144', 3, 'Costitx', 70178, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07144', 4, 'Empalme Son Bordils', 70178, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07144', 5, 'Jornets', 70472, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07144', 6, 'Son Bordils', 70178, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07150', 0, 'Andratx', 70051, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07157', 0, 'Port D''Andratx', 70051, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07159', 1, 'S''Arraco/L''Arraco', 70051, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07159', 2, 'Sant Elm', 70051, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07160', 1, 'Cala Fornells', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07160', 2, 'Es Camp de Mar/El Camp de Mar', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07160', 3, 'Peguera', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07170', 1, 'La Estaca', 70630, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07170', 2, 'Miramar', 70630, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07170', 3, 'Nova Valldemosa', 70630, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07170', 4, 'Valldemosa', 70630, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07179', 1, 'Deia', 70184, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07179', 2, 'Llucalcari', 70184, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07180', 0, 'Santa Pona', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 1, 'Cala Vias', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 2, 'Castillo de Bendinat', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 3, 'Costa D''En Blanes', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 4, 'Magalluf', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 5, 'Palmanova', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 6, 'Portals Nous', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 7, 'Portals Vells', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 8, 'Punta Negra', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 9, 'Sa Porrassa/La Porrassa', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 10, 'Sol de Mallorca', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 11, 'Son Caliu', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 12, 'Son Ferrer', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 13, 'Son Matias', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 14, 'Torrenova', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 15, 'Bendinat', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 16, 'Cas Catala/Cal Catala', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07181', 17, 'Illetas', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07182', 1, 'Ca''N Calet', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07182', 2, 'Cala Vinyes', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07182', 4, 'El Toro', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07183', 1, 'Costa de la Calma', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07183', 2, 'Costa de Sa Calma/Costa de la', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07183', 4, 'Rotes Velles', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07184', 0, 'Calvia', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07190', 1, 'Esporles', 70201, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07190', 2, 'La Granja', 70201, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07190', 3, 'Port Des Canonge/Port del Cano', 70201, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07190', 4, 'S''Esglayeta', 70201, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07190', 5, 'Ses Rotgetes', 70201, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07190', 6, 'Son Trias', 70201, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07191', 0, 'Banyalbufar', 70070, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07192', 0, 'Estellencs', 70218, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07193', 1, 'S''Esgleieta/L''Esgleieta', 70103, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07193', 2, 'Palmanyola', 70103, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07193', 3, 'Sa Font Seca/La Font Seca', 70103, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07193', 4, 'Son Amar', 70103, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07193', 5, 'Son Puig', 70103, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07193', 6, 'Son Termes', 70103, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07193', 7, 'Son Tugores', 70103, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07194', 0, 'Puigpunyent', 70453, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07195', 1, 'Ca''N Tunis', 70453, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07195', 2, 'Concas', 70453, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07195', 3, 'Galilea', 70453, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07196', 2, 'Es Capdella/El Capdella', 70110, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07198', 2, 'S''Hostalot', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07198', 3, 'Sa Creu Vermella/La Creu Verme', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07198', 4, 'Son Ferriol', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07198', 5, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07199', 2, 'La Casa Blanca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07199', 3, 'Estados Unidos', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07199', 4, 'S''Aranjassa/L''Aranjassa', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07199', 5, 'Sa Casa Blanca/La Casa Blanca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07199', 6, 'Sant Jordi', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07199', 7, 'Son Sue', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07199', 8, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07200', 0, 'Felanitx', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07208', 2, 'Es Carritxo /El Carritxo', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07208', 3, 'Cas Concos/Cals Concos', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07208', 4, 'Son Negre', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07209', 1, 'Canteras Las', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07209', 2, 'Son Caldero', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07209', 3, 'Son Mayol', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07209', 4, 'Son Mesquida', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07209', 5, 'Son Proen', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07209', 6, 'Son Valls', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07210', 1, 'Algaida', 70048, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07210', 2, 'Castellitx', 70048, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07220', 1, 'Pina', 70048, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07220', 2, 'Ruberts', 70472, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07230', 0, 'Monturi', 70380, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07240', 0, 'Sant Joan', 70491, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07250', 0, 'Vilafranca de Bonany', 70658, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07260', 0, 'Porreres', 70435, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07300', 0, 'Inca', 70276, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24401', 0, 'Ponferrada', 241152, 24, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09571', 7, 'Quintanilla de Santa Gadea', 90124, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09571', 8, 'San Vicente de Villamezan', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09571', 9, 'Santa Gadea de Alfoz', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09571', 10, 'Villamediana de San Roman', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 2, 'Argomedo', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 3, 'Arreba', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 4, 'Barrio de Bricia', 90119, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 5, 'Bezana', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 6, 'Bricia', 90119, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 7, 'Cabaas de Virtus', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 8, 'Campino de Bricia', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 9, 'Castrillo de Bezana', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 10, 'Cebrian', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 11, 'Cilleruelo de Bezana', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 12, 'Cilleruelo de Bricia', 90119, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 13, 'Consortes', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 14, 'Crespos', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 15, 'Cubillos del Rojo', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 16, 'Hoz de Arreba', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 17, 'Landraves', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 18, 'Montoto', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 19, 'Munilla de Hoz de Arreba', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 20, 'Paradores de Bricia', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 21, 'Poblacion de Arreba', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 22, 'Pradilla de Hoz de Arreba', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 23, 'Quintanantello', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 24, 'Riao', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 25, 'San Cibrian', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 26, 'San Miguel de Cornezuelo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 27, 'Soncillo', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 28, 'Torres de Abajo', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 29, 'Torres de Arriba', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 30, 'Valle de Carrales', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 31, 'Villabascones de Bezana', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 32, 'Villanueva de Carrales', 90119, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 33, 'Virtus', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09573', 1, 'Busnela', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09573', 2, 'Haedo de Las Pueblas', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09573', 3, 'Robredo de Las Pueblas', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09574', 1, 'Cidad de Valdeporres', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09574', 2, 'Dosante', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09574', 3, 'Pedrosa de Valdeporres', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09574', 4, 'Quintanabaldo', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09574', 5, 'Rozas de Valdeporres', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09574', 6, 'San Martin de Las Ollas', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09574', 7, 'San Martin de Porres', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09574', 8, 'Santelices', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09575', 0, 'Sotoscueva', 999999, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09580', 0, 'Villasana de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 1, 'Antuano', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 2, 'Las Arenas', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 3, 'Arla', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 4, 'Arza', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 5, 'Ayega', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 6, 'Barcenas de Bortedo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 7, 'Barcenas de Campillo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 8, 'Bascones de Bortedo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 9, 'El Berron', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 10, 'Bortedo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 11, 'Las Campas', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 12, 'La Cayuela', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 13, 'Cerezo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 14, 'Las Cuevas', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 15, 'Entrambasaguas', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 16, 'Gijano', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 17, 'Haedillo (El Berron)', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 18, 'Maltrana', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 19, 'Maltranilla', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 20, 'Menamayor', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 21, 'Nocedal', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 22, 'Opio', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 23, 'Orrantia', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 24, 'Pantano de Ordunte', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 25, 'La Presilla', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 26, 'Rio de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 27, 'San Pelayo de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 28, 'Santa Cruz de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 29, 'Santecilla', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 30, 'Ungo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09585', 31, 'La Vega de Nava', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09586', 1, 'Abadia la Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09586', 2, 'Cereceda de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09586', 3, 'Nava de Ordunte', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09586', 4, 'Ordunte', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09586', 5, 'Ro', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 1, 'Arceo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 2, 'Barrasa', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 3, 'Burcea', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 4, 'Campillo de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 5, 'Caniego', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 6, 'Cantonad', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 7, 'Concejero de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 8, 'Hornes', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 9, 'Villanueva de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 10, 'Irus de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 11, 'Laya', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 12, 'Leciana', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 13, 'La Llosa', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 14, 'Ordejon de Ordunte', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 15, 'Palacio de Hornes', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 16, 'Paradores de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 17, 'Partearroyo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 18, 'Ribota de Ordunte', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 19, 'Santa Maria Egipciaca', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 20, 'Sobrevias', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 21, 'Taranco', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 22, 'Urbaneja', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 23, 'Villaleme', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 24, 'Hoz de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09587', 25, 'Vivanco', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 1, 'Angostina', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 2, 'Angulo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 3, 'Araduenga', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 4, 'Artieta', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 5, 'Barcenas de Cirion', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 6, 'Bascones de Cirion', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 7, 'Berrandulez', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 8, 'Carrasquedo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 9, 'Ciella', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 10, 'Cirion', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 11, 'Cozuela', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 12, 'Encima de Angulo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 13, 'Las Fuentes', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 14, 'Haedo de Angulo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 15, 'La Llana', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 16, 'Llano de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 17, 'Lorcio', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 18, 'Luengas', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 19, 'Martijana', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 20, 'Medianas de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 21, 'Mercadillo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 22, 'Montiano', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 23, 'Oseguera', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 24, 'Poza de Cirion', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 25, 'La Quintana', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 26, 'Roza de Cirion', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 27, 'San Juan de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 28, 'Santa Maria del Llano de Tudel', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 29, 'Santa Olaja', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 30, 'Santiago de Tudela', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 31, 'Valluerca', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 32, 'Ventades', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09588', 33, 'Viergol', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 103, 'Regueira de Arriba (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 105, 'Rio (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 106, 'Riveiria (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 107, 'Samiro', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 108, 'Seixal (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 109, 'Seixas (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 110, 'Sete (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 111, 'Silvoso (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 112, 'Sinande', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 113, 'Sofan (San Salvador)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 114, 'Sofandonigo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 115, 'Tapia (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 116, 'Taranbollo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 117, 'Tares', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 118, 'Tella (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 119, 'Telleira (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 120, 'Troian de Abaixo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 121, 'Troian de Arriba', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 122, 'Troian do Medio', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 123, 'Vilanova (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 124, 'Vilar (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 125, 'Vilar (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 126, 'Vilar de Francos', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15108', 127, 'Vilarnovo (Artes)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 1, 'Abelares (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 2, 'Abelenda (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 3, 'Alborin', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 4, 'Alboris', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 5, 'Alta', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 6, 'Altivoa (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 7, 'Ambroa (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 8, 'Ardaa', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 9, 'Areosa (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 10, 'Arganosa', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 11, 'Asolo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 12, 'Aspallas (Ardaa)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 13, 'Astarandeiras', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 14, 'Bal (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 15, 'Baralla (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 16, 'Baris', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 17, 'Barreiro (Ardaa)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 18, 'Betris', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 19, 'Bouzanogueira', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 20, 'Braa de Abaixo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 21, 'Braa de Arriba', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 22, 'Cajin', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 23, 'Calvos (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 24, 'Campo (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 25, 'Campo (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 26, 'Campo da Porta', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 27, 'Campos de Bolon', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 28, 'Canosa (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 29, 'Caparos', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 30, 'Carballedo (Noicela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 31, 'Carracedo (Ardaa)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 32, 'Casais (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 33, 'Casal de Perros', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 34, 'Casaldares', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 35, 'Casanova (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 36, 'Casas do Monte (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 37, 'Castro (Ardaa)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 38, 'Castro (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 39, 'Cesta', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 40, 'Cobas (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 41, 'Cornaces', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 42, 'Corredoira (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 43, 'Costad', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 44, 'Cotaro', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 45, 'Cruz de Evas (Sofan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 46, 'Cubela (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 47, 'Entrecruces (San Gines)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 48, 'Entrerios (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 49, 'Estevez (Ardaa)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 50, 'Ferbeda', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 51, 'Fieital (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 52, 'Gastrar (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 53, 'Gomes', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 54, 'Gontad', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 55, 'Granxa (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 56, 'Iglesario (Elvia)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 57, 'A Iglesia (Ardaa)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 58, 'A Iglesia (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 59, 'A Iglesia (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 60, 'Lebosende', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 61, 'Liares (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 62, 'Meixoeiro (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 63, 'Meixonfrio (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 64, 'Nogareda', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 65, 'Novi', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 66, 'Outeiros (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 67, 'Outerios (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 68, 'Outon (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 69, 'Padreiro (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 70, 'Pazos (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 71, 'Pego (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 72, 'Pena (Ardaa)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 73, 'Pena (Da)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 74, 'Pereiria (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 75, 'Pereirovello', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 76, 'Pifaina', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 77, 'Pieiro (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 78, 'Pieiro del Alta', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 79, 'Ponte Rosende', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 80, 'Portochan', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 81, 'Portocobo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 82, 'Portopaio', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 83, 'Quintans (Ardaa)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 84, 'Quintans (Carballo-San Xoan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 85, 'Ramil (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 86, 'Redonda (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 87, 'Rego (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 88, 'Reguia', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 89, 'Rus (Santa Maria)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 90, 'Sabadin', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 91, 'Sampaio (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 92, 'San Mamede (Ardaa)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 93, 'San Paio (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 94, 'San Sadurnio (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 95, 'Seixo (Razo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 96, 'Souto Grande (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 97, 'Taboada (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 98, 'Val (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 99, 'Vijoteira', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 100, 'Vilachan (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 101, 'Vilar de Cima', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 102, 'Vilares (Rus)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 103, 'Vilela (Entrecruces)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 104, 'Xesta (Noicela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15109', 105, 'Xinfonxe', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 1, 'Allons', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 2, 'Allons de Arriba', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 3, 'Allons Grande', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 4, 'Anxeles (Carballido)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 5, 'Balares', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 6, 'Bardaio', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 9, 'Brantuas de Abaixo', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 5, 'Los Domingos', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 6, 'Hornos', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 7, 'Madrigueras', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 8, 'Nonduermas', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 9, 'Los Pablos', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 10, 'Palomar', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 11, 'Rincon de los Pablos', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 12, 'San Felipe de Neri', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03158', 13, 'Santa Agueda', 30553, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 1, 'El Barrio', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 2, 'La Bodega (Dolores)', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 3, 'Camino de San Fulgencio', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 4, 'Cuadra Nueva', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 5, 'Cuatro Caminos', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 6, 'Daya Nueva', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 7, 'Escorredor', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 8, 'La Fabrica', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 9, 'Florida Alta', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 10, 'Florida Baja', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 11, 'La Florida', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 12, 'El Hondon', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 13, 'Llobregales', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 14, 'Mayayo', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 15, 'Puebla de Rocamora', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 16, 'Puente de Mateos', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 17, 'Rincon de los Pertusas', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 18, 'El Rincon', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03159', 19, 'Vereda del Pozo', 30612, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03160', 1, 'Almoradi', 30152, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03160', 2, 'El Ladrillar', 30152, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03160', 3, 'El Nido', 30152, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 1, 'Algorfa', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 2, 'Almazarica', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 3, 'Baet', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 4, 'El Baet', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 5, 'Las Bovedas', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 6, 'El Camino de Catral', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 7, 'El Camino de la Maja', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 8, 'Camino del Rio', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 9, 'Cruz de Galindo', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 10, 'Era Alta', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 11, 'La Erica', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 12, 'La Fogaria', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 13, 'El Gabato', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 14, 'Lomas de la Juliana', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 15, 'Los Miras (Algorfa)', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 16, 'La Mota', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 17, 'Los Paredes', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 18, 'Los Perez (Ayuntamiento Almora', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 19, 'La Pinada', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 20, 'El Puente de Don Pedro', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 21, 'La Rafaela', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 22, 'El Raiguero', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 23, 'El Saladar', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 24, 'Lo Sastre', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03169', 25, 'La Venta', 30128, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03170', 1, 'Ciudad Quesada', 31133, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03170', 2, 'La Escuera', 31133, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03170', 3, 'La Marina', 31133, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03170', 4, 'Oasis (La Marina)', 31133, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03170', 5, 'Rojales', 31133, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03170', 6, 'Doa Pepa', 31133, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03170', 7, 'Pueblo Bravo', 31133, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03170', 8, 'Pueblo Lucero', 31133, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03177', 1, 'Acequia de los Palacios', 30627, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03177', 2, 'Daya Vieja', 30627, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03177', 3, 'La Garriga', 30627, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03177', 4, 'Los Martinez', 30627, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03177', 5, 'Los Palacios', 30627, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03177', 6, 'Lo Pedreo', 30627, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03177', 7, 'San Fulgencio', 31186, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03178', 1, 'Benijofar', 30345, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03178', 2, 'Monteazul', 30345, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03178', 3, 'De Rojales', 30345, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03178', 4, 'Talaya Park', 30345, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03178', 5, 'Torrejon de San Bruno', 30345, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03179', 1, 'Formentera del Segura', 30703, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03179', 2, 'Heredades', 30703, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 1, 'Los Altos', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 2, 'Cala Dorada', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 3, 'Cals Blancas', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 4, 'El Chaparral', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 5, 'Eliseos', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 6, 'El Limonar', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 7, 'Mar Azul', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 8, 'Nueva Torrevieja', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 9, 'Torrevieja', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 10, 'Paraje Natural', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 11, 'Rocio del Mar', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 12, 'La Rosaleda', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 13, 'San Luis', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 14, 'Torre Almendros', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 15, 'Torreta I, II y III', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 16, 'El Paraiso', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 17, 'La Veleta', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 18, 'Villa Laguna', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03180', 19, 'Villas de Don Quijote', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03181', 0, 'Torrevieja', 31339, 3, 
    0, 16, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03183', 0, 'Torrevieja', 31339, 3, 
    0, 1, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03186', 0, 'Los Balcones', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03187', 1, 'Lo Blanque', 39037, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03187', 2, 'Las Casitas', 39037, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03187', 3, 'La Marquesa', 39037, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03187', 4, 'Los Miras (Montesinos)', 39037, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03187', 5, 'Los Montesinos', 39037, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03187', 6, 'Los Perez (Ayuntamiento Torrev', 39037, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03187', 7, 'Los Pinicos', 39037, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 1, 'Aldea del Mar', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 2, 'Cala Higuera', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 3, 'Del Cura', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 4, 'Euro-Parc', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 5, 'De Locos', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 6, 'Lomas del Mar', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 7, 'La Mata', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 8, 'Salaret', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 9, 'Torre del Moro', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 10, 'Torrejon', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03188', 11, 'Torrelamata', 31339, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 1, 'Los Almendros (Orihuela-Costa)', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 2, 'Cabo Roig', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 3, 'Campoamor', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 4, 'Real Club de Golf Campoamor', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 5, 'Castillo de Don Juan', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 6, 'La Chismosa', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 7, 'Dehesa de Campoamor', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 8, 'Filipinas', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 9, 'Flamenca', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 10, 'La Florida (Orihuela-Costa)', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 11, 'El Gato', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 12, 'El Horizonte', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 13, 'Lomas de San Juan', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 14, 'Las Mimosas', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 15, 'Monte Zenia', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 16, 'Oleza', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 17, 'Orihuela-Costa', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 18, 'Punta de la Sal', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 19, 'Punta Prima', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 20, 'La Regia', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 21, 'Serena II', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 22, 'La Solana', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 23, 'Las Solanas', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 24, 'Torre Zenia', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 25, 'Villacostas', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03296', 5, 'Pujol', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07310', 1, 'Campanet', 70125, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07310', 2, 'Son Pacos', 70125, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07311', 1, 'Buger', 70099, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07311', 2, 'Es Pujols (Mallorca)', 70099, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07311', 3, 'Sa Sorteta', 70099, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07312', 0, 'Mancor de la Vall', 70342, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07313', 0, 'Selva', 70585, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07314', 1, 'Binibona', 70585, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07314', 2, 'Caimari', 70585, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07314', 3, 'Moscari', 70585, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07315', 1, 'Escorca', 70197, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07315', 2, 'Lluc', 70197, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07315', 3, 'Santuario de Lluch', 70197, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07316', 0, 'Sol Aires de Montanya', 70585, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07320', 0, 'Santa Maria del Cami (Isla de', 70563, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07330', 0, 'Consell', 70162, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07340', 0, 'Alaro', 70012, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07349', 0, 'Orient', 70103, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07350', 1, 'Biniagual', 70086, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07350', 2, 'Binissalem', 70086, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07360', 0, 'Lloseta', 70295, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07369', 0, 'Biniamar', 70585, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07400', 0, 'Alcudia', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07408', 1, 'Bahia de Alcudia', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07408', 2, 'Ciudad Blanca', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07408', 3, 'Ciudad de los Lagos', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07408', 4, 'Lago Esperanza', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07408', 5, 'Lago Menor', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07408', 6, 'Platja de Alcudia', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 1, 'Bahia Club', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 2, 'Bon Aire', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 3, 'Castell de Manresa', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 4, 'Cielo de Bon Aire', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 5, 'Corral Den Bennasar', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 6, 'Cova Quintana', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 7, 'Es Barcares/El Barcares', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 8, 'Es Mal Pas/El Mal Pas', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 9, 'El Mal Pas', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 10, 'More Vermell', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 11, 'Pi de la Seora', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 12, 'Punta del Sebetli', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 13, 'Sa Marina', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07409', 14, 'Son Fe', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07410', 1, 'Aucanada', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07410', 2, 'De Lazareto', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07410', 3, 'Marques de Suances', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07410', 4, 'Port D''Alcudia', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07410', 5, 'Teatro Romano', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07410', 6, 'Torre Mayor', 70033, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07420', 0, 'Sa Pobla/La Pobla', 70440, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07430', 0, 'Llubi', 70309, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07440', 0, 'Muro', 70393, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07450', 0, 'Santa Margalida', 70550, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07458', 1, 'Ca''N Picafort', 70550, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07458', 2, 'Las Gaviotas', 70550, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07458', 3, 'Platja de Muro', 70393, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07458', 4, 'Ses Fotges', 70550, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07458', 5, 'Son Baulo', 70550, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07459', 1, 'Colonia Virgen del Carmen', 70550, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07459', 2, 'Serra Nova', 70550, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07459', 3, 'Son Real', 70550, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07459', 4, 'Son Serra de Marina', 70550, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07460', 1, 'L''Horta de la Font', 70429, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07460', 2, 'La Huerta', 70429, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07460', 3, 'Pollena', 70429, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07460', 4, 'Santuario del Puig', 70429, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07469', 1, 'Cala Carbo', 70429, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07469', 2, 'Cala Sant Vicen (Pollena)', 70429, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07469', 3, 'Los Encinares', 70429, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07470', 1, 'Base Aeria de Pollena', 70429, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07470', 2, 'Formentor', 70429, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07470', 3, 'Port de Pollena', 70429, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07500', 0, 'Manacor', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07509', 1, 'Moli Den Covas', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07509', 2, 'Son Fangos', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07509', 3, 'Son Macia', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07509', 4, 'Las Tapareras', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07510', 0, 'Sineu', 70602, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07518', 1, 'Lloret de Vistalegre', 70282, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07518', 2, 'Llorito', 70282, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07519', 0, 'Maria de la Salut', 70355, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07520', 1, 'Bon Any', 70414, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07520', 2, 'Petra', 70414, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07529', 0, 'Ariany', 79013, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07530', 0, 'Sant Lloren Des Cardassar/San', 70511, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07540', 0, 'San Miguel de Son Carrio', 70511, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07550', 0, 'Son Servera', 70624, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07559', 1, 'Cala Bona', 70624, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07559', 2, 'Costa de los Pinos', 70624, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07559', 3, 'Port Nou', 70624, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07559', 4, 'Port Vell', 70624, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07559', 5, 'Port Verd', 70624, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07560', 1, 'Bon Repos', 70624, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07560', 2, 'Cala Millor', 70624, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07560', 3, 'California', 70624, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07560', 4, 'Sa Manigue', 70624, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07570', 1, 'Arta', 70064, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07570', 2, 'El Collet', 70064, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07570', 3, 'D''En Sales', 70064, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07570', 4, 'Ses Fulles', 70064, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07579', 1, 'Betlem', 70064, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07579', 2, 'Cala Mitjana', 70064, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07579', 3, 'Colonia de Sant Pere', 70064, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07580', 0, 'Capdepera', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07589', 1, 'Cala Mesquida', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07589', 2, 'Cala Provensals', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07589', 3, 'Canyamel', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07589', 4, 'Es Fangar', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07589', 5, 'Es Pelats', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07589', 6, 'Font de Sa Cala/Font de la Cal', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07589', 7, 'N''Aguait', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07589', 8, 'Na Taconera', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07590', 1, 'Cala Gat', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07590', 2, 'Cala Ratjada', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07590', 3, 'Ses Rotges', 70146, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07599', 1, 'Cala Guya', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07599', 2, 'Cala Lliteres', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07599', 3, 'Cala Pedruscada', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07599', 4, 'Es Carregador', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07599', 5, 'Sa Pedruscada/La Pedruscada', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07600', 2, 'S''Arenal/L''Arenal', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07600', 3, 'Son Veri', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07600', 4, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07608', 1, 'Los Angeles', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07608', 2, 'Ca''N Misse', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07608', 4, 'Es Pil.Lari/El Pil.Lari', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07608', 6, 'El Rancho', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07608', 7, 'San Francisco', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07608', 8, 'Ses Cadenes/Les Cadenes', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07608', 9, 'Son Sunyer de S''Arenal/Son Sun', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07608', 10, 'El Sosiego', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07608', 11, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 1, 'Bahia Azul', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 2, 'Bahia Grande', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 3, 'Bellavista', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 4, 'Cabo Blanco', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 5, 'Cala Blava', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 6, 'El Dorado', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 7, 'Maioris X', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 8, 'Palmeras Park', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 9, 'Las Palmeras', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 10, 'Regana', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 11, 'Son Granada', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07609', 12, 'Tollerich', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 1, 'Anzo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 2, 'Barriolaza', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 3, 'Barruso de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 4, 'Cadagua', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 5, 'Casadilla', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 6, 'Las Casetas', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 7, 'Cilieza', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 8, 'Covides', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 9, 'Siones', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 10, 'Herreria', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 11, 'Lezana de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 12, 'La Mata', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 13, 'Ovilla', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 14, 'Palacio de Siones', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 15, 'Prado', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 16, 'Quintanilla de Siones', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 17, 'Santiuste (Campillo)', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 18, 'Cristantes', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 19, 'Sopeano', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 20, 'Vallejo de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 21, 'Vallejuelo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 22, 'Via', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 23, 'El Vigo', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09589', 24, 'Villasuso de Mena', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 1, 'Celada de la Torre', 99048, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 2, 'Cobos de la Molina', 99048, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 3, 'Melgosa de Burgos', 99048, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 4, 'Molina de Ubierna', 99048, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 5, 'Peahorada', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 6, 'Rahedo', 99048, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 7, 'Rioseras', 99048, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 8, 'Tobes', 99048, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 9, 'Villaverde Peahorada', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 10, 'Temio', 99048, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09591', 11, 'Robredo Temio', 99048, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09592', 1, 'Arconada', 90716, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09592', 2, 'Barcena de Bureba', 90011, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09592', 3, 'Carcedo de Bureba', 90716, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09592', 4, 'Castil de Lences', 92729, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09592', 5, 'Lences', 90716, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09592', 6, 'Rublacedo de Abajo', 93272, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09592', 7, 'Rublacedo de Arriba', 93272, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09592', 8, 'Valdearnedo', 90716, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 1, 'Aguas Candidas', 90063, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 2, 'Barcina de los Montes', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 3, 'Bentretea', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 4, 'Cantabrana', 90682, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 5, 'Castellanos de Bureba', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 6, 'Herrera de Las Caderechas', 90063, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 7, 'Hozabejas', 93288, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 8, 'Huespeda de Caderechas', 90063, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 9, 'Madrid de Caderechas', 93288, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 10, 'Ojeda de Caderechas', 90063, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 11, 'Padrones de Bureba', 92447, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 12, 'Penches', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 13, 'Quintanaopio', 90063, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 14, 'Quintanilla del Rio', 90063, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 15, 'Rio Quintanilla', 90063, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 16, 'Rucandio', 93288, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 17, 'Salas de Bureba', 93291, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 18, 'Tamayo', 90063, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 19, 'Terminon', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09593', 20, 'Villanueva de los Montes', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09594', 0, 'Valmayor de Cuesta Urria', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09600', 0, 'Salas de los Infantes', 93305, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09610', 1, 'Briongos de Cervera', 91059, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09610', 2, 'Ciruelos de Cervera', 91059, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09610', 3, 'Espinosa de Cervera', 91221, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09610', 4, 'Hinojar de Cervera', 93581, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09610', 5, 'Hortezuelos', 93581, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09610', 6, 'Peacoba', 93581, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09610', 7, 'Pinilla de Trasmonte', 92707, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09610', 8, 'Santo Domingo de Silos', 93581, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09611', 1, 'Carazo', 90709, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09611', 2, 'Hacinas', 91545, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09611', 3, 'Villanueva de Carazo', 94509, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09612', 1, 'Cabezon de la Sierra', 90623, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09612', 2, 'La Gallega', 90623, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09612', 3, 'Gete', 92680, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09612', 4, 'Mamolar', 92019, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09612', 5, 'Pinilla de los Barruecos', 92680, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09613', 1, 'Barbadillo del Mercado', 90389, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09613', 2, 'Castrovido', 93305, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09613', 3, 'Contreras', 91101, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09613', 4, 'Haedo', 90389, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09613', 5, 'Monasterio de la Sierra', 92236, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09613', 6, 'Piedrahita de Muo', 92693, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09613', 7, 'Pinilla de los Moros', 92693, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09613', 8, 'La Revilla', 90389, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09613', 9, 'Vizcainos', 94786, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09613', 10, 'Terrazas', 93305, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09614', 1, 'Barbadillo del Pez', 90392, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09614', 2, 'Huerta de Abajo', 94141, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09614', 3, 'Huerta de Arriba', 91736, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09614', 4, 'Nuestra Seora de la Vega', 90392, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09614', 5, 'Quintanilla Urrilla', 94141, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09614', 6, 'Tolbaos de Abajo', 94141, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09614', 7, 'Tolbaos de Arriba', 94141, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09614', 8, 'Vallejimeno', 94141, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09615', 1, 'Arroyo de Salas', 93305, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09615', 2, 'Barbadillo de Herreros', 90373, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09615', 3, 'Bezares de Valdelaguna', 93305, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09615', 4, 'Hoyuelos de la Sierra', 93305, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09615', 5, 'Monterrubio de la Demanda', 92267, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09615', 6, 'Riocabado de la Sierra', 93180, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 1, 'Caldavilla', 92215, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 2, 'Cojobar', 92215, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 3, 'Cubillejo de Lara', 92215, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 4, 'Cubillo del Campo', 91144, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 5, 'Cubillo del Cesar', 90308, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 6, 'Hontoria de la Cantera', 91622, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 7, 'Humienta', 93155, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 8, 'Revillarruz', 93155, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 9, 'Saldaa de Burgos', 93327, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 10, 'Palacio de Saldauela', 92215, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 11, 'Quintanilla de Las Vias', 92002, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 12, 'Olmos Albos', 93155, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 13, 'Modubar de la Emparedada', 92215, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 14, 'Saldauela', 92215, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 15, 'Sarracin', 93620, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 16, 'Venta de la Petra', 92215, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09620', 17, 'Ventas de Saldaa', 93327, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 1, 'La Acea de Lara', 90780, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 2, 'Cascajares de la Sierra', 90780, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 3, 'Hortiguela', 91694, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 4, 'Iglesiapinta', 93403, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 5, 'Jaramillo de la Fuente', 91834, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 6, 'Jaramillo Quemado', 91849, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 7, 'Mambrillas de Lara', 92002, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 8, 'Paules de Lara', 91911, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 9, 'San Millan de Lara', 93403, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 10, 'Rupelo', 94304, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 11, 'Quintanilla Cabrera', 94764, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 12, 'San Pedro de Arlanza', 90780, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 13, 'Taabueyes', 93811, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 14, 'Vega de Lara', 90780, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09640', 15, 'Villoruebo', 94764, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09679', 0, 'Neila', 92328, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 7, 'Os Barreiros (Cores)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 8, 'Brantuas (San Xulian)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 10, 'Brantuas de Arriba', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 11, 'Briallo', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 12, 'A Brixeira', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 13, 'A Calle (Tella)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 14, 'Campara (Nemeo)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 15, 'A Campara', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 16, 'A Carga', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 17, 'O Castro (Cores)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 18, 'Cerezo de Abaixo', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 19, 'Cerezo de Arriba', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 20, 'Cores (San Martin)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 21, 'Cospindo San Tirso (Ponteceso)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 22, 'Couto (Carballido)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 23, 'Curras (Carballido)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 24, 'Cuarros', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 25, 'Figueiroa (Cores)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 26, 'Fontan (Tella)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 27, 'Gandara (Tella)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 28, 'A Graa (Carballido)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 29, 'A Lamela (Cores)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 30, 'Lestimoo', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 31, 'Miraflores (Cores)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 32, 'Nemeo (Santo Tome)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 33, 'Nions (San Xoan)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 34, 'Orada (Cores)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 35, 'A Ourada (Cores)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 36, 'O Peton (Tella)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 37, 'Ponteceso', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 38, 'Porto do Souto', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 39, 'Riotorto (Cores)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 40, 'Rueiro (Cores)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 41, 'Rueiro (Tella)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 42, 'A Saimia', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 43, 'Santa Cruz (Cores)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 44, 'Os Seixos', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 45, 'Tella (San Eleuterio)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 46, 'A Trabe', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15110', 47, 'Vereda (Ponteceso)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 1, 'Ameixenda (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 2, 'Ameixendas (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 3, 'Ardaron', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 4, 'Barallans', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 5, 'Bellota', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 6, 'Braa (Corcoesto)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 7, 'Brion (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 8, 'Bugalleira (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 9, 'Buo (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 10, 'Cabana (Corcoesto)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 11, 'Campo da Guio', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 12, 'Cardezo', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 13, 'Carrasqueira', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 14, 'Casas Novas (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 15, 'Castro (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 16, 'Castro (Corcoesto)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 17, 'Choupana (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 18, 'Corcoesto (San Pedro)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 19, 'A Costa (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 20, 'Cruces (Corcoesto)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 21, 'Cures (Corcoesto)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 22, 'Empalme (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 23, 'Feira Nova (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 24, 'Froxan (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 25, 'Lamas (Corcoesto)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 26, 'Langueiron (San Xulian)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 27, 'Leiloio', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 28, 'Leiloio (Santa Maria)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 29, 'Os Melcos (Corcoesto)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 30, 'Millan (Corcoesto)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 31, 'Montefurado (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 32, 'Pardias (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 33, 'Pazos (San Salvador)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 34, 'Pazos de Abaixo (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 35, 'Pazos de Arriba (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 36, 'Pedrosa (Mera)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 37, 'Pernes', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 38, 'Pieiro (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 39, 'Pontedona', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 40, 'Rabuceiras', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 41, 'Raxeira', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 42, 'Rebordans (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 43, 'Rectoral (Corcoesto)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 44, 'Regoseco (Coercoesto)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 45, 'O Rieiro (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 46, 'As Salgueiras (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 47, 'San Antonio (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 48, 'Santa Catalina (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 49, 'Sergude (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 50, 'Tallo (San Andres)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 51, 'Teixedo', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 52, 'Tremoa (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 53, 'Viladesuso (Cores)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 54, 'Vilar (Buo)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 55, 'Vilasuso (Pazos)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 56, 'A Vitureira', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15111', 57, 'Xornes de Arriba (San Xulian)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 1, 'Aldeola', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 2, 'Algadan', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 3, 'Ardeleiro', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 4, 'Arixon (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 5, 'Avio (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 6, 'Bicerrean', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 7, 'Braas Verdes', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 8, 'Cambre (San Martio-Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 9, 'Canelas (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 10, 'Castrillon (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 11, 'Cean (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 12, 'Centeas (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 13, 'Cerqueda (San Cristobal)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 14, 'Chamusqueira (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 15, 'Cortes (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 16, 'Cortos (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 17, 'Escaras', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 18, 'Filgueira (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 19, 'Fote Dos Bois', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 20, 'Gomoroto', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 21, 'Lagoa (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 22, 'Leduzo', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 23, 'Lentoo', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 24, 'Leutoo', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 25, 'Loroxo', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 26, 'Pasacondia', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 27, 'Pazo (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 28, 'Pozacas', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 29, 'Taraio', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15112', 30, 'Xesteira (Cerqueda)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 1, 'Asalo', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 2, 'Badarra', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 3, 'Bareango', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 4, 'Barizo (San Pedro)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 5, 'Beo', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 6, 'Campelo (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 7, 'Cancela de Areas', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 26, 'Villamartin', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03189', 27, 'La Zenia', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03190', 0, 'Pilar de la Horadada', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 1, 'La Almazara', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 2, 'Barrio la Almazarra', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 3, 'Barrio Las Segundas', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 4, 'Barrio los Hortelanos', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 5, 'Caada de Praes', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 6, 'Colonia San Isidro', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 7, 'Los Hortelanos', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 8, 'Mil Palmeras', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 9, 'Pinar de Campoverde', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 10, 'Pueblo Catino', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 11, 'Los Rufines', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 12, 'Los Saez', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 13, 'Los Segundas', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 14, 'Torre de la Horadada', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03191', 15, 'Los Villena', 39021, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03193', 0, 'San Miguel de Salinas', 31203, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03194', 1, 'La Marina', 31133, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03194', 2, 'El Molar', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03194', 3, 'El Pinet', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03195', 1, 'El Altet', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03195', 2, 'Arenales del Sol', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03195', 3, 'Los Balsares (Alicante)', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03195', 4, 'El Calabaci', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03200', 0, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03201', 0, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03202', 0, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03203', 0, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03204', 0, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03205', 0, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03206', 0, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03207', 0, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03290', 0, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03291', 3, 'Ferriol', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03291', 4, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03292', 2, 'Las Bayas', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03293', 3, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03294', 1, 'Daimes', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03294', 2, 'La Hoya', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03294', 3, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03295', 1, 'Jubalcoy', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03295', 4, 'Saladas', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03295', 5, 'Elx/Elche', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03296', 1, 'Algoda', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03296', 2, 'Derramador (Elche)', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03300', 1, 'Los Huertos', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03300', 2, 'Orihuela', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03310', 1, 'Chapitel', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03310', 2, 'Correntias Bajas', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03310', 3, 'Correntias Medias', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03310', 4, 'Don Faustino', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03310', 5, 'Fabregal', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03310', 6, 'Jacarilla', 30801, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03310', 7, 'Molins', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03311', 1, 'La Aparecida', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03311', 2, 'Camino en Medio', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03311', 3, 'Molino de la Ciudad', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03311', 4, 'Pinar de Bonanza', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03311', 5, 'Raiguero de Bonanza', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03312', 1, 'Arneva', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03312', 2, 'Los Desamparados', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03312', 3, 'Las Norias', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03313', 1, 'Alcachofar', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03313', 2, 'Los Dolses', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03313', 3, 'Hurchillo', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03313', 4, 'Rebate', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03313', 5, 'Torremendo', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03314', 1, 'Ancha', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03314', 2, 'La Campaneta', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03314', 3, 'Media Legua', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03314', 4, 'San Bartolome', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 1, 'Los Asensios', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 2, 'El Cabecico', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 3, 'Los Campirulos', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 4, 'Lo Candel', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 5, 'Lo Carmen', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 6, 'Los Cutillas', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 7, 'Los Gavilanes', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 8, 'Los Mazones', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 9, 'La Murada', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 10, 'Los Perez', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 11, 'Los Pinos', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 12, 'Los Riquelmes', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 14, 'Los Ronderos', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 15, 'Torre Ines', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03315', 17, 'Los Vives', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03316', 1, 'Benferri', 30250, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03316', 2, 'La Matanza', 30250, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03316', 3, 'Montepinar', 30250, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 1, 'Barrio de San Carlos', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 2, 'La Bodega (Orihuela)', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 3, 'Callosilla', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 4, 'Los Carasos', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 5, 'Los Diaz', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 6, 'Escorratel', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 7, 'Los Monteros (Orihuela)', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 8, 'La Naya', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 9, 'Los Polacos', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 10, 'Las Puntas', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03317', 11, 'Virgen del Camino', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03318', 1, 'Lo Rocamora', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03318', 2, 'Los Vicentes', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03320', 0, 'Torrellano', 30651, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03330', 0, 'Crevillente', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 1, 'Amoros', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 2, 'Barranco de San Cayetano', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 3, 'Barranco San Cayetano', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 4, 'Barrio de la Estacion de Crevi', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 5, 'Boch', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 6, 'El Cachap', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 7, 'Los Campillos', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 8, 'Carga', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 9, 'Cuartel Este', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 10, 'Cuartel Oeste', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 11, 'L''Estacio (Crevillente)', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 12, 'La Mangranera', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 13, 'Marchant', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 14, 'La Molineta', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 15, 'Molinos de Magro', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 16, 'Monje', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 17, 'El Realengo', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 18, 'San Antonio de la Florida', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03339', 19, 'San Pascual', 30591, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03340', 0, 'Albatera', 30054, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03348', 1, 'Granja de Rocamora', 30746, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03348', 2, 'Los Monecillos', 30746, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03348', 3, 'Mos del Bou', 30746, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03349', 1, 'De Albatera-Catral', 39042, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03349', 2, 'Arzabon', 39042, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03349', 3, 'El Cabezo', 39042, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03349', 4, 'Los Gallegos', 39042, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03349', 5, 'San Isidro de Albatera', 39042, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03349', 6, 'Serralba', 39042, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03350', 1, 'Los Collereros', 30588, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03350', 2, 'Cox', 30588, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03350', 3, 'Finca San Fernando', 30588, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03350', 4, 'La Huerta (Callosa Segura)', 30588, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03350', 5, 'Lo Jabonero', 30588, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03350', 6, 'Motor del Carmen', 30588, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03350', 7, 'Rambleta', 30588, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03350', 8, 'San Isidro', 30588, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 1, 'Almajal', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 2, 'Almunia', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07610', 1, 'Can Pastilla', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07610', 2, 'Maravillas Las', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07610', 3, 'Sometines', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07610', 4, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07611', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07620', 0, 'Lluchmajor', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07629', 1, 'Cura', 70048, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07629', 2, 'Gracia', 70048, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07629', 3, 'Randa', 70048, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07629', 4, 'San Honorato', 70048, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07630', 0, 'Campos', 70131, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07638', 1, 'Baos de San Juan', 70598, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07638', 2, 'Colonia de Sant Jordi', 70598, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07638', 3, 'Es Palmer/El Palmer', 70598, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07638', 4, 'El Palmer', 70598, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07639', 1, 'Cala Pi', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07639', 2, 'Les Covetes', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07639', 3, 'La Rapita', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07639', 4, 'S''Estanyol', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07639', 5, 'Sa Rapita/La Rapita', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07639', 6, 'Ses Covetes/Les Covetes', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07639', 7, 'Son Duri', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07639', 8, 'Vallgornera', 70316, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07640', 2, 'Ses Salines/Les Salines', 70598, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07650', 0, 'Santanyi', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07659', 1, 'Cala Figuera (Mallorca)', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07659', 2, 'Cala Santanyi', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07659', 3, 'Calo Den Busques', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07659', 4, 'Calo Des Macs', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07659', 5, 'Na Rengo', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07659', 6, 'S''Escaleta', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07659', 7, 'Sa Torre Nova', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07660', 1, 'Cala D''Or', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07660', 2, 'Cala Egos', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07660', 3, 'Es Forti', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07660', 4, 'Marina', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07669', 1, 'Cala Esmeralda', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07669', 2, 'Cala Ferrera', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07669', 3, 'Cala Serena', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07669', 4, 'Calonge', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07669', 5, 'S''Horta/L''Horta (Felanitx)', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07669', 6, 'Tagomago', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07670', 1, 'Cala Alga', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07670', 2, 'Cala Barbacana', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07670', 3, 'Cala Marsal', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07670', 4, 'Portocolom', 70223, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07680', 2, 'Portocristo/Port de Manacor', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07687', 1, 'Auto Safari', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07687', 2, 'Cala Moreia', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07687', 3, 'Cala Morlanda', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07687', 4, 'Sa Coma/La Coma', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07687', 5, 'Parque Safari', 999999, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07687', 6, 'S''Illot/L''Illot', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07688', 1, 'Cala Antena', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07688', 2, 'Cala Murada', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07689', 1, 'Ca''N Gusti', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07689', 2, 'Cala Domingos', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07689', 3, 'Cala Mandia', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07689', 4, 'Cala Romantica', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07689', 5, 'Calas de Mallorca', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07689', 6, 'Club de Mar', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07689', 7, 'Espinagar', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07689', 8, 'Porto Cristo Novo', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07689', 9, 'Puig de L''Ana', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07689', 10, 'Tropicana', 70337, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07690', 1, 'Cala Llombards', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07690', 2, 'Cala S''Almonia', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07690', 3, 'La Costa (Santanyi)', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07690', 5, 'Es Llombards/Els Llombards', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07690', 7, 'S''Almonia', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07690', 8, 'Son Mojer', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07691', 2, 'Barca Trencada', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07691', 3, 'Cala Mondrago', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07691', 4, 'Club Mediterraneo', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07691', 5, 'La Costa (Alqueria Blanca)', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07691', 6, 'Portopetro', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07691', 7, 'S''Alqueria Blanca/L''Alqueria B', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07691', 9, 'Sa Taulera', 70579, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07700', 1, 'Cala Rata (Menorca)', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07700', 2, 'Fortaleza Isabel II', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07700', 3, 'Del Grao', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07700', 4, 'Isla del Rey', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07700', 5, 'Sa Mezquida', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07700', 6, 'San Antonio (Mahon)', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07700', 7, 'Mao', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07701', 1, 'Cala Figuera (Menorca)', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07701', 2, 'Fonduco', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07701', 3, 'Mao', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07710', 1, 'Binifadet', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07710', 2, 'Sant Lluis', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07711', 1, 'Biniali (San Luis)', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07711', 2, 'De Binibeca', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07711', 3, 'Binibequer', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07711', 4, 'Biniparrell', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07711', 5, 'Binissafuller', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07711', 6, 'Cap D''En Font', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07711', 7, 'De Pescadores', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07711', 8, 'S''Ullastrar', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07711', 9, 'Torret', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07711', 10, 'L''Ullastrar', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07712', 1, 'Binicalaf', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07712', 2, 'Binixica', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07712', 6, 'Es Canutells/Els Canutells', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07712', 7, 'Ses Furanes', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07712', 8, 'Ses Garrigas', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07712', 9, 'Llucmaanes', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07712', 10, 'Sa Furana', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07712', 11, 'Sa Vieta', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07712', 12, 'Sant Climent', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07713', 1, 'Alcaufar', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07713', 4, 'Cala Alcaufar', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07713', 5, 'Cala Biniancolla', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07713', 6, 'Es Consell/El Consell (Sant Ll', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07713', 7, 'Es Pou Nou', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07713', 8, 'Marina de Son Gauxo', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07713', 9, 'Punta Prima', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07713', 10, 'S''Algar/L''Algar', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07713', 11, 'Ses Barraques/Les Barraques', 70526, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07714', 1, 'Mao', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07714', 2, 'Casa Matas', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 1, 'Biniatap Nou', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 2, 'Cala San Esteban', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 3, 'Es Castell/El Castell', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 4, 'Horitzo', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 5, 'Lazareto (Menorca)', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 6, 'Noria Riera', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 7, 'San Felipe', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 8, 'Sant Felip', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 9, 'Sol del Este', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 10, 'Trebeluger', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07720', 11, 'Trepuco', 70645, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07730', 1, 'Alaior', 70027, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07730', 2, 'La Argentina', 70027, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07730', 3, 'Sa Roca', 70027, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07730', 4, 'San Jaime Mediterraneo', 70027, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07730', 5, 'Son Bou', 70027, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07730', 6, 'Torresolinou', 70027, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07730', 7, 'Cala''N Porter', 70027, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07730', 8, 'Calas Covas', 70027, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07730', 9, 'Son Vitamina', 70027, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07740', 1, 'Arenal De''N Castell', 70374, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07740', 2, 'Es Mercadal/El Mercadal', 70374, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09650', 1, 'Campolara', 90660, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09650', 2, 'Jurisdicion de Lara', 90660, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09650', 3, 'Villaespasa', 94304, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09651', 0, 'Lara de los Infantes', 91911, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09660', 1, 'Aldea del Pinar', 91638, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09660', 2, 'Hontoria del Pinar', 91638, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09660', 3, 'Rabanera del Pinar', 93023, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09670', 0, 'Quintanar de la Sierra', 92899, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09680', 0, 'Palacios de la Sierra', 92463, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09690', 0, 'Vilviestre del Pinar', 94252, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09691', 1, 'Castrillo de la Reina', 90840, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09691', 2, 'Moncalvillo', 92254, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09692', 0, 'Canicosa de la Sierra', 90676, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09693', 0, 'Regumiel de la Sierra', 93095, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10001', 0, 'Caceres', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10002', 0, 'Caceres', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10003', 0, 'Caceres', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10004', 0, 'Caceres', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10005', 0, 'Caceres', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10070', 0, 'Caceres', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10071', 0, 'Caceres', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10080', 0, 'Caceres', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10100', 0, 'Miajadas', 101210, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10108', 0, 'La Parrilla Balneario', 999999, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10109', 1, 'Alonso de Ojeda', 101210, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10109', 2, 'Casar de Miajadas', 101210, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10110', 1, 'Cristobal Colon', 101127, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10110', 2, 'Fernando V', 101127, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10110', 3, 'Madrigalejo', 101127, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10120', 0, 'Logrosan', 101091, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10129', 0, 'Berzocana', 100298, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10130', 0, 'Zorita', 102198, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10131', 0, 'Valdemorales', 102013, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10132', 0, 'Almoharin', 100204, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10133', 0, 'Escurial', 100731, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10134', 1, 'Campo Lugar', 100438, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10134', 2, 'Pizarro', 100438, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10135', 0, 'Alcollarin', 100092, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10136', 0, 'Caamero', 100443, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10137', 1, 'Alia', 100171, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10137', 2, 'Almansa', 100171, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10137', 3, 'La Calera', 100171, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10137', 4, 'Guadisa', 100171, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10137', 5, 'Pantano de Cijara', 100171, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10140', 0, 'Guadalupe', 100876, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10150', 0, 'Centro Militar Santa Ana', 999999, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10160', 0, 'Alcuescar', 100106, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10161', 0, 'Arroyomolinos', 100232, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10162', 0, 'Casas de Don Antonio', 100529, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10163', 0, 'Aldea del Cano', 100128, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10164', 0, 'Valdesalor', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10170', 0, 'Montanchez', 101262, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10180', 0, 'Valdefuentes', 101989, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10181', 0, 'Sierra de Fuentes', 101777, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10182', 0, 'Torreorgaz', 101936, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10183', 0, 'Torrequemada', 101941, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10184', 0, 'Torremocha', 101920, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10185', 1, 'Benquerencia', 100279, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10185', 2, 'Botija', 100319, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10186', 0, 'Torre de Santa Maria', 101881, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10187', 0, 'Albala del Caudillo', 100073, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10189', 1, 'Ruanes', 101611, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10189', 2, 'Salvatierra de Santiago', 101632, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10189', 3, 'Santa Ana', 101650, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10189', 4, 'Zarza de Montanchez', 102179, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10190', 0, 'Casar de Caceres', 100494, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10191', 0, 'Santiago del Campo', 101702, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10192', 0, 'Hinojal', 100980, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10193', 0, 'Talavan', 101783, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10194', 0, 'Monroy', 101259, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10195', 1, 'Aldea Moret', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10195', 2, 'Nacional 630, del Km. 214 al 2', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10198', 0, 'Santa Marta de Magasca', 101685, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10199', 0, 'Rincon de Ballesteros', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10200', 0, 'Trujillo', 101954, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10210', 0, 'Madroera', 101133, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10220', 0, 'San Clemente', 101954, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10230', 0, 'Herguijuela', 100921, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10240', 0, 'Conquista de la Sierra', 100664, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10250', 0, 'Garciaz', 100778, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10251', 0, 'Aldeacentenera', 100113, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10252', 0, 'Torrecilla de la Tiesa', 101869, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10260', 0, 'Santa Cruz de la Sierra', 101663, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10261', 0, 'Puerto de Santa Cruz', 101534, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10262', 0, 'Abertura', 100020, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10263', 0, 'Villamesias', 102090, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10269', 0, 'Robledillo de Trujillo', 101587, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10270', 0, 'La Cumbre', 100699, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10271', 0, 'Plasenzuela', 101493, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10280', 0, 'Ibahernando', 101029, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10290', 0, 'Huertas de Animas', 101954, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10291', 2, 'Huertas de la Magdalena', 101954, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10291', 3, 'La Aldea del Obispo', 100134, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10292', 0, 'Belen', 101954, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10300', 0, 'Navalmoral de la Mata', 101318, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10310', 0, 'Talayuela', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10317', 1, 'La Corta', 100651, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10317', 2, 'Mesillas', 100651, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10317', 3, 'Vegas de Mesillas', 100651, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10318', 1, 'Barquilla de Pinares', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10318', 2, 'La Barquilla', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10318', 3, 'Huertas de Miramontes', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10318', 4, 'Pueblonuevo de Miramontes', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10318', 5, 'Santa Maria de Las Lomas', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 1, 'Baldio', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 2, 'El Centenillo', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 3, 'El Cincho', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 4, 'Cuaternos', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 5, 'Lomas del Medio', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 6, 'Lomas del Poniente', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 7, 'Lomas del Saliente', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 8, 'Ribera de Valverde', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 9, 'El Robledo', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 10, 'Tietar del Caudillo', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10319', 11, 'Torreseca', 101800, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10320', 0, 'Bohonal de Ibor', 100302, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10328', 0, 'Fresnedoso de Ibor', 100759, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10329', 1, 'Campillo de Deleitosa', 100422, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10329', 2, 'Mesas de Ibor', 101203, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10329', 3, 'Valdecaas de Tajo', 101973, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10329', 4, 'Valdemoreno', 101973, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10330', 0, 'Villar del Pedroso', 102132, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10331', 1, 'Carrascalejo', 100481, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10331', 2, 'Navatrasierra', 102132, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10332', 0, 'Valdelacasa de Tajo', 102006, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10333', 0, 'Garvin', 100839, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10334', 0, 'Peraleda de San Roman', 101416, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10335', 0, 'Peraleda de la Mata', 101409, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10340', 0, 'Castaar de Ibor', 100605, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10341', 0, 'Navalvillar de Ibor', 101323, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10350', 0, 'Almaraz', 100190, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10359', 1, 'Higuera', 100974, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10359', 2, 'Romangordo', 101604, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10360', 0, 'Casas de Miravete', 100572, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10370', 0, 'Deleitosa', 100703, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10371', 0, 'Robledollano', 101590, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10372', 0, 'Retamosa', 100330, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10373', 1, 'Cabaas del Castillo', 100330, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10373', 2, 'Roturas', 100330, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 8, 'Casagrande (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 9, 'Casas do Monte (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 10, 'Casas Novas (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 11, 'Castro (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 12, 'Malpica de Bergantios', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 13, 'Medros (Malpica)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 14, 'Mens', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 15, 'Mens (Santiago Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 16, 'Paxarias', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 17, 'Picho (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 18, 'Pividal', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 19, 'Pieiros (Malpica)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 20, 'Pontella (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 21, 'Porto do Fondo', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 22, 'Quinteiro (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 23, 'Rio do Va', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 24, 'San Tirso (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 25, 'Seaia', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 26, 'Seixas (Malpica)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 27, 'Illas Sisargas', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 28, 'Torres (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 29, 'As Torres (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 30, 'Vigo (Mens)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 31, 'Vilanova (San Tirso)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 32, 'Vilarnovo (Malpica)', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15113', 33, 'Vista', 150434, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 1, 'Aldea (Corme)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 2, 'Corme', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 3, 'A Costa (Corme)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 4, 'Escobia (Corme)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 5, 'Esquipa (Monteagudo)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 6, 'Ferrerias (Vilarrube)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 7, 'Fonteioa', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 8, 'Froxan (Corme)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 9, 'Gafote', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 10, 'Gondomil', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 11, 'Guxin (Corme)', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15114', 12, 'O Roncudo', 150682, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 1, 'Aspera (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 2, 'Balado (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 3, 'Balsa (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 4, 'Bosque (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 5, 'Bronllo', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 6, 'Burgo (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 7, 'Buzaco (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 8, 'Cabana (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 9, 'Carballa (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 10, 'Carballal (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 11, 'Cesullas', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 12, 'Cuca (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 13, 'Esmoris (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 14, 'Esqueiro (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 15, 'Fontela (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 16, 'Fontenla (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 17, 'Forca do Lobo', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 18, 'Iglesia (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 19, 'Lamela (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 20, 'Meixoada (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 21, 'Muio (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 22, 'Neao', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 23, 'Pedra (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 24, 'Pedracuca', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 25, 'Penedo (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 26, 'Picouto (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 27, 'Rebordelo (Cesullas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15115', 28, 'Ternande', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 1, 'Aguarrei', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 2, 'Buzaco (Revoltas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 3, 'Cabana (Revoltas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 4, 'Cabodarea', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 5, 'Canduas', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 6, 'Frexulfe', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 7, 'Grelas', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 8, 'As Revoltas', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 9, 'San Pedro (As Revoltas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 10, 'Sinde (As Revoltas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 11, 'Taboido', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 12, 'Telleira (Revoltas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 13, 'Trasdagra (As Revoltas)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15116', 14, 'Ures', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15117', 1, 'Laxe (Puerta Santa Maria)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15117', 2, 'Patias', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 1, 'Arrueiro', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 2, 'Brozo', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 3, 'Cabanas (Sarces)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 4, 'Cabo de Area', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 5, 'Canle (Sarces)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 6, 'Carrabete', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 7, 'Casas Novas (Sarces)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 8, 'Castrelo (Sarces)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 9, 'Centeal', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 10, 'Coens', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 11, 'Conlle', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 12, 'Lourido (Sarces)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 13, 'Penelas (Sarces)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 14, 'Pieiro (Sarces)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 15, 'Romea', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 16, 'Salgueirons', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 17, 'Sarces (San Mamede)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 18, 'Serantes (Santa Maria)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 19, 'Soesto (San Estebo)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 20, 'Trafontans', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15118', 21, 'Virtudes (Sarces)', 150406, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 1, 'Aplazadoiro', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 2, 'Boao', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 3, 'Borneiro', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 4, 'Brio', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 5, 'Cabanela', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 6, 'Campo de Reiro', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 7, 'Canle', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 8, 'Capodorreiro', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 9, 'Carballal (Nande)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 10, 'Cernado (Nande)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 11, 'Cheis', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 12, 'Cobo (Nande)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 13, 'Costa (Nande)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 14, 'Cuia (Nande)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 15, 'Dombate', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 16, 'Fontefria (Borneiro)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 17, 'Gandara (Borneiro)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 18, 'Gundar', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 19, 'Matio', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 20, 'Melgueiras (Nande)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 21, 'Mordomo', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 22, 'Nande (San Simon)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 23, 'Orons (Nande)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 24, 'Reboredo (Nande)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 25, 'Rens', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 26, 'Socasas', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 27, 'Tella (Nande)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 28, 'Traba (Santiago)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 29, 'Traba de Laxe', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 30, 'Tras da Costa (Nande)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 31, 'Trasdocean', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 32, 'Vilaseco (Borneiro)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 33, 'A Viqueira', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15119', 34, 'Vistalegre (Borneiro)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 3, 'Barrio Cementerio', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 4, 'Barrio el Palmeral', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 5, 'Barrio los Dolores', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 6, 'Barrio San Jose', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 7, 'Barrio San Roque', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 8, 'Viejo Benejuzar', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 9, 'Benimira', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 10, 'Callosa de Segura', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 11, 'De la Caminera', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 12, 'Lo Cartagena', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 13, 'Lo Cerca', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 14, 'Paralelo Ferrocarril', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 15, 'La Muosa', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 16, 'Orilla Acequia', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 17, 'El Palmeral', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 18, 'Lo Perpen', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 19, 'El Salar', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 20, 'San Pedro', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 21, 'La Serrana', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 22, 'Vereda de los Cubos', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03360', 23, 'La Yesera', 30494, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03369', 1, 'El Alto', 31091, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03369', 2, 'El Baden', 31091, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03369', 3, 'La Concepcion', 31091, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03369', 4, 'Mudamiento', 31091, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03369', 5, 'Rafal', 31091, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03370', 1, 'Los Benitos', 31112, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03370', 2, 'La Magdalena', 31112, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03370', 3, 'Redovan', 31112, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03380', 0, 'Bigastro', 30443, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03390', 1, 'Benejuzar', 30247, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03390', 2, 'Secano de Barracas', 30247, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03400', 0, 'Villena', 31409, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03408', 1, 'La Encina', 31409, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03408', 2, 'La Zafra', 31409, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03408', 3, 'Las Tiesas', 31409, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03409', 1, 'Caada de Biar', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03409', 2, 'Las Moratillas', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03409', 3, 'La Vereda', 30529, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03409', 4, 'Las Virtudes', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03410', 1, 'Biar', 30438, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03410', 2, 'Umbria (Biar)', 30438, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03420', 1, 'Castalla', 30535, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03420', 2, 'Sarganella', 30535, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03430', 0, 'Onil', 30968, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03440', 1, 'Los Campos', 30797, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03440', 2, 'Ibi', 30797, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03440', 3, 'Sargaret', 30797, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03440', 4, 'Tomillar-Sarganella', 30797, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03450', 1, 'Banyeres de Mariola', 30211, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03450', 2, 'Bovar', 30211, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03450', 3, 'Fabricas de Beneyto', 30211, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03450', 4, 'Fabricas de Romero', 30211, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03450', 5, 'La Marjal', 30211, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03450', 6, 'Les Molines', 30211, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03450', 7, 'La Pedrera (Baeres)', 30211, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03459', 2, 'Casas de Beneyto', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03459', 3, 'Casas de Maestre', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03459', 4, 'El Ventorrillo', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03459', 5, 'Villa-Rosa', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03460', 0, 'Beneixama', 30232, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03469', 1, 'El Camp de Mirra /Campo de Mir', 30514, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03469', 2, 'Casas del Rio', 30514, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03469', 3, 'El Salse', 30514, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03469', 4, 'La Balsa', 30514, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03469', 5, 'Penyetes', 30514, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 1, 'Alfaz de Baix', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 2, 'Almafra', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 3, 'Armanello', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 4, 'Benidorm', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 5, 'Cala de Finestrat', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 6, 'Caseta', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 7, 'Coves', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 8, 'Ermita de Sanz', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 9, 'La Foya Marinera', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 10, 'Foyetes', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 11, 'Lloma', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 12, 'Rincon de Loix', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 13, 'Saltet', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 14, 'Sierra Helada', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03500', 15, 'Tolls', 30319, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03509', 1, 'Figueretes', 30699, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03509', 2, 'Finestrat', 30699, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03509', 3, 'Golf Bahia', 30699, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03509', 4, 'Les Hortetes', 30699, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03509', 5, 'El Molino', 30699, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03509', 6, 'Ramal de Loix', 30699, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03509', 7, 'El Tamarit', 30699, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03509', 8, 'La Tapiada', 30699, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03510', 2, 'Almedia', 30481, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03510', 3, 'Callosa D''En Sarria', 30481, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03510', 4, 'Marchequivir', 30481, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03510', 5, 'Tosal de Banderes', 30481, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03516', 0, 'Benimantell', 30377, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03517', 1, 'Adzaneta', 30279, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03517', 2, 'Beniarda', 30279, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03517', 3, 'Benifato', 30330, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03517', 4, 'Confrides', 30572, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03517', 5, 'Guadalest', 30279, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03517', 6, 'Abdet', 30572, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03518', 1, 'Bolulla', 30456, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03518', 2, 'Tarbena', 31278, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03518', 3, 'El Algar', 30456, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03519', 1, 'Chines', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 1, 'Bovalar', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 2, 'Cotelles', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 3, 'La Creueta', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 4, 'Holiday - Club', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 5, 'Palmosa', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 6, 'La Paz', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 7, 'Pla de Terol', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 8, 'Polop', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 9, 'Puerta del Sol', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 10, 'Raco', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 11, 'Teuleria', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 12, 'Chirles', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 13, 'Torrent', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 14, 'Campulles', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 15, 'Les Fonts', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 16, 'Montroig', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03520', 17, 'Runar', 31072, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 1, 'La Alberca', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 2, 'Arcos Este', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 3, 'Arcos Norte', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 4, 'Los Arcos', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 5, 'Barranco Hondo', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 6, 'Bello Horizonte', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 7, 'Caravana', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 8, 'Cautivador', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 9, 'La Nucia', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 10, 'La Colina', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 11, 'Coloma', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 12, 'El Dorado', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 13, 'Entrepinos', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 14, 'Finca Martina', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 15, 'Floriana', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 16, 'Hapimag', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 17, 'Kristal', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 18, 'Maylan', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 19, 'Montahud', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 20, 'Residencial Monte Cristo', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 21, 'Montebello', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 22, 'Montecasino', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 23, 'La Muixara', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 24, 'Nou Espai I', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 25, 'Nou Espai II', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 26, 'Nucia-Park', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 27, 'La Nucia Hills', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 32, 'Patrax', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07740', 3, 'Monte el Toro', 70374, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07740', 4, 'Na Macaret', 70374, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07740', 5, 'Puerto de Addaya', 70374, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07740', 6, 'Son Parc', 70374, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07748', 1, 'Cala Tirant', 70374, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07748', 2, 'Fornells', 70374, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07748', 3, 'Playas de Fornels', 70374, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07748', 4, 'Ses Salines (Mercadal-Menorca)', 70374, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07749', 1, 'Es Migjorn Gran/El Migjorn Gra', 79028, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07749', 2, 'De Sant Tomas', 79028, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07749', 3, 'Platja Sant Tomas', 79028, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07750', 1, 'Cala Galdana', 70239, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07750', 2, 'Ferreries', 70239, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07760', 0, 'Ciutadella de Menorca', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 1, 'Cala Blanca', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 2, 'Cala Blanes', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 3, 'Cala Bruch', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 4, 'Cala en Blanes', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 5, 'Cala en Forcat', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 6, 'Cala''N Bosch', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 7, 'Cala''N Busquets', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 8, 'Cala''N Morell', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 9, 'Caleta D''En Gorries', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 10, 'Colonia de la Asuncion', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 11, 'Colonia de San Expedito', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 12, 'Colonia Setarea', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 13, 'Cuarteles y Pabellones Militar', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 14, 'Los Delfines', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 15, 'Quinta del Mar', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 16, 'Santandria', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 17, 'Son Carrio (Ciutadella)', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07769', 18, 'Torre del Ram', 70159, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07800', 1, 'Aeroport D''Eivissa', 70260, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07800', 2, 'Eivissa', 70260, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07800', 3, 'Figueretas', 70260, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07810', 0, 'Sant Joan de Labritja', 70504, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07811', 1, 'Cala de San Vicente Ibiza', 70504, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07811', 2, 'Punta Grossa', 70504, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07811', 3, 'Sant Vicent de Sa Cala/Sant Vi', 70504, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07812', 0, 'Sant Lloren de Balafia', 70504, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07814', 0, 'Santa Gertrudis de Fruitera', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07815', 1, 'Ca''N Clavo', 70504, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07815', 2, 'Sant Miquel de Balasant', 70504, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07815', 3, 'Santa Maria (Isla de Ibiza)', 70504, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07816', 1, 'Sant Mateu D''Albarca', 70466, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07816', 2, 'Sant Rafel de Sa Creu/Sant Raf', 70466, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07817', 1, 'D''En Bossa', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07817', 2, 'Ca''N Ballutera', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07817', 3, 'Ca''N Maa', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07817', 4, 'La Carroca', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07817', 5, 'Sant Jordi de Ses Salines/Sant', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07818', 1, 'La Caleta', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07818', 3, 'Sant Francesc de S''Estany/Sant', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 1, 'Ca''N Cifre', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 2, 'Ca''N Cirer', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 3, 'Ca''N Escandell', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 4, 'Ca''N Fita', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 5, 'Cap Negret', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 6, 'Ca''S Ferro', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 7, 'Cap Martinet', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 8, 'Creus Des Magres', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 9, 'Es Vive', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 10, 'Estrella Azul', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 11, 'Marina de Las Monjas', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 12, 'Nuestra Seora de Jesus', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 13, 'Prat de Jesus', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 14, 'Puig D''En Valls', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 15, 'Roca Llisa', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07819', 16, 'Talamanca', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07820', 1, 'Cala Gracio', 70466, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07820', 2, 'Portinatx', 70466, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07820', 3, 'San Antonio', 70466, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07820', 4, 'San Antonio Abad', 70466, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07820', 5, 'Sant Antoni de Portmany', 70466, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07828', 1, 'Las Salinas', 70466, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07828', 2, 'Santa Agnes de Corona', 70466, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07829', 1, 'Cala Bassa', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07829', 2, 'Cala Bou', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07829', 3, 'Cala Conta', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07829', 4, 'Cala Corral', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07829', 5, 'Cala Tarida', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07829', 6, 'Port Des Torrent', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07830', 1, 'Cala Vadella', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07830', 2, 'Sant Josep de Sa Talaia/Sant J', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07839', 1, 'Benimusas', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07839', 2, 'Es Cubells/Els Cubells', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07839', 3, 'Parroig', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07839', 5, 'Sant Agusti Des Vedra/Sant Agu', 70488, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07840', 0, 'Santa Eularia Des Riu', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 1, 'Ca''N Frigolas', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 2, 'Ca''N Mari', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 3, 'Ca''N Mara', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 4, 'Ca''N Sanso', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 5, 'De Cala Llonga', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 6, 'Cala Pada', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 7, 'Calas Pada', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 8, 'Es Cana', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 9, 'Montaas Verdes', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 10, 'Niu Blau', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 11, 'Pont de S''Argentera', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 12, 'S''Argamassa', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 13, 'Sa Font Des Yerns', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 14, 'Se Reconada', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07849', 15, 'La Siesta', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07850', 1, 'Cala Lenya', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07850', 2, 'Cala Mastella', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07850', 3, 'Es Figueral', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 16, 'Molinell', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 17, 'Setla', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03780', 1, 'Montepego', 31029, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03780', 2, 'Pego', 31029, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03786', 1, 'Adsubia (Ajuntament Adsubia)', 30015, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03786', 2, 'Forna', 30015, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03786', 3, 'Beniaia', 30015, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03786', 4, 'La Vall D''Alcala', 30015, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03787', 6, 'Vall de Gallinera', 31360, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03788', 1, 'Alcala de la Jovada', 31344, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03788', 3, 'Benisili', 31360, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03788', 4, 'Llombay', 31360, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03788', 5, 'Patro', 31360, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03788', 7, 'Beniali', 31360, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03788', 8, 'Benirrama', 31344, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03788', 9, 'Benisiva', 31344, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03788', 10, 'Benitaia', 31344, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03788', 11, 'La Carroja', 31344, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03789', 1, 'Vall de Ebo', 31357, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03789', 2, 'Monte Pego', 31357, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03790', 1, 'Orba', 30974, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03790', 2, 'San Juan', 30974, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03791', 1, 'Benimaurell', 31376, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03791', 2, 'Campell', 31376, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03791', 3, 'El Eden', 31376, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03791', 4, 'Fleix', 31376, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03791', 5, 'Fontilles', 31376, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03791', 6, 'La Plana (Paradisorba)', 31376, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03791', 7, 'Vall de Laguart', 31376, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03792', 1, 'Coll de Rates', 30916, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03792', 2, 'Murla', 30916, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03792', 3, 'Orbeta', 30916, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10373', 3, 'Solana (Roturas)', 100330, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10374', 0, 'Navezuelas', 101344, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10380', 0, 'Jaraicejo', 101035, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10390', 0, 'Saucedilla', 101730, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10391', 0, 'Rosalejo', 109016, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10392', 1, 'Berrocalejo', 100285, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10392', 2, 'El Gordo', 100285, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10393', 0, 'Valdehuncar', 101992, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10394', 1, 'Belvis de Monroy', 100263, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10394', 2, 'Casas de Belvis', 100263, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10394', 3, 'Millanes', 101225, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10395', 0, 'Salto de Valdecaas', 999999, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10396', 0, 'Central Nuclear de Almaraz', 999999, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10400', 0, 'Jaraiz de la Vera', 101040, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10410', 0, 'Arroyomolinos de la Vera', 100226, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10411', 0, 'Pasaron de la Vera', 101382, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10412', 0, 'Garganta la Olla', 100797, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10413', 0, 'Torremenga', 101915, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10414', 0, 'Collado', 100651, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10420', 0, 'Tejeda', 101817, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10430', 0, 'Cuacos de Yuste', 100686, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10440', 0, 'Aldeanueva de la Vera', 100149, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10450', 0, 'Jarandilla', 101053, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10459', 0, 'Guijo de Santa Barbara', 100916, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10460', 0, 'Losar de la Vera', 101105, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10470', 0, 'Villanueva de la Vera', 102126, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10480', 0, 'Madrigal de la Vera', 101112, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10490', 0, 'Valverde de la Vera', 102049, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10491', 0, 'Talaveruela', 101796, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10492', 0, 'Viandar de la Vera', 102065, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10493', 0, 'Robledillo de la Vera', 101571, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10500', 0, 'Valencia de Alcantara', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10509', 0, 'Valencia de Alcantara Ff.Cc.', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10510', 0, 'Santiago de Alcantara', 101698, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10511', 0, 'Carbajo', 100469, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10512', 1, 'Herrera de Alcantara', 100942, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10512', 2, 'Sesmos de Cuellar', 100942, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10512', 3, 'Solana (Herrera de Alcantara)', 100942, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10513', 1, 'Atoquedo', 100627, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10513', 2, 'Cedillo', 100627, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10514', 1, 'Las Huertas de Cansa', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10514', 2, 'El Pino', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10514', 3, 'Puerto Roque', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10515', 1, 'Acea la Borrega', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10515', 2, 'Alcorneo', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10515', 3, 'La Borrega', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10515', 4, 'Jola', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10515', 5, 'Virgen de la Cabeza', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10516', 1, 'Las Casias', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10516', 2, 'La Fontaera', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10516', 3, 'San Pedro', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10517', 1, 'El Corchero', 999999, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10517', 2, 'Rio Sever', 999999, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10518', 0, 'Barca Chica', 999999, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10519', 0, 'Las Lanchuelas', 102034, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10520', 1, 'Casatejada', 100588, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10520', 2, 'Sexta Suerte Tiro Barra', 100588, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10520', 3, 'Toril', 101822, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10528', 0, 'Serrejon', 101761, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10529', 0, 'Majadas', 101148, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10530', 0, 'Serradilla', 101758, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10540', 0, 'Mirabel', 101231, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10550', 0, 'Aliseda', 100187, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10560', 0, 'Herreruela', 100955, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10570', 0, 'Salorino', 101626, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10580', 0, 'Membrio', 101199, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07850', 4, 'Sant Carles de Peralta', 70547, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07860', 1, 'Cap de Barbaria', 70244, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07860', 3, 'Sant Francesc de Formentera', 70244, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07870', 0, 'La Savina', 70244, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07871', 1, 'Es Pujols/Els Pujols (Formente', 70244, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07871', 2, 'Mitjorn', 70244, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07871', 3, 'San Fernando', 70244, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07872', 1, 'Es Calo', 70244, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07872', 2, 'Faro de la Mola', 70244, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07872', 3, 'Nuestra Seora del Pilar', 70244, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08001', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08002', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08003', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08004', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08005', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08006', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08007', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08008', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08009', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08010', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08011', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08012', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08013', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08014', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08015', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08016', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08017', 3, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08018', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08019', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08020', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08021', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08022', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08023', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08024', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08025', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08026', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08027', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08028', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08029', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08030', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08031', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08032', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08033', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08034', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08035', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08036', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08037', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08038', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08039', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08040', 2, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08041', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08042', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08070', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08071', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08080', 0, 'Barcelona', 80193, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08100', 0, 'Mollet del Valles', 81249, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08104', 0, 'Gallecs', 81249, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08105', 1, 'La Conreria', 82093, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08105', 2, 'Sant Fost de Campsentelles', 82093, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08106', 0, 'Santa Maria de Martorelles', 82567, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08107', 0, 'Martorelles', 81154, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08110', 1, 'Montcada i Reixac', 81252, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08110', 2, 'La Vallenana', 81252, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08120', 0, 'La Llagosta', 81056, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08130', 1, 'La Florida', 82606, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08130', 2, 'Mogoda', 82606, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08130', 3, 'Santa Perpetua de Mogoda', 82606, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08130', 4, 'Santiga (Santa Perpetua de Mog', 82606, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08140', 0, 'Caldes de Montbui', 80333, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08146', 0, 'Gallifa', 80879, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08148', 0, 'L''Estany', 80790, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08150', 2, 'El Eixample (Parets del Valles', 81593, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08150', 3, 'Parets del Valles', 81593, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08160', 0, 'Montmelo', 81350, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08170', 0, 'Montornes del Valles', 81363, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08178', 0, 'Collsuspina', 80706, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08180', 0, 'Moia', 81385, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08181', 0, 'Sentmenat', 82671, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 1, 'Bribes (Vimianzo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 2, 'Casais Grande', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 3, 'Casais Pequeno', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 4, 'Gandara (Vimianzo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 5, 'Pasantes (Vimianzo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 6, 'Sansobre', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 7, 'Somonte', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 8, 'Toxa (Vimianzo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 9, 'Tras Outeiro (Vimianzo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 10, 'Trasariz (Vimianzo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 11, 'Urroa', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 12, 'Valia (Vimianzo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15120', 13, 'Vilar (Vimianzo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 1, 'Allo (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 2, 'Arou', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 3, 'Barrosas (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 4, 'Bouzas (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 5, 'Brao (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 6, 'Calo (Vilarmide)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 7, 'Camelle', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 8, 'Campolongo (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 9, 'Carantoa (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 10, 'Carnes (San Cristovo)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 11, 'Casas Novas (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 12, 'Casia', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 13, 'Cereixo (Santiago-Ponte do Por', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 14, 'Cures (Puente Puerto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 15, 'Curro (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 16, 'Devesela', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 17, 'Dor', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 18, 'Esquipa (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 19, 'Esquipa de Abaixo', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 20, 'Esquipa de Arriba', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 21, 'Figaredo (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 22, 'Gralleiras', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 23, 'A Igrexa (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 24, 'Lazo', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 25, 'Montecelos', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10590', 0, 'Palazuelo Empalme', 101164, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10591', 1, 'La Bazagona', 101164, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10591', 2, 'La Herguijuela', 100921, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10592', 0, 'Casas de Millan', 100566, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10593', 0, 'La Perala', 100494, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10600', 0, 'Plasencia', 101480, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10610', 0, 'Cabezuela del Valle', 100358, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10611', 0, 'Tornavacas', 101838, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10612', 0, 'Jerte', 101072, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10613', 0, 'Navaconcejo', 101301, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10614', 0, 'Valdastillas', 101967, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10615', 0, 'Piornal', 101474, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10616', 1, 'Cabrero', 100361, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10616', 2, 'Casas del Castaar', 100540, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10617', 1, 'Rebollar', 101549, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10617', 2, 'El Torno', 101549, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10620', 0, 'Caminomorisco', 100417, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10623', 1, 'Arrolobos', 100417, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10623', 2, 'Vegas de Coria', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10624', 1, 'Las Mestas', 100417, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10624', 2, 'Riomalo de Abajo', 100417, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10625', 1, 'Cabezo', 101088, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10625', 2, 'Ladrillar', 101088, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10625', 3, 'Riomalo de Arriba', 101088, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10626', 0, 'Nuomoral', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10627', 1, 'Aceitunilla', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10627', 2, 'Cerezal', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10627', 3, 'Fragosa', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10627', 4, 'El Gasco', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10627', 5, 'Martilandran', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10628', 1, 'Asegur', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10628', 2, 'Carabusino', 100514, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10628', 3, 'Casa Rubia', 100514, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10628', 4, 'Casares de Las Hurdes', 100514, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10628', 5, 'Heras', 100514, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10628', 6, 'Huetre', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10628', 7, 'Robledo (Casares de Las Hurdes', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10629', 1, 'Batuequilla', 100417, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10629', 2, 'Cambron', 100417, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10629', 3, 'Cambroncino', 100417, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10629', 4, 'Dehesilla', 100417, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10629', 5, 'Horcajada', 100417, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10629', 6, 'Huerta', 100417, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10629', 7, 'Rubiaco', 101357, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10630', 1, 'Pedro Muoz', 100507, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10630', 2, 'Pinofranqueado', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10638', 1, 'Acea', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10638', 2, 'Aldehuela', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10638', 3, 'Avellanar', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10638', 4, 'Castillo', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10638', 5, 'Erias', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10638', 6, 'Horcajo', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10638', 7, 'Mesegal', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10638', 8, 'Muela', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10638', 9, 'Robledo (Aldehuela)', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10639', 1, 'Ovejuela', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10639', 2, 'Sauceda', 101468, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10640', 0, 'Casar de Palomero', 100507, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10649', 1, 'Azabal', 100507, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10649', 2, 'La Pesga', 100507, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10649', 3, 'Rivera Oveja', 100507, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10650', 0, 'Ahigal', 100067, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10660', 1, 'El Bronco', 101376, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10660', 2, 'Palomero', 101376, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10661', 0, 'Santa Cruz de Paniagua', 101679, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10662', 0, 'Marchagaz', 101170, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10663', 0, 'Cerezo', 100633, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10664', 0, 'Mohedas de Granadilla', 101246, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10665', 0, 'Guijo de Granadilla', 100909, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10666', 1, 'Aceituna', 100054, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10666', 2, 'Santibaez el Bajo', 101724, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10667', 1, 'Almendral', 101360, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10667', 2, 'Casablanca', 101360, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10667', 3, 'Oliva de Plasencia', 101360, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10667', 4, 'Valtravieso', 101360, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10667', 5, 'Valverdejo', 101360, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10668', 0, 'Ventaquemada', 999999, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10670', 0, 'Carcaboso', 100475, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10671', 1, 'Aldehuela de Jerte', 100165, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10671', 2, 'Pradochano', 101480, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10671', 3, 'Valderrosas', 100475, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10672', 0, 'Valdeobispo', 102028, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10680', 0, 'Malpartida de Plasencia', 101164, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10690', 1, 'Alagon', 100762, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10690', 2, 'Avarientos', 100762, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10690', 3, 'Jarilla del Sur', 100762, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10690', 4, 'Malpartida', 100762, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10690', 5, 'El Rincon', 109037, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10690', 6, 'San Gil', 101480, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10690', 7, 'Vega Cervera', 100762, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10691', 1, 'Fuente del Sapo', 100762, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10691', 2, 'Galisteo', 100762, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10691', 3, 'Sartalejo', 100762, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10691', 4, 'Viuelas', 100762, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10692', 0, 'El Batan', 100895, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10693', 1, 'Riolobos', 101552, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10693', 2, 'Salgada de Las Matas', 101552, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10694', 1, 'Salto de Torrejon', 101822, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10694', 2, 'Torrejon el Rubio', 101908, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10695', 0, 'Villarreal de San Carlos', 101758, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10696', 1, 'Barrado', 100250, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10696', 2, 'Garguera', 100818, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10697', 1, 'Fresnedoso de la Calera', 101164, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 29, 'Los Olivos', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 30, 'Las Orquideas', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 31, 'Panorama (La Nucia)', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 33, 'Patricia', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 34, 'La Perla', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 35, 'Pinar de Garaita', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 36, 'Pla de Garaita', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 37, 'Promere Bella Vista', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 38, 'Puerta de Hierro', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 39, 'Puerto Azul', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 40, 'Rosales', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 41, 'Sol Saliente', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 42, 'La Torre', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 44, 'Tosal', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 45, 'El Tosal', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 46, 'El Tosalet', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 47, 'El Valle', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 48, 'Varadero', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 49, 'Las Vegas', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03530', 50, 'Venta del Aire', 30942, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03540', 1, 'Cabo de Las Huertas', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03540', 2, 'La Condomina', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03540', 3, 'Huertas', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03540', 4, 'De Sant Joan', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03540', 5, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03550', 1, 'Benimagrell', 31199, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03550', 2, 'Fabraquer (Ayuntamiento San Ju', 31199, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03550', 3, 'La Font', 31199, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03550', 4, 'Racholetes', 31199, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03550', 5, 'Salafranca', 31199, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03550', 6, 'El Salt (San Juan)', 31199, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03550', 7, 'San Juan de Alicante', 31199, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03550', 8, 'Las Mezquitas F-II y III', 31199, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03550', 9, 'Rajoletes', 31199, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03559', 1, 'Orgegia', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03559', 2, 'Santa Faz', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03559', 3, 'Serenil', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03559', 4, 'Alacant/Alicante', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 1, 'Alkabir', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 2, 'El Amerador', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 3, 'Els Banyets', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 4, 'Barrio Bonny', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 5, 'Bonanza', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 6, 'Cala D''Or', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 7, 'El Campello', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 8, 'De Cerda', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 9, 'Cinco Torres', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 10, 'Colonia Trinidad', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 11, 'Costa Acantilada', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 12, 'Coveta Fuma', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 13, 'De Espaoleta', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 14, 'Fabraquer (Ayuntamiento Campel', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 15, 'De Fritanga', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 16, 'La Isleta', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 17, 'Del Marco', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 18, 'La Merced', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 19, 'De Muchavista', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 20, 'La Nuza', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 21, 'Venta la Nuza', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 22, 'De Oate', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 23, 'El Parque Amerador', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 24, 'Pla de Sarrio', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 25, 'El Poblet', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 26, 'De Ponciano', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 27, 'Pueblo Acantilado', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 28, 'Colegio Salesianos (Campello)', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 29, 'El Tracho', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 30, 'Las Mezquitas F-I', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03560', 31, 'Poligono Industrial Messell', 30507, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03569', 1, 'Aiges', 30041, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 1, 'Alcocons', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 2, 'Atalayas (Villajoyosa)', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 3, 'Barberes', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 4, 'Chovades', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 5, 'Era Soler', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 6, 'Ermita San Antonio Abad', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 7, 'Gasparot', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 8, 'Mediases', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 9, 'Molino Linares', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 10, 'Montesol', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 11, 'Montiboli', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 12, 'Parais', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 13, 'Pla del Aljup', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 14, 'Plands', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 15, 'Plans', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 16, 'Poligono Industrial el Torres', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 17, 'Secanet', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 18, 'Torretes', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 19, 'La Vila Joiosa /Villajoyosa', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 20, 'Aixihuili', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 21, 'Almiserat', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 22, 'Bol Nou', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 23, 'Carrichal', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 24, 'D''Amunt de L''Horta', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 25, 'El Charco', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 26, 'El Salomo', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 27, 'Galandu', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 28, 'La Robella', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 29, 'Rodacucos', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 30, 'Sainvi', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03570', 31, 'Setines', 31395, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03578', 0, 'Relleu', 31127, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03579', 1, 'Espaa la Vieja', 30980, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03579', 2, 'Orxeta', 30980, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03579', 3, 'Sella', 31246, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 2, 'L''Alfas del Pi', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 3, 'Barranco Hondo', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 4, 'Belmonte', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 5, 'Beverly Hills', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 6, 'Carbonera', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 7, 'Cautivador', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 8, 'Colonia Escandinavia', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 9, 'Colonia Vikinga', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 10, 'Devesa', 30566, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 11, 'Entre Limones', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 12, 'Entre Naranjos -Flores', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 14, 'Foya Blanca', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 15, 'Las Fuentes', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 16, 'Jardin de Alfaz', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 17, 'Limoneros', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 18, 'Oasis', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 19, 'Pla del Devesa', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 20, 'Residence Park', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 21, 'El Romeral', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 22, 'Santa Fe', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03580', 23, 'El Tosalet (Alfaz del Pi)', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03581', 1, 'Albir', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03581', 2, 'La Estrada', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03581', 3, 'L''-Playa Alfas del Pi', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03581', 4, 'La Guixa', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03581', 5, 'La Lloma', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03581', 6, 'Sant Pere', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03589', 0, 'Santa Fe', 30113, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 1, 'El Alamo', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 2, 'Altea', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 3, 'Altea Hills', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 4, 'Cap Blanc (Altea)', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 5, 'Capnegret', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 6, 'La Foyeta', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 7, 'Jahara', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 8, 'Miami', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 9, 'La Olla', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 10, 'El Planet (Altea)', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 11, 'El Pontet', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 12, 'Puerto Campomanes-Grenwich', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 14, 'Soligrid', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03792', 4, 'Parcent', 31007, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03792', 5, 'Venta del Zurdo', 30916, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03793', 0, 'Castell de Castells', 30540, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03794', 0, 'Benichembla', 30298, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03795', 1, 'Sagra', 31151, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03795', 2, 'Tormos', 31318, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03795', 3, 'Orbeta', 31151, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03795', 4, 'Aspre', 31151, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03795', 5, 'Barrancs', 31151, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03795', 6, 'Capso', 31151, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03795', 7, 'Cascalis', 31151, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03795', 8, 'Masils', 31151, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03795', 9, 'Trullent', 31151, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03795', 10, 'Xarais', 31151, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03800', 3, 'Alcoi/Alcoy', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03801', 0, 'Alcoi/Alcoy', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03802', 0, 'Alcoi/Alcoy', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03803', 0, 'Alcoi/Alcoy', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03804', 0, 'Alcoi/Alcoy', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03810', 0, 'Benilloba', 30358, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03811', 1, 'Capellans', 30605, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03811', 2, 'Quatretondeta', 30605, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03811', 3, 'Gorga', 30731, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03812', 1, 'Balones', 30204, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03812', 2, 'Benimassot', 30396, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03812', 3, 'Millena', 30860, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03813', 1, 'Facheca', 30670, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03813', 2, 'Famorca', 30686, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03813', 3, 'Tollos', 31301, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03814', 1, 'Alcoleja', 30089, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03814', 2, 'Ares del Bosque', 30089, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03814', 3, 'Benasau', 30226, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03814', 4, 'Beniafe', 30089, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03815', 0, 'Penaguila', 31035, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03816', 0, 'Benifallim', 30324, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03818', 1, 'Algars', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03818', 2, 'Barchell', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03818', 3, 'Batoy', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03818', 4, 'Beniata', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03818', 5, 'Gormaig', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03818', 6, 'Masias de Molto - Algars', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03818', 7, 'De Molto-Algars', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03818', 8, 'El Salt', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03818', 9, 'Venta de San Jose', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03818', 10, 'Venta del Pilar', 30092, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03819', 1, 'La Canaleta', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03819', 2, 'Casas de la Carrasca', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03819', 3, 'La Sarga', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03820', 1, 'Alquerias', 30566, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03820', 2, 'Cocentaina', 30566, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03820', 3, 'Devesa', 30566, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03820', 4, 'Ermita de San Cristobal', 30566, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03827', 1, 'Almudaina', 30165, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03827', 2, 'Benillup', 30361, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03827', 3, 'Benimarfull', 30383, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03828', 1, 'Benialfaqui', 31066, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03828', 2, 'Catamarruch', 31066, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03828', 3, 'Margarida', 31066, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03828', 4, 'Planes', 31066, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03829', 1, 'Alcudia', 30566, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03829', 2, 'L''Alqueria D''Asnar', 30566, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03829', 3, 'Alqueria-Benifloret', 30566, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03830', 0, 'Muro de Alcoy', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03837', 0, 'Agres', 30036, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03838', 0, 'Alfafara', 30106, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 1, 'De Albaida', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 2, 'Alqueria de Jorda', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 3, 'Argella', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 4, 'Benamer', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 5, 'Cela de Nuez', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 6, 'La Cenia', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 7, 'La Foia', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 8, 'De Muro de Alcoy', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 9, 'Palacio-Arpella', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 10, 'La Plana (Muro Alcoy)', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 11, 'Real Franch', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03839', 14, 'Turballos', 30921, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03840', 0, 'Gaianes', 30725, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03841', 0, 'Alcocer de Planes', 30073, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03850', 0, 'Beniarres', 30285, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03860', 0, 'L''Orxa /Lorcha', 30844, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03870', 2, 'Penella', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04001', 0, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04002', 3, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04003', 0, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04004', 0, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04005', 0, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04006', 0, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04007', 0, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04008', 0, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04009', 0, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04070', 0, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04071', 2, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04080', 0, 'Almeria', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04100', 1, 'Los Cortijillos', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04100', 2, 'Los Grillos', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04100', 3, 'Nijar', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04100', 4, 'Torre del Campo', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04100', 5, 'Venta del Pobre', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04110', 0, 'Campohermoso', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04113', 1, 'Atochares', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04113', 2, 'El Viso', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04114', 1, 'Polopos', 40600, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04114', 2, 'Saladar y Leche', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04114', 3, 'Tristanes', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04115', 0, 'Rodalquilar', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04116', 1, 'Albaricoques', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04116', 2, 'Fernanperez', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04116', 3, 'Hornillos', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04116', 4, 'Hortichuelas', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04116', 5, 'Las Negras', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04117', 1, 'El Barranquete', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04117', 2, 'Boca de los Frailes', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04117', 3, 'Cuevas del Lino', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04117', 4, 'Los Nietos', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04117', 5, 'Pozo de los Frailes', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04117', 6, 'Presillas Bajas', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04117', 7, 'Pueblo Blanco', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04117', 8, 'San Isidro de Nijar', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04118', 1, 'Los Escullos', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04118', 2, 'La Isleta', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04118', 3, 'San Jose', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04119', 0, 'Huebro', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04120', 1, 'El Bobar', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04120', 2, 'La Caada de San Urbano', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04120', 3, 'Costacabana', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04120', 4, 'Loma Cabrera', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04120', 5, 'El Mami', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04120', 6, 'Venta Gaspar', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04130', 1, 'El Alquian', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04130', 2, 'Cuevas de los Ubedas', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04131', 0, 'Retamar', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04140', 1, 'Carboneras', 40329, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04140', 2, 'La Caada de Don Rodrigo', 40329, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 1, 'Aguamarga', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 2, 'Aguamarga (Gafares)', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 3, 'Los Alamillos', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 4, 'El Argamason', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 5, 'El Caarico', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 6, 'La Cueva del Pajaro', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 7, 'El Cumbrero', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 8, 'Gafares (Carboneras)', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 9, 'La Islica', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 10, 'El Llano de Don Antonio', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 11, 'La Mesa Roldan', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 12, 'El Saltador Alto', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04149', 13, 'El Saltador Bajo', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04150', 1, 'El Cabo de Gata', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04150', 2, 'Rambla Morales', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08182', 0, 'Sant Feliu de Codines', 82107, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08183', 1, 'Castellcir', 80556, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08183', 2, 'Castellterol', 80641, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08183', 3, 'Granera', 80958, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08184', 1, 'Palau de Plegamans', 81568, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08184', 3, 'Santa Magdalena', 81568, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08185', 1, 'Llia de Vall', 81081, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08185', 2, 'El Pla (Llia de Vall)', 81081, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08186', 0, 'Llia D''Amunt', 81075, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08187', 1, 'El Bonaire', 82482, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08187', 2, 'El Rieral', 82482, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08187', 3, 'Santa Eulalia de Ronana', 82482, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08187', 4, 'El Serrat', 82482, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08187', 5, 'La Sagrera', 82482, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08188', 0, 'Vallromanes', 82969, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08189', 0, 'Sant Quirze Safaja', 82397, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08190', 1, 'La Floresta', 82055, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08190', 2, 'Mira-Sol', 82055, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08190', 3, 'Les Planes (Sant Cugat del Val', 82055, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08190', 4, 'Sant Cugat del Valles', 82055, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08190', 5, 'Valldoreix', 82055, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08191', 0, 'Rubi', 81846, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08192', 1, 'Sant Quirze del Valles', 82384, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08192', 2, 'La Serra de Galliners', 82384, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08193', 1, 'Bellaterra', 82665, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08193', 2, 'Universitat Autonoma de Bellat', 82665, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08194', 0, 'Les Fonts (Sant Quirze del Val', 82384, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08195', 0, 'Sant Cugat del Valles', 82055, 8, 
    0, 9, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08199', 0, 'Montserrat (Monestir)', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08200', 0, 'Sabadell', 81878, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08201', 0, 'Sabadell', 81878, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08202', 0, 'Sabadell', 81878, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08203', 0, 'Sabadell', 81878, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08204', 0, 'Sabadell', 81878, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08205', 0, 'Sabadell', 81878, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08206', 0, 'Sabadell', 81878, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08207', 0, 'Sabadell', 81878, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08208', 0, 'Sabadell', 81878, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08210', 1, 'Barbera del Valles', 82520, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08210', 2, 'Santiga (Barbera del Valles)', 82520, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08211', 1, 'Castellar del Valles', 80517, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08211', 2, 'Sant Feliu del Raco', 80517, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08212', 0, 'Sant Lloren Savall', 82233, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08213', 0, 'Polinya', 81672, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08214', 0, 'Badia del Valles', 89045, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08220', 2, 'Terrassa', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08221', 0, 'Terrassa', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08222', 0, 'Terrassa', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08223', 0, 'Terrassa', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08224', 0, 'Terrassa', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08225', 0, 'Terrassa', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08226', 0, 'Terrassa', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08227', 1, 'Terrassa', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08227', 2, 'Torrebonica', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08228', 1, 'Les Fonts (Terrassa)', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08228', 2, 'Terrassa', 82798, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08230', 1, 'Matadepera', 81206, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08230', 2, 'Les Pedritxes', 81206, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08230', 3, 'Sant Lloren (Matadepera)', 81206, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08231', 0, 'Ullastrell', 82900, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08232', 0, 'Viladecavalls', 83008, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08233', 0, 'Vacarisses', 82917, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08240', 1, 'Manresa', 81136, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08240', 2, 'El Poal', 81136, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08240', 3, 'Els Comtals', 81136, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08250', 1, 'Sant Joan de Vilatorrada', 82188, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08250', 2, 'Sant Marti de Torroella', 82188, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08251', 1, 'Castellnou de Bages', 80620, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08251', 2, 'Santpedor', 81923, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08253', 1, 'Sant Salvador de Guardiola', 80983, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08253', 2, 'El Selleres', 80983, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08254', 0, 'El Pont de Vilumara i Rocafort', 81825, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08255', 1, 'Castellfollit del Boix', 80594, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08255', 2, 'Maians', 80594, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08256', 1, 'Aguilar de Segarra', 80023, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08256', 2, 'Castellar', 80023, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08256', 3, 'Rajadell', 81786, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08259', 1, 'Camps', 80847, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08259', 2, 'Fals', 80847, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08259', 3, 'Fonollosa', 80847, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08259', 5, 'Viladordis', 81136, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08260', 0, 'Suria', 82747, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08261', 1, 'Cardona', 80478, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08261', 2, 'La Coromina', 80478, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08262', 0, 'Callus', 80386, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08263', 1, 'Castelltallat', 82299, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08263', 2, 'Coaner', 82299, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08263', 3, 'Sant Mateu de Bages', 82299, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08269', 1, 'El Pala de Torroella', 82299, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08269', 2, 'Salo', 82299, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08269', 4, 'Sant Salvador de Torroella', 81419, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08269', 6, 'La Colonia Valls', 82299, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08270', 0, 'Navarcles', 81402, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08271', 0, 'Artes', 80109, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08272', 1, 'Sant Fruitos de Bages', 82135, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08272', 2, 'El Pont de Cabrianes', 82135, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08273', 0, 'Santa Maria D''Olo', 82589, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08274', 0, 'Sant Feliu Sasserra', 82129, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08275', 1, 'Calders', 80348, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08275', 2, 'Monistrol de Calders', 81287, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08275', 3, 'Viladecavalls (Calders)', 80348, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08278', 1, 'Mura', 81398, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08278', 2, 'Talamanca', 82779, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08279', 1, 'Avinyo', 80121, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08279', 2, 'Santa Eugenia de Relat', 80121, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08280', 0, 'Calaf', 80312, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 1, 'Calonge de Segarra', 80364, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 2, 'Castellfollit de Riubregos', 80608, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 3, 'Copons', 80713, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 4, 'Els Prats de Rei', 80364, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 6, 'Sant Pere de L''Ar', 80364, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 7, 'Sant Pere Sallavinera', 81897, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 8, 'Enfesta', 80364, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 9, 'La Molsosa', 80364, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 10, 'Prades de Molsosa', 80364, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 11, 'Els Quadrells', 80364, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08281', 12, 'Les Coromines (Aguilar de Sega', 80364, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08282', 1, 'Pujalt', 81764, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08282', 2, 'Sant Marti Sesgueioles', 82286, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08289', 7, 'Veciana', 82975, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08289', 10, 'La Tallada', 82975, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08290', 0, 'Cerdanyola del Valles', 82665, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08291', 0, 'Ripollet', 81803, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08292', 1, 'La Colonia Sedo', 80765, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08292', 2, 'Esparreguera', 80765, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08293', 0, 'Collbato', 80692, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08294', 1, 'El Bruc', 80253, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08294', 2, 'Sant Pau de la Guardia', 80253, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08295', 0, 'Sant Vicen de Castellet', 82628, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08296', 1, 'Can Serra i Pedro', 80538, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08296', 2, 'Castellbell i el Vilar', 80538, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08296', 3, 'Sant Cristofol', 80538, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08297', 0, 'Castellgali', 80615, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08298', 0, 'Marganell', 82423, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08299', 0, 'Rellinars', 81799, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08300', 0, 'Mataro', 81213, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08301', 0, 'Mataro', 81213, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08302', 0, 'Mataro', 81213, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08303', 0, 'Mataro', 81213, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08304', 0, 'Mataro', 81213, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08310', 0, 'Argentona', 80095, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10697', 2, 'Fresnedoso de los Santitos', 101164, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10697', 3, 'Guijo de los Frailes', 101164, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10697', 4, 'Haza de la Concepcion', 101164, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10697', 5, 'Malpartida de Plasencia', 101164, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10697', 6, 'Maulique', 101822, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10697', 7, 'Pantano de Navabuena', 101164, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10697', 8, 'Urdimalas', 101164, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10697', 9, 'Valdeiigos', 101817, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10700', 0, 'Hervas', 100968, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10710', 0, 'Zarza de Granadilla', 102163, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10711', 0, 'La Granja', 100860, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10712', 0, 'Pantano de Gabriel y Galan', 100909, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10720', 0, 'Villar de Plasencia', 102147, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10728', 0, 'Jarilla', 101066, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10729', 0, 'Cabezabellosa', 100345, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10730', 0, 'Casas del Monte', 100553, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10739', 0, 'Segura de Toro', 101745, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10740', 0, 'Aldeanueva del Camino', 100152, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10748', 0, 'Abadia', 100015, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10749', 0, 'Gargantilla', 100801, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10750', 0, 'Baos de Montemayor', 100247, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10759', 0, 'La Garganta', 100784, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10800', 0, 'Coria', 100670, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10810', 1, 'Atalaya', 101278, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10810', 2, 'Casillas del Carmen', 101278, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10810', 3, 'Montehermoso', 101278, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10810', 4, 'Refugio', 101278, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10810', 5, 'San Antonio', 101278, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10810', 6, 'San Bernardo', 101278, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10811', 1, 'Morcillo', 101297, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10811', 2, 'Puebla de Argeme', 100670, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10811', 3, 'Rincon del Obispo', 100670, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10811', 4, 'Valrio (Rincon del Obispo)', 101297, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10812', 0, 'Villanueva de la Sierra', 102111, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10813', 0, 'Pozuelo de Zarzon', 101528, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10814', 0, 'Villa del Campo', 102071, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10815', 0, 'Guijo de Coria', 100882, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10816', 0, 'Guijo de Galisteo', 100895, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10817', 0, 'Calzadilla', 100400, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10818', 1, 'Casas de Don Gomez', 100535, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10818', 2, 'Casillas de Coria', 100591, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10820', 0, 'Caaveral', 100456, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10828', 1, 'Arco', 101513, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10828', 2, 'Portezuelo', 101513, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10829', 1, 'Grimaldo', 100456, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10829', 2, 'Holguera', 100993, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10829', 3, 'Pajares', 100456, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10829', 4, 'Pajares de la Rivera', 101552, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10829', 5, 'Pedroso de Acim', 101395, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10829', 6, 'Puerto de los Castaos', 100456, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10830', 0, 'Torrejoncillo', 101894, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10839', 0, 'Valdencin', 101894, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10840', 1, 'Caada', 101284, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10840', 2, 'Malladas', 101284, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10840', 3, 'La Mata', 101284, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10840', 4, 'Moraleja', 101284, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10840', 5, 'Pantano de Borbollon', 101284, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10840', 6, 'Pedrizas', 101284, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10840', 7, 'Porciones', 101284, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10840', 8, 'La Quinta', 101284, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10840', 9, 'Rozacorderos', 101284, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10848', 0, 'Vegaviana', 109021, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10849', 1, 'Huelaga', 101014, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10849', 2, 'La Moheda de Gata', 101014, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10850', 0, 'Hoyos', 101007, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10857', 0, 'Acebo', 100036, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10858', 0, 'Villasbuenas de Gata', 102150, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10859', 1, 'La Fatela', 101719, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10859', 2, 'Santibaez el Alto', 101719, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10860', 0, 'Gata', 100844, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10864', 0, 'Torre de Don Miguel', 101875, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10865', 0, 'Cadalso', 100396, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10866', 0, 'Descargamaria', 100710, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10867', 0, 'Robledillo de Gata', 101565, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10868', 0, 'Hernan Perez', 100937, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10869', 0, 'Torrecilla de los Angeles', 101856, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10870', 0, 'Ceclavin', 100612, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10879', 0, 'Acehuche', 100041, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10880', 1, 'Moreras', 102185, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10880', 2, 'Zarza la Mayor', 102185, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10881', 0, 'Cachorrilla', 100383, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10882', 0, 'Pescueza', 101437, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10883', 0, 'Portaje', 101506, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10890', 0, 'Valverde del Fresno', 102052, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10891', 1, 'Eljas', 100725, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10891', 2, 'El Soto', 100725, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10892', 0, 'San Martin de Trevejo', 101647, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10893', 0, 'Villamiel', 102104, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10894', 0, 'Trevejo', 102104, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10895', 1, 'Cilleros', 100648, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10895', 2, 'Parrera', 100648, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10895', 3, 'Teso Moreno', 100648, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10896', 0, 'Perales del Puerto', 101421, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10900', 0, 'Arroyo de la Luz', 100211, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10910', 0, 'Malpartida de Caceres', 101151, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10920', 0, 'Arroyo-Malpartida', 100377, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10930', 0, 'Navas del Madroo', 101339, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10940', 0, 'Garrovillas', 100823, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10950', 0, 'Brozas', 100324, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10960', 0, 'Villa del Rey', 102087, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10970', 0, 'Mata de Alcantara', 101186, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10980', 0, 'Alcantara', 100089, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10989', 0, 'Salto de Alcantara', 100089, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10990', 0, 'Estorninos', 100089, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('10991', 0, 'Piedras Albas', 101455, 10, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11001', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11002', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11003', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11004', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11005', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11006', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11007', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11008', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11009', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11010', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11011', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11012', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11070', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11071', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11080', 0, 'Cadiz', 110125, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11100', 1, 'Poligono Tres Caminos (San Fer', 110316, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11100', 2, 'San Fernando', 110316, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11110', 0, 'San Fernando Naval', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11120', 0, 'Campo Soto', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11130', 1, 'Campano', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11130', 2, 'Chiclana de la Frontera', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11130', 3, 'Cortijo la Mesa', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11130', 4, 'Fuente Amarga', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11130', 5, 'Pago del Humo', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11138', 1, 'Bartivas', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11138', 2, 'Huerta O''Farrel', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11138', 3, 'Pinar de los Franceses', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11138', 4, 'San Juan del Marquesado', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11139', 1, 'La Barrosa', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11139', 2, 'Carboneros', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11139', 3, 'Doa Violeta', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11139', 4, 'Puerto de Santa Teresa', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11139', 5, 'Santi Petri', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11139', 6, 'La Soledad', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11139', 7, 'Villasanta', 110159, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11140', 0, 'Conil de la Frontera', 110146, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11149', 1, 'Barrio Nuevo', 110146, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 13, 'San Antonio', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03590', 15, 'La Pila', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03599', 1, 'Altea la Vella', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03599', 2, 'Bernia', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03599', 3, 'La Galera', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03599', 4, 'El Mascarat', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03599', 5, 'Alhama Springs', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03599', 6, 'Font de Ferrer', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03599', 7, 'Riquet', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03599', 8, 'Sogay', 30187, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 1, 'Agualejas', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 2, 'Azafranar', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 3, 'Baranco Gobernador', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 4, 'Bateig', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 5, 'Boveda', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 6, 'Camara', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 7, 'Campico', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 8, 'Campo Alto', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 9, 'Elda', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 10, 'El Chorrillo', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 11, 'La Horteta', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 12, 'Huerta Nueva', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 13, 'Jaud', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 14, 'Los Molinos (Elda)', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 15, 'El Monastil', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 16, 'Pata', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 17, 'La Siesta', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03600', 18, 'Sigmat', 30664, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 1, 'Aguarrios', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 2, 'Almafra', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 3, 'Caprala', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 4, 'Cati', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 5, 'El Cid', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 6, 'Genibre', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 7, 'Guirney', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 8, 'Llovera', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 9, 'Loma Bada', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 10, 'Palomaret', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 11, 'Las Pedreras (Petrel)', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 12, 'Petrer', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 13, 'Pusa', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 14, 'Rebenton', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 15, 'Salinetas de Petrel', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 16, 'Santa Barbara', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03610', 17, 'Troset', 31040, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03620', 1, 'Los Campanos', 999999, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03630', 0, 'Sax', 31231, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03638', 0, 'Salinas', 31164, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03639', 0, 'Colonia de Santa Eulalia', 31409, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 1, 'Barrio Cenefa', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 2, 'Basso', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 3, 'Beties', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 4, 'Bilaire', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 5, 'Bull', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 6, 'Cantarranas', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 7, 'Cavafria', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 8, 'Cavarrasa', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 9, 'Caeta', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 10, 'Charco Amargo', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 11, 'Chinorla', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 12, 'Collado de Victoriano', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 13, 'Falcones', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 14, 'Fumarol', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 15, 'El Gallo', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 16, 'Los Molinos', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 17, 'Monover/Monovar', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 18, 'Pedrera (Monover/Monovar)', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 19, 'La Rejuela', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 20, 'Romaneta', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 21, 'Alquebla', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 22, 'Bellich', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 23, 'Buitrera', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 24, 'Caada Farina', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 25, 'Caaeta', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 26, 'Collado Almendro', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 27, 'Collado Azorin', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 28, 'Collado Novelda', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 29, 'El Siri', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 30, 'Esvarador', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 31, 'Hondon Alto', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 32, 'Hondon Bajo', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 33, 'La Cenia (Monover/Monovar)', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 34, 'Peetas', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 35, 'Venta Blai', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03640', 36, 'Zafarich', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 1, 'Alciri', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 2, 'Almorqui', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 3, 'Biotrera', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 4, 'Casas de Juan Blanco', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 5, 'Casas de Sanchiz', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 6, 'Casas del Seor', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 7, 'Caada Roja', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 8, 'Chinorlet', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 9, 'Collado de Salinas', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 10, 'Derramador de Abajo', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 11, 'El Fondonet', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 12, 'Fuente del Pino', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 13, 'Hondon', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 14, 'Madara', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 15, 'Maan', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 16, 'La Rambleta', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03649', 17, 'Solaneta', 30895, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03650', 0, 'Pinoso', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03657', 1, 'Capellania', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03657', 2, 'Carche-Raspaig', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03657', 3, 'Casas de Ibaez', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03657', 4, 'Paredon', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03657', 5, 'Raspay', 31053, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03657', 6, 'Spirisans', 31053, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03657', 9, 'Torre del Rico', 31053, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 1, 'Boticaria', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 2, 'Camarillas', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 3, 'Casas de la Sierra', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 4, 'Casas de los Pozos', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 5, 'Casas del Prado', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 6, 'Caadas de Don Ciro', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 7, 'Culebron', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 8, 'Encebras', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 9, 'Fabriqueta', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 10, 'El Faldar', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 11, 'Hospital', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 12, 'Hospital de Pinoso', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 13, 'Lel', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 14, 'Prado', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 15, 'Los Purgateros', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 16, 'Rodriguillo', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 17, 'Ruta de Abajo', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 18, 'Ruta de Arriba', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 19, 'Salobral', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 20, 'Sonca', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 21, 'La Tejera (Pinoso)', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03658', 22, 'Ubeda', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 1, 'El Arsenal (Alicante)', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 2, 'La Caballusa', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 3, 'Los Capitos', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 4, 'Casa Diaz', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 5, 'Casa Poveda', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 6, 'Casas de Castilla', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 7, 'Caada del Trigo', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 8, 'Collado de los Gabrieles', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 9, 'Els Escandells', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 10, 'De Escribano', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 11, 'Espirisans', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 12, 'Umbria de la Zarza', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 13, 'La Zarza de Abanilla', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03659', 14, 'La Zarza', 31053, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 1, 'Campet', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 2, 'Casas de Sala', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 3, 'Cucuch', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07702', 0, 'Mao', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04151', 1, 'La Fabriquilla', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04151', 2, 'Pujaire (Almeria)', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04151', 3, 'Pujaire (Nijar)', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04151', 4, 'Ruescas (Almeria)', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04151', 5, 'Ruescas (Nijar)', 40669, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04160', 0, 'Cuevas de los Medinas', 40139, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 1, 'Cartero', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 2, 'Caada de Miralles', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 3, 'Espeliz', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 4, 'Los Gongoras', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 5, 'Joluque', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 6, 'Marchante', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 7, 'Los Nudos', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 8, 'Oro Verde', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 9, 'Puente de Guayar', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 10, 'Sartenilla', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 11, 'Tabernas', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04200', 12, 'Tinadas', 40887, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04210', 0, 'Lucainena de Las Torres', 40600, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04211', 1, 'Los Encalmados', 40947, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04211', 2, 'Los Olivillos', 40947, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04211', 3, 'Los Pichiriches', 40947, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04211', 4, 'La Rambla Honda (Lucainena de', 40947, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04211', 5, 'Los Retacos', 40947, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04211', 6, 'El Saltador (Lucainena de Las', 40947, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04211', 7, 'Turrillas', 40947, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04211', 8, 'La Vega', 40947, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04211', 9, 'Los Yesos', 40947, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04212', 1, 'Castro de Filabres', 40335, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04212', 2, 'Olula de Castro', 40681, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04212', 3, 'Pago Aguilar Bajo', 40335, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04212', 4, 'El Tallon Bajo', 40335, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04212', 5, 'Velefique', 40979, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04213', 1, 'Moraton', 40828, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04213', 2, 'Nudos', 40828, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04213', 3, 'Senes', 40828, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04217', 0, 'Brea', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04220', 0, 'Base Alvarez Sotomayor', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04230', 1, 'El Carmen', 40524, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04230', 2, 'Club de Tenis', 40524, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04230', 3, 'Las Cumbres', 40524, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04230', 4, 'La Fuensanta (Huercal)', 40524, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04230', 5, 'Huercal de Almeria', 40524, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04240', 1, 'La Juaida', 41019, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04240', 2, 'Viator', 41019, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04250', 0, 'Pechina', 40741, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04259', 0, 'Sierra Alhamilla', 40741, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04260', 1, 'Abriojal', 40789, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04260', 2, 'Marraque', 40789, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04260', 3, 'Mazarulleque', 40789, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04260', 4, 'Rioja', 40789, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04270', 1, 'Cinta Blanca', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04270', 2, 'La Cumbre', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04270', 3, 'Gafares (Sorbas)', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04270', 4, 'Garrido', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04270', 5, 'Hueli', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04270', 6, 'Los Maas', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04270', 7, 'Los Molinos (Sorbas)', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04270', 8, 'El Pilar (Sorbas)', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04270', 9, 'Sorbas', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 1, 'La Alameda', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 2, 'El Campico de Las Moletas', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 3, 'Castellones', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 4, 'El Chive', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 5, 'Los Dioses', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 6, 'El Fonte', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 7, 'Fuenblanquilla', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 8, 'Los Herrera', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 9, 'Los Jarales', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 10, 'Jauro (Lubrin)', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 11, 'Lubrin', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 12, 'El Marchal (Lubrin)', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 13, 'Los Martinez (Sorbas)', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 14, 'La Mela', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 15, 'Las Moletas', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 16, 'El Pilar', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 17, 'El Pocico (Lubrin)', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 18, 'El Pozo Saez', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 19, 'El Puntal (Lubrin)', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 20, 'La Rambla Algibe', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 21, 'La Rambla Honda (Lubrin)', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 22, 'Los Ramos', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 23, 'Los Risas', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 24, 'El Sacristan', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04271', 25, 'El Saeti', 40596, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04274', 1, 'El Aguador', 40950, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04274', 2, 'La Canal', 40950, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04274', 3, 'Fuente la Higuera', 40274, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04274', 4, 'La Fuentecilla', 40950, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04274', 5, 'El Marchal (Uleila del Campo)', 40950, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04274', 6, 'Los Morales', 40950, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04274', 7, 'El Rincon (Uleila del Campo)', 40950, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04274', 8, 'Zofre', 40950, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04275', 1, 'Los Arroyos', 40904, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04275', 2, 'Benitorafe', 40904, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04275', 3, 'Cocon del Peral', 40904, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04275', 4, 'Pozo del Lobo', 40926, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04275', 5, 'Tahal', 40904, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04276', 1, 'Alcudia de Monteagud', 40097, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04276', 2, 'Benitagla', 40268, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04276', 3, 'Benizalon', 40274, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04276', 4, 'El Santuario de Monteagud', 40097, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 1, 'Campico', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 2, 'Carrasco', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 3, 'Gacia Alto', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 4, 'Gacia Bajo', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 5, 'Gafarillos', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 6, 'Herradura', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 7, 'Los Loberos', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 8, 'Marchalico Viicas', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 9, 'Mizala', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 10, 'Los Perales', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 11, 'Peas Negras', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 12, 'El Pocico (Loberos)', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 13, 'La Rondea', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 14, 'El Salto del Lobo', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 15, 'El Tesoro', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 16, 'Urra', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04277', 17, 'Varguicas', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04278', 1, 'Los Alias', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04278', 2, 'Los Andreses', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04278', 3, 'Cariatiz', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04278', 4, 'Los Castaos', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04278', 5, 'Juncarico', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 1, 'Albarracin', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 2, 'Los Algarrobos', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 3, 'Barranco de los Lobos', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 4, 'La Casa Blanca (Sorbas)', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 5, 'Felix', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 6, 'Gochar', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 7, 'El Mayordomo', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 8, 'Moras', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 9, 'El Pilarico', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 10, 'Quijiliana', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 11, 'Rambla del Marques', 40904, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 12, 'El Rincon del Marques', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 13, 'La Tejica', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04279', 14, 'Uleila del Campo', 40950, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04280', 0, 'Los Gallardos', 40486, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04288', 1, 'El Albarico', 40221, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04288', 2, 'Bedar', 40221, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04288', 3, 'El Campico', 40221, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04288', 4, 'Los Matreros', 40221, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04288', 5, 'La Perulaca', 40221, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08317', 0, 'Orrius', 81537, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08318', 0, 'Canyamars', 80752, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08319', 2, 'Dosrius', 80752, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08320', 0, 'El Masnou', 81189, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08328', 0, 'Alella', 80039, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08329', 0, 'Teia', 82819, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08330', 0, 'Premia de Mar', 81727, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08338', 0, 'Premia de Dalt', 82303, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08339', 0, 'Vilassar de Dalt', 82140, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08340', 0, 'Vilassar de Mar', 82191, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08348', 0, 'Cabrils', 80305, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08349', 0, 'Cabrera de Mar', 80291, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08350', 0, 'Arenys de Mar', 80060, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08358', 1, 'Arenys de Munt', 80076, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08358', 2, 'Collsacreu (Vallgorguina)', 80076, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08359', 0, 'Sant Iscle de Vallalta', 81939, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08360', 0, 'Canet de Mar', 80403, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08370', 0, 'Calella', 80351, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08380', 0, 'Malgrat de Mar', 81108, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08389', 1, 'Palafolls', 81555, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08389', 2, 'Sant Genis de Palafolls', 81555, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08390', 0, 'Montgat', 81265, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08391', 0, 'Tiana', 82824, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08392', 0, 'Sant Andreu de Llavaneres', 81976, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08393', 0, 'Caldes D''Estrac', 80327, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08394', 0, 'Sant Vicen de Montalt', 82649, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08395', 0, 'Sant Pol de Mar', 82359, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08396', 0, 'Sant Cebria de Vallalta', 82037, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08397', 0, 'Pineda de Mar', 81635, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08398', 0, 'Santa Susanna', 82613, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08400', 0, 'Granollers', 80961, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08410', 1, 'Valldoriolf', 89024, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08410', 2, 'Vilanova del Valles', 89024, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08415', 0, 'Bigues', 80235, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08416', 0, 'Riells del Fai', 80235, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08420', 0, 'Canovelles', 80410, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08430', 1, 'La Roca del Valles', 81810, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08430', 2, 'Santa Agnes de Malanyanes', 81810, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08440', 0, 'Cardedeu', 80462, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08445', 1, 'Canoves', 80425, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08445', 2, 'Samalus', 80425, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08450', 1, 'Collsabadell', 81069, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08450', 2, 'Llinars del Valles', 81069, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08450', 3, 'Sanata (Llinars del Valles)', 81069, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08455', 1, 'Vilalba Sasserra', 83067, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08455', 2, 'Canada Park (Vallgorguina)', 83067, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08458', 0, 'Sant Pere de Vilamajor', 82346, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08459', 0, 'Sant Antoni de Vilamajor', 81982, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08460', 1, 'Montseny', 81379, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08460', 2, 'Santa Maria de Palautordera', 82592, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08460', 3, 'La Costa del Montseny', 81379, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08461', 0, 'Sant Esteve de Palautordera', 82074, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 1, 'Campins', 80399, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 3, 'Fogars de Montclus', 80811, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 4, 'Mosqueroles', 80811, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 5, 'Olzinelles', 82021, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 6, 'Pertegas', 80811, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 7, 'Sant Celoni', 82021, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 8, 'Vallgorguina', 82943, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 9, 'El Temple (Santa Maria de Pala', 80399, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 10, 'El Virgili (Santa Maria de Pal', 80399, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 11, 'Moixerigues (Santa Maria de Pa', 80399, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08470', 12, 'Pont Trencat (Santa Maria de P', 80399, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08474', 1, 'Gualba', 80977, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08476', 0, 'La Batlloria', 82021, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08480', 1, 'L''Ametlla del Valles', 80057, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08480', 2, 'El Pinar i el Portus', 80057, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08490', 0, 'Tordera', 82845, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08495', 0, 'Fogars de Tordera', 80826, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08500', 0, 'Vic', 82981, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08503', 0, 'Gurb', 81000, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08504', 0, 'Sant Julia de Vilatorta', 82205, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08505', 1, 'Muntanyola', 81290, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08505', 2, 'Santa Eulalia de Riuprimer', 82476, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08505', 3, 'Sentfores', 81290, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08506', 0, 'Calldetenes', 80370, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08507', 0, 'Santa Eugenia de Berga', 82460, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08508', 1, 'Can Bondia', 81173, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08508', 2, 'La Gleva', 81173, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08508', 3, 'Les Masies de Voltrega (La Gle', 81173, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08508', 4, 'Les Quintanes', 81173, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08508', 5, 'Santa Cecilia de Voltrega', 82439, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08509', 1, 'La Colonia Lacambra', 81173, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08509', 2, 'Les Masies de Voltrega (Vinyol', 81173, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08509', 3, 'Sant Miquel D''Ordeig', 81173, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08509', 4, 'Vinyoles D''Oris', 81173, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08510', 1, 'Les Masies de Roda', 81831, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08510', 2, 'Roda de Ter', 81831, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08511', 1, 'Santa Maria de Corco', 82541, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08511', 2, 'Tavertet', 82802, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08512', 0, 'Sant Hipolit de Voltrega', 82153, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08513', 0, 'Prats de Lluanes', 81712, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08514', 1, 'Llua', 81094, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08514', 2, 'Santa Eulalia de Puig-Oriol', 81094, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08515', 1, 'La Blava', 82251, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08515', 2, 'Sant Marti D''Albars', 82251, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08515', 3, 'Santa Creu de Jotglar', 82251, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08516', 0, 'Olost', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08517', 1, 'La Guardia', 82554, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08517', 2, 'Sagas', 82554, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08517', 3, 'Santa Maria de Merles', 82554, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08518', 1, 'Orista', 81516, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08518', 2, 'La Torre D''Orista', 81516, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08519', 1, 'Folgueroles', 80832, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08519', 2, 'Malla', 81115, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08519', 3, 'Sant Bartomeu del Grau', 81995, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08519', 4, 'Sant Sadurni D''Osormort', 82418, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08519', 5, 'Tavernoles', 82750, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08519', 6, 'Vilanova de Sau', 83036, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08520', 1, 'Corro D''Amunt', 80863, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08520', 2, 'Corro D''Avall', 80863, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08520', 3, 'Les Franqueses del Valles', 80863, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08520', 4, 'Llerona', 80863, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08520', 5, 'Marata', 80863, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08521', 0, 'Bellavista', 80863, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08530', 1, 'La Garriga', 80885, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08540', 0, 'Centelles', 80673, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08550', 2, 'Els Hostalets de Balenya', 80174, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08551', 0, 'Tona', 82830, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08552', 1, 'El Gurri', 82785, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08552', 2, 'Taradell', 82785, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08553', 1, 'El Brull', 82690, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08553', 2, 'Sant Jaume de Viladrover', 82690, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08553', 3, 'Seva', 82690, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08554', 0, 'Sant Miquel de Balenya-Seva', 82690, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08560', 0, 'Manlleu', 81120, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08569', 1, 'Cantonigros', 82541, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08569', 2, 'Pruit', 89019, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08569', 3, 'Rupit', 89019, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08569', 4, 'Sant Marti Sescorts', 82541, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08570', 0, 'Torello', 82858, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08571', 1, 'Borgonya', 82652, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08571', 2, 'Sant Vicen de Torello', 82652, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08572', 1, 'Sant Andreu de la Vola', 82331, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08572', 2, 'Sant Pere de Torello', 82331, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08573', 1, 'La Mambla', 81509, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08573', 2, 'Oris', 81509, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08573', 3, 'Saderra', 81509, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08580', 0, 'Sant Quirze de Besora', 82378, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11149', 2, 'Casa de Postas', 110146, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11149', 3, 'El Colorado', 110146, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11149', 4, 'La Fontanilla', 110146, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11149', 5, 'Fuente del Gallo', 110146, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11149', 6, 'Roche', 110146, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11150', 1, 'El Caal', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11150', 2, 'Manzanete', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11150', 3, 'La Muela de Vejer', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11150', 4, 'La Oliva', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11150', 5, 'El Parralejo', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11150', 6, 'El Soto', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11150', 7, 'Vejer de la Frontera', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11158', 1, 'La Barca de Vejer', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11158', 2, 'Cabaas', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11158', 3, 'Jandilla', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11158', 4, 'Los Libreros', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11158', 5, 'Los Naveros', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11158', 6, 'Santa Lucia', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11159', 1, 'Los Caos de Meca', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11159', 2, 'Faro de Trafalgar', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11159', 3, 'Montecote', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11159', 4, 'El Palmar', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11159', 5, 'Zahora', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11160', 1, 'Barbate', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11160', 2, 'Ribera de la Oliva', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11160', 3, 'San Ambrosio', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11160', 4, 'Sierra de Retin', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11170', 1, 'Los Alburejos', 110239, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11170', 2, 'Las Algamitas', 110239, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11170', 3, 'La Canaleja', 110239, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11170', 4, 'Charco Dulce', 110239, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11170', 5, 'Los Hardales', 110239, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11170', 6, 'Huelvacar', 110239, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11170', 7, 'Medina Sidonia', 110239, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11178', 0, 'Paterna de Rivera', 110257, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11179', 1, 'Los Badalejos', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11179', 2, 'Cantarranas', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11179', 3, 'Cucarrete', 110239, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11179', 4, 'Las Lomas', 110393, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11179', 5, 'Malcocinado', 110239, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 1, 'Alcala de los Gazules', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 2, 'La Calderona', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 3, 'La Caada del Rosal', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 4, 'Las Cobatillas', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 5, 'El Esparragal', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 6, 'Fraja', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 7, 'Jautor', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 8, 'Los Larios', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 9, 'Pagana', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 10, 'Patrite', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 11, 'El Picacho', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 12, 'Porquerizas', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11180', 13, 'Puerto de Gadis', 110012, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11190', 0, 'Benalup', 119013, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11201', 0, 'Algeciras', 110048, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11202', 0, 'Algeciras', 110048, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11203', 0, 'Algeciras', 110048, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11204', 0, 'Algeciras', 110048, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11205', 0, 'Algeciras', 110048, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11206', 0, 'Algeciras', 110048, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11207', 0, 'Algeciras', 110048, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11270', 0, 'Algeciras', 110048, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11271', 0, 'Algeciras', 110048, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11280', 0, 'Algeciras', 110048, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11300', 0, 'La Linea de la Concepcion', 110223, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11310', 0, 'Sotogrande', 110337, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11311', 1, 'Guadiaro', 110337, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11311', 2, 'Paniagua', 110337, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11311', 3, 'Pastrana', 110321, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11312', 1, 'San Enrique de Guadiaro', 110337, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11312', 2, 'Torreguadiaro', 110337, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11313', 0, 'Puente Mayorga', 110337, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11314', 0, 'Campamento', 110337, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11315', 1, 'Residencia El Burgo', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11315', 2, 'Santa Margarita', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11315', 3, 'Zabal Alto', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11315', 4, 'Zabal Bajo', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11320', 0, 'San Pablo de Buceite', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11330', 1, 'Hoyos de Guadarranque', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11330', 2, 'Jimena de la Frontera', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11330', 3, 'Posada Alcala', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11339', 1, 'Aldefilla', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11339', 2, 'Los Angeles', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11339', 3, 'El Gurugu', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11339', 4, 'La Herradura', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11339', 5, 'Jimena de la Frontera', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11339', 6, 'Marchenilla', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11339', 7, 'El Pino', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11339', 8, 'De San Jose', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11339', 9, 'El Tejar', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11340', 1, 'Sambana', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11340', 2, 'San Martin del Tesorillo', 110218, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11349', 1, 'Castellar de la Frontera', 110131, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11349', 2, 'Montenegral Alto', 110131, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11349', 3, 'El Secadero', 110131, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11350', 1, 'Castellar de la Frontera', 110131, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11350', 2, 'Pueblo Nuevo de Castellar', 110131, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11351', 0, 'Almoraima', 110131, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11360', 0, 'San Roque', 110337, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11368', 0, 'Ferrea de San Roque', 110337, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11369', 1, 'Carteya', 110321, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11369', 2, 'Guadarranque', 110321, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11369', 3, 'Miraflores', 110321, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11369', 4, 'Taraguilla', 110337, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11370', 1, 'Los Barrios', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11370', 2, 'Benharas', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11370', 3, 'La Granja', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11370', 4, 'Majadillas', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11370', 5, 'Molino Fuego', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11370', 6, 'Monte de la Torre', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11370', 7, 'La Polvorilla', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11370', 8, 'El Tiradero', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11370', 9, 'Zanona', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 1, 'Aceronix', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 2, 'Los Alamos', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 3, 'Ferrea de los Barrios', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 4, 'La Caada', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 5, 'Ciudad Jardin', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 6, 'Cortijillos', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 7, 'Guadacorte', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 8, 'Hiper Continente', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 9, 'Palmones', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 10, 'Poligono Industrial Nuevo', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11379', 11, 'Ticsa', 110086, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 1, 'Ahumada', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 2, 'Arenillas', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 3, 'Casas de Porro', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 4, 'Caada de la Jara', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 5, 'La Costa', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 6, 'Guadalmesi', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 7, 'Isla de Las Palomas', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 8, 'La Luz', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 9, 'Tarifa', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 10, 'Paloma Baja', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 11, 'Pedro Valiente', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 12, 'La Pea', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 13, 'Puertollano', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 14, 'Santuario Nuestra Seora de la', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 15, 'Oliveros', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 16, 'Valdevaqueros', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11380', 17, 'Los Zorrillos', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11390', 1, 'El Bugeo', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12512', 0, 'Bel', 120960, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 4, 'Las Cuevas de Cucuch', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 5, 'Duayme', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 6, 'Fuente la Reina', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 7, 'Horna Alta', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 8, 'Horna Baja', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 9, 'La Ledua', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 10, 'Los Molinos (Novelda)', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 11, 'Monteagudo', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 12, 'Novelda', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 13, 'Salinetas de Novelda', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03660', 14, 'Serreta (Novelda)', 30937, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03668', 1, 'Alguea', 30134, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03668', 2, 'La Solana de Alguea', 30134, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 1, 'Alcana', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 2, 'Algayat', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 3, 'Barrio de San Anton', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 4, 'Batistes', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 5, 'Beltrans', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 6, 'La Boquera', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 7, 'Canicios', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 8, 'Los Joveres', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 9, 'Los Leros', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 10, 'Los Palaos', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 11, 'Polsegueros', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 12, 'Los Pomares', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03669', 13, 'La Romana', 31148, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03670', 0, 'Monforte del Cid', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03679', 1, 'Baos Nuestra Seora de Orito', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03679', 2, 'La Capitania (Monforte Cid)', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03679', 3, 'Ermita de San Pascual', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03679', 4, 'Espejeras', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03679', 5, 'El Llano Alto', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03679', 6, 'El Llano Bajo', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03679', 7, 'De Monforte del Cid', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03679', 8, 'Orito', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03679', 9, 'Pozoblanco', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03679', 10, 'La Serreta (Monforte Cid)', 30882, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03680', 1, 'Aspe', 30190, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03680', 2, 'Cuevas de Cipreses', 30190, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03680', 3, 'Cuevas Frias', 30190, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03680', 4, 'La Tejera', 30190, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03688', 1, 'La Cava', 30778, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03688', 2, 'Hondon de Las Nieves', 30778, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03688', 3, 'La Solana', 30778, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03689', 1, 'Barbarroja', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03689', 2, 'La Canalosa', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03689', 3, 'Casas de Cofer', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03689', 4, 'Casas de Galiana', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03689', 5, 'Hondon de los Frailes', 30784, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03689', 6, 'El Rebalso', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03689', 7, 'La Umbria (Aspe)', 30993, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03690', 1, 'Boqueres', 31225, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03690', 2, 'Canastel', 31225, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03690', 3, 'Colonia Santa Isabel', 31225, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03690', 4, 'Los Montoyos', 31225, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03690', 5, 'Sant Vicent del Raspeig/San Vi', 31225, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03690', 6, 'Torregroses', 31225, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03690', 7, 'Los Girasoles (San Vicente del', 31225, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03698', 0, 'Agost', 30020, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03699', 1, 'La Alcoraya', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03699', 2, 'Caada del Fenollar', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03699', 3, 'Los Ferrandiz (San Vicente del', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03699', 4, 'Montaud', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03699', 5, 'Los Monteros (San Vicente del', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03699', 6, 'Moralet', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03699', 7, 'Verdegas', 30149, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 1, 'Altomira', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 2, 'Balcon (Denia)', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 3, 'Basa', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 4, 'Belems', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 5, 'Bovetes', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 6, 'Campusos', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 7, 'Corral de Calafat', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 8, 'Denia', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 9, 'Florida (Denia)', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 10, 'Galeras', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 11, 'Galeretes', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 12, 'Lloma de Castazar', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 13, 'Marines', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 14, 'Marquesas', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 15, 'Mirambells', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 16, 'El Palmar', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 17, 'La Pedrera (Denia)', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 18, 'Punta Negra', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 19, 'Quijote', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 20, 'Los Rotes', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 21, 'Saladar', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 22, 'Santa Lucia', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 23, 'Santa Paula', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 24, 'Suertes del Mar', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 25, 'Tosalet (Denia)', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 26, 'Troyas', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03700', 27, 'Tossal Gross', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03709', 1, 'Benimaquia', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03709', 2, 'Casablanca', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03709', 3, 'Hersi la Plana', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03709', 4, 'Pinella (A y B)', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03709', 5, 'Planes de Elias', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03709', 6, 'Les Planes', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03709', 7, 'La Xara', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 1, 'Las Adelfas', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 2, 'Les Balsetes', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 3, 'Benicolada', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 4, 'Benicuco', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 5, 'La Bernarda', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 6, 'Borumbot', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 7, 'Cabalga', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 8, 'Calp/Calpe', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 9, 'La Canuta', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 10, 'Carrio', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 11, 'La Cometa (Calpe)', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 12, 'Corralets', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 13, 'Estacion', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 14, 'La Fosa', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 15, 'Ifach', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 16, 'La Manzanera', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 17, 'Marisol - Park', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 18, 'Maryvilla', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 19, 'La Merced-Colari', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 20, 'Los Naranjos', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 21, 'Olta', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 22, 'Ortembach', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 23, 'Los Pinos', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03710', 24, 'Ricarlos', 30475, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 1, 'Bellita', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 2, 'Benimarco (Benissa)', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 3, 'Benimarraig', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 4, 'Benissa', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 5, 'Berdica', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 6, 'Bonaire', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 7, 'Cabo Blanco', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 8, 'Cala Abogat', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 9, 'Canor', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 10, 'Fustera', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 11, 'Lleus', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 12, 'Montemar', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 13, 'Paratella', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 14, 'Pedramala', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 15, 'Pinos', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 16, 'Quisi', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 17, 'Berdicas', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 18, 'Santa Ana', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 19, 'Tosalet (Benisa)', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 20, 'Venta la Chata', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 21, 'Baladrar', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 22, 'Benimallunt', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 24, 'Finca Marta', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04288', 6, 'Los Pinos', 40221, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04288', 7, 'La Serena', 40221, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04288', 8, 'El Pinar', 40221, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04289', 1, 'Alfaix', 40486, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04289', 2, 'Almocaizar', 40486, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04289', 3, 'Los Collados (La Huelga)', 40486, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04289', 4, 'Los Giles', 40486, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04289', 5, 'La Herreria', 40486, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04289', 6, 'La Huelga', 40486, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04289', 7, 'Las Norias (Los Gallardos)', 40486, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04400', 1, 'Alhama de Almeria', 40118, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04400', 2, 'Huechar', 40118, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04409', 1, 'Alicun', 40123, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04409', 2, 'Huecija', 40519, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04410', 1, 'Benahadux', 40242, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04410', 2, 'El Chuche', 40242, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04420', 1, 'La Calderona', 40813, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04420', 2, 'Estacion Ferrocarril (Sta Fe d', 40813, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04420', 3, 'Mondujar', 40813, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04420', 4, 'Santa Fe de Mondujar', 40813, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04430', 0, 'Instincion', 40558, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04431', 0, 'Illar', 40545, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04440', 0, 'Ragol', 40773, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04450', 1, 'La Barriada de Alcora', 40307, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04450', 2, 'Canjayar', 40307, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04458', 1, 'Almocita', 40144, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04458', 2, 'Beires', 40237, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04458', 3, 'Padules', 40715, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04459', 1, 'Ohanes', 40675, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04459', 2, 'Tices', 40675, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04460', 0, 'Fondon', 40464, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04470', 0, 'Laujar de Andarax', 40577, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04479', 1, 'Bayarcal', 40209, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04479', 2, 'Benecid', 40464, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04479', 3, 'Fuente Victoria', 40464, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04479', 4, 'Guarros', 40736, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04479', 5, 'Paterna del Rio', 40736, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04480', 0, 'Alcolea', 40078, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04500', 1, 'La Estacion (Fiana)', 40451, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04500', 2, 'Fiana', 40451, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04500', 3, 'La Heredad', 40451, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04500', 4, 'Las Norias (Fiana)', 40451, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04500', 5, 'Venta Ratonera', 40451, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04510', 1, 'Abla', 40010, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04510', 2, 'Las Adelfas', 40010, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04510', 3, 'El Camino Real', 40010, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04510', 4, 'Las Juntas (Abla)', 40010, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04510', 5, 'Los Milanes', 40010, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04510', 6, 'Montagon', 40010, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04520', 1, 'Abrucena', 40025, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04520', 2, 'Camino de Abla', 40025, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04530', 1, 'Doa Maria de Ocaa', 49011, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04530', 2, 'Ocaa', 49011, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04530', 3, 'Las Tres Villas', 49011, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04531', 0, 'Alboloduy', 40059, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04532', 1, 'Cortijo Real', 49011, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04532', 2, 'Escullar', 49011, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04532', 3, 'La Estacion (Escullar)', 49011, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04532', 4, 'El Haza del Riego', 49011, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04532', 5, 'Santillana', 49011, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04533', 1, 'Los Canos (Abla-Abrucena)', 40025, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04533', 2, 'Estacion Ferrocarril (Abla-Abr', 40025, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04533', 3, 'Los Monjos', 40025, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04533', 4, 'Pago de Escuchagrano', 40025, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04540', 1, 'La Estacion (Nacimiento)', 40656, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04540', 2, 'Nacimiento', 40656, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04540', 3, 'Los Sanchos', 40656, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04549', 1, 'Aulago', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04549', 2, 'La Estacion (Gergal)', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04549', 3, 'Gilma', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04549', 4, 'Los Navarros', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04549', 5, 'Las Piletas', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04549', 6, 'Los Rojas', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04550', 1, 'Arroyo de Verdelecho', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04550', 2, 'El Calar Alto', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04550', 3, 'El Cortijo Alto', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04550', 4, 'Fuente Santa', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04550', 5, 'Gergal', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04550', 6, 'Portocarrero', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04558', 1, 'Las Alcubillas Altas', 40059, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04558', 2, 'Las Alcubillas', 40059, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04559', 1, 'El Almendral', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04559', 2, 'Las Aneas', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04559', 3, 'Las Tablas', 40502, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04560', 1, 'Gador', 40470, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04560', 2, 'Las Minas', 40470, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04560', 3, 'Moscolux', 40470, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04560', 4, 'Paulenca', 40470, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04560', 5, 'El Ruini', 40470, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04567', 0, 'Alhabia', 40101, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04568', 1, 'Alsodux', 40157, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04568', 2, 'Rochuelos', 40157, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04568', 3, 'Santa Cruz', 40157, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04569', 1, 'Bentarique', 40280, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04569', 2, 'Terque', 40911, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04600', 1, 'Los Aznares', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04600', 2, 'Los Carmonas', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04600', 3, 'Huercal Overa', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04600', 4, 'San Francisco', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 1, 'La Algarrobina', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 2, 'El Arteal', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 3, 'Cala Paizo', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 4, 'Calguerin', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 5, 'El Calon', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 6, 'El Calvario', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 7, 'Cirera', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 8, 'Cuatro Higueras (Cuevas del Al', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 9, 'Cuevas de Almanzora', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 10, 'Era Alta', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 11, 'Fuente Jaula', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 12, 'El Molino del Tarahal', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 13, 'El Realengo', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 14, 'Las Rozas', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 15, 'El Rulador', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 16, 'El Vergel', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04610', 17, 'Vizcaino', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 1, 'Los Algarrobos (Palomares)', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 2, 'Aljarilla', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 3, 'Burjulu', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 4, 'La Caada de Lorca', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 5, 'Las Cunas', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 6, 'Las Herrerias', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 7, 'El Martinete', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 8, 'El Morro', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 9, 'La Muleria', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 10, 'Las Orillas', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 11, 'Palomares', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 12, 'Los Pocos Bollos', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 13, 'Rioja (Palomares)', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 14, 'Los Silos (Cuevas del Almanzor', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 15, 'El Tomillar', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04618', 16, 'Villaricos', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 1, 'El Alhanchete', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 2, 'Arnilla', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 3, 'Las Canalejas', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 4, 'Las Cupillas', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 5, 'Grima', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 6, 'Jordana', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 7, 'Jucaini', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 8, 'El Largo', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 9, 'Los Lobos', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 10, 'Los Perdigones', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04619', 11, 'La Portilla', 40353, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04620', 1, 'Las Colinas de Vera', 41002, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04620', 2, 'Las Marinas (Vera)', 41002, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04620', 4, 'Los Silos de Vera', 41002, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08584', 0, 'Santa Maria de Besora', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08585', 1, 'La Farga de Bebie', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08585', 2, 'Montesquiu', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08586', 0, 'Sant Agusti de Lluanes', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08587', 0, 'Alpens', 80044, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08588', 0, 'Sora', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08589', 1, 'Perafita', 81607, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08589', 2, 'Sant Boi de Lluanes', 82016, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08589', 3, 'Sobremunt', 82711, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08590', 1, 'Figaro', 81347, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08590', 2, 'Montmany- Figaro', 81347, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08591', 0, 'Aiguafreda', 80142, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08592', 1, 'L''Abella', 82248, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08592', 2, 'Sant Marti de Centelles', 82248, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08593', 0, 'Tagamanent', 82763, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08600', 1, 'Berga', 80229, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08600', 3, 'El Poligon de la Valldan', 80229, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08610', 1, 'Avia', 80116, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08610', 2, 'Grauges', 80116, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08610', 3, 'Obiols', 80116, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08611', 0, 'Olvan', 81445, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08612', 2, 'Montmajor', 81326, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08613', 0, 'Vilada', 82994, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08614', 1, 'L''Espunyola', 80787, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08614', 2, 'Montclar', 80787, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08619', 1, 'Borreda', 80240, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08619', 2, 'Capolat', 80459, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08619', 3, 'Castell de L''Areny', 80575, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08619', 4, 'Castellar del Riu', 80500, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08619', 6, 'Llinars (Castellar del Riu)', 80240, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08619', 8, 'La Quar', 80240, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08619', 9, 'Sant Jaume de Frontanya', 82166, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08619', 10, 'Butne', 80240, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08619', 11, 'La Casa Nova de Valls', 80240, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08619', 12, 'Castelltort', 251116, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08620', 0, 'Sant Vicen Dels Horts', 82634, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08629', 0, 'Torrelles de Llobregat', 82896, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08630', 1, 'Abrera', 80018, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08630', 2, 'Santa Maria de Vilalba', 80018, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08635', 0, 'Sant Esteve Sesrovires', 82080, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08640', 0, 'Olesa de Montserrat', 81477, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08650', 1, 'La Botjosa', 81918, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08650', 2, 'Cabrianes', 81918, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08650', 3, 'Cornet', 81918, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08650', 4, 'Sallent', 81918, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08660', 0, 'Balsareny', 80180, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08670', 0, 'Navas', 81419, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08671', 0, 'Castelladral', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08672', 1, 'L''Ametlla de Merola', 80902, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08672', 2, 'Gaia', 80902, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08672', 3, 'Galera', 80902, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08673', 0, 'Viver i Serrateix', 83089, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08679', 0, 'Sant Joan de Montdarn', 83089, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08680', 1, 'Els Bassacs', 80924, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08680', 2, 'Gironella', 80924, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08680', 3, 'Viladomiu Nou', 80924, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08680', 4, 'Viladomiu Vell', 80924, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08690', 0, 'Santa Coloma de Cervello', 82444, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08691', 0, 'Monistrol de Montserrat', 81271, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08692', 1, 'Can Manent', 81751, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08692', 2, 'Can Maral', 81751, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08692', 3, 'Can Pon', 81751, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08692', 4, 'Can Vidal', 81751, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08692', 5, 'Puig-Reig', 81751, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08693', 1, 'Casserres', 80497, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08693', 2, 'La Rectoria de Sant Pau', 80497, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08694', 1, 'Guardiola de Bergueda', 80996, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08694', 2, 'Sant Julia de Cerdanyola', 89030, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08695', 1, 'Baga', 80168, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08695', 2, 'Gisclareny', 80930, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08696', 1, 'Castellar de N''Hug', 80522, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08696', 2, 'La Pobla de Lillet', 80522, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08697', 1, 'Saldes', 81901, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08697', 2, 'Gosol', 251001, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08697', 3, 'Josa del Cadi', 81901, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08697', 4, 'El Moli de Gell', 81901, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08697', 5, 'Moripol', 81901, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08697', 6, 'Sorribes', 251001, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08697', 7, 'Vilacireres', 81901, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08698', 1, 'Cercs', 82687, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08698', 2, 'La Consolacio', 82687, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08698', 3, 'Figols', 82687, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08698', 4, 'La Nou de Bergueda', 82687, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08698', 5, 'Sant Corneli', 82687, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08698', 6, 'Sant Jordi de Cercs', 82687, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08699', 2, 'La Colonia Rosal', 82938, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08699', 9, 'Vallcebre', 82938, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08700', 0, 'Igualada', 81022, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08710', 0, 'Santa Margarida de Montbui', 82508, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08711', 1, 'L''Espelt', 81430, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08711', 2, 'Odena', 81430, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08711', 3, 'El Raval D''Aguilera', 81430, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08712', 0, 'Sant Marti de Tous', 82264, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08717', 1, 'Montmaneu', 81332, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08717', 2, 'La Panadella', 81332, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08717', 3, 'Bellmunt de Segarra', 81332, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08717', 4, 'Civit', 81332, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08717', 5, 'Argenola', 80082, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08717', 6, 'Carbasi', 80082, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08717', 7, 'Bellmunt de Segarra (Lleida)', 81332, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08717', 8, 'Civit (Lleida)', 81332, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08718', 1, 'Cabrera D''Igualada', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08718', 2, 'Canaletes', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08719', 3, 'Castelloli', 80636, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08719', 4, 'Jorba', 81038, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08719', 5, 'Rubio', 81859, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08719', 6, 'Sant Genis (Jorba)', 80636, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08720', 1, 'El Moli D''En Rovira', 83054, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08720', 2, 'Perepau', 83054, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08720', 3, 'Les Salines', 83054, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08720', 4, 'Vilafranca del Penedes', 83054, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08729', 1, 'Les Casetes (Castellet I la Go', 80581, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08729', 2, 'Castellet i la Gornal', 80581, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08729', 3, 'Clariana (Castellet I la Gorna', 80581, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08729', 4, 'Les Masuques', 80581, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08729', 5, 'Torrelletes', 80581, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08730', 1, 'Cal Rubio', 82515, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08730', 2, 'Cal Salines', 82515, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08730', 3, 'La Rapita', 82515, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08730', 4, 'Santa Margarida i Els Monjos', 82515, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08731', 1, 'La Bleda', 82270, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08731', 2, 'Sant Marti Sarroca', 82270, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08732', 1, 'Les Cases Noves de Cal Marques', 80654, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08732', 2, 'Castellvi de la Marca', 80654, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08732', 3, 'Les Conilleres', 80654, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08732', 4, 'Els Maset Dels Cosins', 80654, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08732', 5, 'La Munia', 80654, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08732', 6, 'Ratera', 80654, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08732', 7, 'Sant Maral', 80581, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08733', 1, 'Bonavista', 81640, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08733', 2, 'El Pla del Penedes', 81640, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08733', 3, 'Ca L''Avi', 81640, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08734', 1, 'Moja', 81458, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08734', 2, 'Olerdola', 81458, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08734', 3, 'Viladellops', 81458, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08734', 4, 'L''Arboar', 81458, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08735', 1, 'Bellver', 83041, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08735', 2, 'Vilobi del Penedes', 83041, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08736', 1, 'L''Alzinar', 80850, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08736', 2, 'Les Cases Noves', 80850, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08736', 3, 'La Fanga', 80850, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08736', 4, 'Font-Rubi', 80850, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08787', 3, 'Orpi', 81521, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11390', 2, 'El Pelayo', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 1, 'El Alamillo', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 2, 'Betis', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 3, 'Bolonia', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 4, 'Las Caheruelas', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 5, 'El Chaparral', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 6, 'Facinas', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 7, 'La Gloria', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 8, 'La Herrumbrosa', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 9, 'El Lentiscal', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 10, 'Molino Carrizales', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 11, 'Las Pias', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 12, 'El Pulido', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 13, 'Realillo', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11391', 14, 'Renchiles', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11392', 0, 'Tahivilla', 110355, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11393', 1, 'El Almarchal', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11393', 2, 'Zahara de los Atunes', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11393', 3, 'La Zarzuela', 110070, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 1, 'Las Abiertas', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 2, 'Albadalejo', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 3, 'Alcornocalejo', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 4, 'Aina', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 5, 'Berlanga', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 6, 'Bogas', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 7, 'La Cartuja', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 8, 'Casablanca', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 9, 'Charco de los Hurones', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 10, 'Fuente del Rey', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 11, 'Los Garciagos', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 12, 'Los Isletes', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 13, 'La Jarda', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 14, 'Macharnudo Alto', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 15, 'Mesas de Santa Rosa', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 16, 'Montealegre', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 17, 'Montecorto Alto', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 18, 'Las Quinientas', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 19, 'Los Repastaderos', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 20, 'Los Romerales', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 21, 'El Romero', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 22, 'El Solete Alto', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11400', 23, 'Las Tablas', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11401', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11402', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11403', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11404', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11405', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11406', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11407', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11408', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11470', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11471', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11480', 0, 'Jerez de la Frontera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 1, 'Del Aguila', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 2, 'Almajar', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 3, 'Balbaina', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 4, 'Berben', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 5, 'Coto de la Isleta', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 6, 'Fuentebravia', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 7, 'Galvecito', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 8, 'Graina', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 9, 'El Puerto de Santa Maria', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 10, 'Palmar de la Victoria', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 11, 'Palomar', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 12, 'Poligono Industrial', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 13, 'Mochicle', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 14, 'La Puntilla', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 15, 'Las Redes', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 16, 'San Ignacio', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 17, 'Serrano', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 18, 'Siduea', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 19, 'Sierra San Cristobal', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 20, 'Valdelagrana', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 21, 'Valle San Francisco', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11500', 22, 'Vistahermosa', 110276, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11510', 1, 'Barriada de Matagorda', 110282, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11510', 2, 'Las Canteras', 110282, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11510', 3, 'Matagorda', 110282, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11510', 4, 'Puerto Real', 110282, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11510', 5, 'San Jose del Pedroso', 110282, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11518', 0, 'Barrio de Jarana', 110282, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11519', 1, 'Chupones', 110282, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11519', 2, 'Consorcio Bahia de Cadiz', 110282, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11519', 3, 'Rio San Pedro', 110282, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11519', 4, 'El Trocadero', 110282, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11520', 1, 'La Ballena', 110309, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11520', 2, 'El Bercial', 110309, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11520', 3, 'Las Brevas', 110309, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11520', 4, 'La Mata', 110309, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11520', 5, 'Las Meloneras', 110309, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11520', 6, 'El Queso', 110309, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11520', 7, 'Rincones', 110309, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11520', 8, 'Rota', 110309, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11530', 0, 'Rota Naval', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11540', 1, 'Bonanza', 110321, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11540', 2, 'Cabeza Gorda', 110321, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11540', 3, 'La Jara', 110321, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11540', 4, 'Sanlucar de Barrameda', 110321, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11549', 0, 'Algaida', 110321, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11550', 0, 'Chipiona', 110162, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11560', 0, 'Trebujena', 110374, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11570', 1, 'La Barca de la Florida', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11570', 2, 'Garrapiles', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11570', 3, 'Huerta Coronel', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11570', 4, 'Mesas del Corral', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11570', 5, 'Puente de la Guarea', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11570', 6, 'La Suara', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11579', 0, 'Jose Antonio', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11580', 0, 'San Jose del Valle', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11589', 1, 'El Mimbral', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11589', 2, 'La Parrilla', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11589', 3, 'El Tempul', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11589', 4, 'Venta San Miguel', 119028, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11590', 0, 'Mesas de Asta', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11591', 1, 'Guadalcacin', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11591', 2, 'La Parra', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11592', 1, 'Mesas de Santiago', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11592', 2, 'Nueva Jarilla', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11592', 3, 'De el Rizo', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11592', 4, 'Torre Melgarejo', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11593', 1, 'Cuartillo de la Paz', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11593', 2, 'Estella del Marques', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11594', 1, 'San Isidro de Guadalete', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11594', 2, 'El Torno', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11595', 1, 'La Ina', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11595', 2, 'Torrecera', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11596', 1, 'Casa Grande', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11596', 2, 'Castillo de Doa Blanca', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11596', 3, 'Cuartelillo', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11596', 4, 'El Portal', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11596', 5, 'Portalillo', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11596', 6, 'Santo Angel', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11597', 1, 'Barriada de San Jeronimo', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11597', 2, 'Camino de Espera', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11597', 3, 'San Jose', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11597', 4, 'San Jose y Las Flores', 999999, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11600', 0, 'Ubrique', 110380, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11610', 1, 'El Boyar', 110197, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11610', 2, 'Campobuche', 110197, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11610', 3, 'Gaidovar', 110197, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 23, 'Fanadix (Benissa)', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 25, 'Llenes', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 26, 'Oasis Park', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03720', 27, 'Patmore', 30417, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 1, 'Benimeit', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 2, 'Costera del Mar', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 3, 'Costera Plaza', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 4, 'Fanadix (Moraira/Teulada)', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 5, 'Font Santa', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 6, 'Moraira', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 7, 'Moravit', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 8, 'Paichi', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 9, 'Pinaret', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 10, 'Pla de Mar', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 11, 'Portet de Moraira', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 12, 'Rascat del Llop', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 13, 'Tabaira', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 14, 'San Jaime', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 15, 'Cap Blanc (Moraira/Teulada)', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 16, 'La Cometa (Moraira/Teulada)', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 17, 'La Sabatera', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03724', 18, 'Pinar de Advocat', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03725', 1, 'Teulada', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03725', 2, 'Alcasar', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03725', 3, 'Benimarco (Teulada)', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03725', 4, 'Castellons', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03725', 5, 'Castellons-Vida', 31284, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03726', 1, 'Benitachell', 30422, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03726', 2, 'Cumbre del Sol', 30422, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03726', 3, 'Benicambra', 30422, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03726', 4, 'L''Abiar', 30422, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03726', 5, 'Yuca', 30422, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03726', 6, 'Pueblo Alcasar', 30422, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03726', 7, 'El Poble Nou de Benitatxell /B', 30422, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03727', 1, 'Xalo/Jalon', 30818, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03727', 2, 'Santo Domingo', 30818, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03728', 1, 'Alcalali', 30067, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03728', 2, 'Benarrosa', 30067, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03728', 3, 'Cumbres de Alcalali', 30067, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03728', 4, 'Solana de Alcali', 30067, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03728', 5, 'Los Trosos', 30067, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03728', 6, 'Vereda Park', 30067, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03729', 1, 'Gorgos (Benisa)', 30857, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03729', 2, 'Lliber', 30857, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03729', 3, 'Senija', 31259, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 1, 'Aduanas de Mar', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 2, 'Balcon de Javea', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 3, 'Cabo San Antonio', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 4, 'Caleta (Xabia/Javea)', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 6, 'Mezquida', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 7, 'La Plana (Javea)', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 8, 'Puchol', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 9, 'Puig Molins', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 10, 'Roch', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 11, 'Soberana', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 12, 'Xabia/Javea', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03730', 13, 'Calvario (Javea/Xabia)', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 1, 'Carrasquetes', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 2, 'Carroja', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 3, 'Casco San Juan', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 4, 'Castellans', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 5, 'Catarroja', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 6, 'Colomer', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 7, 'Ermita', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 8, 'Eurocondal', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 9, 'Fontanella', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 10, 'Montgo', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 11, 'Montgo Carrasquetes', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 12, 'Montgo de Toscamar', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 13, 'Rimontgo', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 14, 'Seniola', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 15, 'Tosals', 30955, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 16, 'Tres Fontaines', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 17, 'Vall de Ros', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 18, 'Valls', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 19, 'Valls Carrasquetes', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 20, 'Valls Planet', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03737', 21, 'Valls Tosal', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 1, 'Almendros (Javea/Xabia)', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 2, 'Ambolo', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 3, 'Arenal', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 4, 'Arenal Montaar', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 5, 'Bahia de Javea', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 6, 'Balcon al Mar (Javea/Xabia)', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 7, 'Cabo la Nao', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 8, 'Cala de la Granadal', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 9, 'Calablanca', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 10, 'Caleta (Xabia/Javea)', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 11, 'Cansalades', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 12, 'Cap Martin', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 13, 'Costa Nova', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 14, 'Frechinal', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 15, 'La Granadella', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 16, 'La Guardia', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 17, 'Los Lirios', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 18, 'Marina', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 19, 'Media Luna', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 20, 'Montaar', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 21, 'Panorama (Javea/Xabia)', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 22, 'Parque Cala Blanca', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 23, 'Parque Esplendido', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 24, 'Pla Costa Nova', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 25, 'Portichol', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 26, 'Roquetes', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 27, 'Sorts', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 28, 'Toscal', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 29, 'Toscamar', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 30, 'Trencal', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03738', 31, 'Vapf', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 1, 'Adsubia (Ajuntament Xabia/Jave', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 2, 'Alborada', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 3, 'Atalaya (Xabia/Javea))', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 4, 'Campmarti', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 5, 'Capsades', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 6, 'Los Cerezos', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 7, 'Lluca', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 8, 'La Mandarina', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 9, 'Los Pinos', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 10, 'Pinosol', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 11, 'Rafalet', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 12, 'Rebaldi', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 13, 'Sol del Este', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 14, 'Tarraulla', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 15, 'Terraule', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 16, 'Tesoro Park', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03739', 17, 'El Tosalet (Javea/Xabia)', 30823, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 1, 'Bolerias', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 2, 'Comes', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 3, 'Cuadros', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 4, 'Ecles Altos', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 5, 'Ecles Bajos', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 6, 'La Faja', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 7, 'Gata de Gorgos', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 8, 'Gaya', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 9, 'Miralbons', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 10, 'Mirandas', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 11, 'Mirandes', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 12, 'Senies', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 13, 'Serillars', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 14, 'Tossals', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03740', 15, 'Troset', 30710, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 1, 'Alqueria Gasens', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 2, 'Biserot', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 3, 'Casas Nuevas', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 4, 'Cova Ampla', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 5, 'Ferrandos', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 6, 'Foyes Blanques', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04620', 5, 'Vera', 41002, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04628', 1, 'Antas', 40160, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04628', 2, 'La Ballabona', 40160, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04628', 3, 'La Fuente Abad', 40160, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04628', 4, 'Los Llanos del Mayor', 40160, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04628', 5, 'El Real', 40160, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04629', 1, 'Aljariz', 40160, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04629', 2, 'La Huerta', 40160, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04629', 3, 'Jauro (Los Raimundos)', 40160, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04630', 1, 'Garrucha', 40499, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04630', 2, 'Puerto del Rey', 40499, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04638', 1, 'El Agua del Medio', 40643, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04638', 2, 'La Alcantarilla', 40643, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04638', 3, 'Alparatas', 40643, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04638', 4, 'Las Cuartillas', 40643, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04638', 5, 'Mojacar', 40643, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04639', 1, 'El Cortijo Grande', 40932, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04639', 2, 'La Fuente del Royo', 40932, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04639', 3, 'Turre', 40932, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04640', 1, 'Los Alamos', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04640', 2, 'Los Caparroses (Pulpi)', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04640', 3, 'El Molino (Pulpi)', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04640', 4, 'Pozo del Esparto (Pulpi)', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04640', 5, 'Pulpi', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04647', 1, 'Benzal', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04647', 2, 'Los Campoys', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04647', 3, 'El Convoy', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04647', 4, 'La Fuente', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04647', 5, 'Guazamara', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04647', 6, 'Los Guiraos', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04647', 7, 'Los Pinares', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04647', 8, 'Pozo de la Higuera', 40754, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04647', 9, 'Los Soleres', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04648', 1, 'Barrio Mortero', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04648', 2, 'El Cocon', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04648', 3, 'Pilar de Jaravia', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04648', 4, 'Pozo del Esparto', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04648', 5, 'San Juan de los Terreros', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04648', 6, 'Terreros', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04649', 1, 'La Estacion (San Miguel de Pul', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04649', 2, 'La Herradura', 40754, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04650', 1, 'Almajalejo (Zurgena)', 41030, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04650', 2, 'Fuente del Pino', 41030, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04650', 3, 'Los Llanos (Zurgena)', 41030, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04650', 4, 'Las Lomas', 41030, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04650', 5, 'Los Menchones', 41030, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 1, 'Arboleas', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 2, 'Los Blesas', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 3, 'Los Carrascos', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 4, 'Casablanca (Arboleas)', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 5, 'Los Castos', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 6, 'El Chopo', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 7, 'La Cinta', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 8, 'Los Cojos', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 9, 'Los Colorados', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 10, 'Los Garcias', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 11, 'German', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 12, 'La Hoya (Arboleas)', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 13, 'Los Huevanillas', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 14, 'Los Llanos (Arboleas)', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 15, 'Los Peraltas', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 16, 'La Perla', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 17, 'El Prado (La Cinta)', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 18, 'Los Requenas', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 19, 'El Rincon (La Cinta)', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04660', 20, 'Las Tahullas', 40176, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04661', 1, 'La Alfoquia', 41030, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04661', 2, 'Los Carasoles', 41030, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04661', 3, 'El Cucador', 41030, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04661', 4, 'Limaria', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04662', 1, 'La Concepcion', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04662', 2, 'Los Navarros (Huercal Overa)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04662', 3, 'El Palaces', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04662', 4, 'El Pilar (Huercal Overa)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04662', 5, 'Santa Barbara', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04690', 1, 'Goar', 40530, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04690', 2, 'Las Norias', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30891', 6, 'Puerto Adentro', 300336, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04690', 4, 'Las Norias (Huercal Overa)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04691', 1, 'Abejuela', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04691', 2, 'La Fuensanta (Urcal)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04691', 3, 'Los Gibaos', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04691', 4, 'Gibiley', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04691', 5, 'Los Pedregales', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04691', 6, 'Rambla Grande', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04691', 7, 'Urcal', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 1, 'El Aceituno', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 2, 'Almajalejo (Los Pardos)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 3, 'Los Llanos (Taberno)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 4, 'Los Navarretes', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 5, 'La Parata', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 6, 'Pedro Garcia', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 7, 'La Perulera', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 8, 'La Rambla de la Higuera', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 9, 'Rambla de Taberno', 40890, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 10, 'Santopetar', 40890, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04692', 11, 'Taberno', 40890, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04693', 1, 'Fuente Amarga', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04693', 2, 'El Gor', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04693', 3, 'La Hoya (Huercal Overa)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04693', 4, 'La Loma', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04693', 5, 'Los Menas (Puertecico)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04693', 6, 'Las Minas (Huercal Overa)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04693', 7, 'Las Piedras (Huercal Overa)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04693', 8, 'El Puertecico', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04693', 9, 'Santa Maria de Nieva', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04694', 1, 'Gacia', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04694', 2, 'El Saltador (Pulpi)', 40530, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04700', 1, 'El Ejido', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04700', 2, 'Santo Domingo', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04710', 1, 'La Redonda', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04710', 2, 'San Silvestre', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04710', 3, 'Santa Maria del Aguila', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04711', 0, 'Almerimar', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04712', 0, 'Balerma', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04713', 0, 'Balanegra', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04715', 1, 'Guardias Viejas', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04715', 2, 'Matagorda', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04715', 3, 'Pampanico', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04716', 1, 'Las Norias de Daza', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04716', 2, 'San Agustin', 49026, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04720', 1, 'Aguadulce', 40792, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04720', 2, 'El Campillo del Moro', 40792, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04720', 3, 'El Parador de Las Hortichuelas', 40792, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04721', 2, 'El Parador (Vicar)', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04729', 1, 'Enix', 40412, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04729', 2, 'Marchal de Enix', 40412, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04730', 1, 'Felix', 40865, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 1, 'Barrio de Archilla', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 2, 'Las Cabauelas', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 3, 'Las Cantinas', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 4, 'Caada Bastiana', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 5, 'El Congo', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 6, 'Cortijos de Marin (Vicar)', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 7, 'La Gangosa', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 8, 'Llanos de Vicar', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 9, 'La Lomilla', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 10, 'Puebla de Vicar', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04738', 12, 'Vicar', 41024, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04739', 0, 'Gitar', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04740', 1, 'Las Marinas (Roquetas de Mar)', 40792, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08736', 5, 'Guardiola de Font-Rubi', 80850, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08737', 0, 'Torrelles de Foix', 82883, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08738', 0, 'Pontons', 81688, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08739', 2, 'Can Bosc', 82732, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08739', 3, 'Can Cartro', 82732, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08739', 4, 'Can Rossell', 82732, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08739', 5, 'Cantallops (Subirats)', 82732, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08739', 6, 'Els Casots', 82732, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08739', 7, 'Lavern', 82732, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08739', 8, 'Ordal', 82732, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08739', 9, 'El Pago', 82732, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08739', 10, 'Sant Pau D''Ordal', 82732, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08739', 11, 'Subirats', 82732, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08740', 0, 'Sant Andreu de la Barca', 81960, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08750', 1, 'Molins de Rei', 81234, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08750', 2, 'Sant Bartomeu de la Quadra', 81234, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08750', 3, 'Santa Creu D''Olorda', 81234, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08750', 4, 'Vallpineda', 81234, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08753', 0, 'Fontpineda', 81574, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08754', 0, 'El Papiol', 81580, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08755', 0, 'Castellbisbal', 80543, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08756', 0, 'La Palma de Cervello', 89058, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08757', 1, 'Corbera de Baix', 80728, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08757', 3, 'Corbera de Llobregat', 80728, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08758', 0, 'Cervello', 80689, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08759', 0, 'Vallirana', 82956, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08760', 0, 'Martorell', 81141, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08761', 0, 'Costablanca (Castellbisbal)', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08769', 0, 'Castellvi de Rosanes', 80667, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08770', 1, 'Can Benet de la Prua', 82401, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08770', 2, 'Can Catassus', 82401, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08770', 3, 'Espiells', 82401, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08770', 4, 'Monistrol D''Anoia', 82401, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08770', 5, 'Sant Sadurni D''Anoia', 82401, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08773', 1, 'Mediona', 81228, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08773', 2, 'Les Cases Noves de Cal Pardo', 81228, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08773', 3, 'Sant Pere Sacarrera', 81228, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08775', 1, 'El Carrer de Cal Rossell', 82877, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08775', 2, 'El Carrer del Bosc', 82877, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08775', 3, 'Lavit', 82877, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08775', 4, 'La Pineda (Torrelavit)', 82877, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08775', 5, 'Torrelavit', 82877, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08776', 0, 'Sant Pere de Riudebitlles', 82325, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08777', 0, 'Sant Quinti de Mediona', 82362, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08779', 0, 'La Llacuna', 81043, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08780', 0, 'Palleja', 81574, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08781', 1, 'Els Hostalets de Pierola', 81629, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08781', 2, 'Pierola', 81629, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08782', 1, 'La Beguda Alta', 82080, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08782', 2, 'Sant Joan Samora', 81192, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08783', 0, 'Masquefa', 81192, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08784', 1, 'El Badorc', 81614, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08784', 2, 'La Fortesa', 81614, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08784', 3, 'Piera', 81614, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08784', 4, 'Sant Jaume Sesoliveres', 81614, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08785', 3, 'Vallbona D''Anoia', 82922, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08786', 1, 'Capellades', 80446, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08787', 1, 'Can Bou', 81521, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08787', 2, 'Carme', 80484, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08787', 4, 'La Pobla de Claramunt', 81521, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08787', 5, 'Santa Maria de Miralles', 82573, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08788', 0, 'Vilanova del Cami', 83020, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08789', 1, 'La Torre Baixa', 82861, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08789', 2, 'La Torre de Claramunt', 82861, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08789', 3, 'Vilanova D''Espoia', 82861, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08790', 1, 'Gelida', 80919, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08790', 2, 'Els Molins', 80919, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08790', 3, 'El Puig', 80919, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08790', 4, 'Sant Salvador', 80919, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08790', 5, 'Els Tarongers', 80919, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08790', 6, 'La Valenciana', 80919, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08791', 0, 'Sant Lloren D''Hortons', 82227, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08792', 1, 'La Granada', 82495, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08792', 2, 'Santa Fe del Penedes', 82495, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08793', 1, 'Avinyonet del Penedes', 80137, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08793', 2, 'Les Cabories', 80137, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08793', 3, 'Cantallops (Avinyonet del Pene', 80137, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08793', 4, 'Clariana (Avinyonet del Penede', 80137, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08793', 5, 'Les Gunyoles', 80137, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08794', 0, 'Les Cabanyes', 80272, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08795', 0, 'Olesa de Bonesvalls', 81461, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08796', 0, 'Pacs del Penedes', 81542, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08797', 0, 'Puigdalber', 81748, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08798', 2, 'Sant Cugat Sesgarrigues', 82068, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08798', 4, 'Sant Sebastia Dels Gorgs', 80137, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08799', 0, 'Sant Pere Molanta', 81458, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08800', 0, 'Vilanova i la Geltru', 83073, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08810', 2, 'Puigmolto', 82310, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08810', 3, 'Sant Pere de Ribes', 82310, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08811', 0, 'Canyelles', 80431, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08812', 1, 'El Mas D''En Serra', 82310, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08812', 2, 'Les Roquetes', 82310, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08812', 3, 'Vilanoveta', 82310, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08818', 0, 'Olivella', 81483, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08820', 1, 'El Aeroport del Prat', 81691, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08820', 2, 'El Prat de Llobregat', 81691, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08830', 0, 'Sant Boi de Llobregat', 82009, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08840', 0, 'Viladecans', 83015, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08849', 0, 'Sant Climent de Llobregat', 82042, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08850', 0, 'Gava', 80898, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08859', 1, 'Begues', 80207, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08860', 1, 'Castelldefels', 80569, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08860', 2, 'Garraf II (Sitges)', 80569, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08860', 3, 'Les Botigues de Sitges (Sitges', 80569, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08860', 4, 'Rat Penat (Sitges)', 80569, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08870', 0, 'Sitges', 82704, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08871', 0, 'Garraf', 82704, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08872', 0, 'Vallcarca', 999999, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08880', 0, 'Cubelles', 80749, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08900', 0, 'L''Hospitalet de Llobregat', 81017, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08901', 0, 'L''Hospitalet de Llobregat', 81017, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08902', 0, 'L''Hospitalet de Llobregat', 81017, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08903', 0, 'L''Hospitalet de Llobregat', 81017, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08904', 0, 'L''Hospitalet de Llobregat', 81017, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08905', 0, 'L''Hospitalet de Llobregat', 81017, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08906', 0, 'L''Hospitalet de Llobregat', 81017, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08907', 0, 'L''Hospitalet de Llobregat', 81017, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08908', 0, 'L''Hospitalet de Llobregat', 81017, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08910', 2, 'Badalona', 80155, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08911', 0, 'Badalona', 80155, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08912', 0, 'Badalona', 80155, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08913', 0, 'Badalona', 80155, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08914', 0, 'Badalona', 80155, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08915', 0, 'Badalona', 80155, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08916', 0, 'Badalona', 80155, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08917', 0, 'Badalona', 80155, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08918', 0, 'Badalona', 80155, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08920', 0, 'Santa Coloma de Gramanet', 82457, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08921', 0, 'Santa Coloma de Gramanet', 82457, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08922', 0, 'Santa Coloma de Gramanet', 82457, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08923', 0, 'Santa Coloma de Gramanet', 82457, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08924', 0, 'Santa Coloma de Gramanet', 82457, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08930', 0, 'Sant Adria de Besos', 81944, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08940', 0, 'Cornella de Llobregat', 80734, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08950', 0, 'Esplugues de Llobregat', 80771, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08970', 0, 'Sant Joan Despi', 82172, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11610', 4, 'Grazalema', 110197, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11610', 5, 'Mediodia', 110197, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11610', 6, 'El Pinar', 110197, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11611', 1, 'Fuente Barrida', 110407, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11611', 2, 'Lajares', 110407, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11611', 3, 'Villaluenga del Rosario', 110407, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11612', 0, 'Benaocaz', 110099, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11620', 1, 'El Drago', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11620', 2, 'El Guijo', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11620', 3, 'Jedula', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11620', 4, 'Junta de los Rios', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11620', 5, 'Majadales', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11620', 6, 'La Misericordia', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11620', 7, 'La Pedrosa', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11620', 8, 'Santa Cecilia', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11620', 9, 'Vega de los Molinos', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11630', 1, 'Abrajanejo', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11630', 2, 'Arcos de la Frontera', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11630', 3, 'Los Barrancos', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11630', 4, 'El Concejo', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11630', 5, 'Fuensanta', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11630', 6, 'La Garrapata', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11630', 7, 'La Sierpe', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11630', 8, 'Toronjil', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11630', 9, 'Vallejas', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11630', 10, 'El Yugo', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11638', 1, 'Fuente del Rio', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11638', 2, 'Industria Quimicas Urumea', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11638', 3, 'Presa de Arcos', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11638', 4, 'Santiscal', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11638', 5, 'Venta Brigadier', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11638', 6, 'Venta Cordobes', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11638', 7, 'Venta de la Perdiz', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11638', 8, 'Venta Pajuelo', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11638', 9, 'Venta Revertito', 110064, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11639', 1, 'Algar', 110033, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11639', 2, 'Dehesilla de Algar', 110201, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11639', 3, 'La Perdiz', 110033, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11640', 0, 'Bornos', 110103, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11648', 1, 'El Algarbejo', 110178, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11648', 2, 'Carija', 110178, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11648', 3, 'Espera', 110178, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11648', 4, 'San Bernardino', 110178, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11648', 5, 'La Zorrilla', 110178, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11649', 1, 'Coto de Bornos', 110103, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11649', 2, 'La Laguna', 110103, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11650', 1, 'La Cierva', 110414, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11650', 2, 'Ermita de Las Montaas', 110414, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11650', 3, 'Villamartin', 110414, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11659', 1, 'Pozo Amargo', 110295, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11659', 2, 'Puerto Serrano', 110295, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11660', 0, 'Prado del Rey', 110260, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11670', 0, 'El Bosque', 110110, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11679', 0, 'Benamahoma', 110197, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11680', 1, 'Algodonales', 110051, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11680', 2, 'Arenal', 110051, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11680', 3, 'Campo Huerta', 110051, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11680', 4, 'Fuente Alta', 110051, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11680', 5, 'Juncales', 110051, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11680', 6, 'Madrigueras', 110051, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11680', 7, 'La Nava y Lapa', 110051, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11687', 1, 'Arroyo-Molino', 110184, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11687', 2, 'Era de la Via', 110184, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11687', 3, 'El Gastor', 110184, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11687', 4, 'El Jaral', 110184, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11687', 5, 'Ventas Nuevas', 110184, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11688', 1, 'Arroyomolinos', 110184, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11688', 2, 'Bocaleones', 110429, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11688', 3, 'Las Casas', 110184, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11688', 4, 'Zahara de la Sierra', 110184, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11689', 0, 'La Muela de Algodonales', 110051, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11690', 1, 'Guadamanil', 110244, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11690', 2, 'Lijar', 110244, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11690', 3, 'Olvera', 110244, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11690', 4, 'La Sierra', 110244, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11690', 5, 'Valle Hermoso Alto', 110244, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11690', 6, 'Valle Hermoso Bajo', 110244, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11690', 7, 'Zaframagon', 110244, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11691', 0, 'Torre Alhaquime', 110368, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11692', 1, 'Campia', 110342, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11692', 2, 'Monte', 110342, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11692', 3, 'Setenil de Las Bodegas', 110342, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11692', 4, 'El Trejo', 110342, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11692', 5, 'Venta Leches', 110342, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('11693', 0, 'Alcala del Valle', 110027, 11, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12001', 0, 'Castellon de la Plana/Castellon', 120402, 12, 
    0, 16, 'E', 3, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12002', 0, 'Castello de la Plana/Castellon', 120402, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12003', 0, 'Castello de la Plana/Castellon', 120402, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12004', 0, 'Castello de la Plana/Castellon', 120402, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12005', 0, 'Castello de la Plana/Castellon', 120402, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12006', 0, 'Castello de la Plana/Castellon', 120402, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12070', 0, 'Castello de la Plana/Castellon', 120402, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12071', 0, 'Castello de la Plana/Castellon', 120402, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12080', 0, 'Castello de la Plana/Castellon', 120402, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12100', 1, 'El Grau de Castello /El Grao', 120402, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12100', 2, 'Castello de la Plana/Castellon', 120402, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12110', 0, 'L''Alcora', 120056, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12118', 0, 'Les Useres / Useras', 121227, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12119', 1, 'Araya', 120056, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12119', 2, 'Costur', 120496, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12119', 3, 'Masdavall', 120496, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12120', 0, 'Lucena del Cid', 120727, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12121', 0, 'La Foya', 120056, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12122', 0, 'Figueroles', 120607, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12123', 1, 'Castillo de Villamalefa', 120419, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12123', 2, 'Cedraman', 120419, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12123', 3, 'Giraba de Abajo', 120733, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12123', 4, 'Giraba de Arriba', 120733, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12123', 5, 'Ludiente', 120733, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12124', 1, 'Bibioj', 121303, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12124', 2, 'Villahermosa del Rio', 121303, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12125', 0, 'Zucaina', 121423, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12126', 0, 'San Vicente de Cortes', 120483, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12127', 0, 'Cortes de Arenoso', 120483, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12130', 1, 'De Correntilla', 129023, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12130', 2, 'De Flors', 129023, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12130', 3, 'Sant Joan de Moro', 129023, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12131', 0, 'Las Crevadas', 121227, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12132', 0, 'Atzeneta del Maestrat', 120017, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12133', 0, 'Meanes', 120017, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12134', 1, 'Benafigos', 120252, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12134', 2, 'Xodos/Chodos', 120252, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12135', 0, 'Vistabella del Maestrazgo', 121397, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12140', 0, 'Albocasser', 120038, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12150', 0, 'Villafranca del Cid', 121299, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12159', 1, 'Castellfort', 120385, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12159', 2, 'San Miguel de la Puebla', 120385, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12159', 3, 'Virgen del Llosar', 120385, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12160', 1, 'Benasal', 120265, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12160', 2, 'Fuentes en Segures', 120265, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12161', 0, 'La Torre D''En Besora', 121191, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12162', 0, 'Vilar de Canes', 121346, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12163', 1, 'Culla', 120516, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12163', 2, 'Molinell', 120516, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12163', 3, 'Monllet', 120516, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12163', 4, 'Pla del Sabater', 120516, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12163', 5, 'De Sales de Matella', 120516, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12163', 6, 'Torre Matella', 120516, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 7, 'Jesus Pobre', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 8, 'Los Lagos', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 9, 'Planises', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 10, 'Rompudetes', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 11, 'Senieta Reina', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 12, 'Sun Valley', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 13, 'Tosal', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03749', 14, 'Tosal Roig', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03750', 1, 'Barranco Parra', 31014, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03750', 2, 'Monte Pedreguer', 31014, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03750', 3, 'Pedreguer', 31014, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03750', 4, 'Ventas de Pedreguer', 31014, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03750', 5, 'Monte Sella', 31014, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03759', 1, 'Aldea de Las Cuevas', 30302, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03759', 2, 'Benidoleig', 30302, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03759', 3, 'Colina del Sol', 30302, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03759', 4, 'Cueva de Las Calaveras', 30302, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03759', 5, 'Llosa de Camacho', 30302, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03759', 6, 'Rincon del Silencio', 30302, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03760', 1, 'Ondara', 30955, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03760', 2, 'Pamis', 30955, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03760', 3, 'Tosals', 30955, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03760', 4, 'Vials', 30955, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03769', 1, 'Benimeli', 30400, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03769', 2, 'Montesano', 30400, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03769', 3, 'Rafol de Almunia', 31105, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03769', 4, 'Sanet y Negrals', 31170, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03770', 1, 'Barranquet', 31382, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03770', 2, 'Barranquet Carreres', 31382, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03770', 3, 'De Estao', 30633, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03770', 4, 'Secanets', 31382, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03770', 5, 'Sorts de la Mar', 31382, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03770', 6, 'El Verger', 31382, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03770', 7, 'Xironets', 31382, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03778', 0, 'Beniarbeig', 30263, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 1, 'Almadrava', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 2, 'Almel.Lerals', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 3, 'Alters', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 4, 'Barranco de Llarc', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 5, 'Baos del Molinel', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 7, 'Buscarrons', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 8, 'Deveses', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 9, 'Els Poblets', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 10, 'Pueblo Naranjo', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 11, 'Santa Ana', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 12, 'Sisques', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 13, 'Traveses', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 14, 'Miraflor', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03779', 15, 'Mirarrosa', 39016, 3, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01001', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01002', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01003', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01004', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01005', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01006', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01007', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01008', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01009', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01010', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01012', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01013', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01015', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01070', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01071', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01080', 0, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01100', 0, 'Centro Militar Araca/Araka', 999999, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01110', 0, 'Santa Cruz de Campezo', 10170, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01117', 1, 'Alda', 10565, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01117', 2, 'Contrasta', 10565, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01117', 3, 'Orbiso', 10170, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01117', 4, 'Oteo', 10170, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01117', 5, 'San Vicente de Arana', 10565, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01117', 6, 'Ullivarri-Arana', 10565, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01118', 1, 'Angostina', 10164, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01118', 2, 'Bernedo', 10164, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01118', 3, 'Lagran', 10301, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01118', 4, 'Pipaon', 10301, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01118', 5, 'Villaverde', 10301, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01118', 6, 'Obecuri', 91097, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01118', 7, 'Urturi', 10164, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01118', 8, 'Navarrete', 10164, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01118', 9, 'Bajauri', 91097, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01120', 1, 'Arraia-Maeztu', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01120', 2, 'Maestu-Maeztu', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01128', 1, 'Antoana', 10170, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01128', 2, 'Atauri', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01128', 3, 'Azaceta', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01128', 4, 'Berroci', 10170, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01128', 5, 'Bujanda', 10170, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01128', 6, 'Quintana', 10164, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01128', 7, 'San Roman de Campezo', 10170, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 1, 'Alecha', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 2, 'Apellaniz', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 3, 'Arenaza', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 4, 'Cicujano', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 5, 'Corres', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 6, 'Ibisate', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 7, 'Iturrieta', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 8, 'Leorza', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 9, 'Musitu', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 10, 'Onraita', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 11, 'Roitegui', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 12, 'Sabando', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 13, 'Virgala Mayor', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01129', 14, 'Virgala Menor', 10376, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01130', 0, 'Murguia', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 1, 'Acosta', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 2, 'Apodaka', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 3, 'Berricano', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 4, 'Buruaga', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 5, 'Cestafe', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 6, 'Echaguen de Cigoitia', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 7, 'Eribe', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 8, 'Gopegui', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 9, 'Larrinoa', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 10, 'Letona', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 11, 'Manurga', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 12, 'Murua', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 13, 'Olano', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 14, 'Ondategui', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01138', 15, 'Zaitegui', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 1, 'Altube', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 2, 'Amezaga de Zuya', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 3, 'Aperregui', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 4, 'Arechaga', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 5, 'Domaiquia', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 6, 'Guillerna', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 7, 'Jugo', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 8, 'Luquiano', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 9, 'Marquina', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 10, 'Sarria', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 11, 'Vitoriano', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01139', 12, 'Zarate', 10632, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01160', 0, 'Ibarra (Aramaio)', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01165', 0, 'Olaeta', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01169', 1, 'Aramaio', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01169', 2, 'Aramayona', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01169', 3, 'Arejola', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01169', 4, 'Arriola (Aramaio)', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01169', 5, 'Azcoaga', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01169', 6, 'Barajuen', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01169', 7, 'Echaguen de Aramaio', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01169', 8, 'Ganzaga', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01169', 9, 'Uncella', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01169', 10, 'Uribarri (Aramaio)', 10035, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01170', 1, 'Legutiano', 10587, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01170', 2, 'Villarreal de Alava', 10587, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01170', 3, 'Elosu', 10587, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01170', 4, 'Urrunaga', 10587, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01170', 5, 'Ollerias', 10587, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01191', 4, 'Gobeo', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04740', 2, 'El Puerto', 40792, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04740', 3, 'Roquetas de Mar', 40792, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04741', 0, 'Cortijos de Marin', 40792, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04742', 0, 'Algaida', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04743', 0, 'El Solanillo', 40792, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04745', 2, 'La Mojonera', 49032, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04746', 0, 'La Venta del Viso', 49032, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04750', 1, 'Celin', 40388, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04750', 2, 'Dalias', 40388, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 1, 'El Aguadero', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 2, 'El Barranquillo', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 3, 'Berja', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 4, 'El Canal (Berja)', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 5, 'Castala', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 6, 'Las Caadas', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 7, 'El Cid', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 8, 'Los Corrales', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 9, 'Fuentes de Marbella', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 10, 'El Llanete', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 11, 'Los Lopez', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 12, 'Majaroba', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 13, 'El Montivel', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 14, 'Negite', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 15, 'La Raijana', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 16, 'Riguarte', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 17, 'Los Rodriguez', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 18, 'Salobra', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 19, 'Santa Mua', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 20, 'La Tomillera', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 21, 'Los Torres', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 22, 'Los Ucleses', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 23, 'La Ventilla', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04760', 24, 'Virgen del Carmen', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04768', 1, 'Beninar', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04768', 2, 'Darrical', 40078, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04768', 3, 'Hirmes', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04768', 4, 'Lucainena de Darrical', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04769', 1, 'Alcaudique', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04769', 2, 'Beneji', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04769', 3, 'Chiran', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04769', 4, 'La Pearrodada', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04769', 5, 'El Rio Chico', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04769', 6, 'El Rio Grande', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04769', 7, 'San Roque (Berja)', 40293, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04770', 1, 'Adra', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04770', 2, 'El Canal (Adra)', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04770', 3, 'El Corral', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04770', 4, 'La Curva', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04770', 5, 'Gurrias', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04770', 6, 'La Loma de los Vargas', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04770', 7, 'Los Moras', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04770', 8, 'La Parra (Adra)', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04770', 9, 'El Patio', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04770', 10, 'Los Perez (Adra)', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04778', 1, 'La Alcazaba', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04778', 2, 'La Fuente del Ahijado', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04778', 3, 'Guainos Altos', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04778', 4, 'Guainos Bajos', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04778', 5, 'Lance de la Virgen', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04778', 6, 'El Toril', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04779', 1, 'La Alqueria (Venta Nueva)', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04779', 2, 'El Campillo (Venta Nueva)', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04779', 3, 'Las Cuatro Higueras', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04779', 4, 'La Fuente Santilla', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04779', 5, 'El Pardo', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04779', 6, 'El Puente del Rio', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04779', 7, 'Venta Nueva', 40031, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04800', 1, 'Albox', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04800', 2, 'El Dira', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04800', 3, 'Los Finos', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04800', 4, 'Fuente del Mojon', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04800', 5, 'Molino de Las Pidras', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04800', 6, 'Las Piedras (Albox)', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04800', 7, 'Rambilica (Albox)', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04800', 8, 'Simones', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 1, 'Los Alonsos', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 2, 'Los Bancalicos', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 3, 'El Barranco de Quiles', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 4, 'El Cerrogordo', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 5, 'Los Chacones', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 6, 'Los Chulos', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 7, 'El Cortijo Blanco', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 8, 'El Cortijo del Medio', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 9, 'Los Cortijos Altos', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 10, 'Los Elviras', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 11, 'La Ermita', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 12, 'La Fragua Vieja', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 13, 'Frax', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 14, 'Frax de Arriba', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 15, 'La Fuente del Negro', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 16, 'Los Gonzalez', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 17, 'La Granja', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 18, 'El Jaral', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 19, 'Jose Martos', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 20, 'Los Lisos', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 21, 'Maguas', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 22, 'Malinos', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 23, 'El Mojon', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 24, 'Oria', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 25, 'Partaloa', 40720, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 26, 'La Piedra Amarilla', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 27, 'La Placeta', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 28, 'Los Porteros (Oria)', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 29, 'El Puntal (Oria)', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 30, 'La Rambla de Olula', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 31, 'La Rambla Vega (Oria)', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 32, 'La Solana', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 33, 'Traisla', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04810', 34, 'Ventarique', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 1, 'Los Adrianes', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 2, 'El Arroyo de Urracal', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 3, 'Arroyo Medina', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 4, 'La Boca de Oria', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 5, 'Capairola', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 6, 'La Casa Grande', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 7, 'La Caada Salas', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 8, 'La Caada', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 9, 'Daimuz', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 10, 'Los Gazquez (Los Alamos)', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 11, 'Los Jacinto', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 12, 'Los Lozanos', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 13, 'El Margen', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 14, 'Los Martinez (Oria)', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 15, 'El Peon Alto', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 16, 'El Peon Bajo', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 17, 'Los Quiles', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 18, 'San Miguel (Alamos)', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 19, 'Los Timoteos', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 20, 'La Umbria de Abajo', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04811', 21, 'La Umbria de Arriba', 40708, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04812', 1, 'El Llano de Las Animas', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04812', 2, 'Llanos de los Olleres', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04812', 3, 'Llanos del Espino', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 1, 'El Arroyo del Saliente', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 2, 'Los Caparroces (Oria)', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 3, 'Los Cerricos', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 4, 'Collado de la Madera', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 5, 'Doa Juana', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 6, 'El Madroo', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 7, 'Las Pocicas', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 8, 'Saliente Alto', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 9, 'Saliente Bajo (Albox)', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 10, 'El Santuario', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08960', 0, 'Sant Just Desvern', 82212, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('08980', 0, 'Sant Feliu de Llobregat', 82114, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09001', 0, 'Burgos', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09002', 0, 'Burgos', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09003', 0, 'Burgos', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09004', 0, 'Burgos', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09005', 0, 'Burgos', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09006', 0, 'Burgos', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09007', 0, 'Burgos', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09070', 0, 'Burgos', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09071', 0, 'Burgos', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09080', 0, 'Burgos', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09100', 0, 'Melgar de Fernamental', 92117, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09107', 1, 'Arenillas de Riopisuerga', 90243, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09107', 2, 'Castrillo Matajudios', 90905, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09107', 3, 'Itero del Castillo', 91828, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09107', 4, 'Palacios de Riopisuerga', 92479, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09107', 5, 'Tabanera', 90243, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09108', 1, 'Castrillo de Rio Pisuerga', 90888, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09108', 2, 'Hinojal de Rio Pisuerga', 90888, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09108', 3, 'Padilla de Arriba', 92432, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09108', 4, 'Rezmondo', 93174, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09108', 5, 'Santa Maria Ananuez', 92117, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09108', 6, 'Tagarrosa', 92117, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09108', 7, 'Valtierra de Riopisuerga', 92117, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09108', 8, 'Zarzosa de Rio Pisuerga', 94825, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09109', 1, 'Castrillo de Murcia', 93636, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09109', 2, 'Padilla de Abajo', 92426, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09109', 3, 'Villasandino', 94607, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09109', 4, 'Villasilos', 90912, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09109', 5, 'Villaveta', 90912, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09110', 0, 'Castrojeriz', 90912, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09119', 1, 'Los Balbases', 90912, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09119', 2, 'Hinestrosa', 90912, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09119', 3, 'Pedrosa del Principe', 92582, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09119', 4, 'San Anton', 90912, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09119', 5, 'Valbonilla', 90912, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09119', 6, 'Vallunquera', 90912, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09119', 7, 'Villaquiran de la Puebla', 94555, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09120', 0, 'Villadiego', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09123', 1, 'Citores del Paramo', 93636, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09123', 2, 'Olmillos de Sasamon', 93636, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09123', 3, 'Sasamon', 93636, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09123', 4, 'Villandiego', 93636, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09123', 5, 'Villasidro', 93636, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09123', 6, 'Yudego', 93636, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 1, 'Barrios de Villadiego', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 2, 'Barruelo de Villadiego', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 3, 'Congosto', 91754, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 4, 'Fuencalenteja', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 5, 'Fuenteodra', 91754, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 6, 'Hormicedo', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 7, 'Humada', 91754, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 8, 'Ordejon de Abajo', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 9, 'Ordejon de Arriba', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 10, 'Palazuelos de Villadiego', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 11, 'Rebolledo de Traspea', 91754, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 12, 'Rioparaiso', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 13, 'Sandoval de la Reina', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 14, 'Tapia', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 15, 'Villamartin de Villadiego', 91754, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 16, 'Villavedon', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09124', 17, 'Villusto', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 1, 'Boada de Villadiego', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 2, 'Urbel del Castillo', 93983, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 3, 'Icedo', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 4, 'Montorio', 92273, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 5, 'Nuestra Seora de la Cuadra', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 6, 'La Nuez de Arriba', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 7, 'La Piedra', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 8, 'Quintana del Pino', 93983, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 9, 'Santa Cruz del Tozo', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 10, 'La Rad (Basconcillos del Tozo)', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 11, 'San Mames de Abar', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 12, 'San Pantaleon del Paramo', 91720, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 13, 'Quintanilla Pedro Abarca', 91720, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 14, 'Tablada de Villadiego', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 15, 'Fuenteurbel', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 16, 'Los Valcarceres', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 17, 'Villahernando', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 18, 'Villalvilla de Villadiego', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 19, 'Villanueva de Puerta', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09125', 20, 'Villaute', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09126', 1, 'Barrio Panizares', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09126', 2, 'Basconcillos del Tozo', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09126', 3, 'Fuencaliente de Puerta', 91754, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09126', 4, 'Hoyos del Tozo', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09126', 5, 'Pradanos del Tozo', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09126', 6, 'San Mames del Tozo', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09126', 7, 'San Martin de Humada', 91754, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09126', 8, 'Talamillo del Tozo', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09126', 9, 'Trasahedo del Tozo', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 1, 'Arcellares del Tozo', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 2, 'Barrio Lucio', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 3, 'Corralejo', 94154, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 4, 'Escuderos de Valdelucio', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 5, 'Fuencaliente de Lucio', 94154, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 6, 'Llanillo de Valdelucio', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 7, 'Mundilla', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 8, 'Riba de Valdelucio', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 9, 'Pedrosa de Arcellares', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 10, 'Quintanas de Valdelucio', 94154, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 11, 'Renedo de la Escalera', 94154, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 12, 'Renedo de Valdelucio', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 13, 'Paul de Valdelucio', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 14, 'Solanas de Valdelucio', 94154, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09127', 15, 'Villaescobedo de Valdelucio', 90452, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09128', 1, 'Grijalba', 91486, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09128', 2, 'Mahallos', 93689, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09128', 3, 'Sordillos', 93689, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09128', 4, 'Villahizan de Trevio', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09128', 5, 'Villamayor de Trevio', 94445, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09128', 6, 'Villamoron', 94733, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09128', 7, 'Villanoo', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09128', 8, 'Villanueva de Odra', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09128', 9, 'Villegas', 94733, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09129', 1, 'Acedillo', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09129', 2, 'Brulles', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09129', 3, 'Bustillo del Paramo', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09129', 4, 'Coculina', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09129', 5, 'Fuencivil', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09129', 6, 'Hormazuela', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09129', 7, 'Melgosa de Villadiego', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09129', 8, 'Quintanilla de la Presa', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09129', 9, 'Villalibado', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09130', 1, 'Isar', 91813, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09130', 2, 'Palacios de Benaver', 91813, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09130', 3, 'Rabe de Las Calzadas', 93044, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09130', 4, 'Tardajos', 93771, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09130', 5, 'Villanueva de Argao', 94496, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 0, 'San Pedro Samuel', 92595, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 1, 'Arroyal de Vivar', 92595, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 2, 'Avellanosa del Paramo', 99027, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 3, 'Lodoso', 92595, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 4, 'Marmellar de Abajo', 92595, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 5, 'Marmellar de Arriba', 99070, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 3, 'Borcos', 91669, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12164', 1, 'Los Rosildos', 121055, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12164', 2, 'Venta de la Lloma', 121055, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12165', 1, 'Ares del Maestre', 120141, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12165', 2, 'Coll D''Ares', 120141, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12170', 0, 'Sant Mateu', 121009, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12179', 0, 'Tirig', 121114, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12180', 0, 'Cabanes', 120332, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12181', 0, 'Benlloch', 120290, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12182', 1, 'Mas del Collet', 121055, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12182', 2, 'Sierra Engarceran', 121055, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12183', 0, 'Vilanova D''Alcolea', 121325, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12184', 1, 'Sarratella', 121037, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12184', 2, 'Torre Endomenech', 121205, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12185', 0, 'Les Coves de Vinroma', 120509, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12186', 1, 'Mas D''En Rieres', 120982, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12186', 2, 'Mas Dels Calduch', 120982, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12186', 3, 'En Ramona', 120982, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12186', 4, 'La Salzadella', 120982, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12190', 0, 'Borriol', 120311, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12191', 0, 'La Pobla Tornesa', 120944, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12192', 0, 'Vilafames', 121286, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12193', 1, 'La Barona', 999999, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12193', 2, 'La Baseta', 121248, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12193', 3, 'Los Ibarzos', 999999, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12193', 4, 'La Pelechana', 121248, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12193', 5, 'La Pelechaneta', 121248, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12194', 1, 'Montalva', 121248, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12194', 2, 'Vall D''Alba', 121248, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12200', 0, 'Onda', 120846, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12210', 0, 'Ribesalbes', 120957, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12220', 0, 'Artesa', 120846, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12221', 0, 'Tales', 121093, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12222', 1, 'Ain', 120022, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12222', 2, 'Alcudia de Veo', 120069, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12222', 3, 'Benitandus', 120069, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12222', 4, 'Veo', 120069, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12223', 0, 'Suera/Sueras', 121080, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12224', 1, 'Ayodar', 120173, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12224', 2, 'Villamalur', 121310, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12225', 1, 'Fuentes de Ayodar', 120640, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12225', 2, 'Torralba del Pinar', 121166, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12230', 1, 'Argelita', 120154, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12230', 2, 'Espadilla', 120580, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12230', 3, 'Fanzara', 120593, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12230', 4, 'Toga', 121135, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12230', 5, 'Vallat', 121233, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12231', 0, 'Cirat', 120461, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12232', 1, 'Arauel', 120136, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12232', 2, 'El Tormo', 120136, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12232', 3, 'Torrechiva', 121188, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12300', 0, 'Morella', 120803, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12310', 0, 'Forcall', 120614, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12311', 1, 'La Balma (Zorita)', 120878, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12311', 2, 'Ortells', 120878, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12311', 3, 'Palanques', 120878, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12311', 4, 'Villores', 121378, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12311', 5, 'Zorita del Maestrazgo', 121418, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12312', 1, 'La Mata de Morella', 120831, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12312', 2, 'Olocau del Rey', 120831, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12312', 3, 'Todolella', 121129, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12313', 0, 'Puebla de Alcolea', 999999, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12314', 0, 'Chiva de Morella', 999999, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12315', 0, 'Vallibona', 121270, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12316', 0, 'Hostal Nou', 999999, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12317', 0, 'Herbes', 120688, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12318', 1, 'Las Albaredas', 120458, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12318', 2, 'Cinctorres', 120458, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12318', 3, 'Portell de Morella', 120918, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12319', 1, 'Castell de Cabres', 120379, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12319', 2, 'Herbeset', 120379, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12320', 0, 'San Jorge', 120995, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12330', 0, 'Traiguera', 121212, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12340', 0, 'La Jana', 120705, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12350', 0, 'Canet Lo Roig', 120363, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12360', 0, 'Xert/Chert', 120521, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12370', 0, 'Anroig', 120521, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12400', 0, 'Segorbe', 121042, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12410', 1, 'Altura', 120120, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12410', 2, 'La Cueva Santa', 120120, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12412', 1, 'Geldo', 120672, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12412', 2, 'Villatorcas', 121042, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12413', 1, 'Almedijar', 120108, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12413', 2, 'Castellnovo', 120398, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12414', 1, 'Algimia de Almonacid', 120081, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12414', 2, 'Pealba', 121042, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12414', 3, 'Vall de Almonacid', 121251, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12415', 1, 'Gaibiel', 120653, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12415', 2, 'Matet', 120764, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12420', 0, 'Barracas', 120206, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12428', 1, 'Arcos de Abajo', 120923, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12428', 2, 'Arcos de Arriba', 120923, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12428', 3, 'Los Calpes', 120923, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12428', 4, 'Los Cantos', 120923, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12428', 5, 'Fuente la Reina', 120635, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12428', 6, 'La Monzona', 120923, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12428', 7, 'Puebla de Arenoso', 120923, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12428', 8, 'Villanueva de Viver', 121331, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12429', 1, 'Pina de Montalgrao', 120901, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12429', 2, 'El Toro', 120901, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12430', 1, 'Artesa de Abajo', 120228, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12430', 2, 'Artesa de Arriba', 120228, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12430', 3, 'Bejis', 120228, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12430', 4, 'Rios de Arriba', 120228, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12431', 0, 'Toras', 121140, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12440', 0, 'Caudiel', 120430, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12447', 0, 'Montan', 120786, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12448', 1, 'La Alqueria', 120799, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12448', 2, 'Montanejos', 120799, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12449', 1, 'Benafer', 120249, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12449', 2, 'Higueras', 120691, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12449', 3, 'Pavias', 120884, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12450', 1, 'Jerica', 120712, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12450', 2, 'Novaliches', 120712, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12460', 0, 'Viver', 121401, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12469', 1, 'Los Canales', 121401, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12469', 2, 'Herragudo', 121401, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12469', 3, 'Masada del Sordo', 121401, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12469', 4, 'Masias Blancas', 121401, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12469', 5, 'Masias de Cristo', 121401, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12469', 6, 'De los Perez', 121401, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12469', 7, 'Rios de Abajo', 121401, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12469', 8, 'Sacaet', 120976, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12469', 9, 'Teresa', 121107, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12470', 0, 'Navajas', 120810, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12480', 0, 'Soneja', 121068, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12489', 0, 'Sot de Ferrer', 121074, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12490', 0, 'Azuebar', 120189, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12499', 0, 'Chovar', 120568, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12500', 0, 'Vinaros', 121384, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12510', 0, 'San Rafael del Rio', 121016, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12511', 0, 'Rossell', 120960, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12513', 1, 'La Avella (Cati)', 120424, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12513', 2, 'Cati', 120424, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12513', 3, 'Vallivana', 120424, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12520', 0, 'Nules', 120825, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12526', 0, 'Villavieja', 121362, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12527', 0, 'Artana', 120167, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12528', 0, 'Eslida', 120574, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12529', 0, 'Mascarell', 120825, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12530', 1, 'Alquerias Santa Barbara', 120326, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12530', 2, 'Burriana', 120326, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12530', 3, 'Grao de Burriana', 120326, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12530', 4, 'Santa Barbara', 120326, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12539', 0, 'Alquerias del Nio Perdido', 129018, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12540', 0, 'Vila-Real/Villarreal', 121359, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12549', 0, 'Betxi', 120213, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01170', 6, 'Nafarrate', 10587, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01170', 7, 'Gojain Pueblo', 10587, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01171', 0, 'Poligono Industrial de Goiain', 10587, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01191', 1, 'Asteguieta', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01191', 3, 'Estarrona', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01191', 5, 'Hueto Abajo', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01191', 6, 'Hueto Arriba', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01191', 7, 'Martioda', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01191', 8, 'Mendoza', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01191', 9, 'Trespuentes', 19015, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01191', 10, 'Ullivarri Via', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 1, 'Arbulo', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 2, 'Arcaute', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 3, 'Argomaniz', 10210, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 4, 'Aua', 10210, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 5, 'Cerio', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 6, 'Elburgo', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 7, 'Elorriaga', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 8, 'Gaceta', 10210, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 9, 'Ilarraza', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 10, 'Junguitu', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 11, 'Lubiano', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 12, 'Matauco', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01192', 13, 'Oreitia', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 1, 'Aberasturi', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 2, 'Acilu', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 3, 'Andollu', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 4, 'Arcaya', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 5, 'Argandoa', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 6, 'Ascarza', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 7, 'Eguileta', 10014, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 8, 'Erenchun', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 9, 'Estibaliz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 10, 'Gauna', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 11, 'Hijona', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 12, 'El Salvador', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 13, 'Troconiz', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01193', 14, 'Villafranca', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 1, 'Arechavaleta', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 2, 'Berrosteguieta', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 3, 'Bolivar', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 4, 'Castillo', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 5, 'Esquivel', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 6, 'Gamiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 7, 'Gardelegui', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 8, 'Izarza', 10164, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 9, 'Lasarte', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 10, 'Mendiola', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 11, 'Monasterioguren', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 12, 'Oquina', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 13, 'Otazu', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01194', 15, 'Ullibarri de los Olleros/Uriba', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 1, 'Alto de Armentia', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 2, 'Ariez', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 3, 'Armentia', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 4, 'Crispijana', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 5, 'Gomecha', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 6, 'Lermanda', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 7, 'Margarita', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 8, 'Subijana de Alava', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 9, 'Villodas', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 10, 'Zuazo de Vitoria', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 11, 'Zumelzu', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01195', 12, 'Vitoria-Gasteiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 1, 'Aeropuerto Foronda (Alava)', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 2, 'Antezana (Foronda)', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 3, 'Aranguiz', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 4, 'Arriaga', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 5, 'Artaza de Foronda', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 6, 'Etxabarri-Ibia', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 7, 'Foronda', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 8, 'Guerea', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 9, 'Legarda', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 10, 'Lopidana', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 11, 'Mandojana', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 12, 'Mendarozketa', 10186, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 13, 'Mendiguren', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01196', 14, 'Yurre', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01200', 1, 'Agurain', 10513, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01200', 2, 'Salvatierra', 10513, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 1, 'Arrieta', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 2, 'Audicana', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 3, 'Dallo', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 4, 'Echavarri Urtupia', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 5, 'Elguea', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 6, 'Etura', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 7, 'Ezquerecocha', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 8, 'Gaceo', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 9, 'Garayo', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 10, 'Guevara', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 11, 'Heredia', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 12, 'Langarica', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 13, 'Langarika', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 14, 'Larrinzar', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 15, 'Marieta Larrinzar', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 16, 'Maturana', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 17, 'Mendijur', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 18, 'Ozaeta', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01206', 19, 'Urizar', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 1, 'Adana', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 2, 'Alaiza', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 3, 'Alangua', 10513, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 4, 'Arrizala', 10513, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 5, 'Bikua', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 6, 'Chinchetru', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 7, 'Eguilaz', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 8, 'Eguileor', 10513, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 9, 'Guereu', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 10, 'Jauregui', 10278, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 11, 'Mezkia', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 12, 'Mezquia', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 13, 'Munain', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 14, 'Ocariz', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 15, 'Opakua', 10513, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 16, 'San Roman de San Millan', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 17, 'Ullivarri-Jauregui', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01207', 18, 'Vicua', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 1, 'Albeniz', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 2, 'Amezaga de Asparrena', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 3, 'Arriola', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 4, 'Aspuru', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 5, 'Monasterio Barria', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 6, 'Galarreta', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 7, 'Gordoa', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 8, 'Hermua', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 9, 'Larrea', 10133, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 10, 'Luzuriaga', 10534, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 11, 'Narvaja', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 12, 'Ordoana', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 13, 'Zalduendo de Alava', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 14, 'Zalduondo', 10611, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 15, 'Zuazo de San Millan', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01208', 16, 'Zuazola', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 1, 'Baroja', 10442, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 2, 'Berantevilla', 10148, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 3, 'Escanzana', 10148, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 4, 'La Corzana', 10066, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 5, 'La Corzanilla', 10148, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 6, 'Mijancas', 10148, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 7, 'Payueta', 10442, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 8, 'Santa Maria', 10442, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 9, 'Santurde', 10148, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 10, 'Tobera', 10148, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 11, 'Zumento', 10442, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01211', 12, 'Moraza', 10442, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01212', 1, 'Berganzo', 10626, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01212', 2, 'Loza', 10442, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01212', 3, 'Montoria', 10442, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01212', 4, 'Ocio', 10626, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01212', 5, 'Peacerrada', 10626, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01212', 6, 'Portilla', 10626, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01212', 7, 'Salinillas de Buradon', 10284, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01212', 8, 'Santa Cruz del Fierro', 10148, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01212', 9, 'Zambrana', 10626, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28342', 0, 'Valdemoro', 281610, 28, 
    0, 13, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 11, 'El Villar', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 12, 'La Yegua Alta', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04813', 13, 'La Yegua Baja', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04814', 1, 'La Aljambra', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04814', 2, 'La Aljara', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04814', 3, 'Fuente Marques', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04814', 4, 'Las Labores', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04814', 5, 'Locaiba', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04814', 6, 'Los Marcelinos', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04814', 7, 'San Roque (Albox)', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04814', 8, 'La Torreta', 40062, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04815', 1, 'Almanzora', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04815', 2, 'El Marchal (Los Pardos)', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04815', 3, 'Los Morillas', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04815', 4, 'Los Pardos', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 1, 'Los Asensio', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 2, 'Capellanias', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 3, 'Collado de Muro', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 4, 'Las Cuevas de Moreno', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 5, 'Gateros', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 6, 'Los Gazquez (Velez Rubio)', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 7, 'Ginte', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 8, 'Los Guiraos (Velez Rubio)', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 9, 'Motailon', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 10, 'El Rio de Mula', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 11, 'El Senillo', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04820', 12, 'Velez Rubio', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04825', 1, 'Aspilla', 40372, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04825', 2, 'El Bancal', 40372, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04825', 3, 'El Cantal', 40372, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04825', 4, 'Chirivel', 40372, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04825', 5, 'El Contador', 40372, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04825', 6, 'El Mojonar', 40372, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04825', 7, 'La Rambla de Abajo', 40372, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04825', 8, 'La Rambla de Arriba', 40372, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04825', 9, 'Roquez', 40372, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04826', 1, 'Los Aranegas', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04826', 2, 'Fuente del Gato', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04826', 3, 'Los Gatos', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04826', 4, 'La Monja', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04826', 5, 'Los Oquendos', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04826', 6, 'Los Ramales', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04826', 7, 'Saladilla', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04827', 1, 'Los Cabreras', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04827', 2, 'Nogalte', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04827', 3, 'La Parra (Torrentes)', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04827', 4, 'Tonosa', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04827', 5, 'Los Torrentes', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04828', 1, 'Los Alamicos', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04828', 2, 'Bancalejo', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04828', 3, 'Bolaimi', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04828', 4, 'Calabuche', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04828', 5, 'El Campillo', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04828', 6, 'La Carrasca (Campillo)', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04828', 7, 'La Dehesa', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04828', 8, 'La Mata de Bolaimi', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 1, 'La Alqueria (Velez Rubio)', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 2, 'El Bizmay', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 3, 'Canalica', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 4, 'Las Casas', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 5, 'Las Caadas de Lizaran', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 6, 'El Cercado', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 7, 'El Charche', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 8, 'Los Colmenares', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 9, 'El Espadin', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 10, 'La Losilla', 40998, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04829', 11, 'El Piar de Abajo', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 1, 'Alancin', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 2, 'Alara', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 3, 'Alcaide', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 4, 'Alcoluches', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 5, 'La Alfahuara', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 6, 'La Alqueria de Abajo', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 7, 'Los Campos (Velez Blanco)', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 8, 'Los Canales', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 9, 'Derde', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 10, 'Las Juntas (Velez Blanco)', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 11, 'Madrid', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 12, 'Molinos (Velez Blanco)', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 13, 'Montalviche', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 14, 'El Rio Claro', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 15, 'Solana', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 16, 'Solana de Pontes', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 17, 'Taibena', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04830', 18, 'Velez Blanco', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04838', 1, 'Graj', 40638, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04838', 2, 'Maria', 40638, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04839', 1, 'Casablanca (Topares)', 40638, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04839', 2, 'La Caada de Caepla', 40638, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04839', 3, 'La Caada Grande', 40638, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04839', 4, 'Las Cobatillas', 40638, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04839', 5, 'La Cuesta del Cebo', 40638, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04839', 6, 'Macian', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04839', 7, 'Mancheo', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04839', 8, 'Topares', 40985, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04850', 1, 'El Arroyo Aceituno', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04850', 2, 'Cantoria', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04850', 3, 'Las Casicas', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04850', 4, 'Gasparillo', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04850', 5, 'La Hojilla', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04850', 6, 'La Hoya (Cantoria)', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04850', 7, 'El Marchal (Cantoria)', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04857', 0, 'Albanchez', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 1, 'El Arroyo Albanchez', 40314, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 2, 'El Barranco del Infierno', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 3, 'Los Borregos', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 4, 'Los Calesas', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 5, 'La Carrasca (Albanchez)', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04859', 5, 'Cobdar', 40340, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 7, 'La Fuente del Tio Molina', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 8, 'La Hoya de la Zarza', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 9, 'Los Molinas', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 10, 'La Palmera', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 11, 'La Piedra de Zahor', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04858', 12, 'La Tia Lucia', 40046, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04859', 1, 'Chercos', 40366, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04859', 2, 'Chercos Nuevos', 40366, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04859', 3, 'Chercos Viejos', 40366, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04859', 4, 'Lijar', 40583, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04860', 1, 'Huimayor', 40694, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04860', 2, 'Huitar Mayor', 40694, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04860', 3, 'Huitar Menor', 40694, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04860', 4, 'La Noria (Olula del Rio)', 40694, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04860', 5, 'Olula del Rio', 40694, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04867', 1, 'El Arroyo Franco y Estella', 40622, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04867', 2, 'Macael', 40622, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04867', 3, 'El Marchal (Macael)', 40622, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04867', 4, 'El Reul Alto', 40622, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04868', 0, 'Laroya', 40561, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04869', 1, 'La Caada de Las Cruces', 40448, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04869', 2, 'Cuesta del Pino', 40448, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04869', 3, 'Los Entrenas', 40448, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04869', 4, 'La Estacion (Fines)', 40448, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04869', 5, 'Fines', 40448, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04869', 6, 'El Olivar', 40448, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04869', 7, 'El Palomar', 40448, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04869', 8, 'La Venta (Fines)', 40448, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04870', 0, 'Purchena', 40767, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04877', 0, 'Somontin', 40852, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04878', 1, 'Sierro', 40849, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04878', 2, 'Sufli', 40871, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04879', 1, 'Aguamarga (Urracal)', 40963, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04879', 2, 'Urracal', 40963, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 6, 'Paramo del Arroyo', 99070, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 7, 'Pedrosa de Rio Urbel', 92595, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 8, 'Las Quintanillas de Burgos', 92595, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 9, 'Santa Maria Tajadura', 92978, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09131', 11, 'Villarmentero', 92978, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 1, 'Arenillas de Villadiego', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 2, 'Barrio Solano', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 4, 'Castromorca', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 5, 'Caizar de Argao de los Ajos', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 6, 'Las Hormazas', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 7, 'Manciles', 92024, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 8, 'Olmos de la Picaza', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 9, 'La Parte', 94271, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 10, 'Pedrola del Paramo', 92576, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 11, 'Susinos del Paramo', 93749, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 12, 'Tobar', 93826, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09133', 13, 'Villorejo', 91813, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09135', 1, 'Barrio de San Feciles', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09135', 2, 'Caizar de Amaya', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09135', 3, 'Guadilla de Villamar', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09135', 4, 'Quintanilla de Riofresno', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09135', 5, 'Sotovellanos', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09135', 6, 'Sotresgudo', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09136', 1, 'Amaya', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09136', 2, 'Cuevas de Amaya', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09136', 3, 'Peones de Amaya', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09136', 4, 'Puentes de Amaya', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09136', 5, 'Salazar de Amaya', 93734, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09139', 0, 'Los Brezos de Servicio', 999999, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09140', 1, 'Celadilla Sotobrin', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09140', 2, 'Quintanaortuo', 92870, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09140', 3, 'Quintanilla Vivar', 93018, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09140', 4, 'Sotopalacios', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09140', 5, 'Vivar del Cid', 93018, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 1, 'Abajas de Bureba', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 2, 'La Cabauela', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 3, 'Castrillo de Rucios', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 4, 'Cernegula', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 5, 'Gredilla la Polera', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 6, 'Hontomin', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 7, 'Lermilla', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 8, 'Quintanilla Sobresierra', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 9, 'Quintanarruz', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 10, 'Quintanarrio', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 11, 'Monte Vallejada', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 12, 'Mata', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 13, 'Robredo Sobresierra', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 14, 'San Martin de Ubierna', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 15, 'Santa Maria de Ubierna', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 16, 'Ubierna', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 17, 'Valdepinillos', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09141', 18, 'Villalvilla de Sobresierra', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09142', 1, 'Gredilla de Sedano', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09142', 2, 'Masa', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09142', 3, 'Moradillo de Sedano', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09142', 4, 'Mozuelos', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09142', 5, 'Nidaguila', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09142', 6, 'Nocedo', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09142', 7, 'Quintanajuar', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09142', 8, 'Quintanaloma', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09142', 9, 'Sedano', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09142', 10, 'Terradillos de Sedano', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09143', 1, 'Bauelos de Rudron', 93958, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09143', 2, 'Covanera', 93958, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09143', 3, 'Moradillo del Castillo', 93615, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09143', 4, 'Santa Coloma del Rudron', 93615, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09143', 5, 'Tablada del Rudron', 93958, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09143', 6, 'Tubilla del Agua', 93958, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09144', 0, 'Lorilla', 93615, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 1, 'Ayoluengo de la Lora', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 2, 'Baos de Valdelateja', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 3, 'Ceniceros de Rudron', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 4, 'Escalada', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 5, 'Nuestra Seora del Ebro', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 6, 'Orbaneja del Castillo', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 7, 'Quintanilla Escalada', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 8, 'Sargentes de la Lora', 93615, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 9, 'San Felices del Rudron', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 10, 'San Andres de Montearados', 93615, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 11, 'Valdeajos de la Lora', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09145', 12, 'Valdelateja', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 1, 'Ailanes de Zamanzas', 94167, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 2, 'Barrio la Cuesta', 94167, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 3, 'Bascones de Zamanzas', 94167, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 4, 'Gallejones de Zamanzas', 94167, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 5, 'Pesquera de Ebro', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 6, 'Quintanilla Colina', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 7, 'Robredo de Zamanzas', 94167, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 8, 'San Tirso', 94167, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 9, 'Tubilleja', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 10, 'Tudanca', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 11, 'Turzo', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 12, 'Venta de Orbaneja', 94167, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09146', 13, 'Villanueva Rampalay', 94167, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 1, 'Las Celadas', 91669, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 2, 'Espinosilla de San Bartolome', 91669, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 3, 'Huermeces', 91720, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 4, 'Mansilla', 91669, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 5, 'Mion de Santibaez', 99027, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 6, 'Las Rebolledas', 91669, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 7, 'Ros', 99027, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 8, 'Ruyales del Paramo', 91720, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 9, 'Santibaez Zarzaguda', 99027, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 10, 'Los Tremellos', 91669, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09150', 11, 'Zumel', 99027, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09159', 0, 'La Nuez de Abajo', 99027, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09190', 0, 'Venta el Chopillo', 999999, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09191', 1, 'Caborredondo', 91433, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09191', 2, 'Fresdelval', 91433, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09191', 3, 'Hurones', 91767, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09191', 4, 'Mijaradas', 91433, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09191', 5, 'Morquillas', 91433, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09191', 6, 'Riocerezo', 99048, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09191', 7, 'Villayerno Morquillas', 94712, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09192', 1, 'Cardeuela Riopico', 90755, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09192', 2, 'Cotar', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09192', 3, 'Orbaneja Rio Pico', 92411, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09192', 4, 'Quintanilla Rio Pico', 92411, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09192', 5, 'Villafria de Burgos', 90755, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09192', 6, 'Villalbal', 90755, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09193', 1, 'Carcedo de Burgos', 90721, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09193', 2, 'Cardeajimeno', 90742, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09193', 3, 'Cartuja de Miraflores', 90721, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09193', 4, 'Castrillo del Val', 90866, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09193', 5, 'Cortes', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09193', 6, 'Fuente del Prior', 90721, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09193', 7, 'Fuentes Blancas', 90721, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09193', 8, 'De Fuentes Blancas', 90721, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09193', 9, 'San Pedro de Cardea', 90866, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 1, 'Los Ausines', 90737, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 2, 'Barrio Quintanilla', 90737, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 3, 'Barrio San Juan', 90737, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 4, 'Barrio Sopea', 90737, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 5, 'La Cabrera', 90737, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 6, 'Cardeadijo', 90737, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 7, 'Mazueco de Lara', 90737, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50019', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12550', 0, 'Almassora/Almazora', 120094, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12560', 0, 'Benicassim/Benicasim', 120287, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12570', 0, 'Alcala de Xivert', 120043, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12578', 0, 'Cervera del Maestre', 120445, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12579', 1, 'Alcoceber', 120043, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12579', 2, 'Cap y Corp', 120043, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12579', 3, 'Las Fuentes', 120043, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12580', 0, 'Benicarlo', 120271, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12589', 0, 'Calig', 120347, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12590', 0, 'Almenara', 120115, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12591', 1, 'Barrio del Mar', 120748, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12591', 2, 'Casablanca', 120748, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12591', 3, 'La Llosa', 120748, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12592', 0, 'Chilches', 120537, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12593', 1, 'Grao de Moncofar', 120770, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12593', 2, 'Moncofa', 120770, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12594', 0, 'Orpesa/Oropesa del Mar', 120859, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12595', 1, 'Ribera de Cabanes', 120332, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12595', 2, 'Torre de la Sal', 120332, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12596', 1, 'Torreblanca', 121172, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12596', 2, 'Torrenostra', 121172, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12597', 0, 'Santa Magdalena de Pulpis', 121021, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12598', 0, 'Peiscola', 120897, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12599', 1, 'Ballestar', 120939, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12599', 2, 'Bojar', 120939, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12599', 3, 'Las Casas del Rio', 120939, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12599', 4, 'Corachar', 120939, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12599', 5, 'Fredes', 120939, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12599', 6, 'Mangraner (La Pobla de Benifas', 120939, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12599', 7, 'La Pobla de Benifassa', 120939, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12600', 0, 'La Vall D''Uixo', 121264, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('12609', 0, 'Alfondeguilla', 120075, 12, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13001', 0, 'Ciudad Real', 130343, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13002', 0, 'Ciudad Real', 130343, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13003', 0, 'Ciudad Real', 130343, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13004', 0, 'Ciudad Real', 130343, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13005', 0, 'Ciudad Real', 130343, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13070', 0, 'Ciudad Real', 130343, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13071', 0, 'Ciudad Real', 130343, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13080', 0, 'Ciudad Real', 130343, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13100', 0, 'Piedrabuena', 130631, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13107', 0, 'Alcolea de Calatrava', 130071, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13108', 1, 'Luciana', 130512, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13108', 2, 'Retama', 130512, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13109', 0, 'Puebla de Don Rodrigo', 130684, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13110', 0, 'Horcajo de los Montes', 130492, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13114', 1, 'Las Islas', 139014, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13114', 2, 'Navalajarra', 139014, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13114', 3, 'Navalrincon', 139014, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13114', 4, 'El Robledo', 139014, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13114', 5, 'Las Tablillas', 139014, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13115', 0, 'Santa Quiteria', 130065, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13116', 0, 'Alcoba de los Montes', 130065, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13117', 1, 'Anchuras', 130179, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13117', 2, 'Encinacaida', 130179, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13117', 3, 'Enjambre', 130179, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13117', 4, 'Gamonoso', 130179, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13117', 5, 'Rosalejo', 130179, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13117', 6, 'Tercerias', 130179, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13117', 7, 'Valdeperdices', 130179, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13118', 1, 'Aldea Bohonal', 999999, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13118', 2, 'Las Huertas del Sauceral', 130179, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13120', 0, 'Porzuna', 130659, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13128', 1, 'Casas del Rio', 999999, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13128', 2, 'Cuesta del Rio', 999999, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13128', 3, 'La Dehesa', 999999, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13128', 4, 'Garlitera', 999999, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13128', 5, 'Las Tiosillas', 999999, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13129', 1, 'Las Betetas', 130659, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13129', 2, 'El Bonal', 130659, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13129', 3, 'Piedrala', 130659, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13129', 4, 'Las Rabinadas', 130659, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13129', 5, 'Las Rabinadillas', 130659, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13129', 6, 'El Trincheto', 130659, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13130', 0, 'Fuencaliente', 130420, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13140', 1, 'Fernancaballero', 130408, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13140', 2, 'Peralvillo', 130408, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13150', 0, 'Carrion de Calatrava', 130317, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13160', 0, 'Torralba de Calatrava', 130837, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13170', 0, 'Miguelturra', 130564, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13179', 0, 'Pozuelo de Calatrava', 130662, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13180', 0, 'Abenojar', 130013, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13189', 0, 'Navacerrada', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13190', 0, 'Corral de Calatrava', 130356, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13191', 1, 'Caracuel de Calatrava', 130300, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13191', 2, 'Los Pozuelos de Calatrava', 130300, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13192', 1, 'Cabezarados', 130258, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13192', 2, 'Tirteafuera', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13193', 1, 'Arroba de los Montes', 130219, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13193', 2, 'Fontanarejo', 130415, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13193', 3, 'Navalpino', 130599, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13194', 1, 'El Molinillo', 130603, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13194', 2, 'Navas de Estena', 130603, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13194', 3, 'Pueblo Nuevo del Bullaque', 130723, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13194', 4, 'Puentes de Piedrala', 130603, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13194', 5, 'Retuerta de Bullaque', 130723, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13194', 6, 'La Toledana', 130603, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13194', 7, 'El Torno', 130603, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13194', 8, 'Villapuerca', 130603, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13195', 1, 'Poblete', 130646, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13195', 2, 'Valverde', 130343, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13196', 1, 'Las Casas', 130625, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13196', 2, 'Picon', 130625, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13197', 2, 'La Poblachuela', 130343, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13200', 1, 'Herrera de la Mancha', 130533, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13200', 2, 'Manzanares', 130533, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13200', 3, 'Siles', 130533, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13210', 0, 'Villarta de San Juan', 130972, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13220', 0, 'Llanos del Caudillo', 139040, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13230', 0, 'Membrilla', 130548, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13240', 0, 'La Solana', 130795, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13247', 0, 'San Carlos del Valle', 130744, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13248', 0, 'Alhambra', 130104, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13249', 1, 'Caserio de Casas Blancas', 139029, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13249', 2, 'La Colgada', 139029, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13249', 3, 'Colonia del Pescador', 139029, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13249', 4, 'Entrelagos', 139029, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13249', 5, 'Ruidera', 139029, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13250', 0, 'Daimiel', 130394, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13260', 0, 'Bolaos de Calatrava', 130230, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13270', 0, 'Almagro', 130132, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13279', 0, 'Valenzuela de Calatrava', 130880, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13300', 0, 'Valdepeas', 130874, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13310', 1, 'La Consolacion', 130874, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13310', 2, 'Villanueva de Franco', 130874, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13320', 0, 'Villanueva de los Infantes', 130935, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13326', 0, 'Montiel', 130570, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13327', 0, 'Santa Cruz de los Caamos', 130760, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13328', 0, 'Almedina', 130147, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13329', 0, 'Carrizosa', 130322, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13330', 0, 'Villanueva de la Fuente', 130929, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13331', 0, 'Caamares', 130893, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13332', 0, 'Villahermosa', 130893, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13333', 0, 'Fuenllana', 130436, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13340', 0, 'Albaladejo', 130049, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13341', 0, 'Terrinches', 130816, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13342', 0, 'Puebla del Principe', 130697, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13343', 0, 'Villamanrrique', 130907, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13344', 0, 'Torre de Juan Abad', 130842, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13345', 0, 'Cozar', 130375, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 1, 'Caicedo de Yuso', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 2, 'Comunion', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 3, 'Igay', 10474, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 4, 'Leciana del Camino', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 5, 'Melledes', 10474, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 6, 'Molinilla', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 7, 'Quintanilla de la Ribera', 10474, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 8, 'Rivabellosa', 10474, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 9, 'Salcedo', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 10, 'San Miguel', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 11, 'San Pelayo', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 12, 'Turiso', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 13, 'Villabezana', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01213', 14, 'Zubillaga', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01216', 1, 'Arlucea', 10164, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01216', 2, 'Faido', 10442, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01216', 3, 'Marquinez', 10164, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01216', 4, 'Urarte', 10164, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01220', 1, 'Antezana de la Ribera', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01220', 2, 'Armion', 10066, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01220', 3, 'Estavillo', 10066, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01220', 4, 'Lacervilla', 10148, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01220', 5, 'Leciana de la Oca', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01220', 6, 'Manzanos', 10474, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01220', 7, 'Rivaguda', 10474, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01230', 0, 'Nanclares de Oca', 19015, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01240', 0, 'Alegria-Dulantzi', 10014, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01250', 0, 'Araya', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01251', 0, 'Poligono Industrial de Asparre', 999999, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01260', 1, 'Andoin', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01260', 2, 'Eguino', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01260', 3, 'Ibarguren', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01260', 4, 'Ilarduya', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01260', 5, 'Urabain', 10091, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01300', 1, 'Biasteri', 10318, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01300', 2, 'Laguardia', 10318, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01306', 0, 'Lapuebla de Labarca', 10339, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01307', 1, 'Baos de Ebro', 10112, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01307', 2, 'Samaniego', 10528, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01307', 3, 'Villabuena de Alava', 10112, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01308', 1, 'Assa', 10323, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01308', 2, 'El Campillar', 10323, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01308', 3, 'Cripan', 10199, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01308', 4, 'Lanciego', 10323, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01308', 5, 'Viaspre', 10323, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01309', 1, 'Elvillar', 10231, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01309', 2, 'Leza', 10344, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01309', 3, 'Navaridas', 10416, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01309', 4, 'Paganos', 10318, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01320', 1, 'Oion', 10437, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01320', 2, 'Oyon', 10437, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01321', 0, 'Laserna', 10318, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01322', 1, 'Barriobusto', 10437, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01322', 2, 'Labraza', 10437, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01322', 3, 'Moreda', 10437, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01322', 4, 'Yecora', 10604, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01330', 0, 'Labastida', 10284, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01340', 0, 'Elciego', 10225, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01400', 1, 'Areta', 10360, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01400', 2, 'Laudio', 10360, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01400', 3, 'Llodio', 10360, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01408', 0, 'Luyando', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01409', 1, 'Okondo', 10421, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01409', 2, 'Oquendo', 10421, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01420', 1, 'Arbigano', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01420', 2, 'Basquiuelas', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01420', 3, 'Caicedo Sopea', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01420', 4, 'Castillo Sopea', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01420', 5, 'Herea', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01420', 6, 'Mimbredo', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01420', 7, 'Paul', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01420', 8, 'Pobes', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 1, 'Atiega', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 2, 'Bachicabo', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 3, 'Barrio', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 4, 'Bellojin', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 5, 'Espejo', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 6, 'Tuesta', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 7, 'Villamaderne', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 8, 'Sobron', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 9, 'Puentelarra', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 10, 'Bergenda', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 11, 'Villambrosa', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 12, 'Alcedo', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01423', 13, 'Fontecha', 19020, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 1, 'Angosto', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 2, 'Arreo', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 3, 'Astulez', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 4, 'Caranca', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 5, 'Carcamo', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 6, 'Fresneda', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 7, 'Nograro', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 8, 'Osma', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 9, 'Villanueva de Valdegovia', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 10, 'Santuario de Angosto', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 11, 'Villanae', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 12, 'Salinas de Aana', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01426', 13, 'Viloria', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 1, 'Acebedo', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 2, 'Basabe', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 3, 'Boveda', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 4, 'Corro', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 5, 'Gurendes', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 6, 'Lahoz', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 7, 'Lalastra', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 8, 'Mioma', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 9, 'Pinedo', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 10, 'Quejo', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 11, 'Quintanilla de Valdegovia', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 12, 'Ribera', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 13, 'Tobillas', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 14, 'Valluerca', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 15, 'Villafria', 10164, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 16, 'Villamardones', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 17, 'Arroyo de San Zadornil', 10552, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 18, 'San Millan de San Zadornil', 10552, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 19, 'San Zadornil', 10552, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 20, 'Valpuesta', 10552, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 21, 'Jurisdiccion de San Zadornil', 10552, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01427', 22, 'Villafria de San Zadornil', 10552, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 1, 'Anucita', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 2, 'Ribera Alta Artaza', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 3, 'Barron', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 4, 'Escota', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 5, 'Guinea', 10552, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 6, 'Lasierra', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 7, 'Montevite', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 8, 'Morillas', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 9, 'Nuvilla', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 10, 'Ollavarre', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 11, 'Ormijana', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 12, 'Subijana-Morillas', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 13, 'Tuyo', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01428', 14, 'Villaluenga', 10468, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01430', 2, 'Zuazo de Cuartango', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 1, 'Anda', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 2, 'Andagoya', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 3, 'Apricano', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 4, 'Archua', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 5, 'Arriano', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 6, 'Catadiano', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 7, 'Echavarri Cuartango', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 8, 'Guillarte', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 9, 'Jocano', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 10, 'Luna', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 11, 'Marinda', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 12, 'Santa Eulalia', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 13, 'Sendadiano', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 14, 'Tortura', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 15, 'Ullivarri Cuartango', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 16, 'Urbina de Basabe', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 17, 'Urbina de Eza', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 18, 'Villamanca', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04880', 1, 'Los Porteros (Tijola)', 40926, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04880', 2, 'Tijola', 40926, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04887', 1, 'Cela', 40617, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04887', 2, 'Cela (Estacion)', 40617, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04887', 3, 'Higueral', 40926, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04887', 4, 'Lucar', 40617, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04887', 5, 'Los Manolones', 40617, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04888', 1, 'Armua de Almanzora', 40182, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04888', 2, 'Bayarque', 40216, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04889', 1, 'Bacares', 40195, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04889', 2, 'El Cortijuelo', 40195, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04889', 3, 'Dali', 40926, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 1, 'Casas Bajas', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 2, 'Los Checas', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 3, 'Los Choles', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 4, 'Los Claveros', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 5, 'Los Collados (Seron)', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 6, 'Estacion Ferrea', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 7, 'Frajali Alto', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 8, 'Frajali Bajo', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 9, 'Los Gallegos', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 10, 'Los Llanos de Pajares', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 11, 'Marchal del Abogado', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 12, 'Los Marteses', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 13, 'Las Menas (Seron)', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 14, 'Los Polvareas', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 15, 'El Rascador', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 16, 'San Miguel (Seron)', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 17, 'Los Sapos', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 18, 'Seron', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04890', 19, 'La Venta Levita', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 1, 'Alcontar', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 2, 'Aldeire', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 3, 'Amarguilla', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 4, 'Angosto de Abajo', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 5, 'Angosto de Arriba', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 6, 'Blanquez de Alcontar', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 7, 'Los Brevas', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 8, 'Carboneras (Alcontar)', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 9, 'Domenes', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 10, 'Los Donatos', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 11, 'Fuencaliente y Calera', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 12, 'Los Herreros', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 13, 'La Loma Alta', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 14, 'Marcos', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 15, 'Pechina (Alcontar)', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 16, 'Los Perez (Alcontar)', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 17, 'Pilancon', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 18, 'Los Raspajos', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 19, 'El Valle', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04897', 20, 'Los Vegas', 40084, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04898', 1, 'El Hijate', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04898', 2, 'Ramil Alto', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04898', 3, 'Ramil Bajo', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 1, 'El Cantaro Alto', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 2, 'El Cantaro Bajo', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 3, 'El Chanco', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 4, 'El Chaparral Alto', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 5, 'El Chaparral Bajo', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 6, 'Los Hernandez (Los Zoilos)', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 7, 'Las Hilarias', 999999, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 8, 'Jauca Alta', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 9, 'Jauca Baja', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 10, 'El Reconco', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('04899', 11, 'Los Zoilos', 40834, 4, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05001', 0, 'Avila', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05002', 0, 'Avila', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05003', 0, 'Avila', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05004', 0, 'Avila', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05005', 0, 'Avila', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05070', 0, 'Avila', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05071', 0, 'Avila', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05080', 0, 'Avila', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05100', 0, 'Navaluenga', 51630, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05110', 0, 'El Barraco', 50224, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05111', 0, 'San Juan de la Nava', 52119, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05113', 0, 'Burgohondo', 50415, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05114', 0, 'Villanueva de Avila', 59053, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05115', 1, 'Navarrevisca', 51677, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05115', 2, 'Serranillos', 52336, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05120', 1, 'Navalmoral de la Sierra', 52124, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05120', 2, 'Navandrinal', 52124, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05120', 3, 'Navarredondilla', 51661, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05120', 4, 'San Juan del Molinillo', 52124, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05120', 5, 'Villarejo', 52124, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05122', 1, 'Morisco', 51696, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05122', 2, 'Navaquesera', 51645, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05122', 3, 'Navatalgordo', 51696, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05123', 1, 'Navalosa', 51602, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05123', 2, 'Hoyocasero', 51012, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05130', 1, 'Baterna', 52389, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05130', 2, 'Robledillo', 52389, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05130', 3, 'Solosancho', 52389, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05130', 4, 'Villaviciosa', 52389, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05131', 1, 'La Hija de Dios', 51257, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05131', 2, 'Mengamuoz', 51257, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05131', 3, 'Narros del Puerto', 51488, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05132', 1, 'Cepeda la Mora', 50586, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05132', 2, 'Hoyos de Miguel Muoz', 51064, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05132', 3, 'Navalsauz', 52161, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05132', 4, 'Parador Nacional de Gredos', 50586, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05132', 5, 'San Martin del Pimpollar', 52161, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05132', 6, 'Venta del Obispo', 50586, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05133', 0, 'San Martin de la Vega Alberche', 52158, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05134', 1, 'Garganta del Villar', 50816, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05134', 2, 'Navadijos', 51547, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05134', 3, 'Navalacruz', 51579, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05140', 1, 'Bularros', 50408, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05140', 2, 'Casasola', 50533, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05140', 3, 'Duruelo', 50533, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05140', 4, 'Marlin', 51201, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05140', 5, 'Martiherrero', 51218, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05140', 6, 'Villaverde', 50408, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05141', 1, 'Altamiros', 50795, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05141', 2, 'Benitos del Rebollar', 50795, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05141', 3, 'Chamartin de la Sierra', 50795, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05141', 4, 'Gallegos de Altamiros', 50795, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05141', 5, 'Narrillos del Rebollar', 51453, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05141', 6, 'Sanchorreja', 52050, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05143', 1, 'Pasarilla del Rebollar', 52525, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05143', 2, 'Valdecasa', 52525, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05145', 1, 'Manjabalago', 51197, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05145', 2, 'Muico', 51368, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05145', 3, 'Ortigosa del Rio Almar', 51197, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05145', 4, 'Rinconada del Rio Almar', 51197, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05145', 5, 'San Juan del Olmo', 52130, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05146', 1, 'Blascomillan', 50338, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05146', 2, 'Duruelo', 50338, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05146', 3, 'Herreros de Suso', 50940, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05146', 4, 'Mancera de Arriba', 51184, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05146', 5, 'Miruea de los Infanzones', 51316, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05146', 6, 'San Garcia de Ingelmos', 52098, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05146', 7, 'Vita', 52657, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05146', 8, 'El Parral', 50338, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05147', 1, 'Blascojimeno', 50809, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05147', 2, 'Gallegos de Sobrinos', 50809, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05147', 3, 'Gamonal de la Sierra', 51070, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05147', 4, 'Hurtumpascual', 51070, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05147', 5, 'Viegra de la Sierra', 51070, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05148', 1, 'Cabezas del Villar', 50441, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05148', 2, 'Rivilla de la Caada', 50441, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05149', 1, 'Cillan', 50599, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05149', 2, 'Solana del Rio Almar', 52373, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 8, 'Modubar de la Cuesta', 90721, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 9, 'Revilla del Campo', 93142, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 10, 'Quintanalara', 93142, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 11, 'Modubar de San Cibrian', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09194', 12, 'Torrelara', 93885, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09195', 1, 'Arcos de la Llana', 94398, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09195', 2, 'Renuncio', 94398, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09195', 3, 'Villacienzo', 94398, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09195', 4, 'Villagonzalo Pedernales', 94347, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09195', 5, 'Villariezo', 94580, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09196', 1, 'Los Brezos', 94398, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09196', 2, 'Central de Iberduero', 94398, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09196', 3, 'Fabrica de Harinas Alameda', 94398, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09196', 4, 'Quintanilleja', 94398, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09196', 5, 'Santa Lucia', 94398, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09197', 1, 'Quintanadueas', 99070, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09197', 2, 'Sotragero', 93728, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09197', 3, 'Villalbilla de Burgos', 94398, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09197', 4, 'Villanueva de Rio Ubierna', 99064, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09197', 5, 'Villarmero', 99070, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 1, 'Brieva de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 2, 'Cabaas de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 3, 'Cueva de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 4, 'Cuzcurrita de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 5, 'Espinosa de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 6, 'Ibeas de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 7, 'Matalindo de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 8, 'Molintejado', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 9, 'San Adrian de Juarros', 93351, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 10, 'Palazuelos de la Sierra', 92485, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 11, 'Salguero de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 12, 'Mozoncillo de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 13, 'San Millan de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 14, 'Santa Cruz de Juarros', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 15, 'Tinieblas de la Sierra', 93811, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 16, 'Los Tomillares', 91773, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09198', 17, 'Villamiel de la Sierra', 94477, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 1, 'Ages', 90269, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 2, 'Alarcia', 93039, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 3, 'Arlanzon', 90269, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 4, 'Atapuerca', 90294, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 5, 'Barrios de Colina', 90449, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 6, 'Castaares', 90597, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 7, 'Galarde', 90269, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 8, 'Hiniestra', 90449, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 9, 'Olmos de Atapuerca', 90294, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 10, 'Pantano de Arlanzon', 90269, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 11, 'Pineda de la Sierra', 92668, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 12, 'Rubena', 93266, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 13, 'San Juan de Ortega', 90449, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 14, 'San Medel', 90742, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 15, 'Santovenia de Oca', 90269, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 16, 'Urrez', 94635, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 17, 'Valdefuentes', 90269, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 18, 'Venta de los Adobes', 90269, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 19, 'Villalbura', 90269, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 20, 'Villamorico', 90269, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 21, 'Villasur de Herreros', 94635, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09199', 22, 'Zalduendo', 90269, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09200', 1, 'Azucarera Leopoldo', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09200', 2, 'Miranda de Ebro', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09210', 1, 'Cormenzana', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09210', 2, 'Leciana de Tobalina', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09210', 3, 'Quintana Martin Galindez', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 1, 'La Aldea del Portillo de Busto', 92557, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 2, 'Cubilla de la Sierra', 92557, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 3, 'Cuezva', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 4, 'Frias', 91340, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 5, 'La Molina Portillo de Busto', 92557, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 6, 'Montejo de Cebas', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 7, 'Montejo de San Miguel', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 8, 'Partido de la Sierra en Tobali', 92557, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 9, 'Quintanaseca', 91340, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 10, 'Ranera', 92557, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 11, 'Tobera', 91340, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 12, 'Valderrama', 92557, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09211', 13, 'Zangandez', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 1, 'Barcina del Barco', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 2, 'Edeso', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 3, 'Gabanes', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 4, 'Garoa', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 5, 'Herran', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 6, 'Herrera', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 7, 'Mijarelengua', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 8, 'Orbaanos', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 9, 'Pajares', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 10, 'Pangusion', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 11, 'Parayuelo', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 12, 'Plagaro', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 13, 'La Prada', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 14, 'Promediano', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 15, 'Ranedo', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 16, 'Revilla de Herran', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 17, 'Rufrancos', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 18, 'San Martin del Don', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 19, 'Santa Coloma', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 20, 'Santa Maria de Garoa', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 21, 'Tobalinilla', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 22, 'Las Viadas', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 23, 'Villaescusa de Tobalina', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09212', 24, 'Villanueva del Grillo', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09213', 1, 'Bascuuelos', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09213', 2, 'Cillaperlata', 91025, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09213', 3, 'Imaa', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09213', 4, 'Lomana', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09213', 5, 'Lozares de Tobalina', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09213', 6, 'Palazuelos de Cuestaurria', 93945, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09213', 7, 'Quintanamaria', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09213', 8, 'Santocildes', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09213', 9, 'Virues', 93945, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09214', 1, 'Portilla', 90546, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09214', 2, 'Villanueva Soportilla', 90546, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 1, 'Arana', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 2, 'Armentia', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 3, 'Arrieta', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 4, 'Ascarza', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 5, 'Aastro', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 6, 'Baos de Cucho', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 7, 'Busto de Trevio', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 8, 'Cucho', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 9, 'Trevio', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 10, 'Franco', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 11, 'Golernio', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 12, 'Meana', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 13, 'Muergas', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 14, 'San Martin del Zar', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 15, 'Doroo', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 16, 'Ventas de Armentia', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09215', 17, 'Villanueva de Tobera', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 1, 'Aguillo', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 2, 'Ajarte', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 3, 'Albaina', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 4, 'Fuidio', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 5, 'Lao', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 6, 'Marauri', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 7, 'Mesanza', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 8, 'Ogueta', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 9, 'Pariza', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 10, 'Samiano', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 11, 'Saraso', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09216', 12, 'Saseta', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 1, 'Araico', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 2, 'Argote', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 3, 'Dordoniz', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13350', 0, 'Moral de Calatrava', 130586, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13360', 0, 'Granatula de Calatrava', 130454, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13370', 0, 'Calzada de Calatrava', 130277, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13379', 1, 'Alameda', 130940, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13379', 2, 'Belvis', 130940, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13379', 3, 'La Obra', 130940, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13379', 4, 'Villanueva de San Carlos', 130940, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13380', 0, 'Aldea del Rey', 130090, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13390', 0, 'Pozo de la Serna', 130104, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13391', 0, 'Alcubillas', 130087, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13400', 0, 'Almaden', 130111, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13410', 0, 'Agudo', 130028, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13411', 0, 'Valdemanco del Esteras', 130868, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13412', 0, 'Chillon', 130381, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13413', 0, 'Alamillo', 130034, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13414', 1, 'Gargantiel', 130126, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13414', 2, 'Saceruela', 130739, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13415', 0, 'San Benito', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13420', 0, 'Malagon', 130527, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13427', 1, 'Cortijos de Abajo', 130369, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13427', 2, 'Cortijos de Arriba', 130369, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13428', 1, 'Los Ballesteros', 130441, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13428', 2, 'Charco del Tamujo', 130441, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13428', 3, 'Las Morras', 130441, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13428', 4, 'Las Povedillas', 130441, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13428', 5, 'Los Quiles', 130441, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13428', 6, 'Valdehierro', 130527, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13429', 1, 'Cristo de Espiritu Santo', 130527, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13429', 2, 'La Fuencaliente', 130527, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13429', 3, 'Las Peralosas', 130527, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13429', 4, 'El Sotillo', 130527, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13430', 0, 'La Caada de Calatrava', 130296, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13431', 0, 'Villar del Pozo', 130953, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13432', 0, 'Ballesteros de Calatrava', 130224, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13440', 0, 'Argamasilla de Calatrava', 130202, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13450', 0, 'Brazatortas', 130245, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13459', 1, 'Veredas', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13459', 2, 'Veredilla', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13460', 0, 'Viuela', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13470', 0, 'Valdeazogues', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13471', 0, 'Caracollera', 999999, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13472', 0, 'Navalcuerno', 999999, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13473', 0, 'Fontanosas', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13480', 0, 'Almadenejos', 130126, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13490', 0, 'Guadalmez', 130467, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13499', 0, 'De los Pedroches', 130467, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13500', 0, 'Puertollano', 130718, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13580', 0, 'Almodovar del Campo', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13590', 0, 'Hinojosas de Calatrava', 130489, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13591', 0, 'Cabezarrubias del Puerto', 130261, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13592', 0, 'Mestanza', 130551, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13593', 0, 'Solana del Pino', 130809, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13594', 1, 'El Hoyo', 130551, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13594', 2, 'Solanilla del Tamaral', 130551, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13595', 1, 'El Collado', 130914, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13595', 2, 'Villamayor de Calatrava', 130914, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13596', 0, 'Bienvenida', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13597', 1, 'Apartadero de Calatrava', 130718, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13597', 2, 'Mina de Asdrubal', 130718, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13597', 3, 'Barriada de San Esteban', 130718, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13597', 4, 'Barriada Rio Ojailen', 130718, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13597', 5, 'Muelle de Maria Isabel', 130718, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13597', 6, 'El Villar', 130718, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13598', 0, 'Retamar', 130150, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13600', 0, 'Alcazar de San Juan', 130052, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13610', 0, 'Campo de Criptana', 130283, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13619', 0, 'Arenales de San Gregorio', 139035, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13620', 0, 'Pedro Muoz', 130610, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13629', 1, 'Rio Zancara', 130821, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13629', 2, 'De Rio Zancara', 130821, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13630', 0, 'Socuellamos', 130782, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13640', 0, 'Herencia', 130473, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13650', 0, 'Puerto Lapice', 130701, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13660', 0, 'Las Labores', 130505, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13670', 0, 'Villarrubia de los Ojos', 130966, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13679', 0, 'Arenas de San Juan', 130185, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13680', 0, 'Fuente el Fresno', 130441, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13690', 0, 'Alameda de Cervera', 130052, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13700', 0, 'Tomelloso', 130821, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13710', 0, 'Argamasilla de Alba', 130198, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13720', 0, 'Cinco Casas', 130052, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13730', 0, 'Santa Cruz de Mudela', 130776, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13738', 1, 'Pealajo', 130988, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13738', 2, 'Las Virtudes', 130988, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13739', 1, 'Bazan', 130988, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13739', 2, 'Encomienda de Mudela', 130988, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13739', 3, 'Los Mirones', 130988, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13739', 4, 'Las Norias', 130988, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13739', 5, 'Umbria de Fresneda', 130988, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13739', 6, 'Villalba de Calatrava', 130988, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13740', 0, 'Torrenueva', 130855, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13750', 0, 'Castellar de Santiago', 130338, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13760', 0, 'Almuradiel', 130163, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13768', 0, 'Venta de Cardenas', 130163, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13770', 0, 'Viso del Marques', 130988, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13779', 1, 'Huertezuelas', 130277, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13779', 2, 'San Bruno', 130277, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('13779', 3, 'San Lorenzo de Calatrava', 130757, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14001', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14002', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14003', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14004', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14005', 1, 'Aguilarejo Alto y Bajo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14005', 2, 'El Alcaide', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14005', 3, 'Llanos del Castillo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14005', 4, 'Terrenos del Castillo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14005', 5, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14006', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14007', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14008', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14009', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14010', 1, 'El Arenal', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14010', 2, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14011', 1, 'De la Caballera (Santa Maria d', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14011', 2, 'Casilla del Aire (Santa Maria', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14011', 3, 'El Salado (Santa Maria de Tras', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14011', 4, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14012', 1, 'Hospital los Morales', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14012', 2, 'La Matrid', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14012', 3, 'Los Morales (Cordoba)', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14012', 4, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14012', 5, 'El Jardinito', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14013', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14014', 1, 'Campiuela Baja', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14014', 2, 'Colonia San Isidro', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14014', 3, 'Colonia San Jose', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14014', 4, 'Doa Manuela', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14014', 5, 'Peatejada', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14014', 6, 'Las Quemadas', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14014', 7, 'Torreblanca', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14014', 8, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14014', 9, 'Pedroches', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 1, 'Los Arenales', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 2, 'La Balanzona', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 3, 'Las Ermitas', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 4, 'Hospital Psiquiatrico', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 5, 'Las Jaras', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 7, 'Medina Azahara', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 10, 'El Negrete', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01439', 19, 'Iurrita', 10203, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01440', 0, 'Izarra', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01449', 1, 'Abecia', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01449', 2, 'Abornicano', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01449', 3, 'Apreguindana', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01449', 4, 'Belunza', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01449', 5, 'Gujuli', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01449', 6, 'Larrazcueta', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01449', 7, 'Ondona', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01449', 8, 'Oyardo', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01449', 9, 'Unza', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01449', 10, 'Uzquiano', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01450', 1, 'Astobiza', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01450', 2, 'Barambio', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01450', 3, 'Berganza', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01450', 4, 'Bideco', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01450', 5, 'Ciorroga', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01450', 6, 'Inoso', 10549, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01450', 7, 'Lecamaa', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01450', 8, 'Lezama', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01450', 9, 'Onsoo', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01468', 1, 'Aloria', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01468', 2, 'Artomaa', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01468', 3, 'Delica', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01468', 4, 'Larrimbe', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01468', 5, 'Saracho', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01468', 6, 'Tertanga', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01470', 1, 'Amurrio', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01470', 2, 'Echegoyen', 10029, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01474', 1, 'Arceniega', 10040, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01474', 2, 'Artziniega', 10040, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01474', 7, 'San Antonio', 10040, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01476', 0, 'Respaldiza', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 1, 'Aes', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 2, 'Costera', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 3, 'Erbi', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 4, 'Lejarzo', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 6, 'Lujo', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 7, 'Menagaray', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 8, 'Retes de Llanteno', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 9, 'Zuaza', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 10, 'Oceca', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 11, 'Menoyo', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 12, 'Quejana', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01477', 13, 'Beotegui', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01478', 5, 'Sojo', 10040, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01478', 6, 'Sojoguti', 10040, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01478', 8, 'Campijo', 10040, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01478', 9, 'Retes de Tudela', 10040, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01478', 10, 'Gordeliz', 10040, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01478', 11, 'Santa Coloma', 10040, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01478', 12, 'Mendieta', 10040, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01478', 13, 'Llanteno', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01479', 1, 'Aguiiga', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01479', 2, 'Izoria', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01479', 3, 'Madaria', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01479', 4, 'Maroo', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01479', 5, 'Murga', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01479', 6, 'Olabezar', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01479', 7, 'Salmanton', 10105, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01510', 1, 'Betolaza', 10088, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01510', 2, 'Ciriano', 10088, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01510', 4, 'Gamarra Mayor', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01510', 5, 'Gamarra Menor', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01510', 6, 'Luco', 10088, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01510', 7, 'Miano Mayor', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01510', 8, 'Miano Menor', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01510', 11, 'Retana', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01510', 12, 'Urbina', 10587, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01520', 1, 'Amarita', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01520', 2, 'Arroyabe', 10088, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01520', 3, 'Arzubiaga', 10088, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01520', 4, 'Durana', 10088, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01520', 5, 'Landa', 10088, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01520', 6, 'Mendivil', 10088, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01520', 7, 'Nanclares de Gamboa', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01520', 8, 'Ullivarri-Arrazua', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01520', 9, 'Zurbano', 10590, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('01520', 10, 'Ullivarri Gamboa', 10088, 1, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02001', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02002', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02003', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02004', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02005', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02006', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02007', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02049', 1, 'Aguas Nuevas', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02049', 2, 'El Pasico', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02049', 3, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02070', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02071', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02080', 0, 'Albacete', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02100', 0, 'Tarazona de la Mancha', 20735, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02110', 1, 'La Gineta', 20352, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02110', 2, 'La Grajuela', 20352, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02120', 0, 'Peas de San Pedro', 20609, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02124', 1, 'Alcadozo', 20061, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02124', 2, 'Casablanca', 20447, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02124', 3, 'Casasola', 20061, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02124', 4, 'La Herreria', 20061, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02124', 5, 'La Navazuela', 20061, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02124', 6, 'La Noguera', 20061, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02125', 1, 'Ayna', 20117, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02125', 2, 'El Ginete (Ayna)', 20117, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02125', 3, 'Royo Odrea', 20117, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02127', 1, 'Casa Caete', 20609, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02127', 2, 'El Colmenar', 20609, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02127', 3, 'Fontanar de Alarcon', 20609, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02127', 4, 'La Rambla', 20609, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02127', 5, 'El Roble', 20609, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02127', 6, 'El Sahuco', 20609, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02127', 7, 'La Solana', 20609, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 1, 'Campillo de la Virgen', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 2, 'Caada del Salobral o Molina', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 3, 'Los Pocicos', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 4, 'Fontanar de Las Vias', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 5, 'La Fuensanta', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 6, 'Fuente del Pino', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 7, 'La Molata', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 8, 'El Molinar', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 9, 'El Royo', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 10, 'Santa Ana (Fuente del Pino)', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02129', 11, 'El Valero', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02130', 0, 'Bogarra', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02136', 3, 'Paterna de Madera', 20582, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02137', 1, 'Batan del Puerto', 20582, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02137', 2, 'Rio Madera', 20582, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02137', 3, 'Cortijo de Tortas', 20582, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02137', 4, 'El Altico', 20582, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02137', 5, 'Arteaga', 20582, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02137', 6, 'Los Catalmerejos', 20582, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02137', 7, 'Casa Rosa', 20582, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 1, 'Las Casas de Haches', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 2, 'Caadas de Haches Abajo', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 3, 'Caadas de Haches Arriba', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 4, 'La Dehesa (Ayna)', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 5, 'El Griego', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 6, 'Potiche', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 7, 'Moriscote', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 8, 'La Sarguilla', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 9, 'El Villarejo', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 10, 'Dehesa del Val', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02139', 11, 'Las Mohedas', 20175, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02140', 1, 'Los Anguijes', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02140', 2, 'El Salobral', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02141', 0, 'Pozohondo', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02142', 1, 'Mullidar', 20447, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02142', 2, 'Nava de Abajo', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02142', 3, 'Nava de Arriba', 20637, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02150', 0, 'Valdeganga', 20753, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02151', 0, 'Casas de Juan Nuez', 20215, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02152', 0, 'Alatoz', 20024, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07703', 0, 'Mao', 70321, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05150', 1, 'Pascualcobo', 51815, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05150', 2, 'San Miguel de Serrezuela', 52183, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05151', 1, 'Carpio Medianero', 59035, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05151', 2, 'Diego Alvaro', 59035, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05151', 3, 'Diego del Carpio', 59035, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05151', 4, 'Martinez', 51223, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05152', 0, 'Montalbo', 51223, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05153', 1, 'Aldealabad del Miron', 51295, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05153', 2, 'Arevalillo', 50150, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05153', 3, 'Becedillas', 50258, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05153', 4, 'Casillas de Chicapierna', 50258, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05153', 5, 'Collado del Miron', 50631, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05153', 6, 'Malpartida de Corneja', 51162, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05154', 1, 'Mercadillo', 51440, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05154', 2, 'El Miron', 51440, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05154', 3, 'Narrillos del Alamo', 51440, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05154', 4, 'Navahermosa del Miron', 51440, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05154', 5, 'Valdemolinos', 51440, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05154', 6, 'Ventosa de la Cuesta', 51440, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05154', 7, 'Zapardiel de la Caada', 52660, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05160', 1, 'Alamedilla del Berrocal', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05160', 2, 'Narrillos de San Leonardo', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05162', 0, 'Las Berlanas', 50277, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05163', 1, 'Gotarrendura', 50874, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05163', 2, 'Monsalupe', 51337, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05163', 3, 'Pealba de Avila', 51854, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05163', 4, 'Zorita de los Molinos', 50874, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05164', 1, 'Hernansancho', 50929, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05164', 2, 'El Oso', 50929, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05164', 3, 'Riocabado', 51949, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05164', 4, 'San Pascual', 52196, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05164', 5, 'Villanueva de Gomez', 52584, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05165', 1, 'El Bohodon', 50369, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05165', 2, 'Cabizuela', 50454, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05165', 3, 'Pedro Rodriguez', 51836, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05165', 4, 'Tiosillos', 52428, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05190', 1, 'Cabaas', 51952, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05190', 2, 'Escalonilla (Riofrio)', 51952, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05190', 3, 'Riofrio', 51952, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05191', 1, 'Mironcillo', 51309, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05191', 2, 'Niharra', 51722, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05192', 1, 'Bascarrabal', 51414, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05192', 2, 'La Colilla', 51414, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05192', 3, 'Muopepe', 51414, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05192', 4, 'La Serrada', 52320, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05193', 1, 'Aldeavieja', 59029, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05193', 2, 'Blascoeles', 59029, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05193', 3, 'Ojos Albos', 51738, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05193', 4, 'Santa Maria del Cubillo', 59029, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05194', 1, 'Berrocalejo de Aragona', 50300, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05194', 2, 'Brieva', 50300, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05194', 3, 'Mediana de Voltoya', 51239, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05194', 4, 'Vicolozano', 50300, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05195', 1, 'Bernuy Salinero', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05195', 2, 'Urraca Miguel', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05196', 1, 'Guimorcondo', 52452, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05196', 2, 'Navalgrande', 52452, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05196', 3, 'Tornadizos de Avila', 52452, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05197', 1, 'Aldea del Rey Nio', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05197', 2, 'El Fresno', 50198, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05197', 3, 'Gemuo', 50837, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05198', 1, 'Bandadas', 52392, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05198', 2, 'Palacio', 52392, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05198', 3, 'Riatas', 52392, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05198', 4, 'Sotalbo', 52392, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05200', 0, 'Arevalo', 50163, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05210', 0, 'Horcajo de Las Torres', 50991, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05211', 1, 'Bernuy de Zapardiel', 50436, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05211', 2, 'Cabezas del Pozo', 50436, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05211', 3, 'Cantiveros', 50489, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05211', 4, 'Cisla', 50603, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05212', 1, 'Aldeaseca', 50087, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05212', 2, 'Canales', 50467, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05212', 3, 'Fuente el Sauz', 50776, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05212', 4, 'Fuentes de Ao', 50782, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05212', 5, 'Villanueva del Aceral', 52597, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05213', 0, 'Langa', 51099, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05215', 1, 'Barriada Estacion de Arevalo', 50701, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05215', 2, 'Donvidas', 50701, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05215', 3, 'Palacios de Goda', 51781, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05215', 4, 'Sinlabajos', 52354, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05215', 5, 'Tornadizos de Arevalo', 51781, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05216', 1, 'Magazos', 51526, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05216', 2, 'Nava de Arevalo', 51526, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05216', 3, 'Noharre', 51526, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05216', 4, 'Palacios Rubios', 51526, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05216', 5, 'Vinaderos', 51526, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05217', 1, 'Cabezas de Alambre', 50420, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05217', 2, 'Constanzana', 50646, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05217', 3, 'Donjimeno', 50697, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05217', 4, 'Jaraices', 50646, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05217', 5, 'San Vicente de Arevalo', 52315, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05220', 1, 'Madrigal de Las Altas Torres', 51146, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05220', 2, 'Villar de Matacabras', 51146, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05229', 1, 'Barroman', 50230, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05229', 2, 'Bercial de Zapardiel', 50261, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05229', 3, 'Castellanos de Zapardiel', 50564, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05229', 4, 'San Esteban de Zapardiel', 52085, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05230', 0, 'Las Navas del Marques', 51683, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05239', 1, 'Barriada Estacion Las Navas de', 51683, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05239', 2, 'Ciudad Ducal', 51683, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05239', 3, 'Hoyo de la Guija', 51841, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05239', 4, 'Peguerinos', 51841, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05240', 0, 'Navalperal de Pinares', 51619, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05250', 0, 'Hoyo de Pinares', 51027, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05260', 1, 'Cebreros', 50570, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05260', 2, 'El Quejigal', 50570, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05267', 0, 'San Bartolome de Pinares', 52011, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05268', 1, 'Herradon de Pinares', 52222, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05268', 2, 'Santa Cruz de Pinares', 52222, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05269', 1, 'Las Calas de Guisando', 999999, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05269', 2, 'Colonia de Santa Leonor', 999999, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05269', 3, 'Del Pantano de San Juan', 999999, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05270', 0, 'El Tiemblo', 52413, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05278', 1, 'El Burguillo', 52413, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05278', 2, 'Las Cruceras', 52413, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05278', 3, 'Puente Burguillo', 52413, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05278', 4, 'Puente Nuevo', 52413, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05278', 5, 'La Rinconada del Valle', 52413, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05279', 1, 'La Atalaya', 52413, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05279', 2, 'Cerro de Guisando', 52413, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05280', 0, 'Mingorria', 51282, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05289', 1, 'Cortos', 52434, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05289', 2, 'Escalonilla (Tolbaos)', 52434, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05289', 3, 'Gallegos de San Vicente', 52434, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05289', 4, 'San Esteban de los Patos', 52063, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05289', 5, 'Saornil de Voltoya', 52434, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05289', 6, 'Tolbaos', 52434, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05289', 7, 'Venta de San Vicente', 52434, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05290', 1, 'Barriada Estacion de Sanchidri', 50356, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05290', 2, 'Blascosancho', 50356, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05290', 3, 'Colonia Tapia', 50356, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05290', 4, 'Sanchidrian', 52047, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05291', 1, 'Maello', 51159, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05291', 2, 'Pinar de Puente Viejo', 51159, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05291', 3, 'Del Puente Viejo', 51159, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05292', 1, 'Pajares de Adaja', 51775, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 4, 'Grandival', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 5, 'Imiruri', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 6, 'Lezana de Trevio', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 7, 'Moscador de Trevio', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 8, 'Ozana', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 9, 'Pedruzo', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 10, 'San Martin de Galvarin', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 11, 'San Vicentejo', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 12, 'Torre', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09217', 13, 'Uzquiano', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09218', 1, 'Arce', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09218', 2, 'Bayas', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09218', 3, 'Taravero', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 1, 'Altable', 90130, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 2, 'Ameyugo', 90161, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 3, 'Ayuelas', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 4, 'Bardauri', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 5, 'Bozoo', 90546, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 6, 'La Bujada', 90130, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 7, 'Los Corrales', 90130, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 8, 'Encio', 91209, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 9, 'Villanueva de Teba', 94542, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 10, 'El Espino', 90130, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 11, 'Baos de Fuencaliente', 90130, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 12, 'Guinicio', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 13, 'Ircio', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 14, 'Montaana', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 15, 'Moriana', 91209, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 16, 'La Nave', 90130, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 17, 'Oron', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 18, 'San Miguel del Monte', 90130, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 19, 'Santa Gadea del Cid', 93478, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 20, 'Santa Maria Ribarredonda', 93538, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 21, 'Silanes', 90130, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 22, 'Suzana', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 23, 'Valluercanes', 94192, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09219', 24, 'Espergua', 90130, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09220', 0, 'Pampliega', 92501, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09226', 1, 'Barrio de Muo', 90413, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09226', 2, 'Belbimbre', 90471, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09226', 3, 'Celada del Camino', 90951, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09226', 4, 'Palazuelos de Muo', 92498, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09226', 5, 'Santiuste (Estepar)', 90413, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09226', 6, 'Torrepadierne', 92501, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09226', 7, 'Villanueva de Las Carretas', 94568, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09226', 8, 'Villaquiran de los Infantes', 94568, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09226', 9, 'Villavere de Mogina', 94672, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09226', 10, 'Villazopeque', 94727, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09227', 1, 'Castellanos de Castro', 90793, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09227', 2, 'Hontanas', 91596, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09227', 3, 'Iglesias', 91806, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09227', 4, 'Santa Juliana', 90793, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09227', 5, 'Tamaron', 93752, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09227', 6, 'Villaldemiro', 94419, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09228', 1, 'Ciadoncha', 91010, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09228', 2, 'Mahamud', 91985, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09228', 3, 'Mazuela', 92061, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09228', 4, 'Olmillos de Muo', 92365, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09228', 5, 'Presencio', 92753, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09228', 6, 'Revenga', 94666, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09229', 0, 'La Encarnacion', 999999, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09230', 1, 'Buniel', 90584, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09230', 2, 'Estepar', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09230', 3, 'Frandovinez', 91280, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09230', 4, 'Hormaza', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09230', 5, 'Hornillos del Camino', 91675, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09230', 6, 'Medinilla de la Dehesa', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09230', 7, 'Quintanilla de Las Carretas', 93386, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09230', 8, 'San Mames de Burgos', 93386, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09230', 9, 'Villagutierrez', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09230', 10, 'Vilviestre de Muo', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09233', 0, 'Presillas', 90119, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 1, 'Albillos', 90098, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 2, 'Arenillas de Muo', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 3, 'Arroyo de Muo', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 4, 'Cabia', 90098, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 5, 'Cayuela', 90933, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 6, 'Mazuelo de Muo', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 7, 'Pedrosa de Muo', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 8, 'Quintanilla Somuo', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 9, 'Villavieja de Muo', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 10, 'Villanueva Matamala', 90238, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09239', 11, 'Villanueva de Muo', 91255, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09240', 0, 'Briviesca', 90562, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09244', 1, 'Busto de Bureba', 90601, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09244', 2, 'Calzada de Bureba', 91353, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09244', 3, 'Fuentebureba', 91353, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09244', 4, 'Marcillo', 92833, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09244', 5, 'Quintanaelez', 92833, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09244', 6, 'Quintanilla Cabe Soto', 92833, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09244', 7, 'Soto de Bureba', 92833, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09245', 1, 'Berzosa de Bureba', 90525, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09245', 2, 'Cameno', 90562, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09245', 3, 'Grisalea', 91499, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09245', 4, 'Vallarta de Bureba', 94081, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09245', 5, 'Zueda', 94859, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 2, 'Llano de Bureba', 91950, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 3, 'Movilla', 91950, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 4, 'Piernigas', 92655, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 5, 'Quintanabureba', 92805, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 6, 'Quintanaurria', 90716, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 7, 'Quintanilla Cabe Rojas', 93235, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 8, 'Rojas', 93235, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 9, 'Barrios de Bureba', 91950, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 10, 'Cornudilla', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 11, 'Hermosilla', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 12, 'Pino de Bureba', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 13, 'Terrazos de Bureba', 91950, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09246', 14, 'Poza de la Sal', 92729, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09247', 1, 'Buezo', 93348, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09247', 2, 'Galbarros', 91433, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09247', 3, 'Haedo de Bureba', 91433, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09247', 4, 'Revillalcon', 93348, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09247', 5, 'Salinillas de Bureba', 93348, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09247', 6, 'San Pedro de la Hoz', 91433, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09247', 7, 'Santa Barbara', 93348, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09247', 8, 'Santa Casilda', 93348, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09248', 1, 'Bauelos de Bureba', 90367, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09248', 2, 'Carrias', 90768, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09248', 3, 'Castil de Carrias', 90487, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09248', 4, 'Pradanos de Bureba', 92735, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09248', 5, 'Quintanaloranco', 90487, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09248', 6, 'Reinoso', 93109, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09248', 7, 'Valdazo', 90562, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09249', 1, 'Barrio de Diaz Ruiz', 90434, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09249', 5, 'Navas de Bureba', 92306, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09249', 6, 'La Parte de Bureba', 90434, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09249', 8, 'Quintanillabon', 90562, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09249', 9, 'Solduengo', 90434, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09249', 11, 'Las Vesgas', 90434, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09249', 12, 'La Vid de Bureba', 90434, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09249', 13, 'Vilea', 94234, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09249', 14, 'Aguilar de Bureba', 90079, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09250', 0, 'Belorado', 90487, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09257', 0, 'Villafranca Montes de Oca', 94311, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 1, 'Alcocero de Mola', 90102, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 2, 'Castil de Peones', 90835, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 3, 'Cueva Cardiel', 94115, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 4, 'Espinosa del Camino', 91237, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 5, 'Mozoncillo de Oca', 94115, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 6, 'Ocon de Villafranca', 94311, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 7, 'Puras de Villafranca', 90487, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 8, 'El Melgarejo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 11, 'Nuestra Seora de Linares', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 13, 'Pragdena', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 14, 'La Reina', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 15, 'San Cristobal', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 16, 'San Llorente', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 17, 'Santa Rosa', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 18, 'Santo Domingo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 19, 'Solanas del Pilar', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 20, 'Torrecilla de Vallehermoso', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 21, 'Torrehoria', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14029', 22, 'Valchillon', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14070', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14071', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14080', 0, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14100', 1, 'Algarbes', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14100', 2, 'La Carlota', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14100', 3, 'El Garabato', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14100', 4, 'Monte Alto', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14100', 5, 'La Paz', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14100', 6, 'El Rinconcillo', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14110', 1, 'Fuente Carreteros', 140305, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14110', 2, 'Silillos', 140305, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14111', 1, 'Barriega', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14111', 2, 'La Chica-Carlota', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14111', 3, 'Cortijos de Hecho', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14111', 4, 'Dehesa de Yeguas y Baldio', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14111', 5, 'Fuencubierta', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14111', 6, 'La Marinera', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14111', 7, 'Las Pinedas', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14112', 0, 'La Ventilla', 140305, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14113', 0, 'Caada del Rabadan', 140305, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14115', 0, 'El Villar', 140305, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14120', 0, 'Fuente Palmera', 140305, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14129', 1, 'La Herreria', 140305, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14129', 2, 'Ochavillo del Rio', 140305, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14129', 3, 'Pealosa', 140305, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14129', 4, 'Puebla de la Parrilla', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14129', 5, 'Villalon', 140305, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14130', 1, 'Barrio San Vicente', 140333, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14130', 2, 'Dehesilla y Majada Vieja', 140333, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14130', 3, 'Guadalcazar', 140333, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14130', 4, 'Majada Vieja', 140333, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14130', 5, 'Los Olivares', 140333, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14130', 6, 'Redondo Alto y Bajo', 140333, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14130', 7, 'Reinilla y Ladrillo', 140333, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14140', 0, 'La Victoria', 140654, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14150', 0, 'San Sebastian de Ballesteros', 140594, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14190', 1, 'Casa Antigua de Postas', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14190', 2, 'Central Electrica Rio Guadajoz', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14190', 3, 'Cortijo del Alamo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14190', 4, 'Cortijo del Blanquillo Bajo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14190', 5, 'Puente Viejo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14191', 2, 'Arrecife', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14191', 3, 'Aldea Quintana', 140174, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14192', 1, 'Campo Alegre', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14192', 5, 'El Puerto', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14192', 6, 'San Jose de Albaida', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14192', 8, 'Torre del Viejo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14192', 9, 'Turruuelos', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14193', 1, 'Cortijo de la Golondrina', 999999, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14193', 2, 'Cortijo de Quintos', 999999, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14193', 3, 'Cortijo el Rubio', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14193', 4, 'El Higueron', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14200', 1, 'Mina Antolin', 140522, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14200', 2, 'Pearroya (Agencia Urbana)', 140522, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14200', 3, 'Pearroya-Pueblonuevo', 140522, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14206', 0, 'Valsequillo', 140641, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14207', 0, 'La Granjuela', 140327, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14208', 0, 'Blazquez', 140116, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14209', 1, 'El Hoyo', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14209', 2, 'La Parrilla', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14209', 3, 'Porvenir de la Industria', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14210', 1, 'Cerro Miguelito', 140689, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14210', 2, 'Fuente Agria', 140266, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14210', 3, 'La Mimbre', 140689, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14210', 4, 'Pabellones de San Isidro', 140689, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14210', 5, 'Solana del Peon', 140689, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14210', 6, 'Villaharta', 140689, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14220', 1, 'La Ballesta', 140266, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14220', 2, 'Central Termica Puente Nuevo', 140266, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14220', 3, 'Espiel', 140266, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14220', 4, 'Mina de la Concepcion', 140266, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14230', 0, 'Villanueva del Rey', 140713, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14240', 0, 'Belmez', 140095, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14248', 1, 'Doa Rama', 140095, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14248', 2, 'Posadilla', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14249', 1, 'Alcornocal', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14249', 2, 'El Entredicho', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14249', 3, 'Lago del Fresno', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14249', 4, 'Navalcuervo', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14249', 5, 'Los Panchez', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14250', 0, 'Villanueva del Duque', 140706, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14260', 0, 'Fuente la Lancha', 140288, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14270', 0, 'Hinojosa del Duque', 140351, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14280', 1, 'Belalcazar', 140082, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14280', 2, 'Cachiporro', 140082, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14280', 3, 'Chaparral', 140082, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14280', 4, 'Dehesa de Las Alcantarillas', 140082, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14280', 5, 'Madroiz', 140082, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14280', 6, 'Santa Clara', 140082, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14290', 1, 'Fuente Obejuna', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14290', 2, 'Valdeinfierno', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14297', 0, 'Cuenca', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14298', 1, 'Argallon', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14298', 2, 'La Coronada', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14298', 3, 'Piconcillo', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14299', 1, 'La Adelfilla', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14299', 2, 'Cardenchosa', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14299', 3, 'Caada del Gamo', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14299', 4, 'Los Morenos', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14299', 5, 'Ojuelos Altos', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14299', 6, 'Ojuelos Bajos', 140291, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14300', 0, 'Villaviciosa de Cordoba', 140734, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14310', 0, 'Obejo', 140478, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14320', 1, 'De Obejo', 140478, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14320', 2, 'El Vacar', 999999, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14330', 0, 'Centro Militar Obejo', 999999, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14340', 0, 'Centro Militar Cerro Muriano', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14350', 1, 'Cerro Muriano', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14350', 2, 'Cruz del Barquillo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14350', 3, 'Morriones', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14350', 4, 'San Rafael', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14350', 5, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14400', 0, 'Pozoblanco', 140543, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14410', 0, 'Torrecampo', 140620, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14412', 0, 'Pedroche', 140517, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14413', 0, 'El Guijo', 140348, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14420', 0, 'Villafranca de Cordoba', 140673, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14430', 0, 'Adamuz', 140018, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14439', 0, 'Algallarin', 140018, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14440', 0, 'Villanueva de Cordoba', 140692, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14445', 0, 'Cardea', 140168, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14446', 0, 'Venta del Charco', 140168, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14447', 0, 'Azuel', 140168, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14448', 0, 'Conquista', 140207, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14449', 1, 'La Garganta', 999999, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14449', 2, 'Minas de Horcajo', 999999, 13, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02153', 1, 'Carcelen', 20208, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02153', 2, 'Casas de Juan Gil', 20208, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02154', 1, 'Pozo Lorente', 20642, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02154', 2, 'Villavaliente', 20833, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02155', 0, 'Tinajeros', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02156', 0, 'La Felipa', 20292, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02160', 0, 'Lezuza', 20432, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02161', 1, 'Prado Redondo', 20432, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02161', 2, 'Tiriez', 20432, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02161', 3, 'La Yunquera', 20432, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02162', 1, 'El Cuartico', 20387, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02162', 2, 'La Herrera', 20387, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02162', 3, 'Oncebreros (La Herrera)', 20387, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02200', 0, 'Casas Ibaez', 20241, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02210', 0, 'Alcala del Jucar', 20077, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02211', 1, 'Casas del Cerro', 20077, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02211', 2, 'La Gila', 20077, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02211', 3, 'Tolosa', 20077, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02212', 0, 'Casas de Ves', 20236, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02213', 1, 'La Pared', 20772, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02213', 2, 'Villa de Ves', 20772, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02214', 1, 'Balsa de Ves', 20138, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02214', 2, 'Cantoblanco', 20138, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02214', 3, 'Las Eras', 20138, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02214', 4, 'El Viso', 20138, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02214', 5, 'Zulema', 20077, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02215', 1, 'Alborea', 20058, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02215', 2, 'Casas de Carcel', 20058, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02215', 3, 'Cilanco', 20827, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02215', 4, 'Villatoya', 20827, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02215', 5, 'Balneario Fuente Podrida', 20058, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02220', 0, 'Motilleja', 20523, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02230', 0, 'Madrigueras', 20450, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02240', 0, 'Mahora', 20463, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02246', 0, 'Navas de Jorquera', 20544, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02247', 0, 'Cenizate', 20267, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02248', 0, 'Jorquera', 20411, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02249', 1, 'Alcozarejos', 20411, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02249', 2, 'Bormate', 20349, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02249', 3, 'Calzada de Vergara', 20411, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02249', 5, 'Maldonado', 20411, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02249', 6, 'La Recueja', 20411, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02249', 7, 'Ribera de Cubas', 20411, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02250', 0, 'Abengibre', 20019, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02251', 0, 'Campoalbillo', 20349, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02252', 0, 'Mariminguez', 20077, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02253', 0, 'Golosalvo', 20365, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02260', 0, 'Fuentealbilla', 20349, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02270', 0, 'Villamalea', 20791, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02300', 0, 'Alcaraz', 20083, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02310', 0, 'Viveros', 20851, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02311', 0, 'Povedilla', 20621, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02312', 1, 'Canaleja', 20083, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02312', 2, 'La Mesta de Alcaraz', 20083, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02313', 2, 'Peascosa', 20595, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02314', 1, 'Cilleruelo', 20479, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02314', 2, 'El Horcajo', 20479, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02314', 3, 'La Hoz', 20479, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02314', 4, 'Ituero', 20479, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02314', 5, 'Masegoso', 20479, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02314', 6, 'Pesebre', 20595, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02314', 7, 'Pearrubia de Masegoso', 20479, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02314', 8, 'Solanilla', 20479, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02314', 9, 'Cerroblanco', 20479, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02314', 10, 'Zorio', 20479, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02315', 0, 'Vianos', 20766, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02316', 1, 'Reolid', 20707, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02316', 2, 'Salobre', 20707, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02320', 0, 'Balazote', 20122, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02326', 1, 'Casas de Abajo', 20714, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02326', 2, 'Caada Juncosa', 20714, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02326', 3, 'San Pedro', 20714, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02327', 1, 'Casica del Madroo', 20655, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02327', 2, 'Pozuelo', 20655, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02327', 3, 'La Zarza', 20655, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02328', 1, 'Argamason', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02328', 2, 'Santa Ana', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02329', 1, 'Berro', 20220, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02329', 2, 'Casas de Lazaro', 20220, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02329', 3, 'Cucharal', 20220, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02329', 4, 'Navalengua', 20220, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02329', 5, 'Burrueco', 20220, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02329', 6, 'Fuenlabrada', 20220, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02340', 1, 'Robledo', 20680, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02340', 2, 'El Jardin', 20680, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02340', 3, 'Los Chospes', 20680, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02340', 4, 'Cubillo', 20680, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02350', 0, 'Villapalacios', 20805, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02359', 0, 'Mesta de Cortijadas', 999999, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02360', 0, 'Bienservida', 20169, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02400', 0, 'Hellin', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02409', 1, 'Agra', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02409', 2, 'Caada de Agra', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02409', 3, 'Mingogil', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02409', 4, 'Nava de Campana', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02409', 5, 'Uchea', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02410', 2, 'Lietor', 20447, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02420', 0, 'Isso', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02430', 0, 'Elche de la Sierra', 20306, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02434', 2, 'Letur', 20426, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02435', 2, 'Socovos', 20729, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02436', 0, 'Ferez', 20313, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02437', 1, 'El Carrascal', 20729, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02437', 2, 'Caada de Buendia', 20729, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02437', 3, 'Los Olmos', 20729, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02437', 4, 'Tazona', 20729, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02437', 5, 'El Caar', 20729, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02438', 1, 'Benizar', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02438', 2, 'Mazuza', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02438', 3, 'Otos', 999999, 30, 
    0, 14, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02439', 1, 'Gallego', 20306, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02439', 2, 'Vicorto', 20306, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02439', 3, 'Villares', 20306, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02439', 4, 'Abejuela', 20306, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02440', 0, 'Molinicos', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02448', 1, 'Los Alejos', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02448', 2, 'La Alfera', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02448', 3, 'Las Animas', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02448', 4, 'Caada del Provencio', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02448', 5, 'Pinilla (Vegallera)', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02448', 6, 'Quejigal', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02448', 7, 'Vegallera', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02448', 8, 'Las Yeguarizas', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02449', 1, 'Caada de Morote', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02449', 2, 'Los Collados', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02449', 3, 'Fuente Carrasca', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02449', 4, 'Fuente Higuera', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02449', 5, 'Las Hoyas', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02449', 6, 'Mesones', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02449', 7, 'El Pardal', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02449', 8, 'Puerto del Pino', 20306, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02449', 9, 'Torre Pedro', 20498, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02450', 2, 'Riopar', 20674, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02459', 1, 'Casa de la Noguera', 20674, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02459', 3, 'Cortijos del Cura', 20674, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02459', 4, 'La Dehesa (Fabrica de San Juan', 20674, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02459', 5, 'El Gollizo', 20674, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02459', 6, 'El Laminador', 20674, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02459', 7, 'El Lugar Nuevo', 20674, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02459', 8, 'El Nogueron', 20674, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02459', 9, 'El Villar', 20674, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02460', 1, 'Bellotar', 20848, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02460', 2, 'Villaverde de Guadalimar', 20848, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02461', 0, 'Cotillas', 20289, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02462', 1, 'Arroyofrio', 20848, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02462', 2, 'Campillo', 20848, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02462', 3, 'La Resineri (Rio Cotillas)', 20848, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02462', 4, 'Umbria Angulo', 20674, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02480', 0, 'Yeste', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02484', 1, 'Arguellite', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02484', 2, 'Fuentes', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05292', 2, 'Pozanco', 51906, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05292', 3, 'Santo Domingo de Las Posadas', 52294, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05292', 4, 'Vega de Santa Maria', 52531, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05292', 5, 'Velayos', 52546, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05294', 0, 'La Caada', 50935, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05296', 1, 'Adanero', 50013, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05296', 2, 'Espinosa de los Caballeros', 50723, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05296', 3, 'Gutierrez Muoz', 50907, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05296', 4, 'Orbita', 51743, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05298', 1, 'Mamblas', 51178, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05298', 2, 'Rasueros', 51934, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05298', 3, 'San Cristobal de Trabancos', 51934, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05299', 1, 'Blasconuo de Matacabras', 50343, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05299', 2, 'Moraleja de Matacabras', 51342, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05300', 0, 'Crespos', 50659, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05309', 1, 'De Castronuevo', 50659, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05309', 2, 'Chaherreros', 50659, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05309', 3, 'Collado de Contreras', 50625, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05309', 4, 'Pascualgrande', 50659, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05309', 5, 'Rivilla de Barajas', 51965, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05309', 6, 'Muogrande', 51393, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05309', 7, 'Viegra de Moraa', 52644, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05310', 0, 'Fontiveros', 50744, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05320', 0, 'Cardeosa', 50492, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05350', 1, 'Morauela', 52200, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05350', 2, 'San Pedro del Arroyo', 52200, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 1, 'Aveinte', 50179, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 2, 'Bravos', 50394, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 3, 'Grandes', 50880, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 4, 'Grandes y San Martin', 50179, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 5, 'Horcajuelo', 50394, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 6, 'Muoyerro', 50179, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 7, 'San Martin de Las Cabezas', 50880, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 8, 'Santo Tome de Zabarcos', 52308, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 9, 'Villaflor', 52562, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 10, 'Castilblanco', 51393, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05357', 11, 'Sigeres', 52341, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05358', 1, 'Albornos', 50052, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05358', 2, 'Muomer del Peco', 51407, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05358', 3, 'Narros de Salduea', 51491, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05358', 4, 'Papatrigo', 51794, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05358', 5, 'San Juan de la Encinilla', 52102, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05370', 1, 'El Ajo', 50739, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05370', 2, 'Flores de Avila', 50739, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05370', 3, 'Narros del Castillo', 51472, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05380', 1, 'Bercimuelle', 50868, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05380', 2, 'El Convento de Duruelo', 50868, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05380', 3, 'Gimialcon', 50868, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05380', 4, 'Muosancho', 51429, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05380', 5, 'Salvadios', 51987, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05380', 6, 'Villamayor', 51429, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05400', 1, 'Arenas de San Pedro', 50147, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05400', 2, 'La Parra', 50147, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05410', 0, 'Mombeltran', 51321, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05412', 0, 'San Esteban del Valle', 52079, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05413', 1, 'Santa Cruz del Valle', 52217, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05413', 2, 'Villarejo del Valle', 52623, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05414', 0, 'Cuevas del Valle', 50662, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05415', 0, 'El Hornillo', 51005, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05416', 0, 'El Arenal', 50132, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05417', 0, 'Guisando', 50893, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05418', 1, 'Hontanares', 50147, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05418', 2, 'Ramacastaas', 50147, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05419', 0, 'La Herrezuela', 999999, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05420', 1, 'Fuente de la Salud', 52406, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05420', 2, 'La Josa', 52406, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05420', 3, 'Sotillo de la Adrada', 52406, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05427', 1, 'Fresnedilla', 50757, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05427', 2, 'Higuera de Las Dueas', 50953, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05428', 0, 'Casillas', 50551, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05429', 1, 'Navahondilla', 51563, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05429', 2, 'Santa Maria del Tietar', 52275, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05430', 0, 'La Adrada', 50028, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05440', 0, 'Piedralaves', 51873, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05450', 0, 'Casavieja', 50548, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05460', 0, 'Gavilanes', 50821, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05461', 0, 'Mijares', 51276, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05470', 0, 'Pedro Bernardo', 51820, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05480', 0, 'Candeleda', 50473, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05489', 0, 'El Raso', 50473, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05490', 0, 'Lanzahita', 51103, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05491', 0, 'La Higuerilla', 51321, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05492', 0, 'Poyales del Hoyo', 51892, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05500', 0, 'Piedrahita', 51867, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05510', 0, 'Santa Maria del Berrocal', 52256, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05514', 1, 'El Barrio', 50381, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05514', 2, 'Bonilla de la Sierra', 50381, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05514', 3, 'Cabezas de Bonilla', 50381, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05514', 4, 'Mesegar de Corneja', 51260, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05514', 5, 'Navaescurial', 51550, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05514', 6, 'San Miguel de Corneja', 52177, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05514', 7, 'Tortoles', 52465, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05515', 1, 'La Almohalla', 51867, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05515', 2, 'Casas Sebastian Perez', 51867, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05515', 3, 'Pesquera', 51867, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05515', 4, 'El Soto', 51867, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05516', 1, 'La Alameda', 51033, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05516', 2, 'Las Casas del Camino', 51033, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05516', 3, 'Las Casillas', 51033, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05516', 4, 'Castillo de Hoyorredondo', 51033, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05516', 5, 'Hoyorredondo', 51033, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05516', 6, 'De Hoyorredondo', 51033, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05516', 7, 'Palacios de Corneja', 52004, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05516', 8, 'San Bartolome de Corneja', 52004, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05516', 9, 'Villar de Corneja', 52618, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05520', 1, 'Aldealabad', 51769, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05520', 2, 'Balbarda', 52471, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05520', 3, 'Muochas', 51769, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05520', 4, 'Oco', 52471, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05520', 5, 'Padiernos', 51769, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05520', 6, 'Salobral', 51971, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05520', 7, 'Sanchicorto', 52471, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05530', 1, 'Muogalindo', 51380, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05530', 2, 'Salobralejo', 51380, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05530', 3, 'Santa Maria del Arroyo', 52243, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05540', 1, 'Blacha', 52471, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05540', 2, 'Guarea', 52471, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05540', 3, 'Muana', 51355, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05540', 4, 'Muez', 51355, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05540', 5, 'La Torre', 52471, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05560', 1, 'Amavida', 50126, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05560', 2, 'Muotello', 51435, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05560', 3, 'Pascualmuoz', 50126, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05560', 4, 'Poveda', 51889, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05560', 5, 'Pradosegar', 51913, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05560', 6, 'Vadillo de la Sierra', 52510, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05560', 7, 'Villatoro', 52639, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05571', 1, 'Casas del Puerto de Villatoro', 51511, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05571', 2, 'Garganta de los Hornos', 51511, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05571', 3, 'Navacepedilla de Corneja', 51511, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05571', 4, 'Pajarejos', 51511, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05571', 5, 'La Ribera', 51511, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05571', 6, 'Villafranca de la Sierra', 52578, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05580', 1, 'Aldeanueva Santa Cruz', 50071, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05580', 2, 'Avellaneda', 50185, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05580', 3, 'Carrascalejo', 52269, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05580', 4, 'El Collado (Santa Maria de los', 50071, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05580', 5, 'Los Cuartos', 52269, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05580', 6, 'Navarregadilla', 52269, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05580', 7, 'Santa Maria de los Caballeros', 50071, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05582', 0, 'El Bardal', 999999, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 7, 'Nogal', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 8, 'San Miguel de Pedroso', 90487, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 9, 'Tosantos', 93924, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 10, 'Villalbos', 94115, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 11, 'Villalmondar', 94115, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 12, 'Villalomez', 94115, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 13, 'Villambistia', 94458, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09258', 14, 'Villanasur Rio de Oca', 94115, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 1, 'Bascuana', 90465, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 2, 'Castildelgado', 90829, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 3, 'Fresnea', 91307, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 4, 'Ibrillos', 91789, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 5, 'Quintanilla del Monte en Rioja', 90465, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 6, 'Redecilla del Camino', 93076, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 7, 'San Cristobal del Monte', 91307, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 8, 'San Pedro del Monte', 90465, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 9, 'Sotillo de Rioja', 93082, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 10, 'Villamayor del Rio', 91307, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09259', 11, 'Viloria de Rioja', 94249, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09260', 0, 'Pradoluengo', 92740, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09267', 1, 'Avellanosa de Rioja', 90487, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09267', 2, 'Eterna', 90487, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09267', 3, 'Fresneda de la Sierra Tiron', 91293, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09267', 4, 'Pradilla de Belorado', 90487, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 1, 'Espinosa del Monte', 93608, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 2, 'Ezquerra', 94332, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 3, 'Garganchon', 92740, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 4, 'Haedillo', 93608, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 5, 'Rabanos', 93039, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 6, 'San Clemente del Valle', 93608, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 7, 'San Vicente del Valle', 93608, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 8, 'Santa Cruz del Valle Urbion', 93462, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 9, 'Santa Olalla del Valle', 94332, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 10, 'Valmala', 94075, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09268', 11, 'Villagalijo', 94332, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09269', 1, 'Soto del Valle', 93039, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09269', 2, 'Villamudria', 93039, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09270', 1, 'Cerezo de Rio Tiron', 90986, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09270', 2, 'Redecilla del Campo', 93082, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09271', 0, 'Quintanilla San Garcia', 92984, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09272', 1, 'Fresno de Rio Tiron', 91329, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09272', 2, 'Loranquillo', 90487, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09280', 1, 'Cascajares de Bureba', 90774, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09280', 2, 'Cubo de Bureba', 91157, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09280', 3, 'Miraveche', 92208, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09280', 4, 'Obarenes', 91209, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09280', 5, 'Pancorbo', 92518, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09285', 0, 'La Azuela', 94108, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09290', 1, 'Fresno de Rodilla', 91335, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09290', 2, 'Quintanapalla', 92886, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 1, 'Arraya de Oca', 90275, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 2, 'Barrio de Santa Marina', 90275, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 3, 'Cerraton de Juaros', 91003, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 4, 'Monasterio de Rodilla', 92241, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 5, 'Piedrahita de Juarros', 93517, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 6, 'Quintanavides', 92925, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 7, 'Quintanilla del Monte Juarros', 90275, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 8, 'Revillagodos', 90562, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 9, 'San Otero', 91003, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 10, 'Santa Maria del Invierno', 93517, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 11, 'Santa Olalla de Bureba', 93543, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 12, 'Turrientes', 91003, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 13, 'Villaescusa la Solana', 94290, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09292', 14, 'Villaescusa la Sombria', 94290, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09293', 1, 'Bugedo', 90578, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09293', 2, 'Candepajares', 90578, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09293', 3, 'Valverde de Miranda', 92194, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09294', 1, 'Buigueta', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09294', 2, 'Ladrera', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09294', 3, 'Ocilla', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09294', 4, 'Pangua', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09294', 5, 'La Puebla de Arganzon', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09294', 6, 'San Esteban de Trevio', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09294', 7, 'Villanueva de la Oca', 92766, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09294', 8, 'Zurbitu', 91097, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09300', 0, 'Roa', 93214, 9, 
    0, 7, 'E', 3, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09310', 1, 'Torresandino', 93902, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09310', 2, 'Villatuelda', 94640, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09310', 3, 'Villovela de Esgueva', 93919, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09311', 1, 'La Horra', 92352, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09311', 2, 'Olmedillo de Roa', 92352, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09312', 1, 'Anguix', 90177, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09312', 2, 'Tortoles de Esgueva', 93919, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09314', 1, 'Boada de Roa', 92560, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09314', 2, 'Guzman', 92560, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09314', 3, 'Pedrosa de Duero', 92560, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09314', 4, 'Quintanamanvirgo', 92560, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09314', 5, 'Villaescusa de Roa', 94287, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09315', 1, 'La Cueva de Roa', 91366, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09315', 2, 'Fuentecen', 91366, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09315', 3, 'Fuentemolinos', 91391, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09316', 1, 'Berlangas de Roa', 90510, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09316', 2, 'El Carrascal', 90510, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09316', 3, 'Haza', 91558, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09316', 4, 'Hoyales de Roa', 91708, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09317', 1, 'Mambrilla de Castrejon', 91998, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09317', 2, 'San Martin de Rubiales', 93399, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09317', 3, 'Valcabado de Roa', 92560, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09318', 1, 'Fuentelisendo', 91388, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09318', 2, 'Nava de Roa', 92292, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09318', 3, 'Valdezate', 94056, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09320', 1, 'Cogollos', 91084, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09320', 2, 'Madrigal del Monte', 91963, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09320', 3, 'Tornadijo', 91963, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09320', 4, 'Valdorros', 94069, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09330', 0, 'Encinilla', 91979, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09339', 1, 'Cristo de Villahizan', 94483, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09339', 2, 'Villafuertes', 94483, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09339', 3, 'Villamayor de los Montes', 94430, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09339', 4, 'Villangomez', 94483, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09339', 5, 'Villaverde del Monte', 94666, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09339', 6, 'Zael', 94803, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09340', 1, 'Lerma', 91947, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09340', 2, 'Molino de la Pea', 91947, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09340', 3, 'Molino de los Borbollones', 91947, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09341', 1, 'Ruyales del Agua', 91947, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09341', 2, 'Santa Cecilia', 93431, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09341', 3, 'Tordomar', 93847, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09342', 1, 'Hontoria de Rio Franco', 93898, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14800', 4, 'Los Prados', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14800', 5, 'Priego de Cordoba', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14800', 6, 'El Salado', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14810', 1, 'Bernabe', 140155, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14810', 2, 'Carcabuey', 140155, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14810', 3, 'Fuente Dura', 140155, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14810', 4, 'El Portazgo', 140155, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14811', 1, 'Algar', 140155, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14811', 2, 'Gaena-Casas Gallegas', 140137, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14811', 3, 'Los Lopez', 140155, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14811', 4, 'Los Villares', 140155, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14812', 1, 'Almedinilla', 140044, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14812', 2, 'Cuesta Blanca', 140044, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14813', 1, 'Bracana', 140044, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14813', 2, 'La Carrasca', 140044, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14813', 3, 'La Fuente Grande', 140044, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14813', 4, 'Sileras', 140044, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14813', 5, 'Venta Valero', 140044, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14814', 1, 'Campo Nubes', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14814', 2, 'El Tarajal', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14814', 3, 'Zamoranos', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14450', 0, 'Aora', 140060, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14460', 0, 'Dos Torres', 140235, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14470', 0, 'El Viso', 140749, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14480', 1, 'Alcaracejos', 140039, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14480', 2, 'Mojonera', 140039, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14490', 0, 'Villaralto', 140728, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14491', 0, 'Santa Eufemia', 140615, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14500', 1, 'Cordobilla', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14500', 2, 'Fuente Alamo', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14500', 3, 'Huertas Nuevas', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14500', 4, 'Puente Genil', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14500', 5, 'El Rabanal', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14500', 6, 'El Remolino', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14510', 0, 'Moriles', 140459, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14511', 1, 'Colina de la Virgen', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14511', 2, 'Dehesa del Caaveral', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14511', 3, 'Navas del Selpillar', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14511', 4, 'Los Piedros', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14512', 1, 'Bocas de Riguelo', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14512', 2, 'Isla del Obispo', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14512', 3, 'La Mina', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14512', 4, 'Palomar', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14512', 5, 'Puerto Alegre', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14512', 6, 'Ribera Alta', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14512', 7, 'Ribera Baja', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14512', 8, 'Sotogordo', 140569, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14520', 0, 'Fernan Nuez', 140272, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14530', 0, 'Montemayor', 140410, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14540', 0, 'La Rambla', 140575, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14546', 0, 'Santaella', 140608, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14547', 1, 'El Fontanar', 140608, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14547', 2, 'La Guijarrosa', 140608, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14548', 0, 'Montalban de Cordoba', 140403, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14549', 1, 'Huertas Bocas del Salado', 140608, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14549', 2, 'Huertas del Ingeniero', 140608, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14549', 3, 'Huertas del Sol', 140608, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14549', 4, 'La Montiela', 140608, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 1, 'Cerro del Humo', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 2, 'Cortijo Blanco', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 3, 'Cuesta Maldonado', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 4, 'Jarata', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 5, 'Llano del Mesto', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 6, 'Montilla', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 7, 'Riofrio', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 8, 'La Salud', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 9, 'San Francisco', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 10, 'Sierra o Buenavista (Montilla)', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 11, 'La Toba', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 12, 'Vereda de Cerro Macho', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14550', 13, 'La Zarza', 140425, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14600', 1, 'Campia', 140431, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14600', 2, 'Casillas de Velasco', 140431, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14600', 3, 'Huertos Familiares San Fernand', 140431, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14600', 4, 'Madroal', 140431, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14600', 5, 'Montoro', 140431, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14600', 6, 'Santa Brigida', 140431, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14600', 7, 'Torrecilla', 140431, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14610', 1, 'Alcolea', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14610', 2, 'Barriada del Angel', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14610', 3, 'Los Cansinos', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14610', 4, 'Encinares de Alcolea', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14610', 5, 'Rivera Alta', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14610', 6, 'El Sol (Agencia Colaboradora)', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14610', 7, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14610', 8, 'La Rinconada (Alcolea)', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14610', 9, 'Monton de Tierra (Alcolea)', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14620', 1, 'El Carpio', 140180, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14620', 2, 'La Huelga', 140180, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14620', 3, 'Maruanas', 140180, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14620', 4, 'San Antonio', 140180, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14630', 0, 'Pedro Abad', 140500, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14640', 1, 'Charco del Novillo', 140667, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14640', 2, 'Villa del Rio', 140667, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14650', 1, 'Bujalance', 140121, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14650', 2, 'La Cruz', 140121, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14650', 3, 'Dehesa de Potros', 140121, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14650', 4, 'Los Leones', 140121, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14650', 5, 'Maria Aparicio', 140121, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14659', 0, 'Morente', 140121, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14660', 0, 'Caete de Las Torres', 140142, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14670', 0, 'Valenzuela', 140636, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 1, 'Acebuchal', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 2, 'Arriel', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 3, 'Baldio', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 4, 'La Barqueta', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 5, 'Barriada Estacion', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 6, 'Casas de Huertas Arriel', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 7, 'Casas de Huertas el Rincon', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 8, 'Casas de Huertas Pedro Diaz', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 9, 'Palma del Rio', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 10, 'La Jara', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 11, 'La Chirritana', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 12, 'Pedro Diaz', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 13, 'Pimentada', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 14, 'El Rincon', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14700', 15, 'Veredon el Mohino', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14709', 1, 'Barrio Parque', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14709', 2, 'Bembezar del Caudillo', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14709', 3, 'El Calonge', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14709', 4, 'Casas de Huertas el Pinzon', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14709', 5, 'Cespedes', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14709', 6, 'Mesas de Guadalora', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14709', 7, 'El Pizon', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14709', 8, 'Pueblo Calonge', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14709', 9, 'Vega de Santa Lucia', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14710', 1, 'Cortijo de los Frailes', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14710', 2, 'Villarrubia (Villarrubia)', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14710', 3, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14710', 4, 'La Barquera (Villarrubia)', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14710', 5, 'Real Soriana (Villarrubia)', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14710', 6, 'Majaneque', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14711', 1, 'Encinarejo de Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14711', 2, 'Cordoba', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14719', 0, 'Veredon de los Frailes', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14720', 1, 'Almodovar del Rio', 140057, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14720', 2, 'Nuestra Seora del Rosario', 140057, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14729', 1, 'La Algamarrilla', 140057, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14729', 2, 'Cortijo de la Torre', 140057, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14729', 3, 'Las Cuevas', 140057, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14729', 4, 'Fuenreal Alto', 140057, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14729', 5, 'Huerta de San Andres', 140057, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14729', 6, 'Los Llanos (Almodovar del Rio)', 140057, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14729', 7, 'Los Mochos', 140057, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14729', 8, 'Pantano de la Brea', 140057, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14730', 1, 'Las Aljabaras', 140538, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14730', 2, 'Casas de Huertas la Granja', 140538, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14730', 3, 'Domingo Adoves', 140538, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14730', 4, 'La Graja', 140538, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14730', 5, 'Posadas', 140538, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14739', 1, 'Pantano de Bembezar', 140538, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14739', 2, 'Rivero de Posadas', 140538, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14740', 1, 'El Aguila', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14740', 2, 'La Albarrana', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14740', 3, 'El Alta', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14740', 4, 'Los Angeles', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14740', 5, 'Los Corrales', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14740', 6, 'Hornachuelos', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02485', 1, 'Moropeche', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02485', 2, 'Tus', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02486', 1, 'Rala', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02486', 3, 'Horno Ciego', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02486', 4, 'Pearrubia', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02487', 1, 'Jartos', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02487', 2, 'Juan Quilez', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02487', 3, 'Sege', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02489', 1, 'Alcantarilla', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02489', 2, 'Graya', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02489', 3, 'Parolis', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02489', 4, 'Gontar', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02489', 5, 'Paules', 20864, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02490', 0, 'Agramon', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02499', 1, 'Cancarix', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02499', 2, 'La Horca', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02499', 3, 'Minateda', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02499', 4, 'Las Minas', 20371, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02500', 0, 'Tobarra', 20740, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02510', 1, 'Pozo Bueno', 20292, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02510', 2, 'Pozo Caada', 29010, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02511', 1, 'Las Abuzaderas', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02511', 2, 'Campillo de Las Doblas', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02512', 1, 'Casa Blanca de los Rioteros', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02512', 2, 'Casa de Las Monjas', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02512', 3, 'Los Hitos', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02512', 4, 'Aljube', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02512', 5, 'Los Mardos', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02512', 6, 'Villegas', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02512', 7, 'Las Anorias', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02512', 8, 'Pinilla', 20030, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02513', 1, 'Cordovilla', 20740, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02513', 2, 'Mora de Santa Quiteria', 20740, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02513', 3, 'Santiago de Mora', 20740, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02513', 4, 'Sierra', 20740, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02520', 0, 'Chinchilla de Monte Aragon', 20292, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02529', 1, 'De Chinchilla', 20292, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02529', 2, 'Horna', 20292, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02529', 3, 'Pozo de la Pea', 20292, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02530', 0, 'Nerpio', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02534', 2, 'Jutia', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02534', 3, 'Caadas', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02534', 4, 'Los Morenos', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02534', 5, 'Pedro Andres', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02536', 1, 'Beg', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02536', 2, 'Los Belmontes', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02536', 4, 'Tubilla', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02536', 5, 'Casa de la Cabeza', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02536', 6, 'Yetas de Abajo', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02536', 7, 'Chorretites de Abajo', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02536', 8, 'Cortijos del Herrero', 20557, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02600', 0, 'Villarrobledo', 20812, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02610', 0, 'El Bonillo', 20194, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02611', 0, 'Ossa de Montiel', 20576, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02612', 1, 'Munera', 20539, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02612', 2, 'Sotuelamos', 20539, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02614', 0, 'El Ballestero', 20143, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02620', 0, 'Minaya', 20485, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02630', 0, 'La Roda', 20693, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02636', 1, 'Villalgordo del Jucar', 20788, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02636', 2, 'El Carmen', 20788, 16, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02637', 0, 'Fuensanta', 20328, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02638', 0, 'Montalvos', 20501, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02639', 1, 'Barrax', 20156, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02639', 2, 'Santa Marta', 20693, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02640', 0, 'Almansa', 20096, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02650', 0, 'Montealegre del Castillo', 20518, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02651', 0, 'Fuentealamo', 20334, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02652', 0, 'Ontur', 20560, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02653', 0, 'Albatana', 20045, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02660', 0, 'Caudete', 20254, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02690', 1, 'Alpera', 20100, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02691', 0, 'Bonete', 20181, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02692', 2, 'Petrola', 20616, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02693', 1, 'Corral Rubio', 20273, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02693', 2, 'La Higuera', 20273, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02694', 0, 'Higueruela', 20390, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02695', 0, 'Villar de Chinchilla', 20292, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('02696', 0, 'Hoya Gonzalo', 20404, 2, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05619', 3, 'Neila de San Miguel', 51717, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05619', 4, 'San Bartolome de Bejar', 51990, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05620', 1, 'La Carrera', 50512, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05620', 2, 'Cereceda', 50512, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05620', 3, 'Lancharejo', 50512, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05620', 4, 'Navalmoro', 50512, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05621', 1, 'Casas del Rey', 52367, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05621', 2, 'Los Narros', 52367, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05621', 3, 'Santiago de Aravalle', 51928, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05621', 4, 'Solana de Avila', 52367, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05621', 5, 'La Zarza', 52367, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05621', 6, 'Puerto Castilla', 51928, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05630', 1, 'La Aliseda de Tormes', 59040, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05630', 2, 'Campurbin', 59040, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05630', 3, 'Cardedal', 59040, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05630', 4, 'Horcajo de la Ribera', 59040, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05630', 5, 'La Lastra del Cano', 59040, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05630', 6, 'La Lastrilla', 59040, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05630', 7, 'Navamediana', 50375, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05630', 8, 'Navasequilla', 59040, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05630', 9, 'Santiago de Tormes', 59040, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05631', 1, 'La Angostura', 51624, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05631', 2, 'La Herguijuela', 51624, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05631', 3, 'Navalperal de Tormes', 51624, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05631', 4, 'Ortigosa de Tormes', 51624, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05631', 5, 'San Bartolome de Tormes', 51624, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05631', 6, 'Zapardiel de la Ribera', 52676, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05633', 1, 'Navacepeda de Tormes', 59014, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05633', 2, 'San Juan de Gredos', 59014, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05634', 1, 'Hoyos del Collado', 51048, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05634', 2, 'Hoyos del Espino', 51051, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05635', 1, 'Barajas', 51658, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05635', 2, 'Navarredonda de Gredos', 51658, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05690', 1, 'Bohoyo', 50375, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05690', 2, 'Los Guijuelos', 50375, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05690', 3, 'Hermosillo', 51131, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05690', 4, 'Los Llanos de Tormes', 50375, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05690', 5, 'Navamojada', 50375, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05691', 1, 'Casas de la Sierra', 52367, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05691', 2, 'Los Loros', 52367, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05691', 3, 'Mazalinos', 52367, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05691', 4, 'Santa Lucia de la Sierra', 52367, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05691', 5, 'Serrania', 52367, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05691', 6, 'El Tremedal', 52367, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05692', 1, 'El Barquillo', 51125, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05692', 2, 'Casas de la Vega', 51125, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05692', 3, 'El Losar', 51125, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05692', 4, 'Navamorisca', 51125, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05693', 1, 'La Canaleja', 52490, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05693', 2, 'Casas de Maripedro', 52490, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05693', 3, 'Casas del Abad', 52490, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05693', 4, 'Gilgarcia', 50855, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05693', 5, 'Retuerta', 52490, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05693', 6, 'Umbrias', 52490, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05693', 7, 'Ustias', 52490, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05693', 8, 'Venta de Las Veguillas', 52490, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05694', 1, 'Junciana', 51086, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05694', 2, 'Palacios de Becedas', 50245, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05695', 0, 'La Horcajada', 50972, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05696', 1, 'Encinares', 50972, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05696', 2, 'El Hoyo', 50972, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05696', 3, 'Riofraguas', 50972, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05696', 4, 'San Lorenzo de Tormes', 52145, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05696', 5, 'Los Sauces', 50972, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05696', 6, 'Vallehondo', 52145, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05697', 1, 'Cabezas Altas', 51700, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05591', 0, 'Villanueva del Campillo', 52601, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 1, 'Casas de Navancuerda', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 2, 'El Collado (Santiago del Colla', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 3, 'La Lastra', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 4, 'Navalmahillo', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 5, 'Navamuana', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 6, 'Navarveja', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 8, 'Santiago del Collado', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 9, 'Santiuste', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 10, 'Valdelaguna', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05592', 11, 'Zarzal', 52281, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05593', 1, 'La Aldehuela', 50104, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05593', 2, 'El Hito', 50104, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05593', 3, 'Los Molinos', 50104, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05593', 4, 'Las Navas', 50104, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05593', 5, 'El Rehoyo', 50104, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05593', 6, 'Solanas del Carrascal', 50104, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05593', 7, 'Las Solanillas', 50104, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05600', 0, 'Barco de Avila', 50219, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05610', 0, 'Becedas', 50245, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05619', 1, 'Gilbuena', 50842, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05619', 2, 'Medinilla', 51244, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09342', 2, 'Peral de Arlanza', 92621, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09342', 3, 'Pinilla de Arlanza', 92621, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09342', 4, 'Santa Maria del Campo', 93500, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09343', 1, 'El Plantio', 94379, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09343', 2, 'Villahoz', 94379, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09344', 1, 'Royuela de Riofranco', 93253, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09344', 2, 'Villafruela', 94326, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09345', 1, 'Avellanosa de Muo', 90320, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09345', 2, 'Iglesiarrubia', 91792, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09345', 3, 'Paules del Agua', 90320, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09345', 4, 'Pinedillo', 90320, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09345', 5, 'Torrecitores del Enebral', 90320, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09345', 6, 'Torrepadre', 93898, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09345', 7, 'La Veguecilla', 90320, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09346', 1, 'Covarrubias', 91139, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09346', 2, 'Cuevas de San Clemente', 91195, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09346', 3, 'Mecerreyes', 92083, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09347', 1, 'Bascones del Agua', 92772, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09347', 2, 'Puentedura', 92772, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09347', 3, 'Quintanilla del Agua', 99012, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09347', 4, 'Retuerta', 93116, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09347', 5, 'Santillan', 92772, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09347', 6, 'Tordueles', 99012, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09347', 7, 'Torrecilla del Agua', 92772, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09347', 8, 'Ura', 91139, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 1, 'Barriosuso del Val', 91947, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 2, 'Castrillo de Solarana', 91947, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 3, 'Castroceniza', 92959, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 4, 'Cebrecos', 90948, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 5, 'Nebreda', 92313, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 6, 'Quintanilla del Coco', 92959, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 7, 'Revilla Cabriada', 91947, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 8, 'Santibaez del Val', 93569, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 9, 'Solarana', 93667, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 10, 'Tejada', 93787, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09348', 11, 'Villoviado', 91947, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09349', 1, 'Cilleruelo de Abajo', 91031, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09349', 2, 'Cilleruelo de Arriba', 91046, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09349', 3, 'Fontioso', 91274, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09349', 4, 'De Guimara', 91031, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09349', 5, 'Pineda de Trasmonte', 92674, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09349', 6, 'Quintanilla de la Mata', 92946, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09349', 7, 'Rabe de los Escuderos', 91947, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09350', 1, 'Bahabon de Esgueva', 90336, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09350', 2, 'Cabaes de Esgueva', 90618, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09350', 3, 'La Calera', 90336, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09350', 4, 'Oquillas', 92390, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09350', 5, 'Pinillos de Esgueva', 93692, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09350', 6, 'Santibaez de Esgueva', 93556, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09350', 7, 'Terradillos de Esgueva', 93804, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09350', 8, 'Valdares', 90336, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09360', 1, 'Monte de Valdegabon', 999999, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09360', 2, 'Venta de Guimara', 999999, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09370', 1, 'Gumiel de Hizan', 91519, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09370', 2, 'La Aguilera', 91519, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09370', 3, 'Quintana del Pidio', 92812, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09390', 1, 'Madrigalejo del Monte', 91979, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09390', 2, 'Montuenga', 91979, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09390', 3, 'Santa Ines', 93484, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09390', 4, 'Torrecilla del Monte', 93863, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09390', 5, 'Villalmanzo', 94424, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09391', 0, 'Castrillo de la Vega', 90853, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09400', 0, 'Aranda de Duero', 90183, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09410', 1, 'Arandilla', 90196, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09410', 2, 'Corua del Conde', 91123, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09410', 3, 'Pearanda de Duero', 92616, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09410', 4, 'Valverde', 90196, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09430', 0, 'Huerta del Rey', 91741, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09441', 0, 'Sotillo de la Ribera', 93692, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09443', 2, 'Ventosilla', 91524, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09443', 3, 'Villalba de Duero', 94385, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09443', 4, 'Gumiel del Mercado', 91524, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09450', 1, 'Baos de Valdearados', 90354, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09450', 2, 'Hontoria de Valdearados', 91643, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09450', 3, 'Sinovas', 90183, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09450', 4, 'Villanueva de Gumiel', 94516, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09451', 1, 'Arauzo de Miel', 90200, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09451', 2, 'Arauzo de Salce', 90217, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09451', 3, 'Arauzo de Torre', 90222, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09451', 4, 'Caleruega', 90644, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09451', 5, 'Doa Santos', 90200, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09452', 0, 'Plumarejos', 999999, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09453', 1, 'Santa Maria Mercadillo', 93522, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09453', 2, 'Tubilla del Lago', 93961, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09453', 3, 'Valdeande', 94038, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09453', 4, 'Villalvilla de Gumiel', 94402, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09454', 1, 'Hinojar del Rey', 91741, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09454', 2, 'Pealba de Castro', 91741, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09454', 3, 'Quemada', 92791, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09454', 4, 'Quintanarraya', 91741, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09460', 0, 'Milagros', 92181, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09461', 0, 'Fuentenebro', 91405, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09462', 1, 'Adrada de Haza', 90032, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09462', 2, 'Hontangas', 91600, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09462', 3, 'Moradillo de Roa', 92289, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09462', 4, 'Pardilla', 92539, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09462', 5, 'La Sequera de Haza', 90032, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09471', 1, 'Fuentelcesped', 91372, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09471', 2, 'Santa Cruz de la Salceda', 93459, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09471', 3, 'Embalse de Linares', 91372, 40, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09471', 4, 'Fuentespina', 91412, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09471', 5, 'La Vid', 91372, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09490', 1, 'Brazacorta', 90559, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09490', 2, 'Casanova', 90559, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09490', 3, 'Cuzcurrita de Aranda', 90559, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09490', 4, 'San Juan del Monte', 93370, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09490', 5, 'Zazuar', 94831, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09491', 1, 'Guma', 94213, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09491', 2, 'Vadocondes', 94000, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09491', 4, 'Zuzones', 94213, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09491', 5, 'Fresnillo de Las Dueas', 91314, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09492', 0, 'Quintanilla de Ricuerda', 999999, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09493', 1, 'Campillo de Aranda', 90657, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09493', 2, 'Torregalindo', 93879, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09500', 0, 'Medina de Pomar', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09510', 1, 'Baro', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09510', 2, 'Calzada de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14815', 1, 'Las Angosturas', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14815', 2, 'Azores', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14815', 3, 'Castil de Campos', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14815', 4, 'El Cauelo (Priego de Cordoba)', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14815', 5, 'La Cubertilla', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14815', 6, 'Fuente Tojar', 140312, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14815', 7, 'El Solvito', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14815', 8, 'Todos Aires', 140312, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14815', 9, 'La Vega', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14816', 1, 'La Concepcion', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14816', 2, 'El Esparragal', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14816', 3, 'Genilla', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14816', 4, 'Las Higueras', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14816', 5, 'Las Paradejas', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14816', 6, 'El Poleo', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14816', 7, 'Zagrilla', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14816', 8, 'Zagrilla Alta', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14816', 9, 'Zagrilla Baja', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14817', 1, 'El Castellar', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14817', 2, 'Los Chirimeros', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14817', 3, 'Las Lagunillas', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14817', 4, 'La Poyata', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14820', 1, 'Cortijo la Reina', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14820', 2, 'Lope Amargo', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14820', 3, 'Santa Cruz', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14820', 4, 'Torres Cabrera', 140214, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14830', 0, 'Espejo', 140253, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14840', 1, 'Carchena', 140193, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14840', 2, 'Castro del Rio', 140193, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14840', 3, 'Garci-Calvo', 140193, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14850', 1, 'Aladid', 140076, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14850', 2, 'Arroyuelos', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14850', 3, 'Baena', 140076, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14850', 4, 'Manosalva', 140076, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14850', 5, 'Palomarejo', 140076, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14850', 6, 'La Sierra (Baena)', 140076, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14857', 1, 'Nueva Carteya', 140462, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14857', 2, 'Torre del Puerto', 140193, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14858', 1, 'Atanores', 140193, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14858', 2, 'Llanos del Espinar', 140193, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14859', 1, 'Albendin', 140076, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14859', 2, 'Fuentiduea', 140076, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14860', 0, 'Doa Mencia', 140229, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14870', 0, 'Zuheros', 140752, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14880', 1, 'Luque', 140399, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14880', 2, 'Marbella', 140399, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14880', 3, 'Los Montes', 140399, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14880', 4, 'Morellana', 140399, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14880', 5, 'Nava', 140399, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14880', 6, 'Peillas', 140399, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14900', 1, 'Anjaron', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14900', 2, 'Campo de Aras', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14900', 3, 'Castill Rubio', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14900', 4, 'Cristo Marroqui', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14900', 5, 'Lucena', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14900', 6, 'Los Santos', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14910', 0, 'Benameji', 140109, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14911', 1, 'Huertas Duque', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14911', 2, 'Huertas Llanos', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14911', 3, 'Huertas Nuevas (Jauja)', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14911', 4, 'Jarales', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14911', 5, 'Jauja', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14912', 0, 'Vadofresno', 999999, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14913', 1, 'Encinas Reales', 140240, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14913', 2, 'Martin Gonzalez', 140386, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14913', 3, 'Venta del Rio Anzur', 140240, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14913', 4, 'Zurreon', 140240, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14914', 0, 'Palenciana', 140484, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14915', 1, 'Cortijo de Concepcion', 140109, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14915', 2, 'Lopez', 140109, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14915', 3, 'El Tejar', 140109, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14920', 1, 'Aguilar de la Frontera', 140023, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14920', 2, 'Laguna de Zoar', 140023, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14920', 3, 'Soprani', 140023, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14920', 4, 'Zamacon', 140023, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14930', 1, 'Cid Toledo', 140446, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14930', 2, 'Huertas Bajas de Cabra', 140446, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14930', 3, 'Los Llanos (Monturque)', 140446, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14930', 4, 'Monturque', 140446, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14930', 5, 'Piedras de Varo', 140446, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14940', 1, 'La Alcaidia', 140137, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14940', 2, 'La Alcantarilla', 140137, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14940', 3, 'Los Aranda', 140137, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14940', 4, 'La Benita', 140137, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14940', 5, 'Cabra', 140137, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14940', 6, 'Ermita de la Esperanza', 140137, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14940', 7, 'Ermita Virgen de la Sierra', 140137, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14940', 8, 'El Martinete', 140137, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 1, 'Arroyo Tijeras', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 2, 'Burbunera', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 3, 'Campullas', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 4, 'Caada de Zambra', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 5, 'El Cerrillo de la Caada', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 6, 'Cerrillo Zambra', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 7, 'Civico', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 8, 'Cortijuelos', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 9, 'Cortijuelos de Zambra', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 10, 'Erillas Altas', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 11, 'Erillas Bajas', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 12, 'Granadilla', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 13, 'Llanos de Don Juan', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 14, 'El Nacimiento', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 15, 'Palomares', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 16, 'Los Perez', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 17, 'Las Piedras', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 18, 'Portugalejo', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 19, 'Rabotas y Arroyuelos', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 20, 'Las Viboras', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14950', 21, 'Zambra', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14960', 1, 'Fuente de Las Caas', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14960', 2, 'La Hoz (Rute)', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14960', 3, 'Isla Alta', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14960', 4, 'Isla Baja', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14960', 5, 'Los Morales', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14960', 6, 'Pantano', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14960', 7, 'Rio Anzur', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14960', 8, 'Rute', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14960', 9, 'El Vadillo', 140581, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14970', 1, 'Cierzos y Cabreras', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14970', 2, 'Iznajar', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14978', 1, 'El Adelantado', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14978', 2, 'Arroyo del Cerezo', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14978', 3, 'Las Chozas', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14978', 4, 'Los Concejos', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14978', 5, 'Corona Algaida y Gata', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14978', 6, 'Cruz de Algaida', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14978', 7, 'Fuente del Conde', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14978', 8, 'Montes Claros', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14978', 9, 'Los Pechos', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14978', 10, 'Valenzuela y Llanadas', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14979', 1, 'Arroyo de Priego', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14979', 2, 'La Celada', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14979', 3, 'El Higueral', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14979', 4, 'La Hoz (Iznajar)', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14979', 5, 'El Jaramillo', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14979', 6, 'Los Juncares', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14979', 7, 'Lorite', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14979', 8, 'Solerche', 140370, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15001', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15002', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15003', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15004', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14740', 7, 'Mesas de Bembezar', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14740', 8, 'Las Mezquetillas', 140364, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14749', 1, 'El Carrascal', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14749', 2, 'Casas de Huertas el Carrascal', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14749', 3, 'Escalonias', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14749', 4, 'Moratalla', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14749', 5, 'Nava de los Corchos', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14749', 6, 'San Calixto', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14749', 7, 'La Sevillana', 140497, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14800', 1, 'Jaula', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14800', 2, 'Las Navas', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('14800', 3, 'Navasequilla', 140556, 14, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 11, 'Raposeira', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 12, 'O Rio', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 13, 'Xesta (Campamento)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 1, 'Areeiro', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 2, 'As Avogadas', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 3, 'Barreira (Perillo)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 4, 'Bastiagueiro', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 5, 'O Castao', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 6, 'Lucin (Perillo)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 7, 'De Madrid', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 8, 'De Montrove', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 9, 'Perillo (Sta Leocadia)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 10, 'Pombal (Perillo)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 11, 'Os Regueiros', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 12, 'Riveiros', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 13, 'Santa Cristina (Perillo)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 14, 'De Santa Cruz', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 15, 'Solana', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 16, 'Vaqueira', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15172', 17, 'Pazo do Rio', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 1, 'Barreira (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 2, 'Castelo (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 3, 'Cobada', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 4, 'Condus', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 5, 'Cova (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 6, 'Covo', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 7, 'Cruceiro (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 8, 'Cruz (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 9, 'Edreira (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 10, 'A Edreira (Curtis-Santa Eulali', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 11, 'Oleiros (Santa Maria Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 12, 'Pazo (Meirama)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 13, 'Pedreira (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 14, 'Pedreiras (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 15, 'Pezoca', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 16, 'Pieiro (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 17, 'Pousada (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 18, 'Rabadeira (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 19, 'Rabueiro', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 20, 'Real (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 21, 'Rio (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 22, 'Rio da Loba', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 23, 'Torres (Oleiros)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15173', 24, 'Xubin', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 1, 'Alfeiran (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 2, 'Almeiras', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 3, 'Asteleiros', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 4, 'O Bosque (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 5, 'Braa (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 6, 'Cadaval (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 7, 'Castro (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 8, 'Conduzo', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 9, 'Cordeda', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 10, 'Corveira (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 11, 'Focanos', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 12, 'Fonte Culler', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 13, 'Fraga (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 14, 'Hombre', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 15, 'Laxe (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 16, 'Montouro (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 17, 'Portazgo', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 18, 'Poza (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 19, 'Regueiro (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 20, 'Rio da Cova', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 21, 'Rueiro (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 22, 'Rutis (Santa Maria)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 23, 'Santa Gema', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 24, 'Senra (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 25, 'A Silva (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 26, 'Sofontes', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 27, 'Souto (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 28, 'A Telva (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 29, 'Vigo Vidin', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 30, 'Vilaboa (Rutis)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15174', 31, 'A Xeca', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 1, 'Abrigosa', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 2, 'Ameas', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 3, 'Ameixeiras', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 4, 'Ans de Tellado', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 5, 'Atalaia (Vigo-San Vicente)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 6, 'Bacelo', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 7, 'Bailia (Vigo-San Vicente)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 8, 'Barbeiro (Vigo-San Vicente)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 9, 'Carral (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 10, 'Carballo (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 11, 'Casal (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 12, 'Casanova (Vigo-San Vicente)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 13, 'Castelo (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 14, 'Caas', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 15, 'Coiro (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 16, 'Ludia', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 17, 'Marco (Loureda)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 18, 'Monte (Vigo-San Vicente)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 19, 'Otra Aldea (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 20, 'Outeiro (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 21, 'Paleo (San Estevo)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 22, 'Paraiso (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 23, 'Quenllo (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 24, 'Reboredo (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 25, 'Riveira', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 26, 'San Vicente de Vigo', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 27, 'Soavila', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 28, 'Taboas (Vigo-San Vicente)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 29, 'Taramuo', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 30, 'Valio (Vigo-San Vicente)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 31, 'Vigo (San Vicente)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15175', 32, 'Vista Rela (Vigo-San Vicente)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 1, 'Balio (O Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 2, 'Batan (O Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 3, 'O Carballo (Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 4, 'Coroto (Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 5, 'Da Veiga', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 6, 'Fortaleza (Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 7, 'Gandara (Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 8, 'Meson da Auga', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 9, 'San Marcos (O Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 10, 'San Pedro de Nos', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 11, 'Sartaia', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 12, 'Seara (Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 13, 'O Seixal (Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 14, 'A Veiga (O Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 15, 'Vilanova (O Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15176', 16, 'Vilar (Seixal)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 1, 'Aba', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05697', 2, 'Cabezas Bajas', 51700, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05697', 3, 'Nava de Barco', 51532, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05697', 4, 'Navalguijo', 51598, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05697', 5, 'Navalonguilla', 51598, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05697', 6, 'Navamures', 52449, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05697', 7, 'Navatejares', 51700, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('05697', 8, 'Tormellas', 52449, 5, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06001', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06002', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06003', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06004', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06005', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06006', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06007', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06008', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06009', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06010', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06011', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06012', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06050', 0, 'Base Aerea Talavera Real', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06070', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06071', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06080', 0, 'Badajoz', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06100', 0, 'Olivenza', 60956, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06105', 0, 'Cheles', 60423, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06106', 0, 'San Benito de la Contienda', 60956, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06107', 0, 'Villarreal', 60956, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06108', 1, 'San Jorge de Alor', 60956, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06108', 2, 'Santo Domingo', 60956, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06109', 1, 'San Francisco de Olivenza', 60956, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06109', 2, 'San Rafael de Olivenza', 60956, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06110', 0, 'Villanueva del Fresno', 61540, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06120', 0, 'Oliva de la Frontera', 60938, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06129', 0, 'Zahinos', 61591, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06130', 0, 'Valverde de Leganes', 61438, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06131', 0, 'Alconchel', 60074, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06132', 0, 'Higuera de Vargas', 60665, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06133', 0, 'Taliga', 61298, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06134', 0, 'Valencia del Mombuey', 61400, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06140', 0, 'Talavera la Real', 61285, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06150', 0, 'Santa Marta de los Barros', 61211, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06160', 0, 'Barcarrota', 60166, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06170', 1, 'La Albuera', 60055, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06170', 2, 'Alvarado', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06171', 0, 'Almendral', 60107, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06172', 0, 'Torre de Miguel Sesmero', 61319, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06173', 0, 'Nogales', 60922, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06174', 0, 'Salvaleon', 61165, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06175', 0, 'Salvatierra de los Barros', 61171, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06176', 1, 'La Morera', 60896, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06176', 2, 'La Parra', 60896, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06177', 0, 'Valle de Matamoros', 61475, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06178', 0, 'Valle de Santa Ana', 61481, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06180', 0, 'Gevora del Caudillo', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06181', 0, 'Sagrajas', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06182', 1, 'Alcazaba', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06182', 2, 'De Talavera', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06183', 0, 'Novelda del Guadiana', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06184', 0, 'Pueblonuevo del Guadiana', 69022, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06185', 0, 'Valdelacalzada', 69017, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06186', 0, 'Guadiana del Caudillo', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06187', 0, 'Guadajira', 60726, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06190', 0, 'La Roca de la Sierra', 61152, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06191', 0, 'Puebla de Obando', 61073, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06192', 0, 'Villar del Rey', 61553, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06193', 1, 'Botoa', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06193', 2, 'Puente de Zapaton', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06194', 0, 'Valdebotoa', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06195', 1, 'Balboa', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06195', 2, 'Villafranco del Guadiana', 60153, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06196', 1, 'Aldea de Retamal', 60401, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06196', 2, 'Aldea del Cura', 60401, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06196', 3, 'Corte de Peleas', 60401, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06196', 4, 'Cortegana', 61263, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06197', 1, 'Entrin Alto', 60457, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06197', 2, 'Entrin Bajo', 60457, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06200', 0, 'Almendralejo', 60114, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06207', 0, 'Aceuchal', 60021, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06208', 0, 'Villalba de los Barros', 61529, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06209', 0, 'Solana de los Barros', 61263, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06210', 0, 'Torremegia', 61330, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06220', 0, 'Villafranca de los Barros', 61494, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06225', 0, 'Ribera del Fresno', 61134, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06226', 0, 'Hinojosa del Valle', 60687, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06227', 0, 'Llera', 60732, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06228', 0, 'Hornachos', 60690, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06229', 0, 'Puebla del Prior', 61067, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06230', 0, 'Los Santos de Maimona', 61226, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06240', 0, 'Fuente de Cantos', 60520, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06249', 0, 'Calzadilla de los Barros', 60270, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06250', 0, 'Bienvenida', 60205, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06260', 0, 'Monesterio', 60858, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06270', 0, 'Segura de Leon', 61247, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06280', 0, 'Fuentes de Leon', 60554, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06290', 0, 'Usagre', 61361, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06291', 0, 'Montemolin', 60861, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06292', 0, 'Calera de Leon', 60264, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06293', 0, 'Cabeza la Vaca', 60248, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06300', 0, 'Zafra', 61588, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06310', 0, 'Puebla de Sancho Perez', 61089, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06320', 0, 'Medina de Las Torres', 60819, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06329', 0, 'Atalaya', 60135, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06330', 0, 'Valencia del Ventoso', 61417, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06340', 0, 'Fregenal de la Sierra', 60508, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06350', 0, 'Higuera la Real', 60671, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06360', 0, 'Fuente del Maestre', 60541, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06370', 0, 'Burguillos del Cerro', 60227, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06378', 0, 'Valverde de Burguillos', 61422, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06379', 0, 'Valdelatas', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06380', 0, 'Jerez de los Caballeros', 60704, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06389', 1, 'La Bazana', 60704, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06389', 2, 'Brovales', 60704, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06389', 3, 'Valuengo', 60704, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06390', 0, 'Feria', 60495, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06391', 0, 'La Lapa', 60711, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06392', 1, 'Matanegra', 61089, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06392', 2, 'El Raposo', 61089, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06393', 0, 'Alconera', 60080, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06394', 0, 'Bodonal de la Sierra', 60212, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06400', 0, 'Don Benito', 60444, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06410', 1, 'Conquista', 61204, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06410', 2, 'Santa Amalia', 61204, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06410', 3, 'Torrefresneda', 60606, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06410', 4, 'Valdehornillos', 60444, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06411', 1, 'Medellin', 60802, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06411', 2, 'Yelbes', 60802, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06412', 1, 'Hernan Cortes', 60444, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06412', 2, 'Ruecas', 60444, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06412', 3, 'Vivares', 60444, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06413', 0, 'Mengabril', 60824, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06420', 0, 'Castuera', 60362, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06427', 0, 'Monterrubio de la Serena', 60877, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06428', 0, 'Puerto Hurraco', 60188, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06429', 1, 'Benquerencia de la Serena', 60188, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06429', 2, 'Puerto Mejorada', 60188, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06429', 3, 'El Quintillo', 60188, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06430', 0, 'Zalamea de la Serena', 61605, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06439', 1, 'Docenario', 60476, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06439', 2, 'Esparragosa de la Serena', 60476, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06440', 0, 'Malpartida de la Serena', 60785, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06441', 0, 'Higuera de la Serena', 60649, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06442', 0, 'Retamal de Llerena', 61128, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06459', 0, 'La Guarda', 60286, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09510', 3, 'Castresana', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09510', 4, 'Lastras de la Torre', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09510', 5, 'Quincoces de Yuso', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09510', 6, 'Relloso', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09510', 7, 'San Miguel de Relloso', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09510', 8, 'Santa Cristina de Relloso', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09510', 9, 'Villabasil', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09510', 10, 'Villaventin', 91890, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 1, 'Aostri', 90503, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 2, 'Barriga de Losa', 90503, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 3, 'Berberana', 90503, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 4, 'Fresno de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 5, 'Hozalla', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 6, 'Junta de San Martin de Losa', 90503, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 7, 'Junta de Villalba de Losa', 90503, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 8, 'Lastras de Teza', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 9, 'Villao', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 10, 'Mambliga de Losa', 90503, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 11, 'Mijala', 91904, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 12, 'Murita', 91904, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 13, 'San Martin de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 14, 'Teza de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 15, 'Villacian', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 16, 'Villalambrus', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 17, 'Villalba de Losa', 91904, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 18, 'Llorengoz', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 19, 'Villota', 91904, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09511', 20, 'Zaballa de Losa', 90503, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 1, 'Castricciones', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 2, 'Criales de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 3, 'Gobantes', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 4, 'Junta de Oteo', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 5, 'Junta de Rio Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 6, 'Momediano', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 7, 'Navangos', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 8, 'Oteo de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 9, 'Paresotas', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 10, 'Perex de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 11, 'Quintanilla de la Ojada', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 12, 'Rio de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 13, 'Robredo de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 14, 'San Llorente de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 15, 'San Pantaleon de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 16, 'Torres', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 17, 'Villaluenga de Losa', 99086, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 18, 'Villamor', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 19, 'Villate', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09512', 20, 'Villatomil', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09513', 1, 'Medianabella', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09513', 2, 'Mion', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09513', 3, 'Pomar', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09513', 4, 'Quintanilla de los Adrianos', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09513', 5, 'San Lazaro', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09513', 6, 'Santa Cruz de Andino', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09513', 7, 'El Vado', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09513', 8, 'Villanueva de la Lastra', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09513', 9, 'Villarias', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 1, 'Angosto', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 2, 'Barcena de Pienza', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 3, 'Barcenillas del Rivero', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 4, 'Boveda de la Ribera', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 5, 'Castrobarto', 91890, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 6, 'La Cerca', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 7, 'Colina de Losa', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 8, 'Junta de Traslaloma', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 9, 'Rosio', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 10, 'Junta de la Cerca', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 11, 'Las Eras', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 12, 'La Lama', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 13, 'Lastras de Las Heras', 91890, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 14, 'La Miga', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 15, 'Quintanamace', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 16, 'Quintanilla de Pienza', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 17, 'Recuenco', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 18, 'Revilla de Pienza', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 19, 'La Riba', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 20, 'El Ribero', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 21, 'Rosales', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 22, 'Cubillo de Losa', 91890, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 23, 'Salinas del Rosio', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 24, 'Santurde', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 25, 'Tabliega de Losa', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 26, 'Villalacre', 91890, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 27, 'Villamar', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 28, 'Villamezan', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 29, 'Villanueva de Rosales', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09514', 30, 'Villataras', 91890, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 1, 'Nofuentes', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 2, 'Aforados de Moneo', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 3, 'Almendres', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 4, 'Baillo', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 5, 'Bustillo de Villarcayo', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 6, 'Casares', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 7, 'Cebolleros', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 8, 'Urria', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 9, 'Las Quintanillas', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 10, 'Moneo', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 11, 'Paralacuesta', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 12, 'Pradolamata', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 13, 'Quintanalacuesta', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 14, 'Mijangos', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 15, 'San Cristobal de Almendres', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 16, 'Ael', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 17, 'Valdelacuesta', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 18, 'Villacomparada', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 19, 'Villamagrin', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 20, 'Villapanillo', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 21, 'Villaran', 92096, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09515', 22, 'Villavedeo', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09530', 0, 'Oa', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09540', 1, 'Tartales de Cilla', 93945, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09540', 2, 'Trespaderne', 93945, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 1, 'Arroyuelo', 93945, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 2, 'Cadianos', 93945, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 3, 'Extramiana', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 4, 'Hierro', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 5, 'Lechedo', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 6, 'La Orden', 93945, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 7, 'Pedrosa de Tobalina', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 8, 'Quintana Entrepeas', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 9, 'Santotis', 93945, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 10, 'Ribamartin', 93945, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 11, 'Quintanilla Montecabezas', 92138, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09549', 12, 'Valujera', 94120, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09550', 0, 'Villarcayo', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09551', 1, 'Cubillo de Butron', 99051, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09551', 2, 'Dobro', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09551', 3, 'Haedo de Butron', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09551', 4, 'Porquera de Butron', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09553', 1, 'Barriosuso', 93569, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09553', 2, 'Barruso', 93569, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09553', 3, 'Bocos', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09553', 4, 'Cespedes', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09553', 5, 'Fresnedo', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09553', 6, 'Villacomparada de Rueda', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09554', 1, 'La Aldea', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09554', 2, 'Andinillo', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09554', 3, 'Andino', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09554', 4, 'Barrio Estacion', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09554', 5, 'Barruelo de Villarcayo', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09554', 6, 'Bisjueces', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09554', 7, 'Horna', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09554', 8, 'La Rad (Barruelo de Villarcayo', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09554', 9, 'Villalain', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15005', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15006', 6, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15007', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15008', 9, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15009', 10, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15010', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15011', 4, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15070', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15071', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15080', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15082', 0, 'A Corua', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15100', 1, 'Carballo (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15100', 2, 'Limioa (Cores)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15101', 0, 'Leira (Noicela)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 1, 'Barreira (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 2, 'Brea (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 3, 'Cernide', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 4, 'Grela (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 5, 'A Iglesia (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 6, 'Labradas (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 7, 'Las (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 8, 'Loureiro (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 9, 'Monte (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 10, 'Outeiro (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 11, 'Quintao', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15102', 12, 'Revolta (Carballo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 1, 'Agramaior (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 2, 'Airas (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 3, 'Algara', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 4, 'Aon (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 5, 'Bertoa (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 6, 'Borrazas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 7, 'Caion (Santa Maria do Socorro)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 8, 'Campo (Noicela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 9, 'Campo (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 10, 'Campo da Costa', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 11, 'Casadelas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 12, 'Casanova (Noicela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 13, 'Casarelas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 14, 'Castelo (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 15, 'Castrillon (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 16, 'Castro (Noicela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 17, 'Centeas (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 18, 'Chamusqueira (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 19, 'Charrua (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 20, 'Constenla (Noicela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 21, 'Corredoira (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 22, 'Feixe', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 23, 'Ferradal (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 24, 'Fonte (Caion)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 25, 'Gilfonge', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 26, 'Guelra', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 27, 'A Iglesia (Lema)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 28, 'Imende', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 29, 'Infantas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 30, 'Leboreo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 31, 'Lema (San Cristobal)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 32, 'Loenzo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 33, 'Os Milagros', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 34, 'Miron (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 35, 'Nandufe', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 36, 'Noicela (Santa Maria)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 37, 'Outeiro (Caion)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 38, 'Outeiro (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 39, 'Pardias (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 40, 'Pedra do Sal', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 41, 'Pedreira (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 42, 'Pereiras (Noicela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 43, 'Perucha', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 44, 'Ponte (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 45, 'Porto da Rama (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 46, 'Queo de Arriba E Abaixo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 47, 'Rapadoiro (Noicela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 48, 'Rebordelos (San Salvador)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 49, 'A Rega', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 50, 'Regueira de Arriba (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 51, 'Requeixo (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 52, 'Salto (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 53, 'Sambade (Noicela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 54, 'Sambade (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 55, 'San Miguel (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 56, 'Seixo (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 57, 'Silvoso (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 58, 'Vilar de Peras', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 59, 'Vilares (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 60, 'Vilela (San Miguel-Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 61, 'Vispilleira', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 62, 'Vista Alegre (Vilela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 63, 'Xenarde (Noicela)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15105', 64, 'Xermaa', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 1, 'Arreba (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 2, 'Barcia (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 3, 'Bardanca', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 4, 'Barreira (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 5, 'Barrio Verdillo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 6, 'Barrios Novos', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 7, 'Bas', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 8, 'Baos Novos', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 9, 'Braas (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 10, 'Brea (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 11, 'Campo da Feira (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 12, 'Canela', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 13, 'Carballo (San Xoan)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 14, 'Carballo de Arriba', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 15, 'Casilla (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 16, 'Castro (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 17, 'Ceide', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 18, 'Cepeira (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 19, 'Compostela (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 20, 'Constenla (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 21, 'O Esclavo', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 22, 'Espio (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 23, 'Figueroa (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 24, 'Goians (Santo Estevo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 25, 'Goians de Arriba', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 26, 'Granxa (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 27, 'Hospital (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 28, 'Lagoa (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 29, 'Lamas (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 30, 'Loureiro (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 31, 'Matadeiro', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 32, 'Muio do Quinto (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 33, 'Ornide (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 34, 'Outeiro (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 35, 'Picho (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 36, 'Pieiro (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 37, 'Pordios', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 38, 'Quintana', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 39, 'Raia (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 40, 'Ramil (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 41, 'Sisamo (Santiago)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 42, 'Torre (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 43, 'Vilanova (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 44, 'Vilar de Suso (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15106', 45, 'Vilares (Sisamo)', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 2, 'Agra (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 3, 'Aldea (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 4, 'Barrio Suizo', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 5, 'Binroleiros', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 6, 'Broo (Maianca)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 7, 'Buinte', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 8, 'Cabreira (Maianca)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 9, 'Canabal (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 10, 'Canide (Maianca)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 11, 'Castaeira', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 12, 'Cividanes', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 13, 'Costa de Aba', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 14, 'Couto (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 15, 'Cubo (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 17, 'Dexo (Santa Maria)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 18, 'Espieiro (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 19, 'Faro (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 20, 'Fonte de Abaixo', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 21, 'Fornos (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 22, 'Gandara (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 23, 'Granxa', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 24, 'Granxaron', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 25, 'A Laguna Mera', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 26, 'Lodeira', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 27, 'Lorbe', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 28, 'Maianca (San Cosme)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 29, 'Mera (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 30, 'Mollon (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 31, 'Padroelo (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 32, 'Parameiras', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 33, 'Pardieiro (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 34, 'Pedrosio', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 35, 'Pereira (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 36, 'Portela (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 37, 'Punxeiro (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 38, 'Santa Ana (Dorneda)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 39, 'Seixo Blanco (San Xulian Seran', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 40, 'Serantes (San Xulian)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 41, 'Subia', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 42, 'Torre (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 43, 'Torres de Lorbe', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 44, 'Vigo (Mera)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 45, 'Xabron', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 46, 'Xoez', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15177', 47, 'Xogo da Bola', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 1, 'Abeleiras (Dormeda)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 2, 'Aguarrio', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 3, 'Aguieira (Dorneda)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 4, 'Arillo', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 5, 'Breixo', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 6, 'Couta', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 7, 'Couto (Dorneda)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 8, 'Cubo (Dorneda)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 9, 'Dorneda (San Martio)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 10, 'Os Galgos (Dorneda)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 11, 'Lourido (Muios-Dorneda)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 12, 'Lourido Grande', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 13, 'Lourido Pequeno', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 14, 'Pinar do Rio', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 15, 'Sisaldo', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 16, 'Tornos (Dorneda)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15178', 17, 'Xas', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 1, 'Babilonia', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 2, 'Bastiagueiro', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 3, 'Bail', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 4, 'Choupana (Porto de Santa Cruz)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 5, 'Coruxo de Abaixo (Porto Santa', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 6, 'Coruxo de Arriba (Porto Santa', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 7, 'Cubo (Porto Santa Cruz)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 8, 'Eiris (Porto de Santa Cruz)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 9, 'Espio (Santa Cruz)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 10, 'Ferrala', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 11, 'Franzomel', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 12, 'Lamastelle', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 14, 'Longora', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 15, 'Meixonfrio (Porto Santa Cruz)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 16, 'Montesios', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 17, 'Montrove', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 18, 'Muio (Porto Santa Cruz)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 20, 'Pazos (Porto Santa Cruz)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 21, 'Porto de Santa Cruz', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 22, 'Romardeiro', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 23, 'Santa Cruz (Porto Santa Cruz)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 24, 'Seixo (Porto de Santa Cruz)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15179', 25, 'Vista Alegre (Porto de Santa C', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 1, 'Alvedro', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 2, 'Campo de Aviacion', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 3, 'Campos (Sigras)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 4, 'Carcabelos', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 5, 'As Catas', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 6, 'Choeira', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 7, 'Costa de Alvedro', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 8, 'Marisqueira', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 9, 'Pelamios', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 10, 'O Pereiro', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 11, 'Poligono Industrial A Granxa', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15180', 12, 'Regueira (Alvedro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 1, 'Aian', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 2, 'Allan', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 3, 'Altamira (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 4, 'Alto da Rocha', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 5, 'Anceis (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 6, 'Cabana (De Anceis-Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 7, 'Cabana (De Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 8, 'Campo (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 9, 'Campones', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 10, 'Carreira (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 11, 'Carros', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 12, 'Castrobo (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 13, 'Catro Ventos (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 14, 'Coence', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 15, 'Costa (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 16, 'Currillo', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 17, 'Curros (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 18, 'Drozo (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 19, 'Gaiteiro', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 20, 'Iglesia (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 21, 'Inxertos (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 22, 'Mercurin (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 23, 'Pena (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 24, 'Picardos', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 25, 'Pite (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 26, 'Pontido', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 27, 'Rego (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 28, 'A Rocha (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 29, 'San Benito (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 30, 'Seoane (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 31, 'Sigras (Santiago)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 32, 'Sigras de Abaixo', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 33, 'Sigras de Arriba', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 34, 'Sobrecarreira', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 35, 'Souto (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 36, 'Telva (De Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 37, 'Vilar (Sigras)', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15181', 38, 'Xira', 150177, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 1, 'Azueira', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 14, 'Mean', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06443', 0, 'Campillo de Llerena', 60299, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06444', 0, 'Valencia de Las Torres', 61396, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06445', 0, 'Higuera de Llerena', 60652, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06450', 0, 'Quintana de la Serena', 61092, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06458', 0, 'Valle de la Serena', 61469, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06460', 0, 'Campanario', 60286, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06468', 1, 'Los Cercones', 60750, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06468', 2, 'Magacela', 60750, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06469', 0, 'La Coronada', 60397, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06470', 0, 'Guarea', 60606, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06473', 0, 'Villagonzalo', 61514, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06474', 0, 'Valdetorres', 61383, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06475', 0, 'Oliva de Merida', 60943, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06476', 0, 'Palomas', 60981, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06477', 0, 'Puebla de la Reina', 61041, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06478', 0, 'Manchita', 60798, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06479', 0, 'Cristina', 60418, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06480', 0, 'Montijo', 60883, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06486', 0, 'La Nava de Santiago', 60900, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06487', 0, 'Cordobilla de Lacara', 60384, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06488', 0, 'Carmonita', 60310, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06489', 0, 'De Lacara', 60883, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06490', 0, 'Puebla de la Calzada', 61036, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06498', 0, 'Lobon', 60726, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06499', 0, 'Barbao', 60883, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06500', 0, 'San Vicente de Alcantara', 61232, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06509', 1, 'El Convento', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06509', 2, 'La Ermita', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06509', 3, 'La Rocita de Mayorga', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06509', 4, 'La Torre', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06510', 0, 'Alburquerque', 60068, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06518', 0, 'La Codosera', 60378, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06519', 1, 'Bacoco', 60068, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06519', 2, 'Benavente', 60068, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06519', 3, 'El Marco', 60068, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06519', 4, 'Nuestra Seora de Carrion', 60068, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06600', 0, 'Cabeza del Buey', 60233, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06610', 0, 'Pealsordo', 61008, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06611', 0, 'Zarza Capilla', 61612, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06612', 0, 'Capilla', 60303, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06613', 0, 'Helechal', 60188, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06614', 0, 'Almorchon', 60233, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06615', 0, 'La Nava (De Almorchon)', 60188, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06620', 0, 'Esparragosa de Lares', 60482, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06630', 0, 'Puebla de Alcocer', 61020, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06640', 0, 'Talarrubias', 61279, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06649', 0, 'Pantano de Garcia Sola', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06650', 0, 'Siruela', 61250, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06655', 0, 'Sancti-Spiritus', 61187, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06656', 0, 'Garlitos', 60573, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06657', 0, 'Risco', 61149, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06658', 0, 'Tamurejo', 61302, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06659', 0, 'Baterno', 60172, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06660', 0, 'Fuenlabrada de los Montes', 60515, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06670', 0, 'Herrera del Duque', 60634, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06678', 0, 'Villarta de los Montes', 61572, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06679', 0, 'Peloche', 60634, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06680', 0, 'Castilblanco', 60359, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06688', 0, 'Central Nuclear Valdecaballero', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06689', 0, 'Valdecaballeros', 61377, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06690', 0, 'Garbayuela', 60567, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06691', 1, 'Guadisa', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06691', 2, 'Pantano de Cijara', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06692', 0, 'Helechosa de los Montes', 60628, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06693', 0, 'Pantano de Guadisa', 999999, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06700', 0, 'Villanueva de la Serena', 61535, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06710', 0, 'Entrerrios', 61535, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06711', 0, 'Gargaligas', 60444, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06712', 0, 'Zurbaran', 61535, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06713', 0, 'Guadalperales', 60016, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06714', 0, 'La Haba', 60613, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06715', 0, 'Rena', 61113, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06716', 0, 'Villar de Rena', 61566, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06717', 1, 'Palazuelo', 61566, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06717', 2, 'Puebla de Alcollarin', 61566, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06717', 3, 'El Torviscal', 61566, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06718', 0, 'Castillo de la Encomienda', 61535, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06720', 0, 'Valdivia', 61535, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06730', 1, 'Acedera', 60016, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06730', 2, 'Obando', 60917, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06731', 0, 'Vegas Altas', 60917, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06740', 0, 'Orellana la Vieja', 60975, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06750', 0, 'Orellana de la Sierra', 60969, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06760', 0, 'Navalvillar de Pela', 60917, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06770', 0, 'Casas de Don Pedro', 60331, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06800', 0, 'Merida', 60830, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06810', 0, 'Calamonte', 60251, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06820', 0, 'Don Alvaro', 60439, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06830', 0, 'Zarza de Alange', 61627, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06840', 0, 'Alange', 60042, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06850', 0, 'Arroyo de San Servan', 60129, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06860', 1, 'De Aljucen', 60460, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06860', 2, 'Esparragalejo', 60460, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06870', 0, 'La Garrovilla', 60589, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06880', 0, 'Torremayor', 61324, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06890', 0, 'Valverde de Merida', 61456, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06891', 0, 'Mirandilla', 60845, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06892', 1, 'Coto de Campomanes', 61358, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06892', 2, 'Trujillanos', 61358, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06893', 0, 'San Pedro de Merida', 61190, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06894', 1, 'Aljucen', 60093, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06894', 2, 'Carrascalejo', 60093, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06900', 0, 'Llerena', 60747, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06906', 0, 'Puebla del Maestre', 61054, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06907', 0, 'Pallares', 60861, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06908', 0, 'Santa Maria la Nava', 60861, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06909', 0, 'Trasierra', 61345, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06910', 0, 'Granja de Torrehermosa', 60592, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06919', 0, 'Peraleda del Zaucejo', 61015, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06920', 0, 'Azuaga', 60140, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06927', 0, 'Valverde de Llerena', 61443, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06928', 0, 'Malcocinado', 60779, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06929', 1, 'La Cardenchosa', 60140, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06929', 2, 'Los Rubios', 60140, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06930', 0, 'Berlanga', 60191, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06939', 0, 'Maguilla', 60763, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06940', 0, 'Ahillones', 60037, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06950', 0, 'Villagarcia de la Torre', 61507, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06960', 0, 'Casas de Reina', 60346, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06970', 0, 'Reina', 61106, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('06980', 0, 'Fuente del Arco', 60536, 6, 
    0, 10, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07001', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07002', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07003', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07004', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07005', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07006', 2, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07007', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07008', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07009', 1, 'Cas Capita', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07009', 4, 'Es Pla de Na Tesa/El Pla de Na', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07009', 5, 'Es Pont D''Inca/El Pont D''Inca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07009', 6, 'Son Bonet', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07009', 7, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07010', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07011', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07012', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07013', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07014', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07015', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07070', 0, 'Palma de Mallorca', 70407, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('07100', 7, 'Ses Argiles', 70619, 7, 
    0, 4, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09555', 1, 'Campo', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09555', 2, 'Mozares', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09555', 3, 'La Quintana de Rueda', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09555', 4, 'Torme', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09555', 5, 'Villanueva la Blanca', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09556', 1, 'Casillas', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09556', 2, 'Ciguenza', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09556', 3, 'Otedo', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09556', 4, 'Quintanilla Sociguenza', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09556', 5, 'Salazar', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09556', 6, 'Villacanes', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 1, 'Brizuela', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 2, 'Cogullos', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 3, 'Escanduso', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 4, 'Escao', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 5, 'Haedo de Linares', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 6, 'Junta de Puentedey', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 7, 'Leva', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 8, 'Linares', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 9, 'Nela', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 10, 'Puentedey', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 11, 'Quintanilla Valdevodres', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 12, 'Sobrepea', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 13, 'Tubilla', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09557', 14, 'Villaves', 92169, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 1, 'Arges', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 2, 'Bocarrero', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 3, 'Casaval de Rioseco', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 4, 'Cidad de Ebro', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 5, 'Congosto de Rioseco', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 6, 'Cueva de Manzanedo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 7, 'Fuentehumorera', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 8, 'Hocina', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 9, 'Valle de Manzanedo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 10, 'Lechosa de Manzanedo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 11, 'Lechosa de Rioseco', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 12, 'Manzanedillo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 13, 'Manzanedo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 14, 'Mudoval', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 15, 'Pealba de Manzanedo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 16, 'Quintana del Rojo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 17, 'Remolino', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 18, 'Retuerto', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 19, 'Rioseco', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 20, 'Riosequillo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 21, 'San Cristobal de Rioseco', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 22, 'San Martin del Rojo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 23, 'Incinillas', 99033, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 24, 'Vallejo de Manzanedo', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 25, 'Villasopliz', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09558', 26, 'Zurita', 94094, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 1, 'El Almie', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 2, 'Los Altos', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 3, 'Arroyo de Valdivielso', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 4, 'Cereceda', 92387, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 5, 'Condado de Valdivielso', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 6, 'Hoz de Valdivielso', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 7, 'Panizares', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 8, 'Poblacion de Valdivielso', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 9, 'Vallhermosa de Valdivielso', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 10, 'Quecedo de Valdivielso', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 11, 'Quintana de Valdivielso', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 12, 'Santa Olalla de Valdivielso', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 13, 'Tartales de los Montes', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 14, 'Toba de Valdivielso', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 15, 'Valdenoceda', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 16, 'Puentearenas', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 17, 'Escobados de Abajo', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 18, 'Escobados de Arriba', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 19, 'Huidobro', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 20, 'Pesadas', 92175, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 21, 'Villaescusa de Butron', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09559', 22, 'Villalta', 90145, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09560', 0, 'Espinosa de los Monteros', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 1, 'Barcenas de Espinosa', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 2, 'Cuatro Rios Pasiegos', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 3, 'Lasia', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 4, 'Lunada', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 5, 'Las Machorras', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 6, 'Las Nieves', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 7, 'Rio de la Sia', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 8, 'Rio de Lunada', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 9, 'Rio de Rioseco', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 10, 'Rio de Trueba', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 11, 'Salcedillo', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 12, 'La Sia', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09566', 13, 'Trueba', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09567', 1, 'Barcenillas de Cerezo', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09567', 2, 'Hornillalatorre', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09567', 3, 'Para', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09567', 4, 'Santa Olalla', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 1, 'Bedon', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 2, 'Butrera', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 3, 'Cerezos', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 4, 'Cornejo de Sotoscueva', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 5, 'Cueva de Sotoscueva', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 6, 'Entrambosrios', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 7, 'Herrera de Redondo', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 8, 'Hornillalastra', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 9, 'Hornillayuso', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 10, 'La Parte de Sotoscueva', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 11, 'Pereda', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 12, 'Quintanilla del Rebollar', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 13, 'Quintanilla Sotoscueva', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 14, 'Quisicedo Sotoscueva', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 15, 'El Rebollar', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 16, 'Redondo', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 17, 'Vallejo de Sotoscueva', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 18, 'Villabascones de Sotoscueva', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09568', 19, 'Villamartin de Sotoscueva', 92156, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 1, 'Aguera de Montija', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 2, 'Baranda de Montija', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 3, 'Bercedo', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 4, 'Bustichero', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 5, 'El Crucero', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 6, 'La Cuesta', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 7, 'Cuestahedo', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 8, 'Edesa', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 9, 'Fuensanta de Gayangos', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 10, 'Gayangos', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 11, 'Loma de Montija', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 12, 'Montecillo', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 13, 'Montecillo de Montija', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 14, 'Noceco', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 15, 'El o San Miguel Puente', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 16, 'Quintana de los Prados', 91242, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 17, 'Quintanahedo', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 18, 'Quintanilla Sopea', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 19, 'San Pelayo de Montija', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 20, 'Villalazara', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 21, 'Villasante', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09569', 22, 'Villasorda de Noceco', 92143, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09570', 0, 'Arija', 90256, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09571', 1, 'Alfoz de Santa Gadea', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09571', 2, 'Arnedo de Hoz', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09571', 3, 'Herbosa', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09571', 4, 'Higon', 90124, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09571', 5, 'Montejo de Bricia', 90119, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09571', 6, 'Quintanilla de San Roman', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('09572', 1, 'Alfoz de Bricia', 94136, 9, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24403', 0, 'Ponferrada', 241152, 24, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('24191', 0, 'Len', 240896, 24, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 127, 'Granxa (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 1, 'As Abelares (Requian-Santiago)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 2, 'As Abelares (San Pedro de Via', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 3, 'Abrodos', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 4, 'Acea (Mondoi)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 5, 'Airas (Lavia)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 6, 'Aldea (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 7, 'Amodia (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 8, 'As Angustias', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 9, 'Ansoi', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 10, 'Areosa (Mondoy)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 11, 'Areosa (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 12, 'Avieira (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 13, 'Baiuca (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 14, 'Baiuca (Mondoi)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 15, 'Baltar (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 16, 'Baralla (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 17, 'Barallobres', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 18, 'Barcia (Mondoi)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 19, 'Barral (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 20, 'O Barral', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 21, 'O Barral (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 22, 'Barreiro (Abegondo)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 23, 'Barreiro (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 24, 'Barreiro (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 25, 'Betanzos o Vello', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 26, 'Blanco', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 27, 'Bosque (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 28, 'Brabio (San Martio)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 29, 'Braxe (Tiobre-San Martio)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 30, 'Braa (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 31, 'Calexa', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 32, 'Callou', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 33, 'Calva (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 34, 'Calzada (Mondoi)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 35, 'Campodeira', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 36, 'Campos (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 37, 'Canteira (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 38, 'Caraa de Abaixo', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 39, 'Caraa de Arriba', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 40, 'Caraa do Medio', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 41, 'O Carballo (Villozas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 42, 'Carreira (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 43, 'Casagrande (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 44, 'Casas Novas (Guliliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 45, 'As Casas Novas (Requian)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 46, 'Cascas (Mondoi)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 47, 'A Casilla (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 48, 'A Casilla', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 49, 'Castro (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 50, 'O Castro de San Fiz', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 51, 'Castro Pequeno', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 52, 'Centeas (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 53, 'O Cepio', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 54, 'Chantada (Vias-San Pantaleon)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 55, 'Coleira', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 56, 'Condesa', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 57, 'Condomia (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 58, 'Cortian Santa Maria (Pontella', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 59, 'Costa Das Angustias', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 60, 'Coto (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 61, 'O Coto (Bravio-San Martio)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 62, 'Cruz (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 63, 'A Cruz (Villozas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 64, 'Curras (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 65, 'Curras de Abaixo (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 66, 'Curras de Arriba (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 67, 'Curro (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 68, 'Curro (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 69, 'Curros (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 70, 'Espantosa', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 71, 'O Farragoto (Requian-Santiago)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 72, 'Fontaia (Villozas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 73, 'Fonte Francia', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 74, 'Fontela (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 75, 'Forte (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 76, 'Fox', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 77, 'Fraga (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 78, 'Fraga (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 79, 'Frances (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 80, 'Fuxin', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 81, 'Galea (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 82, 'Ganxa (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 83, 'Gas (Villozas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 84, 'Gas (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 85, 'Granxa de Souto', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 86, 'Graa (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 87, 'A Graa (Requian-Santiago)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 88, 'Guende', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 89, 'Guiliade', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 90, 'Hermo', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 91, 'Hospital (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 92, 'Illobre (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 93, 'Illobre (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 94, 'A Infesta', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 95, 'Insua (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 96, 'Lambre (Vias-San Pantaleon)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 97, 'Lambre Pinazas', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 98, 'Lanza', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 99, 'Limpeiro', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 100, 'Lourido (Mondoi)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 101, 'Luteiro', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 102, 'Magdalena', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 103, 'Marco (Vigo San Vicente)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 104, 'O Martinete (Mondoi)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 105, 'O Marulo', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 106, 'Mayal (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 107, 'Mende (Mondoi)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 108, 'Mendos (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 109, 'Mondoi (Santa Cruz)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 110, 'Monte (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 111, 'Monte de Capitan', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 112, 'Monte Vilar', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 113, 'Montecelo (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 114, 'Montellos', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 115, 'Mouro (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 116, 'Ouro (Vias-San Pantaleon)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 117, 'Outeiro (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 118, 'Outeiro (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 119, 'Pastoriza A Nova', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 120, 'Pazo (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 121, 'Pedreira (Pontellas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 122, 'Pedreira (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 123, 'Pedrido (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 124, 'Pena (Mondoi)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 125, 'Penouvia (Vias)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 126, 'Peton (Guiliade)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15319', 127, 'Piadela (Santo Estevo)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15320', 0, 'As Pontes de Garcia Rodriguez', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 7, 'O Cristo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 56, 'Vilar de Riva', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 57, 'Vilarquinte', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 58, 'Vilasuso (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 1, 'Caleira (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 2, 'Calvario (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 3, 'Campo (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 4, 'Candail', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 5, 'Choupinete', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 6, 'Crecente', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 7, 'Donelle (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 8, 'Forcadas (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 9, 'Furada', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 10, 'A Iglesia (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 11, 'Latoal', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 12, 'Leiroa', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 13, 'Loira (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 14, 'Loiravella', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 15, 'Lousada (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 16, 'Martices (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 17, 'Moimento (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 18, 'Pazos (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 19, 'Reja (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 20, 'Tineo (Loira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15542', 21, 'Vilaboi', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 1, 'Agua Levada (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 2, 'Aguiunchos', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 3, 'Basteiros', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 4, 'Brage (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 5, 'A Braxe (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 6, 'Cadaval (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 7, 'Camio Grande (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 8, 'Campo da Taberna', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 9, 'Caneiro (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 10, 'A Carbeira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 11, 'Castelo (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 12, 'Cortias de Abaixo', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 13, 'Cortias de Arriba', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 14, 'A Cruxeira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 15, 'A Figueira (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 16, 'A Igrexa (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 17, 'Malate', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 18, 'Maravilla (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 19, 'Morgadelle', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 20, 'Pena de Boi', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 21, 'O Pereiro (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 22, 'Os Romeos', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 23, 'San Pedro (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 24, 'Seixidal (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 25, 'O Seixidal (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 26, 'Os Vidueiros (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 27, 'Vila Dos Anxeles', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 28, 'Vilaboa (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 29, 'Vilar (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 30, 'Vilavicenta', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 31, 'Vilaxe', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 32, 'Vilela (Vilaboa)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15543', 33, 'A Vispeira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15549', 0, 'Zapateiro', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 1, 'Barreiro (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 2, 'Baa (Sequeiro Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 3, 'A Bedoxa', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 4, 'Bieiteiro', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 5, 'Bolleira (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 6, 'Cabezal (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 7, 'Campo (Caneiro)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 8, 'Campo (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 9, 'Caneiro (Sequeiro Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 10, 'Cantodomuro', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 11, 'Capela (Sequeiro-Meira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 12, 'Carballeira (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 13, 'Carreira Abaixo', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 14, 'Carreira Arriba', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 15, 'Casa Novas (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 16, 'Casal (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 17, 'Casalvello', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 18, 'Costa (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 19, 'Cubeta', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 20, 'Fornos (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 21, 'Gandara (Sequeiro)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 22, 'A Iglesia (Sequeiro)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 23, 'Lameira (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 24, 'Lodeiro (Sequeiro)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 25, 'Lourido (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 26, 'Meiras (Ferrol)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 27, 'Monete', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 28, 'Montefaro (Sequeiro Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 29, 'Padin (Sequeiros)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 30, 'Pallotas', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 31, 'Pedreira (Sequeiro Meira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 32, 'Penas (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 33, 'Penedo (Sequeiro (Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 34, 'Peritela', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 35, 'Pomar', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 36, 'Regueira (Fraga)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 37, 'Regueiro (Sequeiro-Meira)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 38, 'Regueiro Meha', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 39, 'Riaa', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 40, 'Riobo (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 41, 'Salgueiral', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 42, 'San Andres (Sequeiro)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 43, 'San Bartolome (Sequeiro-Meiras', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 44, 'Sequeiro (Sequeiro)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 45, 'Sixto (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 46, 'Taraza', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 47, 'Telleiras (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 48, 'Toimil', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 49, 'Tuimil', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 50, 'Veiga (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15550', 51, 'Vilanova (Sequeiro-Meiras)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 1, 'Balsada', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 2, 'Barreiro (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 3, 'Boeiras', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 4, 'Bolleiras', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 5, 'Bouza da Cabra', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 6, 'Broo (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 7, 'Castido', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 8, 'Castro (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 9, 'Conteiro', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 10, 'Fonte de Outeiro', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 11, 'Fraguizon', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 12, 'Gandara (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 13, 'Lago', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 14, 'Lanzos', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 15, 'Longara (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 16, 'Mosende de Abaixo', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 17, 'Mosende de Arriba', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 18, 'Muio (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 19, 'Outeiro (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 20, 'Painceira (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 21, 'Pazos (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 22, 'Pedreira (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 23, 'Pena (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 24, 'Penido', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48509', 0, 'Abanto y Cirvana-Abanto Zierbena', 480025, 48, 
    0, 17, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03502', 0, 'Benidorm', 30319, 3, 
    0, 16, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 2, 'Belbis (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 3, 'Belvis (Carral)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 4, 'Belvis (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 5, 'Braa (Corredoira)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 6, 'Brexa', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 7, 'Calle (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 8, 'Cambela', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 9, 'Capelos (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 10, 'Casetas (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 11, 'Chouzon', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 12, 'Corpo Santo', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 13, 'Corrales la Iglesia (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 14, 'Esperon (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 15, 'Fonte Dos Matos', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 16, 'Gosende (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 17, 'A Iglesia (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 18, 'Lameira (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 19, 'Lodeiro (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 20, 'Monte (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 21, 'Pedrido (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 22, 'Pieiro (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 23, 'Ponte da Brexa', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 24, 'Os Ramos (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 25, 'San Xian', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 26, 'Sergude (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 27, 'Tabeaio', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 28, 'Tarroeira (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 29, 'Valio (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 30, 'Vilamouro (Espreon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 31, 'Vilamouro de Arriba', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15182', 32, 'Vista Real (Esperon)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 1, 'Argonte', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 2, 'Cabancas', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 3, 'Calle (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 4, 'Canedo (Herbes)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 5, 'Cimadevila (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 6, 'Curro (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 7, 'Esperante', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 8, 'Gundisal', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 9, 'Herves', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 10, 'Horta do Conde', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 11, 'A Iglesia (Cela)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 12, 'A Iglesia (Quembre)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 13, 'Lago (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 15, 'Mella (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 16, 'Montecilo (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 17, 'Novas (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 18, 'Outeiro (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 19, 'Paiosaco (Armenton)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 20, 'Parada de Abaixo', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 21, 'Parada de Arriba', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 22, 'Paradela (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 23, 'Pedreira (Cerceda)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 24, 'Peito (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 25, 'Pendo (Cerceda)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 26, 'Pieiro (Cerceda)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 27, 'Ponte Lago', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 28, 'Pontelago', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 29, 'Porrio', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 30, 'Poza (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 31, 'Pumar (Cerceda)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 32, 'Quembre', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 33, 'Ribeira (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 34, 'Salgueiros (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 35, 'Sobreventanas', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 36, 'Souto de Arriba', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 37, 'Taxea', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 38, 'Teixoeiras (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 39, 'Travesas (Herves)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15183', 40, 'Veira (Sta Maria)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 1, 'Batan (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 2, 'Belbis (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 3, 'Belvis (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 4, 'Cabra de Abaixo', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 5, 'Cabra de Arriba', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 6, 'Cabra do Medio', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 7, 'Campo da Aldea', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 8, 'Celas (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 9, 'Chamoso (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 10, 'Chan do Souto (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 11, 'Corredoira (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 12, 'Curtiela (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 13, 'Galgans', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 14, 'A Iglesia (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 15, 'Lale (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 16, 'Lamagal', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 17, 'Lamegal', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 18, 'Lavandeira (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 19, 'Loureiro (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 20, 'Mende (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 21, 'Montemean (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 22, 'Pousada (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 23, 'Prado (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 24, 'Provanzo', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 25, 'Rubieiro (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 26, 'San Pedro (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 27, 'Souto de Cuarto', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 28, 'Souto Figueira', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 29, 'Sumio (Santiago)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 30, 'Tarroeira (Sumio)', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 31, 'Vilasuso', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 32, 'Xocin', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 33, 'Xontes Grande', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 34, 'Xontes Pequeno', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 35, 'Xuntin', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15184', 36, 'Zabuceda', 150217, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 1, 'Albarda', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 2, 'Alga', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 3, 'Alto (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 4, 'Antemil', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 5, 'Buenos Aires (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 6, 'Cachizo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 7, 'Campo da Feira (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 8, 'Cancela (Ceceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 9, 'Candendo (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 10, 'Carballal (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 11, 'Casanova (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 12, 'O Castro (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 13, 'Cerceda (San Martin)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 14, 'Codesal (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 15, 'Cortelle (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 16, 'Coto (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 17, 'O Cruce (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 18, 'Esperon (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 19, 'Fins', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 20, 'Fontaia (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 21, 'Fracela (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 22, 'Galia', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 23, 'Gandara (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 24, 'Guntin (Sofan)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 25, 'Mato Vello', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 26, 'O Mato (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 27, 'Outeiro (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 28, 'Rabadeira (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 29, 'Regueira (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 1, 'Alto do Pio (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 2, 'Carballo Infante', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 3, 'Carreira (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 4, 'Casilla (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 5, 'Castieira (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 6, 'Codesas (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 8, 'Espiaredo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 9, 'Gregode', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 10, 'Pena de Eiriz (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 11, 'Pereiro (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15324', 12, 'Pieiro (Espiaredo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 1, 'Ameneiros (Goente)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 2, 'Apereira', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 3, 'Ar (Goente)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 4, 'Barreiro', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 5, 'Bouza (Eume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 6, 'Cabana (Goente)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 7, 'Cadabas Grandes', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 8, 'Cadabas Pequenos', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 9, 'Caibancas', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 10, 'Calisto', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 11, 'Cameleiros', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 12, 'Carballo (Eume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 13, 'Casilla (Goente)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 14, 'Congostras (Goente)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 15, 'Cornas', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 16, 'Couce (Eume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 17, 'Cruz (Eume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 18, 'Cruz de Rosende', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 19, 'Empalme (Goente)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 20, 'Faeira', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 21, 'Ferreiras', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 22, 'Filgueira', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 23, 'Fraga Redonda (Eume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 24, 'Fragacha (Eume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 25, 'Gallel', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 26, 'Goente', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 27, 'A Iglesia (Goente)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 28, 'Lamas (Eume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 29, 'Lamela (Eume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 30, 'Laurentin', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 31, 'Lombos', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 32, 'Mazcoto', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 33, 'Murixoso', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 34, 'Paipaz', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 35, 'Palmeiro (Goente)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 36, 'Pazo (Faeira)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 37, 'Pena do Millo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 38, 'Pena do Tizon', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 39, 'Pereira', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 40, 'A Pereira (Eume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 41, 'Pereiro (Faeira)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 42, 'Picobello', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 43, 'O Pieiral', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 44, 'Porto do Lio', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 45, 'Porto Dos Frades', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 46, 'Porto Liares', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 47, 'Pumar', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 48, 'Ramallal', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 49, 'Rebardilde', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 50, 'Reboredos', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 51, 'Redonda (Faeira)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 52, 'Regalados (Goente)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 53, 'Rego Dos Bacaros', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 54, 'Sanchez', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 55, 'Teixedelos', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 56, 'Terba', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 57, 'Tras do Monte', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 58, 'Venade', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 59, 'Vilar (Faeira)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 60, 'Viso (Faeira)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 61, 'Vista Alegre (Goente)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15325', 62, 'Xestal', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 1, 'Acebeiral', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 2, 'Acibeiral (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 3, 'Ada (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 4, 'Aldea de Abaixo (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 5, 'Aldea de Arriba (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 6, 'Alvaron (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 7, 'Azureira (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 8, 'Balia', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 9, 'Barral (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 10, 'Baal', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 11, 'Belia', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 12, 'Besta (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 13, 'Borrallas (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 14, 'Brandian (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 15, 'Brixeo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 16, 'Busto (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 17, 'Cabalar (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 18, 'Cabana (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 19, 'Cabanas de Abaixo (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 20, 'Cabanas de Arriba (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 21, 'Cabandelas (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 22, 'Cabanela de Abaixo (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 23, 'Cabanela de Arriba (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 24, 'Cabeceira (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 25, 'Cabeceira (San Mamede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 26, 'Cabeza de Vaca (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 27, 'Calbela', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 28, 'Campos (San Mamede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 29, 'Campoverde (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 30, 'Cancelas (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 31, 'Cancelas de Abaixo (Devesa)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 32, 'Cancelas de Arriba (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 33, 'Cancelas de Medio (Devesa)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 34, 'Candedos de Abaixo (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 35, 'Candedos de Arriba', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 36, 'Caneiro (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 37, 'Carballeira (San Mamede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 38, 'Cartelida (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 39, 'Casa da Bouza', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 40, 'Casal do Paio (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 41, 'Casanova (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 42, 'Casanova (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 43, 'Casanova de Pouparia', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 44, 'Caseta (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 45, 'Casilla (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 46, 'Caxete', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 47, 'Celerote (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 48, 'Celerote de Abaixo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 49, 'Cernada de Abaixo (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 50, 'Cernada de Arriba (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 51, 'Cervicol', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 52, 'Chao de Arriba', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 53, 'Chao Dos Carneiros (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 54, 'Chao Dos Paces', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 55, 'Cobas de Abaixo (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 56, 'Cobas de Arriba', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 57, 'Cobas do Medio', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 58, 'Cobelos (San Mamede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 59, 'Cotelo (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 60, 'Coto (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 25, 'Poi', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 26, 'Romalde', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 27, 'San Andres (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 28, 'Saria', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 29, 'Soutullo (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 30, 'Torre (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 31, 'Toxetes', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 32, 'Viansil', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15551', 33, 'Vilar (Lago)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 1, 'Agros', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 2, 'Aldareta', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 3, 'Atios de Abaixo', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 4, 'Atios de Arriba', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 5, 'Avio (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 6, 'Bacariza (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 7, 'Bacorelle', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 8, 'Baladas (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 9, 'Barreira (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 10, 'Basillon', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 11, 'Bergaa', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 12, 'Boeiro', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 13, 'Cachaveira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 14, 'Cameleiro (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 15, 'Campeiras (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 16, 'Campo da Veiga', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 17, 'Carballal (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 18, 'Cardido', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 19, 'Carreira (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 20, 'Casanova (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 21, 'Casarellos', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 22, 'Casasnovas (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 23, 'Chamorro', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 24, 'Chousa (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 25, 'Cobal', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 26, 'Cobas (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 27, 'Cobelo (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 28, 'Costeira (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 29, 'Donelle (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 30, 'Entrerios (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 31, 'Espiuda', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 32, 'Ferreira (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 33, 'Figueiras (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 34, 'Gandara de Abajo (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 35, 'Gandara de Arriba (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 36, 'Gandara de San Miguel', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 37, 'Gandarrosa de Arriba', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 38, 'Gonzalvite', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 39, 'Granxa (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 40, 'Grao', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 41, 'Jafeiro', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 42, 'Ladeira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 43, 'Maitufe', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 44, 'Malde (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 45, 'Meitufe (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 46, 'Miros', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 47, 'Mourela (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 48, 'Mourente (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 49, 'Paredes (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 50, 'Pena (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 51, 'Penela (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 52, 'Pereiro (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 53, 'Pichoca', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 54, 'Pieiros (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 55, 'Ponte (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 56, 'Porta Dos Novos', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 57, 'Porto do Sol', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 58, 'Porto Dos Novos', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 59, 'Portodoso', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 60, 'Portomaior', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 61, 'Poulo (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 62, 'Pousada (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 63, 'A Riba (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 64, 'Rio do Foxo', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 65, 'Robaleira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 66, 'Rocha (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 67, 'Saia (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 68, 'Santalla (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 69, 'Souto Bello (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 70, 'Timiraos', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 71, 'Trandeiras (Valdovio)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 72, 'Valdovio', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15552', 73, 'Vergaa', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 1, 'Aloira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 2, 'Amillareira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 3, 'Anidos (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 4, 'Aponte', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 5, 'Ario', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 6, 'Auceira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 7, 'Auteiro', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 8, 'Aveiga (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 9, 'Barreira (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 10, 'Barreiro (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 11, 'Barrosa (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 12, 'Beceiros', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 13, 'O Cadaval (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 14, 'Cardosa', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 15, 'Casianas', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 16, 'Castro de Marnela', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 17, 'O Castro (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 18, 'Cobela', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 19, 'Cobo (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 20, 'Coto (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 21, 'Coto do Barreiro', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 22, 'Cutillon (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 23, 'Donmondon', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 24, 'Fermil', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 25, 'Figaredo (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 26, 'Fradigas', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 27, 'Freixo de Abaixo', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 28, 'Freixo de Arriba', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 29, 'Gabeiras', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 30, 'Gente', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 31, 'Iglesario (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 32, 'Javeira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 33, 'Lagares (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 34, 'Lagoa (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 35, 'Laxe (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 36, 'Maizoso', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 37, 'Marnela de Abaixo', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 38, 'Marnela de Arriba', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 39, 'Moreira', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 40, 'Mouriscal', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 41, 'Muio Vello (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 42, 'Outeiro (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 43, 'Pantin', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 44, 'Pedreira (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 45, 'Pedrogoso', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 46, 'Pena (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 47, 'Pereira (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 48, 'Ponte (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 49, 'Prietos', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 50, 'Ramalleira (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 51, 'Sanxiao', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 52, 'Sobreavila', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 53, 'Souto (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 54, 'Talieiro', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 55, 'Teixoeira (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 30, 'Ribasoutas', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 31, 'Seoane (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 32, 'Silvaoscura (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 33, 'Sobre da Fonte', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 34, 'Tigueira', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 35, 'Trigueira (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 36, 'Vila da Iglesia', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 37, 'Vilaprogreso', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 38, 'Vilar (Cerceda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 39, 'Xermar de Abaixo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15185', 40, 'Xermar de Arriba', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 1, 'Abeleira (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 2, 'Abelleira (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 3, 'Altamira (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 4, 'Archeira', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 5, 'Aruxeira', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 6, 'Astande de Abaixo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 7, 'Astande de Arriba', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 8, 'Atrio (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 9, 'Baiuca (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 10, 'Barreiro (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 11, 'Barrosa', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 12, 'Barroso (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 13, 'Belir', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 14, 'Belsar (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 15, 'Boedo (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 16, 'Boimil (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 17, 'Bouzarelos', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 18, 'Brazal de Abaixo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 19, 'Brazal de Arriba', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 20, 'Braa Das Xeiras', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 21, 'Brea (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 22, 'Buzarelos', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 23, 'Cabadas', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 24, 'Cabalar (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 25, 'Calvario (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 26, 'O Calvo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 27, 'Campo (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 28, 'Campo da Fonte', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 29, 'Campo de Abajo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 30, 'Campo de Torio', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 31, 'Campo Maior', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 32, 'Campoleira de Sandian', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 33, 'Capela de Lodeiro', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 34, 'Carballal (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 35, 'Carballas (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 36, 'Carballeira (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 37, 'Carracedo (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 38, 'Carril (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 39, 'Casagrande (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 40, 'Casaldalbre', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 41, 'Os Castros (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 42, 'De Cerceda', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 43, 'Cerdeira (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 44, 'Cerdeira (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 45, 'Cerqueiras (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 46, 'Chouza (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 47, 'Coba Das Andes (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 48, 'Cobenllas', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 49, 'Costa (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 50, 'Costabella (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 51, 'Costia (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 52, 'O Cote', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 53, 'Cruceiro (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 54, 'O Cruceiro (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 55, 'Curro (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 56, 'Espieira (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 57, 'Folgar (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 58, 'Fontan (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 59, 'Fontan (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 60, 'Fraga (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 61, 'Gandara (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 62, 'Gandara (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 63, 'Gosende (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 64, 'Iglesario (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 65, 'Lagoa (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 66, 'Liares (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 67, 'Lodeiro de Abaixo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 68, 'Lodeiro de Arriba', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 69, 'Londoo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 70, 'Loureiro (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 71, 'Mixon', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 72, 'Moucho (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 73, 'Moucho (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 74, 'Nespereira (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 75, 'Orxeira (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 76, 'Ourio (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 77, 'Pasaxe (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 78, 'Pau do Lobo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 79, 'Pazos (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 80, 'Pedregal (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 81, 'Penzo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 82, 'Peton (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 83, 'Picota (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 84, 'Pieiro (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 85, 'Pocia', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 86, 'Ponte (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 87, 'Ponte (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 88, 'Ponte Pequena', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 89, 'Portobrea', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 90, 'Portofranco', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 91, 'Queixas (Santa Maria)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 92, 'Recegulfe', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 93, 'Redondelo (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 94, 'Regueiro (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 95, 'Rodis (San Martio)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 96, 'Sabugueiro (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 97, 'Salgueiro (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 98, 'San Amado da Silva', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 99, 'San Pedro (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 100, 'San Vicente', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 101, 'San Vicenzo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 102, 'Sandian', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 103, 'Santa Comba (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 104, 'Sartego (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 105, 'Seixoeira', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 106, 'Silva (Da San Amaro)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 107, 'A Silva (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 108, 'So (Agra)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 109, 'Socastro (Xesteda)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 110, 'Sucadio', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 111, 'Tablilla', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 112, 'Tasende', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 113, 'Telleiro (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 114, 'Torre (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 115, 'A Torre', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 116, 'Toural (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 117, 'Tourio', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 118, 'Trebelle', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 119, 'Ubal', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 120, 'Uzal (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 121, 'Vilamarta de Abaixo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 122, 'Vilamarta de Arriba', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 123, 'Vilamean', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 61, 'Couce Gordo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 62, 'Couce Redondo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 63, 'Couce Seco', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 64, 'Cuia (San Mamede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 65, 'Da (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 66, 'Deveso (Aspontes)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 67, 'Eiroas', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 68, 'Esbedral', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 69, 'Esteo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 70, 'Os Feros (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 71, 'Formigueiro (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 72, 'Foro (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 73, 'Fraga Dos Credos (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 74, 'Fragacha (San Mamede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 75, 'Fragacha (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 76, 'Furnas Grandes (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 77, 'Furnas Pequenas (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 78, 'Garabatos (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 79, 'Gondre', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 80, 'Igrexa (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 81, 'Igrexa (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 82, 'Igrexa (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 83, 'Insua (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 84, 'Insua Doballo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 85, 'Lajoso', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 86, 'Lameira (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 87, 'Lamelas (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 88, 'Lestido (San Mamede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 89, 'Macieira (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 90, 'Malvis', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 91, 'Mariao (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 92, 'Marraxon (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 93, 'Meda (San Mamede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 94, 'Merlan', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 95, 'Meson (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 96, 'Muio da Insua do Ballo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 97, 'Nio do Azor', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 98, 'Outeiro de Abaixo (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 99, 'Outeiro de Arriba (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 100, 'Pajon de Abaixo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 101, 'Pajon de Arriba', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 102, 'Panda da da (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 103, 'Pasadelo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 104, 'Pazos de Abaixo (Visura)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 105, 'Pazos de Arriba (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 106, 'Pedron (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 107, 'Penamoura (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 108, 'Penaquente (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 109, 'Pendocurro', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 110, 'Pereira (San Mamede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 111, 'Pereira de Abaixo (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 112, 'Pereira de Arriba', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 113, 'Picheira (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 114, 'Pombal (San Mamede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 115, 'Pontoibo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 116, 'Porto (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 117, 'Porto (Somede)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 118, 'Pouparia Arriba', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 119, 'Pouparia de Abaixo (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 120, 'Preguntadoiro', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 121, 'Pulgon (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 122, 'Recemonde de Abaixo (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 123, 'Recemonde de Arriba', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 124, 'Rega (Freixo)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 125, 'Rego (Deveso)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 126, 'Rego do Ouro', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15326', 127, 'Ribeira (Bella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 1, 'Acibido (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 2, 'Ada (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 3, 'Aparral', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 4, 'Aparral de Abaixo (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 5, 'Ares (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 6, 'Bacariza (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 7, 'Badon', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 8, 'Barosas', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 9, 'Besura', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 10, 'Cabeza Dos Fornos (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 11, 'Campo da Coba', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 12, 'Candedo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 13, 'Candedo (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 14, 'Caneiro (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 15, 'Carballal (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 16, 'Carballeira (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 17, 'Casa Herbas', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 18, 'Casanova (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 19, 'Casas Hermas (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 20, 'Catarou (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 21, 'Os Chaos (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 22, 'Coba (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 23, 'Cortes (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 24, 'Costa Chaos', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 25, 'Da (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 26, 'Forxa (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 27, 'Loureiros (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 28, 'Marialeda', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 29, 'Meda (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 30, 'Mourela (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 31, 'Novil', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 32, 'Parao', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 33, 'Pasadelo (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 34, 'Pedrafita de Abaixo (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 35, 'Pedrafita de Arriba (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 36, 'Pedregas', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 37, 'Pena do Golpe', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 38, 'Percodeiro', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 39, 'Pereiro (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 40, 'Piscordeiro', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 41, 'Podregas', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 42, 'Santa do Carballo (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 43, 'Sentado', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 44, 'Sexe', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 45, 'Tarrao', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15327', 46, 'Vilarbo (Aparral)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 1, 'Algimonde', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 2, 'Alimpadoiros', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 3, 'Barosa (Vilavella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 4, 'Carballeira (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 5, 'Carracedo (Vilavella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 6, 'Casaldaboa', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 7, 'Casalonga (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 8, 'Casilla (Vilavella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 9, 'Castelo (Vilavella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 10, 'Castro da Uz', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 11, 'Cheiban de Abaixo (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 12, 'Cheiban de Arriba', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 13, 'Esfarrapa (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 14, 'Grou', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 15, 'Iglesia (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 16, 'Illade', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 17, 'Macieira (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 18, 'Meidelo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 56, 'Veiga (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 57, 'Vieiteiro (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15553', 58, 'Xavariz (Pantin)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 1, 'Arnela (Vilarube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 2, 'Atalaia (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 3, 'Atrio (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 4, 'Bacelar (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 5, 'Campeiras (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 6, 'Capela (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 7, 'Castro (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 8, 'Cotelo (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 9, 'Escola (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 10, 'Folgar (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 11, 'Folgueiras (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 12, 'Fontegrande', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 13, 'Freixeiro (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 14, 'Lieiro (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 15, 'Patronato', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 16, 'Pena (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 17, 'Pia', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 18, 'Porto de Abaixo (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 19, 'Porto de Arriba (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 20, 'Puntal (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 21, 'Quengo', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 22, 'Souto Novo (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 23, 'Torrentes (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 24, 'Vilarrube', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 25, 'Vilelas (Vilarrube)', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15554', 26, 'Yaez', 150872, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 1, 'Ardeon', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 2, 'Barral (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 3, 'Campelo (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 4, 'Campo da Cruz', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 5, 'Chousa (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 6, 'Cordobelas', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 7, 'Edreiros (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 8, 'Esteiro (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 9, 'Faro (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 10, 'Fontefria (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 11, 'Freires (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 12, 'Laborea (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 13, 'Labrada (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 14, 'Laxe (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 15, 'Loureiros (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 16, 'Meson (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 17, 'Montemeas', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 18, 'Pedralba', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 19, 'Pedras', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 20, 'Pedreira (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 21, 'Peneiro (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 22, 'Porto do Cabo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 23, 'Poza (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 24, 'Rio de Muios', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 25, 'Saa (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 26, 'San Miguel (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 27, 'Santallamar', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 28, 'Sisalde Maior', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 29, 'Sisalde Menor', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 30, 'Sixtos', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15555', 31, 'Vilela (Esteiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15556', 0, 'Pion (A Barqueira)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15557', 1, 'O Basteiro', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15557', 2, 'Corredoira (Vistaalegre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 1, 'Agra de Abaixo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 2, 'Agra de Arriba', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 3, 'Albeiro', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 4, 'Casal (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 5, 'Cornide (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 6, 'Corras (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 7, 'Coruxa (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 8, 'Foxo (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 9, 'Gunduriz (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 10, 'Horjales', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 11, 'Monte (Santa Maria)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 12, 'Outeiro (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 13, 'Penela (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 14, 'Pieiros (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 15, 'Portela (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 16, 'Prospes', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 17, 'Raa (San Sadurnio)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 18, 'Rubia', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 19, 'Rupiallo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 20, 'San Sadurnio (Ferrol)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 21, 'Silvalonga', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15560', 22, 'Vidueda', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 1, 'Ardariz', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 2, 'Arnadelo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 3, 'Bellamorta', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 4, 'Cabanela (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 5, 'Cal (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 6, 'Calvelas', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 7, 'Casanova (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 8, 'Castieira (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 9, 'Castrelo (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 10, 'Corras (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 11, 'Curripas', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 12, 'Escoitadoira (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 13, 'Esperanza', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 14, 'Ferrecha', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 15, 'Fraga (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 16, 'Gandara (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 17, 'Garita (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 18, 'Gaspares', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 19, 'Gulgin', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 20, 'Lobevia', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 21, 'Mastinga', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 22, 'Moimentos (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 23, 'Pena (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 24, 'Sabanola', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 25, 'Santa Maria do Monte', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 26, 'Torno (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 27, 'Vilacha (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 28, 'Vilar (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15561', 29, 'Vilares (Monte)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 1, 'Abeija', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 2, 'Afelgueira', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 3, 'Asbeiras', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 4, 'Aseara', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 5, 'Bardaos', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 6, 'Baoca', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 7, 'Bouzarrara', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 8, 'Brame', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 9, 'Cal (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 10, 'Carballo (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 11, 'O Carballo (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 12, 'Carbeiral', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 13, 'Casanova (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 14, 'Castro (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 15, 'Chao de Lamas', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 16, 'Costa (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 17, 'Cruz de Reina', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 18, 'Curbeira (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 19, 'Entrambos Rios', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 20, 'Fabal (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15630', 2, 'Bra', 150487, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 124, 'Vilar Bello (Queixas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 125, 'Vilar Bello (Rodis)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 126, 'Vilar de Queixas', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15186', 127, 'Viris', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 1, 'Anguieiro (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 2, 'Arroio', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 3, 'Avieira (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 4, 'Barroso (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 5, 'Belsar (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 6, 'Brea (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 7, 'Buenos Aires (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 8, 'Burata (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 9, 'Buris', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 10, 'Campo Rapado', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 11, 'Capela (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 12, 'Costia (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 13, 'Cotio (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 14, 'Croeda', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 15, 'Curro (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 16, 'As Encrobas (San Roman)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 17, 'Enfesta (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 18, 'Escadoba', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 19, 'Ferreria (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 20, 'Fontenlo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 21, 'Francelos (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 22, 'Gonton', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 23, 'Gosende (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 24, 'Guichar', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 25, 'Gustobedro', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 26, 'Lavandeiras', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 27, 'Leiranfensta', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 28, 'Loureiro (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 29, 'Lousa de Abaixo (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 30, 'Lousa de Arriba (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 31, 'Lucin (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 32, 'Lugar do Medio', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 33, 'Marcon', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 34, 'Marganas', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 35, 'Outeiral', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 36, 'Pedra Grande', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 37, 'Peton (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 38, 'Pontoxo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 39, 'Pumario (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 40, 'Quintan (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 41, 'Raoa (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 42, 'Rego (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 43, 'Rego da Ia', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 44, 'San Cosmade', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 45, 'Silvarredonda (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 46, 'Soriga', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 47, 'Soutio (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 48, 'Tilleira', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 49, 'Vidual (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15187', 50, 'Vilar (As Encrobas)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 1, 'Abaixo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 2, 'Casanova (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 3, 'Castelo (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 4, 'Coraia', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 5, 'Entranbasrias', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 6, 'Estacion (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 7, 'Fieitosa', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 8, 'Figueira (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 9, 'Gandara (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 10, 'Iglesario (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 11, 'Laracha (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 12, 'Lavandeira (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 13, 'Longo', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 14, 'Meirama (San Andres Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 15, 'Pazo (Cecebre)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 16, 'Pedamua', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 17, 'Picardel', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 18, 'Picota (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 19, 'Rio (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 20, 'Rio de Area', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 21, 'Rozadoiro', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 22, 'Sabugueiro (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 23, 'Travesia', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15188', 24, 'Vilares (Meirama)', 150243, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 1, 'Boedo (Ledoo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 2, 'Bosque (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 3, 'Cabana (Ledoo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 4, 'Cabrois', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 5, 'Casal (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 6, 'Castelo (Santiago)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 7, 'Os Chaveiros', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 8, 'Cillobre (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 9, 'Cornedo (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 10, 'Cubo (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 11, 'Culleredo (Santo Estevo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 12, 'Curro (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 13, 'Donepedre', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 14, 'Esfarrapa (Ledoo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 15, 'Fontemaior', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 16, 'Goimil', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 17, 'Gollente', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 18, 'Grobas de Abaixo', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 19, 'Grobas de Arriba', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 20, 'Hermida (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 21, 'Liares (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 22, 'Loureiro (Celasdepeiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 23, 'As Naveiras (Via)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 24, 'Outeiro (Culleredo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 25, 'Outeiro de Abaixo (Sesamo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 26, 'Outeiro de Arriba (Sesamo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 27, 'Rexidoiro', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 28, 'Rumbo', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 29, 'San Miguel (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 30, 'Sesamo (San Martio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 31, 'Silvar (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 32, 'Souto (Celasdepeiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 33, 'Tarrio (Tarrio)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 34, 'Toro', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 35, 'Valias (Celas de Peiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 36, 'Vinseira Pequena', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 37, 'Xalo', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 38, 'Xamozo', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15189', 39, 'Xian', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15190', 1, 'Castieira (Mesoiro)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15190', 2, 'Currelos (Mesoiro)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15190', 3, 'Feans (Mesoiro)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15190', 5, 'Mesoiro (A Corua)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15190', 6, 'Obradoiro', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15190', 7, 'Poligono de Pocomaco', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15190', 8, 'Vio', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 1, 'Aldea de Rio', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 2, 'Barral (Rio)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 6, 'Camio de Peamoa', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 7, 'Campo de Agroxin', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 8, 'O Coidal', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 10, 'A Costa', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 11, 'Eiravella', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 13, 'Fontan (Rio)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 18, 'Mazaido (Rio-Visma)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 19, 'Mouros', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 20, 'Outeiro (Vilavella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 21, 'Palloza (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 22, 'Penapurreira', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 23, 'Picheira (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 24, 'Ponte de Pedra (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 25, 'Portorroibo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 26, 'Ramez', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 27, 'Reboredo (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 28, 'Regolongo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 29, 'Ribeiron', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 30, 'Sa', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 31, 'Seara (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 32, 'Veigas de Vila (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 33, 'Vidueiro (Vilavella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 34, 'Vila (Vilabella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 35, 'Vila (Vilavella)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15328', 36, 'Vilavella', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 1, 'Adega (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 2, 'Alto Das Seixas (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 3, 'Os Barros (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 4, 'Os Benmuces (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 5, 'Bermui (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 6, 'Cabo da Igrexa (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 7, 'Cachopal (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 8, 'Cameleiro (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 9, 'Campo (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 10, 'Campoverde (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 11, 'Carreira (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 12, 'Casa Pena', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 13, 'Casalois', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 14, 'Castieiros Grandes', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 15, 'Castieiros Pequenos', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 16, 'Castro (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 17, 'Os Castros (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 18, 'Caxado', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 19, 'Comeleira', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 20, 'Cordal', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 21, 'Corredoira (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 22, 'Os Cotos (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 23, 'O Cruceiro (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 24, 'Curras (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 25, 'Os Curras (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 26, 'Cutillon (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 27, 'Espa', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 28, 'Follablanca', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 29, 'Ganidoiras (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 30, 'Graa (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 31, 'Hermida (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 32, 'Ledo', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 33, 'Lombodrado (Ribadaume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 34, 'Mariao (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 35, 'Murazoso', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 36, 'Pedra do Couto', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 37, 'Pena de Traste', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 38, 'Picadeiros', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 39, 'A Ramalleira (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 40, 'Raque (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 41, 'Rodeiro (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 42, 'Roidiz', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 43, 'As Seixas (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 44, 'Sesulfe', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 45, 'Sixto (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 46, 'Sobrevila', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 47, 'Torre (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 48, 'Tralo Feal', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 49, 'Tralomonte', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 50, 'Tras do Rego', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 51, 'Ucedos', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 52, 'Viador', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 53, 'Vilarmouro (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15329', 54, 'Vilerma (Ribadeume)', 150709, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15330', 1, 'Ortigueira', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15330', 2, 'Rega (Porto Espasante)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 1, 'Agueiro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 2, 'Aguieiras (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 3, 'Ameneiros (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 4, 'Balella (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 5, 'Baleo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 6, 'Balescusa', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 7, 'Barbos', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 8, 'Barral (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 9, 'Brandariz (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 10, 'Brea (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 11, 'Cal (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 12, 'Campo (Freives)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 13, 'Cancela (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 14, 'Canexo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 15, 'Carballeira (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 16, 'Carmona (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 17, 'Carrasca', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 18, 'Casas (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 19, 'Cascanto', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 20, 'Castelo (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 21, 'Castro de Abaixo (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 22, 'Castro de Arriba (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 23, 'Catuxo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 24, 'Cortes (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 25, 'Cortiadora', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 26, 'Cruz (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 27, 'Cuia (Ortigueira)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 28, 'Devesos (Ortigueira)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 29, 'Escolar', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 30, 'Espio (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 31, 'Estebo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 32, 'Ferreiroas', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 33, 'Figueiras (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 34, 'Folgueira (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 35, 'Fontevella (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 36, 'Freires (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 37, 'Grandal (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 38, 'Hervilleir', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 39, 'Iglesia (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 40, 'Iglesia (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 41, 'Inxertos (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 42, 'Ladrido (Santa Eulalia)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 43, 'Lale (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 44, 'Landin', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 45, 'Laxas (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 46, 'Lobeiros', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 47, 'Lombao (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 48, 'Lombo de Abaixo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 49, 'Lombo de Arriba', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 50, 'Loureiro (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 51, 'Loureiro de Abaixo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 52, 'Luama', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 53, 'Lubeiros', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 54, 'Lugar de Arriba (Barboa)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 55, 'Luia', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 56, 'Meixido', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 57, 'Mindelos (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 58, 'Miao', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 59, 'Neves (Ortigueira)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 60, 'Nicolao', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 21, 'Fabal Novo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 22, 'Folgosa (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 23, 'Folgueira (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 24, 'Fraga (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 25, 'Judin', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 26, 'Lamas (Ferrol)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 27, 'Laxe', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 28, 'Legoriz', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 29, 'Leiras (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 30, 'Levoriz', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 31, 'Loibas', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 32, 'Lugar de Toimil', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 33, 'Lugarvello', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 34, 'Martio', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 35, 'Maudra', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 36, 'Pallota (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 37, 'Penacastrelo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 38, 'Piegolongo (Balon)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 39, 'Pontis', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 40, 'Porto Lamas', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 41, 'Pramado', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 42, 'Pumar (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 43, 'Ramil (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 44, 'Ramisqueiras', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 45, 'Randulfe', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 46, 'Rapadorio (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 47, 'Redo', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 48, 'Rega (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 49, 'Rego (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 50, 'Regueiro (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 51, 'San Xeado', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 52, 'Sanguieira', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 53, 'Seara (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 54, 'Tramborrias', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 55, 'Veiga (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 56, 'Vilanova (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 57, 'Vilar (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 58, 'Vilaverde (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 59, 'Vilela (Lamas)', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15562', 60, 'Voto', 150768, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 1, 'Abade', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 2, 'Armenteiro de Abaixo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 3, 'Armenteiro de Arriba', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 4, 'Balocos', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 5, 'Beleiriz', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 6, 'Bouza (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 7, 'Burreiros de Abaixo (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 8, 'Burreiros de Arriba (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 9, 'Cadavas (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 10, 'Caince', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 11, 'Caleira (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 12, 'Camba de Abajo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 13, 'Camba de Arriba', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 14, 'Camio (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 15, 'Campanario (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 16, 'Campos de Foxo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 17, 'Campos de Vigo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 18, 'Canosa (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 19, 'Casablanca (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 20, 'Casalousada', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 21, 'Casanova (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 22, 'Casanova de Vilar', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 23, 'Casas (San Xoan Moeche de Eiri', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 24, 'Casona', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 25, 'Castela de Arriba', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 26, 'Chao (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 27, 'Corbeira (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 28, 'Correira', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 29, 'Costa (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 30, 'Costeira (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 31, 'Coto (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 32, 'Couceiro (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 33, 'Felgosa', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 34, 'Felgueiras de Abaixo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 35, 'Felgueiras de Arriba', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 36, 'Ferreira (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 37, 'Ferreria de Abaixo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 38, 'Ferreria de Arriba', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 39, 'Filgueiras (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 40, 'Filgueiras de Abaixo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 41, 'Filgueiras de Arriba', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 42, 'Finlle', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 43, 'Folgosa (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 44, 'Fontepecora', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 45, 'Forxao', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 46, 'Foxo (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 47, 'Fraga (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 48, 'Gandara (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 49, 'Gangoabella', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 50, 'Gundiao', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 51, 'Leiria (San Xoan de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 52, 'Libureiro', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 53, 'Loureiros (San Xoan de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 54, 'Louridos (San Xoan de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 55, 'Melle', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 56, 'Mil de Abaixo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 57, 'Mil de Arriba', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 58, 'Moeche (San Xoan)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 59, 'Monte (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 60, 'Nogueiro', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 61, 'Outeiro (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 62, 'Pajota', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 63, 'Pardias (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 64, 'Penas Albas', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 65, 'Peneiro (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 66, 'Pereiro (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 67, 'Petao', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 68, 'Peton (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 69, 'Piagolongo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 70, 'Pico (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 71, 'Piegolongo (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 72, 'Pieiro (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 73, 'Pieiros (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 74, 'Ponte (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 75, 'Pontellas (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 76, 'Pontigos', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 77, 'Portogonzalbo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 78, 'Praia (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 79, 'Pumario de Abaixo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 80, 'Pumario de Arriba', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 81, 'Raeal', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 82, 'Ramil (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 83, 'Requia', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 84, 'Rio Bello', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 85, 'Riquia', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 86, 'Rosoiro', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 87, 'San Cristobo (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 88, 'San Ramon (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 89, 'San Xoan de Moeche', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 90, 'San Xurxo de Moeche', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 91, 'Santiso (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 24, 'Os Rocios', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 26, 'Ventorrillo (Rio-Visma)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 27, 'Visma (San Pedro)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15191', 28, 'A Xoura', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15192', 2, 'Carracedo (Zapateira)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15192', 5, 'Lavedra', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15192', 6, 'Ponte da Pedra (A Zapateira)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15192', 7, 'Portela (Rio)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15196', 0, 'De Queixas (Londoo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 1, 'Barrio (Celas de Peiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 2, 'Castelo (Celasdepeiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 3, 'Celas (Celas Peiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 4, 'Celas de Abaixo (Celasdepeiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 5, 'Celas de Arriba (Celasdepeiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 6, 'Celas de Peiro', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 7, 'Folgueira (Celasdepeiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 8, 'Fornos (Celasdepeiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 9, 'Hermida de Ternande', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 10, 'Peiro de Arriba', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 11, 'Sueiro', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 12, 'Vilar (Celasdepeiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 13, 'Vilaverde (Celasdepeiro)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15198', 14, 'Vinseira Grande', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15199', 1, 'Lamelas (Ledoo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15199', 2, 'Ledoo', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15199', 3, 'Orro (Ledoo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15199', 4, 'Peiro de Abaixo', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15199', 5, 'Souto (Ledoo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15199', 6, 'Veiga (San Silvestre Ledoo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15200', 0, 'Noia', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 1, 'Abrueiras (Agradebarro)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 2, 'Agra de Barro', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 3, 'Agra de Currais', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 4, 'Agualevada (Agra de Barro)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 5, 'Aldea de Arriba (Agra de Barro', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 6, 'Alvarisa', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 7, 'Barro (Agradebarro)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 8, 'Cacheiros (Agrabarro)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 9, 'Carcasia (Agra de Barro)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 10, 'Caeira', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 11, 'Fialla', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 12, 'Fontefria (Ousoo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 13, 'Iglesia (Agradebarro)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 14, 'Loxe', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 15, 'Manle', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 16, 'Orro (Eiroa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 17, 'Orta (Lesende)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 18, 'Ousoo', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 19, 'Pieiro (Ousoo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 20, 'Rasa de Abaixo', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 21, 'Rasa de Arriba', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 22, 'Rios do Porto', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 23, 'Sabugueiro (Ousoo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 24, 'Sameiro', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 25, 'San Xusto (Ousoo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 26, 'Sedofeito (Ousoo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 27, 'Telleiro', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 28, 'Torria (Ousoo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 29, 'Toxeira (Ousoo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 30, 'Vilanova (Eiroa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 31, 'Vilar Bello (Ousoo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 32, 'Vilar de Ousoo', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 33, 'Vista Alegre (Agradebarro)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 34, 'Vista Hermosa', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 35, 'Xilvir de Abaixo', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15210', 36, 'Xilvir de Arriba', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 1, 'Agrelo (Roo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 2, 'Alvedida', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 3, 'Castro (Roo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 4, 'Liaio (Roa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 5, 'Mato (Roo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 6, 'Mirou (Ponte de Don Alonso)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 7, 'Muio (Roo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 8, 'Nimo', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 9, 'Paradela (Roo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 10, 'Pastoriza (Roo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 11, 'Ponte de Don Alonso', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 12, 'Sampaio (Roo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 13, 'Tambre (Roo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 14, 'Vilafabeiro', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 15, 'Vilardante', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15211', 16, 'Vilaverde (Roo)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 1, 'Afeosa', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 2, 'Aguieira (Vilacoba)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 3, 'Bexeres', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 4, 'Cairo (Vilacoba)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 5, 'Comparada', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 6, 'Lesende', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 7, 'Marselle', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 8, 'Minas de San Finx', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 9, 'Miron (Vilacoba)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 10, 'Quintans (Lesende)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 11, 'San Fins (Vilacoba)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 12, 'Servia (Vilacoba)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 13, 'Silva Redonda (Vilacoba)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 14, 'Soutoredondo', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 15, 'Vilacoba', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 16, 'Vilar (Vilacova)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15212', 17, 'Xestoso (Vilacoba)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15213', 1, 'Argote', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15213', 2, 'Costaneira', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15213', 3, 'Crucia', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15213', 4, 'Pazos (Argote)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15213', 5, 'Perouta', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15213', 6, 'Pirillueiro', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15213', 7, 'San Bricio', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 1, 'Aldeagrande (Minas San Finx)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 2, 'Berrimes (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 3, 'Boucias (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 4, 'Brandia (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 5, 'Castro (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 6, 'Cerquides', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 7, 'Chave', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 8, 'Costa (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 9, 'Cruido', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 10, 'Filgueira (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 11, 'Gandarela (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 12, 'Lousame', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 13, 'Maxide', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 14, 'Mosteiro (Argalo)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 15, 'Outeiro (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 16, 'Pastoriza (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 17, 'Portela (Sanfins)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 18, 'Portobravo', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 19, 'Quintans de Berrimes', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 20, 'Seoane (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 21, 'Silva (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15214', 22, 'Sixido (Lousame)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15215', 1, 'Aldariz', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15215', 2, 'Arribas (Fruime)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15215', 3, 'Burzo', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15215', 4, 'A Cabaleriza', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15215', 5, 'Ces', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 61, 'Noitegos', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 62, 'Ojeiro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 63, 'Outeiro (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 64, 'Pallarega', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 65, 'Pardieira (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 66, 'Paxonetas (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 67, 'Pe do Altar', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 68, 'Peon da Pedra', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 69, 'Pereira (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 70, 'Petaos', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 71, 'Picheira (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 72, 'Pieiro (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 73, 'Plantio (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 74, 'Ponte Nova (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 75, 'Ponte Vella', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 76, 'Pontigas (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 77, 'Portobo (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 78, 'Pradia', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 79, 'Queira (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 80, 'Quinta (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 81, 'Rama', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 82, 'Rego (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 83, 'Regueira (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 84, 'Regueiro (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 85, 'Remandion', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 86, 'Rio (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 87, 'Riva (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 88, 'Rocha (O Baleo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 89, 'Rua (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 90, 'Salgueiron', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 91, 'San Martio (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 92, 'Seoane (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 93, 'Sixto (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 94, 'Sobrado (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 95, 'Sobrerrivas (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 96, 'Souto (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 97, 'Tallon', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 98, 'Taeira', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 99, 'Teixoeira (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 100, 'Torre (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 101, 'Veiga (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 102, 'Veiga (Freires)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 103, 'Venta (Barbos)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 104, 'Vicoa', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15332', 105, 'Vilabade', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15336', 0, 'Plantio (Landoi)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 1, 'Anido (Bares)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 2, 'Barbeita (O Barqueiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 3, 'Bares (Santa Maria)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 4, 'O Barqueiro', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 5, 'Campelo (Bares)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 6, 'Campo (O Barqueiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 7, 'O Casal (Santiago de Mogor-San', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 8, 'Cruz (Barquero)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 9, 'Espieiral', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 10, 'A Estacion (Mogor-Santa Maria)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 11, 'O Esteiro (O Barqueiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 12, 'A Fabrica (Mogor-Santa Maria)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 13, 'O Faro da Estaca de Bares', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 14, 'O Fraixo', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 15, 'Iglesario (El Barquero)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 16, 'Iglesia (O Barqueiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 17, 'As Insuas (O Barqueiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 18, 'As Insuas (Mogor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 19, 'As Insuas (Riberas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 20, 'Mogor (Santa Maria)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 21, 'O Muio do Vento (Mogor-Santa', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 22, 'O Porto de Bares', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 23, 'O Porto do Barqueiro', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 24, 'Pumar de Vale', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 25, 'Sabaido', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 26, 'O Salto (O Barqueiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 27, 'San Fiz (Mogor-Santa Maria)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 28, 'Semaforo de Bares', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 29, 'A Vila de Bares', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 30, 'O Vilar (O Barqueiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15337', 31, 'Vilela (Porto Bares)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 1, 'Abeleira (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 2, 'Abeleira (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 3, 'Aldar (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 4, 'Aldar (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 5, 'Alvarios', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 6, 'Ameixeiras (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 7, 'Angarias', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 8, 'Areas (Nogueirio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 9, 'Ares (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 10, 'Armada (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 11, 'Armada (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 12, 'Armada de Abaixo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 13, 'Armada de Arriba', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 14, 'Aveleira (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 15, 'Axilde', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 16, 'Axilde de Abaixo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 17, 'Axilde de Arriba', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 18, 'Balado (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 19, 'Balvido', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 20, 'Barral (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 21, 'Barral (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 22, 'Barreiros (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 23, 'Basteira', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 24, 'Bolsido', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 25, 'Botica (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 26, 'Burreiro de Abaixo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 27, 'Burreiros de Arriba (Nogueirid', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 28, 'Cadela', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 29, 'Calvo (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 30, 'Calvo (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 31, 'Canabas', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 32, 'Cancelo (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 33, 'Carboeiral', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 34, 'Carboeiros', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 35, 'Carella (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 36, 'Carmona (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 37, 'Carreiro do Golpe', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 38, 'Carris (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 39, 'Casa Picos', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 40, 'Casanova (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 41, 'Casavella (Cuia)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 42, 'A Casavella (Maon)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 43, 'Cascastro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 44, 'Castro (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 45, 'Cereixal (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 46, 'Chao (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 47, 'Chao (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 48, 'Chao de Lama', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 49, 'Chao do Carril', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 50, 'Clara', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 51, 'Cochera (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 52, 'Corde', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 53, 'Corno', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 54, 'Costelo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 55, 'Coto (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 92, 'Seaa (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 93, 'Seixo (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 94, 'Senra (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 95, 'Seoane Novo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 96, 'Souto Calvo (Ferreiras)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 97, 'Souto da Vila', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 98, 'Sumeiro (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 99, 'Tarambelo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 100, 'Tremoa (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 101, 'Trieiro', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 102, 'Tuiril', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 103, 'Valdije', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 104, 'Valia de Arriba (San Xoan Moe', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 105, 'Valias (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 106, 'Vidueiro (Ferreira-San Xoan de', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 107, 'Vigo (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 108, 'Vila (Ferreira)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 109, 'Vila (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 110, 'Vilar (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 111, 'Vilario (San Xoan Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15563', 112, 'Xanferro', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 1, 'Abelleira (Santa Cruz de Moech', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 2, 'Acibros (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 3, 'Albariza (Santa Cruz de Moeche', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 4, 'Amosa', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 5, 'Aquela Banda (Santa Cruz de Mo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 6, 'Barbelas', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 7, 'Bardelas', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 8, 'Cal (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 9, 'Campo (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 10, 'Cardal de Abaixo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 11, 'Cardal de Arriba', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 12, 'Carracedo (Santa Cruz de Moech', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 13, 'Casadarriba (Santa Cruz de Moe', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 14, 'Casanova (Santa Cruz de Moeche', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 15, 'Casatellada (Santa Cruz de Moe', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 16, 'Castro (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 17, 'Castros (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 18, 'Confurco (Santa Cruz de Moeche', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 19, 'Denueiro', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 20, 'Edrados', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 21, 'Entrambas Rias', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 22, 'Esabanda', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 23, 'Estanco', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 24, 'Fonte (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 25, 'Fonte de Agosto', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 26, 'Foxo de Arriba', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 27, 'Fraga (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 28, 'Graa (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 29, 'Hedrados', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 30, 'Hermida (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 31, 'Iglesia (Santa Cruz Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 32, 'Labacencos', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 33, 'Lagoa (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 34, 'Lavandeira (Santa Cruz de Moec', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 35, 'Loira (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 36, 'Loureiro (Santa Cruz Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 37, 'Moeche (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 38, 'Monteluz', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 39, 'Pallota (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 40, 'Panda (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 41, 'Pedregal (Santa Cruz de Moeche', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 42, 'Peteiro (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 43, 'Ponte de Pedra (Santa Cruz de', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 44, 'Porcal', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 45, 'Porto da Pena', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 46, 'Ramisquido (Santa Cruz de Moec', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 47, 'Rega (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 48, 'Retorno (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 49, 'Rio da Vila (Santa Cruz de Moe', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 50, 'Riveira (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 51, 'Santa Cruz de Moeche', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 52, 'Senra (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 53, 'Sulleo', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 54, 'Suomonte', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 55, 'Tellado (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 56, 'Veiga (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 57, 'Vidueiro (Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 58, 'Vieteiras (Santa Cruz de Moech', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 59, 'Vilapedre (Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 60, 'Vilar (Santa Cruz de Moeche)', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15564', 61, 'Vilasanchez', 150490, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 1, 'Abeledo (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 2, 'Abosendos', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 3, 'Agra (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 4, 'Baiuca (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 5, 'Barreira (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 6, 'Campo (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 7, 'Carballeira (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 8, 'Cargas (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 9, 'Casanova (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 10, 'Castelo (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 11, 'Cerdeira (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 12, 'Chao (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 13, 'Comeijoro', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 14, 'Conceijoso', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 15, 'Cortias (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 16, 'Coto de Salas', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 17, 'Enfestados', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 18, 'Escalo', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 19, 'Escoelo', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 20, 'Fontelo (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 21, 'Fonticoba', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 22, 'Foxo (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 23, 'Fraga (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 24, 'Garita (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 25, 'Gradaille', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 26, 'Gradaoi', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 27, 'Graxoiba', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 28, 'Guntille', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 29, 'Iglesia (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 30, 'Loureiros (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 31, 'Machuco (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 32, 'Martinga', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 33, 'Moimento (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 34, 'Nogueira (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 35, 'Novas (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 36, 'Pallota (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 37, 'Paraoi', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 38, 'Pastoriza (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 39, 'Penela (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 40, 'Pereiro (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 41, 'Poelle', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15215', 6, 'Fruime', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15215', 7, 'Millon', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15215', 8, 'Sobrevias', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15215', 9, 'Vilas (Fruime)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15215', 10, 'Zaramagoso', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 1, 'Abeijon', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 2, 'Abelendo (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 3, 'Barreira (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 4, 'Carantoa (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 5, 'Cernande', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 6, 'Cruceiro (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 7, 'Iglesia (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 8, 'Marracin de Abaixo', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 9, 'Marracin de Arriba', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 10, 'Meixonfrio (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 11, 'Merelle (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 12, 'Portela (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 13, 'Pousada (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 14, 'San Guiala', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 15, 'San Roquio (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 16, 'Tallara', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15216', 17, 'Vilar (Tallara)', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 1, 'Argalo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 2, 'A Baia', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 3, 'Balbargos', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 4, 'Becollo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 5, 'Beiro', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 6, 'Bergondo (Obre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 7, 'Cabruns (Obre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 8, 'Canabal (Argalo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 9, 'Devesa (Argalo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 10, 'Entrerrios (Argalo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 11, 'Figueira (Argalo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 12, 'Fonte Pernal', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 13, 'Maroas (Obre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 14, 'Miraflores (Argalo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 15, 'Negral', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 16, 'Obre (Noia)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 17, 'Pereiro de Abaixo (Obre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 18, 'Pereiro de Arriba (Obre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 19, 'Pieiro (Argalo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 20, 'Rego de Horta (Obre)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 21, 'Torno (Argalo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15217', 22, 'Vilaboa (Argalo)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 1, 'Amoreira', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 2, 'Antelo', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 3, 'Boa (Noia)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 4, 'Boiro (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 5, 'Bouzas (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 6, 'Cabalo', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 7, 'Carreira (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 8, 'Chouza (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 9, 'Corral de Abaixo (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 10, 'Corral de Arriba (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 11, 'Corredoira (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 12, 'Devesa (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 13, 'Fieiro (Boa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 14, 'Fontenla (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 15, 'Hornanda', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 16, 'Iglesia (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 17, 'Millarondelo', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 18, 'Miruso', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 19, 'Naval', 150428, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 20, 'Redondelo (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 21, 'Riveiro (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 22, 'Sino (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 23, 'Soutelo (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 24, 'Souto (Boa)', 150716, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 25, 'Taramancos', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 26, 'Telleira (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15218', 27, 'Vilar (Boa)', 150578, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15220', 0, 'Bertamirans (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 1, 'Cantalarrana (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 26, 'Moreira (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 27, 'Mouzo (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 28, 'Outeiro (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 29, 'Parga (Xavestre)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 30, 'Ponte do Porto', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 31, 'Porto (San Pedro)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 32, 'Porto de Cereixo', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 33, 'Recesinde', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 34, 'Rua Nova (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 35, 'Tras do Cean', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 36, 'Tufions', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 37, 'Vilar (Ponte do Porto)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 38, 'Vilar de Cereixo', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 39, 'Vilarellos', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15121', 40, 'Xaras', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 1, 'Brea (Xavia)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 2, 'Cancela (Xavia)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 3, 'Cobadia', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 4, 'Costa (Javia)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 5, 'Cruceiro (Xavia)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 6, 'Gandara (Xavia)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 7, 'Lamastredo', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 8, 'Millarena', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 9, 'Pedrouzo (Xavia)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 10, 'Pescadoira', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 11, 'Pions (Xavia)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 12, 'Santa Maria (Xavia)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 13, 'Serantes (Touro)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 14, 'Sixto (Xavia)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 15, 'Tasarao', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 16, 'Torrecobadia', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 17, 'Trasteiro', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15122', 18, 'Xavia (Santa Maria)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 1, 'Agrelo', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 2, 'Area da Vila', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 3, 'Cabreira (Camarias)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 4, 'Camarias (San Xurxo)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 5, 'Cancela (Camarias)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 6, 'Cedeira (Camarias)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 7, 'Cotario', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 8, 'Cotro (Camarias)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 9, 'Grixa', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 10, 'Millarenga', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 11, 'Mourin', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 12, 'Outeiro (Camarias)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 13, 'Pions (Camaria)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 14, 'Rega', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15123', 15, 'Rias (Camarias)', 150161, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 1, 'Aboi (Muxia)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 2, 'Baldomar', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 3, 'Baosilveiro', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 4, 'Bardullas (San Xoan)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 5, 'Campos (Tourian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 6, 'Casanova (Baio Circular)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 7, 'Casas do Monte (Touria)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 8, 'Castro (Tourian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 9, 'Cuo', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 10, 'Faro de Tourian', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 11, 'Figueroa (Morquintian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 12, 'Frixe (Santa Leocadia)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 13, 'Grixa (Morquintian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 14, 'Grixa (Tourian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('03503', 0, 'Benidorm', 30319, 3, 
    0, 16, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 56, 'Couto (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 57, 'Cribeiro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 58, 'O Cristo (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 59, 'Cruceiro (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 60, 'Crucifixo (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 61, 'Cruz (Cuia)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 62, 'Cruz (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 63, 'Culpa', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 64, 'Curras', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 65, 'Escalo de Abaixo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 66, 'Escorial (Nogeirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 67, 'Fabeiro (Cuia)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 68, 'Feira (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 69, 'Fieiteira (Bemantes)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 70, 'Folgoso de Abaixo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 71, 'Folgoso de Arriba', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 72, 'Fonte da Cruz', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 73, 'Fonte da Pia', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 74, 'Fonte de Pe de Abaixo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 75, 'Fonte de Pe de Arriba', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 76, 'Fontela (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 77, 'Fontela de Arriba (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 78, 'Foxo (Ermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 79, 'Foxo (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 80, 'Fraga (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 81, 'Frances (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 82, 'Gallupa', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 83, 'Gandara (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 84, 'Gandaron (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 85, 'Granxa (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 86, 'Graa (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 87, 'Gueiron', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 88, 'Hospital (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 89, 'Iglesario (Noguerido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 90, 'Iglesario (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 91, 'Iglesia (Cuia)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 92, 'Iglesia (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 93, 'A Iglesia (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 94, 'A Iglesia (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 95, 'Insua (Ortigueira)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 96, 'A Insua (As Graas do Sor)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 97, 'Insuela (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 98, 'Inxertos (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 99, 'Lagar (Cuia)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 100, 'Lagares (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 101, 'Lavandeira (Cuia)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 102, 'Loureiros (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 2, 'Carballido (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 3, 'Casalio', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 4, 'A Condomia (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 5, 'As Cortes de Abaixo (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 6, 'As Cortes de Arriba (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 7, 'A Igrexa (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 8, 'O Instrumento (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 9, 'Lapido (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 10, 'Maguxe', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 11, 'Ortoio', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 12, 'Ortoo (San Xoan)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 13, 'O Pedregal (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 14, 'As Punxeiras Altas', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 15, 'As Punxeiras Baixas', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 16, 'O Santo (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15228', 17, 'Sisalde (Ortoo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 1, 'Augapesada', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 2, 'Barouta', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 3, 'Carreira (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 4, 'Carreira (Ames)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 5, 'Casal (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 6, 'Casas do Monte', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 7, 'Castelo (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 8, 'Castieiro de Lobo', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 9, 'Castrigo', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 10, 'Cerdeiras (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 11, 'Covas (Santo Estevo)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 12, 'Cruxeiras (Augapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 13, 'Estrella', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 14, 'Iglesia (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 15, 'Lamas (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 16, 'Montio', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 17, 'Oca (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 18, 'Outeiro (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 19, 'Padron (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 20, 'Pedras (Aguapeseda)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 21, 'Pedrouzos (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 22, 'Pegarios', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 23, 'Pousada (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 24, 'Proupin', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 25, 'Quintans (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 26, 'Seares de Abaixo (Ames)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 27, 'Seares de Abaixo (Augapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 28, 'Seares de Arriba (Ames)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 29, 'Seares de Arriba (Augapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15229', 30, 'Vilar (Aguapesada)', 150026, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15230', 1, 'Areosa (Outes)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15230', 2, 'Canizos', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15230', 3, 'Canle (Noia)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15230', 4, 'A Carreira (Outes)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15230', 5, 'Cepa (Outes)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15230', 6, 'Cutureira', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15230', 7, 'A Fonte (Entins-Santa Maria)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15230', 8, 'Outes', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15230', 9, 'Rio de Outes', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15230', 10, 'Serra de Outes', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 1, 'A Barreira (Taras)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 2, 'Pasaxe de Ceilan', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 3, 'Coiradas', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 4, 'Conchido (Taras)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 5, 'Entins (Santa Maria)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 6, 'Espieiro (Taras)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 7, 'Fontenlos (Taras)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 8, 'Pazo (Taras)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 9, 'Pazos (Entins-Santa Maria)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 10, 'Rego', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 11, 'O Rego (Entins-Santa Maria)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 12, 'Riba da Fonte', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 13, 'Riba de Mar', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 14, 'Rivas de Mar', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 15, 'Seilan (Taras)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 16, 'O Sino (Taras)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 17, 'Taras', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 18, 'Taras (San Xian)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15236', 19, 'Vilaferreiros', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 1, 'Banzas', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 2, 'O Brenzo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 3, 'Buiste', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 4, 'Cabana Moura', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 5, 'Os Casais (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 6, 'Castia', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 7, 'A Costia (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 11, 'Diz', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 42, 'Prada (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 43, 'Pradavella', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 44, 'Queira (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 45, 'Ramisqueira (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 46, 'Recemel', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 47, 'Rego (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 48, 'San Estevo (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 49, 'San Roque (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 50, 'Seixidal (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 51, 'As Somozas (Ferrol)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 52, 'Suarriba (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 53, 'Sueiras', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 54, 'Teixeiro (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 55, 'Tiquion', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 56, 'Torre (Somozas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 57, 'Trigal', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 58, 'Tringuion', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 59, 'Vilachave', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15565', 60, 'Xibarido', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 1, 'Areas de Abaixo', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 2, 'Areas de Arriba', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 3, 'Bordos', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 4, 'Cabalar (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 5, 'Cabana (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 6, 'Caburnas', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 7, 'Calvo (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 8, 'Campos (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 9, 'Capela (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 10, 'Cardejo', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 11, 'Caxigueira (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 12, 'Cerdeira (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 13, 'Cobos (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 14, 'Couce (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 15, 'Cruz (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 16, 'Enchousas', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 17, 'Fonte (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 18, 'Pedron (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 19, 'Queiruga (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 20, 'Rua (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 21, 'Silbao', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 22, 'Silvao', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 23, 'Tellado (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15566', 24, 'Viduido (Enchousas)', 150814, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 103, 'Madanelos', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 104, 'Magallon', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 105, 'Magdalena (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 106, 'Mallo (Yermo)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 107, 'Manguieiras', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 108, 'A Meira (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 109, 'Meixon', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 110, 'Mera (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 111, 'Mindelos (Cuia)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 112, 'Mogallon', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 113, 'Monte (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 114, 'Montemean (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 115, 'Mouro (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 116, 'Muio da Ponte', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 117, 'Navallo de Abaixo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 118, 'Navallo de Arriba', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 119, 'Nogueirido (Cuia)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 120, 'Nogueirido (Nogueirido)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 121, 'Outeiro (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 122, 'Padornelo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 123, 'Paredes (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 124, 'Paso (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 125, 'Paxoneta (Cuia)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 126, 'Pazo (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15338', 127, 'Pena (Insua)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 1, 'Abasteira', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 2, 'Abeledo (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 3, 'O Acibeiral (Neves)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 4, 'Acibeiro (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 5, 'Acibido (Ortigueira)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 6, 'A Aguieira (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 7, 'Aguieiras (Cuia)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 8, 'Alaxe', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 9, 'Altamira (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 10, 'Ambosores', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 11, 'Amieiros (Cuia)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 12, 'A Aniversaria', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 13, 'Areosa (Cuia)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 14, 'Arganzo', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 15, 'Aro (O Viso)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 16, 'Arovello', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 17, 'Aroxo', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 18, 'A Arrufana', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 19, 'Atrio (Espasante)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 20, 'As Augas (As Ribeiras do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 21, 'O Azcoito', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 22, 'O Azor', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 23, 'Balella (Cuia)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 24, 'Barbeita (As Ribeiras do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 25, 'Barce', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 26, 'A Barcia (Maon-Santa Maria)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 27, 'Barcon', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 28, 'Os Barcos', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 29, 'Barqueira', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 30, 'O Barqueiro (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 31, 'Barral (Cuia)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 32, 'Barral (Viso)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 33, 'O Barral de Baixo (As Ribeiras', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 34, 'O Barral de Riba (As Ribeiras', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 35, 'O Barral (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 36, 'Barros (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 37, 'Beasin', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 38, 'A Besta (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 39, 'Praia de Bimbieiro', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 40, 'Boa Vista (Neves)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 41, 'Bodegas', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 42, 'Bostelo (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 43, 'Bouzas (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 44, 'As Bouzas (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 45, 'Braelle', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 46, 'Braxas', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 47, 'Brelle', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 48, 'Brixela', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 49, 'O Burgo (Cuia)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 50, 'Burreiros (Loiba)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 51, 'Bustelo (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 52, 'Cababal (Loiba)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 53, 'Cabaleiro (O Viso)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 54, 'Cabana (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 55, 'A Cabana Vella (As Graas do S', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 56, 'A Cabana (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 57, 'Cabanal (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 58, 'As Cabanas (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 59, 'Cabradoiro (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 60, 'O Cadaval (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 61, 'Caion (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 62, 'O Cal (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 63, 'Caldomacho', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 64, 'Cale', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 15, 'Grixa (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 16, 'Guisamonde', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 17, 'A Iglesia (Tourian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 18, 'Leis (San Pedro)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 19, 'Moreira (Tourian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 20, 'Morquintian (Sta Maria)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 21, 'Muxia', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 22, 'Nemia (San Cristovo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 23, 'Prado (Morquintian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 24, 'Queiroso', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 25, 'Talon', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 26, 'Tourian', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 27, 'Toxeira (Morquintian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 28, 'Tras do Rio (Muxia)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 29, 'Tras Fontan', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 30, 'Vilachan (Morquintian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 31, 'Vilarbello (Morquintian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 32, 'Vilela (Morquintian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 33, 'Vilela (Tourian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15124', 34, 'Viseo', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 1, 'Agar (Os Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 2, 'Agradoiro', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 3, 'Agrosodio', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 4, 'Albergueria', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 5, 'Armear (San Vicente)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 6, 'Aveira', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 7, 'Avieira (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 8, 'Aobres', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 9, 'Baiuca (Os Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 10, 'Baltar (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 11, 'Bergantios', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 12, 'Bouzas (Os Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 13, 'Buituron', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 14, 'Cabaza (Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 15, 'Caberta', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 16, 'Campelo (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 17, 'Cartel', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 18, 'Casanova (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 19, 'Casas Novas (Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 20, 'Castelos (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 21, 'Castro (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 22, 'Chorente (Os Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 23, 'Cibran (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 24, 'Couceiro (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 25, 'Coucieiro (San Pedro)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 26, 'Farrapia', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 27, 'Figueiras de Abaixo', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 28, 'Figueiras de Arriba', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 29, 'Juararantes', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 30, 'Labexo', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 31, 'Loalo', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 32, 'Lourido (Muio-Vimianzo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 33, 'Mintirans', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 34, 'Montesios', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 35, 'Moraime (San Xulian)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 36, 'Morpeguite', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 37, 'Os Muios (Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 38, 'Oruxo (Os Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 39, 'Pasantes (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 40, 'Pelexa', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 41, 'Penela (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 42, 'Riba (Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 43, 'Ribas (Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 44, 'Risamonde', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 45, 'Sambade', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 46, 'San Tirso (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 47, 'Santa Maria (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 48, 'Senande (Vilarmide)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 49, 'Serantes (Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 50, 'Sorna', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 51, 'Trasufe', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 52, 'Vilamaior (Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 53, 'Vilardouteiro', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 54, 'Vilario (Muios)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 55, 'Vilarmide', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 56, 'Vilastose (San Cibran)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15125', 57, 'Xanzon', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 1, 'Agrazon', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 2, 'Campo de Monte (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 3, 'Casa do Monte', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 4, 'Casenlas', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 5, 'Castelo (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 6, 'Castieiro (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 7, 'Cebrans', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 8, 'Curro (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 9, 'Fonte Raposa', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 10, 'Fumieo', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 11, 'Getarante', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 12, 'Lago (Porto de Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 13, 'Lugar de Abaixo (Porto de Mere', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 14, 'Lugar de Arriba (Porto de Mere', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 15, 'Lugar de Leis', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 16, 'Lugar de Sobremonte', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 17, 'Merexo (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 18, 'Nosa Seora da O', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 19, 'Ozon (San Martio)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 20, 'Pardias (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 21, 'Pedregal (Porto de Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 22, 'Peropombo', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 23, 'Porto de Merexo', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 24, 'Quintans (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 25, 'Riotorto (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 26, 'San Martio (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 27, 'Sendon (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 28, 'Sobremonte', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 29, 'Suxo', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 30, 'Talaia', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 31, 'Vilar de Sobremonte', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 32, 'Vilar de Suxo', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 33, 'Vilela (Porto Merexo)', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15126', 34, 'Vista Alegre', 150525, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 1, 'Alvaro', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 2, 'Baias', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 3, 'Boudaeira (Berdeogas)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 4, 'Camareiro (Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 5, 'Carballa (Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 6, 'Casas Novas (Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 7, 'Casculas', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 8, 'Castieiras (Quintans)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 9, 'Comareiro', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 10, 'Couquio', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 11, 'Gatarantes', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 12, 'Logoso', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 13, 'Lucin (Olveira)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 14, 'Manlle (Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 15, 'Novelle', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 16, 'Olveira (Santiago Olveira)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 17, 'Olveiroa (Olveira)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 18, 'Orbellido (Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 19, 'Outeiro (Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 20, 'Padreiro (Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 21, 'Padreiro de Abaixo', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 8, 'O Cotro (Santo Ourente de Enti', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 9, 'O Cruceiro (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 10, 'O Curro (Santo Ourente de Enti', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 12, 'A Esfarrapa (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 13, 'O Formigueiro (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 14, 'Galteiros (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 15, 'Gulfian', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 16, 'Lavacolla (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 17, 'Lugar de Arriba (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 18, 'Mourelos (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 19, 'Os Muios (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 20, 'Oroa', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 21, 'Ousesende', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 22, 'O Pieiro (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 23, 'A Poza (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 24, 'Quintela (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 25, 'Sacido', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 26, 'Santo Ourente de Entins (Santo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 27, 'Sarnon (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 28, 'A Seara (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 29, 'O Valado (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 30, 'Valeixo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 31, 'O Vilar (Entins)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15237', 32, 'O Vilar (Santo Ourente de Enti', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 1, 'O Barco (Chacin)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 2, 'O Bargo (Chacin)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 3, 'Berres (Chacin)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 4, 'Boel (Chacin)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 5, 'Castelan', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 6, 'Chacin (Mazaricos)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 7, 'Fontemourente', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 8, 'Gosolfre', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 9, 'Lamasapin', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 10, 'Lantarou', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 11, 'Lourido (Matasueiro-San Louren', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 13, 'Rodeiro (Outes-Chacin)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 14, 'Santa Baia (Chacin)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 15, 'Vilario (Chacin)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15238', 16, 'Viojo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 1, 'Cambeiro de Abaixo (Valladares', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 2, 'Cambeiro de Arriba (Valladares', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 3, 'A Carballa (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 4, 'Carleo de Abaixo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 5, 'Carleo de Arriba', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 6, 'Carreira (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 7, 'Castelo (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 8, 'O Couto (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 9, 'Cures (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 10, 'Esperante (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 11, 'A Famelga (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 12, 'Gosende (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 13, 'Guimarei', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 14, 'Lestaio', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 15, 'Loios (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 16, 'Louredo (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 17, 'Lucil', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 18, 'Mastontan', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 19, 'Miras (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 20, 'Moledo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 21, 'Pedrafita (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 22, 'Pedrolo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 23, 'Sande de Abaixo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 24, 'Sande de Arriba', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 25, 'Sendon (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 26, 'Terelle', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 27, 'Torre (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 28, 'A Torre (Matasueiro)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 29, 'As Touzas (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 30, 'Valadares (San Miguel)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 31, 'A Vila do Monte', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 32, 'Vilar (Miras)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 33, 'O Vilar de Outes', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 34, 'O Vilar (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 35, 'Vista Alegre (Valladares)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15239', 36, 'Xendil', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 1, 'Creo', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 2, 'Devesa (Esteiro)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 3, 'Esteiro', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 4, 'Esteiro (Silvosa)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 5, 'Insuela (Esteiro)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 6, 'Laxe (Esteiro)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 7, 'Mayo', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 8, 'Mercelle', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 9, 'Portio de Maio', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 10, 'Reboredo (Esteiro)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 11, 'Ribeira de Creo', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 12, 'Riomaior (Esteiro)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 13, 'Silvosa (Esteiro)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 14, 'Solleiros', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 15, 'Trion', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15240', 16, 'Uhia', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15250', 1, 'Campo Das Cortes (Muros Extrar', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15250', 2, 'Muros', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15250', 3, 'Muros Extrarradio', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 1, 'Abeleiroas', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 2, 'Albores', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 3, 'Atan', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 4, 'Baos (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 5, 'Bon Xesus (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 6, 'Busto (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 7, 'Cacheiro (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 8, 'Coluns (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 9, 'Corzon', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 10, 'Cuia (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 11, 'Eiron', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 12, 'Espigas', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 13, 'Foxas (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 14, 'Gueima', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 15, 'Lugarnovo', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 16, 'Mamoas de Maroa', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 17, 'Maroas (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 18, 'Mazaricos', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 19, 'Mollon (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 20, 'Ponte Olveira (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 21, 'Quintans (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 22, 'Santa Maria (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15256', 23, 'Vilar (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 1, 'Algueiron', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 2, 'Asenso', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 3, 'Boura (Coiro)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 4, 'Choupana (Mazaricos)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 5, 'Gandara (Coiro)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 6, 'Mondin', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 7, 'Monteagudo (Mazaricos)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 8, 'Pazos (Coiro)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 9, 'Ponte Sendon', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 10, 'Pontenova (Mazaricos)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15257', 11, 'Sande (Mazaricos)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 1, 'Agar (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 2, 'Arcos (Arcos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 3, 'Argueiron', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 4, 'Beba', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 24, 'Rola', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 65, 'Callobre (Espasante)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 66, 'Callobre (O Viso)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 67, 'Calvarios', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 68, 'Calvela (Espasante)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 69, 'Calvo (As Ribeiras do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 70, 'O Camio da Barcia (Maon-Sant', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 71, 'O Camio', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 72, 'O Campio (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 73, 'Campo da Silva (Espasante)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 74, 'Campo da Silva (O Viso)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 75, 'O Campo (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 76, 'O Campo (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 77, 'Camporrozado', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 78, 'Cancelo (Lamas)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 79, 'Candedo (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 80, 'Carballa (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 81, 'O Carballal (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 82, 'Os Carballas (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 83, 'O Carballo (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 84, 'Carballogordo', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 85, 'Carballos (Couzadoiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 86, 'Cario (O Viso)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 87, 'Caroceiro (Neves)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 88, 'O Caroceiro (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 89, 'Carrachal', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 90, 'A Carreira (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 91, 'As Carreiras (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 92, 'Carris (O Viso)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 93, 'Carrodeguas', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 94, 'Carujo', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 95, 'Casa da Fraga', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 96, 'Casa Queimada', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 97, 'A Casagrande', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 98, 'A Casagrande (Maon-Santa Mari', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 99, 'Casal (Loiba)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 100, 'Casal (Neves)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 101, 'Casal de Sande', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 102, 'Casanova (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 103, 'Casanova (Loiba)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 104, 'A Casanova (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 105, 'Casas (Couzadoiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 106, 'Casateite', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 107, 'Casavella (Neves)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 108, 'Cascon', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 109, 'Casilla (Porto Espasante)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 110, 'Cason (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 111, 'Casqueimada', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 112, 'Castelo (Couzadorio)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 113, 'Castieira (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 114, 'Castieiras (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 115, 'As Castieiras (Maon-Santa Ma', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 116, 'Castrillon (Couzadoiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 117, 'Castro (Devesos)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 118, 'O Castro (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 119, 'Os Castros (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 120, 'Cavadas', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 121, 'O Caxigal', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 122, 'Caxigueira (Neves)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 123, 'Celtigos (O Viso)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 124, 'Cernada (Couzadoiro)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 125, 'Chao (As Graas do Sor)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 126, 'Chao (Maon)', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15339', 127, 'Chao do Souto', 150449, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15340', 0, 'Ponte de Mera', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15341', 0, 'Vilares (Baltar)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 1, 'Afonsa', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 2, 'Bulleiras', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 3, 'Calzada de Abaixo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 4, 'Calzada de Arriba', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 5, 'Casal de Gonce (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 6, 'Cerdeiras (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 7, 'Cheda de Abaixo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 8, 'Cheda de Arriba', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 9, 'Cima de Vila (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 10, 'Corredoira (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 11, 'Coto (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 12, 'Cruceiro (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 13, 'Ferreira (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 14, 'Graguela', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 15, 'Logaos', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 16, 'Lombo (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 17, 'Magoira', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 18, 'Manguela', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 19, 'Murxas', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 20, 'Penan', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 21, 'Os Peron', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 22, 'Quintiana', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 23, 'Referta', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 24, 'Romeo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15347', 25, 'Vilarnovo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 1, 'Amieiros (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 2, 'Arredondas', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 3, 'Cal (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 4, 'Caparelle', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 5, 'Casanova (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 6, 'Casas (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 7, 'Caseta (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 8, 'Casos', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 9, 'Castro (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 10, 'Cereixa (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 11, 'Cernada (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 12, 'Cobo (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 13, 'Coldorrego', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 14, 'Congosta', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 15, 'Corredoira (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 16, 'Costa (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 17, 'Coto (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 18, 'Covo (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 19, 'Croas', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 20, 'Cucharedo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 21, 'Curbeiro (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 22, 'Feira (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 23, 'Ferreira (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 24, 'Folieiras', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 25, 'Formigueiro (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 26, 'Forno (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 27, 'Foxo (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 28, 'Fraga (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 29, 'Galieiras (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 30, 'Iglesario (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 31, 'Laga', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 32, 'Lamela (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 33, 'Leira (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 34, 'Lourenzo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 35, 'Lugar de Lourenzo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 36, 'Lugar de Rio', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 37, 'Maiordomo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 38, 'Mera (Santiago De)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 22, 'Padreiro de Arriba', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 23, 'Pazos (Tines)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 24, 'Pedreira (Quintans)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 25, 'Ponte Olveira (Olveira)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 26, 'Quintiande', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 27, 'Rebouta', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 28, 'Regoelle', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 29, 'Salgueiros (Burres)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 30, 'Santa Comba de Baias', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 31, 'Serramo (San Sebastian-Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 32, 'Sixto (Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 33, 'Subeiro', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 34, 'Tines (Santa Eulalia)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 35, 'Touzas (Quintans)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 36, 'Tras da Pedra', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 37, 'Vilafernandez', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 38, 'Vilanova (Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 39, 'Vilar (Olveira)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 40, 'Vilarcello de Seixo', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15127', 41, 'Xallas (Artes)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 1, 'Berdoias', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 2, 'Boallo', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 3, 'Bondaeira (Berdoias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 4, 'Bouza (Berdoias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 5, 'Casanova (Berdoias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 6, 'Castrelo (San Martio-Berdoias', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 7, 'Cerban (Berdoias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 8, 'Grixoa', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 9, 'Lavandeira (Berdoias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 10, 'Pedra de Frade', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 11, 'Peton (Berdoias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 12, 'Rego Dos Podres', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 13, 'Riveira (Berdoias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 14, 'Roalo', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 15, 'Romar', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 16, 'Santa Cristina (Berdoias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 17, 'Vilar (Berdoias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15128', 18, 'Vilaseco (Berdoias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 1, 'Areosa (Treos)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 2, 'Arjomil', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 3, 'Barcia (Vimianzo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 4, 'Barreiro (Vimianzo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 5, 'Boudaeira (Olveira)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 6, 'Brives', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 7, 'Calo (P. San Xoan)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 8, 'Cambeda (San Xoan)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 9, 'Canizadas', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 10, 'Careixo (Tines)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 11, 'Carlos (San Xoan Calvente)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 12, 'Carneo', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 13, 'O Casal (Calo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 14, 'Castieira (Vimianzo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 15, 'Castro (Times)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 16, 'Castrobuxan', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 17, 'Castromil (Tines)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 18, 'Coluns', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 19, 'Cubes (Vimianzo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 20, 'Foxo (Calo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 21, 'Furaca', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 22, 'Gandara de Lamas', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 23, 'Lagoa (Tines)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 24, 'Magro', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 25, 'Manlle (Pereiras)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 26, 'Mosquetin', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 27, 'Ogas (Vimianzo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 28, 'Olveira (San Martio-Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 29, 'Paizas', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 30, 'Pasarela', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 31, 'Pedracuberta', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 32, 'A Pedreira (Calo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 33, 'Penedo (Calo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 34, 'Pieiros (Vimianzo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 35, 'Quintans de Treos', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 36, 'Rabos', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 37, 'Rasamonde', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 38, 'Reboredo (Tines)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 39, 'Regojo', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 40, 'Reparada (Tines)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 41, 'Revelle', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 42, 'Revolta (Olveira)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 43, 'Romaris (Tines)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 44, 'Rua de Francos (Calo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 45, 'Salto (Santa Maria)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 46, 'San Fins (Vimianzo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 47, 'Sandrexo (Treos)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 48, 'Seorans', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 49, 'Tedin (Vimianzo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 50, 'Torelo', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 51, 'Torres (Vimianzo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 52, 'Treos (San Miguel)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 53, 'Trevio', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 54, 'Val (Baias)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 55, 'Vilar de Olveira', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 56, 'Vilario (Vimianzo)', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 57, 'Vilarsandino', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 58, 'Vimianzo', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15129', 59, 'Xora', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15130', 1, 'Corcubion', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15130', 2, 'Pumario (Corcubion)', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15135', 0, 'Guilfonso', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 1, 'Amarela', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 2, 'A Cabarliza', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 3, 'Cabo de Cee', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 4, 'A Carbaliza', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 5, 'Casa do Camio', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 6, 'O Castelo (Redonda)', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 7, 'Estorde', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 8, 'De Estorde', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 9, 'A Granxa (Lires)', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 10, 'Guimareu', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 11, 'Oliveira (Redonda)', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 12, 'Quenlle (Redonda)', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 13, 'Quenlle de Abaixo', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 14, 'Quenlle de Arriba', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 15, 'Redonda (San Pedro)', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 16, 'San Roque (Redonda)', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 17, 'Sembra', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 18, 'Toba (Santo Andran)', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 19, 'Toba de Abaixo', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 20, 'Toba de Arriba', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 21, 'Vilar (Redonda)', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15137', 22, 'O Vilar de Toba', 150281, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 1, 'Bazarra', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 2, 'Bedan', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 3, 'Bermun', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 4, 'Cantorna', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 5, 'Carrizal (Pereiria)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 6, 'Cavado', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 7, 'Chafaris (Pereiria)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 8, 'Codesos', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 9, 'Duei (A Pereiria)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 10, 'Morancelle', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 11, 'A Pereira (A Pereiria)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 12, 'A Pereiria (San Xian)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 13, 'Saixian', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15139', 3, 'Laxes', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 5, 'Cabanude (Arcos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 6, 'Castrelo (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 7, 'Cives', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 8, 'Cives de Arriba', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 9, 'Coiro (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 10, 'Corrubedo (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 11, 'Curra (Arcos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 12, 'Enxilde', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 13, 'Espiareiro', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 14, 'Fieiro (Arcos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 15, 'Firvado', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 16, 'Fontan (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 17, 'Forio', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 18, 'Fornis', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 19, 'Godon (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 20, 'Insua (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 21, 'Lago (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 22, 'Loureiro (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 23, 'Lugario', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 24, 'Manda', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 25, 'Noveira', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 26, 'Outeiro (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 27, 'Outeiro de Bois', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 28, 'Outeiros (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 29, 'Picaraa (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 30, 'A Picota (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 31, 'Pidre', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 32, 'Pino Val (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 33, 'Reboredo (Arcos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 34, 'Riveiratorta', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 35, 'San Cristobo (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 36, 'Serrans (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 37, 'Suevos (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 38, 'Vilar', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 39, 'Vilar de Costa', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 40, 'Vilario (Mazaricos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 41, 'Xesto', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15258', 42, 'Xian (Arcos)', 150452, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 1, 'Abesada (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 2, 'Acea (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 3, 'Aliva', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 4, 'Anido (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 5, 'Arriba (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 6, 'Badernado', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 7, 'Boa Vista (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 8, 'Burleo', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 9, 'Cabaneiro (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 10, 'Campo Das Cortes', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 11, 'Cancelio', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 12, 'Caracusta', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 13, 'Castelo (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 14, 'Coba de Gatos', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 15, 'Eiroa (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 16, 'Fondo (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 17, 'Laxe (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 18, 'Monterredondo', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 19, 'Muio do Vento (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 20, 'Portugalete', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 21, 'Prado (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 22, 'Rebordelo (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 23, 'Retorta (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 25, 'Serres (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 26, 'Sestaio (Portugalete)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15259', 27, 'Valdegeria', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 1, 'Berroxe', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 2, 'Brens (Santa Baia)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 3, 'Os Camios Chans (Brens)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 4, 'Campas', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 5, 'Carretera (Brens)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 6, 'Cee', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 7, 'Cee (Santa Maria)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 8, 'Escabanas', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 9, 'A Granxa de Toba', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 10, 'La Bens Iglesia', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 11, 'Lagarteira (Brens)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 12, 'Pallares', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 13, 'Raices (Brens)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 14, 'Raices de Abaixo (Cee-Santa Ma', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 15, 'Raices de Arriba (Cee-Santa Ma', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 16, 'Raso (Brens)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 17, 'O Son (Brens)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15270', 18, 'Xallas (Brens)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15279', 0, 'Couceiros', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 1, 'Adoufe', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 2, 'Algueidon', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 3, 'Os Anxeles', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 4, 'Armental', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 5, 'Babenzo', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 6, 'Balio (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 7, 'Bastabales', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 8, 'Bastabalios', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 9, 'Beca', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 10, 'Bemil (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 11, 'Boa Vista (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 12, 'Buio (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 13, 'Cabanas (O Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 14, 'Cabanela (O Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 15, 'Cabo (O Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 16, 'Carregal', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 17, 'Casaldoeiro', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 18, 'Caxusa (O Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 19, 'Chave de Carballo', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 20, 'Chave de Ponte', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 21, 'Cirro (O Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 22, 'Coruxido', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 23, 'Escusa', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 24, 'Estrar', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 25, 'Fontao (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 26, 'Gandara (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 27, 'Gontade', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 28, 'Gosende (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 29, 'Guisande', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 30, 'Guitiande', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 31, 'Gundin (Os Anxeles)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 32, 'Iglesia (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 33, 'Lago (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 34, 'Osebe (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 35, 'Outeiro (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 36, 'Perros', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 37, 'Pieiro (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 38, 'Ralo', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 39, 'Reboredio', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 40, 'Reboredo Grande', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 41, 'Reboredo Pequeno', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 42, 'Rial (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 43, 'Romaris (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 44, 'Rubial (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 45, 'Sabaxans', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 46, 'Saime', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 47, 'San Salvador (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 48, 'Sanin (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 49, 'Soiglesia (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 50, 'Souto (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 51, 'Soutullos', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 52, 'O Tremo', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 53, 'Vidalciso', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 39, 'Muios (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 40, 'Muios (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 41, 'Murallon (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 42, 'Netos', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 43, 'Outeiro (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 44, 'Ouvilar', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 45, 'Painceira (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 46, 'Pardias (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 47, 'Pasadoiros', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 48, 'Pazo (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 49, 'Perexa', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 50, 'Peteiro (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 51, 'Pico (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 52, 'Ponte (Ponte Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 53, 'Ponte Noval', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 54, 'Pontes (Sillobre)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 55, 'Porta de Crego', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 56, 'Poteiro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 57, 'Pousadoiro (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 58, 'Pumario (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 59, 'Pumario (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 60, 'Raceiro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 61, 'Redondas', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 62, 'Regueiro (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 63, 'Reto', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 64, 'Retorta (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 65, 'Rio (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 66, 'Sedeas (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 67, 'Souto (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 68, 'Souto Novo (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 69, 'Suscuido', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 70, 'Tellas', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 71, 'Torrentes (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 72, 'Valdomar', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 73, 'Veiga (Ponte de Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 74, 'Veluz', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 75, 'Vilar de Arriba (Ponte Noval)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 76, 'Vilar do Foro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 77, 'O Vilar do Medio', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 78, 'Vilario (Ponte Mera)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15349', 79, 'Xudracos', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15350', 1, 'Cedeira', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15350', 2, 'O Portolamoso', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 1, 'Acea (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 2, 'As Agueiras', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 3, 'Agueiros (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 4, 'Arba', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 5, 'Areosa (Cerbo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 6, 'Arrasa', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 7, 'Baltar (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 8, 'Barreiros (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 9, 'Braa (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 10, 'Calvario Cerbo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 11, 'Calzada (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 12, 'Cancelo (Cerbo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 13, 'Carreiro', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 14, 'Casa Pedro', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 15, 'Castro (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 16, 'Cerbo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 17, 'Certevelo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 18, 'Chimparra', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 19, 'Cobo (Cerro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 20, 'Corbeiro', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 21, 'Corredoira (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 22, 'Corveiro', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 23, 'Eirado (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 24, 'Espasande (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 25, 'Espiaredo (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 26, 'Feiranova (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 27, 'Figueiras (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 28, 'Fijaredo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 29, 'A Fraguela', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 30, 'Golmar (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 31, 'Granxa (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 32, 'Graa (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 33, 'Hervellas', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 34, 'Iglesario (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 35, 'Lameira (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 36, 'Lamestras', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 37, 'Ledin', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 38, 'Leiracha', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 39, 'Liares (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 40, 'Ludin', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 41, 'Nebril', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 42, 'Noval (Cerbo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 43, 'Pardieira (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 44, 'Paso (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 45, 'Pedregosa (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 46, 'Rabadan', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 47, 'Regueiro (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 48, 'Remesal', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 49, 'Retorta (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 50, 'Salgueiros (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 51, 'Sobolocabo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 52, 'Trasmonte (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 53, 'Uruxeira', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 54, 'Vila Esuso (Cerbo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 55, 'Vilacacin', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 56, 'Vilar (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 57, 'Vilarelle (Hervellas)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15357', 58, 'Vilas (Cervo)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 1, 'Atrio (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 2, 'Balteiro (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 3, 'Barral (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 4, 'Barrosas (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 5, 'Birio de Abaixo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 6, 'Bouza (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 7, 'Canabal (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 8, 'Candocia', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 9, 'Carballeira (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 10, 'Casabella (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 11, 'Casanova (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 12, 'Coto (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 13, 'Cruz de Martio', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 14, 'Cruz de Otorron', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 15, 'Cruz do Campo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 16, 'Eiravedra (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 17, 'Formigueiro (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 18, 'Hervellas (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 19, 'Lamelas (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 20, 'Longoira', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 21, 'Lugar de Arriba (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 22, 'Malde (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 23, 'Meizoso (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 24, 'Nogueira (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 25, 'Oles', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 26, 'Painceira (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 27, 'Pardieira (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 28, 'Pontigas (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 29, 'Reboredo (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 30, 'Regoa', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 31, 'Rua de Abaixo (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 32, 'Rua de Arriba (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 33, 'San Andres de Teixido', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 14, 'San Xian (A Pereiria)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 15, 'San Xose (A Pereiria)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 16, 'Trasvesas (Pereiria)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 17, 'Valdepeas', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 18, 'Vilanova (Pereiria)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15138', 19, 'Vista Alegre (Pereiria)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15139', 1, 'A Canosa (Lires)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15139', 2, 'A Lagoa (Lires)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15139', 4, 'Lires (Santo Estevo)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15139', 5, 'Ponte Nova (Lires)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15139', 6, 'A Ponte Nova (Lires)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15139', 7, 'Porcar (Lires)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15139', 8, 'Prado (Lires)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15139', 9, 'Ruibo', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15139', 10, 'Tedin (Lires)', 150315, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 1, 'Barreiro (Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 2, 'Barrionovo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 3, 'Bordeiras', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 4, 'Campanilla', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 5, 'Choupana (Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 6, 'Coto (Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 8, 'Furoca (Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 9, 'Iglesario (Suevos)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 10, 'O Lagar', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 11, 'Maceira (Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 12, 'Monticao', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 13, 'Moucho (Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 14, 'Naia (Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 15, 'Pastoriza (Santa Maria)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 16, 'Pazos (Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 17, 'Pereiroa', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 18, 'Revolta (Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 19, 'Salgueiros (Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 20, 'Santuario', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 21, 'Suevos (San Martio-Pastoriza)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15140', 22, 'Torroal', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 1, 'Aguceira (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 2, 'Atin', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 3, 'Baer', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 4, 'Balai', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 5, 'Barral (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 6, 'Barreiras (Loureda)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 7, 'Baos', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 8, 'Cachopa', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 9, 'Caldopazo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 10, 'Cambon', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 11, 'Campo (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 12, 'Cancelo (Loureda)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 13, 'Carril (Loureda)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 14, 'Catuxa', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 15, 'Cebeiras', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 16, 'Curtidoiro (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 17, 'Fonte da Horta', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 18, 'A Fonte (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 19, 'Fortesende', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 20, 'A Fraga (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 21, 'Froxel', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 22, 'Galan (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 23, 'Groufa', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 24, 'Hospital (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 25, 'Iglesario (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 26, 'Lamama', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 27, 'Os Laranxos', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 28, 'Laxobre', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 29, 'Manoi', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 30, 'Oseiro (San Tirso Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 31, 'Pedreira (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 32, 'Ponte (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 33, 'Ponte do Ba', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 34, 'Raa (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 35, 'Raobre', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 36, 'Rocheira', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 37, 'Santa Leocadia', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 38, 'Seixedo (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 39, 'A Senra', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 40, 'Suso (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 41, 'Vilarrodis', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15141', 42, 'Via (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 1, 'Arteixo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 2, 'Baiuca (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 3, 'Caldas (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 4, 'Campio (Loureda)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 5, 'Candame', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 6, 'Carballas (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 7, 'Casasnovas (Loureda)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 8, 'Cepo (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 9, 'Ervedius', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 10, 'Foxo (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 11, 'Iglesario (Loureda)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 12, 'Loureda (Santa Maria)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 13, 'Marciado', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 14, 'Monte Pequeno', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 15, 'Muios de Rousadoiro', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 16, 'Outeiro (Artiexo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 17, 'Pedras (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 18, 'Pedregal (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 19, 'Pedreira (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 20, 'Poligono Industrial de Sabon', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 21, 'Ponte Dos Baos', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 22, 'Queira (Loureda)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 23, 'Quintan (Loureda)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 24, 'Rapa', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 25, 'Regocheo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 26, 'Rexidoiro', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 27, 'Sixto (Arteixo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15142', 28, 'Tis', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15143', 1, 'Canzobre', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15143', 2, 'Muios de Bouzarillo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15143', 3, 'Poligono de Sabon', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15143', 4, 'Raal', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 1, 'Albite (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 2, 'Anide', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 3, 'Anzobre', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 4, 'Armenton (San Pedro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 5, 'Armenton de Arriba', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 6, 'Barraan (San Xulian)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 7, 'Barreiros (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 8, 'Barreiros (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 9, 'Batans', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 10, 'Bons', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 11, 'Bosque (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 12, 'Branquenza', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 13, 'Braa (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 14, 'Brea (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 15, 'Cachada (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 16, 'Cachupeira', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 17, 'Campo (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 18, 'Campo (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 19, 'Campo da Pedra', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 20, 'Campolongo (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 21, 'Carretera (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 22, 'Carretera (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 23, 'Carretera (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 24, 'Casaldegas', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 31, 'Cendemil', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 54, 'Vilanova (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 55, 'Vilas (Tremo)', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15280', 56, 'Xinzo', 150130, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 1, 'Abelendo (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 2, 'Agrafoxo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 3, 'Alfonsin', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 4, 'Amanecida (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 5, 'Ardions', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 6, 'Busto de Frades (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 7, 'A Cabanela (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 8, 'Caraveles', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 9, 'Casal de Poo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 10, 'Casal do Gonzalo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 11, 'Casal do Poo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 12, 'O Castro (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 13, 'Cornanda', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 14, 'Cristimil', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 15, 'Espieiros', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 16, 'Goians', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 17, 'Graa (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 18, 'Iglesia (Cornanda)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 19, 'Iglesia (Luaa)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 20, 'Luaa', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 21, 'Macedos', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 22, 'Mato (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 23, 'Moldes', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 24, 'Ninans', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 25, 'Pazos (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 26, 'Pedre (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 27, 'Pedreira (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 28, 'Pomar (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 29, 'Quintans (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 30, 'Tambre (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 31, 'Touris (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 32, 'Urdilde', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 33, 'Vejo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 34, 'Vilario (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 35, 'Viojo de Abajo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 36, 'Viojo de Arriba', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 37, 'Virxe Blanca', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15281', 38, 'Xallas (Urdilde)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 1, 'Asneiros', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 2, 'O Barreiro (Ermedelo)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 3, 'Busto (San Pedro)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 4, 'Caa do Vento (Ermedelo)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 5, 'O Codeso (Ermedelo)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 6, 'Figueiros', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 7, 'Figueroa San Vicente Aguasan', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 8, 'Hermedelo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 9, 'Madeiro', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 10, 'O Martelo', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 11, 'Ninarello', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 12, 'Penavide', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 13, 'Sabaceda (Hermedelo)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 14, 'Toxos (Outes San Xusto)', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15282', 15, 'Vilarfabeiro', 150742, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15283', 1, 'Bargo (San Xusto)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15283', 2, 'Batan (San Xusto)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15283', 3, 'Busto de Frades (San Xusto)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15283', 4, 'Figueiroa (Abelliza)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15284', 1, 'A Barquia (Eiroa)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15284', 2, 'Carracido', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15284', 3, 'Corral (Eiroa)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15284', 4, 'Eiroa', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 1, 'Boca de Oroo (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 2, 'Cancelo (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 3, 'Cando de Abaixo (San Tirso)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 4, 'Cando de Arriba (San Tirso)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 5, 'Carballido (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 6, 'Ceilan (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 7, 'A Corga (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 8, 'Corguio', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 9, 'Cuns', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 10, 'Enxido', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 11, 'Fenosa Central Tambre', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 12, 'Filgueiro', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 13, 'Formigueiro (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 14, 'O Gallardo (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 15, 'Insua (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 16, 'Loureiro (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 17, 'A Ponte Nafonso', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 18, 'O Pumar (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 19, 'San Tirso (Cando-San Tirso)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 20, 'Togeiro', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 21, 'A Toxeira (Cando-San Tirso)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 22, 'O Vilar (Cando)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15286', 23, 'Vilardigo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 1, 'Albeida', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 2, 'Aspera (O Cruceiro de Roo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 3, 'Bara', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 4, 'O Barreiro (O Cruceiro de Roo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 5, 'Bendimon (O Cruceiro de Roo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 6, 'Brion de Abaixo (Roo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 7, 'Brion de Arriba (Roo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 8, 'Broa', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 9, 'O Cruceiro de Roo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 10, 'Guifian', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 11, 'Lagoa (Cruceiro de Roo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 12, 'Outon (Roo-San Xoan)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 13, 'Rates', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 14, 'Roo (San Xoan)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 15, 'Roo de Abaixo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 16, 'San Cosme de Outeiro', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 17, 'Santa Maria Roo (Cruceiro de R', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 18, 'Serantes (Cruceiro de Roo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 19, 'Tavilo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 20, 'Tornil', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 21, 'Viro', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 22, 'Xende', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15287', 23, 'A Xurisdicion', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 1, 'Anseres', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 2, 'Arestio', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 3, 'Brao (Freixo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 4, 'O Catadoiro (Freixo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 5, 'Catasueiro', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 6, 'Cernadas (Freixo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 7, 'Cerzon', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 8, 'A Corga (Freixo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 9, 'Figueroa (O -San Xoan Freixo d', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 10, 'O Freixo de Sabardes (San Xoan', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 11, 'O Freixo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 12, 'Lestelle', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 13, 'Magor', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 14, 'Mosteiro (O -San Xoan Freixo d', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 15, 'A Penseira', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 16, 'Pieiro (Freixo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 17, 'A Ribeira do Freixo', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 18, 'Riveira (Freixo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 19, 'Roo de Arriba', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 20, 'Siavo (Freixo)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 21, 'Vachao', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15288', 22, 'Vilario (O Freixo Sabardes)', 150623, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15289', 1, 'Cabanas (Santiago de Tal)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 34, 'Tarao', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 35, 'Tide', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 36, 'Tilleiro', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 37, 'Toxo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 38, 'Viduido (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 39, 'Vilela (Regoa)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 40, 'Virio de Abaixo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15358', 41, 'Virio de Arriba', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 1, 'Aceas', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 2, 'Acosta (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 3, 'Agrochail', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 4, 'Agrochao (Campo Ahospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 5, 'Agrochao (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 6, 'Aneiros (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 7, 'Area (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 8, 'Aron', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 9, 'Balbis (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 10, 'Balbis (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 11, 'Barrio de San Roque', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 12, 'Beco', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 13, 'Bena', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 14, 'Bereixo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 15, 'Birizo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 16, 'Breixo (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 17, 'Calzada (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 18, 'Camba', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 19, 'Camio da Oca', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 20, 'Camio da Silba', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 21, 'Campo Alegre', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 22, 'Campo de Caserio', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 23, 'Campo do Hospital', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 24, 'Campolongo (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 25, 'Campon (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 26, 'Camposa (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 27, 'Candales', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 28, 'Carballa (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 29, 'Carracedo (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 30, 'Cartas (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 31, 'Casa Grande (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 32, 'Casal de Maria', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 33, 'Casanova (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 34, 'Castro (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 35, 'Catro Camios (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 36, 'Chousa (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 37, 'Coraceira', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 38, 'Corredoira (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 39, 'Coto (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 40, 'Coto (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 41, 'Curaceiro', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 42, 'Diamantel', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 43, 'Esperon (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 44, 'Estoxa (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 45, 'Ferreira (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 46, 'Figueiras (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 47, 'Floreal', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 48, 'Fonteia (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 49, 'Foxovello', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 50, 'Fragoso (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 51, 'Freixido (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 52, 'Godon (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 53, 'Guillade', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 54, 'Lavandes', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 55, 'Ludeiro (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 56, 'Lugar da Asturiana', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 57, 'Lugar de Abaixo (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 58, 'Maravilla (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 59, 'Meson (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 60, 'Montemead', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 61, 'Montoxo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 62, 'Montoxovelo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 63, 'Morvasco', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 64, 'Mosende', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 65, 'Mundin de Abaixo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 66, 'Mundin de Arriba', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 67, 'Muruxas', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 68, 'Norvasco', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 69, 'Olmo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 70, 'Outeiro (Vecieiro)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 71, 'Pedra do Camio', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 72, 'Pena (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 73, 'Penadafria', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 74, 'Penadaguia', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 75, 'Penagrande (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 76, 'Peneiro (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 77, 'Penela (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 78, 'Pereiro (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 79, 'Pitilleira', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 80, 'Pieiros (Vello)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 81, 'Pontexo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 82, 'Portovello (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 83, 'Pousada (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 84, 'Presa (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 85, 'Purrei', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 86, 'Rega (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 87, 'Rego (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 88, 'Regueiro de Pieiro', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 89, 'Revolta (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 90, 'Riba (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 91, 'Sedeas (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 92, 'Serandos', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 93, 'Silvela', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 94, 'Teixoeira (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 95, 'Tomba', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 96, 'Torno (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 97, 'Torno de Abaixo', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 98, 'Trave (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 99, 'Trave (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 100, 'Vecieira', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 101, 'Venta (Vecieira)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 102, 'Ventosa (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 103, 'Vieteiras (Campo Hospital)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 104, 'Vila do Rio', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 105, 'Vila Mexico', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 106, 'Vilego', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 107, 'Vista Alegre (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15359', 108, 'A Xunqueira (Mosende)', 150222, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15360', 0, 'Cario', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 1, 'Airado', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 2, 'Area (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 3, 'Barreiros (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 4, 'Boca da Leira', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 5, 'Cabaneiro (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 6, 'Campanario (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 7, 'Campo do Monte (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 8, 'Castelete', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 9, 'Castelo (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 10, 'Castieira (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 11, 'Castro (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 12, 'Caotas (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 13, 'Cerca', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 14, 'Cerca Pea', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 15, 'Corredoira (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 25, 'Casanova (Armentosn)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 26, 'Casanova (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 27, 'Casasnovas (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 28, 'Castelo (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 29, 'Castelo (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 30, 'Castro (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 32, 'Chamin (Santa Eulalia-Monteagu', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 33, 'Chamin de Abaixo (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 34, 'Chamin de Arriba (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 35, 'Chamin do Medio (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 36, 'Chamusqueira (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 37, 'Cobas (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 38, 'Coque', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 39, 'Corredoira (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 40, 'Corteo de Abaixo (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 41, 'Corteo de Arriba (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 42, 'Coto (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 43, 'Crucella', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 44, 'Eiris (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 45, 'Escobadas', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 46, 'Esfarrapa (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 47, 'Filgueiras', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 48, 'Fillazos', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 49, 'Fraga (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 50, 'Freixal (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 51, 'Freon', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 52, 'Gale', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 53, 'Galo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 54, 'Gomesende (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 55, 'Gondreo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 56, 'Grela (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 57, 'Groba de Abaixo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 58, 'Groba de Arriba', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 59, 'Hermida (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 60, 'Ibia', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 61, 'Iglesario', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 62, 'Iglesario (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 63, 'Iglesario (Chamin)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 64, 'Iglesario (Larin)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 65, 'Iglesario (Laas)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 66, 'Iglesario (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 67, 'Iglesario (Sorrizo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 68, 'Lagoa (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 69, 'Lameira (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 70, 'Larin (San Esteban)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 71, 'Larin de Arriba', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 72, 'Laas (Santa Maria)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 73, 'Margarida (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 74, 'Menlle (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 75, 'Miron (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 76, 'Monte (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 77, 'Monteagudo (Sto Tome)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 78, 'Moucho (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 79, 'Moucho (Oseiro)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 80, 'Outeiro (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 81, 'Paradela (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 82, 'Pata', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 83, 'Pazo (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 84, 'Pedra (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 85, 'Pedregal (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 86, 'Pedregueira (Sorrizo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 87, 'Pena do Corvo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 88, 'Perillona', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 89, 'Pertegaza', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 90, 'Pieiro (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 91, 'Pieiro (Montagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 92, 'Ponte (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 93, 'Ponte (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 94, 'Porto (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 95, 'Pousada (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 96, 'Praia (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 97, 'Preguin', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 98, 'Ramilo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 99, 'Rescedoiro', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 100, 'Rocha (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 101, 'Roque', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 102, 'Roris (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 103, 'Rua (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 104, 'Sande (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 105, 'Santaia de Abaixo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 106, 'Santaia de Arriba', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 107, 'Sar (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 108, 'Seixo (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 109, 'Sisalde (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 110, 'Sobreasrivas', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 111, 'Sorrizo', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 112, 'Teixoeira (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 113, 'Telleira (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 114, 'Veiga (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 115, 'Vigo (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 116, 'Vilanova (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 117, 'Vilarnovo (Barraan)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 118, 'Vilela (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 119, 'Vioo (Monteagudo)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 120, 'Xerne (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 121, 'Xesta (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15144', 122, 'Xesteira (Armenton)', 150050, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 1, 'Abelares (Lendo)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 2, 'Abeleira (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 3, 'Abeleira de Bocija', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 4, 'Abeleira de Boimir', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 5, 'Abruedo (Laracha)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 6, 'Adran (Laracha)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 7, 'Aguiuncho (Leston)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 8, 'Albite (Caion)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 9, 'Cambre de Lema', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 10, 'Amboade (Laracha)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 11, 'Areosa (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 12, 'Arganal', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 13, 'Armada Bella (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 14, 'Baiuca (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 15, 'Baiuca (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 16, 'Balbis (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 17, 'Baldomir (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 18, 'Barbacan', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 19, 'Bardenlos', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 20, 'Barreira (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 21, 'Barreira (Laracha)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 22, 'Barreira (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 23, 'Baston', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 24, 'Batalo', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 25, 'Bocija', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 26, 'Boimir', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 27, 'Borreiros (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 28, 'Bostelo (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 29, 'Botica (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 30, 'Bouza (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 31, 'Bragunde', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 32, 'Braa (Laracha)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15289', 2, 'Crespos', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15289', 3, 'La Quiebra', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15289', 4, 'Santiago de Tal (P. de Santiag', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15289', 5, 'Santiago de Tal', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15289', 6, 'Tal de Abaixo', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15289', 7, 'Tal de Arriba', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15289', 8, 'Tras da Costa (Santiago de Tal', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 1, 'Abelleira (Muros)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 2, 'Amira', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 3, 'Bornalle (Abelleira)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 4, 'Cornes (Abelleira)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 5, 'Cruceiro (Abelleira)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 6, 'Figueroa (Abelleira)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 7, 'Leston (Abelleira)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 8, 'Pando', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 9, 'Rateira', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 10, 'Rio Mao', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 11, 'San Xulian Torea (Abelleira)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 12, 'Torea', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 13, 'Vilar (Abelleira)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15290', 14, 'Vistabos', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15291', 1, 'Ancoradoiro', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15291', 2, 'Louro', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15291', 3, 'San Roque (Louro)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15291', 4, 'Taxes', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15291', 5, 'Ventin (Muros)', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15291', 6, 'Vieta', 150531, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 1, 'Agrovello', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 2, 'Carballal (Lira)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 3, 'A Gandara', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 4, 'Insua (Lario)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 5, 'Lario', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 6, 'Lira', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 7, 'Miarzo', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 8, 'Pazo (Lira)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 9, 'Portocubelo', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 10, 'Remedios', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 11, 'Rua (Lira)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 12, 'Sestelos (Lira)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 13, 'Sofan (Lira)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15292', 14, 'Teixueira', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 1, 'Adrao', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 2, 'Badebois', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 3, 'Breas (Carnota)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 4, 'Canedo (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 5, 'Capelan (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 6, 'Carnota (Circular)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 7, 'Carnota (De Santa Columba)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 8, 'Carracedo (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 9, 'O Castelo (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 10, 'Cornido (Carredo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 11, 'Cruceiro (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 12, 'Cruces (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 13, 'Cubelo (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 14, 'Fetos', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 15, 'Fontes (Carnota)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 16, 'Frean (Carnota)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 17, 'Gosende (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 18, 'Insua (Carnota)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 19, 'Lagareiros', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 20, 'Louredo (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 21, 'Maceiras', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 22, 'Mallon (Carnota)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 23, 'Noutigos', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 24, 'Parada (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 25, 'Pedrafigueira', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 26, 'Pedrarramada', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 27, 'Peralbar', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 28, 'Perecha', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 29, 'Recarea', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 30, 'Riazon (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 31, 'Rieiro (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 32, 'San Cibran', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 33, 'San Mamede (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 34, 'Seorio (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 35, 'Vilar (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 36, 'Vilar de Parada', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 37, 'Virxe do Monte (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 38, 'O Viso (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15293', 39, 'Xestoso (Canedo)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15294', 1, 'Cabazas (Caldebarcos)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15294', 2, 'Caldebarcos (Caldebarcos)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15294', 3, 'Estaeiras', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15294', 4, 'Fontevella (Caldebarcos)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15294', 5, 'Gandara (Caldebarcos)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15295', 1, 'Curra (Quilmas)', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15295', 2, 'Panches', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15295', 3, 'Quilmas', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15296', 1, 'Pindo', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15296', 2, 'O Pindo', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15296', 3, 'O Sinal', 150200, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15297', 1, 'Covas (Ezaro)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15297', 2, 'El Ezaro', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15297', 3, 'San Crimenzo', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15297', 4, 'Santa Uxia (Ezaro)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15298', 1, 'A Ameixenda (Cee)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15298', 2, 'Canelias', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15298', 3, 'Castelo do Principe', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15298', 4, 'Gures', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15298', 5, 'A Igrexa (A Ameixenda)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15298', 6, 'As Lamas (A Ameixenda)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15299', 1, 'Botellons', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15299', 2, 'Fadibon', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15299', 3, 'A Grixa (Brens-Santa Baia)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15299', 4, 'A Grixa', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15299', 5, 'A Ponte (Brens)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15299', 6, 'A Pontella (Brens)', 150238, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15300', 1, 'Azogue', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15300', 2, 'Betanzos', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15300', 3, 'Estacon Norte', 150098, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15301', 0, 'Betanzos Apartados', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15306', 0, 'Ata', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15309', 0, 'Ponte (Meire)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 1, 'O Abelar (Teixeiro)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 2, 'Abeledo (Teixeiro)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 3, 'Arrescalvo', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 4, 'Baiuca (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 5, 'O Barroso (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 6, 'Bouzade Mouros', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 7, 'A Brixeira (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 8, 'A Cabana (Teixeiro)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 9, 'A Cancela (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 10, 'O Carballal (Santa Eulalia de', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 11, 'A Carregosa', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 12, 'Carroipaz', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 13, 'Cartas (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 14, 'Casanova (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 15, 'Castelo (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 16, 'Os Castieiros (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 17, 'Castro (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 18, 'Castro (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 19, 'O Castro de Vilarullo', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 20, 'A Cerdeira (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 21, 'Chacente (Curtis-Santa Eulalia', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 22, 'O Coto (Curtis-Santa Eulalia)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 16, 'Croado', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 17, 'Esteiro (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 18, 'Figueroa (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 19, 'Fontao (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 20, 'Golpa', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 21, 'Laxias', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 22, 'Lodeiro (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 23, 'Lourido (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 24, 'Lousa (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 25, 'Ludeiro (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 26, 'Macieira (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 27, 'Murela', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 28, 'A Ortigueira', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 29, 'Outeiro (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 30, 'A Pedra', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 31, 'A Pedra (Porto Cario)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 32, 'Pedronzos', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 33, 'Pousadoiro (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 34, 'Reboredo (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 35, 'Sixto (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 36, 'Socorro', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15365', 37, 'Vilanova (A Pedra)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 1, 'Adega (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 2, 'Anido (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 3, 'Barral (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 4, 'Barreira (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 5, 'Cabanan de Abaixo (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 6, 'Cabanan de Arriba (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 7, 'As Cabanas (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 8, 'Cabo (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 9, 'Calzada (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 10, 'Casanova (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 11, 'Castro (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 12, 'Condomia (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 13, 'Cubilote', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 14, 'Esteiro de Abaixo', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 15, 'Esteiro de Arriba', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 16, 'Feas', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 17, 'Gandara (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 18, 'Iglesario (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 19, 'Lama (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 20, 'Lamestra (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 21, 'Landoi', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 22, 'Lorja', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 23, 'Loxa', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 24, 'Lueiras', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 25, 'Meleato', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 26, 'Orxeiro', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 27, 'Outeiro (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 28, 'Paradela (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 29, 'Penso (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 30, 'Ponte (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 31, 'Poula', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 32, 'Rega (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 33, 'Rio da Cruz', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 34, 'Rua de Abaixo (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 35, 'San Pedro (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 36, 'San Roque (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 37, 'Sancha', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 38, 'Seixo (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 39, 'Tercias (Landoi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15366', 40, 'Zarza', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 1, 'Atrio (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 2, 'Calvario (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 3, 'Capelada', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 4, 'Casabella (San Adrian de Veiga', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 5, 'Cascas (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 6, 'Cason (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 7, 'Catadoira', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 8, 'Cerdeiras (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 9, 'Cotio (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 10, 'Cruz (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 11, 'Fabas (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 12, 'Figueiras (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 13, 'Leija', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 14, 'Mineija', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 15, 'Monte Calvo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 16, 'Montecelo (San Adrian de Veiga', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 17, 'Montuon', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 18, 'Monxecazon', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 19, 'Muios (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 20, 'Naveiras (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 21, 'Pardieiras (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 22, 'Peago', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 23, 'Pen do Vilar', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 24, 'Penas (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 25, 'Quinta (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 26, 'Regas (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 27, 'Rozabella', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 28, 'Saa (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 29, 'San Adrian de Veiga', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 30, 'Serantes (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 31, 'Suin', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 32, 'Veiga (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 33, 'Vixilde', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15367', 34, 'Vian (San Adrian)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 1, 'Bodegueira', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 2, 'Cadaval (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 3, 'Camio Grande', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 4, 'Campo (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 5, 'Campo de Souto (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 6, 'Capela (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 7, 'Carballo de Boi', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 8, 'Casa da Horta', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 9, 'Casanova (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 10, 'Castro (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 11, 'Cayoga', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 12, 'Chaelo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 13, 'Coto (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 14, 'Curro (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 15, 'Escola (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 16, 'Escorial (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 17, 'Faxin', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 18, 'Figueira (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 19, 'Foxin de Abaixo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 20, 'Foxin de Arriba', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 21, 'Foxin do Medio', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 22, 'Gaeiro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 23, 'Galieiras (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 24, 'Goimel', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 25, 'Graeiros', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 26, 'Lagar de Ramil', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 27, 'Lagarnovo', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 28, 'Latigueira', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 29, 'Maxa', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 30, 'Medroso', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 31, 'Mourios (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 32, 'Nogueira (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 33, 'Orxado', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 34, 'Ovella', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 35, 'Palmarios', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 36, 'Paxaro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 37, 'Plantio (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 38, 'Promadelos (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 33, 'Brea (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 34, 'Buazo', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 35, 'Buenos Aires (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 36, 'Calvela (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 37, 'Alto (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 38, 'Campo (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 39, 'Campo da Ran', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 40, 'Campo de Bragunde', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 41, 'Campo de Porta', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 42, 'Campo Novo', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 43, 'Campon (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 44, 'Campon (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 45, 'Camposa (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 46, 'Canedo (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 47, 'Canle (Leston)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 48, 'Carballas (Redonda)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 49, 'Carballeira (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 50, 'Cardosas', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 51, 'Casabella (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 52, 'Casal do Monte', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 53, 'Casanova (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 54, 'Casanova (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 55, 'Casas Longas', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 56, 'Castieira (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 57, 'Castieira (Sandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 58, 'Castro (Laracha)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 59, 'Cendon', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 60, 'Centulle', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 61, 'Cercido (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 62, 'Cerdeira (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 63, 'Cernadas (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 64, 'Cerqueira', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 65, 'Cerqueiras (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 66, 'Champaina (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 67, 'Chamusqueira (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 68, 'Cimadevila (Caion)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 69, 'Coiro (San Xulian)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 70, 'Coiron', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 71, 'Comians', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 72, 'Compaeiro', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 73, 'Condes (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 74, 'Condesuso', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 75, 'Corbeira (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 76, 'Corgo (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 77, 'Corion', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 78, 'Corredoira (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 79, 'Coto (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 80, 'Cruceiro (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 81, 'Cruceiro Novo (Leston)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 82, 'Cruxeira (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 83, 'Cruxido (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 84, 'Cubo (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 85, 'Currelos (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 86, 'Curros (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 87, 'Decoita', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 88, 'Encian', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 89, 'Erboedo (Sta Maria)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 90, 'Erboedo de Abaixo', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 91, 'Escurido', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 92, 'Esquipa (Lendo)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 93, 'Estramil (Laracha)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 94, 'Ferradura', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 95, 'Ferreira (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 96, 'Ferreiros (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 97, 'Ferreiros (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 98, 'Ferreria (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 99, 'Ferrulleira', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 100, 'Fervenzas', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 101, 'Fieira (Laracha)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 102, 'Figueiroa (Arteixo)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 103, 'Fofelle', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 104, 'Fogueiras (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 105, 'Folgueira (Monteagudo)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 106, 'Folgueiros', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 107, 'Fonte (Caion)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 108, 'Fontefria (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 109, 'Fontenla (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 110, 'Formigueiro (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 111, 'Fornelos (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 112, 'Frades', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 113, 'Fraga (Coiro)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 114, 'Fraga (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 115, 'Fraga (Soandres)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 116, 'Fragoso (Golmar)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 117, 'Fragunde', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 118, 'Gabenlle', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 119, 'Gallardo (Montemaior)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 120, 'Gandara (Laracha)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 121, 'Ganduma (Leston)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 122, 'Ganduma (Toras)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 123, 'Geriz', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 124, 'Germaa', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 125, 'Gilfoy', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 126, 'Godon', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15145', 127, 'Goexe', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 1, 'Amieiro', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 2, 'Aren', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 3, 'Bertoa (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 4, 'Braa (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 5, 'Braa Grande', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 6, 'Cabo Vilao', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 7, 'Cacharra', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 8, 'Cancelo de Abaixo', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 9, 'Cancelo de Arriba', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 10, 'Cancelo do Medio', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 11, 'Cardois', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 12, 'Carretera (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 13, 'Casanova (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 14, 'Castro (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 15, 'Chamusco (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 16, 'Charrua (Cavovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 17, 'Costa (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 18, 'Cruceiro Vello', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 19, 'Cruceiro Vello (Lemaio)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 20, 'Cuartel (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 21, 'Feal (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 22, 'Fermelle', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 23, 'Fontaia de Abaixo', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 24, 'Fontaia de Arriba', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 25, 'Fontaia do Medio', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 26, 'Forxa (Cabo Vilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 27, 'Iglesario (Cabo Vilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 28, 'Lagarteira (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 29, 'Lemaio (Santa Maria)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 30, 'Mourios (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 31, 'Nogan', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 32, 'Oldan (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 33, 'Padronelo (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 34, 'Pedreira (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 35, 'Pereiro (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 36, 'Pousadas (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 23, 'Covas (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 24, 'O Curro (Curtis-Santa Eulalia)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 25, 'Curtis', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 26, 'Curtis (Santa Eulalia)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 27, 'A Edrada (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 28, 'Edreira (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 29, 'Esmorique', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 30, 'O Espido', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 31, 'A Espieira (Curtis-Santa Eula', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 32, 'Estraviz', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 33, 'Filgueira (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 34, 'A Fontabrea', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 35, 'O Formigueiro (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 36, 'Foxado (Santa Maria)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 37, 'Gorxa', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 38, 'A Graa (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 39, 'A Gulpilleira (Teixeiro)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 40, 'Igrexa (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 41, 'Labrada (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 42, 'Ladrus', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 43, 'Lourdes', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 44, 'Lousa (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 45, 'Mandeo de Baixo (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 46, 'Mandeo de Riba (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 47, 'Maques de Arriba', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 48, 'Maques de Baixo', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 49, 'Modillos de Riba', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 50, 'Montealto', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 51, 'Montouto (Teixeiro)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 52, 'Os Morangueiros', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 53, 'Mostas (Teixeiro)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 54, 'A Muradela', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 55, 'Os Muros (Santa Eulalia-Curtis', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 56, 'Orxas (Curtis-Santa Eulalia)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 57, 'Paradela (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 58, 'As Paredes (Santa Eulalia)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 59, 'O Pazo de Santabaia (Curtis-Sa', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 60, 'O Pazo de Vilarullo (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 61, 'Pedrada', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 62, 'Pedraporral', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 63, 'A Pedreira (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 64, 'Pena (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 65, 'Penedo de Teixeiro', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 66, 'Penedo Fisteus', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 67, 'O Penedo Rendal', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 68, 'Penedo Santalla', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 69, 'A Penencia', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 70, 'O Pereiral', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 71, 'A Pontavila', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 72, 'A Ponte (Artes)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 73, 'A Ponte (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 74, 'Portecelo', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 75, 'O Porto Pereiro', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 76, 'O Porto', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 77, 'O Portoseco', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 78, 'Quintadoniga', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 79, 'Ratona', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 80, 'Recareo', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 81, 'Remouran', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 82, 'A Restreva', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 83, 'Rodrigueites', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 84, 'Samel', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 85, 'San Cristobo (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 86, 'Sancibra', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 87, 'Santaia (Curtis-Santa Eulalia)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 88, 'Seixo (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 89, 'Senin', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 90, 'Sucastro', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 91, 'Tamarela', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 92, 'Telleiro (Telleiro)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 93, 'O Valio (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 94, 'Vila (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 95, 'Vila de Castro', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 96, 'O Vilar (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 97, 'Vilarello (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 98, 'Vilario (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 99, 'Vilarullo', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 100, 'Arada (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 101, 'Boipardo', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 102, 'Martios', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 103, 'A Graa (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 104, 'A Insua (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 105, 'A Lagoa (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 106, 'Campos (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 107, 'Ciencasas (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 108, 'Couceiros (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 109, 'O Porto (Foxado)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15310', 110, 'Vilarbello (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 1, 'Abeleira (Val de Xestoso)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 2, 'Acibro', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 3, 'Adrada', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 4, 'Aguillon', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 5, 'Aguisilde', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 6, 'Airavella (Rixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 7, 'Airoa', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 8, 'Airoa do Rei', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 9, 'Aldea de Cela', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 10, 'Alvariza', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 11, 'Ambroa (San Tirso-Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 12, 'Aquisilde', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 13, 'Ascabanas', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 14, 'Baltar (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 15, 'Bao (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 16, 'Barral de Santa Balla', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 17, 'Barral do Alto', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 18, 'Barreiros (Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 19, 'Boveda', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 20, 'Braas (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 21, 'Bullo (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 22, 'Cabanas de Abaixo (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 23, 'Cabanas de Arriba (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 24, 'Cal de San Mamede', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 25, 'Campelo (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 26, 'Campo (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 27, 'Campoade', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 28, 'Cantaraba', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 29, 'Carballo (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 30, 'Carboeiro (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 31, 'Carracedo de Abaixo', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 32, 'Carracedo de Arriba', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 33, 'Carreira (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 34, 'Casagrande (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 35, 'Casal (Coruxou)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 36, 'Casal (Mantras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 37, 'Casal do Mouro', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 38, 'Casaldarrique', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 39, 'Casanova (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 40, 'Caselas (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 41, 'Catro Camios (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 42, 'Cavana (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 43, 'Cela (Rixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 44, 'Cenda', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15687', 66, 'Oa', 150866, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 39, 'Requeiro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 40, 'Rio de Loureiros', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 41, 'Riodagueiro', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 42, 'San Claudio', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 43, 'Soutrande', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 44, 'Trangueira', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 45, 'Tras do Rio (San Claudio)', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 46, 'Tristimil', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 47, 'Tronqueira', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15368', 48, 'Vodeguia', 150618, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 1, 'Areado de Abaixo', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 2, 'Areado de Arriba', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 3, 'Borrallas (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 4, 'Calvario (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 5, 'Chancela (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 6, 'Coido (Meixigo)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 7, 'Cruz (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 8, 'Felgueirao (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 9, 'Fonte (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 10, 'Forno (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 11, 'Garita (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 12, 'Lama (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 13, 'Marrocos', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 14, 'Meixon (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 15, 'Ostreira', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 16, 'Pazo (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 17, 'Pedreira (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 18, 'Peneiro (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 19, 'Pison (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 20, 'Puntal (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 21, 'Reboredo (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 22, 'Regueirio', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 23, 'Salto (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 24, 'San Roque (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 25, 'Sismundi', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 26, 'Souto (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 27, 'Souto Chao (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15369', 28, 'Veiga (Sismundi)', 159012, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15370', 1, 'Alvite (Fisteus-Curtis)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15370', 3, 'Baiuca (Illana)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15370', 4, 'Balter', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15370', 5, 'Curtis (Curtis)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15370', 6, 'A Raia', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15374', 0, 'Goexa', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 1, 'Baldaris', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 2, 'Baltar (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 3, 'Bodeus', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 4, 'Boilouro (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 6, 'Bouza (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 7, 'Bouza (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 8, 'Braa (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 9, 'Busto (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 10, 'A Cabana (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 11, 'Cadeso (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 12, 'Campo (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 13, 'Campo (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 14, 'Os Campos (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 15, 'Carballeira (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 16, 'Carballeira (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 17, 'Carraceira', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 18, 'A Carriceira', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 19, 'Casa (Parron)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 20, 'Casa Capo', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 21, 'Casamonte', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 22, 'Casanova (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 23, 'Casilla (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 24, 'Casilla de Fiador', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 25, 'O Castro (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 26, 'Celtigos (San Xulian-Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 27, 'Cencasas (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 28, 'Centeas (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 29, 'A Cheira', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 30, 'Chouso', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 31, 'Corna', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 32, 'Corredoira (A Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 33, 'O Cruceiro (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 34, 'Curtis', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 35, 'Deveso (Souto)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 36, 'A Edreira (Parada)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 37, 'Eirixe (A Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 38, 'Esmoris (A Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 39, 'Estanco (A Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 40, 'Estramil', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 41, 'O Fieital (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 42, 'Fisteus (Santa Maria)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 43, 'Fonta (A Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 44, 'Fonte (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 45, 'Fonte (A Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 46, 'A Fraga (A Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 47, 'Godulfes', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 49, 'Igresario (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 50, 'Igrexa (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 51, 'A Illana', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 54, 'Liares (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 55, 'Loureiro (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 56, 'Martin (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 58, 'Mascoto (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 59, 'As Merelas (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 60, 'Meson (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 61, 'Mins', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 62, 'Miras (A Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 63, 'Muio de Ponte A Graa', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 64, 'Naveira (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 65, 'Outeiro (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 66, 'O Outeiro (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 67, 'Padreiro (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 68, 'Pardias (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 69, 'Pardieiras', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 70, 'Pardieiro (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 71, 'Pena (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 72, 'A Penarrubias', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 73, 'As Pereiras (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 74, 'Picha', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 75, 'Pinguela (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 76, 'Pieiro (Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 77, 'Pieiro (Trasanquelos)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 78, 'Portasbesta', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 79, 'Porto Das Bestas', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 81, 'As Rabuas', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 82, 'Raposeiras (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 83, 'Regas (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 84, 'Rio (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 85, 'Roibeira (Mondoi)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 86, 'San Roque (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 87, 'San Xose (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 88, 'Seixo (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 89, 'Seixo de Baixo (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 90, 'Seixo de Riba (Curtis)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 91, 'Seor (A Illana)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 92, 'Vilardois', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 93, 'Os Vilares (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 94, 'Vilavello (Fisteus)', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 95, 'Xabrino', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15379', 96, 'Zafrela', 150320, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 1, 'Adro', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 2, 'Andris', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 3, 'Avieira (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 4, 'Caballos', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 5, 'Cabalos (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 6, 'Carraceda', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 7, 'Caseta (Iglesiafeita)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 8, 'Castieiro (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 9, 'Enxertado', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 10, 'Frais (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 11, 'Iglesia (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 37, 'Proame', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 38, 'Quenlle (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 39, 'Queo de Abaixo', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 40, 'Ramo (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 41, 'Raxido', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 42, 'Rega (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 43, 'Regado', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 44, 'Ribas (Cabo Vilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 45, 'Rioporto', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 46, 'Riveiro (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 47, 'Salgueiral (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 48, 'Sande (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 49, 'Teixoeira (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 50, 'Telleira (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 51, 'Torre (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 52, 'Trasande', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 53, 'Tuixe de Abaixo', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 54, 'Tuixe de Arriba', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15146', 55, 'Vilar (Cabovilao)', 150413, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 1, 'Abelenda (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 2, 'Abellariza', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 3, 'Amboande (Coristanco)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 4, 'Arixon (Castro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 5, 'Arixon (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 6, 'Aspereiros', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 7, 'Astaranceiras (Coristanco)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 8, 'Avieira (Traba de Bergantios)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 9, 'Baiordo', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 10, 'Batan (Castro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 11, 'Bormoio', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 12, 'Braa (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 13, 'Braeira', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 14, 'Bustelo (Castro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 15, 'Buxan (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 16, 'Campelo (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 17, 'Campolongo (Traba de Berganti', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 18, 'Canal (Traba de Bergantios)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 19, 'Canelas (Castro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 20, 'Capellan (Traba de Bergantios', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 21, 'Carambola', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 22, 'Carantos', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 23, 'Carballal (Traba de Bergantio', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 24, 'Carrizal de Abaixo', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 25, 'Castro (Santa Eulalia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 26, 'Castrobo (Castro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 27, 'Cean (Castro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 28, 'Centia', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 29, 'Cepa (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 30, 'Cercedo (Castro-Santa Eulalia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 31, 'Cereixo (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 32, 'Cereo (Santa Maria-Cruz de Agr', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 33, 'Cereovello', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 34, 'Cerqueiras (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 35, 'Cerqueiras (Traba de Berganti', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 36, 'Codeseiras', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 37, 'Codesio (Traba de Bergantios', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 38, 'Conles', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 39, 'Corbo', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 40, 'Coristanco', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 41, 'Costa de Galgueira', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 42, 'Coton (Cruz de Agrelo)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 43, 'Cruz de Agrelo (Cruz de Agrelo', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 44, 'Cuca (Cruz de Agrelo)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 45, 'Cucheiros', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 46, 'Edrada (Cruz de Agrelo)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 47, 'Emboade', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 48, 'Erbecedo', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 49, 'Erbelleira', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 50, 'Ermeade (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 51, 'Esfarrapa (Castro-Santa Eulali', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 52, 'Figueiras (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 53, 'Figueiras (Traba de Bergantio', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 54, 'Figueiroa (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 55, 'Fornelos (Castro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 56, 'Freixeiro (Searia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 57, 'Furoca (Castro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 58, 'Gatiande', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 59, 'Gulua', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 60, 'Iglesia (Castro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 61, 'Iglesia (Xavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 62, 'A Iglesia (Traba de Bergantio', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 63, 'Leston (Castro-Santa Eulalia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 64, 'Lodeiros', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 65, 'Loureiros (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 66, 'Lume', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 67, 'Lume da Cova', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 68, 'Lume de Suso', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 69, 'Lumian', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 70, 'Midon (Castro-Santa Eulalia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 71, 'Mira (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 72, 'Miata', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 73, 'Montecelo (Traba de Bergantio', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 74, 'Muioseco', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 75, 'Murazas', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 76, 'Nogueira (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 77, 'Oca (San Martio)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 78, 'Orxeiras (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 79, 'Ourado (Castro-Santa Eulalia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 80, 'Outeirios (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 81, 'Outeiro (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 82, 'Outeiro Xavia', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 83, 'Pedralta', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 84, 'Pedreira (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 85, 'Pedrouzo (Traba de Bergantios', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 86, 'Pereira (Traba de Bergantios)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 87, 'Pereiras (Traba de Bergantios', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 88, 'Pieiro (Traba de Bergantios)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 89, 'Poceiro (Traba de Bergantios)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 90, 'Podrizo', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 91, 'Pomba', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 92, 'Ponte (Cruz de Agrelo)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 93, 'Ponte Pequena', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 94, 'Porcariza (Traba de Bergantio', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 95, 'Porto da Presa', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 96, 'Porto Quintanas', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 97, 'Pousada (Cruz de Agrelo)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 98, 'Pumario (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 99, 'Rabadeira (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 100, 'Rabuxenta', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 101, 'Rececinde', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 102, 'Ribela (Castro-Santa Eulalia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 103, 'Rio (Traba de Bergantios)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 104, 'Riomouro', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 105, 'Riveiro (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 106, 'Rodeiro (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 107, 'Rueiro (Traba de Bergantios)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 108, 'Salgueiras (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 109, 'Salgueiras (Seavia)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 110, 'San Paio (Castro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 111, 'San Roque (Traba de Bergantio', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 112, 'San Xusto (San Xulian)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 113, 'Santa Eulalia de Castro', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 114, 'Seavia (San Mamede)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 115, 'Segufe', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 116, 'Silvan', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 117, 'Sorribas (Traba de Bergantios', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 118, 'Soutullo (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 119, 'Teixoeiras (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 45, 'Cepegal', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 46, 'Cerro', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 47, 'Chabola (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 48, 'Chao da Via', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 49, 'Chaos (Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 50, 'Churio', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 51, 'Ciao', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 52, 'Congostros', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 53, 'Corredoiras (Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 54, 'Coruxo San Salvador (Coruxo)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 55, 'Curras (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 56, 'Edrada (Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 57, 'Edreiras (Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 58, 'Eirixa (Coruxou)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 59, 'Ensalde', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 60, 'Entrigueras', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 61, 'Escaoi', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 62, 'Feal (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 63, 'Ferreiros (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 64, 'Fieital (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 65, 'Follente (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 66, 'Fonte (Coruxou)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 67, 'Fonte Ambroa', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 68, 'Fontepequena', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 69, 'Fraga (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 70, 'Gandara (Coruxou)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 71, 'Gandara de la Iglesia', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 72, 'Gandara del Campo', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 73, 'Garrida', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 74, 'Graa (Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 75, 'Gulfar', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 76, 'Iglesia (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 77, 'A Iglesia (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 78, 'Irixoa (San Lourenzo)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 79, 'Lambre (Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 80, 'Lamela (Coruxou)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 81, 'Lamestrega', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 82, 'Lapido (Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 83, 'Lousada de Abaixo', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 84, 'Lousada de Arriba', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 85, 'Manide (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 86, 'Meimon (A Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 87, 'Midoi', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 88, 'Montillon (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 89, 'Moreira (Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 90, 'Morgade (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 91, 'Mouchueira', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 92, 'Mourente (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 93, 'Muios (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 94, 'Oleira de Abaixo (Coruxou)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 95, 'Oleira de Arriba (Coruxou)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 96, 'Oural (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 97, 'Outeiro (Mantaras)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 98, 'Padernelo', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 99, 'Pazo da Vila', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 100, 'Pazo de Irixoa', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 101, 'Peixoanes (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 102, 'Peixoanes (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 103, 'Pena do Carro', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 104, 'Penedo (Churio)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 105, 'Penedo (Coruxou)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 106, 'Penedo (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 107, 'Pereiro (Via)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 108, 'Pirineo', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 109, 'Ponte (Muniferral)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 110, 'Portela (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 111, 'Portogain', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 112, 'Portosmangos', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 113, 'Pracin', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 114, 'Pruzos', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 115, 'Pumar (Coruxou)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 116, 'Purrios', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 117, 'Queira (Coruxou)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 118, 'Quinta (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 119, 'Quinta (Verines)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 120, 'Quisilde', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 121, 'Rebon', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 122, 'Reburdela', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 123, 'Recion', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 124, 'Regueiro (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 125, 'Requeixo (Verins)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 126, 'Rigueiro (Irixoa)', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15313', 127, 'Sacramento', 150392, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 1, 'Adragonte', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 2, 'Altamira (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 3, 'Amboade (Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 4, 'Areas (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 5, 'Astroiuerias', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 6, 'Atrio (Villozas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 7, 'A Azureira (Villozas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 8, 'Barqueira (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 9, 'Barreira (Corujou)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 10, 'Barreira (Mantaras)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 11, 'Barreiro (Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 12, 'Batan (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 13, 'Bion', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 14, 'Bocelo', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 15, 'Botella', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 16, 'Buqueira', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 17, 'Cal da Bouza', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 18, 'Calzada (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 19, 'Campeiro', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 20, 'Campo (Coruxou)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 21, 'Campo da Feira (A Via)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 22, 'Campolongo (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 23, 'Cancela (Feas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 24, 'Cancelos', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 25, 'Capela (Coruxo)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 26, 'Capela (Mantaras)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 27, 'Carballal (Irixoa)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 28, 'Carballido (Verines)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 29, 'Carboeiro de Abaixo', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 30, 'Carboeiro de Arriba', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 31, 'Carneiral', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 32, 'Cartas (Irixoa)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 33, 'Casa de Fidalgo', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 34, 'Casa de Rivas', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 35, 'Casa de Urdeiro', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 36, 'Casa Vella (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 37, 'Casal (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 38, 'Caseiros (Irixoa)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 39, 'Castelo (Verines)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 40, 'Castieirio', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 41, 'Cean (Corujou)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 42, 'Cerca (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 43, 'Cernadas (Coruxou)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 44, 'Chedas (Villozas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 45, 'Cobacha', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 46, 'Cobas (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 47, 'Cobas (A Via)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 48, 'Condos', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 49, 'Consistorio', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 50, 'Costa (Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 51, 'Couto (Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 52, 'Cruce (Irixoa)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 53, 'Cruceiro (Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 54, 'Cruz (Via)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 55, 'Cubela (Irixoa)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 56, 'Cuide', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 57, 'Donin', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 58, 'Eirovello', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 59, 'Esfarrapa (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 60, 'Esfolladas', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 61, 'Esperela (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 62, 'Estrigueiras', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 63, 'Filgueiras (Via)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 64, 'Fonte (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 65, 'Fonte (Paderme)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 12, 'Lois', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 13, 'Mayal (Oza Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 14, 'Medin (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 15, 'Molinos de Plata', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 16, 'Nogueiras (Medin)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 17, 'Outeiro (Oza Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 18, 'Oza Dos Rios (San Pedro)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 19, 'Paio (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 20, 'Parada (San Estevo)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 21, 'Peruchico', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 22, 'Piornal', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 23, 'Porto (Oza Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 24, 'Quintela (Oza Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 25, 'Rocha (Oza Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 26, 'Rua (Medin)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 27, 'Veis', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 28, 'Vilar de Costoia', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15380', 29, 'Vilar de Loorendes', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 1, 'Azoi (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 2, 'Bando (Oza Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 3, 'Bandoja', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 4, 'Barosa (Ameixeira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 5, 'Barosa (Medin)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 6, 'Barra (Rodeiro)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 7, 'Belen (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 8, 'Besadio', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 9, 'Boilouro (Medin)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 10, 'Brueiro', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 11, 'Campia (Rodeiro)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 12, 'Campo (Medin)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 13, 'Casanova (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 14, 'Castelo (Rodeiro)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 15, 'Corte do Mato (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 16, 'Fajo', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 17, 'A Foca (Barciela)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 18, 'Graa (Ameixeira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 19, 'Graa (Medin)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 20, 'Graa (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 21, 'Iglesia (Rodeiro)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 22, 'Liardelo', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 23, 'Martin (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 24, 'Mazarelas', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 25, 'Medin (Ameixeira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 26, 'Mortoares (Ameixeira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 27, 'Mortoares (Medin)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 28, 'Moscoso (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 29, 'Muruxeses', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 30, 'Naveira (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 31, 'Nogueiras (Ameixeira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 32, 'Paradela (Ameixeira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 33, 'Paradela (Medin)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 34, 'Pena (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 35, 'Penabela', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 36, 'Pernas', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 37, 'Queimada', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 38, 'Ribeira (Rodeiro)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 39, 'Rodeiro (Sta Maria)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 40, 'Samil (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 41, 'Sangorzo (Medin)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 42, 'Seixo (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 43, 'Val de Deus', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 44, 'Valladares (Medin)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 45, 'Ventosa (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 46, 'Vilario (Rodeiro)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15386', 47, 'Xesta (Queimada)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 1, 'Bacariza', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 2, 'Barbeito (A Regueira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 3, 'Burricios', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 4, 'Carnes (Regueira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 5, 'Casas Novas (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 6, 'A Chantada (Requeira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 7, 'Coiroa', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 8, 'Cova (A Regueira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 9, 'Cuada (A Regueira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 10, 'Freixo (A Regueira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 11, 'Iglesario (Regueira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 12, 'Mundin (Regueira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 13, 'Pesco', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 14, 'A Regueira (Santa Maria)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 15, 'Seinelle', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15387', 16, 'Seselle (A Regueira)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 1, 'Agra (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 2, 'Aguieiro', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 3, 'Batan (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 4, 'Calvente', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 5, 'Casanova (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 6, 'Casanova (Oza Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 7, 'Casaqueimada', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 8, 'Castieiro (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 9, 'Cimadevila (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 10, 'Correa (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 11, 'Couso (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 12, 'Cubelo (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 13, 'Ferrador', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 14, 'Freixeiro (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 15, 'Iglesia (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 16, 'Lameiro (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 17, 'Leirou', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 18, 'Loureiro (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 19, 'Mandaio (San Xulian)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 20, 'Mangoo', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 21, 'Mangoo (Salto)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 22, 'Mayal (Mandayo)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 23, 'Navallo (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 24, 'Paragal', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 25, 'Parajal', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 26, 'Petin', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 27, 'Portorraro', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 28, 'Presa (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 29, 'Quinta (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 30, 'Reboredo (Santiago)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 31, 'Recemonde', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 32, 'Rocha (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 33, 'Salto (Santo Tomas)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 34, 'Sooquinta', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 35, 'Taboas (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 36, 'Tarrio (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15388', 37, 'Veiga (Mandaio)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 1, 'Amarante', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 2, 'Bendrade', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 3, 'Cafira', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 4, 'Cafua', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 5, 'Callobre (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 6, 'Campo (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 7, 'Canaboso', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 8, 'Castro (Oza Dos Rios-Cir)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 9, 'Cines (San Nicolas)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 10, 'Coto (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 11, 'Cristin', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 12, 'Cuia (Santa Maria Oza Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 13, 'Porto de Mouros', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 14, 'Ramonde (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 15, 'Serra (Oza Dos Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 16, 'Telleiro (Oza Rios)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15389', 17, 'Xunqueiro (Maroxo)', 150639, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 1, 'Armucela', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 2, 'Balados (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 3, 'Barqueira (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 4, 'Belle', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 5, 'Borrifans', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 6, 'Brates (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 7, 'Brufe', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 8, 'Canedos (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 9, 'Caneta', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 10, 'Castellana (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 120, 'Torre (Silvan)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 121, 'Torre Nogueira', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 122, 'Traba de Bergantios (Santa Ma', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 123, 'Trabuxans', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 124, 'Valencia (Castro-Santa Eulalia', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 125, 'Valencia (San Pedro)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 126, 'Varela (Traba de Bergantios)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15147', 127, 'Verdes (San Adrian)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 1, 'Agrilloi de Abaixo', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 2, 'Agrilloi de Arriba', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 3, 'Agualada (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 4, 'Albres', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 5, 'Ameixenda (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 6, 'Anido (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 7, 'Bormoxoio', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 8, 'Bostelo (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 9, 'Brenlla', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 10, 'Couso Agualada', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 11, 'Cuns (San Vicente)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 12, 'Curras de Abaixo (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 13, 'Curras de Arriba (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 14, 'Estarnande', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 15, 'Ferreira (Santa Maria)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 16, 'Figueroa (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 17, 'Furoca (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 18, 'Gandria', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 19, 'Iglesario (Cuns)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 20, 'Moucos', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 21, 'Pazo da Trabe', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 22, 'Pazo Vello', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 23, 'Pereiras (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 24, 'Pieiro (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 25, 'Rial (A Piolla)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 26, 'Ribela (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 27, 'Rueiro (Piolla)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 28, 'Serrapio', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 29, 'Sordins', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 30, 'Ventoso (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15148', 31, 'Vilar (Agualada)', 150294, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 1, 'Anles', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 2, 'Anos', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 3, 'Avieira (Silvarredonda)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 4, 'Balsa (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 5, 'Baneira (Silvarredonda)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 6, 'Barcia (Silvarredonda)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 7, 'Beres', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 8, 'Budian (Gandara)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 9, 'Cabana (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 10, 'Cabana (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 11, 'Cabana Silvarredonda', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 12, 'Camafreita', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 13, 'Carballas (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 14, 'Casanova (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 15, 'Castro (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 16, 'Cazon', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 17, 'Cotaredo', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 18, 'Cruceiro (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 19, 'Cucha', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 20, 'Cundins (San Paio)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 21, 'Denellon', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 22, 'Devesa (Moar-Santa Eulalia)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 23, 'Eirita', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 24, 'Enfesta (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 25, 'Esmorisa', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 26, 'Esto (San Xoan)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 27, 'Folgoso (Silvarredonda)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 28, 'Frinle', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 29, 'Gandara (Santa Maria)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 30, 'Hermida (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 31, 'Iao', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 32, 'Leas', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 33, 'Margarida (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 34, 'Martices (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 35, 'Mata (Silvarredonda)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 36, 'Medoa (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 37, 'Meixonfrio (Silvarredonda)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 38, 'Nanton (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 39, 'Outeiro (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 40, 'Outeiro (Cundis Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 41, 'Padrin (Silvarredonda)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 42, 'Palleira', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 43, 'Paradoa', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 44, 'Parga (Gandara)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 45, 'Parrocha (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 46, 'Pedra (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 47, 'Pedra (Silvarredonda)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 48, 'Pedrouzo (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 49, 'Penela (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 50, 'Penela (Silvarredonda)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 51, 'A Piolla (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 52, 'Quintans (Gandara)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 53, 'Remesqueira', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 54, 'Rieiro (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 55, 'Riobo (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 56, 'Rozamonde', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 57, 'Silvarredonda (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 58, 'O Sixto (Gandara)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 59, 'Sobreira (Gandara)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 60, 'Soutochan', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 61, 'Vento (Anos)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 62, 'Vidual (A Piolla)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 63, 'Vilaestevez', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 64, 'Vilar (Ponte Noval)', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 65, 'Vilar de Gandara', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 66, 'Vilar Ramilo', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15149', 67, 'Vilaramiro', 150145, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 1, 'Agreanas Ou A Braa', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 2, 'O Allo (Por Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 3, 'A Andragalla', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 4, 'Arton', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 5, 'Baio', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 6, 'Baio de Bamiro', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 7, 'Baio Grande', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 8, 'Baio Pequeno', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 9, 'Bamiro', 150927, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 10, 'A Braa (Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 11, 'Burgo (As Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 12, 'A Cacharosa', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 13, 'O Campo do Rollo (Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 14, 'Casal (As-Lamas Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 15, 'Casas Novas (O Allo)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 16, 'Castro (As-Lamas Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 17, 'Cean (Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 18, 'A Cebola de Abaixo', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 19, 'A Cebola de Arriba', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 20, 'O Chamberin (Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 21, 'Costia (As-Baio Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 22, 'Coton do Muio', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 23, 'Daneiro', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 24, 'Fornelos (Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 25, 'Gomaris', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 26, 'Lamas (Santa Maria)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 27, 'Los Molinos (Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 28, 'Mourios (Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 29, 'Murio (O Allo)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 30, 'Outeiro (As-Lamas Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 31, 'Pazos (As Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 32, 'Pazos de Tines', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 33, 'Penedo (As Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 34, 'Penelas (As-Lamas Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 35, 'As Pereiras (Lamas)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 36, 'La Piroja', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 37, 'O Pombal (Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 66, 'Fonte de Ambroa', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 67, 'Fornos (Via)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 68, 'Fraga (Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 69, 'Fraga (Via)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 70, 'Fraga de Cela', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 71, 'Fraga de Mantaras', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 72, 'Fragarredonda (Verines)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 73, 'Frances (Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 74, 'Furado (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 75, 'Gunduriz (Villozas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 76, 'Gurita (Paderme)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 77, 'Hermida (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 78, 'Iglesia (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 79, 'Iglesia (Mantaras)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 80, 'Lamas (Coruxou)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 81, 'Lameira (Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 82, 'Lamela (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 83, 'Loibo', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 84, 'Longra (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 85, 'Lugar do Toxo', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 86, 'Madruguera', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 87, 'Maimon', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 88, 'Mantaras (Santa Maria)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 89, 'Medin (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 90, 'Medoas (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 91, 'Mota (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 92, 'Muios de Cotarea', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 93, 'Muios de Fidalgo', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 94, 'Naveiras (A Via)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 95, 'Nogueiral', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 96, 'Obre (San Andres Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 97, 'Outeiro de Cela', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 98, 'Outeiro de Mantaras', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 99, 'Paderne', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 100, 'Parrote', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 101, 'Pazo (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 102, 'Pazos (Irixoa)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 103, 'Pedralonga (Mantaras)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 104, 'Pedregal (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 105, 'Pedreira (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 106, 'Pedreira (Irixoa)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 107, 'Pedrosa (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 108, 'Pena (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 109, 'Pena (Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 110, 'Picota (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 111, 'Pieiro (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 112, 'Polabrada', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 113, 'Ponte (Coruxou)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 114, 'A Ponte Vella (Tiobre-San Mart', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 115, 'Portela (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 116, 'Pozo (Vizoo)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 117, 'Quintas (Santo Estevo-Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 118, 'Regoseco (A Via)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 119, 'Regueiral (Mantaras)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 120, 'Regueiro (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 121, 'Regueiro (Mantaras)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 122, 'Rua (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 123, 'Rua (Paderme)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 124, 'San Mamede (Areas)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 125, 'San Paio (Tiobre-San Martio)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 126, 'San Pedro (Paderne)', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15314', 127, 'Sandin', 150644, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 1, 'Albite (Vallegestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 2, 'Alvite (Valle Gestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 3, 'Armada (Santa Maria de Xestoso', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 4, 'Balado (Vallegestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 5, 'Barral (Cernadas)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 6, 'Boicornello', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 7, 'Bouza (Cernadas)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 8, 'Brigueo', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 9, 'Ferrol', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 10, 'Cal de Abeleira', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 11, 'Cal do Espio', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 12, 'Caldovilar', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 13, 'Calvela (Val de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 14, 'Campo (Santa Maria de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 15, 'Canedo (Cernadas)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 16, 'Canedo (Val de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 17, 'Carballio (Val de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 18, 'Carballo (Redondo)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 19, 'Carballosa (Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 20, 'Casacamio (Val de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 21, 'Casal (Santa Maria-Val Xestoso', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 22, 'Casaldabouza', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 23, 'Casanova (Val Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 24, 'Casas (Santa Maria Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 25, 'Castro (Vallegestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 26, 'Caulfe', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 27, 'Couce de Laxe', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 28, 'Couce de Nova', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 29, 'Couce Naveira', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 30, 'Cruceiro (Santa Maria Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 31, 'Cruz (Gallado)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 32, 'Curra (Santa Maria de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 33, 'Curros (Santa Maria de Xestoso', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 34, 'Doreija', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 35, 'Dureixas', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 36, 'Eive', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 37, 'Escoitadoira (Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 38, 'Espadana', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 39, 'Esperon (Vallegestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 40, 'Ferreria (Val Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 41, 'Ferrerias (Val Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 42, 'Cagiao', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 43, 'Filgueiras (Val Xestoso Grande', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 44, 'Filgueiras Pequenas', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 45, 'Fontela (Gallado)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 46, 'Fontes (Santa Maria Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 47, 'Foxo (Vallegestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 48, 'Gen', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 49, 'Graa (Vallegestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 50, 'Graa de la Iglesia', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 51, 'Graa de Sevil', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 52, 'Graadocrego', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 53, 'Hermida (Santa Maria Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 54, 'Hermida de Vilar', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 55, 'Iglesario (Santa Maria Xestoso', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 56, 'Iglesia (Cernadas)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 57, 'Leiras (Santa Maria Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 58, 'Leireta', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 59, 'Maceira (Santa Maria Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 60, 'Mal de Clemente', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 61, 'Mal de Filgueiras', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 62, 'Mallo (Santa Maria Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 63, 'Malloeiro', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 64, 'Martices (Santa Maria Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 11, 'Castro (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 12, 'Coba (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 13, 'Cota', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 14, 'Cova (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 15, 'Cubelo (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 16, 'Fondevila (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 17, 'Peteiros', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 18, 'Pieiro (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 19, 'Pieiro (Borrifansdevales)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 20, 'Pioi', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 21, 'Pousadoiro (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 22, 'Quenlla (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 23, 'Riveira (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 24, 'Roris (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 25, 'San Gregorio (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 26, 'Torres (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 27, 'Vales (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 28, 'Varela (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 29, 'Velle', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15390', 30, 'Vilarensal (Borrifans)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 1, 'Abeleira (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 2, 'Abraa', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 3, 'Abruas', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 4, 'Acibros (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 5, 'Agra (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 6, 'Ameixeira (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 7, 'Amilladoiro (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 8, 'Anella', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 9, 'Audiencia', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 10, 'Azoi (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 11, 'Baiuca (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 12, 'Baiuca (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 13, 'Baraio', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 14, 'Barbeito (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 15, 'Barral (Filgueira de Traa)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 16, 'Barranca', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 17, 'Barreira (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 18, 'Barreiro (Filgueira de Traba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 19, 'Bazaqueira', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 20, 'Bieiro', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 21, 'Bouzas (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 22, 'Bragad', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 23, 'Braa (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 24, 'Braa (Filgueira de Traba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 25, 'Briallo (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 26, 'Cabanas (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 27, 'Cabreira (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 28, 'Cachavella', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 29, 'Cal (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 30, 'Cal (Figueira de Traba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 31, 'Camarada', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 32, 'Campaao', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 33, 'Campo (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 34, 'Campo (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 35, 'Campos (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 36, 'Cancela (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 37, 'Candieiras', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 38, 'Canedo (Filgueira de Traba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 39, 'Cangas (Filgueira de Traba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 40, 'Capela (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 41, 'Carballal (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 42, 'Carballeira (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 43, 'Carballeiro', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 44, 'Carracheira', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 45, 'Carreira (Filgueira de Traba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 46, 'Carres', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 47, 'Casa Vella (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 48, 'Casagrande (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 49, 'Casal (Pontellas)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 50, 'Casal (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 51, 'Casanova (Carres-Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 52, 'Casanova (Dordao-Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 53, 'Casas Novas (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 54, 'Castelo (Ameixeira)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 55, 'Castelo (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 56, 'Castelo (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 57, 'Castelo de Arriba (Ameixeira)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 58, 'Castieira (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 59, 'Castro (Ameixeira)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 60, 'Castro (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 61, 'Castro de Ares', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 62, 'Cernadas (Filgueiradetrab)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 63, 'Cesuras', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 64, 'Cha (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 65, 'Choride', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 66, 'Chouselas', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 67, 'Cicho', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 68, 'Codeseira (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 69, 'Codeso (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 70, 'Coebre', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 71, 'Coiral', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 72, 'Corredoira (Filgueiratraba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 73, 'Corredoiras (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 74, 'Costa Filgueira Barranca (Tras', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 75, 'Costa Trasanquelos (Trasanquel', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 76, 'Coto (Filgueira de Traba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 77, 'Cousos', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 78, 'Cubelo (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 79, 'Curras (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 80, 'Currasa (Filgueira de Traba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 81, 'Cutian (Sta Maria-Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 82, 'Cutian de Abaixo (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 83, 'Dordao (Santa Maria)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 84, 'Duo', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 85, 'Eira', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 86, 'Espieira (Paderne)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 87, 'Espieira (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 88, 'Estacion (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 89, 'Fabas (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 90, 'Fermandelo', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 91, 'Ferreiro (Traba Filgueira de S', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 92, 'Fiaos', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 93, 'Figueira (Os Trasanque-Barranc', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 94, 'Figueredo (Sta Maria)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 95, 'Figueredo de Abaixo', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 96, 'Figueredo de Arriba', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 97, 'Filgueirade Traba', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 98, 'Fondevila (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 99, 'Fonte (Cutian-Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 100, 'Fonte (Dordao)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 101, 'Fontecativa', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 102, 'Fornelos (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 103, 'Forte (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 104, 'Galanas (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 105, 'Garcia (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 106, 'Graa (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 109, 'Iglesia (Carres)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 38, 'Quintans de Orons', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 39, 'Regalados (Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 40, 'Roma', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 41, 'Rus (Lamas)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 42, 'Saconde', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 43, 'San Cremenzo de Pazos', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 44, 'Sandrexo (As Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 45, 'Santa Sia de Roma', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 46, 'Senande (As-Lamas Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 47, 'Su A Agra (Fornelos)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 48, 'Vermello', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 49, 'Vigo (As-Lamas Pereiras)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 50, 'Vilachan (Lamas)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 51, 'Vilar (San Pedro)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 52, 'Vilar de Baio', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 53, 'Vilar de Tines', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15150', 54, 'Xerne (Baio)', 150933, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 1, 'Agris (Berdeogas)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 2, 'Agris (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 3, 'Alvarellos', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 4, 'Ansean', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 5, 'Berdeogas', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 6, 'Bondaeira (Berdeogas)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 7, 'Brasal', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 8, 'Brao (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 9, 'Busto (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 10, 'Buxan (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 11, 'Buxantes (San Pedro)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 12, 'Caforra', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 13, 'Campo de Berdeogas', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 14, 'Cancela (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 15, 'Canelas Dumbria', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 16, 'Carballa (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 17, 'Carboal', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 18, 'Carizas', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 19, 'Casanova (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 20, 'Castro (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 21, 'Castro (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 22, 'Cerban (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 23, 'Cervan', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 24, 'Chain (Berdeogas)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 25, 'Cheo', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 26, 'Cobas (Ezaro)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 27, 'Cruce (Berdeogas)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 28, 'Cruce (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 29, 'Dumbria (Santa Eulalia)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 30, 'Estiman', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 31, 'Farralpa', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 32, 'Ferrio', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 33, 'Figueiroa (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 34, 'Figueiroa (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 35, 'Filgueira (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 36, 'Folgosa (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 37, 'Hospital (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 38, 'Iglesia (Berdeogas)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 39, 'Iglesia (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 40, 'Iglesia (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 41, 'Martin (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 42, 'Monte (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 43, 'Mota (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 44, 'Paradela (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 45, 'Paraiso (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 46, 'Pedria (Berdeogas)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 47, 'Pellexa', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 48, 'Pias (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 49, 'Sabade', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 50, 'Sangumil', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 51, 'Sarteguas', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 52, 'Teixoeiras (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 53, 'Troitin (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 54, 'Vacariza (Berdeogas)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 55, 'Vilar (Berdeogas)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 56, 'Vilar (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 57, 'Vilar de Paraiso', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 58, 'Vilario (Dumbria)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15151', 59, 'Xestosa (Buxantes)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 1, 'Altalamaa', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 2, 'Bustelo (Bustelo)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 3, 'Cernado (Bustelo)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 4, 'Pazo (Bustelo)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 5, 'Pieiros (Bustelo)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 6, 'Prado (Bustelo)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 7, 'Rebordelo (Bustelo)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 8, 'Salgueiros (San Mamede)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 9, 'Senra (Bustelo)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 10, 'Serndo', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15152', 11, 'Xerpe (Bustelo)', 150341, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15153', 1, 'Casteje', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15153', 2, 'Castromian', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15153', 3, 'Padris', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15153', 4, 'Rial (Sardieiro)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15153', 5, 'Sardieiro (San Xoan)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15153', 6, 'Sardieiro de Abaixo', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15153', 7, 'Sardieiro de Arriba', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15153', 8, 'Suarriba', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 1, 'Anchoa', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 2, 'Bispo', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 3, 'Calcoba', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 4, 'Castro (Duio)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 5, 'Denle', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 6, 'Duio (San Martio)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 7, 'Duio (San Vicente)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 8, 'Escaselas', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 9, 'Hermedesuxo de Abaixo', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 10, 'Hermedesuxo de Arriba', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 11, 'Mallas', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 12, 'San Martio de Abaixo (Duio)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 13, 'San Martio de Arriba (Duio)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 14, 'San Roque (Duio)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 15, 'San Salvador (Duio)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 16, 'Vigo (Duio)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 17, 'Vilar (Duio)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15154', 18, 'Vispo (Duio)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15155', 1, 'Cabo (Finisterre)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15155', 2, 'Fisterra (Santa Maria)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15155', 3, 'Insua (Fisterra)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15155', 4, 'Prado (Fisterra)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15155', 5, 'San Roque (Fisterra)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15155', 6, 'Vilanova (Ouces)', 150373, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15160', 1, 'Fontan (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15160', 2, 'Pazos (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15160', 3, 'Riobao', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15160', 4, 'Sada', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15160', 5, 'Samoedo', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15160', 6, 'Serra (Sada)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15160', 7, 'Tarabelo', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15161', 0, 'Pereira (Monte)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 1, 'Bergondo (Carrio)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 2, 'Carrio (Bergondo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 3, 'Cobas (Carrio)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 4, 'Cortes (Bergondo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 5, 'Covas (Bergondo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 6, 'Cruz de Sar (Carrio)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 7, 'Fiobre', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 65, 'Miraces', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 66, 'Monfero (Santa Xuliana)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 67, 'Monte Outeiro', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 68, 'Muros (Santa Maria Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 69, 'Ortiga (Val de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 70, 'Outeiro (Cernadas)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 71, 'Paicamio', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 72, 'Pe de Serra', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 73, 'Pe de Serra da Iglesia', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 74, 'Pedreira (Valxestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 75, 'Pereira (Valxestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 76, 'Pico da Meda', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 77, 'Portolago', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 78, 'Portopena', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 79, 'Raiz', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 80, 'Rebordocha', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 81, 'Recto', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 82, 'Regueiro (Val de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 83, 'Restrevas', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 84, 'Revolta (Gallado)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 85, 'Rigueiro (Val de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 86, 'Rioseco', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 87, 'Rocha (Val de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 88, 'Rubeiras', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 89, 'Samarios', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 90, 'Serra (Gallado)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 91, 'Sevil', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 92, 'Sixto (Santa Maria de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 93, 'Tellado (Vallegestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 94, 'Tolda (Val de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 95, 'Tornos (Santa Maria de Xestoso', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 96, 'Torre (Santa Maria de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 97, 'Toxas', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 98, 'Toxio', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 99, 'Val de Xestoso (San Pedro)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 100, 'Valado (Vallegestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 101, 'Vales (Val de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 102, 'Vales Vello', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 103, 'Veiga (Santa Maria de Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 104, 'Vidueiro (Santa Maria de Xesto', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 105, 'Vilar (Santa Maria Xestoso)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 106, 'Xavariz (Cernadas)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 107, 'Xestoso (San Pedro do Val)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 108, 'Xestoso (Santa Maria)', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15315', 109, 'Xiao', 150503, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 1, 'Acalx', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 2, 'Aldea de Arriba (Iglesia Ferve', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 3, 'Amenedos', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 4, 'Anta (Fervenzas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 5, 'Anta (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 6, 'Apenela', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 7, 'De Aranga', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 8, 'Armea', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 9, 'Ballo', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 10, 'Barbecha', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 11, 'Barranqueira (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 12, 'Barullo', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 13, 'Berbecha', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 14, 'Boqueixon (Iglesias Fervenzas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 15, 'Bouza (Villarraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 16, 'Buio (Coiros)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 17, 'Bulleiro', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 18, 'Bullo (Coiros)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 19, 'Carballeira (Villarso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 20, 'Carballeira Iglesia (Fervenzas', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 21, 'Carballo Torto (Villaras)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 22, 'Caresma', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 23, 'Carneiros', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 24, 'Casal (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 25, 'Casarellos (Iglesia Fervenza)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 26, 'Casas de Paredes', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 27, 'Casas de Vidal', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 28, 'Casela', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 29, 'Castellana (Vilarraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 30, 'Castobo (Vilarraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 31, 'Castrillon (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 32, 'Castro (Fervenzas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 33, 'Castro (Vilarraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 34, 'Cernadas (Cernadas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 35, 'Chas', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 36, 'Codeso (Iglesia-Fervenza)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 37, 'Coiros (San Julian)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 38, 'Coiros de Abaixo', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 39, 'Coiros de Arriba', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 40, 'Collantres (San Salvador)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 41, 'Combarro (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 42, 'Costa (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 43, 'Eire', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 44, 'Espenuca', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 45, 'Falcon', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 46, 'Ferreiros (Vilaraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 47, 'Fervencedo', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 48, 'Fervenzas (San Vicente)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 49, 'Figueiras (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 50, 'Florez', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 51, 'Fontelo (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 52, 'Fontevilla', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 53, 'Freiria (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 54, 'Fungarandon', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 55, 'Graa (Vilarraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 56, 'Iglesia (Borrifans)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 57, 'A Iglesia (Fervenzas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 58, 'Lapela', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 59, 'Lesa (Santa Maria)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 60, 'Loureiros (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 61, 'Lugar do Monte (Vilarraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 62, 'Mato (Iglesia)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 63, 'Meixonfrio (Coiros)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 64, 'Mende (Coiros)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 65, 'Mende (Iglesia Fervenzas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 66, 'Merille (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 67, 'Milreo', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 68, 'Muros (Iglesia Fervenza)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 69, 'Muros (Vilarraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 70, 'Ois (Santa Maria Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 71, 'Ois (Santiago Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 72, 'Orosa (Vilarraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 73, 'Painzal', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 74, 'Parada (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 75, 'Paraos (Iglesia Fervenzas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 76, 'Paredes (Vilarraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 77, 'Pataqueiro', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 78, 'Pedra Partida', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 79, 'Pena da Palla', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 80, 'As Penas (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 81, 'Penedo (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 82, 'O Porto', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 83, 'Portos Calvos', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 84, 'Queiris (Coiros)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 85, 'Recebes', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 101, 'Xora', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 107, 'Hermida (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 108, 'Iglesario (Trasanquelos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 110, 'Iglesia (Dordao)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 111, 'Iglesia (Filgueira)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 112, 'Iglesia (Loureda-Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 113, 'A Iglesia (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 114, 'A Iglesia (Paderme)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 115, 'Insua (Filgueira Traba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 116, 'Lagos (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 117, 'Lamela (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 118, 'Lata de Abaixo', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 119, 'Lata de Arriba', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 120, 'Leiros de Arriba', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 121, 'Lesta (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 122, 'Liares (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 123, 'Loureda (Santo Estevo)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 124, 'Loureiros (Cesuras)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 125, 'Loureiros (Probaos)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 126, 'Madriceiras', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15391', 127, 'Maquia (Filgueira Traba)', 150269, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15392', 0, 'Quistilan', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15401', 4, 'Raposeiro', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15401', 5, 'Ferrol', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15402', 0, 'Ferrol', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15403', 0, 'Ferrol', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15404', 7, 'Ferrol', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15405', 5, 'Casal Dos Ovos', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15405', 25, 'Ferrol', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15406', 9, 'Ferrol', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15407', 22, 'Santa Cecilia (Naron)', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15407', 27, 'Ferrol', 150367, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15424', 0, 'Longras (Ferrol)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15470', 0, 'Ferrol', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15471', 0, 'Ferrol', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15480', 0, 'Ferrol', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15482', 0, 'Ferrol', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15485', 0, 'Espasandin', 150774, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15490', 0, 'Ferrol', 150196, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15494', 0, 'Escorial (Ferrol)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 1, 'Ameneiras', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 2, 'Aquilino E. Alonso', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 3, 'Cadavo (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 4, 'Carballas (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 5, 'Cardoeiro', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 6, 'Casanova (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 7, 'Centieiras', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 8, 'Chamoso (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 9, 'Chancos (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 10, 'Conces (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 11, 'Fene', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 12, 'Fermosende', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 13, 'Fonte do Campo', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 14, 'Foxas (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 15, 'Fraga (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 16, 'Muelle (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 17, 'Mundin (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 18, 'Ostrerra', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 19, 'Pabellon (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 20, 'Pachuco (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 21, 'Pallota (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 22, 'Perlio', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 23, 'Picho (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 24, 'Ponte de Rama', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 25, 'Revolta (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 26, 'Rocha (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 27, 'Rua Alta', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 28, 'Rua Baixa', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 29, 'Sampaio (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 30, 'Santa Ana (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 31, 'Sartego (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 32, 'Souto Das Foxas', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 33, 'Tarrio (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 34, 'Tellado (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 35, 'Telleiras', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 36, 'Torre (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 37, 'Travesa', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 38, 'Vilanova (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15500', 39, 'Vista Alegre (Fene)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 1, 'Alfe', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 2, 'Ameneiro (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 3, 'Arriba (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 4, 'Balado (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 5, 'Baladoiro', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 6, 'Barreiro (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 7, 'Basante', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 8, 'Belelle', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 9, 'Botarigo', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 10, 'Brea (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 11, 'Buio (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 12, 'Buyas (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 13, 'Cadavas (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 14, 'Carballal (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 15, 'Casal (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 16, 'Castros (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 17, 'Cobelo (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 18, 'Corbeira (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 19, 'Coutada', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 20, 'Feal (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 21, 'Fontenova (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 22, 'Gandara (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 23, 'Garita (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 24, 'Gopites', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 25, 'Lagarteira (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 26, 'Lubian (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 27, 'Magalofes', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 28, 'Marajon', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 29, 'Marraxon', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 30, 'Orra (Soaserra)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 31, 'Pallota (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 32, 'Pedre (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 33, 'Pedregal (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 34, 'Pedron (As Graas do Sor)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 35, 'Pedron (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 36, 'Pegaria', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 37, 'Peteiro (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 38, 'Picas', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 39, 'Punxeiro (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 40, 'Rabadea', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 41, 'Redondo (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 42, 'Regueiro (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 43, 'Revolto', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 44, 'Riveira (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 45, 'San Marcos (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 46, 'Sillobre', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 47, 'Souto (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 48, 'Taboada (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 49, 'Torre (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 50, 'Ulfe (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 51, 'Vilanova (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 52, 'Vilar (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 53, 'Visura (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15509', 54, 'Xunqueira (Sillobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 1, 'Albaron', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 2, 'Alonso Escudero', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 3, 'Buhida', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 4, 'Camio do Muio do Cubo', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 6, 'Conces (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 8, 'Leiras (Carrio)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 9, 'Marian', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 10, 'Miodelo', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 11, 'Montecelo (Carrio)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 12, 'Moruxo (San Vicente)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 13, 'Ocao (Carrio)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 14, 'Pasaxe (Bergondo)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 15, 'Ponte Pedrido', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 16, 'Saioso', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15165', 17, 'San Isidro', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 1, 'Aldea de Arriba Lubre', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 2, 'Armuo', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 4, 'Campia (Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 5, 'Campo de Leis', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 6, 'Campo Galan', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 7, 'Casal (Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 8, 'Casal de Agra', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 9, 'Corral de la Iglesia (Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 10, 'Dornas', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 11, 'Espirito Santo (Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 12, 'Fosca', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 13, 'Guinlle', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 14, 'Lubre (San Xoan)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 15, 'Obra de Pao (Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 16, 'Peteiro (Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 17, 'Riomaior (Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 18, 'Rois (Santa Maria Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 19, 'Ruadalama', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 20, 'Sanin (Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 21, 'Santa Marta de Babio', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 22, 'A Torre (Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 23, 'Via (Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15166', 24, 'Xanarte (Porta San Xoan Lubre)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 1, 'Bergondio', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 2, 'Braa (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 3, 'Cambade', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 4, 'Cangas (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 5, 'Casal (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 6, 'Cornide (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 7, 'Costa de Ouces', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 8, 'Fonte do Pedregal', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 9, 'Gandario', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 10, 'Lagoa (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 11, 'Laguna', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 12, 'Lodeiro (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 13, 'Mandeo (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 14, 'Mato (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 15, 'O Mato (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 16, 'Mesoiro (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 17, 'Ouces (San Xoan-Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 18, 'Outeiro (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 19, 'Reboredo (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 20, 'Rio (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 21, 'Silvoso (Ouces)', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15167', 22, 'Tatin', 150085, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 1, 'Alborelle', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 2, 'Ameixeral', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 3, 'Campo de Sar', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 4, 'Carta', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 5, 'Castelo (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 6, 'O Castro (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 7, 'Cimas', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 8, 'Coiro (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 9, 'Convento (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 10, 'Costa (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 11, 'Couto (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 12, 'Esperela (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 13, 'Espirito Santo (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 14, 'Fonte (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 15, 'Fortion', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 16, 'Fraga (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 17, 'Granxa (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 18, 'Machado', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 19, 'Mandin (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 20, 'Meiras (San Martio-Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 21, 'Mondego (San Xulian)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 22, 'Mosteiron (San Nicolas Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 23, 'Muio do Vento (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 24, 'Osedo (San Xulian-Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 25, 'Pieiro (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 26, 'Quintan (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 27, 'Regueira (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 28, 'Seixeda (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 29, 'Souto da Iglesia', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 30, 'Soutovello (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 31, 'Soeiro (San Julian)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 32, 'Tornos (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 33, 'Torrente (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 34, 'Torron', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 35, 'Trasin', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 36, 'Tumbadoiro (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 37, 'Vertin', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 38, 'Vilar (Meiras)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15168', 39, 'Vista Alegre (Osedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 1, 'Aboi (Sada)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 2, 'Agra (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 3, 'Campo Das Mantas', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 4, 'Campo de Cruz', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 5, 'Carballo (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 6, 'Carnoedo', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 7, 'Chan de Aldea (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 8, 'Cirro (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 9, 'Contornos', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 10, 'Espieiro (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 11, 'Figueiras (Carnoedao)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 12, 'Fiunchedo', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 13, 'Fonte Grande', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 14, 'Lamelas (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 15, 'Pedreira (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 16, 'Quintan (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 17, 'San Pedro (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 18, 'Seixo (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 19, 'Souto (Carnoedo)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 20, 'Taibo', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15169', 21, 'Veigue (Santa Columba)', 150755, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 1, 'Alfeiran', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 2, 'Fontaia (Ponte Pasaxe)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 3, 'Monte de Mero (Ponte Pasaxe)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 4, 'Palavea', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 5, 'Pedralonga (Ponte Pasaxe)', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 6, 'Pedro Fernandez', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 7, 'Penarredonda', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 8, 'Ponte da Pasaxe', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 9, 'Rio de Quintas', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 10, 'Santa Barbara', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 11, 'Santa Cristina', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15170', 12, 'Santa Gema', 150308, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 1, 'Campamento', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 2, 'Campo da Vila', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 3, 'Campo de Souto (Ias)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 4, 'Cao', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 5, 'Faro (Campamento)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 6, 'Fontes (Campamento)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 7, 'Ias (San Xurxo)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 86, 'Rio de Vexo', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 87, 'Santiso (Vilarraso)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 88, 'Silvarredonda (Iglesia-Fervenz', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 89, 'Sixto (Iglesia-Fervenzas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 90, 'Souto (Fontelo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 91, 'Souto (Santa Maria)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 92, 'Ta (Iglesia Fervenzas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 93, 'Torrelavandeira', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 94, 'Tragallia', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 95, 'Vallo (Iglesia-Fervenzas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 96, 'Viladois', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 97, 'Vilar (Cernadas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 98, 'Vilarraso (San Lourenzo)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 99, 'Villoriz', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15316', 100, 'O Xestal (Cernadas)', 150275, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 1, 'Abrigo', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 2, 'Anta (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 3, 'Aranga', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 4, 'Aturela', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 5, 'Baltar (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 6, 'Barbudas', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 7, 'Barreiro (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 8, 'Bebedoiro', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 9, 'Benarde', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 10, 'Bilidom', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 11, 'Boedoiro', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 12, 'Bragaa (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 13, 'Brijeo', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 14, 'Cabo da Aldea', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 15, 'Cainzos', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 16, 'Cal Aranga', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 17, 'Cambas (San Pedro)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 18, 'Camionovo', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 19, 'Canedo (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 20, 'Carballal (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 21, 'Carballo (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 22, 'Caropa', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 23, 'Carpio', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 24, 'Casacamia', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 25, 'Casanova (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 26, 'Casanova (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 27, 'Castelos (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 28, 'Castro (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 29, 'Castromil (Miniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 30, 'Cazuin', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 31, 'Cerdelo', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 32, 'Cereixa', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 33, 'Chousa', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 34, 'Congostro', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 35, 'Costa (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 36, 'Costeira (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 37, 'Costeiras (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 38, 'Couce', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 39, 'Couto (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 40, 'Cruce (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 41, 'As Cubas (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 42, 'Curra (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 43, 'Edreiros (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 44, 'Eirixa (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 45, 'Espieira (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 46, 'Falgorosa', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 47, 'Fallanza', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 48, 'Feas (San Pedro)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 49, 'Feira', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 50, 'Filgueiras (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 51, 'Flores', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 52, 'Fonte (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 53, 'Fontelas (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 54, 'Fontelo (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 55, 'Fotelo', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 56, 'Foxo (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 57, 'Fracela (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 58, 'Fradegas', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 59, 'Fraga (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 60, 'Framouce', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 61, 'Gallado', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 62, 'Gomil', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 63, 'Graa de Vilar', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 64, 'Hermida (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 65, 'Iglesia (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 66, 'Irixe', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 67, 'Joacin', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 68, 'Lagoa (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 69, 'Laxe (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 70, 'Leiras (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 71, 'Lousa (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 72, 'Mahia', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 73, 'Manide (Arango)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 74, 'Maquies', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 75, 'Martimouro', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 76, 'Meson (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 77, 'Montemea', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 78, 'Montesalgueiro', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 79, 'Muniferral (San Cristobal)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 80, 'Nogueiras (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 81, 'Orracas (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 82, 'Outeiro (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 83, 'Pardias de Abaixo', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 84, 'Pardias de Arriba', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 85, 'Pasarin', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 86, 'Pedramaior (Ponte Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 87, 'Pena (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 88, 'Penas (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 89, 'Penelas (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 90, 'Pereira (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 91, 'Pereiro (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 92, 'Ponte Aranga', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 93, 'Portocabado (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 94, 'Portomazas', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 95, 'Posta', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 96, 'Pousadoiro (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 97, 'Prado (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 98, 'Raa (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 99, 'Reborica', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 100, 'Regueiral (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 101, 'Rilleira', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 102, 'Riobos', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 103, 'Rivadevila', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 104, 'Roibos', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 105, 'San Estevo (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 106, 'Seoane (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 107, 'Sisalde (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 108, 'Sodreira', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 109, 'Sopazo', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 110, 'Soutullo (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 111, 'Sudreira', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 112, 'Susarron', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 113, 'Taberna (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 114, 'Tolda (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 115, 'Torre (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 43, 'Pombal (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 44, 'Prismos (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 45, 'Ramo (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 46, 'Rego da Moa', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 47, 'Ribeira (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48287', 0, 'Ea', 480280, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 5, 'Carballal (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 7, 'Coruxa (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 8, 'Empedron', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 9, 'Estacion (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 10, 'Fraga (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 11, 'Furado (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 12, 'Gunturiz (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 13, 'Lugar da Riveira', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 14, 'Lugar de Sada', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 15, 'A Merced (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 16, 'La Merced', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 17, 'Murallon (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 18, 'Neda', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 19, 'Pieiros (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 20, 'Regueiro (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 21, 'Rio Belelle', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 22, 'Riveira (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 23, 'Rosalia de Castro', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 24, 'Roseira', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 25, 'Santa Margarita (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 26, 'Sartego (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 27, 'Sobre A Vila', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 28, 'Tinteira (Neda)', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 29, 'Trovador Esqui', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15510', 30, 'Valle Inclan', 150559, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15515', 0, 'Valbon', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15518', 0, 'A Torre (Sarces)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 1, 'Abeledo (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 2, 'Aldea (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 3, 'Arangas', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 4, 'Armada (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 5, 'Arnela (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 6, 'Bouza da Pena (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 7, 'Brea (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 8, 'Cal (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 9, 'Campo Armada', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 10, 'Capela (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 11, 'Casa Borras', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 12, 'Casilla (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 13, 'Cerdieiras (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 14, 'Chamoso (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 15, 'Chao de Aldea (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 16, 'O Conde (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 17, 'Corredoira (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 18, 'Cruceiro (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 19, 'Escobas', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 20, 'Fraga (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 21, 'Garita (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 22, 'Loureiros (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 23, 'Manios', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 24, 'Marnela (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 25, 'Monte (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 26, 'Outeiro (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 27, 'Pereiro (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 28, 'Pieiro (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 29, 'Pombal (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 30, 'Primos (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 31, 'Rua (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 32, 'Souto Bello (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 33, 'Souto da Riveira', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15520', 34, 'Vaqueiro (Manios)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15526', 0, 'Promontouro', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15527', 0, 'Fonte (Camio Grande)', 999999, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 1, 'Barallobre', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 2, 'Bon Xesus (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 3, 'Bouza da Pena (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 4, 'Brea (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 5, 'Cal (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 6, 'Capela (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 7, 'Carril (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 8, 'Castro (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 9, 'Chamoso (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 10, 'Chancos (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 11, 'Corrales (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 12, 'Cosalla de Arriba', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 13, 'Cosallo de Abaixo', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 14, 'Cruce de Pereira', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 15, 'Cruceiro (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 16, 'Curras (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 17, 'Fraga (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 18, 'Garita (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 19, 'Iglesia (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 20, 'Jureira Alta', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 21, 'Jureira Baja', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 22, 'Lamestra (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 23, 'Loira (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 24, 'Lomba (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 25, 'Loureiros (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 26, 'Lugar do Monte (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 27, 'Lugar do Olmo', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 28, 'Marnela (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 29, 'Monte (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 30, 'Moreiras (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 31, 'Nogueirido (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 32, 'Outeiro (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 33, 'Pabellon (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 34, 'Pachuco (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 35, 'Paloma', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 36, 'Pazo (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 37, 'Pedregosa (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 38, 'Penedo de Abaixo', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 39, 'Penedo de Arriba', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 40, 'Pereiro (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 41, 'Piqueiro', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 42, 'Pieiro (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 11, 'A Fontenova (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 12, 'Fragas (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 13, 'Frayan', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 14, 'Iglesia (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 15, 'Laraxe', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 16, 'Loureiros (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 17, 'Lousada (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 18, 'Lugar de Pazos', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 19, 'Lugar de Uria', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 20, 'A Magdalena (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 21, 'Da Magdalena', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 22, 'Modias', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 23, 'Murgas', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 24, 'Naveira (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 25, 'Pedreiras (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 26, 'Pendopico', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 27, 'Pereiro (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 28, 'Porto (San Martio)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 29, 'Porto Mahon (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 30, 'Prudical', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 31, 'Rego (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 32, 'Relousada', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 33, 'Rio Castro (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 34, 'Rua (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 35, 'Salgueiral (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 36, 'Teloi', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 8, 'Monte do Rio', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 9, 'Morzan', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15171', 10, 'Pieiro (Campamento)', 150584, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 116, 'Torre (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 117, 'Torre (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 118, 'Torreiro (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 119, 'Toxio', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 120, 'Traslorrigueiro', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 121, 'Trasvesa (Feas)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 122, 'Ucheiras', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 123, 'Veiga (Aranga)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 124, 'Vide (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 125, 'Vila (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 126, 'Vila (Muniferral)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15317', 127, 'Vilar (Gallado)', 150032, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 1, 'Abegondo', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 2, 'Airas (Vias)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 3, 'Aldea (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 4, 'Aldea de Abaixo (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 5, 'Aldea de Abaixo (Vizoo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 6, 'Aldea de Arriba (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 7, 'Aldea de Arriba (Vizoo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 8, 'Aquelabanda (Abegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 9, 'Ar (Abegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 10, 'Ardexurxo', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 11, 'Ardilleiros', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 12, 'Ascaris (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 13, 'Asoja', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 14, 'Atrio (Abegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 15, 'Axilda', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 16, 'Balbis (Vizoo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 17, 'Bao (Vizoo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 18, 'Barral (Cos)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 19, 'Barral (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 20, 'Barral (Limion)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 21, 'Barreiros (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 22, 'Barrio (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 23, 'Barrio (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 24, 'Barros (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 25, 'Beade (Abegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 26, 'Beche', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 27, 'Bedugos', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 28, 'Beldoa', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 29, 'Bermuin', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 30, 'Bielas', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 31, 'Bordel', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 32, 'Bordelle', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 33, 'Borducedo Grande', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 34, 'Borducedo Pequeno', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 35, 'Borreiros (Abegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 36, 'Boucello', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 37, 'Bouzoa (Vilacoba)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 38, 'Brandian (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 39, 'Burreiros (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 40, 'Cabanas (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 41, 'Cabras', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 42, 'Cal (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 43, 'Calle (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 44, 'Calva (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 45, 'Calvelos', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 46, 'Campo da Saleta', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 47, 'Campo do Monte', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 48, 'Camposa (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 49, 'Cancela (Vizoo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 50, 'Cancelada', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 51, 'Candeiro (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 52, 'Candelario', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 53, 'Capela (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 54, 'Carballal (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 55, 'Carballal (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 56, 'Carballal (Vizoo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 57, 'Carreira (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 58, 'Carril (Crendes)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 59, 'Carris (Vilacoba)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 60, 'Casanova (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 61, 'Casas Grandes', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 62, 'Caseta (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 63, 'Castro (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 64, 'Centro de Aldea', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 65, 'Cerca (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 66, 'Cerneda (San Salvador)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 67, 'Chamoin (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 68, 'Chan (Vilacoba)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 69, 'Cima de Vila (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 70, 'Cima de Vila (Meangos)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 71, 'Coba (A Regueira)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 72, 'Cobelo (Crendes)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 73, 'Contris', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 74, 'Cos San Esteban (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 75, 'Costa (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 76, 'Costa (A Regueira)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 77, 'Couto (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 78, 'Couto (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 79, 'Couto (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 80, 'Couto do Medio', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 81, 'Coyedo', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 82, 'Crendes (San Pedro)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 83, 'Cruceiro (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 84, 'Cruz (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 85, 'Cruz Barreiros (Abegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 86, 'Cubela (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 87, 'Cubela (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 88, 'Cullergondo (Santa Maria)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 89, 'Curras (Abegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 90, 'Curras (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 91, 'Curras (Viones-Abegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 92, 'Curras (Vizoo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 93, 'Currio', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 94, 'Curro (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 95, 'Curros (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 96, 'Damil', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 97, 'Eiras (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 98, 'Erminde', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 99, 'Estanco (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 100, 'Ferras', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 101, 'Ferrerias (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 102, 'Fieiteira (Regueira)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 103, 'Figueiras (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 104, 'Figueroa (San Miguel)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 105, 'Figueroa Pequeno', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 106, 'Fixoi', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 107, 'Folgoso (Santa Dorotea)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 108, 'Fondo de Leiro', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 109, 'Fontan (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 110, 'Fontao (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 111, 'Fonte (Abegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 112, 'Fontela (Vilacoba)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 113, 'Fontelas (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 114, 'Fraga (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 115, 'Fraga (Mabegondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 116, 'Fraga (Vizoo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 117, 'Fraga Nova (Figueiroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 118, 'Frances (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 119, 'Franco (Figueroa)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 120, 'Os Francos', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 121, 'Frean (Vilacoba)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 122, 'Freixo', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 123, 'Gabia', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 124, 'Garabatos (Cullergondo)', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 125, 'Geixade', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15318', 126, 'Gobia', 150011, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 48, 'Ribeiroa', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 49, 'Romariz', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 50, 'Rua (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 51, 'Souto (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 52, 'Souto Bello (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 53, 'Souto Grande', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 54, 'Tras do Rio (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 55, 'Tres Castaos', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15528', 56, 'Vaqueiro (Barallobre)', 150354, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 1, 'Angueiros', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 2, 'Areosa (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 3, 'Balados (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 4, 'Barcia (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 5, 'Barrosa (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 6, 'Becerroi', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 7, 'Caleira (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 8, 'Camio Grande (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 9, 'Campeira', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 10, 'Carballal (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 11, 'Carballeira (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 12, 'Casal de Gonce (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 13, 'Casaldalla de Abaixo', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 14, 'Casavide', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 15, 'Castrillon (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 16, 'Castro (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 17, 'Cerdido', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 18, 'Chaia', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 19, 'Chao (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 20, 'Cotobravo', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 21, 'Diaz', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 22, 'Domende', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 23, 'Felgueira (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 24, 'Fercoi', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 25, 'Filgueira (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 26, 'Freis', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 27, 'Gangoa', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 28, 'Gondredo', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 29, 'Labrada (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 30, 'Lavandeira (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 31, 'Marianas', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 32, 'Noval (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 33, 'Peadopico', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 34, 'Pena (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 35, 'Pena de Bico', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 36, 'Penso (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 37, 'Peton (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 38, 'Picadeiro', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 39, 'Pieiro (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 40, 'Pontellas (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 41, 'Rebordaos (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 42, 'Rediz (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 43, 'Regueiro (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 44, 'Regueiro (Longo-Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 45, 'Regueirolongo', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 46, 'Retorta (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 47, 'Riazon (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 48, 'Rincha', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 49, 'Rio (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 50, 'Rocha (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 51, 'Seixas (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 52, 'Socastro (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 53, 'Soocastro', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 54, 'Vila da Iglesia', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 55, 'Viladoniga', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 56, 'Vilar (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 57, 'Vilela (Cerdido)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15530', 58, 'Xiao (Rediz)', 150256, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 1, 'Bacariza (San Mateo Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 2, 'Barcia (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 3, 'Bespasante', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 4, 'Caaveiro (San Mateo Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 5, 'Calliqueira', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 6, 'Calvario (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 7, 'Carabuchal', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 8, 'Confurco (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 9, 'Curro da Canteira', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 10, 'Curros (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 11, 'Dapena', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 12, 'Lavandeira (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 13, 'Leiras (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 14, 'Lugar da Iglesia', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 15, 'Muio do Vento (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 16, 'Paxaron', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 17, 'Pena de Abaixo', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 18, 'Pena de Arriba', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 19, 'Rogida', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 20, 'Ruxida', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 21, 'Trasancos', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 22, 'Vacariza (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 23, 'Vidueiro (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 24, 'Vilar (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15540', 25, 'Vias (Trasancos)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 1, 'Abelleiro', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 2, 'Agua Luz', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 3, 'Agualuz', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 4, 'Areosa (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 5, 'Aveiga (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 6, 'Avelleiro', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 7, 'Baltar (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 8, 'Bardas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 9, 'Barreira (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 10, 'Belouxada', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 11, 'Cabada (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 12, 'Cabecha (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 13, 'Cadavo (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 14, 'Canteiros', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 15, 'Carballa (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 16, 'Carballedas (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 17, 'Casal (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 18, 'Caso (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 19, 'O Castro (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 20, 'Cima de Vila (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 21, 'Ciobre', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 22, 'Cobecha', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 23, 'Codesal (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 24, 'Contada (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 25, 'Cornide (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 26, 'Corvao', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 27, 'Coutabo', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 28, 'Couto (Lamsas)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 29, 'As Covas', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 30, 'Cruceiro (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 31, 'Espieira (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 32, 'Filgueira (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 33, 'Foxo (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 34, 'Grandal (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 35, 'Lamboa', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 36, 'Lobeiro', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 37, 'Loureiros (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 38, 'Modia (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 39, 'Outeiros (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 40, 'Pedreira (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 41, 'Penelas (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 42, 'Pico (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 43, 'Pradedo', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 44, 'Quinta (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 45, 'Quintia (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 46, 'Redondo (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 47, 'Revolta (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 48, 'Rio (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 49, 'Rio de Cortes', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 50, 'Santa Margarita (Naron)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 51, 'Sinde (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 52, 'Val (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 53, 'Vento', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 54, 'Vilacornelle', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15541', 55, 'Vilar (Baltar)', 150546, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 37, 'Torre (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 38, 'Torre (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 39, 'Val (Porto)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15622', 40, 'A Veiga (Laraxe)', 150158, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 1, 'Barracido', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 2, 'Camouzo', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 3, 'Cantalarrana (Porto do Seixo)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 4, 'Chao do Monte', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 5, 'Curbeiro (Redes)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 6, 'Illobre', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 7, 'Liares (Redes)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 8, 'Malata (Redes)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 9, 'Mazaido', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 10, 'O Outeiro (Redes)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 11, 'Palliz', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 12, 'As Pezoas', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 13, 'Porto de Curro', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 14, 'O Raso (Redes)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 15, 'Rectoral (Redes)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 16, 'Redes', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 17, 'Rodelas', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 18, 'Rua de Abaixo (Redes)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 19, 'Rua de Arriba (Redes)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 20, 'Seselle (Redes)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 21, 'A Solaina', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15623', 22, 'Tenencia', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 1, 'Ares (Pontedeume)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 2, 'Besojo', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 3, 'Bulleiro (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 4, 'Campo da Aldea', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 5, 'Fuentelit', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 6, 'Golmar (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 7, 'A Grela (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 8, 'Lubre', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 9, 'Mayobre', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 10, 'Outeiro (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 11, 'Papellas', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 12, 'Pedros (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 13, 'Penedo (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 14, 'Porto de Seixas', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 15, 'Regada Fraga (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 16, 'Seaa (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 17, 'Vigo (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 18, 'Vilalba (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15624', 19, 'Vista Alegre (Ares)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 1, 'Agarrios', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 2, 'Areosa (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 3, 'Bailadora (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 4, 'Barra (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 5, 'A Barrosa (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 6, 'Bosque (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 7, 'Bugallon', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 8, 'Cachaneira', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 9, 'Cacheiros (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 10, 'Campo da Rega', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 11, 'As Cancelas (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 12, 'Carballo (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 13, 'Casanova (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 14, 'O Castro (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 15, 'Cervas', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 16, 'Chousa (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 17, 'Combarro (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 18, 'Costa (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 19, 'Costa Das Vias', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 20, 'Criso', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 21, 'O Cristo (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 22, 'Cucheiro (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 23, 'Curro (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 24, 'Faca', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 25, 'Os Galgos', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 26, 'A Grela (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 27, 'Guitiriz (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 28, 'As Leiras (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 29, 'Leiro (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 30, 'Louseira (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 31, 'Mariocos', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 32, 'O Monte (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 33, 'Montefaro (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 34, 'Outeiro (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 35, 'Padron (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 36, 'Pamoura', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 37, 'Pedracha', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 38, 'A Pena (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 39, 'As Penas (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 40, 'Penedo (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 41, 'Perirafera', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 42, 'Peru', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 43, 'Pomouro', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 44, 'Pontellas (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 45, 'Queira de Abaixo', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 46, 'Queira de Arriba', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 47, 'Reimundos', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 48, 'Ribada', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 49, 'Rio Pequeno (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 50, 'Ripas', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 51, 'Roibeiras', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 52, 'Sandes (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 53, 'O Santo (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 54, 'Simou', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 55, 'Sobalo', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 56, 'O Soto (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 57, 'A Torre (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 58, 'Vigo (Cervas)', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 59, 'Vixia do Segao', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15625', 60, 'Xurxo', 150047, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 1, 'A Amora', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 2, 'Areosa (Porto o Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 3, 'A Barca (Porto o Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 4, 'Barcias', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 5, 'Bieiteiras', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 6, 'Boado (Porto o Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 7, 'O Carballo (Porto o Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 8, 'O Casal (Porto o Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 9, 'Casas (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 10, 'Catro Ventos (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 11, 'Chantelos', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 12, 'Chousa (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 13, 'Coruto Alto', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 14, 'Coruto Baixo', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 15, 'Corzas', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 16, 'Cruce de Mera', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 17, 'A Fabrica (Porto o Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 18, 'Franza', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 19, 'Franza de Abaixo', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 20, 'Franza de Arriba', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 21, 'Galieiro (Seixo Porto)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 22, 'Iglesia (Porto o Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 23, 'Loureiros (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 24, 'Marnela (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 25, 'Mexote', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 26, 'O Monte (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 27, 'Morteirado', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 28, 'Muelle (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 29, 'Novas (Porto o Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 30, 'Paxaras', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 31, 'O Pazo (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 32, 'Pedreira (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 33, 'Pena', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 34, 'Penedo (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 35, 'Ramplas', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 36, 'Rilo (Porto o Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 37, 'Rio (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 38, 'Roibal', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 39, 'Rueiro (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 40, 'San Victorio (O Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 41, 'Sarron', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 42, 'Seaa (Porto Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 43, 'O Seixo', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('15626', 44, 'Souto (Porto o Seixo)', 150510, 15, 
    0, 11, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45212', 0, 'Lominchar', 450857, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45213', 0, 'Palomeque', 451278, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45214', 0, 'Cedillo del Condado', 450475, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45215', 0, 'El Viso de San Juan', 451992, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45216', 0, 'Carranque', 450383, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45217', 0, 'Ugena', 451761, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45220', 1, 'Portland (Cementos)', 452013, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45220', 2, 'Los Pradillos', 452013, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45220', 3, 'Yeles', 452013, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45221', 0, 'Esquivias', 450648, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45222', 0, 'Borox', 450211, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45223', 0, 'Sesea Viejo', 451611, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45224', 0, 'Sesea Nuevo', 451611, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45230', 0, 'Numancia de la Sagra', 451199, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45240', 0, 'Alameda de la Sagra', 450020, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45250', 0, 'Aover de Tajo', 450149, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45260', 0, 'Villaseca de la Sagra', 451967, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45270', 1, 'Higares', 451029, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45270', 2, 'Mocejon', 451029, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45280', 0, 'Olias del Rey', 451225, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45290', 0, 'Pantoja', 451284, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45291', 0, 'Cobeja', 450514, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45292', 1, 'Aceca', 451967, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45292', 2, 'Central Termica de Aceca', 451967, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45300', 0, 'Ocaa', 451210, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45310', 0, 'Villatobas', 451989, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45311', 0, 'Dos Barrios', 450591, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45312', 0, 'Cabaas de Yepes', 450263, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45313', 0, 'Yepes', 452028, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45314', 0, 'Ciruelos', 450507, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45340', 0, 'Ontigola', 451231, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45350', 1, 'Noblejas', 451151, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45350', 2, 'Oreja', 451151, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45350', 3, 'Soto de Oreja', 451151, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45360', 0, 'Villarrubia de Santiago', 451954, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45370', 0, 'Santa Cruz de la Zarza', 451565, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45379', 0, 'Santa Cruz de la Zarza', 451565, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45400', 0, 'Mora', 451066, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45410', 0, 'Villanueva de Bogas', 451936, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45420', 0, 'Almonacid de Toledo', 450128, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45430', 0, 'Mascaraque', 450942, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45440', 0, 'Villaminaya', 451908, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45450', 0, 'Orgaz', 451246, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45460', 0, 'Manzaneque', 450909, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45470', 1, 'Puerto Albarda', 452006, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45470', 2, 'Los Yebenes', 452006, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45479', 1, 'Lituero de Abajo', 450921, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45479', 2, 'Lituero de Arriba', 450921, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45479', 3, 'Marjaliza', 450921, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45480', 1, 'Castillo Guadalerzas', 451777, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45480', 2, 'El Emperador', 451777, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45480', 3, 'Urda', 451777, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 1, 'La Alberca', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 2, 'La Cabezuela', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 3, 'Casa del Quinto', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 4, 'Dehesa de Las Labores', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 5, 'El Fresnedal', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 6, 'Las Guadalerzas', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 7, 'La Lora', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 8, 'La Pedrera', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 9, 'Los Peleches', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 10, 'Quintos del Pizarro', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 11, 'Valdesimon', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 12, 'Valle de Abajo', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 13, 'La Vega', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45489', 14, 'Ventas del Castillo', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45490', 0, 'Ablates', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45500', 1, 'El Bravo', 451730, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45500', 2, 'Perovequez', 451730, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45500', 3, 'San Silvestre', 451730, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45500', 4, 'Torrijos', 451730, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45510', 0, 'Fuensalida', 450664, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45511', 0, 'Huecas', 450778, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45512', 0, 'El Portillo de Toledo', 451344, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45513', 0, 'Santa Cruz de Retamar', 451571, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45514', 0, 'Quismondo', 451437, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45515', 0, 'Maqueda', 450916, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45516', 1, 'La Puebla de Montalban', 451360, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45516', 2, 'La Rinconada', 451360, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45517', 0, 'Escalonilla', 450627, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45518', 0, 'Gerindote', 450699, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45519', 1, 'Caudilla', 451186, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45519', 2, 'Noves', 451186, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45520', 1, 'Colonia Asland', 451881, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45520', 2, 'Villaluenga', 451881, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45521', 1, 'Alcubillete', 450247, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45521', 2, 'Burujon', 450247, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45521', 3, 'Ventosilla', 450247, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45522', 1, 'Albarreal de Tajo', 450036, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45522', 2, 'Azoverin', 450036, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45523', 0, 'Alcabon', 450041, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45524', 0, 'Rielves', 451474, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45525', 0, 'Barcience', 450187, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45526', 0, 'Val de Santo Domingo', 459016, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45529', 0, 'Yuncler', 452034, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45530', 0, 'Santa Olalla', 451587, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45531', 0, 'Carmena', 450361, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45532', 0, 'Carriches', 450396, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45533', 0, 'El Carpio de Tajo', 450377, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45534', 1, 'La Mata', 450955, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45534', 2, 'San Pedro de la Mata', 450955, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45540', 0, 'Erustes', 450605, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45541', 0, 'Mesegar', 451007, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45542', 0, 'El Casar de Escalona', 450400, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45543', 0, 'Otero', 451262, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45544', 0, 'Domingo Perez', 450588, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45560', 1, 'Del Alcornocal', 451259, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45560', 2, 'Dehesa del Encinar', 451259, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45560', 3, 'Oropesa', 451259, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45560', 4, 'Rosarito el', 451259, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45566', 0, 'De Oropesa', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45567', 0, 'Lagartera', 450823, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45568', 0, 'Ventas de San Julian', 451843, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45569', 1, 'Chaparral', 451259, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45569', 2, 'Corchuela', 451259, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45569', 3, 'Torralba de Oropesa', 451698, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45570', 0, 'El Puente del Arzobispo', 451382, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45571', 1, 'Alcolea de Tajo', 450073, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45571', 2, 'Azutan', 450171, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45571', 3, 'Bercial de San Rafael', 450073, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45571', 4, 'Bercial de Tajo', 450073, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45572', 1, 'Torrico', 451724, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45572', 2, 'Valdeverdeja', 451796, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45573', 0, 'Navalmoralejo', 451112, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45574', 1, 'La Estrella', 450651, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45574', 2, 'Fuentes de la Estrella', 450651, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45575', 0, 'Aldeanueva de San Bartolome', 450106, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45576', 0, 'Mohedas de la Jara', 451035, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45577', 0, 'Puerto de San Vicente', 451395, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45578', 0, 'Campillo de la Jara', 450330, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45580', 1, 'Calzada de Oropesa', 450302, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45580', 2, 'El Egido', 450302, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45588', 0, 'Herreruela de Oropesa', 450731, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45589', 0, 'Caleruela', 450298, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45590', 0, 'Magan', 450882, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45591', 0, 'Yunclillos', 452049, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45592', 0, 'Cabaas de la Sagra', 450250, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45593', 1, 'Bargas', 450190, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45593', 2, 'Las Perdices', 450190, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45594', 0, 'Villamiel de Toledo', 451894, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45600', 1, 'Barriada de Sta Maria', 451650, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45600', 2, 'Barriada Nuestra Seora del Pr', 451650, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45600', 3, 'Barriada Patrocinio San Jose', 451650, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45600', 4, 'Talavera de la Reina', 451650, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45610', 0, 'Navalcan', 451105, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45611', 0, 'Parrillas', 451301, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45612', 0, 'Velada', 451817, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45613', 0, 'Gamonal', 451650, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45614', 0, 'Casar de Talavera', 451650, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45620', 1, 'Aldea de Arango', 451053, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45620', 2, 'Montesclaros', 451053, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45621', 0, 'Segurilla', 451604, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45622', 0, 'Mejorada', 450974, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45630', 0, 'Navamorcuende', 451148, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48500', 2, 'El Campillo', 480025, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48500', 3, 'Gallarta', 480025, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48500', 4, 'Sanfuentes', 480025, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48500', 5, 'Triano', 480025, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48508', 1, 'San Mames', 489130, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48508', 2, 'Zierbena', 489130, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48510', 1, 'Galindo-Salcedillo', 480806, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48510', 2, 'Salcedillo', 480806, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48510', 3, 'San Salvador del Valle', 480806, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48510', 4, 'Trapaga-Causo', 480806, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48510', 5, 'Trapagaran', 480806, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48510', 6, 'Ugarte (San Salvador del Valle', 480806, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48510', 7, 'Valle de Trapaga-Trapagaran', 480806, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48520', 1, 'La Arboleda', 480806, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48520', 2, 'Reineta', 480806, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48530', 1, 'Nocedal', 480834, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48530', 2, 'Ortuella', 480834, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48530', 3, 'Santurce Ortuella', 480834, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48530', 4, 'Triano (Ortuella)', 480834, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48540', 0, 'Las Carreras', 480025, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48550', 1, 'Cobaron', 480715, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48550', 2, 'Muskiz', 480715, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48550', 3, 'Musques', 480715, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48550', 4, 'Povea', 480715, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48550', 5, 'San Juan de Muskiz', 480715, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48550', 6, 'San Julian de Musques', 480715, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48600', 1, 'Larrabasterra', 480852, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48600', 2, 'Sopelana', 480852, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48610', 1, 'Campa (Urduliz)', 480890, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48610', 2, 'Urduliz', 480890, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48620', 1, 'Andracas', 480561, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48620', 2, 'Arminza', 480561, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48620', 3, 'Chipios', 480561, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48620', 4, 'Gaminiz', 480561, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48620', 5, 'Lemoiz', 480561, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48620', 6, 'Lemoniz', 480561, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48620', 7, 'Plencia', 480561, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48620', 8, 'Plentzia', 480773, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48630', 1, 'Gandias', 480433, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48630', 2, 'Gorliz', 480433, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48630', 3, 'Uresaranses', 480433, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48640', 0, 'Berango', 480160, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48650', 1, 'Barrica', 480144, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48650', 2, 'Barrika', 480144, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48650', 3, 'Goyerri (Barrika)', 480144, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48700', 0, 'Ondarroa', 480736, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48710', 0, 'Berriatua', 480182, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48800', 1, 'Balmaseda', 480904, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48800', 2, 'La Herrera', 480904, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48800', 3, 'Valmaseda', 480904, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48810', 1, 'Alonsotegui', 489124, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48810', 2, 'Arbuyo', 489124, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48810', 3, 'Irauregui', 489124, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48810', 4, 'Alonsotegi', 489124, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48820', 1, 'La Quadra', 480451, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48820', 2, 'Zaramillo', 480451, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48830', 0, 'Sodupe', 480451, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48840', 0, 'Gees', 480451, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48850', 0, 'Aranguren', 480963, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48860', 1, 'Ibarra (Zalla)', 480963, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48860', 2, 'Mimetiz', 480963, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48860', 3, 'Sollano', 480963, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48860', 4, 'Zalla', 480963, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48869', 1, 'Avellaneda', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48869', 2, 'Ocharan', 480963, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48870', 0, 'Beci', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48879', 1, 'Arcentales', 480084, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48879', 2, 'San Miguel de Arcentales', 480084, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48879', 3, 'Traslavia', 480084, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48880', 1, 'Gordon', 480871, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48880', 2, 'La Iglesia', 480871, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48880', 3, 'Iturrioz', 480871, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48880', 4, 'Trucios/Turtzioz', 480871, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48890', 1, 'Molinar de Carranza', 480221, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48890', 2, 'Paules', 480221, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48890', 3, 'El Suceso', 480221, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48891', 1, 'Aldeacueva', 480221, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48891', 2, 'Carranza', 480221, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48891', 3, 'Concha Carranza', 480221, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48891', 4, 'San Esteban (Carranza)', 480221, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48891', 5, 'Soscao', 480221, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48892', 0, 'Lanzas Agudas', 999999, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48895', 0, 'Lanestosa', 480519, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48900', 0, 'Barakaldo', 480139, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48901', 0, 'Barakaldo', 480139, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48902', 1, 'San Vicente de Barakaldo', 480139, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48902', 2, 'Barakaldo', 480139, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48903', 0, 'Barakaldo', 480139, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48910', 0, 'Sestao', 480849, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48920', 1, 'Portugalete', 480789, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48920', 2, 'Repelaga', 480789, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48930', 1, 'Las Arenas', 480448, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48930', 2, 'Areeta', 480448, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48940', 1, 'Artaza (Leioa)', 480545, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48940', 2, 'Lamiaco', 480545, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48940', 3, 'Leioa', 480545, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48940', 4, 'Lejona', 480545, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48940', 5, 'Lamiako', 480545, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48950', 1, 'Astrabudua', 489026, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48950', 2, 'Asua la Campa', 489026, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48950', 3, 'La Campa', 489026, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48950', 4, 'Desierto Erandio', 489026, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48950', 5, 'Erandio', 489026, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48950', 6, 'Goyerri (Erandio)', 489026, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48950', 7, 'Luchana (Erandio)', 489026, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48950', 8, 'Altzaga', 489026, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48960', 1, 'Galdacano', 480366, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48960', 2, 'Galdakao', 480366, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48960', 3, 'Usansolo', 480366, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48970', 1, 'Arizgoiti', 480157, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48970', 2, 'Basauri', 480157, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48970', 3, 'Urbi', 480157, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48980', 1, 'Cabieces', 480828, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48980', 2, 'Santurce Antiguo', 480828, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48980', 3, 'Santurtzi', 480828, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48990', 1, 'Algorta', 480448, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48990', 2, 'Getxo', 480448, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48990', 3, 'Guecho', 480448, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48990', 4, 'Neguri', 480448, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48990', 5, 'Punta Galea', 480448, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48990', 6, 'Santa Maria de Getxo', 480448, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49001', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49002', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49003', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49004', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49005', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49006', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49007', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49008', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49009', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49010', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49011', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49012', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49013', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49014', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49015', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49016', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49017', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49018', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49019', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49020', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49021', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49022', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49023', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49024', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49025', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49026', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49027', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49028', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49029', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49030', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49031', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49032', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49070', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49071', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49080', 0, 'Zamora', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49100', 0, 'Villanueva del Campo', 492601, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49110', 0, 'Castroverde de Campos', 490436, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49120', 0, 'Molacillos', 491197, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49121', 0, 'Monfarracinos', 491223, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49122', 0, 'Torres del Carrizal', 492222, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49123', 0, 'Benegiles', 490224, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49124', 0, 'Aspariegos', 490163, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49125', 0, 'Cerecinos del Carrizal', 490473, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48190', 3, 'Mercadillo', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48190', 4, 'Las Rivas (Sopuerta)', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48190', 5, 'Sopuerta', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48191', 1, 'Arenao', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48191', 2, 'Galdames', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48191', 3, 'Montellano', 480372, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48191', 4, 'San Esteban (Galdames)', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48191', 5, 'San Pedro de Galdames', 480865, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48192', 1, 'Gordejuela', 480427, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48192', 2, 'Gordexola', 480427, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48192', 3, 'Irazagorria', 480427, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48192', 4, 'San Juan de Berbikiz', 480427, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48194', 0, 'Zaldu', 480427, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48195', 1, 'Goicolegea', 480524, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48195', 2, 'Larrabetzu', 480524, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48195', 3, 'Larrabezua', 480524, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42150', 0, 'Vinuesa', 422156, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42153', 1, 'Canredondo de la Sierra', 421600, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42153', 2, 'Chavaler', 421600, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42153', 3, 'Derroadas', 421600, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42153', 4, 'Dombellas', 421600, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42153', 5, 'Hinojosa de la Sierra', 421600, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42153', 6, 'El Royo', 421600, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42153', 7, 'Santervas de la Sierra', 421600, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42153', 8, 'Vilviestre de los Nabos', 421600, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42154', 0, 'Pantano de la Cuerda del Pozo', 999999, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42156', 1, 'Molinos de Duero', 421176, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42156', 2, 'Quintanarejo o el Quintanar', 421176, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42156', 3, 'Salduero', 421617, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42156', 4, 'Santa Ines', 421176, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42157', 0, 'Covaleda', 420695, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42158', 0, 'Duruelo de la Sierra', 420780, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42159', 0, 'Langosto', 421600, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42161', 1, 'Arevalo de la Sierra', 420275, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42161', 2, 'Gallinero', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42161', 3, 'Torrearevalo', 420275, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42161', 4, 'Ventosa de la Sierra', 420275, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 1, 'Aylloncillo', 420891, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 2, 'Buitrago', 420428, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 3, 'Fuentecantos', 420872, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 4, 'Fuentelsaz de Soria', 420891, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 5, 'Garray', 420948, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 6, 'Garrejo', 420891, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 7, 'Pedraza', 420891, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 8, 'Pinilla de Caraduea', 420891, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 9, 'Tardesillas', 420948, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 10, 'La Rubia', 420891, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42162', 11, 'Portelrubio', 420891, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42164', 1, 'Espejo de Tera', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42164', 2, 'Estepa de Tera', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42164', 3, 'Tera', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42165', 1, 'Molinos de Razon', 421741, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42165', 2, 'Rebollar', 421519, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42165', 3, 'Rollamienta', 421596, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42165', 4, 'Valdeavellano de Tera', 421911, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42165', 5, 'Villar del Ala', 422077, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42165', 6, 'Sotillo del Rincon', 421741, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42166', 1, 'Aldehuela del Rincon', 421741, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42167', 1, 'Cubo de la Sierra', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42167', 2, 'Matute de la Sierra', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42167', 3, 'Portelarbol', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42167', 4, 'San Gregorio', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42167', 5, 'Segoviela', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42167', 6, 'Sepulveda de la Sierra', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42169', 1, 'Almarza', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42169', 2, 'Arguijo', 421412, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42169', 3, 'Barriomartin', 421412, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42169', 4, 'La Poveda de Soria', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42169', 5, 'San Andres de Soria', 420196, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42172', 1, 'Ausejo de la Sierra', 421353, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42172', 2, 'El Collado', 421353, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42172', 3, 'Cuellar de la Sierra', 421353, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42172', 4, 'Diustes', 421353, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42172', 5, 'Fuentelfresno', 421353, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42172', 6, 'Navabellida', 421353, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42172', 7, 'Oncala', 421353, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42172', 8, 'San Andres de San Pedro', 421353, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42172', 9, 'Yanguas', 422181, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 1, 'Las Aldehuelas', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 2, 'Bretun', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 3, 'Los Campos', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 4, 'La Laguna', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 5, 'Vizmanos', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 6, 'Santa Cecilia', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 7, 'Santa Cruz de Yanguas', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 8, 'Valdecantos', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 9, 'Villar del Rio', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 10, 'Valloria', 420145, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 11, 'Verguizas', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 12, 'Villar de Maya', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 13, 'Valduerteles', 422169, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 14, 'Villartoso', 421669, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42173', 15, 'Ledrado', 420145, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42174', 1, 'Las Fuentes de San Pedro', 422096, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42174', 2, 'Huerteles', 422096, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42174', 3, 'Montaves', 422096, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42174', 4, 'Palacios de San Pedro', 421656, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42174', 5, 'San Pedro Manrique', 421656, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42174', 6, 'Tanie', 421656, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42174', 7, 'Ventosa de San Pedro', 421656, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42174', 8, 'Villaseca Somera', 420145, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42175', 1, 'Castillejo de San Pedro', 421963, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42175', 2, 'Las Fuesas', 421963, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42175', 3, 'Matasejun', 421656, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42175', 4, 'Valdelavilla', 421656, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42175', 5, 'El Vallejo', 421963, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 1, 'Los Villares de Soria', 420124, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 2, 'Aldealseor', 420124, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 3, 'Aldehuela de Periaez', 420124, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 4, 'Almajano', 420177, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 5, 'Arancon', 420124, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 6, 'Canos', 420124, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 7, 'Carrascosa de la Sierra', 420546, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 8, 'Castilfrio de la Sierra', 420124, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 9, 'Cirujales del Rio', 420657, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 10, 'Cortos', 420124, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 11, 'Estepa de San Juan', 420124, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 12, 'Torretartajo', 420124, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42180', 13, 'Aldealices', 420124, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42181', 1, 'Cerbon', 420601, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42181', 2, 'Fuentes de Magaa', 420927, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42181', 3, 'La Losilla', 420601, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42181', 4, 'Magaa', 421078, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42181', 5, 'Pobar', 421078, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42181', 6, 'Valdeprado', 420601, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42181', 7, 'Valtajeros', 421985, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42181', 8, 'Villarraso', 421078, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42189', 1, 'El Espino', 421280, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42189', 2, 'Narros', 421280, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42189', 3, 'Renieblas', 421545, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42189', 4, 'Santo Cristo de los Olmedillos', 421280, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42189', 5, 'Suellacabras', 421754, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42189', 6, 'Velilla de la Sierra', 422019, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42189', 7, 'Ventosilla de San Juan', 421545, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42190', 1, 'Carbonera de Frentes', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42190', 2, 'Las Casas', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42190', 3, 'De Frentes', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42190', 4, 'Fuentetoba', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42190', 5, 'Golmayo', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42190', 6, 'La Monjia', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42190', 7, 'Oteruelos', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42190', 8, 'Pedrajas', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42190', 9, 'Toledillo', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42190', 10, 'La Verguilla', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42191', 1, 'Almarail', 420716, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42191', 2, 'Cubo de la Solana', 420716, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42191', 3, 'Ituero', 420716, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42191', 4, 'Miranda de Duero', 421499, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42191', 5, 'Rabanera del Campo', 420716, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42191', 6, 'Los Rabanos', 420716, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42191', 7, 'Riotuerto', 420716, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42191', 8, 'Sinova', 420716, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43591', 0, 'Aldover', 430069, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43592', 0, 'Xerta', 430521, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43593', 0, 'Pauls', 431021, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43594', 1, 'El Pinell de Brai', 431068, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43594', 2, 'La Venta', 431068, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43595', 0, 'Prat de Comte', 431172, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43596', 0, 'Horta de Sant Joan', 430712, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43597', 0, 'Arnes', 430189, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43700', 1, 'Francas', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43700', 2, 'El Vendrell', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43710', 0, 'Santa Oliva', 431401, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43711', 0, 'Banyeres del Penedes', 430206, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43712', 0, 'Lloren del Penedes', 430748, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43713', 1, 'La Carronya Alta', 431378, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43713', 2, 'La Carronya Baixa', 431378, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43713', 3, 'Cornudella del Penedes', 431378, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43713', 4, 'L''Hostal', 431378, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43713', 5, 'Lleger', 431378, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43713', 6, 'El Papiolet', 431378, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43713', 7, 'Sant Jaume Dels Domenys', 431378, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43713', 8, 'Torregassa', 431378, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43714', 1, 'Aiguaviva', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43714', 2, 'Marmella', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43714', 3, 'El Pla de Manlleu', 430017, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43714', 4, 'La Vall de Sant Marc', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43715', 1, 'Atalaya Mediterranea', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43715', 2, 'Junior', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43715', 3, 'El Priorat de Banyeres', 430748, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43715', 4, 'Sabartes', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43715', 5, 'Saifores', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43715', 6, 'Sant Miquel de Banyeres', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43715', 7, 'Santa Oliva', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43715', 8, 'Valdossera', 431205, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43716', 0, 'Albinyana', 430022, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43717', 1, 'La Bisbal del Penedes', 430287, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43717', 2, 'Ortigos', 430287, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43718', 1, 'La Juncosa del Montmell', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43718', 2, 'Masarbones', 430799, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43718', 3, 'Maslloren', 430799, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43718', 4, 'Moli Blanquillo', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43718', 5, 'Del Moli', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43718', 6, 'El Montmell', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43718', 7, 'Les Peces', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43718', 8, 'Santa Anna', 430901, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43719', 1, 'Bellvei', 430249, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43720', 2, 'L''Arbo', 430167, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43720', 3, 'La Llacuneta', 430167, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43720', 4, 'Puigmolto', 430167, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43729', 14, 'Santa Llucia', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43729', 16, 'Valdemar', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43730', 0, 'Falset', 430555, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43736', 1, 'La Figuera', 430825, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43736', 2, 'El Masroig', 430825, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43736', 3, 'El Molar', 430859, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43737', 1, 'Gratallops', 430691, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43737', 2, 'El Lloar', 430691, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43737', 3, 'Torroja del Priorat', 431541, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43738', 0, 'Bellmunt del Priorat', 430234, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43739', 0, 'Porrera', 431140, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43740', 0, 'Mora D''Ebre', 430939, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43746', 1, 'Darmos', 431508, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43746', 2, 'La Serra D''Almos', 431508, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43746', 3, 'Tivissa', 431508, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43747', 1, 'Benissanet', 430265, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43747', 2, 'Miravet', 430846, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43748', 0, 'Ginestar', 430672, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43749', 0, 'Garcia', 430653, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43750', 0, 'Flix', 430607, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43760', 0, 'El Morell', 430957, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43761', 0, 'La Pobla de Montornes', 431114, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43762', 1, 'Ardenya', 431264, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43762', 2, 'Mas Virgili', 431264, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43762', 3, 'La Riera de Gaia', 431264, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43763', 1, 'Els Masos de Vespella', 431649, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43763', 2, 'La Nou de Gaia', 431649, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43763', 3, 'Sant Miquel de Vespella', 431649, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43763', 4, 'Vespella', 431649, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43764', 0, 'El Catllar', 430430, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43765', 1, 'L''Argilaga', 431444, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43765', 2, 'San Roc', 431444, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43765', 3, 'La Secuita', 431444, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43765', 4, 'Vistavella', 431444, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43770', 0, 'Mora la Nova', 430944, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43771', 0, 'Riudecanyes', 431270, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43772', 0, 'Botarell', 430332, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43773', 1, 'L''Argentera', 430537, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43773', 2, 'Duesaigues', 430537, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43774', 1, 'Pradell', 431153, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43774', 2, 'La Torre de Fontaubella', 431153, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43775', 0, 'Mara', 430764, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43776', 0, 'Capanes', 430402, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43777', 0, 'Els Guiamets', 430705, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43780', 0, 'Gandesa', 430640, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43781', 0, 'La Fatarella', 430568, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43782', 0, 'Vilalba Dels Arcs', 431750, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43783', 0, 'La Pobla de Massaluca', 431107, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43784', 0, 'Corbera D''Ebre', 430483, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43785', 0, 'Bot', 430326, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43786', 0, 'Batea', 430228, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43787', 0, 'Caseres', 430419, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43790', 0, 'Riba-Roja D''Ebre', 431251, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43791', 0, 'Asco', 430192, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43792', 1, 'La Torre de L''Espanyol', 431779, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43792', 2, 'Vinebre', 431779, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43800', 0, 'Valls', 431613, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43810', 0, 'El Pla de Santa Maria', 431080, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43811', 1, 'Cabra del Camp', 430363, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43811', 2, 'Figuerola del Camp', 430593, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43811', 3, 'Sant Ramon', 430363, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43812', 1, 'Brafim', 430347, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43812', 2, 'Can Ferrer de la Cogullada', 430347, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43812', 3, 'Montferri', 430897, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43812', 4, 'Puigpelat', 431191, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43812', 5, 'Rodonya', 431325, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43812', 6, 'Vilardida', 430897, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43813', 1, 'Alio', 430108, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43813', 2, 'Fontscaldes', 431613, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43813', 3, 'Masmolets', 431613, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43813', 4, 'Miramar', 430108, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43814', 0, 'Vila-Rodona', 431704, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43815', 1, 'Aiguamurcia', 430017, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43815', 2, 'L''Alba', 430017, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43815', 3, 'Cal Canonge', 430017, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43815', 4, 'Les Destres', 430017, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43815', 5, 'Els Manantials', 430017, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43815', 6, 'Masbarrat', 430017, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43815', 7, 'Les Pobles', 430017, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43815', 8, 'Santes Creus', 430017, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43816', 1, 'Esblada', 431205, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43816', 2, 'Parador el Rovello', 431205, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43816', 3, 'Querol', 431205, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43817', 1, 'La Planeta', 431135, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43817', 2, 'El Pont D''Armentera', 431135, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43820', 0, 'Calafell', 430379, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43830', 0, 'Torredembarra', 431536, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 1, 'L''Alba', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 2, 'Clara Mar', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 3, 'Costelacion', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 4, 'Creixell', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 5, 'Creixell Mar', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 6, 'La Gavina', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 7, 'La Masso', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 8, 'Les Morisques', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 9, 'La Noria', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 10, 'El Port Roma', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 11, 'El Raco del Cesar', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 12, 'Relax', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43839', 13, 'La Sirena Dorada', 430509, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43840', 1, 'Reco de Salou', 439057, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43840', 2, 'Salou', 439057, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43850', 1, 'Cambrils', 430385, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43850', 2, 'Costa Blanca', 430385, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43860', 1, 'L''Ametlla de Mar', 430136, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43860', 2, 'L''Atmella de Mar', 430136, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43860', 3, 'Nautic', 430136, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43870', 0, 'Amposta', 430141, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43877', 0, 'Sant Jaume D''Enveja', 439023, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45631', 0, 'Almendral de la Caada', 450113, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45632', 0, 'Sartajada', 451590, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45633', 0, 'La Iglesuela', 450797, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45634', 0, 'Buenaventura', 450226, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45635', 0, 'Sotillo de Las Palomas', 451647, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45636', 0, 'Marrupe', 450937, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45637', 0, 'Cervera de los Montes', 450494, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45638', 0, 'Pepino', 451323, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45640', 0, 'Real de San Vicente', 451442, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45641', 0, 'Castillo de Bayuela', 450438, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45642', 0, 'Cardiel de los Montes', 450358, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45643', 0, 'Garciotun', 450686, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45644', 0, 'Nuo Gomez', 451203, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45645', 0, 'Hinojosa de San Vicente', 450746, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45646', 1, 'San Roman de los Montes', 451549, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45646', 2, 'Serranillos', 451549, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45650', 0, 'Espinoso del Rey', 450633, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45651', 1, 'La Fresneda', 451702, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45651', 2, 'Torrecilla de la Jara', 451702, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45652', 0, 'Retamoso', 451468, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45653', 0, 'Santa Ana de Pusa', 451552, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45654', 0, 'San Bartolome de Las Abiertas', 451506, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45660', 0, 'Belvis de la Jara', 450204, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45661', 0, 'Aldeanueva de Barbarroya', 450092, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45662', 0, 'Alcaudete de la Jara', 450067, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45663', 0, 'El Membrillo', 450725, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45664', 0, 'Las Herencias', 450725, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45670', 0, 'La Nava de Ricomalillo', 451088, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45671', 1, 'Gargantilla', 451626, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45671', 2, 'Sevilleja de la Jara', 451626, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45672', 1, 'Mina de Sta Quiteria', 451626, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45672', 2, 'Puerto Rey', 451626, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45673', 0, 'Buenasbodas', 451626, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45674', 0, 'Robledo del Mazo', 451480, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45675', 0, 'Las Hunfrias', 451480, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45676', 0, 'Robledillo', 451480, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45677', 0, 'Navaltoril', 451480, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45678', 0, 'Piedraescrita', 451480, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45680', 0, 'Cebolla', 450469, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45681', 0, 'Illan de Vacas', 999999, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45682', 0, 'Los Cerralbos', 450481, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45683', 0, 'Cazalegas', 450456, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45684', 0, 'Lucillos', 450860, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45685', 1, 'Montearagon', 451040, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45685', 2, 'Montearagon Estacion', 451040, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45686', 0, 'Calera y Chozas', 450285, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45687', 0, 'Alcaizo', 450054, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45690', 0, 'La Pueblanueva', 451376, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45691', 1, 'San Antonio', 451376, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45691', 2, 'Las Vegas', 451376, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45692', 0, 'Malpica de Tajo', 450895, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45693', 0, 'Bernuy', 450895, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45694', 0, 'Talavera la Nueva', 451650, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45695', 0, 'Alberche del Caudillo', 450285, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45700', 0, 'Consuegra', 450535, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45710', 0, 'Madridejos', 450876, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45720', 0, 'Camuas', 450345, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45730', 1, 'Las Lagunas', 451875, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45730', 2, 'Villafranca de los Caballeros', 451875, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45740', 0, 'Villasequilla', 451973, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45749', 0, 'Villamuelas', 451915, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45750', 0, 'Huerta de Valdecarabanos', 450784, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45760', 1, 'El Casar de la Guardia', 450710, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45760', 2, 'La Guardia', 450710, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45770', 0, 'El Romeral', 451493, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45780', 0, 'Tembleque', 451663, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45789', 0, 'Turleque', 451758, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45790', 0, 'Quero', 451416, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45800', 0, 'Quintanar de la Orden', 451421, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45810', 0, 'Villanueva de Alcardete', 451920, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45820', 0, 'El Toboso', 451679, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45830', 0, 'Miguel Esteban', 451014, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45840', 0, 'La Puebla de Almoradiel', 451357, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45850', 0, 'La Villa de Don Fadrique', 451869, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45860', 1, 'Aloyon', 451856, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45860', 2, 'Villacaas', 451856, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45870', 0, 'Lillo', 450844, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45880', 0, 'Corral de Almaguer', 450540, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45890', 0, 'Cabezamesada', 450279, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45900', 1, 'Almorox', 450134, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45900', 2, 'Encinar del Alberche', 450134, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45900', 3, 'Pinar de Almorox', 450134, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45908', 1, 'Aldeaencabo de Escalona', 451297, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45908', 2, 'Paredes de Escalona', 451297, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45909', 1, 'El Alamin', 451571, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45909', 2, 'Calalberche', 451571, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45910', 0, 'Escalona', 450612, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45917', 0, 'Nombela', 451170, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45918', 0, 'Pelahustan', 451318, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45919', 1, 'Hormigos', 450762, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45919', 2, 'Villarta de Escalona', 450762, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45920', 0, 'La Torre de Esteban Hambran', 451719, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45930', 0, 'Mentrida', 450993, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45940', 0, 'Valmojado', 451800, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45950', 0, 'Casarrubios del Monte', 450417, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45960', 0, 'Chozas de Canales', 450566, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46001', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46002', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46003', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46004', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46005', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46006', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46007', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46008', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46009', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46010', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46011', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46012', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46013', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46014', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46015', 2, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46016', 4, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46017', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46018', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46019', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46020', 2, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46021', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46022', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46023', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46024', 2, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46025', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46026', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46035', 1, 'Benimamet', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46035', 2, 'Las Carolinas', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46035', 3, 'Las Cuevas (Benimamet)', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46070', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46071', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46080', 0, 'Valencia', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46100', 0, 'Burjassot', 460787, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46110', 1, 'Campo Olivar', 461350, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46110', 2, 'Godella', 461350, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46111', 0, 'Rocafort', 462166, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46112', 0, 'Masarrochos', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46113', 0, 'Moncada', 461712, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46114', 0, 'Vinalesa', 462606, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46115', 0, 'Alfara del Patriarca', 460253, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46116', 1, 'Masias', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46116', 2, 'San Isidro de Benageber', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46117', 1, 'Betera', 460706, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46117', 2, 'Cartuja de Portaceli', 460706, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46117', 3, 'Porta Coeli', 460706, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46117', 4, 'Sanatorio de Porta-Coeli', 460706, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46118', 0, 'Serra', 462286, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46119', 0, 'Naquera', 461786, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46120', 0, 'Alboraya', 460137, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46127', 0, 'Campamento Militar de Betera', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46128', 0, 'Saboya', 460137, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46129', 0, 'El Machistre', 460137, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46130', 0, 'Massamagrell', 461640, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46131', 1, 'Bonrepos i Mirambell', 460749, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46131', 2, 'Casas de Barcena', 462508, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46131', 3, 'Mirambell', 460749, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46132', 0, 'Almassera', 460327, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46133', 0, 'Meliana', 461666, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49126', 1, 'Arquillinos', 490147, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49126', 2, 'Villalba de la Lampreana', 492465, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49127', 1, 'Castronuevo de los Arcos', 490420, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49127', 2, 'Pobladura de Valderaduey', 491602, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49128', 0, 'Caizo de Campos', 490356, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49129', 1, 'San Martin de Valderaduey', 491906, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49129', 2, 'Villardiga', 492660, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49130', 0, 'Manganeses de la Lampreana', 491086, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49131', 0, 'Villamayor de Campos', 492525, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49132', 0, 'Villar de Fallaves', 492639, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49133', 0, 'Vega de Villalobos', 492320, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49134', 0, 'Villalobos', 492487, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49135', 1, 'Revellinos', 491756, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49135', 2, 'San Agustin del Pozo', 491854, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49135', 3, 'Vidayanes', 492367, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49136', 0, 'Villafafila', 492428, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49137', 1, 'Otero de Sariegos', 492428, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49137', 2, 'Villarrin de Campos', 492682, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49140', 0, 'Tabara', 492145, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49141', 0, 'Faramontanos Tabara', 490631, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49142', 0, 'Pajares de la Lampreana', 491414, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49143', 0, 'Piedrahita de Castro', 491550, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49144', 0, 'San Cebrian de Castro', 491867, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49145', 1, 'La Encomienda', 491532, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49145', 2, 'Perilla de Castro', 491532, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49145', 3, 'San Pedro de Las Cuevas', 492026, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49146', 0, 'Navianos de Alba', 491380, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49147', 1, 'Marquiz de Alba', 491380, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49147', 2, 'Olmillos de Castro', 491380, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49148', 1, 'Moreruela de Tabara', 491337, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49148', 2, 'Pozuelo de Tabara', 491645, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49148', 3, 'Santa Eulalia de Tabara', 491337, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49149', 0, 'Montamarta', 491239, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49150', 0, 'Moraleja del Vino', 491257, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49151', 1, 'Arcenillas', 490104, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49151', 2, 'Casaseca de Las Chanas', 490394, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49151', 3, 'Gema', 490907, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49152', 0, 'Sanzoles', 492102, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49153', 1, 'Dehesa de Pealva', 492341, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49153', 2, 'Venialbo', 492341, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49154', 0, 'El Pego', 491466, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49155', 0, 'La Boveda de Toro', 490245, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49156', 0, 'Guarrate', 490935, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49157', 1, 'Bamba', 491033, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49157', 2, 'Madridanos', 491033, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49158', 0, 'Villalazan', 492452, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49159', 0, 'Villaralbo', 492618, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49160', 0, 'Carbajales de Alba', 490369, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49161', 1, 'Losilla', 492026, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49161', 2, 'Santa Eufemia', 492026, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49162', 1, 'Andavias', 490090, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49162', 2, 'Palacios del Pan', 491429, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49163', 0, 'Manzanal del Barco', 491110, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49164', 1, 'Cerezal de Aliste', 491355, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49164', 2, 'Videmala', 492373, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49165', 1, 'Ricobayo', 491355, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49165', 2, 'Villaflor', 491355, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49165', 3, 'Villanueva de los Corchos', 492373, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49166', 1, 'Carbajosa', 492471, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49166', 2, 'Salto de Villalcampo', 492471, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49166', 3, 'Villalcampo', 492471, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49167', 1, 'Muelas del Pan', 491355, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49167', 2, 'Salto de Esla', 491355, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49170', 0, 'Tardobispo', 491511, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49171', 0, 'La Pueblica de Campean', 491526, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49172', 0, 'Las Enillas', 491526, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49173', 0, 'La Tuda', 491526, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49174', 1, 'Mogatar', 490776, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49174', 2, 'Sobradillo de Palomares', 491526, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49176', 0, 'Tamame', 491491, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49177', 1, 'Alfaraz', 490087, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49177', 2, 'Escuadro', 490087, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49177', 3, 'Figueruela de Sayago', 491491, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49177', 4, 'Moraleja de Sayago', 491260, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49177', 5, 'Soguino', 490087, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49177', 6, 'Torremut', 490087, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49177', 7, 'Viuela de Sayago', 490052, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49178', 1, 'Peausende', 491491, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49178', 2, 'Villardiegua del Nalso', 491491, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49178', 3, 'Villardiegua del Sierro', 491491, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49180', 0, 'Almaraz de Duero', 490071, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49181', 0, 'Villaseco', 492695, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49182', 0, 'Valdeperdices', 491949, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49183', 1, 'Almendra', 491949, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49183', 2, 'El Campillo', 491949, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49183', 3, 'San Pedro de la Nave', 491949, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49190', 0, 'Morales del Vino', 491276, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49191', 1, 'Cazurra', 490441, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49191', 2, 'Jambrina', 490966, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49191', 3, 'Peleas de Abajo', 491488, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49191', 4, 'Pontejos', 491276, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49192', 1, 'La Hiniesta', 491781, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49192', 2, 'Roales', 491781, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49192', 3, 'Valcabado', 492275, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49193', 0, 'Carrascal', 492755, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49200', 0, 'Bermillo de Sayago', 490230, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49210', 0, 'Almeida', 490087, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49211', 1, 'Carbellino', 490375, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49211', 2, 'Roelos', 490375, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49211', 3, 'Salce', 491836, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49211', 4, 'Villamor de Cadozos', 490230, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49212', 0, 'Muga de Sayago', 491368, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49213', 1, 'Fariza', 490646, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49213', 2, 'Mamoles', 490646, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49213', 3, 'Palazuelo de Sayago', 490646, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49214', 1, 'Badilla', 490646, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49214', 2, 'Cozcurrita', 490646, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49214', 3, 'Tudera', 490646, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49214', 4, 'Zafara', 490646, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49215', 1, 'Luelmo', 491012, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49215', 2, 'Monumenta', 491012, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49215', 3, 'Villamor de la Ladre', 490230, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49216', 1, 'Fresno de Sayago', 490776, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49216', 2, 'Piuel', 490230, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49216', 3, 'Torrefrades', 490230, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49220', 0, 'Fermoselle', 490659, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49230', 1, 'Cibanal', 492644, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49230', 2, 'Formariz', 492644, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49231', 0, 'Pinilla de Fermoselle', 492644, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49232', 0, 'Fornillos de Fermoselle', 492644, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49240', 1, 'Pasariegos', 492644, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49240', 2, 'Villar del Buey', 492644, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49250', 1, 'Villadepera', 492406, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49250', 2, 'Villardiegua de la Ribera', 492657, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49251', 1, 'Argain', 490126, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49251', 2, 'Gamones', 490880, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49252', 0, 'Torregamones', 492217, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49253', 0, 'Moralina', 491316, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49254', 1, 'Abelon', 491244, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49254', 2, 'Moral de Sayago', 491244, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49255', 1, 'Fresnadillo', 490230, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49255', 2, 'Ganame', 490230, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49260', 0, 'Fadon', 490230, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49270', 0, 'Sogo de Sayago', 491526, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49271', 0, 'Cernecina', 491526, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49272', 1, 'Arcillo', 491526, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49272', 2, 'Malillos', 491526, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49280', 0, 'Pereruela', 491526, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49281', 0, 'San Roman de los Infantes', 491526, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49290', 0, 'Dehesa de Pelazas', 999999, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49300', 0, 'Puebla de Sanabria', 491661, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49310', 0, 'Mombuey', 491218, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49317', 1, 'Anta de Tera', 491125, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49317', 2, 'Lanseros', 491125, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49317', 3, 'Manzanal de los Infantes', 491125, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49317', 4, 'Sejas de Sanabria', 491125, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49317', 5, 'Valdemerilla', 490489, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49318', 1, 'Fresno de la Carballeda', 491218, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49318', 2, 'Peque', 491504, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49318', 3, 'Santa Eulalia de Rionegro', 491775, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49318', 4, 'Valparaiso', 491218, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42191', 9, 'Tardajos de Duero', 421499, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42191', 10, 'Valdespina', 420716, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42192', 1, 'La Cuenca', 422058, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42192', 2, 'Las Fraguas', 422058, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42192', 3, 'La Mallona', 422058, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42192', 4, 'Villaciervitos', 422058, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42192', 5, 'Villaciervos', 422058, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 1, 'Abioncillo', 420465, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 2, 'Aldehuela de Calataazor', 420465, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 3, 'Blacos', 420367, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 4, 'Torreblacos', 421852, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 5, 'Calataazor', 420465, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 6, 'Muriel de la Fuente', 421242, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 7, 'Nafria la Llana', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 8, 'Nodalo', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 9, 'Rioseco de Soria', 420465, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 10, 'Santiuste', 420465, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 11, 'Torralba del Burgo', 420465, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 12, 'Boos', 421950, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 13, 'Valdealvillo', 420465, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 14, 'Valdenarros', 420465, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42193', 15, 'Venta Nueva', 420465, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42200', 0, 'Almazan', 420200, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42210', 1, 'Barca', 420308, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42210', 2, 'Ciaduea', 420308, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42210', 3, 'Rebollo de Duero', 420308, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42210', 4, 'Velamazan', 420308, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42211', 1, 'Centenera de Andaluz', 420597, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42211', 2, 'La Concepcion', 420597, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42211', 3, 'Fuentelcarro', 420597, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42211', 4, 'Matamala de Almazan', 421118, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42211', 5, 'Matute de Almazan', 421118, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42211', 6, 'Santa Maria de Prado', 421118, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42211', 7, 'Tejerizas', 420597, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42212', 1, 'Almantiga', 420200, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42212', 2, 'Balluncar', 420200, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42212', 3, 'Cobertelada', 420200, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42212', 4, 'Covarrubias', 420200, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42212', 5, 'Lodares del Monte', 420200, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42213', 1, 'Alpanseque', 420238, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42213', 2, 'Barahona', 420294, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42213', 3, 'Marazovel', 420238, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42213', 4, 'Mezquetillas', 420238, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42213', 5, 'Radona', 420238, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42213', 6, 'Romanillos de Medinaceli', 420238, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42213', 7, 'Alcubilla de Las Peas', 420238, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42214', 1, 'Fuentegelmes', 422122, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42214', 2, 'Pinilla del Olmo', 420294, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42214', 3, 'Villasayas', 422122, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 1, 'Adradas', 420032, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 2, 'Bordeje', 420682, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 3, 'Centenera del Campo', 420682, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 4, 'Coscurita', 420682, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 5, 'Frechilla de Almazan', 420032, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 6, 'Jodra de Cardos', 420294, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 7, 'La Miosa', 420032, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 8, 'Ontalvilla de Almazan', 420032, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 9, 'Taroda', 421828, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 10, 'Seuela', 421237, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 11, 'Sauquillo del Campo', 420032, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42216', 12, 'Torremediana', 420032, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42217', 0, 'Lodarejos', 420682, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42218', 1, 'Alparrache', 421834, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42218', 2, 'Baniel', 422045, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42218', 3, 'Borjabad', 420389, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42218', 4, 'Boices', 421834, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42218', 5, 'La Milana', 421834, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42218', 6, 'Moux', 422045, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42218', 7, 'Nepas', 421307, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42218', 8, 'Perdices', 422045, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42218', 9, 'Viana de Duero', 422045, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42218', 10, 'Sauquillo de Boices', 421834, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42220', 1, 'Caamaque', 421195, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42220', 2, 'Fuentelmonge', 421195, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42220', 3, 'Monteagudo de Las Vicarias', 421195, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42220', 4, 'Torlengua', 421195, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42220', 5, 'Valtuea', 421195, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42220', 6, 'Pozuel de Ariza', 421195, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42222', 1, 'Chercoles', 420183, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42222', 2, 'Puebla de Eca', 420183, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42223', 1, 'Borchicayada', 421237, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42223', 2, 'Bujarrapian', 421237, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42223', 3, 'Escobosa de Almazan', 421237, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42223', 4, 'Moron de Almazan', 421237, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42223', 5, 'Neguillas', 420682, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42223', 6, 'Nolay', 421237, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42223', 7, 'Soliedra', 421720, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42223', 8, 'Villalba', 420682, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42225', 1, 'Alentisque', 420158, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42225', 2, 'Cabanillas', 420158, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42225', 3, 'Majan', 421084, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42225', 4, 'Momblona', 421182, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42225', 5, 'Velilla de los Ajos', 422024, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42230', 1, 'Ambrona', 421157, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42230', 2, 'Azcamellas', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42230', 3, 'Benamira', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42230', 4, 'Conquezuela', 421157, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42230', 5, 'Esteras de Medinaceli', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42230', 6, 'Fuencaliente de Medinaceli', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42230', 7, 'Mio de Medinaceli', 421157, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42230', 8, 'Torralba del Moral o Medina', 421157, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42230', 9, 'Yelo', 422194, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42230', 10, 'Ventosa del Ducado', 421157, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42240', 1, 'Arbujuelo', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42240', 2, 'Layna', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42240', 3, 'Medinaceli', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42240', 4, 'Salinas de Medinaceli', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42240', 5, 'Ures de Medina', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42248', 1, 'Beltejar', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42248', 2, 'Blocona', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42248', 3, 'Corvesin', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42248', 4, 'Lodares de Medinaceli', 421139, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42250', 0, 'Arcos de Jalon', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42257', 1, 'Jubera', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42257', 2, 'Rio Blanco', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42257', 3, 'Somaen', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42257', 4, 'Velilla de Medinaceli', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42258', 1, 'Aguaviva de la Vega', 420183, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42258', 2, 'Almaluez', 420183, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42258', 3, 'Utrilla', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42259', 1, 'Aguilar de Montuenga', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42259', 2, 'Chaorna', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42259', 3, 'Judes', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42259', 4, 'Montuenga de Soria', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42259', 5, 'Sagides', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42260', 0, 'Santa Maria de Huerta', 421675, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42269', 1, 'Iruecha', 420256, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42269', 2, 'Alconchel de Ariza', 420256, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42269', 3, 'Granja de San Pedro', 420256, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42269', 4, 'Torrehermosa', 420256, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42290', 1, 'Camparaon', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42290', 2, 'Lubia', 420716, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42290', 3, 'Navalcaballo', 421499, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42290', 4, 'Villabuena', 420951, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 1, 'La Barbolla', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 2, 'Las Cuevas de Soria', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 3, 'Fuentelaldea', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 4, 'Izana', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 5, 'Los Llamosos', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 6, 'El Monasterio', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 7, 'Osonilla', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 8, 'Quintana Redonda', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 9, 'Revilla de Calataazor', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 10, 'La Seca', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42291', 11, 'Ventosa de Fuentepinilla', 421448, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42294', 1, 'Cascajosa', 421813, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42294', 2, 'Fuentelarbol', 421813, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42294', 3, 'Fuentepinilla', 421813, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42294', 4, 'La Muela', 421813, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42294', 5, 'Osona', 421813, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42294', 6, 'Tardelcuende', 421813, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42294', 7, 'Torreandaluz', 421813, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42294', 8, 'Valderrodilla', 421813, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42294', 9, 'Valderrueda', 421813, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43878', 0, 'Masdenverge', 430786, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43879', 1, 'Balada', 439023, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43879', 2, 'Els Muntells', 439023, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43880', 1, 'La Blanca', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43880', 2, 'Coma-Ruga', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43880', 3, 'La Creu', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43880', 4, 'De L''Estacio de Sant Vicen', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43880', 5, 'Francas', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43880', 6, 'Els Garrofers', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43880', 7, 'Els Masos de Coma-Ruga', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43880', 8, 'Nirvana', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43880', 9, 'Sant Salvador - Coma-Ruga', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43880', 10, 'Sant Vicen de Calders', 431634, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43881', 1, 'Cal Cego', 430516, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43881', 2, 'Can Toni', 430516, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43881', 3, 'Cunit', 430516, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43881', 4, 'Cunit-Diagonal', 430516, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43881', 5, 'Diagonal', 430516, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43881', 6, 'Eixample de Cunit', 430516, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43881', 7, 'Mar de Cunit', 430516, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43881', 8, 'Les Masies de Torrent', 430516, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43881', 9, 'Valparaiso', 430516, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43882', 0, 'Segur de Calafell', 430379, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43883', 1, 'Bara', 431310, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43883', 2, 'La Barquera', 431310, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43883', 3, 'Brun', 431310, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43883', 4, 'Costa Daurada', 431310, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43883', 5, 'De Mas Roig', 431310, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43883', 6, 'Parc Coma-Ruga', 431310, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43883', 7, 'Platja Francas', 431310, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43883', 8, 'Residencia Banco de Espaa', 431310, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43883', 9, 'Roc de Sant Gaieta', 431310, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43883', 10, 'Roda de Bara', 431310, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43884', 0, 'Bonastre', 430304, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43885', 0, 'Salomo', 431359, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43886', 1, 'Renau', 431227, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43886', 2, 'Vilabella', 431652, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43887', 0, 'Nulles', 430982, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43890', 1, 'Cala Doques', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43890', 2, 'Hifrensa', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43890', 3, 'L''Hospitalet de L''Infant', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43890', 4, 'L''Infant', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43890', 5, 'De San Roque', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43890', 6, 'Simpatica', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43890', 7, 'Trianon', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43890', 8, 'Vieja de Valencia', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43890', 9, 'Vandellos', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43891', 1, 'Masboquera', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43891', 2, 'Masriudoms', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43891', 3, 'Les Planes del Rei', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43891', 4, 'Vandellos', 431628, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 1, 'Marinada', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 2, 'Marius', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 3, 'Miami-Platja', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 4, 'Montroig', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 5, 'Montroig-Mar', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 6, 'Oasis', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 7, 'Playa y Fiesta', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 8, 'Pueblo Nuevo Azahar', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 9, 'Rustical Balnearis', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 10, 'Rustical Mont-Roig', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43892', 11, 'Torre del Sol', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43893', 1, 'Altafulla', 430120, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43893', 2, 'Ferrandis', 430120, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43893', 3, 'Llum i Mar', 430120, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43893', 4, 'Els Munts', 430120, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43893', 5, 'La Perla', 430120, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43893', 6, 'Robert', 430120, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43893', 7, 'Sant Antoni', 430120, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43894', 1, 'Camarles', 439039, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43894', 2, 'La Granadella', 439039, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43894', 3, 'El Lligallo del Ganguill', 439039, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43894', 4, 'El Lligallo del Roig', 439039, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43895', 0, 'L''Ampolla', 439060, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43896', 1, 'L''Aldea', 439044, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43896', 2, 'L''Hostal Dels Alls', 439044, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43897', 1, 'Camp-Redo', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43897', 2, 'La Font de Quinto', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43897', 3, 'Poligono Industrial el Camp-Re', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44001', 0, 'Teruel', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44002', 0, 'Teruel', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44003', 0, 'Teruel', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44070', 0, 'Teruel', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44071', 0, 'Teruel', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44080', 0, 'Teruel', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44100', 0, 'Albarracin', 440099, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44110', 0, 'Gea de Albarracin', 441177, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44111', 0, 'Torres de Albarracin', 442293, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44112', 0, 'Tramacastilla', 442353, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44113', 0, 'Noguera de Albarracin', 441639, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44114', 1, 'Griegos', 441196, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44114', 2, 'Villar del Cobo', 442577, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44115', 0, 'Guadalaviar', 441200, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44120', 1, 'Terriente', 442157, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44120', 2, 'Villarejo de Terriente', 442157, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44121', 1, 'Bezas', 440414, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44121', 2, 'El Campillo', 440414, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44121', 3, 'Rubiales', 441999, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44122', 1, 'Jabaloyas', 441275, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44122', 2, 'Saldon', 442046, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44122', 3, 'Valdecuenca', 442433, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44123', 1, 'Arroyofrio', 441275, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44123', 2, 'El Caigral', 441275, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44123', 3, 'Collado de la Grulla', 440099, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44123', 4, 'Toril y Masegoso', 441275, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44123', 5, 'El Vallecillo', 441275, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44124', 0, 'Moscardon', 441597, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44125', 0, 'Royuela', 441986, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44126', 1, 'Calomarde', 440526, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44126', 2, 'Frias de Albarracin', 441098, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44130', 0, 'Villastar', 442638, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44131', 0, 'Villel', 442643, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44132', 1, 'Libros', 441354, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44132', 2, 'Mas de la Cabrera', 442340, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44133', 1, 'Riodeva', 441964, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44133', 2, 'Tramacastiel', 442340, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44134', 1, 'Alobras', 440197, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44134', 2, 'El Cuervo', 440197, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44134', 3, 'Tormon', 442182, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44134', 4, 'Veguilla de la Sierra', 442502, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44140', 0, 'Cantavieja', 440598, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44141', 1, 'La Cuba', 441490, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44141', 2, 'Mirambel', 441490, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44141', 3, 'Tronchon', 442366, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44142', 0, 'La Iglesuela del Cid', 441269, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44143', 0, 'Fortanete', 441063, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44144', 0, 'Villarroya de los Pinares', 442622, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44145', 0, 'Allepuz', 440218, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44146', 0, 'Monteagudo del Castillo', 441562, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44147', 0, 'Cedrillas', 440743, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44150', 0, 'Aliaga', 440178, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44155', 1, 'Ababuj', 440012, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44155', 2, 'Camarillas', 440550, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44155', 3, 'El Pobo', 440012, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44156', 1, 'Aguilar de Alfambra', 440051, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44156', 2, 'Jorcas', 441308, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44157', 1, 'Barrio Santa Barbara', 441238, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44157', 2, 'Cobatillas', 441238, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44157', 3, 'Hinojosa de Jarque', 441238, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44158', 1, 'Aldehuela (Central Termica)', 440178, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44158', 2, 'Campos', 440178, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44158', 3, 'La Caadilla', 440178, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44158', 4, 'Cirugeda', 440178, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44159', 0, 'Miravete de la Sierra', 441503, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44160', 0, 'Alfambra', 440162, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44161', 1, 'Escorihuela', 440971, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44161', 2, 'Orrios', 441755, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44161', 3, 'Villalba Alta', 441829, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44162', 1, 'Cuevas Labradas', 440949, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44162', 2, 'Peralejos de Alfambra', 440949, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44162', 3, 'Tortajada', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44162', 4, 'Villalba Baja', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44163', 0, 'Perales de Alfambra', 441829, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44164', 1, 'Lidon', 441367, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44164', 2, 'Visiedo', 442669, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46134', 1, 'Cuiper', 461265, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46134', 2, 'Foios', 461265, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46135', 1, 'Albalat Dels Sorells', 460095, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46135', 2, 'Emperador', 461173, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46135', 3, 'Mahuella', 460095, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46135', 4, 'Tauladella', 460095, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46135', 5, 'Venta del Emperador', 460095, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46136', 0, 'Museros', 461770, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46137', 0, 'Puebla de Farnals', 461995, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46138', 0, 'Rafelbunyol/Rafelbuol', 462074, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46139', 0, 'La Pobla de Farnals', 461995, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46140', 1, 'Ademuz', 460018, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46140', 2, 'Arroyo Cerezo', 460018, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46140', 3, 'Mas del Olmo', 460018, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46140', 4, 'Puebla de San Miguel', 462016, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46140', 5, 'Sesga', 460018, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46140', 6, 'Val de la Sabina', 460018, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46141', 1, 'Castielfabib', 460924, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46141', 2, 'Cuesta del Rato', 460924, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46142', 0, 'Los Santos', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46143', 0, 'Torrebaja', 462423, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46144', 1, 'Mas de Jacinto', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46144', 2, 'Torrealta', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46145', 1, 'Negron', 462520, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46145', 2, 'Vallanca', 462520, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46146', 0, 'Casas Bajas', 460885, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46147', 0, 'Casas Altas', 460879, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46148', 1, 'Alfara de Algimia', 460305, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46148', 2, 'Algimia de Alfara', 460305, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46148', 3, 'Torres-Torres', 460305, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46149', 1, 'Gilet', 461347, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46149', 2, 'Santo Espiritu del Monte', 461347, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46150', 0, 'Campamento de Marines', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46160', 1, 'Lliria', 461477, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46160', 2, 'Vanacloig', 461477, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46164', 0, 'Pedralba', 461918, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46165', 0, 'Bugarra', 460765, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46166', 0, 'Gestalgar', 461332, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46167', 0, 'Chulilla', 461120, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46168', 1, 'Losa del Obispo', 462346, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46168', 2, 'Sot de Chera', 462346, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46169', 1, 'Gatova', 469024, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46169', 2, 'Marines', 469024, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46169', 3, 'Olocau', 461825, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46170', 1, 'Andilla', 460386, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46170', 2, 'Artaj', 460386, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46170', 3, 'Higueruelas', 461419, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46170', 4, 'Oset de Andilla', 460386, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46170', 5, 'Pobleta de Andilla', 460386, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46170', 6, 'Villar del Arzobispo', 462589, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46171', 0, 'Casinos', 460898, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46172', 0, 'Alcublas', 460180, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46174', 1, 'Del Carril', 461141, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46174', 2, 'Domeo', 461141, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46175', 0, 'Calles', 460790, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46176', 1, 'Ahillas', 461069, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46176', 2, 'Chelva', 461069, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46176', 3, 'Ermitorio del Remedio', 461069, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46176', 4, 'Torrecilla', 461069, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46177', 0, 'Tuejar', 462476, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 1, 'La Almeza', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 2, 'Alpuente', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 3, 'Baldovar de Alpuente', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 4, 'Campo Abajo', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 5, 'Campo Arriba', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 6, 'La Canaleja', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 7, 'La Carrasca', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 8, 'El Chopo', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 9, 'Collado de Alpuente', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 10, 'Corcolilla', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 11, 'La Cuevarruz', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 12, 'Eras de Alpuente', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 13, 'El Hontanar', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 14, 'La Hortichuela', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 15, 'Titaguas', 462418, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46178', 16, 'La Yesa', 460364, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46179', 1, 'Aras de Alpuente', 460410, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46179', 2, 'Losilla de Aras', 460410, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46180', 0, 'Benaguasil', 460517, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46181', 0, 'Benisano', 460673, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46182', 0, 'La Caada', 461901, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46183', 0, 'L''Eliana', 461167, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46184', 1, 'El Pla de la Vallesa', 469030, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46184', 2, 'San Antonio de Benageber', 469030, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46184', 3, 'La Vallesa', 469030, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46185', 1, 'La Pobla de Vallbona', 462021, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46185', 2, 'Ventas Pobla Vallbona', 462021, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46187', 0, 'Montecolorado', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46190', 0, 'Riba-Roja de Turia', 462140, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46191', 0, 'Vilamarxant', 462567, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46192', 0, 'Monserrat', 461727, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46193', 0, 'Montroy', 461764, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46194', 0, 'Real de Montroi', 462129, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46195', 0, 'Llombai', 461568, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46196', 0, 'Catadau', 460930, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46197', 0, 'Alfarp', 460266, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46198', 0, 'Dos Aguas', 461154, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 1, 'Aldea del Oro', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 2, 'La Cabezuela', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 3, 'Casas de Herrero', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 4, 'Casas de Oro', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 5, 'Casas de Sotos', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 6, 'Castilblanques', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 7, 'Cortes de Pallas', 460996, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 8, 'Millares', 461672, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 9, 'El Oro', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 10, 'Otonel', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 11, 'Salto de Millares', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 12, 'Venta de Gaeta', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46199', 13, 'Viuelas', 462135, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46200', 0, 'Paiporta', 461862, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46210', 0, 'Picanya', 461939, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46220', 1, 'Espioca', 461944, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46220', 2, 'Picassent', 461944, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46225', 0, 'Centro Penitenciario Picassent', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46229', 0, 'Fuente del Omet', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46230', 1, 'Alginet', 460312, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46230', 2, 'Cova de la Terreta', 460312, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46230', 3, 'Huerto Galindo', 460312, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46230', 4, 'San Patricio', 460312, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46240', 0, 'Carlet', 460850, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46249', 0, 'Villarrubia de Carlet', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46250', 2, 'L''Alcudia', 460193, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46250', 3, 'Montortal', 460193, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46260', 1, 'Alberic', 460116, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46260', 2, 'La Montaeta', 460116, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46266', 1, 'Antella', 460403, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46266', 2, 'Pantano de Tous', 460403, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46267', 0, 'Gavarda', 461304, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46268', 0, 'La Garrofera de Alzira', 460174, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46269', 0, 'Tous', 462460, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46270', 2, 'Villanueva de Castellon', 462573, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46290', 0, 'Alcacer', 460155, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46291', 0, 'Benimodo', 460636, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46292', 0, 'Masalaves', 461629, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46293', 1, 'Alcantera de Xuquer', 460168, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46293', 2, 'Beneixida', 460538, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46294', 1, 'Carcer', 460847, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46294', 2, 'Cotes', 461000, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46295', 1, 'Sellent', 462251, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46295', 2, 'Sumacarcer', 462362, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46300', 1, 'Aldea de Estenas', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46300', 2, 'Utiel', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46310', 1, 'Las Carceles (Ribera)', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46310', 2, 'Casas de Garrido', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46310', 3, 'Casas de Moya', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46310', 4, 'Casas de Pradas', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46310', 5, 'Casas del Rey', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46310', 6, 'Los Marcos', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46310', 7, 'Las Monjas', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46310', 8, 'Los Pedriches', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46310', 9, 'El Retorno', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46310', 10, 'Venta del Moro', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46311', 0, 'Jaraguas', 462541, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 1, 'Barchel', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 2, 'Benageber', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49319', 1, 'Donadillo', 491125, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49319', 2, 'Dornillas', 491125, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49319', 3, 'Gramedo', 491342, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49319', 4, 'Otero de Centenos', 491125, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49320', 1, 'Otero de Sanabria', 491435, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49320', 2, 'Triufe', 491794, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49321', 1, 'Cervantes', 491794, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49321', 2, 'Ferreros', 491794, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49321', 3, 'Paramio', 491794, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49321', 4, 'Remesal de Sanabria', 491794, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49321', 5, 'Robleda', 491794, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49321', 6, 'San Juan de la Cuesta', 491794, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49322', 1, 'Palacios de Sanabria', 491435, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49322', 2, 'Rionegrito', 491815, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49322', 3, 'Rosinos de la Requejada', 491815, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49322', 4, 'Vime de Sanabria', 491435, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49323', 1, 'Doney de la Requejada', 491815, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49323', 2, 'Escuredo', 491815, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49323', 3, 'Santiago de la Requejada', 491815, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49324', 1, 'Carbajalinos', 491815, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49324', 2, 'Gusandanos', 491815, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49324', 3, 'Monterrubio', 491815, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49324', 4, 'Villar de los Pisones', 490179, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49325', 1, 'Asturianos', 490179, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49325', 2, 'Cerezal de Sanabria', 490179, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49325', 3, 'Cernadilla', 490489, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49325', 4, 'Entrepeas', 490179, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49325', 5, 'Lagarejos de la Carballeda', 490179, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49325', 6, 'Palazuelo San Salvador', 490179, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49325', 7, 'San Salvador de Palazuelo', 490489, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49326', 1, 'Rionegro del Puente', 491775, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49326', 2, 'Valleluengo', 491775, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49327', 1, 'Cubo de Benavente', 490570, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49327', 2, 'Molezuelas de la Carballeda', 491201, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49327', 3, 'Ua de Quintana', 492256, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49330', 1, 'Junquera de Tera', 492315, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49330', 2, 'Milla de Tera', 492315, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49330', 3, 'Villar de Farfon', 491775, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49331', 1, 'Calzadilla de Tera', 490322, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49331', 2, 'Olleros de Tera', 490322, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49331', 3, 'Vega de Tera', 492315, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49332', 1, 'Calzada de Tera', 492315, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49332', 2, 'Camarzana', 492315, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49333', 1, 'Bercianos de Valverde', 491677, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49333', 2, 'Santa Maria de Valverde', 492047, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49333', 3, 'Villanueva de Las Peras', 492597, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49334', 1, 'Litos', 490662, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49334', 2, 'Venta de Litos', 490662, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49335', 1, 'Ferreras de Abajo', 490662, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49335', 2, 'Ferreras de Arriba', 490678, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49336', 0, 'Otero de Bodas', 491393, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49337', 1, 'Val de Santa Maria', 491393, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49337', 2, 'Villanueva de Valrojo', 490678, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49340', 1, 'Justel', 490972, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49340', 2, 'Quintanilla de Justel', 490972, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49341', 1, 'Muelas de los Caballeros', 491342, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49341', 2, 'Vega del Castillo', 490625, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49342', 1, 'Espadaedo', 490625, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49342', 2, 'Faramontanos de la Sierra', 490625, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49342', 3, 'Villarejo de la Sierra', 491815, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49343', 0, 'Villaverde de Justel', 490972, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49344', 0, 'Donado', 491342, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49345', 0, 'Utrera de la Encomienda', 490625, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49346', 0, 'Letrillas', 490625, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49347', 0, 'Carbajales de la Encomienda', 490625, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49348', 0, 'Rioconejos', 490179, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49349', 0, 'Anta de Rioconejos', 491815, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49350', 0, 'El Puente de Sanabria', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49352', 0, 'Moncabril', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49357', 1, 'Rozas', 491892, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49357', 2, 'Valdespino', 491794, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49358', 1, 'Barrio de Rabano', 491892, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49358', 2, 'Coso', 491892, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49358', 3, 'Rabano de Sanabria', 491892, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49358', 4, 'San Justo de Sanabria', 491892, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49358', 5, 'Villarino de Sanabria', 492243, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49359', 1, 'Cerdillo', 492243, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49359', 2, 'Murias', 492243, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49359', 3, 'San Ciprian de Sanabria', 492243, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49359', 4, 'Trefacio', 492243, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49360', 1, 'Cubelo', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49360', 2, 'Galende', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49360', 3, 'Rabanillo', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49361', 1, 'Pedrazales', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49361', 2, 'Preventorio San Martin de Cast', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49361', 3, 'San Martin de Castaeda', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49361', 4, 'Vigo de Sanabria', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49362', 1, 'Ribadelago de Franco', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49362', 2, 'Los Robles', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49363', 0, 'Complejo Turistico Lago Sanabr', 999999, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49390', 1, 'Castellanos', 491661, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49390', 2, 'Sampil', 491794, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49391', 0, 'Rihonor de Castilla', 491453, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49392', 1, 'Baos de Calabor', 491453, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49392', 2, 'Calabor', 491453, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49392', 3, 'Lobeznos', 491453, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49392', 4, 'Pedralba de la Praderia', 491453, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49392', 5, 'Santa Cruz de Abranes', 491453, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49393', 1, 'Robledo de Sanabria', 491661, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49393', 2, 'Ungilde', 491661, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49394', 1, 'Requejo', 491743, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49394', 2, 'San Martin de Terroso', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49394', 3, 'Santa Colomba de Sanabria', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49394', 4, 'Terroso', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49394', 5, 'Ventas de Terroso', 491743, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49395', 1, 'Illanes', 490855, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49395', 2, 'Limianos de Sanabria', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49395', 3, 'Quintana de Sanabria', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49395', 4, 'San Ramon de Sanabria', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49395', 5, 'Sotillo de Sanabria', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49396', 1, 'Avedillo de Sanabria', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49396', 2, 'Barrio de Lomba', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49396', 3, 'Castro de Sanabria', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49396', 4, 'Cobreros', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49396', 5, 'Riego de Lomba', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49396', 6, 'San Miguel de Lomba', 490505, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49400', 0, 'Fuentesauco', 490816, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49410', 0, 'Fuentelapea', 490809, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49419', 0, 'Castrillo de la Guarea', 490408, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49420', 0, 'Vadilla de la Guarea', 492269, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49430', 0, 'Villaescusa', 492413, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49440', 0, 'Caizal', 490343, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49450', 1, 'El Olmo de la Guarea', 492308, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49450', 2, 'Vallesa de la Guarea', 492308, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49500', 0, 'Alcaices', 490034, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49510', 1, 'Bermillo de Alba', 490718, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49510', 2, 'Fonfria', 490718, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49511', 1, 'Brandilanes', 490718, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49511', 2, 'El Castro de Alcaices', 490718, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49511', 3, 'Salto de Castro', 490718, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49512', 1, 'Ceadea', 490718, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49512', 2, 'Lober', 490874, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49512', 3, 'Mellanes', 491722, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49512', 4, 'Tolilla', 490874, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49513', 1, 'Fornillos de Aliste', 490718, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49513', 2, 'Samir de los Caos', 491841, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49514', 1, 'Arcillera', 490718, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49514', 2, 'Moveros de Aliste', 490718, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49514', 3, 'Pino de Oro', 490718, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49514', 4, 'Vivinera', 490034, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49515', 1, 'Rabano de Aliste', 491738, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49515', 2, 'Ribas de Aliste', 491738, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49515', 3, 'Sejas de Aliste', 491738, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49516', 1, 'Latedo', 492238, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42300', 0, 'Burgo de Osma', 420434, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42310', 0, 'La Rasa', 420434, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42311', 1, 'Caracena', 420525, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42311', 2, 'Carrascosa de Abajo', 420531, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42311', 3, 'Fresno de Caracena', 420525, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42311', 4, 'Hoz de Abajo', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42311', 5, 'Hoz de Arriba', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42311', 6, 'Navapalos', 420434, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42311', 7, 'Pozuelo', 420525, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42311', 8, 'Vilde', 420525, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42311', 9, 'Villanueva de Gormaz', 420525, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42313', 1, 'El Enebral', 420970, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42313', 2, 'Gormaz', 420970, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42313', 3, 'Lodares de Osma', 420970, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42313', 4, 'La Olmeda', 420970, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42313', 5, 'Quintanas de Gormaz', 421451, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42313', 6, 'Recuerda', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42313', 7, 'Valdenebro', 421950, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 1, 'Castro', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 2, 'Caicera', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 3, 'Galapagares', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 4, 'Losana', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 5, 'Madruedano', 421558, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 6, 'Modamio', 421558, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 7, 'Mosarejos', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 8, 'Nograles', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 9, 'Retortillo de Soria', 421558, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 10, 'La Perera', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 11, 'Peralejo de los Escuderos', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 12, 'Sauquillo de Paredes', 421558, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 13, 'Tarancuea', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 14, 'Torrevicente', 421558, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42315', 15, 'Valvenedizo', 421524, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42316', 0, 'Rebollosa de los Escuderos', 421558, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42317', 1, 'Aylagas', 421947, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42317', 2, 'Fuentecantales', 421789, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42317', 3, 'Ucero', 421890, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42317', 4, 'Valdeavellano de Ucero', 421947, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42318', 1, 'Barcebal', 420434, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42318', 2, 'Barcebalejo', 420434, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42318', 3, 'Osma', 420434, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42318', 4, 'Sotos del Burgo', 421947, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42318', 5, 'Valdelinares', 421947, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42318', 6, 'Valdelubiel', 420434, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42318', 7, 'Valdemaluque', 421947, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42320', 1, 'Alcozar', 421031, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42320', 2, 'Langa de Duero', 421031, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42320', 3, 'Rejas de San Esteban', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42320', 4, 'Velilla de San Esteban', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42328', 1, 'Castillejo de Robledo', 420584, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42328', 2, 'Mio de San Esteban', 421160, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42328', 3, 'Valdanzo', 421031, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42328', 4, 'Valdanzuelo', 421031, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42329', 1, 'Bocigas de Perales', 421031, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42329', 2, 'Zayas de Torre', 421031, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42330', 0, 'San Esteban de Gormaz', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42340', 0, 'Morcuera', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42341', 1, 'Liceras', 421059, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42341', 2, 'Montejo de Tiermes', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42341', 3, 'Noviales', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42342', 1, 'Cenegro', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42342', 2, 'Cuevas de Ayllon', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42342', 3, 'Fuentecambron', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42342', 4, 'Ligos', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42342', 5, 'Piquera de San Esteban', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42342', 6, 'Torrao', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42342', 7, 'Torremocha de Ayllon', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42344', 1, 'Carrascosa de Arriba', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42344', 2, 'Pedro', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42344', 3, 'Rebollosa de Pedro', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42344', 4, 'Sotillos de Caracena', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42344', 5, 'Tiermes (Museo Monografico)', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42344', 6, 'Torresuso', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42344', 7, 'Valderroman', 421209, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42345', 1, 'Aldea de San Esteban', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42345', 2, 'Atauta', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42345', 3, 'Ines', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42345', 4, 'Olmillos', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42345', 5, 'Pealba de San Esteban', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42345', 6, 'Quintanas Rubias de Abajo', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42345', 7, 'Quintanas Rubias de Arriba', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42345', 8, 'Soto de San Esteban', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42350', 0, 'Valdegrulla', 999999, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42351', 1, 'Alcoba de la Torre', 420079, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42351', 2, 'Alcubilla de Avellaneda', 420079, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42351', 3, 'Berzosa', 420434, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42351', 4, 'Matanza de Soria', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42351', 5, 'Quintanilla de Tres Barrios', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42351', 6, 'Villalvaro', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42351', 7, 'Zayas de Bascones', 420079, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42351', 8, 'Zayuelas', 420853, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42360', 0, 'Berlanga de Duero', 420354, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42366', 1, 'Aguilera', 420320, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42366', 2, 'Andaluz', 420354, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42366', 3, 'Bayubas de Abajo', 420320, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42366', 4, 'Bayubas de Arriba', 420336, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42366', 5, 'Hortezuela', 420354, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42366', 6, 'Morales', 420354, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42366', 7, 'Tajueco', 421773, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42366', 8, 'Valverde de los Ajos', 420336, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42366', 9, 'Fuentetovar', 420320, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42367', 1, 'Bordecorex', 420487, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42367', 2, 'Caltojar', 420487, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42367', 3, 'Casillas de Berlanga', 420487, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42367', 4, 'Ciruela', 420354, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42368', 1, 'Arenillas', 420269, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42368', 2, 'Barcones', 420315, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42368', 3, 'Rello', 421530, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42368', 4, 'Riba de Escalote', 420269, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42368', 5, 'Abanco', 420269, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42368', 6, 'Alalo', 420269, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42368', 7, 'Brias', 420269, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42368', 8, 'Lumias', 420269, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42368', 9, 'Paones', 420269, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42391', 1, 'Alcubilla del Marques', 420434, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('42391', 2, 'Pedraja de San Esteban', 421622, 42, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43001', 0, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43002', 0, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43003', 0, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43004', 0, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43005', 0, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43006', 0, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43007', 6, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43008', 4, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43070', 0, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43071', 0, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43080', 2, 'Tarragona', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43100', 0, 'Bonavista', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43110', 0, 'La Canonja', 439076, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43120', 1, 'Basal', 430477, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43120', 2, 'Constanti', 430477, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43120', 3, 'Gabarras', 430477, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43120', 4, 'Mas Aleu', 430477, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43120', 5, 'Mas Caballe', 430477, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43120', 6, 'Mas Magrinya', 430477, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43120', 7, 'Mas Sanroma', 430477, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43120', 8, 'El Poligono Industrial del Fra', 430477, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43120', 9, 'Puntas', 430477, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43130', 0, 'Sant Salvador', 431482, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43140', 0, 'La Pobla de Mafumet', 431093, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43141', 0, 'Vilallonga del Camp', 431665, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43142', 0, 'El Rourell', 431346, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43143', 1, 'La Maso', 430831, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43143', 2, 'El Mila', 430831, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43144', 0, 'Vallmoll', 431606, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43150', 0, 'El Medol', 430430, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43151', 0, 'Els Pallaresos', 431009, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43152', 0, 'Perafort', 431037, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43153', 0, 'Els Garidells', 430666, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43154', 0, 'Les Gunyoles', 431444, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43155', 0, 'Puigdelfi', 431037, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43178', 0, 'La Papiola', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43200', 2, 'Reus', 431233, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43201', 0, 'Reus', 431233, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43202', 0, 'Reus', 431233, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44165', 0, 'Argente', 440282, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44166', 0, 'Rubielos de la Cerida', 442003, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44167', 0, 'Camaas', 440532, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44168', 1, 'Caada Vellida', 440624, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44168', 2, 'Galve', 441158, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44169', 1, 'Cuevas de Almuden', 440934, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44169', 2, 'Jarque de la Val', 441281, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44169', 3, 'Mezquita de Jarque', 441487, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44190', 0, 'Villaspesa', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44191', 1, 'Cascante del Rio', 440645, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44191', 2, 'Cubla', 440892, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44191', 3, 'Mas de Navarrete', 440547, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44191', 4, 'Valacloche', 442391, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44192', 1, 'Aldehuela', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44192', 2, 'Castralvo', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44193', 1, 'Baos de la Huerta Nueva', 440820, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44193', 2, 'Corbalan', 440820, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44193', 3, 'Escriche', 440820, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44193', 4, 'Valdecebro', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44194', 0, 'Celadas', 440756, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44195', 1, 'La Guea', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44195', 2, 'Poligono Industrial la Paz', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44195', 3, 'San Blas', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44200', 0, 'Calamocha', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44210', 0, 'Cutanda', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44211', 1, 'Collados', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44211', 2, 'Olalla', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44211', 3, 'Valverde', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44212', 1, 'Anadon', 440244, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44212', 2, 'Piedrahita', 441389, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44212', 3, 'Rudilla', 441256, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44213', 1, 'Huesa del Comun', 441256, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44213', 2, 'Plou', 441840, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44220', 1, 'Barrachina', 440355, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44220', 2, 'Nueros', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44221', 0, 'Godos', 442221, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44222', 0, 'Torrecilla del Rebollar', 442221, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44223', 0, 'Villanueva del Rebollar', 442561, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44230', 0, 'Tornos', 442195, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44231', 0, 'Castejon de Tornos', 440658, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44232', 0, 'Bello', 440393, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44233', 0, 'Odon', 441682, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44300', 0, 'Monreal del Campo', 441531, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44310', 0, 'Rodenas', 441970, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44311', 0, 'Villar del Salz', 442583, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44312', 0, 'Minas Ojos Negros', 441695, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44313', 0, 'Ojos Negros', 441695, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44314', 0, 'Blancas', 440429, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44315', 0, 'Pozuel del Campo', 441905, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44320', 0, 'Baguena', 440337, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44330', 0, 'Burbaguena', 440472, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44340', 0, 'Fuentes Claras', 441124, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44350', 0, 'Caminreal', 440563, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44357', 1, 'Baon', 440342, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44357', 2, 'El Villarejo de los Olmos', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44358', 1, 'Cosa', 440854, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44358', 2, 'Torre los Negros', 442274, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44359', 1, 'Torralba de los Sisones', 442209, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44359', 2, 'Villalba de los Morales', 440563, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44360', 0, 'Santa Eulalia', 442097, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44366', 0, 'Orihuela del Tremedal', 441742, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44367', 0, 'Bronchales', 440453, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44368', 1, 'Monterde de Albarracin', 441578, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44368', 2, 'Pozondon', 441891, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44369', 1, 'Almohaja', 440184, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44369', 2, 'Peracense', 441807, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44370', 0, 'Cella', 440769, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44380', 0, 'Villarquemado', 442617, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44381', 0, 'Torremocha de Jiloca', 442280, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44382', 1, 'Aguaton', 440033, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44382', 2, 'Singra', 442139, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44382', 3, 'Torrelacarcel', 442268, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44390', 0, 'San Martin del Rio', 442078, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44391', 0, 'Luco de Jiloca', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44392', 0, 'El Poyo', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44393', 0, 'Torrijo del Campo', 442329, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44394', 1, 'Buea', 440466, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44394', 2, 'Villafranca del Campo', 442519, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44395', 0, 'Alba del Campo', 440070, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44396', 0, 'Caude', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44397', 0, 'Concud', 442160, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44400', 0, 'Mora de Rubielos', 441584, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44409', 1, 'Cabra de Mora', 440488, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44409', 2, 'El Castellar', 440488, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44410', 0, 'Mosqueruela', 441601, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44411', 0, 'Puertomingalvo', 441933, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44412', 1, 'Castelvispal', 441373, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44412', 2, 'Linares de Mora', 441373, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44413', 0, 'Valdelinares', 442448, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44414', 0, 'Nogueruelas', 441657, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44415', 1, 'Fuentes de Rubielos', 441130, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44415', 2, 'Rubielos de Mora', 442010, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44420', 0, 'Manzanera', 441434, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44421', 1, 'Arcos de Las Salinas', 440260, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44421', 2, 'Torrijas', 442314, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44422', 1, 'Abejuela', 440027, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44422', 2, 'Alcotas de Manzanera', 440027, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44422', 3, 'Los Cerezos', 440027, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44422', 4, 'Paraiso Alto', 440027, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44422', 5, 'Paraiso Bajo', 441434, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44422', 6, 'El Paul', 440027, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44423', 1, 'Las Alhambras', 441434, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44423', 2, 'Los Olmos de Manzanera', 441434, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44424', 1, 'La Escaleruela', 442101, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44424', 2, 'Mora de Rubielos', 440103, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44430', 0, 'Valbona', 442405, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44431', 0, 'Virgen de la Vega', 440125, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44432', 0, 'Alcala de la Selva', 440125, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44433', 0, 'Gudar', 441217, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44440', 0, 'Formiche Alto', 441032, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44441', 0, 'Formiche Bajo', 441032, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44442', 0, 'Puerto Escandon', 999999, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44450', 0, 'La Puebla de Valverde', 441927, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44459', 0, 'Camarena de la Sierra', 440547, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44460', 0, 'Sarrion', 442101, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44470', 0, 'Rubielos de Mora', 442010, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44477', 1, 'Albentosa', 440103, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44477', 2, 'Fuen del Cepo', 440103, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44478', 1, 'Los Pertegaces', 441716, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44478', 2, 'Los Ramones', 441716, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44479', 0, 'Olba', 441716, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44480', 0, 'San Agustin', 442062, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44490', 0, 'Ferreruela de Huerva', 441011, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44491', 1, 'Badena', 440321, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44491', 2, 'Cucalon', 440906, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44491', 3, 'Lanzuela', 441336, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44492', 1, 'Allueva', 440239, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44492', 2, 'Bea', 440368, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44492', 3, 'Fonfria', 441026, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44492', 4, 'Lagueruela', 441320, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44493', 1, 'Loscos', 441389, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44493', 2, 'Mezquita de Loscos', 441389, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44493', 3, 'Monforte de Moyuela', 441525, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44493', 4, 'Nogueras', 441644, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44493', 5, 'Santa Cruz de Nogueras', 441389, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44494', 0, 'Villahermosa del Campo', 442524, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44495', 1, 'Cuencabuena', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44495', 2, 'Lechago', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44496', 0, 'Navarrete del Rio', 440504, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44500', 0, 'Andorra', 440257, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44509', 0, 'Alloza', 440223, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44510', 0, 'La Puebla de Hijar', 441912, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44511', 0, 'Puebla de Hijar', 441912, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44520', 0, 'Samper de Calanda', 442059, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44530', 0, 'Hijar', 441222, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44540', 0, 'Albalate del Arzobispo', 440086, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44547', 0, 'Ario', 440295, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44548', 0, 'Oliete', 441721, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44549', 0, 'Alacon', 440064, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44550', 0, 'Alcorisa', 440146, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44556', 1, 'Berge', 440407, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44556', 2, 'Molinos', 441510, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44557', 1, 'Crivillen', 440873, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44557', 2, 'Los Mata de los Olmos', 440873, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44557', 3, 'Los Olmos', 440873, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44558', 1, 'Convento del Olivar', 441004, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 3, 'Bercuta', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 4, 'Casas de Medina', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 5, 'Casas Royas', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 6, 'De Cortes', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 7, 'Lurdilla', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 8, 'Nieva', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 9, 'Pantano del Generalisimo', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 10, 'Tiero', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46312', 11, 'Villanueva de Utiel', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46313', 1, 'Las Casas', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46313', 2, 'Los Corrales', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46313', 3, 'Las Cuevas (Utiel)', 462495, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46314', 1, 'Casa Horcajo', 461290, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46314', 2, 'Casas de la Huerta', 461290, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46314', 3, 'Fuenterrobles', 461290, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46315', 0, 'Caudete de Las Fuentes', 460958, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('46316', 0, 'Casa Doana', 999999, 46, 
    0, 16, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48196', 1, 'Goitiolza', 480813, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48196', 2, 'Lezama', 480813, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48196', 3, 'Santa Maria de Lezama', 480813, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48200', 1, 'Durango', 480274, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48200', 2, 'Garay', 480274, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48210', 1, 'Ochandiano', 480720, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48210', 2, 'Otxandio', 480720, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48211', 1, 'Urquiola', 999999, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48211', 2, 'Urkiola', 999999, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48212', 0, 'Maaria', 480596, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48213', 0, 'Izurtza', 480502, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48215', 1, 'Goiuria', 489102, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48215', 2, 'Iurreta', 489102, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48215', 3, 'Orobio', 489102, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48215', 4, 'Yurreta', 489102, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48220', 1, 'Abadiano', 480010, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48220', 2, 'Abadio', 480010, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48220', 3, 'Matiena', 480010, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48220', 4, 'Muncharaz', 480010, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48230', 1, 'Elorrio', 480329, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48230', 2, 'San Agustin', 480329, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48240', 1, 'Andicona', 480195, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48240', 2, 'Berriz', 480195, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48240', 3, 'Olacueta', 480195, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48249', 1, 'Eitua', 480195, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48249', 2, 'Murgoitio', 480195, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48249', 3, 'San Lorenzo (Berriz)', 480195, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48249', 4, 'Sarria', 480195, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48250', 1, 'Zaldibar', 480950, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48250', 2, 'Zaldivar', 480950, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48260', 0, 'Ermua', 480340, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48269', 1, 'Areitio', 480583, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48269', 2, 'Mallabia', 480583, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48269', 3, 'Mallavia', 480583, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48270', 1, 'Markina-Xemein', 480600, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48270', 2, 'Marquina-Jemein', 480600, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48270', 3, 'Xemein', 480600, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48276', 0, 'Urberuaga de Ubilla', 480600, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48277', 1, 'Echevarria', 480307, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48277', 2, 'Etxebarria', 480307, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48277', 3, 'San Andres (Etxebarria)', 480307, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48278', 1, 'Goierria-Ziortza', 489158, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48278', 2, 'Zenarruza', 489158, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48278', 3, 'Ziortza', 489158, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48279', 0, 'Bolivar', 999999, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48280', 1, 'Lekeitio', 480577, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48280', 2, 'Lequeitio', 480577, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48288', 0, 'Ispaster', 480499, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48289', 1, 'Amoroto', 480046, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48289', 2, 'Guizaburuaga', 480638, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48289', 3, 'Mendeja', 480638, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48289', 4, 'Mendexa', 480638, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48290', 1, 'Bernagoitia', 999999, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48290', 2, 'Euba', 999999, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48291', 1, 'Apatamonasterio', 480911, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48291', 2, 'Atxondo', 480911, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48292', 1, 'Valle de Achondo', 480911, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48292', 2, 'Valle de Atxondo', 480911, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48300', 1, 'Gernika-Lumo', 480464, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48300', 2, 'Guernica y Luno', 480464, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48300', 3, 'Renteria', 480464, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48300', 4, 'San Pedro de Lumo', 480464, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48309', 1, 'Errigoiti', 480792, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48309', 2, 'Rigoitia', 480792, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48310', 1, 'Elanchove', 480314, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48310', 2, 'Elantxobe', 480314, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48311', 1, 'Ibarrangelu', 480486, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48311', 2, 'Ibarranguelua', 480486, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48311', 3, 'Laga', 480486, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48311', 4, 'Laida', 480486, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48311', 5, 'Nachitua', 480280, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48312', 0, 'Nabarniz', 489098, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48313', 0, 'Ereo', 480335, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48314', 1, 'Arteaga', 480412, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48314', 2, 'Canala', 480412, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48314', 3, 'Gautegiz Arteaga', 480412, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48315', 1, 'Cortezubi', 489079, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48315', 2, 'Cueva de Santimamie', 489079, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48315', 3, 'Kortezubi', 489079, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48320', 0, 'Ajangiz', 489119, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48330', 1, 'Arraibi', 480558, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48330', 2, 'Lemoa', 480558, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48330', 3, 'Lemona', 480558, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48340', 1, 'Amorebieta-Echano', 480031, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48340', 2, 'Boroa', 480031, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48340', 3, 'Echano', 480031, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48340', 4, 'Zornotza', 480031, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48350', 1, 'Altamira (Busturia)', 480216, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48350', 2, 'Axpe Busturia', 480216, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48350', 3, 'Busturia', 480216, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48350', 4, 'San Cristobal (Busturia)', 480216, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48360', 1, 'Mundaca', 480681, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48360', 2, 'Mundaka', 480681, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48370', 0, 'Bermeo', 480176, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48380', 1, 'Aulestia', 480708, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48380', 2, 'Murelaga', 480708, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48380', 3, 'Aulesti', 480708, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48381', 1, 'Arbacegui Guerricaiz', 480078, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48381', 2, 'Arbatzegui Gerrikaitz', 480078, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48381', 3, 'Guerricaiz', 480078, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48381', 4, 'Munitibar', 480078, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48382', 0, 'Mendata', 480622, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48383', 1, 'Arrazua', 489145, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48383', 2, 'Arratzu', 489145, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48390', 1, 'Bedia', 480926, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48391', 1, 'Ajurias', 480675, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48391', 2, 'Gorocica (Zugastieta)', 480675, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48391', 3, 'Ibarruri', 480675, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48391', 4, 'Zugastieta', 480675, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48392', 1, 'Mugica', 480675, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48392', 2, 'Muxika', 480675, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48392', 3, 'Ugarte (Mugica)', 480675, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48393', 0, 'Forua', 489063, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48394', 1, 'Campanchua', 489085, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48394', 2, 'Murueta', 489085, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48395', 1, 'Pedernales', 480767, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48395', 2, 'Sukarrieta', 480767, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48410', 1, 'Orozco', 480754, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48410', 2, 'Orozko', 480754, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48410', 3, 'Zubiaur (Orozko)', 480754, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48419', 1, 'Ibarra (Orozco)', 480754, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48419', 2, 'San Martin (Orozco)', 480754, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48450', 1, 'Etxebarri', 480293, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48450', 2, 'Kukullaga (Echevarri)', 480293, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48450', 3, 'Leguizamon', 480293, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48450', 4, 'San Antonio-Etxebarri', 480293, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48450', 5, 'San Esteban de Etxebarria-Done', 480293, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48460', 0, 'Ordua', 480741, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48480', 1, 'Arcocha', 480979, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48480', 2, 'Arrigorriaga', 480118, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48480', 3, 'Moyordin-Barrondo', 480979, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48480', 4, 'Zaratamo', 480979, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48490', 1, 'Miraballes', 480656, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48490', 2, 'Miravalles', 480656, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48490', 3, 'Ugao-Miraballes', 480656, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48498', 1, 'Arakaldo', 480059, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48498', 2, 'Arrancudiaga', 480059, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48498', 3, 'Arrankudiaga', 480059, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48498', 4, 'Bakiola', 480059, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48499', 1, 'Ceberio', 480255, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48499', 2, 'Zeberio', 480255, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48499', 3, 'Zollo', 480097, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('48500', 1, 'Abanto', 480025, 48, 
    0, 17, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49516', 2, 'Nuez de Aliste', 492238, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49516', 3, 'Trabazos', 492238, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49517', 1, 'Alcorcillo', 490034, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49517', 2, 'San Martin de Pedroso', 492238, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49517', 3, 'Vias de Aliste', 490034, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49518', 1, 'San Mamed', 491738, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49518', 2, 'Santa Ana', 490034, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49518', 3, 'Villarino Tras la Sierra', 492238, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49519', 1, 'Fradellos', 491722, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49519', 2, 'Grisuela', 491722, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49519', 3, 'Matellanes', 491722, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49519', 4, 'Rabanales', 491722, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49519', 5, 'Ufones', 491722, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49520', 1, 'Figueruela de Abajo', 490697, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49520', 2, 'Figueruela de Arriba', 490697, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49520', 3, 'Flechas', 490697, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49521', 1, 'Gallegos del Campo', 490697, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49521', 2, 'Moldones', 490697, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49521', 3, 'Riomanzanas', 490697, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49521', 4, 'Villarino de Manzanos', 490697, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49522', 1, 'Mahide', 491048, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49522', 2, 'Pobladura de Aliste', 491048, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49522', 3, 'Las Torres de Aliste', 491048, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49523', 1, 'San Cristobal de Aliste', 492098, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49523', 2, 'San Vitero', 492098, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49523', 3, 'Villarino del Cebal', 492098, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49524', 1, 'El Poyo', 492737, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49524', 2, 'San Blas', 492737, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49524', 3, 'Vega de Nuez', 492737, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49525', 1, 'San Juan del Rebollar', 492098, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49525', 2, 'Tola', 491738, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49530', 0, 'Coreses', 490533, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49539', 1, 'Algodre', 490065, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49539', 2, 'Gallegos del Pan', 490868, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49539', 3, 'Villalube', 492510, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49540', 1, 'Escober', 490991, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49540', 2, 'Losacio', 490991, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49540', 3, 'San Martin de Tabara', 491380, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49541', 1, 'Losacino', 490988, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49541', 2, 'Vide de Alba', 490988, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49542', 1, 'Domez', 490874, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49542', 2, 'Vegalatrave', 492336, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49543', 1, 'Castillo de Alba', 490988, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49543', 2, 'Muga de Alba', 490988, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49550', 1, 'Ferreruela', 490684, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49550', 2, 'Sesnandez', 490684, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49559', 1, 'Flores', 490874, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49559', 2, 'Gallegos del Rio', 490874, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49559', 3, 'Puercas', 490874, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49559', 4, 'Valer', 490874, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49560', 0, 'San Pedro de Las Herrerias', 491048, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49561', 0, 'Boya', 491048, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49562', 0, 'Villardeciervos', 492623, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49563', 0, 'Cional', 492623, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49564', 0, 'Manzanal de Abajo', 999999, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49570', 0, 'Lubian', 491005, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49571', 0, 'Castrelos', 490940, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49572', 1, 'Castromil', 490940, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49572', 2, 'Hermisende', 490940, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49572', 3, 'San Ciprian de Hermisende', 490940, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49572', 4, 'La Tejera', 490940, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49573', 1, 'Chanos', 491005, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49573', 2, 'Las Hedradas', 491005, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49574', 1, 'Aciberos', 491005, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49574', 2, 'Hedroso', 491005, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49574', 3, 'Padornelo', 491005, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49580', 1, 'Pias', 491547, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49580', 2, 'Villanueva de la Sierra', 491547, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49581', 0, 'San Sebastian (Pias)', 999999, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49582', 0, 'Barjacoba', 491547, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49583', 0, 'Porto', 491624, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49590', 1, 'Fresno de la Rivera', 490760, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49590', 2, 'Matilla la Seca', 491146, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49591', 1, 'Abejera', 491769, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49591', 2, 'Riofrio de Aliste', 491769, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49591', 3, 'Sarracin de Aliste', 491769, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49592', 1, 'Bercianos de Aliste', 492085, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49592', 2, 'Cabaas de Aliste', 491769, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49592', 3, 'Campogrande de Aliste', 492085, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49592', 4, 'Palazuelo de Las Cuevas', 492085, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49592', 5, 'San Vicente de la Cabeza', 492085, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49593', 1, 'Linarejos', 491103, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49593', 2, 'Santa Cruz de los Cuerragos', 491103, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49594', 1, 'Codesal', 491103, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49594', 2, 'Folgoso de la Carballeda', 491103, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49594', 3, 'Manzanal de Arriba', 491103, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49594', 4, 'Pedroso de la Carballeda', 491103, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49594', 5, 'Sagallos', 491103, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49594', 6, 'Sandin', 491103, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49600', 0, 'Benavente', 490219, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49610', 0, 'Santibaez de Vidriales', 492063, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49618', 1, 'Bercianos de Vidriales', 492063, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49618', 2, 'Fuente Encalada', 490795, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49618', 3, 'Rosinos de Vidriales', 492063, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49618', 4, 'Tardemezar', 492063, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49618', 5, 'Villageriz de Vidriales', 492063, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49618', 6, 'Villaobispo de Vidriales', 492063, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49619', 1, 'Ayoo de Vidriales', 490185, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49619', 2, 'Carracedo de Vidriales', 490185, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49619', 3, 'Congosta de Vidriales', 490185, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49619', 4, 'San Pedro de la Via', 492063, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49620', 0, 'Santa Cristina de la Polvorosa', 492004, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49621', 1, 'Granucillo', 490929, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49621', 2, 'Grijalba de Vidriales', 490929, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49621', 3, 'Pozuelo de Vidriales', 492063, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49622', 1, 'Brime de Urz', 490283, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49622', 2, 'Cunquilla de Vidriales', 490929, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49622', 3, 'Moratones de Vidriales', 490283, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49622', 4, 'Quintanilla de Urz', 491700, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49622', 5, 'Quiruelas de Vidriales', 491717, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49623', 1, 'Colinas de Transmonte', 491717, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49623', 2, 'Vecilla de Transmonte', 492562, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49624', 1, 'Abraveses de Tera', 491178, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49624', 2, 'Aguilar de Tera', 491178, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49624', 3, 'Micereces de Tera', 491178, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49624', 4, 'Sitrama de Tera', 492050, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49625', 0, 'Santibaez de Tera', 492050, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49626', 1, 'Melgar de Tera', 491162, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49626', 2, 'Pumarejo de Tera', 491162, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49626', 3, 'Santa Croya de Tera', 492011, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49626', 4, 'Santa Marta de Tera', 490338, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49627', 1, 'Cabaas de Tera', 490338, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49627', 2, 'San Juanico el Nuevo', 490338, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49628', 0, 'San Pedro de Ceque', 491934, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49629', 0, 'Brime de Sog', 490277, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49630', 0, 'Villalpando', 492503, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49638', 1, 'Prado de Campos', 491696, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49638', 2, 'Quintanilla del Olmo', 491696, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49639', 1, 'Cotanes del Monte', 490551, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49639', 2, 'Quintanilla del Monte', 491683, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49639', 3, 'Tapioles', 492161, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49640', 0, 'Cerecinos de Campos', 490467, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49650', 0, 'San Esteban del Molar', 491889, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49660', 1, 'Castrogonzalo', 490415, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49660', 2, 'Castropepe', 492578, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49660', 3, 'Paradores de Castrogonzalo', 490415, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49670', 0, 'Fuentes de Ropel', 490821, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49680', 1, 'San Miguel del Valle', 491928, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49680', 2, 'Valdescorriel', 492294, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49690', 0, 'San Cristobal de Entrevias', 491873, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49691', 1, 'San Miguel del Esla', 491873, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49691', 2, 'Santa Colomba de Las Carabias', 491873, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49692', 0, 'Matilla de Arzon', 491131, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49693', 1, 'Fresno de la Polvorosa', 490757, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49693', 2, 'Morales del Rey', 491282, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49693', 3, 'Vecilla de la Polvorosa', 491282, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43203', 0, 'Reus', 431233, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43204', 0, 'Reus', 431233, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43205', 0, 'Reus', 431233, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43206', 1, 'Parcelas Plana', 431233, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43206', 2, 'Reus', 431233, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43300', 0, 'Mont-Roig del Camp', 430923, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43310', 0, 'Colldejou', 430458, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43311', 0, 'Vilanova D''Escornalbou', 431671, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43312', 0, 'L''Arbocet', 431671, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43320', 1, 'Llaberia', 431508, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43320', 2, 'Pratdip', 431188, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43321', 0, 'Santa Marina', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43330', 0, 'Riudoms', 431299, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43340', 0, 'Montbrio del Camp', 430884, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43350', 0, 'Les Borges del Camp', 430311, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43360', 1, 'Albarca', 430496, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43360', 2, 'Cornudella de Montsant', 430496, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43361', 0, 'La Morera de Montsant', 430960, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43362', 0, 'Siurana', 430496, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43363', 0, 'Ulldemolins', 431573, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43364', 1, 'L''Aixavega', 430398, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43364', 2, 'El Bosquet', 430398, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43364', 3, 'La Cadeneta', 430398, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43364', 4, 'Capafonts', 430398, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43364', 5, 'La Febro', 430398, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43364', 6, 'Mont-Ral', 430918, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43364', 7, 'Prades', 431166, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43364', 8, 'Tusalets', 430398, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43365', 1, 'Alforja', 430094, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43365', 2, 'Arboli', 430154, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43370', 0, 'La Palma D''Ebre', 430995, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43371', 0, 'Margalef', 430751, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43372', 0, 'La Bisbal de Falset', 430271, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43373', 0, 'Cabaces', 430350, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43374', 0, 'La Vilella Baixa', 431747, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43375', 0, 'La Vilella Alta', 431732, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43376', 0, 'Poboleda', 431129, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43379', 1, 'Escaladei', 430960, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43379', 2, 'Venta de Puente Ciurana', 430960, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43380', 0, 'Vilaplana', 431690, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43381', 0, 'L''Aleixar', 430075, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43382', 0, 'Maspujols', 430810, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43390', 1, 'Les Irles', 431286, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43390', 2, 'Riudecolls', 431286, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43390', 3, 'Les Voltes', 431286, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43391', 0, 'Vinyols i Els Arcs', 431785, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43392', 0, 'Castellvell del Camp', 430424, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43393', 0, 'Almoster', 430115, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43400', 0, 'Montblanc', 430862, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43410', 0, 'La Guardia Dels Prats', 430862, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43411', 0, 'Blancafort', 430290, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43412', 0, 'Solivella', 431476, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43413', 0, 'Belltall', 431016, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43414', 0, 'Lilla', 430862, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43415', 0, 'Rojals', 430862, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43420', 0, 'Santa Coloma de Queralt', 431397, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43421', 1, 'Bellprat', 431418, 8, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43421', 2, 'Montalegre', 431418, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43421', 3, 'Pontils', 431418, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43421', 4, 'Sant Magi de Brufaganya', 431418, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43421', 5, 'Santa Perpetua de Gaia', 431418, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43421', 6, 'Valldeperes', 431418, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43421', 7, 'Viladeperdius', 431418, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43422', 0, 'Barbera de la Conca', 430213, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43423', 0, 'Pira', 431074, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43424', 0, 'Sarral', 431423, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43425', 1, 'Fores', 430614, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43425', 2, 'Montbrio de la Marca', 431423, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43425', 3, 'Passanant', 431016, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43425', 4, 'Pla de la Basa', 430614, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43426', 0, 'Rocafort de Queralt', 431303, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43427', 1, 'Albio', 430733, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43427', 2, 'La Cirera', 430733, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43427', 3, 'Conesa', 430461, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43427', 4, 'Llorac', 430733, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43427', 5, 'Montargull', 430733, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43427', 6, 'Rauric', 430733, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43427', 7, 'Savalla del Comtat', 431439, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43427', 8, 'Segura', 430733, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43427', 9, 'Vallfogona de Riucorp', 431592, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43428', 1, 'Biure', 431423, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43428', 2, 'Les Piles', 431423, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43428', 3, 'Vallespinosa', 431423, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43428', 4, 'Vallverd', 431423, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43429', 1, 'Aguilo', 431397, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43429', 2, 'Guialmons', 431055, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43429', 3, 'Ollers', 430213, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43429', 4, 'La Pobla de Carivenys', 431397, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43429', 5, 'Les Roques', 431397, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43430', 0, 'Vimbodi', 431763, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43439', 1, 'Vallclara', 431589, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43439', 2, 'Vilanova de Prades', 431687, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43440', 0, 'L''Espluga de Francoli', 430542, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43448', 0, 'Poblet (Monestir)', 431763, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43449', 1, 'Montblanquet', 252385, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43449', 2, 'Els Omells de Na Gaia', 252385, 25, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43449', 3, 'Poblet (Balneari)', 252385, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43449', 4, 'Senan', 431460, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43450', 0, 'La Riba', 431248, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43459', 1, 'Farena', 430918, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43459', 2, 'El Pinetell', 430918, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43460', 0, 'Alcover', 430056, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43470', 0, 'La Selva del Camp', 431457, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43479', 0, 'L''Albiol', 430038, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43480', 3, 'Vila-Seca', 431711, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43481', 0, 'La Pineda', 431711, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43490', 0, 'Vilaverd', 431726, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43491', 1, 'Picamoixons', 431613, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43491', 2, 'Les Planes de Picamoixons', 431613, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43500', 0, 'Tortosa', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43510', 0, 'Bitem', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43511', 0, 'Tivenys', 431495, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43512', 0, 'Benifallet', 430252, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43513', 0, 'Rasquera', 431212, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43514', 0, 'Mas de Barberans', 430770, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43515', 0, 'La Galera', 430635, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43516', 0, 'Godall', 430688, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43517', 1, 'Capuchinos', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43517', 2, 'Coll de L''Alba', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43517', 3, 'Cuesta Capellanes', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43517', 4, 'Horta de Sant Vicenc', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43517', 5, 'Mianes', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43517', 6, 'Vinallop', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43518', 1, '25 de Gener', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43518', 2, 'Horta de Pimpi', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43518', 3, 'Parque del Mopu', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43518', 4, 'La Petja', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43518', 5, 'El Raval de Falco', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43518', 6, 'El Raval de la Llet', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43518', 7, 'San Lazaro', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43518', 8, 'Santa Candida', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43518', 9, 'Soldevila', 999999, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43519', 0, 'El Perello', 431042, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43520', 0, 'Roquetes', 431331, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43527', 0, 'Els Reguers', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43528', 0, 'Alfara de Carles', 430081, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43529', 1, 'L''Horta Baixa', 431331, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43529', 2, 'L''Horta de Dalt', 431331, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43529', 3, 'Observatorio del Ebro', 431331, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43529', 4, 'El Raval de Crist', 431331, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43530', 0, 'Alcanar', 430043, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43540', 0, 'Sant Carles de la Rapita', 431362, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43548', 0, 'Les Salines de la Trinitat', 431362, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43549', 0, 'El Poble Nou del Delta', 430141, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43550', 0, 'Ulldecona', 431567, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43558', 1, 'Freginals', 430629, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43558', 2, 'Les Ventalles', 430629, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43559', 1, 'El Castell', 431567, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43559', 2, 'La Miliana', 431567, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43559', 3, 'Sant Joan del Pas', 431567, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43559', 4, 'Els Valentins', 431567, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43560', 1, 'La Cenia', 430445, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43560', 2, 'La Senia', 430445, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43569', 0, 'Les Cases D''Alcanar', 430043, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43570', 0, 'Santa Barbara', 431384, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43580', 0, 'Deltebre', 439018, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('43590', 0, 'El Raval de Jesus', 431554, 43, 
    0, 9, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44558', 2, 'Estercuel', 441004, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44558', 3, 'Gargallo', 441161, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44559', 1, 'Caada de Benatanduz', 440965, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44559', 2, 'Ejulve', 440965, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44559', 3, 'Montoro de Mezquita', 442600, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44559', 4, 'Pitarque', 440965, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44559', 5, 'Villarluengo', 442600, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44560', 0, 'Castellote', 440717, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44561', 0, 'Seno', 442123, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44562', 1, 'Cuevas de Caart', 440717, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44562', 2, 'Dos Torres de Mercader', 440717, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44562', 3, 'Ladruan', 440717, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44563', 1, 'Bordon', 440440, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44563', 2, 'Gerencia Pantano Santolea', 440440, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44563', 3, 'Luco de Bordon', 440717, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44563', 4, 'Las Planas de Castellote', 440440, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44564', 0, 'Mas de Las Matas', 441452, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44565', 0, 'Abenfigo', 440717, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44566', 1, 'Aguaviva', 440048, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44566', 2, 'Jaganta', 441780, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44566', 3, 'Las Parras de Castellote', 441780, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44570', 0, 'Calanda', 440511, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44579', 0, 'Foz Calanda', 441079, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44580', 0, 'Valderrobres', 442464, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44586', 0, 'Pearroya de Tastavins', 441793, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44587', 0, 'Fuentespalda', 441145, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44588', 0, 'Beceite', 440374, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44589', 1, 'La Portellada', 441948, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44589', 2, 'Rafales', 441948, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44590', 0, 'Azaila', 440316, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44591', 1, 'Vinaceite', 442656, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44591', 2, 'Almochuel', 442656, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44592', 1, 'Castelnou', 440677, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44592', 2, 'Jatiel', 441294, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44593', 0, 'Urrea de Gaen', 442372, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44594', 0, 'Valdealgorfa', 442412, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44595', 0, 'Valjunquera', 442470, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44596', 0, 'La Fresneda', 441085, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44597', 0, 'Torre del Compte', 442255, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44600', 0, 'Alcaiz', 440131, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44610', 0, 'Calaceite', 440491, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44620', 0, 'Valdeltormo', 442451, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44621', 0, 'Mazaleon', 441471, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44622', 0, 'Arens de Lledo', 440276, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44623', 0, 'Cretas', 440867, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44624', 0, 'Lledo', 441413, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44630', 0, 'Castelseras', 440683, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44640', 1, 'La Codoera', 442216, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44640', 2, 'Torrecilla de Alcaiz', 442216, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44641', 0, 'Torrevelilla', 442307, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44642', 0, 'Belmonte de San Jose', 440380, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44643', 1, 'La Caada de Verich', 440619, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44643', 2, 'La Ginebrosa', 441183, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44650', 0, 'Fornoles', 441050, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44651', 0, 'La Cerollera', 440775, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44652', 0, 'Monroyo', 441546, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44653', 0, 'Torre de Arcas', 442237, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44660', 0, 'Puigmoreno', 440131, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44661', 0, 'Valmuel', 440131, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44700', 0, 'Montalban', 441559, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44706', 0, 'Castel de Cabra', 440661, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44707', 1, 'Caizar del Olivar', 440630, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44707', 2, 'La Zoma', 440630, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44708', 0, 'Palomar de Arroyos', 441768, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44709', 1, 'Pearroyas', 441559, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44709', 2, 'Torre de Las Arcas', 442242, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44710', 0, 'Rillo', 441951, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44711', 0, 'Fuentes Calientes', 441119, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44712', 0, 'Son del Puerto', 441951, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44720', 1, 'Cervera del Rincon', 441774, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44720', 2, 'Pancrudo', 441774, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44721', 1, 'Alpees', 440201, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44721', 2, 'Corbaton', 440854, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44730', 1, 'Cuevas de Portalrubio', 441774, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44730', 2, 'Portalrubio', 441774, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44730', 3, 'Rambla de Martin', 441774, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44740', 0, 'Vivel del Rio', 442675, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44741', 0, 'Fuenferrada', 441102, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44742', 0, 'Armillas', 442675, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44750', 0, 'Martin del Rio', 441449, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44760', 0, 'Utrillas', 442388, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44761', 0, 'Barriadas Mineras del Sur', 442388, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44769', 0, 'Las Parras de Martin', 442388, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44770', 0, 'Escucha', 440990, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44779', 0, 'Valdeconejos', 440990, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44780', 0, 'Muniesa', 441618, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44790', 0, 'Blesa', 440435, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44791', 1, 'Cortes de Aragon', 440841, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44791', 2, 'La Hoz de la Vieja', 440841, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44791', 3, 'Maicas', 441428, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44792', 1, 'Alcaine', 440110, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44792', 2, 'Josa', 441315, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44792', 3, 'Obon', 441676, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44793', 1, 'Salcedillo', 442031, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('44793', 2, 'Segura de Baos', 442031, 44, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45001', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45002', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45003', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45004', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45005', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45006', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45007', 2, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45008', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45009', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45070', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45071', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45080', 0, 'Toledo', 451685, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45100', 0, 'Sonseca', 451632, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45109', 1, 'Arisgotas', 451246, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45109', 2, 'Casalgordo', 451632, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45110', 0, 'Ajofrin', 450015, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45111', 1, 'Cobisa', 450529, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45111', 2, 'La Sisla', 450529, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45112', 0, 'Burguillos de Toledo', 450232, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45113', 0, 'Chueca', 450572, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45114', 0, 'Mazarambroz', 450968, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45120', 0, 'San Pablo de los Montes', 451534, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45121', 1, 'Las Navillas', 450980, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45121', 2, 'Robledo de Montalban', 450980, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45122', 0, 'Arges', 450165, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45123', 0, 'Layos', 450839, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45124', 0, 'Casasbuenas', 450422, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45125', 0, 'Pulgar', 451409, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45126', 1, 'El Castaar', 450553, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45126', 2, 'Cuerva', 450553, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45127', 1, 'Dehesa del Sotillo', 451822, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45127', 2, 'Las Ventas Con Pea Aguilera', 451822, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45128', 0, 'Menasalbas', 450980, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45130', 0, 'Los Navalucillos', 451133, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45138', 1, 'Alares', 451133, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45138', 2, 'El Mazo', 451133, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45138', 3, 'Robledo del Buey', 451133, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45139', 0, 'Valdeazores', 451133, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45140', 1, 'Los Navalmorales', 451127, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45140', 2, 'Pusa', 451127, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45150', 0, 'Navahermosa', 451091, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45159', 1, 'Hontanar', 450759, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45159', 2, 'Rio Cedena', 451091, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45160', 0, 'Guadamur', 450703, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45161', 1, 'El Borril', 451339, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45161', 2, 'Polan', 451339, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45162', 0, 'Noez', 451164, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45163', 0, 'Totanes', 451745, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45164', 0, 'Galvez', 450670, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45165', 1, 'Retamosillo', 451513, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45165', 2, 'San Martin de Montalban', 451513, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45165', 3, 'Valdelobos', 451513, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45165', 4, 'Vallehermoso', 451513, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45170', 0, 'San Martin de Pusa', 451528, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45179', 0, 'Villarejo de Montalban', 451941, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45180', 0, 'Camarena', 450319, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45181', 0, 'Camarenilla', 450324, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45182', 0, 'Arcicollar', 450152, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45183', 0, 'Ventas de Retamosa', 451838, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45190', 0, 'Nambroca', 451072, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45191', 0, 'Las Nieves', 451072, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45200', 0, 'Illescas', 450818, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45210', 0, 'Yuncos', 452052, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('45211', 0, 'Recas', 451455, 45, 
    0, 8, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('39210', 0, 'Espinilla', 390285, 39, 
    0, 6, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49694', 0, 'Manganeses de la Polvorosa', 491099, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49695', 0, 'Villaferruea', 492434, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49696', 1, 'Alcubilla de Nogales', 490049, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49696', 2, 'Arrabalde', 490150, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49696', 3, 'Santa Maria de la Vega', 492032, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49697', 1, 'Morales de Valverde', 491309, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49697', 2, 'Navianos de Valverde', 491374, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49697', 3, 'Pueblica de Valverde', 491677, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49697', 4, 'San Pedro de Zamudia', 491309, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49697', 5, 'Villanazar', 492562, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49697', 6, 'Villaveza de Valverde', 492721, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49698', 1, 'Bretocino', 490261, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49698', 2, 'Burganes de Valverde', 490296, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49698', 3, 'Friera de Valverde', 490782, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49698', 4, 'Mozar de Valverde', 490261, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49698', 5, 'Olmillos de Valverde', 490296, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49699', 1, 'Arcos de la Polvorosa', 490111, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49699', 2, 'Milles de la Polvorosa', 491184, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49699', 3, 'Santa Colomba de Las Monjas', 491990, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49699', 4, 'Villanueva de Azoague', 492578, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49700', 0, 'Corrales del Vino', 490548, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49706', 1, 'Fuente el Carnero', 490548, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49706', 2, 'Peleas de Arriba', 490548, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49707', 0, 'Santa Clara de Avedillo', 491971, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49708', 1, 'Casaseca de Campean', 490381, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49708', 2, 'Villanueva de Campean', 492584, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49709', 0, 'Cabaas de Sayago', 490317, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49710', 0, 'Cubo de la Tierra del Vino', 490586, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49714', 0, 'Fuentespreadas', 490842, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49715', 0, 'El Piero', 491585, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49716', 0, 'Argujillo', 490132, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49717', 1, 'Cuelgamures', 490599, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49717', 2, 'San Miguel de la Ribera', 491913, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49719', 1, 'El Maderal', 492559, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49719', 2, 'Villamor de los Escuderos', 492559, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49720', 0, 'El Perdigon', 491511, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49721', 0, 'Entrala', 490610, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49722', 1, 'De Amor', 491511, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49722', 2, 'San Marcial', 491511, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49730', 0, 'Cubillos', 490564, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49731', 0, 'Moreruela de los Infanzones', 491321, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49740', 0, 'Granja de Moreruela', 490914, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49741', 0, 'La Tabla', 490914, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49742', 0, 'Riego del Camino', 491086, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49743', 0, 'Fontanillas de Castro', 491867, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49750', 0, 'Santovenia del Esla', 492079, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49751', 0, 'Breto de la Rivera', 490258, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49760', 1, 'Barcial del Barco', 490198, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49760', 2, 'Villaveza del Agua', 492716, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49770', 0, 'Villabrazaro', 492389, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49780', 0, 'Pobladura del Valle', 491598, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49781', 1, 'Paladinos del Valle', 492200, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49781', 2, 'La Torre del Valle', 492200, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49782', 0, 'San Roman del Valle', 492389, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49783', 1, 'Coomonte', 490527, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49783', 2, 'Maire de Castroponce', 491051, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49800', 0, 'Toro', 492196, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49810', 0, 'Morales de Toro', 491295, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49820', 0, 'Villabuena del Puente', 492392, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49830', 0, 'Belver de los Montes', 490202, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49831', 0, 'Bustillo del Oro', 490300, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49832', 0, 'Malva', 491070, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49833', 0, 'Fuentesecas', 490837, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49834', 0, 'Abezames', 490028, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49835', 0, 'Pozoantiguo', 491630, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49836', 0, 'Tagarabuena', 492196, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49840', 0, 'Vezdemarban', 492354, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49850', 0, 'Pinilla de Toro', 491563, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49860', 0, 'Villalonso', 492490, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49870', 0, 'Villavendimio', 492709, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49871', 0, 'Villardondiego', 492676, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49880', 0, 'Peleagonzalo', 491472, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49881', 0, 'Monte la Reina', 492196, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('49882', 0, 'Valdefinjas', 492281, 49, 
    0, 7, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50001', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50002', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50003', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50004', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50005', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50006', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50007', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50008', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50009', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50010', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50011', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50012', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50013', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50014', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50015', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50016', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50017', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50018', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50020', 0, 'Urbanizacion El Zorongo', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50057', 0, 'Poligono Industrial Malpica', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50058', 0, 'Barrio Santa Isabel', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50059', 0, 'Barrio Montaana', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50070', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50071', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50080', 0, 'Zaragoza', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50090', 0, 'Academia General Militar', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50100', 0, 'La Almunia de Doa Godina', 500251, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50108', 0, 'Almonacid de la Sierra', 500248, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50109', 0, 'Alpartir', 500264, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50110', 0, 'Campamento San Gregorio', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50120', 1, 'Alfocea', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50120', 2, 'Monzalbarba', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50130', 0, 'Belchite', 500457, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50131', 0, 'Lecera', 501361, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50132', 0, 'Codo', 500858, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50133', 0, 'Almonacid de la Cuba', 500233, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50134', 1, 'Lagata', 501330, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50134', 2, 'Samper de Salz', 502339, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50135', 1, 'Mediana', 501152, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50135', 2, 'Roden', 501152, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50136', 0, 'Letux', 501396, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50137', 0, 'Puebla de Alborton', 502186, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50138', 0, 'Valmadrid', 502758, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50139', 0, 'Torrecilla de Valmadrid', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50140', 0, 'Azuara', 500397, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50141', 0, 'Jaulin', 501319, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50142', 0, 'Fuendetodos', 501149, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50143', 1, 'Moyuela', 501797, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50143', 2, 'Plenas', 502133, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50144', 0, 'Moneva', 501710, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50150', 0, 'Herrera de los Navarros', 501247, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50151', 0, 'Luesma', 501494, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50152', 1, 'Ailes', 501670, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50152', 2, 'Mezalocha', 501670, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50153', 0, 'Villanueva del Huerva', 502908, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50154', 0, 'Tosos', 502647, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50155', 0, 'Aguilon', 500055, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50156', 0, 'Villar de los Navarros', 502915, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50160', 0, 'Leciena', 501377, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50161', 0, 'Perdiguera', 502066, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50162', 0, 'Villamayor de Gallego', 509038, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50163', 0, 'Farlete', 501041, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50164', 0, 'Monegrillo', 501703, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50170', 0, 'Mequinenza', 501651, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50171', 0, 'Puebla de Alfinden', 502199, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50172', 0, 'Alfajarin', 500172, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50173', 0, 'Nuez de Ebro', 501937, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50174', 0, 'Villafranca de Ebro', 502856, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50175', 1, 'Aguilar de Ebro', 501993, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50175', 2, 'Osera', 501993, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50176', 0, 'Hostal el Ciervo', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50177', 0, 'Bujaraloz', 500592, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50178', 0, 'La Almolda', 500227, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50180', 0, 'Utebo', 502724, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50190', 1, 'Aeropuerto de Garrapinillos (Z', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50190', 2, 'Garrapinillos', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50190', 3, 'Torre Balmez (Barrio de Garrap', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50190', 4, 'Torre Villarroya (Barrio de Ga', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50190', 5, 'Urbillar (Barrio de Garrapinil', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50191', 0, 'Barrio de Juslibol', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50192', 0, 'Aula-Dei (Cartuja De)', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50193', 0, 'Peaflor de Gallego', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50194', 2, 'Movera', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50195', 1, 'La Alfranca', 502035, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50195', 2, 'Pastriz', 502035, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50195', 3, 'Lugarico de Cerdan', 502035, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50196', 0, 'La Muela', 501823, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50200', 0, 'Ateca', 500384, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50210', 1, 'Monasterio de Piedra', 501921, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50210', 2, 'Nuevalos', 501921, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50211', 0, 'Castejon de Las Armas', 500763, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50212', 0, 'Carenas', 500726, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50213', 1, 'Cimballa', 500824, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50213', 2, 'Granja de Llumes', 500824, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50213', 3, 'Granja de Oro', 500824, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50213', 4, 'Llumes', 501731, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50213', 5, 'Lugar Nuevo', 501921, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50213', 6, 'Monterde', 501731, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50214', 0, 'Campillo de Aragon', 500711, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50215', 0, 'Moros', 501784, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50216', 0, 'Villalengua', 502875, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50217', 0, 'Torrijo de la Caada', 502632, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50219', 1, 'Munebrega', 501839, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50219', 2, 'Valtorres', 502777, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50219', 3, 'La Viluea', 501839, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50220', 0, 'Ariza', 500346, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50227', 0, 'Sisamon', 502468, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50228', 0, 'Cabolafuente', 500652, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50229', 0, 'Bordalba', 500541, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50230', 0, 'Alhama de Aragon', 500205, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50236', 0, 'Ibdes', 501250, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50237', 0, 'Jaraba', 501298, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50238', 1, 'Calmarza', 500704, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50238', 2, 'Godojos', 501204, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50238', 3, 'Jaraba (Baos de la Virgen)', 500704, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50239', 1, 'Bubierca', 500589, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50239', 2, 'Casa de la Vega', 500969, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50239', 3, 'Contamina', 500877, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50239', 4, 'Embid de Ariza', 500969, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50240', 0, 'Mores', 501778, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50246', 0, 'Brea de Aragon', 500573, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50247', 0, 'Purroy de Jalon', 501778, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50248', 0, 'Sestrica', 502437, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50249', 0, 'Viver de la Sierra', 502437, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50250', 0, 'Illueca', 501263, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50257', 0, 'Gotor', 501211, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50258', 1, 'Jarque de Moncayo', 501980, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50258', 2, 'Oseja', 501980, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50259', 1, 'Aranda de Moncayo', 500310, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50259', 2, 'Pomer', 502148, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50260', 0, 'Morata de Jalon', 501759, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50266', 0, 'Arandiga', 500325, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50267', 0, 'Mesones de Isuela', 501664, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50268', 1, 'Calcena', 500690, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50268', 2, 'Purujosa', 502210, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50268', 3, 'Trasobares', 502663, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50269', 1, 'Chodes', 500938, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50269', 2, 'Las Minas de Tierga', 500938, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50269', 3, 'Niguella', 501876, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50269', 4, 'Tierga', 502549, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50270', 0, 'Ricla', 502259, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50280', 0, 'Calatorao', 500687, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50290', 0, 'Epila', 500994, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50291', 0, 'Monreal de Ariza', 501725, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50292', 0, 'Cetina', 500819, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50293', 0, 'Terrer', 502534, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50294', 1, 'Berbedel', 501469, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50294', 2, 'Lucena de Jalon', 501469, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50294', 3, 'Salillas de Jalon', 502318, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50295', 1, 'Lumpiaque', 501507, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50295', 2, 'Rueda de Jalon', 502284, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50296', 1, 'Bardallur', 500444, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50296', 2, 'Plasencia de Jalon', 502112, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50296', 3, 'Urrea de Jalon', 502698, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50297', 1, 'Barboles', 500439, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50297', 2, 'Grisen', 501232, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50297', 3, 'Oitura', 500439, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50297', 4, 'Peraman', 500439, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50297', 5, 'Pleitas', 502127, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50298', 0, 'Pinseque', 502091, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50299', 1, 'Campiel', 500671, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50299', 2, 'Embid de la Ribera', 500671, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50299', 3, 'Paracuellos de la Ribera', 502029, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50299', 4, 'Sabian', 502416, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50300', 0, 'Calatayud', 500671, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50310', 0, 'Villarroya de la Sierra', 502936, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50311', 0, 'Torralba de Ribota', 502571, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50312', 0, 'Cervera de la Caada', 500798, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50313', 0, 'Anion', 500299, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50314', 0, 'Clares de Ribota', 500845, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50315', 0, 'Malanquilla', 501553, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50316', 1, 'Berdejo', 500476, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50316', 2, 'Bijuesca', 500508, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50316', 3, 'Torrelapaja', 502604, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50320', 0, 'El Frasno', 501106, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50321', 0, 'Virgen de Pietas', 501106, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50322', 0, 'Aluenda', 501106, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50323', 0, 'Inoges', 501106, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50324', 1, 'Aldehuela de Grio', 502360, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50324', 2, 'Santa Cruz del Grio', 502360, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50324', 3, 'Viver de Vicort', 502360, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50325', 0, 'Tobed', 502552, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50326', 0, 'Codos', 500861, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50330', 0, 'Miedes', 501699, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50331', 1, 'Mara', 501627, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50331', 2, 'Orera', 501968, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50331', 3, 'Ruesca', 502297, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50332', 0, 'Belmonte de Gracian', 500460, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50333', 0, 'Villalba de Perejiles', 502869, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50334', 0, 'Sediles', 502421, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50335', 0, 'Barrio Torres', 500671, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50336', 0, 'Huermeda', 500671, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50340', 0, 'Maluenda', 501591, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50341', 0, 'Olves', 501942, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50342', 0, 'Paracuellos de Jiloca', 502014, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50343', 0, 'Velilla de Jiloca', 502796, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50344', 0, 'Morata de Jiloca', 501762, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50345', 0, 'Alarba', 500093, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50346', 0, 'Castejon de Alarba', 500750, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50347', 0, 'Acered', 500021, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50348', 0, 'Atea', 500378, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50350', 0, 'Pardos de Abanto', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50360', 0, 'Daroca', 500943, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50366', 1, 'Balconchan', 500423, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50366', 2, 'Manchones', 501612, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50366', 3, 'Murero', 501844, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50366', 4, 'Orcajo', 501955, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50367', 1, 'Langa del Castillo', 501345, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50367', 2, 'Retascon', 502246, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50368', 1, 'Cerveruela', 500802, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50368', 2, 'Mainar', 501540, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50368', 3, 'Torralbilla', 502587, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50368', 4, 'Villarroya del Campo', 502941, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50369', 1, 'Anento', 500286, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50369', 2, 'Lechon', 501383, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50369', 3, 'Nombrevilla', 501882, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50370', 0, 'Villanueva de Jiloca', 502894, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50371', 0, 'Valdehorna', 502730, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50372', 0, 'Val de San Martin', 502745, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50373', 1, 'Berrueco', 500482, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50373', 2, 'Las Cuerlas', 500482, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50373', 3, 'Gallocanta', 501171, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50373', 4, 'Santed', 502395, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50374', 1, 'Aldehuela de Liestos', 500166, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50374', 2, 'Torralba de los Frailes', 502565, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50374', 3, 'Used', 502719, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50375', 0, 'Abanto', 500016, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50376', 0, 'Cubel', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50390', 0, 'Fuentes de Jiloca', 501165, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50391', 1, 'Monton de Jiloca', 502843, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50391', 2, 'Villafeliche', 502843, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50400', 0, 'Cariena', 500732, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50408', 0, 'Aguaron', 500042, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50409', 0, 'Cosuenda', 500883, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50410', 0, 'Cuarte de Huerva', 500896, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50411', 0, 'Santa Fe', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50420', 0, 'Cadrete', 500665, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50430', 0, 'Maria de Huerva', 501633, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50440', 0, 'Mozota', 501801, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50441', 0, 'Botorrita', 500567, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50450', 0, 'Muel', 501818, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50460', 0, 'Longares', 501438, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50461', 0, 'Alfamen', 500188, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50470', 0, 'Encinacorba', 500981, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50480', 0, 'Paniza', 502007, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50481', 0, 'Aladren', 500074, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50482', 0, 'Vistabella', 502954, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50490', 1, 'Villadoz', 502838, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50490', 2, 'Villarreal de Huerva', 502920, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50491', 1, 'Badules', 500401, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50491', 2, 'Fombuena', 501089, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50491', 3, 'Romanos', 502278, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50500', 0, 'Tarazona', 502513, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50510', 0, 'Novallas', 501909, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50511', 0, 'Malon', 501572, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50512', 0, 'Torrellas', 502611, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50513', 1, 'Cunchillos', 502513, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50513', 2, 'Los Fayos', 502513, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50513', 3, 'Grisel', 501226, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50513', 4, 'Santa Cruz de Moncayo', 502376, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50513', 5, 'Vierlas', 502817, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50514', 0, 'Tortoles', 502513, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50515', 0, 'Nuestra Seora de Moncayo', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50520', 0, 'Magallon', 501535, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50529', 1, 'Alberite de San Juan', 500107, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50529', 2, 'Fuendejalon', 501134, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50529', 3, 'El Pozuelo de Aragon', 502164, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50530', 0, 'Novillas', 501916, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50540', 0, 'Borja', 500554, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50546', 1, 'Ambel', 500270, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50546', 2, 'Bulbuente', 500606, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50546', 3, 'Talamantes', 502506, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50547', 1, 'Bureta', 500613, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50547', 2, 'Tabuenca', 502493, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50548', 1, 'El Buste', 500634, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50548', 2, 'Nuestra Seora Misericordia', 500634, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50549', 1, 'Albeta', 500114, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50549', 2, 'Malejan', 501566, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50550', 0, 'Mallen', 501605, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50560', 1, 'Agon', 500037, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50560', 2, 'Gaarul', 500037, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50561', 0, 'Bisimbre', 500520, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50562', 0, 'Frescano', 501113, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50570', 0, 'Ainzon', 500068, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50580', 0, 'Vera de Moncayo', 502800, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50581', 0, 'Lituenigo', 501417, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50582', 0, 'Litago', 501400, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50583', 0, 'Trasmoz', 502650, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50584', 0, 'San Martin de Moncayo', 502344, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50590', 0, 'Aon de Moncayo', 500303, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50591', 0, 'Alcala de Moncayo', 500140, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50592', 1, 'El Monasterio de Veruela', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50592', 2, 'Veruela', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50596', 1, 'Barues', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50596', 2, 'Castillo de Barues', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50596', 3, 'Mamillas', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50596', 4, 'Novellaco', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50600', 0, 'Ejea de los Caballeros', 500956, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50610', 1, 'El Frago', 501514, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50610', 2, 'Luna', 501514, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50611', 1, 'Erla', 501008, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50611', 2, 'Castillo de Paules', 501008, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50612', 1, 'Harinera la Varluenga', 502442, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50612', 2, 'Las Pedrosas', 502442, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50612', 3, 'Sierra de Luna', 502442, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50612', 4, 'Castejon de Valdejasa', 502442, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50614', 1, 'Ardisa', 500331, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50614', 2, 'Casas de Espes', 500331, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50614', 3, 'Puendeluna', 502203, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50615', 1, 'Lacorvilla', 501514, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50615', 2, 'Valpalmas', 502761, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50616', 1, 'Marracos', 509022, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50616', 2, 'Piedratajada', 502072, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50617', 1, 'El Sabinar', 500956, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50617', 2, 'Santa Anastasia', 500956, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50617', 3, 'Valarea', 500956, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50619', 1, 'Asin', 500362, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50619', 2, 'Biel', 509017, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50619', 3, 'Farasdues', 500956, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50619', 4, 'Fuencalderas', 509017, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50619', 5, 'Luesia', 501481, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50619', 6, 'Ores', 501974, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50619', 7, 'Rivas', 500956, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50620', 0, 'Casetas', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50629', 0, 'Sobradiel', 502474, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50630', 0, 'Alagon', 500080, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50637', 0, 'Remolinos', 502231, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50638', 0, 'Cabanas de Ebro', 500649, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50639', 0, 'Figueruelas', 501073, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50640', 0, 'Luceni', 501475, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50641', 0, 'Boquieni', 500536, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50650', 0, 'Gallur', 501187, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50660', 0, 'Tauste', 502528, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50668', 0, 'Pradilla de Ebro', 502170, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50669', 1, 'Sancho Abarca', 502528, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50669', 2, 'Santa Engracia', 502528, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50670', 0, 'Sadaba', 502301, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50678', 0, 'Uncastillo', 502679, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50679', 1, 'Alera', 502301, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50679', 2, 'Layana', 501358, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50680', 0, 'Sos del Rey Catolico', 502480, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50682', 1, 'Esco', 502455, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50682', 2, 'Sigues', 502455, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50682', 3, 'Tiermas', 502455, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50683', 1, 'Artieda', 500359, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50683', 2, 'Asso Veral', 502455, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50683', 3, 'Mianos', 501686, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50684', 0, 'Salvatierra de Esca', 502323, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50685', 1, 'Bagues', 500418, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50685', 2, 'Gordues', 501860, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50685', 3, 'Pintano', 502105, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50685', 4, 'Undues Pintano', 502105, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50685', 5, 'Urries', 502702, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50686', 1, 'Petilla de Aragon', 501860, 31, 
    0, 15, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50686', 2, 'Gondun', 501860, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50686', 3, 'Navardun', 501860, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50687', 1, 'Isuerre', 501285, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50687', 2, 'Lobera de Onsella', 501422, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50688', 0, 'Longas', 501443, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50689', 1, 'Buscalapoyo', 502480, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50689', 2, 'Campo Real', 502480, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50689', 3, 'Undues de Lerda', 502685, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50690', 0, 'Pedrola', 502040, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50691', 0, 'Alcala de Ebro', 500135, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50692', 1, 'Camino Real', 501324, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50692', 2, 'La Joyosa', 501324, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50692', 3, 'Marlofa', 501324, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50692', 4, 'Villarrapa', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50693', 0, 'Torres de Berrellen', 502626, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50694', 1, 'Bardena del Caudillo', 500956, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50694', 2, 'El Bayo', 500956, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50694', 3, 'Pinsoro', 500956, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50695', 1, 'Biota', 500515, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50695', 2, 'Malpica de Arba', 500515, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50696', 1, 'Castiliscar', 500785, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50696', 2, 'Sofuentes', 502480, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50700', 0, 'Caspe', 500747, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50709', 1, 'Huerta de Miraflores', 500747, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50709', 2, 'Percuar', 500747, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50709', 3, 'Soto de la Rata', 500747, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50709', 4, 'Val de Zail', 500747, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50709', 5, 'Vuelta de Rodan', 500747, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50709', 6, 'Vuelta del Caar', 500747, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50709', 7, 'Zaragoceta', 500747, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50710', 0, 'Maella', 501529, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50720', 0, 'Cartuja Baja', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50730', 0, 'El Burgo de Ebro', 500628, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50740', 0, 'Fuentes de Ebro', 501152, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50750', 0, 'Pina de Ebro', 502088, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50760', 0, 'Velilla de Ebro', 502783, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50770', 0, 'Quinto', 502225, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50780', 1, 'Menuza', 502409, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50780', 2, 'Sastago', 502409, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50781', 0, 'Alborge', 500129, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50782', 0, 'Cinco Olivas', 500830, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50783', 0, 'Alforque', 500191, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50784', 0, 'La Zaida', 502967, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50785', 1, 'Velilla de Ebro', 502783, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50785', 2, 'Villa los Angeles', 999999, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50786', 0, 'Gelsa', 501190, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50790', 0, 'Escatron', 501015, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50791', 0, 'Escatron (Poblado Nuevo)', 501015, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50792', 0, 'Chiprana', 500922, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50793', 0, 'Fabara', 501020, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50794', 0, 'Nonaspe', 501895, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50795', 0, 'Fayon', 501054, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50800', 0, 'Zuera', 502989, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50810', 1, 'Ontinar del Salz', 502989, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50810', 2, 'Puilatos', 502989, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50820', 0, 'San Juan Mozarrifar', 502973, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50830', 1, 'Lomas del Gallego', 502881, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50830', 2, 'Villanueva de Gallego', 502881, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50840', 0, 'San Mateo de Gallego', 502357, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('50850', 0, 'Moran', 501857, 50, 
    0, 2, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('51001', 0, 'Ceuta', 510013, 51, 
    0, 18, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('51002', 0, 'Ceuta', 510013, 51, 
    0, 18, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('51003', 0, 'Ceuta', 510013, 51, 
    0, 18, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('51004', 0, 'Ceuta', 510013, 51, 
    0, 18, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('51005', 0, 'Ceuta', 510013, 51, 
    0, 18, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('51070', 0, 'Ceuta', 510013, 51, 
    0, 18, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('51071', 0, 'Ceuta', 510013, 51, 
    0, 18, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('51080', 0, 'Ceuta', 510013, 51, 
    0, 18, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('52001', 0, 'Melilla', 520018, 52, 
    0, 19, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('52002', 0, 'Melilla', 520018, 52, 
    0, 19, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('52003', 0, 'Melilla', 520018, 52, 
    0, 19, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('52004', 0, 'Melilla', 520018, 52, 
    0, 19, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('52005', 0, 'Melilla', 520018, 52, 
    0, 19, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('52006', 0, 'Melilla', 520018, 52, 
    0, 19, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('52070', 0, 'Melilla', 520018, 52, 
    0, 19, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('52071', 0, 'Melilla', 520018, 52, 
    0, 19, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('52080', 0, 'Melilla', 520018, 52, 
    0, 19, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('99999', 0, 'Desconocido', 999999, 98, 
    99, 12, '999', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('41703', 1, 'Dos Hermanas', 410384, 41, 
    0, 1, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28907', 0, 'Getafe', 280650, 28, 
    0, 13, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34467', 0, 'Melgar de Yuso', 341049, 34, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29651', 0, 'Mijas', 290705, 29, 
    0, 1, 'E', 2, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28221', 0, 'Majadahonda', 280800, 28, 
    0, 13, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28706', 0, 'San Sebastin de los Reyes', 281343, 28, 
    0, 13, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('35507', 0, 'Tahiche', 35507, 35, 
    0, 5, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('28823', 0, 'Coslada', 280493, 28, 
    0, 13, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29601', 0, 'Marbella', 290691, 29, 
    0, 1, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29602', 0, 'Marbella', 290691, 29, 
    0, 1, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29603', 0, 'Marbella', 290691, 29, 
    0, 1, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('29604', 0, 'Marbella', 290691, 29, 
    0, 1, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30100', 17, 'Murcia', 300308, 30, 
    0, 14, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30319', 40, 'Cartagena', 300161, 30, 
    0, 14, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33401', 1, 'Aviles', 330045, 33, 
    0, 3, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33404', 1, 'Aviles', 330045, 33, 
    0, 3, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('33404', 2, 'Estrada, La (Corvera)', 330045, 33, 
    0, 3, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('30394', 11, 'Cartagena', 300161, 30, 
    0, 14, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('26008', 0, 'Logroo', 260892, 26, 
    0, 98, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('34408', 0, 'Villameriel', 342223, 34, 
    0, 7, 'E', 1, 'N');
Insert into CODIGOS_POSTALES
   (COD_POSTAL, ORDEN_LOCALIZACION, LOCALIZACION, COD_POBLACION, COD_PROVINCIA, 
    COD_COMARCA, COD_COMUNIDAD, COD_PAIS, SECUENCIAL, INDBAJA)
 Values
   ('38111', 0, 'Santa Cruz de Tenerife', 380380, 38, 
    0, 5, 'E', 1, 'N');
COMMIT;



/******* PROVINCIAS *******/


CREATE TABLE PROVINCIAS
(
  COD_PROVINCIA   NUMBER(3)                     NOT NULL,
  DENOMINACION_1  VARCHAR2(30 BYTE)             NOT NULL,
  DENOMINACION_2  VARCHAR2(30 BYTE),
  COD_COMUNIDAD   NUMBER(3)                     DEFAULT 0                     NOT NULL,
  SECUENCIAL      NUMBER(10)                    NOT NULL,
  INDBAJA         VARCHAR2(1 BYTE)              NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PROVINCIAS ON PROVINCIAS
(COD_PROVINCIA)
NOLOGGING
TABLESPACE PREINS_EXT_IND
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PROVINCIAS ADD (
  CONSTRAINT PK_PROVINCIAS
  PRIMARY KEY
  (COD_PROVINCIA)
  USING INDEX PK_PROVINCIAS
  ENABLE VALIDATE);

Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (1, 'Alava', 'Alava', 0, 4, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (2, 'Albacete', 'Albacete', 0, 1, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (3, 'Alicante', 'Alacant', 0, 1, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (4, 'Almera', 'Almeria', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (5, 'Avila', 'Avila', 7, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (6, 'Badajoz', 'Badajoz', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (7, 'Baleares', 'Balears', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (8, 'Barcelona', 'Barcelona', 0, 3, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (9, 'Burgos', 'Burgos', 7, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (10, 'Cceres', 'Cceres', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (11, 'Cdiz', 'Cadis', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (12, 'Castelln', 'Castell', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (13, 'Ciudad Real', 'Ciutat Reial', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (14, 'Crdoba', 'Crdova', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (15, 'La Corua', 'La Corunya', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (16, 'Cuenca', 'Conca', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (17, 'Gerona', 'Girona', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (18, 'Granada', 'Granada', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (19, 'Guadalajara', 'Guadalajara', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (20, 'Guipuzcoa', 'Guipuscoa', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (21, 'Huelva', 'Huelva', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (22, 'Huesca', 'Osca', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (23, 'Jan', 'Jan', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (24, 'Len', 'Lle', 7, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (25, 'Lrida', 'Lleida', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (26, 'La Rioja', 'La Rioja', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (27, 'Lugo', 'Lugo', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (28, 'Madrid', 'Madrid', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (29, 'Mlaga', 'Mlaga', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (30, 'Murcia', 'Murcia', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (31, 'Navarra', 'Navarra', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (32, 'Orense', 'Orense', 11, 3, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (33, 'Asturias', 'Asturies', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (34, 'Palencia', 'Palncia', 7, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (35, 'Las Palmas', 'Las Palmes', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (36, 'Pontevedra', 'Pontevedra', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (37, 'Salamanca', 'Salamanca', 7, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (38, 'Santa Cruz de Tenerife', 'Santa Cruz de Tenerife', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (39, 'Cantabria', 'Cantabria', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (40, 'Segovia', 'Segovia', 7, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (41, 'Sevilla', 'Sevilla', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (42, 'Soria', 'Sria', 7, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (43, 'Tarragona', 'Tarragona', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (44, 'Teruel', 'Terol', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (45, 'Toledo', 'Toledo', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (46, 'Valencia', 'Valncia', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (47, 'Valladolid', 'Valladolid', 7, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (48, 'Vizcaya', 'Biscaia', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (49, 'Zamora', 'Zamora', 7, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (50, 'Zaragoza', 'Saragossa', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (51, 'Ceuta', 'Ceuta', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (52, 'Melilla', 'Melilla', 0, 2, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (98, 'Desconocido', NULL, 0, 1, 
    'N');
Insert into PROVINCIAS
   (COD_PROVINCIA, DENOMINACION_1, DENOMINACION_2, COD_COMUNIDAD, SECUENCIAL, 
    INDBAJA)
 Values
   (99, 'Extranjera', 'Estrangers', 0, 75907936, 
    'N');
COMMIT;

/******* TIPOS_DOCUMENTO *******/


CREATE TABLE TIPOS_DOCUMENTO
(
  COD_ID       VARCHAR2(3 BYTE)                 NOT NULL,
  DESCRIPCION  VARCHAR2(100 BYTE)               NOT NULL,
  INDBAJA      VARCHAR2(1 BYTE)                 DEFAULT 'N'                   NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


--  There is no statement for index PREINS_EXT.SYS_C008103.
--  The object is created when the parent object is created.

ALTER TABLE TIPOS_DOCUMENTO ADD (
  PRIMARY KEY
  (COD_ID)
  USING INDEX
    TABLESPACE PREINS_EXT_DAT
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                BUFFER_POOL      DEFAULT
                FLASH_CACHE      DEFAULT
                CELL_FLASH_CACHE DEFAULT
               )
  ENABLE VALIDATE);

Insert into TIPOS_DOCUMENTO
   (COD_ID, DESCRIPCION, INDBAJA)
 Values
   ('NIF', 'NMERO DE IDENTIFICACIN FISCAL', 'N');
Insert into TIPOS_DOCUMENTO
   (COD_ID, DESCRIPCION, INDBAJA)
 Values
   ('NIE', 'NMERO DE IDENTIFICACIN DE EXTRANJERO', 'N');
Insert into TIPOS_DOCUMENTO
   (COD_ID, DESCRIPCION, INDBAJA)
 Values
   ('TRC', 'TARJETA DE RGIMEN COMUNITARIO', 'N');
Insert into TIPOS_DOCUMENTO
   (COD_ID, DESCRIPCION, INDBAJA)
 Values
   ('PRT', 'PERMISO DE RESIDENCIA Y TRABAJO', 'N');
Insert into TIPOS_DOCUMENTO
   (COD_ID, DESCRIPCION, INDBAJA)
 Values
   ('PAS', 'PASAPORTE', 'N');
Insert into TIPOS_DOCUMENTO
   (COD_ID, DESCRIPCION, INDBAJA)
 Values
   ('NCE', 'NMERO DE CDULA', 'N');
Insert into TIPOS_DOCUMENTO
   (COD_ID, DESCRIPCION, INDBAJA)
 Values
   ('DID', 'DOCUMENTO DE IDENTIDAD', 'N');
Insert into TIPOS_DOCUMENTO
   (COD_ID, DESCRIPCION, INDBAJA)
 Values
   ('NOI', 'NO INFORMADO', 'N');
Insert into TIPOS_DOCUMENTO
   (COD_ID, DESCRIPCION, INDBAJA)
 Values
   ('OTR', 'OTROS', 'N');
COMMIT;

/******* PAISES *******/


CREATE TABLE PAISES
(
  COD_PAIS            VARCHAR2(3 BYTE)          NOT NULL,
  DENOMINACION_1      VARCHAR2(45 BYTE)         NOT NULL,
  IND_PERTENECE_EEES  VARCHAR2(1 BYTE)          NOT NULL,
  INDBAJA             VARCHAR2(1 BYTE)          DEFAULT 'N'
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

CREATE UNIQUE INDEX PK_PAISES ON PAISES
(COD_PAIS)
NOLOGGING
TABLESPACE PREINS_EXT_IND
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PAISES ADD (
  CONSTRAINT PK_PAISES
  PRIMARY KEY
  (COD_PAIS)
  USING INDEX PK_PAISES
  ENABLE VALIDATE);

Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('UZB', 'Uzbekistn', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('999', 'Desconocido', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('A', 'Austria', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('AF', 'Afganistn', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('AG1', 'Altos del Goln', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('AL', 'Albania', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('AND', 'Andorra', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ANG', 'Anguila', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('AO', 'Angola', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('AP', 'Aptrida', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('AR', 'Armenia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ASA', 'Arabia Saudita', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ASM', 'Samoa Norteamericana', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ATA', 'Antrtida', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ATB', 'Antigua y Barbuda', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('AUS', 'Australia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('AZ', 'Azerbayan', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('B', 'Blgica', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BD', 'Bangladesh', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BDS', 'Barbados', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BG', 'Bulgaria', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BH', 'Belice', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BHU', 'Butn', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BIE', 'Bielorrusia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BMU', 'Bermudas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BO', 'Bolivia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BOH', 'Bosnia Herzegovina', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BR', 'Brasil', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BRN', 'Bahrein', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BRU', 'Brunei', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BS', 'Bahamas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BUR', 'Birmania', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BVT', 'Bouvet, isla', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('C', 'Cuba', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CA', 'Camern', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CCK', 'Cocos, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CDN', 'Canad', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CH', 'Suiza', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CZE', 'Repblica Checa', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CI', 'Costa de Marfil', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CJ1', 'Cisjordania', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CL', 'Sri Lanka (Ceiln)', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CO', 'Colombia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('COK', 'Cook, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('COR', 'Corea del Norte', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CR', 'Costa Rica', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CRO', 'Croacia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CS', 'Checoslovaquia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CV', 'Cabo Verde', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CXR', 'Chrismas, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CY', 'Chipre', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CYM', 'Caimn, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('D', 'Alemania', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('DJ', 'Djibuti', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('DK', 'Dinamarca', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('DOM', 'Repblica Dominicana', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('DY', 'Benin-Dahomey', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('DZ', 'Argelia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('E', 'Espaa', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('EA', 'Emiratos rabes Unidos', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('EAK', 'Kenia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('EAT', 'Tanzania', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('EAU', 'Uganda', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('EC', 'Ecuador', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('EP', 'Etiopa', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ERT', 'Eritrea', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ES', 'Estonia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ESL', 'Eslovenia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ESQ', 'Eslovaquia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ET', 'Egipto', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('F', 'Francia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('FA', 'Antillas Francesas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('FG1', 'Franja de Gaza', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('FJI', 'Fidji', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('FL', 'Liechtenstein', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('FLK', 'Malvinas, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('FRO', 'Faroes, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('FSM', 'Micronesia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('G', 'Georgia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GA', 'Gabn', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GB', 'Reino Unido', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GBZ', 'Gibraltar', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GCA', 'Guatemala', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GH', 'Ghana', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GLP', 'Guadalupe', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GR', 'Grecia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GRL', 'Groenlandia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GU', 'Guinea', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GUE', 'Guinea Ecuatorial', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GUF', 'Guayana Francesa', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GUM', 'Guam', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GUP', 'Guinea Bissau', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GUY', 'Guyana', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('H', 'Hungra', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('HD', 'Honduras', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('HK', 'Hong Kong', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('HKJ', 'Jordania', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('HMD', 'Heard and Mcdonald, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('HV', 'Burkina-Faso (Alto Volta)', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('I', 'Italia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('IL', 'Israel', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('IND', 'India', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('IOT', 'Indico, Ocano (Terr. Britnico del)', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('IR', 'Irn', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('IRL', 'Irlanda (Eire)', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('IRQ', 'Irak', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('IS', 'Islandia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('J', 'Japn', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('JA', 'Jamaica', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('JR1', 'Jerusalem', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('K', 'Camboya', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('KAZ', 'Kazjastan', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('KI', 'Kiribati', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('KIR', 'Kirguizstan', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('KWT', 'Kuwait', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('L', 'Luxemburgo', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('LAO', 'Laos', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('LAR', 'Libia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('LEB', 'Liberia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('LIT', 'Lituania', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('LS', 'Lesotho', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('LT', 'Letonia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('M', 'Malta', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MA', 'Marruecos', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MAD', 'Maldivas, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MAL', 'Malasia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MC', 'Mnaco', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MCD', 'Macedonia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MCO', 'Macao', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MEX', 'Mjico', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MG', 'Mongolia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MHL', 'Marshalls, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MNE', 'Montenegro', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MOL', 'Moldavia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MS', 'Mauricio(islas)', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MSR', 'Monserrat', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MW', 'Malawi', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MZ', 'Mozambique', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('N', 'Noruega', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NA', 'Antillas Holandesas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NCL', 'Nueva Caledonia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NFK', 'Norfolk, isla', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NIC', 'Nicaragua', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NIG', 'Nger', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NIU', 'Niue', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NL', 'Holanda (Paises Bajos)', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NP', 'Nepal', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NTC', 'Zona Neutral', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NU', 'Nauru', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('NZ', 'Nueva Zelanda', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('OM', 'Omn', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('P', 'Portugal', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PA', 'Panam', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PAK', 'Pakistn', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PCN', 'Pitcairn, isla', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PE', 'Per', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PI', 'Filipinas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PL', 'Polonia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PLW', 'Islas Palaos', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PN', 'Papa y Nueva Guinea', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PR', 'Puerto Rico', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PY', 'Paraguay', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PYF', 'Polinesia Francesa', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('Q', 'Qatar', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('R', 'Rumana', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RA', 'Argentina', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RB', 'Botswana', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RC', 'Taiwan', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RCA', 'Repblica Centroafricana', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RCB', 'Congo', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RCH', 'Chile', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('REU', 'Reunin', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RH', 'Hait', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RI', 'Indonesia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RIM', 'Mauritania', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RL', 'Lbano', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RM', 'Madagascar', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RMM', 'Mali', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ROK', 'Corea del Sur', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RPC', 'China (Repblica Popular)', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RSM', 'San Marino', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RSR', 'Zimbabwe (Rodesia)', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RU', 'Burundi', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RUS', 'Rusia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('RWA', 'Ruanda', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('S', 'Suecia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SA', 'El Salvador', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SCN', 'San Cristobal y Nieves', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SD', 'Swazilandia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SDN', 'Sudn', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SE', 'Gambia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SF', 'Finlandia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SGP', 'Singapur', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SH', 'Shara Occidental', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SHN', 'Santa Elena', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SJM', 'Svalbard y Jan Mayen, isla', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SK', 'Sarawak', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SL', 'Salomn, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SM', 'Serbia y Montenegro', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SME', 'Surinam', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SN', 'Senegal', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SP', 'Somalia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SPM', 'San Pedro y Miquelon', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SRB', 'Serbia', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ST', 'Santo Tom y Prncipe', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SU', 'Unin Rep.Soc. Soviticas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SWA', 'Namibia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SY', 'Seychelles, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SYR', 'Siria', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('T', 'Tailandia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TAD', 'Tadjikistan', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TCA', 'Turks and Caicos, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TD', 'Chad', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TG', 'Togo', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TKL', 'Toquelan', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TMP', 'Timor-Leste', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TN', 'Tnez', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TNG', 'Tonga', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TR', 'Turqua', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TT', 'Trinidad y Tobago', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TUR', 'Turkmenistan', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('TVL', 'Tuval', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('U', 'Uruguay', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('UKR', 'Ucrania', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('USA', 'Estados Unidos de Amrica', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('V', 'Ciudad de Vaticano', 'S');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('VGB', 'Vrgenes, islas (Reino Unido)', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('VIR', 'Vrgenes,islas (USA)', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('VN', 'Vietnam', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('VNT', 'Vanuatu', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('VS', 'San Vicente y Granadinas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('WAL', 'Sierra Leona', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('WAN', 'Nigeria', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('WD', 'Dominica', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('WG', 'Granada', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('WL', 'Santa Luca', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('WLF', 'Wallis and Futuna, islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('WS', 'Samoa', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('YEM', 'Yemen', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('YU', 'Yugoslavia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('YV', 'Venezuela', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('Z', 'Zambia', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ZA', 'Sudafricana', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ZR', 'Zaire', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MTQ', 'Martinica', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SGS', 'Islas Georgias del Sur y Sandw', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('BLM', 'San Bartolom', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MAF', 'San Martn', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('SSD', 'Sudn del Sur', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('GGY', 'Guernsey', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('IMN', 'Isla de Man', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ATF', 'Territorios Australes Francese', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ABW', 'Aruba', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('COM', 'Comoras', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('COD', 'Rep. Democrtica del Congo', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MYT', 'Mayotte', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('MNP', 'Marianas del Norte, Islas', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('JEY', 'Jersey', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('PSE', 'Estado de Palestina', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('ALA', 'ALAN', 'N');
Insert into PAISES
   (COD_PAIS, DENOMINACION_1, IND_PERTENECE_EEES)
 Values
   ('CUW', 'Curazao', 'N');
COMMIT;



/******* PERSONAS_ACTUAL *******/

CREATE TABLE PERSONAS_ACTUAL
(
  TIPO_DOC_ID      VARCHAR2(3 BYTE)          DEFAULT 'OTR'                 NOT NULL,
  DNI_PASAPORTE       VARCHAR2(16 BYTE)         NOT NULL,
  NIP_ALUMNO          NUMBER(10)                NOT NULL,
  APE1_ALUMNO         VARCHAR2(32 BYTE)         NOT NULL,
  APE2_ALUMNO         VARCHAR2(32 BYTE)         DEFAULT ' '                   NOT NULL,
  NOMB_ALUMNO         VARCHAR2(32 BYTE)         NOT NULL,
  SEXO_ALUMNO         VARCHAR2(1 BYTE)          NOT NULL,
  COD_PAIS_NACION     VARCHAR2(3 BYTE)          NOT NULL,
  DOMICILIO_HABIT     VARCHAR2(80 BYTE)         NOT NULL,
  COD_POST_HABIT      VARCHAR2(5 BYTE)          NOT NULL,
  ORD_LOCALIZ_HABIT   NUMBER(5),
  LOCALIDAD1_HABIT    VARCHAR2(50 BYTE),
  PROVINCIA_HABIT     NUMBER(3),
  COD_PAIS_HABIT      VARCHAR2(3 BYTE)          DEFAULT ' '                   NOT NULL,
  TELEFONO_HABIT      VARCHAR2(15 BYTE),
  TELEFONO2_HABIT     VARCHAR2(15 BYTE),
  FECHA_NAC_ALUMNO    DATE,
  COD_POST_NACIM      VARCHAR2(5 BYTE)          DEFAULT ' '                   NOT NULL,
  LOCALIDAD1_NACIM    VARCHAR2(50 BYTE),
  PROVINCIA_NACIM     NUMBER(3),
  COD_PAIS_NACIM      VARCHAR2(3 BYTE)          DEFAULT ' '                   NOT NULL,
  ORD_LOCALIZ_NACIM   NUMBER(5)                 DEFAULT 0                     NOT NULL,
  FECHA_MODIFICACION  TIMESTAMP(6)              DEFAULT SYSDATE               NOT NULL,
  CORREO_ELEC_2       VARCHAR2(70 BYTE)         DEFAULT ' '                   NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;



CREATE INDEX NLS_PERSACT_DNI_PASAPORTE ON PERSONAS_ACTUAL
(NLSSORT("DNI_PASAPORTE",'nls_sort=''SPANISH_AI'''))
LOGGING
TABLESPACE PREINS_EXT_IND
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


CREATE INDEX NLS_PERSACT_NOMBRE ON PERSONAS_ACTUAL
(NLSSORT("APE1_ALUMNO",'nls_sort=''SPANISH_AI'''), NLSSORT("APE2_ALUMNO",'nls_sort=''SPANISH_AI'''))
LOGGING
TABLESPACE PREINS_EXT_IND
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


CREATE INDEX PERSACT_DNI_PASAPORTE ON PERSONAS_ACTUAL
(DNI_PASAPORTE)
NOLOGGING
TABLESPACE PREINS_EXT_IND
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;



CREATE INDEX PERSACT_NOMBRE ON PERSONAS_ACTUAL
(APE1_ALUMNO, APE2_ALUMNO)
NOLOGGING
TABLESPACE PREINS_EXT_IND
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX PK_PERSONAS_ACTUAL ON PERSONAS_ACTUAL
(NIP_ALUMNO)
NOLOGGING
TABLESPACE PREINS_EXT_IND
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PERSONAS_ACTUAL ADD (
  CONSTRAINT PK_PERSONAS_ACTUAL
  PRIMARY KEY
  (NIP_ALUMNO)
  USING INDEX PK_PERSONAS_ACTUAL
  ENABLE VALIDATE);



Insert into PERSONAS_ACTUAL
   (TIPO_DOC_ID, DNI_PASAPORTE, NIP_ALUMNO, APE1_ALUMNO, APE2_ALUMNO, 
    NOMB_ALUMNO, SEXO_ALUMNO, COD_PAIS_NACION, DOMICILIO_HABIT, COD_POST_HABIT, 
    ORD_LOCALIZ_HABIT, LOCALIDAD1_HABIT, PROVINCIA_HABIT, COD_PAIS_HABIT, TELEFONO_HABIT, 
    TELEFONO2_HABIT, FECHA_NAC_ALUMNO, COD_POST_NACIM, LOCALIDAD1_NACIM, PROVINCIA_NACIM, 
    COD_PAIS_NACIM, ORD_LOCALIZ_NACIM, FECHA_MODIFICACION, CORREO_ELEC_2)
 Values
   ('NIF', '11111111A', 57349, 'APE1', 'APE2', 
    'ALUMNO1', 'M', 'E', 'C/ PRUEBA', '47011', 
    0, 'Valladolid', 47, 'E', '123456789', 
    '666555444', TO_DATE('03/28/1975 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), '47010', 'Valladolid', 47, 
    'E', 0, TO_DATE('10/28/2013 12:00:12', 'MM/DD/YYYY HH24:MI:SS'), ' ');
Insert into PERSONAS_ACTUAL
   (TIPO_DOC_ID, DNI_PASAPORTE, NIP_ALUMNO, APE1_ALUMNO, APE2_ALUMNO, 
    NOMB_ALUMNO, SEXO_ALUMNO, COD_PAIS_NACION, DOMICILIO_HABIT, COD_POST_HABIT, 
    ORD_LOCALIZ_HABIT, LOCALIDAD1_HABIT, PROVINCIA_HABIT, COD_PAIS_HABIT, TELEFONO_HABIT, 
    TELEFONO2_HABIT, FECHA_NAC_ALUMNO, COD_POST_NACIM, LOCALIDAD1_NACIM, PROVINCIA_NACIM, 
    COD_PAIS_NACIM, ORD_LOCALIZ_NACIM, FECHA_MODIFICACION, CORREO_ELEC_2)
 Values
   ('NIF', '22222222B', 78731, 'APELLIDO1', 'APELLIDO2', 
    'ALUMNO2', 'F', 'E', 'Camino de prueba', '47610', 
    0, 'Zaratan', 47, 'E', '983111111', 
    '123456789', TO_DATE('07/29/1977 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), '47012', 'Valladolid', 47, 
    'E', 0, TO_DATE('09/04/2013 13:13:09', 'MM/DD/YYYY HH24:MI:SS'), ' ');
COMMIT;


/******* P_TITULADOS *******/


CREATE TABLE P_TITULADOS
(
  NUM_EXPEDIENTE  NUMBER(10),
  FECHA_PAGO      DATE
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

Insert into P_TITULADOS
   (NUM_EXPEDIENTE, FECHA_PAGO)
 Values
   (784059451, TO_DATE('08/13/2001 00:00:00', 'MM/DD/YYYY HH24:MI:SS'));
Insert into P_TITULADOS
   (NUM_EXPEDIENTE, FECHA_PAGO)
 Values
   (1595905853, TO_DATE('10/18/2002 00:00:00', 'MM/DD/YYYY HH24:MI:SS'));
COMMIT;


/******* P_PLAN *******/

CREATE TABLE P_PLAN
(
  CODIGO_ESTUDIOS   NUMBER(10)                  NOT NULL,
  CODIGO_MEC        NUMBER(10)                  NOT NULL,
  CODIGO_PLAN       NUMBER(10)                  NOT NULL,
  COD_CENTRO_DOCEN  NUMBER(5)                   NOT NULL,
  DESCRIPCION       VARCHAR2(200 BYTE)          NOT NULL,
  COD_PROVINCIA     NUMBER(3)                   NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (303, 381, 381, 309, 'Mster en Investigacin en Ingeniera para el Desarrollo Agroforestal', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (338, 390, 390, 204, 'Mster en Investigacin Biomdica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (1, 6, 6, 203, 'Lic. en CC. Sec. Qumicas(Plan 77)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (58, 303, 303, 216, 'Licenciado en Traduccin e Interpretacin', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (353, 415, 415, 550, 'Complementos Formativos Doctorado I', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (425, 497, 497, 222, 'Mster en Psicopedagoga', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (347, 406, 406, 317, 'Grado en Educacin Primaria', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (52, 317, 317, 311, 'Diplomado en Relaciones Laborales', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (44, 271, 271, 354, 'Ing.Tec.Agrcola Esp Exp Agropecuarias', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (77, 280, 280, 309, 'Ing. Agrnomo', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (337, 375, 375, 223, 'Mster en Energa: Generacin, Gestin y Uso Eficiente', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (367, 429, 429, 204, 'Mster en Investigacin en CC.de la Salud: Farmacologa, Neurobiologa y Nutricin Molecular', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (334, 370, 370, 309, 'Mster en Calidad, Desarrollo e Innovacin de Alimentos', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (346, 399, 399, 302, 'Grado en Educacion Infantil', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (333, 371, 371, 211, 'Mster en Investigacin en Tecnologas de la Informacin y las Comunicaciones', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (431, 508, 508, 202, 'Mster en Procura', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (422, 494, 494, 201, 'Mster en Cooperacin Internacional para el Desarrollo', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 355, 355, 321, 'Convenio Universidades Pblicas de Madrid III', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 357, 357, 317, 'Convenio Universidades Pblicas de Madrid V', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (37, 166, 166, 302, 'Maestro Especialidad en Lengua Extranjera', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (51, 168, 168, 222, 'Maestro Especialidad en Educacin Especial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (317, 537, 537, 201, 'Mster en Textos de la Antigedad Clsica y su Pervivencia', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 317, 'Asignaturas que no pertenecen a ningun plan', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 206, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 205, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (68, 246, 246, 206, 'Licenciado en Economa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 314, 'Prcticas en empresa', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 309, 'Prcticas en empresa', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (8, 233, 233, 201, 'Licenciado en Geografa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (315, 529, 529, 204, 'Mster en Investigacin de Ciencias de la Visin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (375, 437, 437, 201, 'Grado en Historia', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (21, 210, 210, 223, 'Ingeniero Industrial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (44, 70, 70, 309, 'Ing.Tec.Agrcola Esp Exp Agrop (Plan 76)', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 309, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (19, 311, 311, 204, 'Licenciado en Medicina', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 309, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 220, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 202, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 201, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (374, 454, 454, 221, 'Grado en Derecho', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (405, 472, 472, 203, 'Grado en Qumica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (74, 302, 302, 221, 'Licenciado en Publicidad y Relaciones Pblicas', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (59, 208, 208, 203, 'Diplomado en ptica y Optometra', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (41, 220, 220, 317, 'Maestro Especialidad en Educacin Musical', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (29, 227, 227, 203, 'Diplomado en Estadstica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (25, 257, 257, 218, 'Ingeniero Tcnico en Informtica de Gestin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (22, 260, 260, 351, 'Dip. en Enfermeria (Plan 1999)', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 560, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 309, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (350, 412, 412, 203, 'Grado en Estadstica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (329, 518, 518, 223, 'Mster en Ingeniera de Automocin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (25, 301, 301, 321, 'Ingeniero Tcnico en Informtica de Gestin', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (392, 457, 457, 201, 'Grado en Lenguas Modernas y sus Literaturas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (369, 431, 431, 203, 'Mster en Investigacin en Matemticas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (23, 17, 17, 305, 'Dip.CC. Empresariales (Plan 1973)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (408, 475, 475, 310, 'Grado de Enfermera', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (407, 474, 474, 205, 'Grado en Arquitectura', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (343, 395, 395, 201, 'Grado en Geografia y Ordenacion del Territorio', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (417, 487, 487, 221, 'Mster en Investigacin en Comunicacin Hipermedia', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (72, 291, 291, 223, 'Ingeniero en Organizacin Industrial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (31, 298, 298, 223, 'Ingeniero Qumico', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (411, 481, 481, 311, 'Programa conjunto de Grado en Relaciones Laborales y Recursos Humanos y Grado en Administracin y Di', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (345, 397, 397, 206, 'Mster en Investigacin en Economa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (341, 393, 393, 222, 'Mster en Investigacin Aplicada a la Educacin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (395, 462, 462, 315, 'Grado en Ingeniera Forestal:Industrias Forestales', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (363, 425, 425, 201, 'Mster en Estudios Filolgicos Superiores: Investigacin y Aplicaciones Profesionales', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 282, 282, 114, 'Alumnos visitantes CE (I)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 286, 286, 114, 'Alumnos visitantes CE (V)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (22, 308, 308, 320, 'Diplomado en Enfermeria', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (20, 11, 11, 205, 'Arquitecto (Plan 1976)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 354, 354, 221, 'Convenio Universidades Pblicas de Madrid  II', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (38, 167, 167, 302, 'Maestro Especialidad en Educacin Fsica', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 302, 'Asignaturas que no pertenecen a ningun plan', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 221, 'Asignaturas que no pertenecen a ningun plan', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (337, 523, 523, 223, 'Mster en Energa: Generacin, Gestin y Uso Eficiente', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (408, 476, 476, 320, 'Grado de Enfermeria de Soria', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 317, 'Prcticas en empresa', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 223, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (436, 513, 513, 309, 'Mster en Tecnologas Avanzadas para el Desarrollo Agroforestal', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (320, 520, 520, 202, 'Mster en Integracin Europea', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (360, 456, 456, 221, 'Grado en Relaciones Laborales y Recursos Humanos', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (430, 507, 507, 202, 'Mster en Abogaca', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 216, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 201, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (380, 442, 442, 223, 'Grado en Ingeniera Qumica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 218, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 216, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (387, 450, 450, 309, 'Grado en Ingenieria de las Industrias Agrarias y Alimentarias', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 222, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (378, 440, 440, 201, 'Grado en Estudios Ingleses', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (388, 451, 451, 201, 'Grado en Estudios Clsicos', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (58, 206, 206, 216, 'Licenciado en Traduccin e Interpretacin (Plan 95)', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (41, 211, 211, 222, 'Maestro Especialidad en Educacin Musical', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (36, 193, 193, 222, 'Maestro Especialidad en Educacin Infantil', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (22, 243, 243, 310, 'Diplomado en Enfermera (Plan 1998)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (28, 249, 249, 222, 'Diplomado en Trabajo Social', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (22, 261, 261, 351, 'Dip. en Enfermeria', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (35, 264, 264, 353, 'Maestro-Esp.Educacin Primaria', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (37, 267, 267, 353, 'Maestro-Esp.Lengua Extranjera', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (51, 269, 269, 353, 'Maestro-Esp.Educacin Especial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (428, 501, 501, 222, 'Mster en Psicologa de la Educacin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 312, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 302, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 216, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (306, 325, 325, 223, 'Mster en Investigacin en  Ingeniera de Procesos y Sistemas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (357, 419, 419, 314, 'Grado en Fisioterapia', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (86, 492, 492, 114, 'Mster de Alumnos Erasmus', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (3, 276, 276, 203, 'Licenciado en Matemticas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (346, 505, 505, 353, 'GRADO EN EDUCACION INFANTIL (FRAY LUIS DE LEON)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 490, 490, 114, 'Visitantes U.E. Relaciones Internacionales Grado', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (408, 479, 479, 352, 'Grado en Enfermera', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (332, 384, 384, 201, 'Mster en Estudios Avanzados en Filosofa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 491, 491, 114, 'Visitantes No U.E. de Relaciones Internacionales Grado', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (347, 404, 404, 222, 'Grado en Educacin Primaria', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (62, 290, 290, 223, 'Ingeniero en Automtica y Electrnica Industrial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (347, 504, 504, 353, 'GRADO EN EDUCACION PRIMARIA (FRAY LUIS DE LEON)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (300, 358, 358, 223, 'Mster en Modelizacin Matemtica y Computacin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (309, 360, 360, 203, 'Mster en Instrumentacin en Fsica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (44, 270, 270, 354, 'Ing.Tec.Agrcola Esp Exp Agrop (Plan 99)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 284, 284, 114, 'Alumnos visitantes CE (III)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (32, 294, 294, 204, 'Diplomado en Logopedia', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (24, 215, 215, 223, 'Ingeniero Tcnico Industrial Especialidad en Electrnica Industrial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (362, 424, 424, 305, 'Mster en Comercio Exterior', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (418, 488, 488, 201, 'Mster en Investigacin Intercultural Latinoamericana', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (327, 526, 526, 223, 'Mster en Ingeniera Ambiental', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (37, 165, 165, 302, 'Maestro Especialidad en Lengua Extranjera (Ingls)', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (44, 198, 198, 309, 'Ingeniero Tcnico Agrcola Especialidad en Explotaciones Agropecuarias', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 320, 'Asignaturas que no pertenecen a ningun plan', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (25, 20, 20, 223, 'Dip. en Informtica Gestin (Plan 1984)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (410, 478, 478, 204, 'Grado en Medicina', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (306, 521, 521, 223, 'Mster en Investigacin en Ingeniera de Procesos y Sistemas Industriales', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (391, 455, 455, 223, 'Grado en Ingeniera Mecnica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 222, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 218, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (406, 473, 473, 203, 'Grado en ptica y Optometra', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (402, 469, 469, 203, 'Grado en Fsica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (400, 467, 467, 206, 'Grado en Marketing e Investigacin de Mercados', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (328, 515, 515, 221, 'Mster en Comunicacin con Fines Sociales.Estrategias y Campaas', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (360, 443, 443, 311, 'Grado en Relaciones Laborales y Recursos Humanos .Soria', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (433, 510, 510, 218, 'Mster en Ingeniera Informtica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (312, 530, 530, 204, 'Mster en Retina', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (389, 452, 452, 223, 'Grado en Ingeniera Electrnica Industrial y Automtica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 560, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 220, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 560, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 222, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (67, 245, 245, 206, 'Licenciado Administracin y Direccin de Empresas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (36, 201, 201, 312, 'Maestro Especialidad en Educacin Infantil', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (390, 453, 453, 221, 'Grado en Turismo', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (17, 236, 236, 201, 'Licenciado en Filosofa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (321, 366, 366, 201, 'Mster en Europa y el Mundo Atlntico: Poder,Cultura y Sociedad', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (41, 266, 266, 353, 'Maestro-Esp.Educacin Musical', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (38, 268, 268, 353, 'Maestro-Esp.Educacin Fsica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (397, 464, 464, 218, 'Grado en Ingenieria en Informtica de Sistemas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 218, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (340, 392, 392, 222, 'Mster en Arteterapia y Educacin Artstica para la Inclusin Social', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (437, 516, 516, 315, 'Grado de Ingeniera Agraria y Energtica', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (423, 495, 495, 201, 'Mster en Antropologa de Iberoamrica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (313, 378, 378, 204, 'Mster en Inmunologa y Superficie Ocular', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (314, 379, 379, 204, 'Mster en Oncologa Ocular, rbita y Oculoplstica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (364, 426, 426, 201, 'Mster en Historia Medieval de Castilla y Len', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (317, 382, 382, 201, 'Mster en Iniciacin a la Investigacin en Textos de la Antigedad Clsica y su Pervivencia', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (419, 489, 489, 317, 'Mster en Ciencias Sociales para la Investigacin en Educacin', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (370, 432, 432, 203, 'Mster en Lseres y Aplicaciones en Qumica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (323, 385, 385, 201, 'Mster en Lgica y Filosofa de la Ciencia', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (37, 170, 170, 222, 'Maestro Especialidad de Lengua Extranjera', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (1, 209, 209, 203, 'Lic. en Qumica (Plan 1994)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (23, 292, 292, 311, 'Diplomado en Ciencias Empresariales', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (421, 493, 493, 223, 'Grado en Ingeniera en Tecnologas Industriales', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 287, 287, 114, 'Alumnos visitantes CE (VI)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (346, 400, 400, 317, 'Grado en Educacion Infantil', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (347, 405, 405, 302, 'Grado en Educacin Primaria', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (21, 14, 14, 223, 'Ingeniero Industrial (Plan 1981)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (315, 363, 363, 204, 'Mster en Investigacin en Ciencias de la Visin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 354, 354, 321, 'Convenio Universidades Pblicas de Madrid  II', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 355, 355, 317, 'Convenio Universidades Pblicas de Madrid III', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (35, 163, 163, 302, 'Maestro Especialidad Educacin Primaria', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (35, 200, 200, 312, 'Maestro Especialidad en Educacin Primaria', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (44, 204, 204, 315, 'Ingeniero Tcnico Agrcola Especialidad en Explotaciones Agropecuarias', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 321, 'Asignaturas que no pertenecen a ningun plan', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 312, 'Asignaturas que no pertenecen a ningun plan', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 310, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 309, 'Asignaturas que no pertenecen a ningun plan', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 203, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (329, 389, 389, 223, 'Mster en Automocin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (7, 306, 306, 202, 'Licenciado en Derecho', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 311, 'Prcticas en empresa', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 211, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 114, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (10, 235, 235, 201, 'Licenciado en Historia del Arte', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (342, 394, 394, 203, 'Grado en Matemticas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (22, 1, 1, 310, 'Dip. en Enfermera (Plan 1978)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (346, 401, 401, 312, 'Grado en Educacion Infantil', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 218, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 312, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 203, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 201, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (52, 69, 69, 220, 'Diplomado en Relaciones Laborales', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (81, 313, 313, 201, 'Licenciado en Periodismo', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (45, 229, 229, 315, 'Ingeniero Tcnico Forestal Especialidad en Industrias Forestales', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (58, 232, 232, 216, 'Licenciado en Traduccin e Interpretacin', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (13, 238, 238, 201, 'Licenciado en Filologa Francesa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (376, 438, 438, 201, 'Grado en Historia del Arte', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (36, 265, 265, 353, 'Maestro-Esp.Educacin Infantil', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (324, 388, 388, 206, 'Mster en Investigacin en Economa de la Empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (393, 458, 458, 221, 'Grado en Publicidad y Relaciones Pblicas', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (87, 500, 500, 352, 'Diplomado en Enfermera', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (383, 446, 446, 309, 'Grado en Ingeniera Agrcola y Medio Rural', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (324, 531, 531, 206, 'Mster en Investigacin en Administracin y Economa de la Empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (404, 471, 471, 204, 'Grado en Logopedia', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (40, 59, 59, 222, 'Licenciado en Psicopedagoga', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (16, 241, 241, 201, 'Licenciado en Filologa Clsica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (55, 279, 279, 309, 'Ingeniero de Montes', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (305, 324, 324, 205, 'Mster en Acstica y Vibraciones', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (353, 534, 534, 550, 'Complementos Formativos Doctorado II', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (352, 414, 414, 550, 'Actividades Formativas de Nivel de Posgrado', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (351, 413, 413, 321, 'Grado de Ingenieria Informtica de Servicios y Aplicaciones', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 281, 281, 114, 'Alumnos visitantes', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (344, 396, 396, 201, 'Grado en Historia y Ciencias de la Msica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (53, 242, 242, 201, 'Licenciado en Teora de la Literatura y Literatura Comparada', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (304, 372, 372, 223, 'Mster en Logstica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (27, 304, 304, 223, 'Ingeniero Tcnico Telecomunicacin Especialidad en Sistemas Electrnicos', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (76, 305, 305, 204, 'Diplomado en Nutricin Humana y Diettica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (396, 463, 463, 218, 'Grado en Ingenieria Informtica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (327, 349, 349, 223, 'Mster en Gestin y Tecnologa Ambiental', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 353, 353, 321, 'Convenio Universidades Pblicas de Madrid I', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 354, 354, 317, 'Convenio Universidades Pblicas de Madrid  II', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 355, 355, 221, 'Convenio Universidades Pblicas de Madrid III', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 357, 357, 321, 'Convenio Universidades Pblicas de Madrid V', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (35, 194, 194, 222, 'Maestro Especialidad en Educacin Primaria', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (37, 202, 202, 312, 'Maestro Especialidad en Lengua Extranjera', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (37, 203, 203, 312, 'Maestro Especialidad en Lengua Extranjera', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 311, 'Asignaturas que no pertenecen a ningun plan', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 207, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 315, 'Prcticas en empresa', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 312, 'Prcticas en empresa', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 220, 'Prcticas en empresa', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 206, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (409, 477, 477, 222, 'Grado en Trabajo Social', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (401, 468, 468, 206, 'Grado en Economa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (305, 527, 527, 205, 'Mster en Ingeniera Acstica y Vibraciones', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (309, 538, 538, 203, 'Mster en Instrumentacin en Fsica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (359, 421, 421, 201, 'Grado en Filosofa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (78, 314, 314, 202, 'Estudios conjuntos Administracin y Direccin de Empresas y Derecho', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (301, 320, 320, 223, 'Mster en Gestin de la Prevencin de Riesgos Laborales, Calidad y Medio Ambiente', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 203, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 302, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 408, 408, 206, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (331, 536, 536, 201, 'Mster en Estudios Ingleses Avanzados:Lenguas y Culturas en Contacto', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (14, 239, 239, 201, 'Licenciado en Filologa Inglesa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 560, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (7, 307, 307, 221, 'Licenciado en Derecho', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (43, 205, 205, 314, 'Diplomado en Fisioterapia', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (38, 212, 212, 222, 'Maestro Especialidad en Educacin Fsica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (307, 376, 376, 309, 'Mster en Investigacin en Ingeniera para la Conservacin y Uso Sostenible de Sistemas Forestales', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (346, 398, 398, 222, 'Grado en Educacion Infantil', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (12, 237, 237, 201, 'Licenciado en Filologa Hispnica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 259, 259, 114, 'Relaciones Internacionales', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (22, 262, 262, 352, 'Dip. en Enfermeria (Plan 1999)', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (22, 263, 263, 352, 'Dip. en Enfermeria', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (432, 509, 509, 202, 'Mster en Estudios Jurdicos Avanzados', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (403, 470, 470, 204, 'Grado en Nutricin Humana y Diettica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (398, 465, 465, 206, 'Grado en Finanzas, Banca y Seguros', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 203, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 201, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (323, 539, 539, 201, 'Mster en Lgica y Filosofa de la Ciencia', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (65, 247, 247, 206, 'Licenciado en Investigacin y Tcnicas de Mercado', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (424, 496, 496, 205, 'Mster en Investigacin en Arquitectura', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (54, 74, 74, 309, 'Ingeniero Tcnico Agrcola Esp Hortofruticultura y Jardinera', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (419, 532, 532, 317, 'Mster en Investigacin en Ciencias Sociales. Educacin, Comunicacin Audiovisual, Economa y Empres', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (331, 383, 383, 201, 'Mster en Estudios Ingleses Avanzados:Lenguas y Culturas en Contacto', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (377, 439, 439, 223, 'Grado en Ingenieria Elctrica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (45, 197, 197, 309, 'Ingeniero Tcnico Forestal Especialidad en  Explotaciones Forestales', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (30, 244, 244, 211, 'Ingeniero de Telecomunicacin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (335, 369, 369, 206, 'Mster en Desarrollo Econmico Regional y Local y Gestin del Territorio', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (36, 217, 217, 317, 'Maestro Especialdad en Educacin Infantil', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (44, 65, 65, 315, 'Ing.Tec.Agrcola Esp Exp Agrop (Plan 90)', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (383, 480, 480, 354, 'Grado en Ingeniera Agrcola y del Medio Rural', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (33, 251, 251, 211, 'Ingeniero en Electrnica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (348, 403, 403, 302, 'Grado en Educacion Social', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (310, 361, 361, 203, 'Mster en Fsica de los Sistemas de Diagnstico, Tratamiento y Proteccin en Ciencias de la Salud', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (70, 275, 275, 203, 'Licenciado en Ciencias y Tcnicas Estadsticas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (366, 428, 428, 309, 'Mster en Ingeniera de Montes', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (61, 296, 296, 223, 'Ingeniero Tcnico en Diseo Industrial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (75, 297, 297, 211, 'Ingeniero Tcnico de Telecomunicacin, especialidad en Sistemas de Telecomunicacin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (441, 541, 541, 309, 'Mster en Tecnologa Avanzadas', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (427, 499, 499, 310, 'Mster en Enfermera Oftalmolgica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (371, 433, 433, 203, 'Mster en Qumica Terica y Modelizacin Computacional', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (322, 373, 373, 222, 'Mster en Docencia e Interpretacin en Lenguas de Seas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (19, 2, 2, 204, 'Lic. en Medicina y Ciruga (Plan 1977)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 356, 356, 321, 'Convenio Universidades Pblicas de Madrid IV', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (316, 535, 535, 203, 'Mster en Fsica y Tecnologa de los Lseres', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 223, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 222, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 216, 'Asignaturas que no pertenecen a ningun plan', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 204, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 201, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (24, 214, 214, 223, 'Ingeniero Tcnico Industrial Especialidad en Electricidad', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (384, 447, 447, 223, 'Grado en Ingeniera en Organizacin Industrial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (83, 318, 318, 311, 'Estudio conjunto de Ciencias Empresariales y Relaciones Laborales', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 310, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 302, 'Prcticas en empresa', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 221, 'Prcticas en empresa', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 205, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 201, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (356, 418, 418, 305, 'Grado en Comercio', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 302, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 206, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 202, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (386, 449, 449, 309, 'Grado en Ingenieria Forestal y del Medio Natural', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (311, 362, 362, 201, 'Mster en Msica Hispana', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 309, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 206, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (20, 199, 199, 205, 'Arquitecto', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 220, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (307, 522, 522, 309, 'Mster en Investigacin en Conservacin y Uso Sostenible de Sistemas Forestales', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (46, 72, 72, 309, 'Ingenieria Tcnica Agrcola Esp Industrias Agrarias y Alimentaria', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (316, 386, 386, 203, 'Mster en Fsica y Tecnologa de los Lseres', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (312, 377, 377, 204, 'Mster en Retina', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (64, 248, 248, 206, 'Licenciado en Ciencias Actuariales y Financieras', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (416, 486, 486, 201, 'Mster en Investigacin de la Comunicacin como Agente Histrico-Social', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (368, 430, 430, 206, 'Mster en Investigacin en Contabilidad y Gestin Financiera', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (308, 359, 359, 223, 'Mster en Investigacin en Ingeniera Termodinmica de Fluidos', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (325, 387, 387, 203, 'Mster en Nanociencia y Nanotecnologa Molecular', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (52, 272, 272, 355, 'Dip. en Relaciones Laborales', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (63, 278, 278, 309, 'Licenciado en Enologa', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (365, 427, 427, 309, 'Mster en Ingeniera Agronmica', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 283, 283, 114, 'Alumnos visitantes CE (II)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 288, 288, 114, 'Alumnos visitantes CE (VII)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (60, 289, 289, 201, 'Licenciado en Historia y Ciencias de la Msica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (22, 315, 315, 351, 'Diplomado en Enfermera (SORIA)', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (320, 365, 365, 202, 'Mster en Integracin Europea', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (383, 461, 461, 315, 'Grado en Ingeniera Agrcola y Medio Rural', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 353, 353, 317, 'Convenio Universidades Pblicas de Madrid I', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 353, 353, 221, 'Convenio Universidades Pblicas de Madrid I', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 357, 357, 221, 'Convenio Universidades Pblicas de Madrid V', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (34, 195, 195, 222, 'Maestro Especialidad en Audicin y Lenguaje', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 314, 'Asignaturas que no pertenecen a ningun plan', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 308, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 305, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 220, 'Asignaturas que no pertenecen a ningun plan', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 211, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (361, 423, 423, 216, 'Grado en Traduccin e Interpretacin', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (372, 434, 434, 204, 'Mster en Rehabilitacin Visual', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (399, 466, 466, 206, 'Grado en Administracin y Direccin de Empresas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 216, 'Prcticas en empresa', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 203, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (15, 240, 240, 201, 'Licenciado en Filologa Alemana', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (382, 445, 445, 311, 'Grado en Administracin y Direccin de Empresas', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (330, 368, 368, 205, 'Mster en Geotecnologas Cartogrficas en Ingeniera y Arquitectura', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (440, 524, 524, 204, 'Mster en Subespecialidades Oftalmolgicas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (379, 441, 441, 201, 'Grado en Espaol: Lengua y Literatura', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (434, 511, 511, 223, 'Mster en Ingeniera Industrial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (348, 402, 402, 222, 'Grado en Educacin Social', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (67, 300, 300, 221, 'Licenciado Administracin y Direccin Empresas', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 312, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 220, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 218, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 216, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 203, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 202, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (35, 218, 218, 317, 'Maestro Especialidad en Educacin Primaria', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (52, 252, 252, 221, 'Diplomado en Relaciones Laborales', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (338, 533, 533, 204, 'Mster en Investigacin Biomdica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 222, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 202, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (319, 525, 525, 216, 'Mster en Traduccin Profesional e Institucional', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (415, 485, 485, 203, 'Mster en Qumica Sinttica e Industrial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (328, 367, 367, 221, 'Mster en Comunicacin con Fines Sociales: Estrategias y Campaas.', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (302, 380, 380, 309, 'Mster en Desarrollo Agroforestal', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (360, 422, 422, 220, 'Grado en Relaciones Laborales y Recursos Humanos', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (24, 213, 213, 223, 'Ingeniero Tcnico Industrial Especialidad en Mecnica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (373, 435, 435, 203, 'Mster en Tcnicas Avanzadas en Qumica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (319, 364, 364, 216, 'Mster en Traduccin Profesional e Institucional', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (358, 420, 420, 201, 'Grado en Periodismo', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (414, 484, 484, 305, 'Mster en Economa de la Cultura y Gestin Cultural', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (382, 459, 459, 221, 'Grado en Administracin y Direccin de Empresas', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (301, 519, 519, 223, 'Mster en Gestin de la Prevencin de Riesgos Laborales, Calidad y Medio Ambiente', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (412, 482, 482, 202, 'Programa conjunto de Grado en Derecho y Grado en Administracin y Direccin de Empresas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (52, 273, 273, 350, 'Dip. en Relaciones Laborales', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (435, 512, 512, 211, 'Grado en Ingenieria de Tecnologas Especficas de Telecomunicacin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (69, 285, 285, 114, 'Alumnos visitantes CE (IV)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (1, 293, 293, 203, 'Licenciado en Qumica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (73, 295, 295, 220, 'Licenciado en Ciencias del Trabajo', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (374, 436, 436, 202, 'Grado en Derecho', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (22, 316, 316, 352, 'Diplomado en Enfermera  (PALENCIA)', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (23, 60, 60, 305, 'Diplomado en Ciencias Empresariales', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 356, 356, 317, 'Convenio Universidades Pblicas de Madrid IV', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (85, 356, 356, 221, 'Convenio Universidades Pblicas de Madrid IV', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (36, 164, 164, 302, 'Maestro Especialidad Educacin Infantil', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (37, 169, 169, 222, 'Maestro Especialidad en Lengua Extranjera', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (347, 407, 407, 312, 'Grado en Educacin Primaria', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 218, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (79, 310, 310, 202, 'Asignaturas que no pertenecen a ningun plan', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (9, 234, 234, 201, 'Licenciado en Historia', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (321, 517, 517, 201, 'Mster en Europa y el Mundo Atlntico: Poder,Cultura y Sociedad', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (388, 528, 528, 201, 'Grado en Estudios Clsicos', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 321, 'Prcticas en empresa', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 320, 'Prcticas en empresa', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 305, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 204, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (84, 345, 345, 202, 'Prcticas en empresa', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (429, 506, 506, 309, 'Mster Erasmus Mundus en Gestin Forestal y de Recursos Naturales en el Mediterrneo (MEDFOR)', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (394, 460, 460, 211, 'Grado en Ingeniera de Tecnologas de Telecomunicacin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (385, 448, 448, 223, 'Grado en Ingeniera en Diseo Industrial y Desarrollo del Producto', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (330, 540, 540, 205, 'Master en Geotecnologas Cartogrficas en Ingeniera y Arquitectura', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (2, 277, 277, 203, 'Licenciado en Fsica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 317, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 312, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    42);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 410, 410, 222, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (381, 444, 444, 309, 'Grado en Enologa', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (374, 100436, 100436, 202, 'Grado en Derecho', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 409, 409, 302, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (24, 216, 216, 223, 'Ingeniero Tcnico Industrial Especialidad en Qumica Industrial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (38, 219, 219, 317, 'Maestro Especialidad en Educacin Fsica', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (39, 224, 224, 302, 'Diplomado en Educacin Social', 
    34);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (80, 312, 312, 211, 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (66, 253, 253, 221, 'Diplomado en Turismo', 
    40);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (4, 254, 254, 218, 'Ingeniero en Informtica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (26, 258, 258, 218, 'Ingeniero Tcnico  en Informtica de Sistemas', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (349, 411, 411, 206, 'Mster en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Ense', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (304, 514, 514, 223, 'Mster en Logstica', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (31, 10, 10, 223, 'Ing. Qumico (Plan 1993)', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (30, 13, 13, 211, 'Ingeniero de Telecomunicacin', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (24, 18, 18, 223, 'Ingeniero Tcnico Industrial', 
    47);
Insert into P_PLAN
   (CODIGO_ESTUDIOS, CODIGO_MEC, CODIGO_PLAN, COD_CENTRO_DOCEN, DESCRIPCION, 
    COD_PROVINCIA)
 Values
   (39, 48, 48, 222, 'Diplomado en Educacin Social', 
    47);
COMMIT;

/******* P_CAB_EXPEDIENTES *******/


CREATE TABLE P_CAB_EXPEDIENTES
(
  NUM_EXPEDIENTE    NUMBER(10)                  NOT NULL,
  DNI_PASAPORTE     VARCHAR2(16 BYTE)           NOT NULL,
  NIP_ALUMNO        NUMBER(10)                  NOT NULL,
  COD_CENTRO        NUMBER(5)                   NOT NULL,
  COD_ESTUDIOS_MEC  VARCHAR2(11 BYTE)           NOT NULL,
  COD_PLAN          NUMBER(10)                  NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

Insert into P_CAB_EXPEDIENTES
   (NUM_EXPEDIENTE, DNI_PASAPORTE, NIP_ALUMNO, COD_CENTRO, COD_ESTUDIOS_MEC, 
    COD_PLAN)
 Values
   (1595905853, '22222222B', 78731, 218, '50480000000', 
    257);
Insert into P_CAB_EXPEDIENTES
   (NUM_EXPEDIENTE, DNI_PASAPORTE, NIP_ALUMNO, COD_CENTRO, COD_ESTUDIOS_MEC, 
    COD_PLAN)
 Values
   (1762805024, '11111111A', 57349, 218, '10110000000', 
    254);
Insert into P_CAB_EXPEDIENTES
   (NUM_EXPEDIENTE, DNI_PASAPORTE, NIP_ALUMNO, COD_CENTRO, COD_ESTUDIOS_MEC, 
    COD_PLAN)
 Values
   (307497, '22222222B', 78731, 218, '2501364', 
    463);
Insert into P_CAB_EXPEDIENTES
   (NUM_EXPEDIENTE, DNI_PASAPORTE, NIP_ALUMNO, COD_CENTRO, COD_ESTUDIOS_MEC, 
    COD_PLAN)
 Values
   (784059451, '11111111A', 57349, 218, '50480000000', 
    257);
COMMIT;


/******* P_UNIVERSIDADES_MEC *******/



CREATE TABLE P_UNIVERSIDADES_MEC
(
  COD_UNIVERSIDAD_MEC  VARCHAR2(2 BYTE)         NOT NULL,
  DENOMINACION         VARCHAR2(80 BYTE)        NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('74', 'Universidad a Distancia de Madrid');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('01', 'Universidad de Alicante');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('02', 'Universidad de Extremadura');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('03', 'Universidad de las Islas Baleares');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('04', 'Universidad de Barcelona');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('05', 'Universidad de Cdiz');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('06', 'Universidad de Crdoba');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('07', 'Universidad de Santiago de Compostela');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('08', 'Universidad de Granada');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('09', 'Universidad de Len');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('10', 'Universidad Complutense de Madrid');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('11', 'Universidad de Mlaga');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('12', 'Universidad de Murcia');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('13', 'Universidad de Oviedo');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('14', 'Universidad de Salamanca');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('15', 'Universidad de La Laguna');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('16', 'Universidad de Cantabria');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('17', 'Universidad de Sevilla');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('18', 'Universidad de Valencia Estudi General');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('19', 'Universidad de Valladolid');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('20', 'Universidad del Pas Vasco');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('21', 'Universidad de Zaragoza');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('22', 'Universidad Autnoma de Barcelona');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('23', 'Universidad Autnoma de Madrid');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('24', 'Universidad Politcnica de Catalua');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('25', 'Universidad Politcnica de Madrid');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('26', 'Universidad de Las Palmas de Gran Canaria');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('27', 'Universidad Politcnica de Valencia');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('28', 'Universidad Nacional de Educacin a Distancia');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('29', 'Universidad de Alcal');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('30', 'Universidad de Deusto (Universidad de la Iglesia Catlica)');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('31', 'Universidad de Navarra (Universidad de la Iglesia Catlica)');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('32', 'Universidad Pontificia de Salamanca (Universidad de la Iglesia Catlica)');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('33', 'Universidad Pontificia Comillas de Madrid (Universidad de la Iglesia Catlica)');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('34', 'Universidad de Castilla-La Mancha');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('35', 'Universidad Pblica de Navarra');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('36', 'Universidad Carlos III');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('37', 'Universidad de la Corua');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('38', 'Universidad de Vigo');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('39', 'Universidad Pompeu Fabra');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('40', 'Universidad Jaume I');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('41', 'Universidad Ramn Llull');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('42', 'Universidad Rovira i Virgili');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('43', 'Universidad de Girona');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('44', 'Universidad de Lleida');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('45', 'Universidad de La Rioja');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('46', 'Universidad San Pablo-CEU');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('47', 'Universidad Alfonso X el Sabio');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('48', 'Universidad de Almera');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('49', 'Universidad de Huelva');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('50', 'Universidad de Jan');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('51', 'Universidad de Burgos');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('52', 'Universidad Antonio de Nebrija');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('53', 'Universidad Europea de Madrid');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('54', 'Universidad Oberta de Catalua');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('55', 'Universidad Miguel Hernndez de Elche');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('56', 'Universidad Rey Juan Carlos');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('57', 'I.E. Universidad de Segovia');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('58', 'Universidad Pablo de Olavide de Sevilla');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('59', 'Universidad Catlica "Santa Teresa de Jess" de Avila');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('60', 'Universidad de Vic');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('61', 'Universidad "Mondragon Unibertsitatea"');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('62', 'Universidad Internacional de Catalua');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('63', 'Universidad Internacional de Andaluca');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('64', 'Universidad Politcnica de Cartagena');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('65', 'Universidad Camilo Jos Cela');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('66', 'Universidad Catlica "San Antonio" de Murcia');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('67', 'Universidad Cardenal Herrera-CEU');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('68', 'Universidad Francisco de Vitoria');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('69', 'Universidad Europea Miguel de Cervantes');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('70', 'Universidad Abat Oliba CEU');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('72', 'Universidad Catlica de Valencia San Vicente Mrtir');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('73', 'Universidad San Jorge');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('90', 'Universidad Extranjera');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('93', 'Diversos Organismos Oficiales');
Insert into P_UNIVERSIDADES_MEC
   (COD_UNIVERSIDAD_MEC, DENOMINACION)
 Values
   ('94', 'Ministerio de Educacin (Homologacin)');
COMMIT;



/******* P_ESTUDIOS_MEC *******/



CREATE TABLE P_ESTUDIOS_MEC
(
  CODIGO_MEC      VARCHAR2(11 BYTE)             NOT NULL,
  DES_CODIGO_MEC  VARCHAR2(500 BYTE)            NOT NULL,
  RENOVADA        VARCHAR2(1 BYTE),
  CICLO           NUMBER,
  UNIVERSIDAD     VARCHAR2(2 BYTE),
  TIPO_ESTUDIO    NUMBER
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311799', 'Mster Universitario en Educacin Especial', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312187', 'Mster Universitario en Electrnica, Tratamiento de Seal y Comunicaciones', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312009', 'Mster Universitario en Energa Solar Fotovoltaica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001850', 'Mster Universitario en Estructuras de la Edificacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001917', 'Mster Universitario en Estudios Avanzados en Derechos Humanos', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311575', 'Mster Universitario en Intervenciones Sociales y Educativas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312466', 'Mster Universitario en Gentica y Biologa Celular', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311934', 'Mster Universitario en Gestin Cultural', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310757', 'Mster Universitario en Estudios Sociales de la Ciencia', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311361', 'Mster Universitario en Filologa Clsica ', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000583', 'Mster Universitario en Finanzas de Empresas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001104', 'Mster Universitario en Derecho Ambiental y de la Sostenibilidad', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001396', 'Mster Universitario en Derecho de los Negocios y del Sector Privado', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001883', 'Mster Universitario en derechos fundamentales', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311124', 'Mster Universitario en Desarrollo Econmico y Sostenibilidad', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311191', 'Mster Universitario en Direccin de Proyectos', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001872', 'Mster Universitario en Direccin Financiera y Fiscal', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002764', 'Mster Universitario en Direccin y Gestin de Recursos Humanos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311959', 'Mster Universitario en Direccin y Realizacin de Series de Ficcin ', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310511', 'Mster Universitario en Drogodependencias y otras Adicciones', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000839', 'Mster Universitario en Economa Industrial', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311882', 'Mster Universitario en Economa Internacional', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312081', 'Mster Universitario en Hematologa y Oncologa Clnico-Experimental', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000042', 'Mster Universitario en Informacin Cientfica: Tratamiento, Acceso y Evaluacin', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002742', 'Mster Universitario en Ingeniera Acstica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310119', 'Mster Universitario en Ingeniera e Instrumentacin Nuclear', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312015', 'Mster Universitario en Ingeniera Ssmica- Dinmica de Suelos y Estructuras', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002091', 'Mster Universitario en podologa clnica y quirrgica avanzada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312929', 'Mster Universitario en Investigacin en Arquitectura', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000133', 'Mster Universitario en Gestin Integrada de Zonas Costeras', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310636', 'Mster Universitario en Historia Comparada, Siglos XVI-XX', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311263', 'Mster Universitario en Igualdad de Gnero en Ciencias Humanas, Sociales y Jurdicas', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000343', 'Mster Universitario en Informtica Industrial y Automtica', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313098', 'Mster Universitario en Informtica Industrial, Automtica, Computacin y Sistemas (MIIACS)', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000560', 'Mster Universitario en Ingeniera de Procesos Industriales', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311466', 'Mster Universitario en Ingeniera de Procesos Industriales', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310973', 'Mster Universitario en Ingeniera del Diseo ', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312565', 'Mster Universitario en Ingeniera Geodsica y Cartografa', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312343', 'Mster Universitario en Poltica Internacional. Estudios Sectoriales y de rea', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312358', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312032', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312063', 'Mster Universitario en Produccin y Gestin Artstica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311051', 'Mster Universitario en Fsica Aplicada', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310746', 'Mster Universitario en Derecho de Empresa', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311115', 'Mster Universitario en Derecho de la Globalizacin y de la Integracin Social', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001641', 'Mster Universitario en Direccin de Comercio Exterior', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311222', 'Mster Universitario en Direccin de Empresas de Turismo', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310625', 'Mster Universitario en Direccin Integrada de Proyectos', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001132', 'Mster Universitario en Ecologa Fundamental y Aplicada', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311523', 'Mster Universitario en Economa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310085', 'Mster Universitario en Economa y Gestin de la Innovacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001031', 'Mster Universitario Internacional en Sociologa Jurdica/ International Master in Sociology of Law ', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311054', 'Mster Universitario en Arqueologa y Patrimonio: Ciencia y Profesin', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002752', 'Mster Universitario en Arquitectura Avanzada , Paisaje, Urbanismo y Diseo', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312452', 'Mster Universitario en Arquitectura del Paisaje Juana de Vega', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002997', 'Mster Universitario en Automtica y Robtica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310019', 'Mster Universitario en Banca y Finanzas ', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311196', 'Mster Universitario en Computacin Grid y Paralelismo', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002095', 'Mster Universitario en Comunicacin Digital', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311987', 'Mster Universitario en Comunicacin Internacional, Traduccin e Interpretacin', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310655', 'Mster Universitario en Contabilidad y Auditora', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311725', 'Mster Universitario en Cooperacin al Desarrollo', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001173', 'Mster Universitario en Biologa Evolutiva', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311382', 'Mster Universitario en Biotecnologa en Ciencias de la Salud', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000210', 'Mster Universitario en Ciencia Cognitiva y Lenguaje', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310427', 'Mster Universitario en Traduccin de Textos Especializados', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312164', 'Mster Universitario en Traduccin e Interculturalidad', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002761', 'Mster Universitario en uso sostenible y proteccin del suelo en ambientes mediterrneos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001543', 'Mster Universitario Erasmus Mundus en Estudios de las Mujeres y de Gnero / Master''s Degreein Gende', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312261', 'Mster Universitario en Artes Visuales y Educacin: un Enfoque Construccionista', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002896', 'Mster Universitario en Artes Visuales y Educacin: un Enfoque Construccionista', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312018', 'Mster Universitario en Asesora Jurdico-Laboral', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310861', 'Mster Universitario en Avances en Investigacin y Tratamientos en Psicopatologa y Salud', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001571', 'Mster Universitario en Bienes Culturales: Conservacin, Restauracin y Exposicin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312330', 'Mster Universitario en Biodiversidad', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002738', 'Mster Universitario en Creacin y Gestin de Empresas Innovadoras y de Base Tecnologica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001813', 'Mster Universitario en Biologa Molecular y Celular', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310456', 'Mster Universitario en Biologa Molecular, Celular y Gentica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310456', 'Mster Universitario en Biologa Molecular, Celular y Gentica', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002051', 'Mster Universitario en Biotecnologa Computacional', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311623', 'Mster Universitario en Calidad y Seguridad Alimentaria', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312278', 'Mster Universitario en Agroecologa. Un Enfoque para la Sustentabilidad Rural', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000017', 'Mster Universitario en Agroecologa: un Enfoque Sustentable de la Agricultura Ecolgica', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311233', 'Mster Universitario en Anlisis Gramatical y Estilstico del Espaol  ', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310036', 'Mster Universitario en Investigacin en Comunicacin y Periodismo', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310646', 'Mster Universitario en Investigacin en Empresas, Finanzas y Seguros', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312414', 'Mster Universitario en Investigacin Sobre Familia. Perspectivas Psicolgicas, Educativas y Sociale', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001630', 'Mster Universitario en mediacin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311552', 'Mster Universitario en Microbiologa Avanzada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003018', 'Mster Universitario en Optometra y Ciencias de la Visin', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312586', 'Mster Universitario en Psicologa del Trabajo y de las Organizaciones, Psicologa Jurdica-Forense ', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000854', 'Mster Universitario en Qumica Orgnica, Experimental e Industrial', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001717', 'Mster Universitario en Qumica Sinttica e Industrial', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001374', 'Mster Universitario en qumica terica y computacional', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000754', 'Mster Universitario Ejecutivo Global en Direccin de Empresas (GEMBA)', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001276', 'Mster Universitario en Estudios Latinoamericanos: Diversidad Cultural y Complejidad Social', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310302', 'Mster Universitario en Investigacin en las Tecnologas de la Informacin y la Comunicacin y su Ge', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000244', 'Mster Universitario en Microbiologa Aplicada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001486', 'Mster Universitario en Microbiologa Avanzada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311661', 'Mster Universitario en Nuevos Materiales', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001457', 'Mster Universitario en Operaciones y Logstica', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312277', 'Mster Universitario en Patrimonio Musical', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002903', 'Mster Universitario en Psicologia de la Educacin - MIPE', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001793', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310058', 'Mster Universitario en Salud Internacional', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312294', 'Mster Universitario en Sistemas de Informacin Audiovisual', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000542', 'Mster Universitario en Sistemas Electrnicos Avanzados', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312640', 'Mster Universitario en Tcnicas Avanzadas en Proyectos Arquitectnicos', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001974', 'Mster Universitario en tcnicas cromatogrficas aplicadas', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310573', 'Mster Universitario en Tecnologa y Calidad en las Industrias Agroalimentarias', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002938', 'Mster Universitario en Investigacin en Ciencias Odontolgicas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310164', 'Mster Universitario en Investigacin en Qumica', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311247', 'Mster Universitario en Investigacin en Tecnologas Industriales', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001030', 'Mster Universitario en Lingstica y Filologa Vasca/ Hizkuntzalaritza eta Euskal Filologa Unibert', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310896', 'Mster Universitario en Matemtica Aplicada', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311779', 'Mster Universitario en Matemticas', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312910', 'Mster Universitario en Msica Espaola e Hispanoamericana', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310889', 'Mster Universitario en Neurociencias', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310853', 'Mster Universitario en Optometra Avanzada', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000655', 'Mster Universitario en Periodismo Econmico', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310453', 'Mster Universitario en Piscologa de la Salud ', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311806', 'Mster Universitario en Psicopatologa Legal, Forense y Criminolgica', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311228', 'Mster Universitario en Restauracin de Ecosistemas por la Universidad Complutense de Madrid; la Uni', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312192', 'Mster Universitario en Sistemas de Energa Elctrica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310298', 'Mster Universitario en Sistemas de Energa Elctrica', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311471', 'Mster Universitario en Sistemas Electrnicos Avanzados', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000629', 'Mster Universitario en Tcnicas Experimentales Avanzadas en la Ingeniera Civil', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312383', 'Mster Universitario en Tcnicas para la Investigacin, Desarrollo e Innovacin en Ciencias e Ingeni', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002904', 'Mster Universitario en Tecnologa Educativa: E-Learning y Gestin del Conocimiento', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310485', 'Mster Universitario en Tecnologas de la Informtica', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310288', 'Mster Universitario en Transporte, Territorio y Urbanismo', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500875', 'Graduado o Graduada en Historia', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500784', 'Graduado o Graduada en Historia del Arte', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501805', 'Graduado o Graduada en Historia y Ciencias de la Msica', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501588', 'Graduado o Graduada en Humanidades y Patrimonio', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501601', 'Graduado o Graduada en Ingeniera Aeroespacial', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501584', 'Graduado o Graduada en Ingeniera Aeroespacial', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500773', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500653', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500431', 'Graduado o Graduada en Ingeniera en Sistemas Audiovisuales y Multimedia', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501434', 'Graduado o Graduada en Ingeniera en Sonido e Imagen en Telecomunicacin por la Universidad de Alica', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500631', 'Graduado o Graduada en Ingeniera Mecatrnica', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500543', 'Graduado o Graduada en Odontologa', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502224', 'Graduado o Graduada en ptica y Optometra', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500830', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501508', 'Graduado o Graduada en Qumica', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500175', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502087', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos ', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502333', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501013', 'Graduado o Graduada en Ciencias Empresariales', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500181', 'Graduado o Graduada en Enfermera', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500586', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502199', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501117', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500092', 'Graduado o Graduada en Comunicacin', NULL, 0, '57', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500671', 'Graduado o Graduada en Espaol: Lengua y Literatura', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501031', 'Graduado o Graduada en Estadstica Aplicada por la Universidad Complutense de Madrid', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500683', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500190', 'Graduado o Graduada en Filosofa', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501138', 'Graduado o Graduada en Educacin Primaria por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500781', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002050', 'Mster Universitario en Sistemas de Gestin Global de Organizaciones', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310553', 'Mster Universitario en Sistemas de Informacin Contable', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001005', 'Mster Universitario en Sistemas de Informacin Digital.', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311271', 'Mster Universitario en Tecnologas Aplicadas a la Informacin', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000901', 'Mster Universitario en Tecnologas, Sistemas y Redes de Comunicaciones', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00003078000', 'Licenciado en Ciencias de la Actividad Fsica y el Deporte', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312312', 'Mster Universitario en Clima, Energa y Riesgo Ambiental por la Universidad de Alcal', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313153', 'Mster Universitario en Agricultura, Ganadera y Silvicultura Ecolgicas', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311617', 'Mster Universitario en Agrobiologa Ambiental', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002164', 'Mster Universitario en estudios sobre la Unin Europea', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002128', 'Mster Universitario en Europa, el Mundo Mediterrneo y su Difusin Atlntica. Mtodos y Teoras par', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310193', 'Mster Universitario en Finanzas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311699', 'Mster Universitario en Cuidados Integrales de Enfermera en Situaciones Crticas y Urgencias en el ', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000162', 'Mster Universitario en Democracia y Buen Gobierno', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002003', 'Mster Universitario en Deporte, Ocio y Cambio Social: Estrategias para la Gestin y el Anlisis de ', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311412', 'Mster Universitario en Derecho de la Empresa y la Contratacin', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002019', 'Mster Universitario en Derecho Deportivo', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312488', 'Mster Universitario en Derecho Internacional', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730100000', 'Ingeniero Tcnico de Minas, Especialidad en Mineralurgia y Metalurgia', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730100000', 'Ingeniero Tcnico de Minas, Especialidad en Mineralurgia y Metalurgia', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740040000', 'Ingeniero Tcnico Naval, Especialidad en Estructuras Marinas', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740040000', 'Ingeniero Tcnico Naval, Especialidad en Estructuras Marinas', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '59', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500013', 'Graduado en Derecho', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500259', 'Graduado o Graduada en Ciencia Poltica y Gestin Pblica ', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500163', 'Graduado en Informacin y Documentacin', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310388', 'Mster Universitario en Direccin y Planificacin de Turismo', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500457', 'Graduado en Biologa', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501055', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501023', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500358', 'Graduado o Graduada en Ciencias de la Actividad Fsica y el Deporte', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00004313040', 'Mster Universitario Cooperacin Internacional para el Desarrollo', 'N', 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501071', 'Graduado o Graduada en Contabilidad y Finanzas', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501683', 'Graduado o Graduada en Estadstica', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501740', 'Graduado o Graduada en Estudios rabes e Islmicos', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501779', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501196', 'Graduado o Graduada en Derecho', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500808', 'Graduado o Graduada en Economa', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500654', 'Graduado o Graduada en Arquitectura', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500704', 'Graduado o Graduada en Bioqumica', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501100', 'Graduado o Graduada en Lengua y Literatura Modernas', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502380', 'Graduado o Graduada en Lenguas Modernas y sus Literaturas', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500924', 'Graduado o Graduada en Fsica', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500120', 'Graduado o Graduada en Humanidades', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501757', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502206', 'Graduado o Graduada en Ingeniera de Obras Pblicas ', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502001', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501727', 'Graduado o Graduada en Ingeniera Electrnica Industrial ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500676', 'Graduado en Medicina', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500996', 'Graduado en Geografa e Historia', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500037', 'Graduado o Graduada en Ingeniera en Organizacin Industrial', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501330', 'Graduado o Graduada en Ingeniera en Sonido e Imagen', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502209', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales por la Universidad de A Corua', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500560', 'Graduado o Graduada en Psicologa ', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501087', 'Graduado o Graduada en Qumica', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500522', 'Graduado o Graduada en Sociologa', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500094', 'Graduado o Graduada en Sociologa', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500636', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502230', 'Graduado o Graduada en Trabajo Social', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000004', 'Mster en Geotecnologias Cartograficas en Ingenieria y Arquitectura', 'N', 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000006', 'Mster en Estudios Avanzados de Filosofia', 'N', 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000146', 'Mster en Acstica y vibraciones', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000175', 'Mster en investigacin en ingeniera en procesos y sistemas', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002539', 'Mster Oficial en Gestin y Tecnologa Ambiental', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30200000000', 'Licenciado de la Marina Civil', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30220000000', 'Licenciado en Educacin Fsica', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '57', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240010000', 'Licenciado en Derecho (Plan Hispano-Francs)', 'N', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250140000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Pedagoga', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30270010000', 'Licenciado en Filologa, Seccin Filologa Anglogermnica', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Germnica.(Ingls).', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Germnica.(Ingls).', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011500', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN FILOLOGIA INGLESA', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280012000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Romnica.(Francs).', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020500', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia del Arte.', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020500', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia del Arte.', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030100', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. Educacin, Especialidad CC. de Educacin', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030400', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. de la Educacin, Especialidad Psicologa', 'N', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30290000000', 'Licenciado en Ciencias del Mar', 'S', 2, '72', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30330000000', 'Licenciado en Geologa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30330000000', 'Licenciado en Geologa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '35', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '52', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '62', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480010000', 'Licenciado en Filologa Clsica.(Filologa Griega).', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480020000', 'Licenciado en Filologa Clsica.(Filologa Latina).', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30550000000', 'Licenciado en Filologa Italiana', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30550000000', 'Licenciado en Filologa Italiana', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30550000000', 'Licenciado en Filologa Italiana', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30560000000', 'Licenciado en Filologa Portuguesa', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30570000000', 'Licenciado en Filologa Romnica', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30570000000', 'Licenciado en Filologa Romnica', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30570000000', 'Licenciado en Filologa Romnica', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30580000000', 'Licenciado en Filologa Vasca', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610040000', 'Licenciado en Historia, Seccin Historia Moderna y Contempornea', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '70', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30710000000', 'Licenciado en Nutica y Transporte Martimo', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '58', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30790000000', 'Licenciado en Ciencias y Tcnicas Estadsticas', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30800000000', 'Licenciado en Historia y Ciencias de la Msica', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30810000000', 'Licenciado en Enologa', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30840000000', 'Licenciado en Estudios de Asia Oriental', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30850000000', 'Licenciado en Criminologa', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30850000000', 'Licenciado en Criminologa', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010090000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa Inglesa.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40030000000', 'Diplomado en ptica', 'N', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '68', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '47', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '52', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '59', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '58', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '39', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40230000000', 'Diplomado en Mquinas Navales', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40240000000', 'Diplomado en Navegacin Martima', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40250000000', 'Diplomado en Radioelectrnica Naval', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '57', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '56', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '52', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '39', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '31', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '66', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '65', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310081', 'Mster en Investigacin en ciencias de la visin', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310330', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310590', 'Investigacin Aplicada a la Educacin', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310623', 'Desarrollo Econmico Regional y Local y Gestin del Territorio', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311024', 'Lseres y Aplicaciones en Quimica', 'N', 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311290', 'Fsica y Tecnologa de los Lseres', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311290', 'Fsica y Tecnologa de los Lseres', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311294', 'Iniciacin a la Investigacin en Textos de la Antigedad Clsica y su Pervivencia', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010010000', 'Arquitecto.Edificacin.', 'N', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010020000', 'Arquitecto.Urbanismo.', 'N', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '35', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10040000000', 'Ingeniero de Caminos, Canales y Puertos', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10040000000', 'Ingeniero de Caminos, Canales y Puertos', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10050000000', 'Ingeniero de Minas', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10050000000', 'Ingeniero de Minas', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10060000000', 'Ingeniero de Montes', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10060000000', 'Ingeniero de Montes', 'S', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10060000000', 'Ingeniero de Montes', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '64', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090160000', 'Ingeniero Industrial.Mecnica.Intensificacin Mquinas.', 'N', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10100000000', 'Ingeniero Superior Electromecnico (I.C.A.I.)', 'N', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '35', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '52', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '61', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10160000000', 'Ingeniero en Geodesia y Cartografa', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10210000000', 'Ingeniero Gelogo', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10210000000', 'Ingeniero Gelogo', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501310', 'Graduado en Comercio', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501417', 'Graduado en Historia', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501419', 'Graduado en Traduccin e Interpretacin', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502313', 'Graduado en Ingeniera Agrcola y Medio Rural', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502322', 'Graduado en Ingeniera Mecnica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502470', 'Graduado en Finanzas, Banca y Seguros', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000141', 'Mster en investigacin en ingeniera termodinmica de fluidos', 'S', 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000154', 'Mster en Fisica y Tecnologia de los Lseres', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000155', 'Mster en Iniciacin a la investigacin de textos de la antigedad clasica y su pervivencia', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000167', 'Mster en Msica hispana', 'S', 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000183', 'Mster en Inmunologa y superficie ocular', 'S', 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000184', 'Mster en Oncologa ocular, rbita y oculoplstica', 'S', 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001019', 'Mster Oficial en Estudios Ingleses Avanzados:Lenguas y Culturas de contacto', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001020', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002530', 'Mster Oficial en Geotecnologias Cartograficas en Ingenieria y Arquitectura', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020200', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Financiacin', 'N', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020200', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Financiacin', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060021700', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Contabilidad', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30070000000', 'Licenciado en Ciencias Polticas y Econmicas', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130000000', 'Licenciado en Ciencias de la Informacin', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130010000', 'Licenciado en Ciencias de la Informacin, Seccin Periodismo', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130020000', 'Licenciado en Ciencias de la Informacin, Seccin Publicidad y Relaciones Pblicas', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30170000000', 'Licenciado en Ciencias Matemticas', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010200', 'Licenciado en Ciencias.(Fsicas).Electrnica', 'N', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010200', 'Licenciado en Ciencias.(Fsicas).Electrnica', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010500', 'Licenciado en Ciencias.(Fsicas).Fsica General', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020300', 'Licenciado en Ciencias.(Qumicas).Qumica Analtica', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020400', 'Licenciado en Ciencias.(Qumicas).Qumica Inorgnica', 'N', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020500', 'Licenciado en Ciencias.(Qumicas).Bioqumica', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020600', 'Licenciado en Ciencias.(Qumicas).Qumica Orgnica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020700', 'Licenciado en Ciencias.(Qumicas).Qumica Fsica', 'N', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190021300', 'Licenciado en Ciencias.(Qumicas).Qumica General', 'N', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501357', 'Graduado o Graduada en Arquitectura', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501590', 'Graduado o Graduada en Arquitectura', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501280', 'Graduado o Graduada en Asistencia en Direccin ', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500722', 'Graduado o Graduada en Biologa', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501786', 'Graduado o Graduada en Fsica', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502252', 'Graduado o Graduada en Fsica', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502089', 'Graduado o Graduada en Gestin Informtica Empresarial', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501746', 'Graduado o Graduada en Humanidades', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501589', 'Graduado o Graduada en Humanidades: Historia Cultural', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501383', 'Graduado o Graduada en Ingeniera de Computadores', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501326', 'Graduado o Graduada en Ingeniera de Obras Pblicas en Transportes y Servicios Urbanos', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500045', 'Graduado o Graduada en Ingeniera de Sistemas de Comunicaciones', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501179', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501487', 'Graduado o Graduada en Ingeniera Electromecnica', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00004313100', 'Mster Universitario Enfermera Oftalmolgica ', 'N', 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500292', 'Graduado o Graduada en Educacin Social', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502295', 'Graduado o Graduada en Arquitectura', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500703', 'Graduado o Graduada en Biologa', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500150', 'Graduado o Graduada en Lenguas Aplicadas a la Comunicacin y al Marketing', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501293', 'Graduado o Graduada en Filosofa', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500279', 'Graduado o Graduada en Geologa', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501634', 'Graduado o Graduada en Geologa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000095', 'Mster Universitario en Sistemas de Energa Elctrica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310549', 'Mster Universitario en Tcnicas Experimentales Aplicadas al Manejo y Conservacin de los Recursos B', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310689', 'Mster Universitario en Gestin Integral de Tecnologas de la Informacin', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311874', 'Mster Universitario en Gestin Sostenible y Tecnologas del Agua', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000587', 'Mster Universitario en Gobierno y Administracin Pblica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310314', 'Mster Universitario en Hidrologa y Gestin de los Recursos Hdricos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311443', 'Mster Universitario en Informtica Grfica, Juegos y Realidad Virtual', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310634', 'Mster Universitario en Ingeniera Ambiental para Profesionales Relacionados con la Obra Civil y la ', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311606', 'Mster Universitario en Ingeniera de Anlisis de Datos, Mejora de Procesos y Toma de Decisiones', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001522', 'Mster Universitario en ingeniera para el medio rural', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000528', 'Mster Universitario en Ingeniera Trmica y de Fluidos', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002910', 'Mster Universitario en Ingeniera y Control de Procesos Medioambientales / Environmental Process Co', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311736', 'Mster Universitario en Profesor/a de Educacin Secundaria Obligatoria y Bachillerato, Formacin Pro', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311849', 'Mster Universitario en Investigacin Clnica y Aplicada en Oncologa', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311858', 'Mster Universitario en Investigacin en Ciencias Veterinarias', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312583', 'Mster Universitario en Lecturas sobre la Ciudad Histrica. Arte, Patrimonio Cultural y su Gestin', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310712', 'Mster Universitario en Lengua y Literaturas Catalanas: Oralidad y Escritura', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311102', 'Mster Universitario en Lingstica Aplicada a la Enseanza del Espaol como Lengua Extranjera', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310111', 'Mster Universitario en Marketing e Investigacin de Mercados', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311689', 'Mster Universitario en Medicina Molecular: Dao Oxidativo y Bioproteccin', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001732', 'Mster Universitario en migraciones: conocimiento y gestin de los procesos migratorios', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002906', 'Mster Universitario en Modelizacin Matemtica en Ingeniera: Teora, Computacin y Aplicaciones / ', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001714', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000591', 'Mster Universitario en Mujeres y Salud', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310332', 'Mster Universitario en Neurociencias', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001357', 'Mster Universitario en neurociencias', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001446', 'Mster Universitario en Neurociencias y Biologa del Comportamiento', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000856', 'Mster Universitario en Optometra Avanzada y Ciencias de la Visin', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312674', 'Mster Universitario en Periodismo Multimedia', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311817', 'Mster Universitario en Psicologa de la Salud y Psicoterapia', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311475', 'Comunicacin con Fines Sociales: Estrategias y Campaas', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311484', 'Oncologa Ocular, rbita y Oculoplstica', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311667', 'Mster en Qumica Sinttica e Industrial', 'N', 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312199', 'Mster en Historia Medieval de Castilla y Len', 'N', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312200', 'Mster en Investigacin en Matemticas', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312428', 'Mster en Estudios Filolgicos Superiores: Investigacin y Aplicaciones Profesionales', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312595', 'Mster en Rehabilitacin Visual', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50110000000', 'Ingeniero Tcnico en Explotaciones Forestales.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '52', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '47', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600000000', 'Ingeniero Tcnico de Obras Pblicas', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710060000', 'Ingeniero Tcnico Agrcola, Especialidad en Mecanizacin y Construcciones Rurales', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501125', 'Graduado o Graduada en Turismo', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311619', 'Mster Universitario en Artes y Ciencias del Espectculo', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001977', 'Mster Universitario en asesoramiento lingstico y cultura literaria', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001578', 'Mster Universitario en Asesora Jurdica de Empresa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002603', 'Mster Universitario en Asesora Jurdica de la Empresa', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311789', 'Mster Universitario en Biotica', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000379', 'Mster Universitario en Educacin y TIC (e-learning)', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311686', 'Mster Universitario en Tcnicas Avanzadas en Fisioterapia y Mujer', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312123', 'Mster Universitario en Tecnologa Agroambiental para una Agricultura Sostenible', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002511', 'Mster Universitario en Tecnologa Educativa: Aprendizaje Virtual y Gestin del Conocimiento', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310797', 'Mster Universitario en Tecnologa en la Arquitectura', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310474', 'Mster Universitario en Tecnologa Lser', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312237', 'Mster Universitario en Urbanismo', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002924', 'Mster Universitario Interdisciplinari dels Mdia i Sistemes Cognitius Interactius', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310473', 'Mster Universitario en Automtica y Robtica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311620', 'Mster Universitario en Banca y Finanzas Cuantitativas', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311810', 'Mster Universitario en Ingeniera Informtica y su Gestin', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002008', 'Mster Universitario en Ingeniera Informtica y su Gestin', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002950', 'Mster Universitario en Ingeniera Termodinmica de Fluidos', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312599', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311539', 'Mster Universitario en Psicogerontologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311773', 'Mster Universitario en Investigacin en Educacin, Diversidad Cultural y Desarrollo Comunitario', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002087', 'Mster Universitario en Lingstica Aplicada a la Enseanza de Espaol como Lengua Extranjera', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311659', 'Mster Universitario en Modelos y reas de Investigacin en Ciencias Sociales', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310729', 'Mster Universitario en Neurociencia Cognitiva y Necesidades Educativas Especficas', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312258', 'Mster Universitario en Neurociencia y Dolor', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000231', 'Mster Universitario en Psicologa de la Educacin - MIPE', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001537', 'Mster Universitario en Psicologa de la Intervencin Social', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002786', 'Mster Universitario en psicologa de la intervencin social', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311820', 'Mster Universitario en Antropologa Fsica: Evolucin y Biodiversidad Humanas', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312161', 'Mster Universitario en Arqueologa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001637', 'Mster Universitario en Estudios Sociales de la Ciencia', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310470', 'Mster Universitario en Fsica Aplicada', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310385', 'Mster Universitario en Derecho Urbanstico y del Medio Ambiente', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001322', 'Mster Universitario en Dianas Teraputicas en Sealizacin Celular: Investigacin y Desarrollo', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002053', 'Mster Universitario en Direccin de Empresas', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312490', 'Mster Universitario en Economia', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001397', 'Mster Universitario en Economa y Derecho Empresariales', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000615', 'Mster Universitario en Educacin y Gestin de Enfermera', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311055', 'Mster Universitario en Estudios Humansticos y Sociales', NULL, 0, '70', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000921', 'Mster Universitario en Ingls y Espaol para Fines Especficos y Empresariales', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001757', 'Mster Universitario en iniciacin a la investigacin en ciencia y tecnologa de los alimentos', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000102', 'Mster Universitario en Iniciacin a la Investigacin en Matemticas', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311249', 'Mster Universitario en Lingstica Inglesa Aplicada', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310444', 'Mster Universitario en Lingstica y Filologa Vasca / Hizkuntzalaritza eta Euskal Filologa Uniber', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002711', 'Mster Universitario en Migraciones Internacionales: Investigacin, Polticas Migratorias y Mediaci', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311325', 'Mster Universitario en Musicologa y Educacin Musical', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001141', 'Mster Universitario en Pensamiento Contemporneo', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312270', 'Mster Universitario en Psicologa de la Intervencin Social', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001829', 'Mster Universitario en Qumica Inorgnica Molecular', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001176', 'Mster Universitario en qumica orgnica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311723', 'Mster Universitario en Qumica Orgnica Experimental e Industrial', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002656', 'Mster Universitario en Recursos Hdricos y Medio Ambiente', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312605', 'Mster Universitario en Salud Pblica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311549', 'Mster Universitario en Seguridad Alimentaria', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311549', 'Mster Universitario en Seguridad Alimentaria', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311426', 'Mster Universitario en Sntesis y Catlisis/Synthesis and Catalysis', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311868', 'Mster Universitario en Sociologa de la Poblacin, del Territorio y de las Migraciones', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001540', 'Mster Universitario en Soft Computing y Sistemas Inteligentes', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311398', 'Mster Universitario en Software Libre', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310260', 'Mster Universitario en Tcnicas Avanzadas en Investigacin y Desarrollo Agrario y Alimentario', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000066', 'Mster Universitario en Tecnologa Ambiental', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001672', 'Mster Universitario en tecnologas de la informacin y comunicaciones en redes mviles (TICRM)', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002817', 'Mster Universitario en Tecnologas de la Traduccin y Localizacin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312518', 'Mster Universitario en Trabajo, Relaciones Laborales y Recursos Humanos', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310335', 'Mster Universitario en Traduccin y Mediacin Intercultural', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000716', 'Mster Universitario en Urbanismo', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002139', 'Mster Universitario en Arquitectura Biodigital', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310490', 'Mster Universitario en Formacin del Profesorado de Secundaria Obligatoria y Bachillerato, Formaci', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310581', 'Mster Universitario en Formacin para Profesor de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311162', 'Mster Universitario en Geologa y Gestin Ambiental de los Recursos Minerales', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310400', 'Mster Universitario en Gerontologa por la Universidad de A Corua y la Universidad de Santiago de ', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311056', 'Mster Universitario en Gestin Administrativa', NULL, 0, '70', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312179', 'Mster Universitario en Gestin Estratgica y Negocios Internacionales', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311756', 'Mster Universitario en Gestin Pblica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000861', 'Mster Universitario en Gestin y Promocin del Desarrollo Local', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002593', 'Mster Universitario en Informtica con Intensificaciones en: Aplicaciones Industriales; Ingeniera ', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002548', 'Mster Universitario en Ingenieria Ambiental', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310259', 'Mster Universitario en Ingeniera Ambiental y de Procesos Qumicos y Biotecnolgicos', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000891', 'Mster Universitario en Ingeniera del Mantenimiento', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312295', 'Mster Universitario en Ingeniera del Software e Inteligencia Artificial', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311904', 'Mster Universitario en Ingeniera Elctrica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001923', 'Mster Universitario en Ingeniera Telemtica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001923', 'Mster Universitario en Ingeniera Telemtica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310938', 'Mster Universitario en Planificacin y Gestin de la Educacin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311014', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001909', 'Mster Universitario en Propiedad Intelectual', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002941', 'Mster Universitario en Proyecto Integrado de Arquitectura', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001681', 'Mster Universitario en qumica terica y modelacin computacional', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001681', 'Mster Universitario en qumica terica y modelacin computacional', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000588', 'Mster Universitario en Relaciones Internacionales', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001956', 'Mster Universitario en Tcnicas Estadsticas', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000603', 'Mster Universitario en Terapias Manuales', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002187', 'Mster Universitario para la Formacin en la Investigacin Universitaria', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310878', 'Mster Universitario en Arqueologa y Patrimonio', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002576', 'Mster Universitario en Artes Visuales y Educacin. Un Enfoque Construccionista', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312653', 'Mster Universitario en Comunicacin y Educacin Audiovisual por la Universidad Internacional de And', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001990', 'Mster Universitario en Cooperacin al Desarrollo', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001471', 'Mster Universitario en Estudios Literarios', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311707', 'Mster Universitario en Direccin y Gestin de Recursos Humanos', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312696', 'Mster Universitario en Direccin, Evaluacin y Calidad de las Instituciones de Formacin', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311521', 'Mster Universitario en Diseo Urbano: Arte, Ciudad, Sociedad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001493', 'Mster Universitario en Economa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001971', 'Mster Universitario en Eficiencia Energtica y Sostenibilidad en Instalaciones Industriales y Edifi', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310326', 'Mster Universitario en Enseanza del Espaol como Lengua Extranjera', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312495', 'Mster Universitario en Estudios Avanzados en Pedagoga', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001788', 'Mster Universitario en Estudios Catalanes: Lengua y Literatura y sus Aplicaciones', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311536', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312120', 'Mster Universitario en Innovacin Tecnolgica en Edificacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001484', 'Mster Universitario en Internacionalizacin', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310397', 'Mster Universitario en Intervencin Multidisciplinar en la Diversidad en Contextos Educativos', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001657', 'Mster Universitario en Fsica y Tecnologa Fsica', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311142', 'Mster Universitario en Gnero, Identidad y Ciudadana', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002936', 'Mster Universitario Erasmus Mundus en Psicologa del Trabajo, Organizaciones y Recursos Humanos/Era', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002762', 'Mster Universitario Internacional en Gestin de Empresas, Productos y Servicios', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002113', 'Mster Universitario en Asesora Financiera y Fiscal en el Marco de las NIFF', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001207', 'Mster Universitario en Astrofsica: Instrumentacin y Tecnologa', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000192', 'Mster Universitario en Banca y Finanzas Cuantitativas', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312945', 'Mster Universitario en Creacin y Gestin de Empresas Innovadoras y de Base Tecnolgica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000691', 'Mster Universitario en Biologa y Tecnologa de la Reproduccin en Mamferos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003052', 'Mster Universitario en ciencia del lenguaje y lingistica hispnica', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003076', 'Mster Universitario "European Mster in Sustainable Regional Health systems" (Erasmus Mundus)', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002739', 'Mster Universitario en Analisis del REndimiento Deportivo', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310167', 'Mster Universitario en Banca y Finanzas', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002722', 'Mster Universitario en Biodiversidad Marina y Conservacin', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000829', 'Mster Universitario en Biodiversidad: Conservacin y Evolucin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002782', 'Mster Universitario en Cuidados a Pacientes de Anestesia y Cuidados Intensivos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001718', 'Mster Universitario en Biologa Molecular y Biomedicina', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001718', 'Mster Universitario en Biologa Molecular y Biomedicina', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001159', 'Mster Universitario en Biotecnologa Molecular, Celular y Gentica', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311127', 'Mster Universitario en Anlisis Funcional en Contextos Clnicos y de la Salud', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002069', 'Mster Universitario en Estudios Migratorios. Desarrollo e Intervencin Social', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000255', 'Mster Universitario en Estudios Territoriales y de la Poblacin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002594', 'Mster Universitario en Estudios Textuales', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001114', 'Mster Universitario en Filosofa Contempornea', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002889', 'Mster Universitario en Filosofa Contempornea: Tendencias y Debates', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002640', 'Mster Universitario en Cuidados Integrales de Enfermera en Situaciones Crticas y Urgencias en el ', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312239', 'Mster Universitario en Culturas rabes y Hebrea: Pasado y Presente', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000741', 'Mster Universitario en Derecho de Empresa', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001022', 'Mster Universitario en Derecho de los Deportes/ Master in Sport Law.', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001431', 'Mster Universitario en Derecho Urbanstico y Ambiental', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001579', 'Mster Universitario en Derechos Fundamentales y Libertades Pblicas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000706', 'Mster Universitario en Desarrollo Social', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000776', 'Mster Universitario en Desarrollo Socio-Cooperativo', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312604', 'Mster Universitario en Direccin de Arte en Publicidad', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310371', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002039', 'Mster Universitario en Diseo Periodstico para la Sociedad de la Informacin', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002647', 'Mster Universitario en Economa de la Salud, Gestin Sanitaria y Uso Racional del Medicamento', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001823', 'Mster Universitario en Economa Internacional', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310657', 'Mster Universitario en Economa y Desarrollo Territorial', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001729', 'Mster Universitario en periodismo multimedia El Correo-UPV/EHU', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311550', 'Mster Universitario en Psicologa de la Educacin - MIPE', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001972', 'Mster Universitario en qumica sostenible', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001844', 'Mster Universitario en recursos fitogenticos', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002781', 'Mster Universitario en salud pblica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000260', 'Mster Universitario en Salud Pblica (MSP)', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311668', 'Mster Universitario en Seguridad y Salud en el Trabajo', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000602', 'Mster Universitario en Prctica Jurdica Empresarial', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310398', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310481', 'Mster Universitario en Profesorado  de Educacin Secundaria Obligatoria y Bachillerato, Formacin P', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311432', 'Mster Universitario en Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002808', 'Mster Universitario en Protocolo y asesora de imagen', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002967', 'Mster Universitario en Psicogerontologa', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002533', 'Mster Universitario en Psicogerontologa', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311447', 'Mster Universitario en Investigacin del Dolor', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312217', 'Mster Universitario en Investigacin e Innovacin en Contextos Educativos', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311039', 'Mster Universitario en Investigacin en Actividad Fsica, Deporte y Salud', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001595', 'Mster Universitario en consultora hidrolgica y manejo de ecosistemas acuticos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000416', 'Mster Universitario en Contabilidad y Finanzas', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000100', 'Mster Universitario en Biologa Molecular y Celular', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000240', 'Mster Universitario en Bioqumica, Biologa Molecular y Biomedicina', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310273', 'Mster Universitario en Ciencia y Tecnologa Nuclear', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001965', 'Mster Universitario Avanzado en Ciencias Jurdicas', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310879', 'Mster Universitario en Acuicultura y Pesca: Recursos Marinos y Sostenibilidad', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310953', 'Mster Universitario en Gestin de la Calidad', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310953', 'Mster Universitario en Gestin de la Calidad', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002784', 'Mster Universitario en Gestin de la Calidad en los Servicios de Salud', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310128', 'Mster Universitario en Gestin de la Comunicacin en Redes Sociales', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001110', 'Mster Universitario en Gestin del Conocimiento Biomdico e Investigacin Clnica: Especialidad en ', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002588', 'Mster Universitario en Gobernabilidad para un Desarrollo Sostenible: Planificacin, Gestin y Evalu', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310411', 'Mster Universitario en Historia Contempornea', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310411', 'Mster Universitario en Historia Contempornea', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002554', 'Mster Universitario en Informtica Industrial', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311029', 'Mster Universitario en Ingeniera de Fabricacin', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002633', 'Mster Universitario en Ingeniera Electrnica con Intensificaciones en: Profesional en Ingeniera E', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000522', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310793', 'Mster Universitario en Polmeros y Biopolmeros', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001373', 'Mster Universitario en polmeros y biopolmeros', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002895', 'Mster Universitario en Prctica y Diseminacin de Artes Contemporaneas', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001391', 'Mster Universitario en Promocin de la Salud', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000608', 'Mster Universitario en Prtesis e Implantoprtesis Avanzada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001899', 'Mster Universitario en investigacin en atencin primaria', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312459', 'Mster Universitario en Investigacin y Evaluacin Didctica en el ula para el Desarrollo Profesion', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003015', 'Mster Universitario en Lgica Pura y Aplicada', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001527', 'Mster Universitario en lgica y filosofa de la ciencia', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001546', 'Mster Universitario en Marketing y Comportamiento del Consumidor', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312246', 'Mster Universitario en Matemticas', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310419', 'Mster Universitario en Mecnica Aplicada', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001275', 'Mster Universitario en Mejora Gentica Animal y Biotecnologa de la Reproduccin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311885', 'Mster Universitario en Biologa de la Conservacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001664', 'Mster Universitario en Biologa Molecular y Biomedicina', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311129', 'Mster Universitario en Biologa y Tecnologa de la Reproduccin en Mamferos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002086', 'Mster Universitario en Biomedicina Regenerativa', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000586', 'Mster Universitario en Ciencia Poltica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003040', 'Mster Universitario en Ciencias de la Enfermeria', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002721', 'Mster Universitario en Comercio Internacional', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311538', 'Mster Universitario en Acuicultura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001195', 'Mster Universitario en Acuicultura, Aspectos Bsicos y Aplicados', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311486', 'Mster Universitario en Administracin, Direccin y Organizacin de Empresas', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312922', 'Mster Universitario en Anlisis y Prevencin del Terrorismo', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310406', 'Mster Universitario en Estudios Textuales y Culturales en Lengua Inglesa', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002870', 'Mster Universitario en Estudis de Cinema i Audiovisual Contemporanis', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001406', 'Mster Universitario en European Forestry', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000467', 'Mster Universitario en Derecho Empresarial', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310324', 'Mster Universitario en Derecho Privado Patrimonial', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311364', 'Mster Universitario en Derecho Pblico. Globalizacin y Culturas Jurdicas / Dret Public: Globaltza', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311200', 'Mster Universitario en Desarrollo Rural', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311996', 'Mster Universitario en Direccin de Empresas por la Universidad Pablo de Olavide', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312177', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001860', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310133', 'Mster Universitario en Ecologa Marina', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001668', 'Mster Universitario en Economa', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002995', 'Mster Universitario en Edificacin', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310355', 'Mster Universitario en Educacin, Gnero e Igualdad', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001170', 'Mster Universitario en Empresa Familiar', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000150', 'Mster Universitario en Mtodos matemticos avanzados en fsica', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310063', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003074', 'Mster Universitario en Necesidades educativas especiales', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312257', 'Mster Universitario en Neurociencia Cognitiva y del Comportamiento', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000711', 'Mster Universitario en Nutricin y seguridad alimentaria', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000609', 'Mster Universitario en Periodoncia Avanzada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312347', 'Mster Universitario en Periodoncia Avanzada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001407', 'Mster Universitario en Planificacin Integrada para el Desarrollo Rural y la Gestin Ambiental', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000053', 'Mster Universitario en Qumica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310016', 'Mster Universitario en Qumica Inorgnica Molecular', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001252', 'Mster Universitario en Radiacin de Sincrotrn y Aceleradores de Partculas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310361', 'Mster Universitario en Tcnicas Estadsticas por la Universidad de A Corua; la Universidad de Sant', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003061', 'Mster Universitario en Unin Europea', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001724', 'Mster Universitario Europeo en Direccin de Proyectos -EURO MPM', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311947', 'Mster Universitario en Arqueologa y Ciencias de la Antigedad', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001569', 'Mster Universitario en Arte, Creacin e Investigacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312454', 'Mster Universitario en Banca y Finanzas / Finance and Banking', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311113', 'Mster Universitario en Biotica', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311434', 'Mster Universitario en Biotica', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001792', 'Mster Universitario en Biofsica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001354', 'Mster Universitario en Bioinformtica para las Ciencias de la Salud', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002037', 'Mster Universitario en Comunicacin y Periodismo de Motor', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311703', 'Mster Universitario en Contenidos y Formatos Audiovisuales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000744', 'Mster Universitario en Biologa Celular y Molecular', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002598', 'Mster Universitario en Evaluacin y Gestin del Ruido Ambiental', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311528', 'Mster Universitario en Experto en Espaol como Lengua Extranjera en mbitos Profesionales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001635', 'Mster Universitario en Fsica de la Materia Condensada y Nanotecnologa', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000355', 'Mster Universitario en Derecho de la Empresa y la Contratacin', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312092', 'Mster Universitario en Desarrollo Local y Empleo', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001004', 'Mster Universitario en Deutsch als Fremdsprache: Estudios Contrastivos de Lengua, Literatura y Cult', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002825', 'Mster Universitario en Direccion de Recursos Humanos', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002166', 'Mster Universitario en Direccin y Gestin de Entidades Deportivas', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001704', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312265', 'Mster Universitario en Economa y Organizacin de Empresas', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310340', 'Mster Universitario en Enfermera de Anestesia', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312559', 'Mster Universitario en Enologa Innovadora', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312742', 'Mster Universitario en Epistemologa de las Ciencias Naturales y Sociales', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311950', 'Mster Universitario en Espaol e Ingls como Segundas Lenguas, Lenguas Extrajeras', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311201', 'Mster Universitario en Especializacion e Investigacin en Derecho', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312166', 'Mster Universitario en Estudios Avanzados en Qumica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002867', 'Mster Universitario en Inmunologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002873', 'Mster Universitario en Innovaci i qualitat televisives', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311767', 'Mster Universitario en Innovacin en Seguridad y Tecnologa Alimentaria', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002592', 'Mster Universitario en Intervencin Psicopedaggica en Contextos de Educacin Formal y no Formal co', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002673', 'Mster Universitario en Fisiologa y Neurociencia', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000787', 'Mster Universitario en Gerontologa', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001604', 'Mster Universitario en Desarrollo Econmico y Cooperacin Internacional.', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312291', 'Mster Universitario en Desarrollos Sociales de la Cultura Artstica', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312654', 'Mster Universitario en Educacin Fsico-Deportiva', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311957', 'Mster Universitario en Endodoncia', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003073', 'Mster Universitario en Enseanza de Lenguas, Interculturalidad y Formacin del Profesorado', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311989', 'Mster Universitario en Enseanza del Espaol como Lengua Extranjera', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311852', 'Mster Universitario en Estudios Avanzados en Filosofa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002888', 'Mster Universitario en Estudios Culturales y Comunicacin', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501761', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502009', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500476', 'Graduado o Graduada en Matemticas ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501964', 'Graduado o Graduada en Medicina', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501886', 'Graduado o Graduada en Medicina', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500542', 'Graduado o Graduada en Medicina', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502503', 'Graduado o Graduada en Organizacin Industrial', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501812', 'Graduado o Graduada en Qumica', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501307', 'Graduado o Graduada en Qumica', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501142', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310788', 'Mster Universitario en Inteligencia Artificial', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311244', 'Mster Universitario en Intervencin de la Administracin en la Sociedad', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000098', 'Mster Universitario en intervencin y mediacin familiar', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311270', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria y Bachillerato, Formacin ', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000862', 'Mster Universitario en Gestin Cultural', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310960', 'Mster Universitario en Gestin Cultural', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311542', 'Mster Universitario en Gestin de Contenidos Digitales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311542', 'Mster Universitario en Gestin de Contenidos Digitales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311594', 'Mster Universitario en Gestin de la Comunicacin Audiovisual, Empresaria e Institucional', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310350', 'Mster Universitario en Gestin de Sistemas de Calidad, Medio Ambiente y Prevencin de Riesgos Labor', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502455', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502336', 'Graduado o Graduada en Trabajo Social ', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500981', 'Graduado o Graduada en Turismo ', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501582', 'Graduado o Graduada en Veterinaria', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501467', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500068', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501472', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500025', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502042', 'Graduado o Graduada en Enfermera ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501401', 'Graduado o Graduada en Estudios Hispnicos, Lengua Espaola y sus Literaturas', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500613', 'Graduado o Graduada en Farmacia ', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501780', 'Graduado o Graduada en Filologa Hispnica ', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002839', 'Mster Universitario en Enseanzas y Aprendizaje en Entornos Digitales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311678', 'Mster Universitario en Entrenamiento y Nutricin Deportiva', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001033', 'Mster Universitario en Erasmus Mundus en Estudios Ambientales / Erasmus Mundus in Environmental Stu', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001978', 'Mster Universitario en Formacin en la Comunicacin Intercultural en Enseanzas de Lenguas', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001980', 'Mster Universitario en Gestin de la Calidad', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001893', 'Mster Universitario en gestin de sistema y redes', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310645', 'Mster Universitario en Gestin Estratgica de Empresas Tursticas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000166', 'Mster Universitario en Gestin y Coordinacin de Seguridad en Obras de Construccin', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002065', 'Mster Universitario en Gestin y Economa de la Empresa', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001666', 'Mster Universitario en Historia Contempornea', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000434', 'Mster Universitario en Informtica', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313149', 'Master Universitario en Ingeniera Agronmica', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001858', 'Mster Universitario en Ingeniera de Organizacin y Gestin Industrial', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002147', 'Mster Universitario en Ingeniera Telemtica', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312410', 'Mster Universitario en Polticas Pblicas y Sociales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311722', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311917', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312298', 'Mster Universitario en Investigacin e Intervencin Social y Comunitaria', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311323', 'Mster Universitario en Lengua Espaola y Literatura Hispnica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310904', 'Mster Universitario en Marketing e Investigacin de Mercados por la Universidad Jaume I de Castell', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310904', 'Mster Universitario en Marketing e Investigacin de Mercados por la Universidad Jaume I de Castell', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002627', 'Mster Universitario en Marketing y Comportamiento del Consumidor', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312168', 'Mster Universitario en Matemtica Avanzada', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000023', 'Mster Universitario en Nutricin y Metabolismo', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002013', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311633', 'Mster Universitario en Estudios Feministas y de Gnero', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001895', 'Mster Universitario en ingeniera y gestin medioambiental', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310145', 'Mster Universitario en Ingls como Vehculo de Comunicacin Intercultural', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001776', 'Mster Universitario en Integracin Europea', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000229', 'Mster Universitario en Intervencin Psicosocial', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001830', 'Mster Universitario en Fotnica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002890', 'Mster Universitario en Gestin del Patrimonio Cultural en el mbito Local', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311150', 'Mster Universitario en Gestin del Patrimonio desde el Municipio', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001497', 'Mster Universitario en Gestin Estratgica de las Empresas Tursticas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310648', 'Mster Universitario en Gestin Integrada de reas Litorales', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311406', 'Mster Universitario en Gobernabilidad para un Desarrollo Sostenible: Planificacin, Evaluacin y Ge', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311970', 'Mster Universitario en Herencia Cultural', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311991', 'Mster Universitario en Historia de Europa, el Mundo Mediterrneo y su Difusin Atlntica. Mtodos, ', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311551', 'Mster Universitario en Historia Econmica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502347', 'Graduado o Graduada en Estudios Francfonos Aplicados', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501319', 'Graduado o Graduada en Derecho', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500119', 'Graduado o Graduada en Economa', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501666', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500122', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500086', 'Graduado o Graduada en Arquitectura', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500230', 'Graduado o Graduada en Biologa ', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501662', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501806', 'Graduado o Graduada en Literaturas Comparadas', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501514', 'Graduado o Graduada en Fsica', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502439', 'Graduado o Graduada en Fisioterapia', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500714', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500254', 'Graduado o Graduada en Geologa ', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502338', 'Graduado o Graduada en Gestin Econmico-Financiera', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501067', 'Graduado o Graduada en Ingeniera Agroambiental y del Paisaje', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501034', 'Graduado o Graduada en Ingeniera Civil - Construcciones Civiles', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500196', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502548', 'Graduado o Graduada en Ingeniera en Sistemas de Telecomunicacin', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501112', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501927', 'Graduado o Graduada en Ingeniera en Tecnologas de la Telecomunicacin', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501648', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502457', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales ', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501660', 'Graduado o Graduada en Ingeniera Forestal y del Medio Natural', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500471', 'Graduado o Graduada en Medicina ', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501495', 'Graduado o Graduada en Negocios Internacionales', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501240', 'Graduado o Graduada en Paisajismo', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500829', 'Graduado o Graduada en Periodismo', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500692', 'Graduado o Graduada en Psicologa', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501636', 'Graduado o Graduada en Psicologa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502081', 'Graduado o Graduada en Publicidad y Relaciones Pblicas ', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500485', 'Graduado o Graduada en Qumica ', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500062', 'Graduado o Graduada en Sociologa', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501124', 'Graduado o Graduada en Trabajo Social', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500720', 'Graduado o Graduada en Turismo', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501725', 'Graduado o Graduada en Turismo ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502225', 'Graduado o Graduada en Veterinaria', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502074', 'Graduado o Graduada en Derecho', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501207', 'Graduado o Graduada en Direccin y Administracin de Empresas', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501223', 'Graduado o Graduada en Economa y Negocios Internacionales', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501505', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad de Cantabria', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500224', 'Graduado o Graduada en Biologa ', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502136', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500667', 'Graduado o Graduada en Lingstica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500876', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501716', 'Graduado o Graduada en Psicologa ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501795', 'Graduado o Graduada en Recursos Energticos y Mineros', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500258', 'Graduado o Graduada en Relaciones Laborales ', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500916', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500993', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502064', 'Graduado o Graduada en Turismo', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500437', 'Graduado o Graduada en Biotecnologa', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500102', 'Graduado o Graduada en Ciencia y Salud Animal', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501230', 'Graduado o Graduada en Ciencias Biomdicas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502172', 'Graduado o Graduada en Ciencias Polticas', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500643', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502122', 'Graduado o Graduada en Enfermera ', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501185', 'Graduado o Graduada en Estudios Franceses', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500672', 'Graduado o Graduada en Diseo de Moda', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500986', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501640', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500307', 'Graduado o Graduada en Educacin Social', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500942', 'Graduado o Graduada en Enfermera', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500813', 'Graduado o Graduada en Administracin de Empresas', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501460', 'Graduado o Graduada en Arte', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501079', 'Graduado o Graduada en Geografa y Gestin del Territorio', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502297', 'Graduado o Graduada en Ingeniera Agrcola', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501726', 'Graduado o Graduada en Ingeniera Agrcola', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501213', 'Graduado o Graduada en Ingeniera de Sistemas Biolgicos', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502372', 'Graduado o Graduada en Ingeniera de Tecnologas Industriales', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501788', 'Graduado o Graduada en Educacin Infantil ', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501912', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501882', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500172', 'Graduado o Graduada en Matemticas', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502354', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502365', 'Graduado o Graduada en Geologa', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500424', 'Graduado o Graduada en Historia ', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500757', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500782', 'Graduado o Graduada en Ingeniera de la Energa ', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501736', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502002', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo del Producto', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501800', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500314', 'Graduado o Graduada en Medicina', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501318', 'Graduado o Graduada en Medicina', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502221', 'Graduado o Graduada en Medicina', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500123', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501815', 'Graduado o Graduada en Nutricin Humana y Diettica por la Universidad de Granada', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500917', 'Graduado o Graduada en Odontologa', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501631', 'Graduado o Graduada en Pedagoga', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500634', 'Graduado o Graduada en Periodismo por la Universidad de Vic', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501162', 'Graduado o Graduada en Podologa', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501252', 'Graduado o Graduada en Relaciones Internacionales', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501478', 'Graduado o Graduada en Sociologa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501831', 'Graduado o Graduada en Turismo', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501905', 'Graduado o Graduada en Veterinaria', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500458', 'Graduado o Graduada en Biotecnologa ', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500801', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500447', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313010', 'Mster Universitario en Medicina por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313019', 'Mster Universitario en Estudios Literarios y Culturales Britnicos y de los Pases de Habla Inglesa. Literatura, Cultura, Comunicacin y Traduccin por la Universidad Autnoma de Madrid', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313030', 'Mster Universitario en Ingeniera Fsica por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313031', 'Mster Universitario en Valoraciones Inmobiliarias, Tasaciones y Peritaje Judicial por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002114', 'Mster Universitario en Entidades sin nimo de Lucro', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312687', 'Mster Universitario en Escritura Creativa', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000311', 'Mster Universitario en Estudios de Traduccin: Estrategias y Procedimientos', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001412', 'Mster Universitario en Formulacin y Tecnologa del Producto. Aplicaciones en la Industria Qumica,', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001412', 'Mster Universitario en Formulacin y Tecnologa del Producto. Aplicaciones en la Industria Qumica,', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001554', 'Mster Universitario en Geologa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002119', 'Mster Universitario en Gestin Comercial', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311388', 'Mster Universitario en Gestin de Suelos y Aguas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001156', 'Mster Universitario en Gestin Integral de reas Litorales', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000397', 'Mster Universitario en Historia Contempornea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000397', 'Mster Universitario en Historia Contempornea', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001420', 'Mster Universitario en Implantologia Oral Avanzada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312267', 'Mster Universitario en Informacin y Comunicacin Cientfica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002148', 'Mster Universitario en Informtica Industrial', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311224', 'Mster Universitario en Informtica Pluridisciplinar ', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001621', 'Mster Universitario en Ingeniera Bioqumica. Profesional', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000529', 'Mster Universitario en Ingeniera de Organizacin y Logstica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310017', 'Mster Universitario en Ingeniera de Seguridad de la Informacin y las Comunicaciones ', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000073', 'Mster Universitario en Ingeniera del Software e Inteligencia Artificial', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500241', 'Graduado o Graduada en Arqueologa', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500245', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500261', 'Graduado o Graduada en Pedagoga', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500291', 'Graduado o Graduada en Maestro de Educacin Primaria', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500298', 'Graduado o Graduada en Ingeniera de Materiales', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500322', 'Graduado o Graduada en Lengua y Literatura Espaolas', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500323', 'Graduado o Graduada en Geografa, Ordenacin del Territorio y Gestin del Medio Ambiente', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500521', 'Graduado o Graduada en Turismo', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500668', 'Graduado o Graduada en Economa', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500862', 'Graduado o Graduada en Ciencias y Tecnologas de Comunicaciones', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501002', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501027', 'Graduado o Graduada en Filosofa', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501046', 'Graduado o Graduada en Qumica', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502096', 'Graduado o Graduada en Magisterio de Educacin Primaria', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500053', 'Graduado o Graduada en Fisioterapia', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500716', 'Graduado o Graduada en Historia del Arte', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500658', 'Graduado o Graduada en Historia y Ciencias de la Msica', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502400', 'Graduado o Graduada en Ingeniera Aeroespacial', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501056', 'Graduado o Graduada en Ingeniera Biomdica', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500735', 'Graduado o Graduada en Ingeniera Electrnica de Comunicaciones', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502268', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo de Productos ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502148', 'Graduado o Graduada en Ingeniera Geolgica ', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500237', 'Graduado o Graduada en Ingeniera Informtica por la Universidad de Alcal', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500311', 'Graduado o Graduada en Odontologa ', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500724', 'Graduado o Graduada en ptica y Optometra', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500450', 'Graduado o Graduada en Periodismo', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500814', 'Graduado o Graduada en Qumica', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500439', 'Graduado o Graduada en Qumica', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500070', 'Graduado o Graduada en Trabajo Social', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501426', 'Graduado o Graduada en Veterinaria', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501308', 'Graduado o Graduada en Biotecnologa', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500963', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501615', 'Graduado o Graduada en Comunicacin y Relaciones Pblicas', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500244', 'Graduado o Graduada en Estudios de Asia Oriental ', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501741', 'Graduado o Graduada en Estudios Franceses', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500655', 'Graduado o Graduada en Estudios Ingleses ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500944', 'Graduado o Graduada en Filosofa', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501864', 'Graduado o Graduada en Derecho', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501250', 'Graduado o Graduada en Economa', NULL, 0, '59', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500146', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500642', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500269', 'Graduado o Graduada en Administracin y Direccin de Empresas ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500074', 'Graduado o Graduada en Arte', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501764', 'Graduado o Graduada en Ingeniera Radioelectrnica por la Universidad de Cdiz', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502386', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500754', 'Graduado o Graduada en Lenguas, Literaturas y Culturas Romnicas', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501971', 'Graduado o Graduada en Finanzas y Contabilidad', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501381', 'Graduado o Graduada en Fisioterapia', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500779', 'Graduado o Graduada en Fisioterapia', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500715', 'Graduado o Graduada en Historia', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500385', 'Graduado o Graduada en Historia del Arte', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502072', 'Graduado o Graduada en Ingeniera de las Industrias Agroalimentarias', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502449', 'Graduado o Graduada en Ingeniera de los Recursos Mineros', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501619', 'Graduado o Graduada en Ingeniera Electrnica y Automtica Industrial', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500050', 'Graduado o Graduada en Ingeniera en Sistemas de Telecomunicacin', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502117', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502181', 'Graduado o Graduada en Ingeniera Informtica en Tecnologas de la Informacin', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501437', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501219', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500617', 'Graduado o Graduada en Nutricin Humana y Diettica ', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502023', 'Graduado o Graduada en ptica y Optometra por la Universidad Alfonso X El Sabio', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500109', 'Graduado o Graduada en Publicidad y Relaciones Pblicas por la Universidad Pompeu Fabra', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501296', 'Graduado o Graduada en Sociologa', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310617', 'Mster Universitario en Espectroscopia Avanzada en Qumica / Advanced Spectroscopy in Chemistry', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312989', 'Mster Universitario en Turismo', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312994', 'Mster Universitario en Gestin Empresarial del Deporte por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502555', 'Graduado o Graduada en Enfermera por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502565', 'Graduado o Graduada en Logopedia por la Universidad de Cantabria', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502571', 'Graduado o Graduada en Criminologa por la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502580', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502593', 'Graduado o Graduada en Geologa por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502603', 'Graduado o Graduada en Empresas y Actividades Tursticas por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502606', 'Graduado o Graduada en Educacin Infantil por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502616', 'Graduado o Graduada en Educacin Social por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502668', 'Graduado o Graduada en Historia y Geografa por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502683', 'Graduado o Graduada en Conservacin y Restauracin de Bienes Culturales por la Universidad de La Laguna', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502684', 'Graduado o Graduada en Diseo por la Universidad de La Laguna', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502698', 'Graduado o Graduada en Gestin y Administracin Pblica por la Universidad Jaume I de Castelln', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502701', 'Graduado o Graduada en Fundamentos de la Arquitectura por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311027', 'Mster Universitario en Educador/a Ambiental', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311038', 'Mster Universitario en Intervencin Psicosocioeducativa con Adolescentes en Contextos Escolares', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311052', 'Mster Universitario en Polticas Comunitarias y Cooperacin Territorial', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311128', 'Mster Universitario en Ciencia y Tecnologa de Coloides e Interfases', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311280', 'Mster Universitario en Nutricin', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311440', 'Mster Universitario en Estudio y Tratamiento del Dolor', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311518', 'Mster Universitario en Didctica: Formacin y Evaluacin Educativa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311670', 'Mster Universitario en Sanidad y Produccin Porcina', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311672', 'Mster Universitario en Ciencias Aplicadas a la Ingeniera', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311715', 'Mster Universitario en Historia de la Ciencia y Comunicacin Cientfica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311716', 'Mster Universitario en Ingeniera Electrnica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311727', 'Mster Universitario en Historia Contempornea', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311727', 'Mster Universitario en Historia Contempornea', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311727', 'Mster Universitario en Historia Contempornea', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311776', 'Mster Universitario en Investigacin en Tecnologas de la Informacin', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311784', 'Mster Universitario en Encrucijadas en las Humanidades Europeas/Crossways in European Humanites', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312042', 'Mster Universitario en Biomedicina', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312044', 'Mster Universitario en Ciencia de Materiales', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312045', 'Mster Universitario en Qumica Mdica', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312050', 'Mster Universitario en Arquitectura y Urbanismo Sostenible', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312082', 'Mster Universitario en Metodologa de la Investigacin en Fisioterapia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312103', 'Mster Universitario en Fiscalidad', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312135', 'Mster Universitario en Comunicacin Poltica, Institucional y Corporativa en Entornos de Crisis y de Riesgo', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312150', 'Mster Universitario en Comunicacin Cultural', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312207', 'Mster Universitario en Fsica de Sistemas Biolgicos y Radiofsica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312215', 'Mster Universitario en Anlisis Poltico y Asesora Institucional', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312216', 'Mster Universitario en Educacin y Desarrollo Rural', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312311', 'Mster Universitario en Memoria y Crtica de la Educacin', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502716', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte por la Universidad Rovira i Virgili', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502727', 'Graduado o Graduada en Innovacin de Procesos y Productos Alimentarios por la Universidad Pblica de Navarra', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502748', 'Graduado o Graduada en Criminologa por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502754', 'Graduado o Graduada en Ingeniera de la Energa por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502785', 'Graduado o Graduada en Fundamentos de la Arquitectura por la Universidad Europea de Canarias', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502786', 'Graduado o Graduada en Direccin Internacional de Empresas de Turismo y Ocio por la Universidad Europea de Canarias', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502792', 'Graduado o Graduada en Fundamentos de la Arquitectura por la Universidad Europea de Canarias', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502795', 'Graduado o Graduada en Bioqumica por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502798', 'Graduado o Graduada en Educacin Infantil por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000377', 'Mster en investigacin en psicologa: anlisis de los procesos psicosociales en contextos interactivos especficos', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002005', 'Mster Universitario en pedagoga social y comunitaria: liderazgo de la transformacin socioeducativa', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310025', 'Mster Universitario en Economa y Administracin de Empresas / University Master in Economics and Business Administration', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310122', 'Mster Universitario en Tecnologa Ambiental', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310122', 'Mster Universitario en Tecnologa Ambiental', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501133', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501457', 'Graduado o Graduada en Periodismo', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501555', 'Graduado o Graduada en Ciencias Polticas y de la Administracin', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501577', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501676', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501698', 'Graduado o Graduada en Psicologa', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501717', 'Graduado o Graduada en Maestro o Maestra en Educacin Infantil', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501801', 'Graduado o Graduada en Estudios de Cataln y Espaol', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501819', 'Graduado o Graduada en Antropologa Social y Cultural', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501845', 'Graduado o Graduada en Educacin Infantil  por la Universidad de Huelva', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501846', 'Graduado o Graduada en Educacin Primaria por la Universidad de Huelva', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501938', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501949', 'Graduado o Graduada en Psicologa', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501952', 'Graduado o Graduada en Ingeniera en Electrnica Industrial y Automtica', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501991', 'Graduado o Graduada en Ingeniera en Vehculos Aeroespaciales', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501998', 'Graduado o Graduada en Ingeniera Marina', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502049', 'Graduado o Graduada en Criminologa', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502106', 'Graduado o Graduada en Ingeniera de  Sistemas de Telecomunicaciones', NULL, 0, '78', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502186', 'Graduado o Graduada en Finanzas y Contabilidad', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502226', 'Graduado o Graduada en Comercializacin y Logstica', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502414', 'Graduado o Graduada en Fotografa', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502453', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502527', 'Graduado o Graduada en Veterinaria', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502534', 'Graduado o Graduada en Ciencias Empresariales por la Universidad de Vic', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502542', 'Graduado o Graduada en Medicina por la Universidad de las Illes Balears ', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312963', 'MSTER UNIVERSITARIO EN FSICA MDICA', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312975', 'Mster Universitario en Ingeniera de Telecomunicacin', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312977', 'Mster Universitario en Fisioterapia en Pediatra por la Universidad San Pablo-CEU', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313050', 'Mster Universitario en Cultura del Vino: Enoturismo en la Cuenca del Duero por la Universidad de Burgos', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313052', 'Mster Universitario en Visin por Computador y Robtica - VICOT', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313074', 'Mster Universitario en Psicologa Clnica y de la Salud por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313090', 'Mster Universitario en Investigacin en Ciencias de la Actividad Fsica y del Deporte por la Universidad de Murcia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313095', 'Mster Universitario en Diseo y Organizacin Industrial para el Sector del Mueble y la Madera por la Universidad de Murcia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313102', 'Mster Universitario en Ingeniera Agronmica por la Universidad de Castilla-La Mancha', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313119', 'Mster Universitario en Tecnologas de la Informacin por la Universidad de Santiago de Compostela', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313126', 'Mster Universitario en Gestin Patrimonial y Promocin Inmobiliaria por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313138', 'Mster Universitario en Marketing', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313140', 'Mster Universitario en Educacin y Sociedad Inclusivas', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313151', 'Master Universitario en Ingeniera de Telecomunicacin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312342', 'Mster Universitario en Neurorrehabilitacin', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312407', 'Mster Universitario en Ingeniera Fotnica, Nanofotnica y Biofotnica / European Master in Photonics Engineering, Nanophotonics and Biophotonics por la Universidad Autnoma de Barcelona; la Universidad Politcnica de Catalunya; la Universidad de Ba', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312425', 'Mster Universitario en Direccin de Actividades Educativas en la Naturaleza', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312543', 'Mster Universitario en Terapia Psicolgica con Nios y Adolescentes', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312562', 'Mster Universitario en Anlisis de Polticas Agrarias, Alimentarias y Medioambientales por la Universidad Politcnica de Catalunya; Budapesti Corvinus Egyetem-Corvinus University of Budapest(Hungra); Rheinische Friedrich-Wilhelms-Universitt Bonn(A', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312623', 'Mster Universitario en Creatividad para la Comunicacin Publicitaria y el Branding', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312630', 'Mster Universitario en Direccin de Negocios en un Entorno Global', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312631', 'Mster Universitario en Innovacin Empresarial', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312637', 'Mster Universitario en Musicologa, Educacin Musical e Interpretacin de la Msica Antigua', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312745', 'Mster Universitario en Investigacin Social de la Comunicacin Cientfica', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312751', 'Mster Universitario en Administracin y Direccin de Empresas (MBA)', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312757', 'Mster Universitario en Formacin de Profesores de Espaol como Segunda Lengua por la Universidad Nacional de Educacin a Distancia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312759', 'Mster Universitario en Regeneracin de Territorios Intermedios. Estrategias Sostenibles para Paisajes Contemporneos/ Master in Regenerating Intermediate Landscapes. Sustainable Strategies for Contemporary Landscapes por la Universidad Internacional', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312767', 'Master Universitario en Gestin Sanitaria', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312781', 'Mster Universitario en Direccin de Personas en las Organizaciones por la Universidad de Navarra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312790', 'Mster Universitario en Postproduccin Audiovisual', NULL, 0, '70', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312791', 'Mster en Periodismo, Comunicacin Digital y Nuevas Tecnologas', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312795', 'Mster Universitario en Bioingeniera por la Universidad Ramon Llull', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312804', 'Mster Universitario en Biologia Celular y Molecular', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312812', 'Mster Universitario en Investigacin en Medicina', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312813', 'Mster Universitario en Del Mediterrneo al Atlntico: La Construccin de Europa entre el Mundo Antiguo y Medieval por la Universidad de Cantabria', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312814', 'Mster Universitario en Ciencia Poltica por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312818', 'Mster Universitario en Responsablidad Social Empresarial por la Universidad de Crdoba', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312829', 'Mster Universitario en Gestin de Proyectos de Edificacin (Project Management) por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312853', 'Mster Universitario en Direccin y Gestin Pblica por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312864', 'Mster Universitario en Antropologa: Gestin de la Diversidad Cultural, el Patrimonio y el Desarrollo por la Universidad de Sevilla', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312865', 'Mster Universitario en Comunicacin Institucional y Poltica  por la Universidad de Sevilla', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312871', 'Mster Universitario en Interpretacin e Investigacin Musical por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312872', 'Mster Universitario en Psicologa del Trabajo, de las Organizaciones y de los Recursos Humanos por la Universidad de Barcelona', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312880', 'Mster Universitario en Ciencias Analticas y Bioanalticas por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312882', 'Mster Universitario en Conversin de Energa Elctrica y Sistemas de Potencia por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312889', 'Mster Universitario en Innovacin e Investigacin Educativa  por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312896', 'Mster Universitario en Conservacin del Patrimonio Cultural', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312904', 'Mster Universitario en Direccin Internacional de la Seguridad y Proteccin Civil por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312906', 'Mster Universitario en Ingeniera Marina por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312939', 'Mster Universitario en Gestin Internacional / International Management por la Universidad de Vic', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312952', 'Mster Universitario en La Construccin Histrica de Espaa. Introduccin a la Investigacin por la Universidad de Alcal', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313260', 'Mster Universitario en Proteccin Integrada de Cultivos por la Universidad Jaume I de Castelln; la Universidad Pblica de Navarra; la Universidad de Girona y la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313268', 'Mster Universitario en Investigacin Clnica por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313270', 'Mster Universitario en Intervencin y Estudios Crticos sobre la Exclusin Social por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313272', 'Mster Universitario en Marketing e Investigacin de Mercados por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313273', 'Mster Universitario en Ecologa, Gestin y Restauracin del Medio Natural  por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313280', 'Mster Universitario en Direccin y Gestin de Centros Educativos por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313294', 'Mster Universitario en Qumica y Farmacia de Productos Naturales / Farmcia e Qumica de Produtos Naturais por la Universidad de Salamanca e Instituto Politcnico de Bragana(Portugal)', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313304', 'Mster Universitario en  Historia y Arqueologa Medieval por la Universidad de Granada; Universit di Bologna(Italia); Universit Lumire Lyon 2(Francia) y Uniwersytet Warszawski(Polonia)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313346', 'Mster Universitario en Geologa y Geofsica de Reservorios por la Universidad Autnoma de Barcelona y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313361', 'Mster Universitario en Bioinformtica por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313476', 'Mster Universitario en Abogaca por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313486', 'Mster Universitario en Abogaca por la Universidad Pompeu Fabra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313497', 'Mster Universitario en Gestin de Empresas Cooperativas y de la Economia Social por la Mondragon Unibertsitatea', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313522', 'Mster Universitario en Mecnica Industrial por la Universidad Carlos III de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313532', 'Mster Universitario en Abogaca por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313553', 'Mster Universitario en Mecnica Industrial por la Universidad Carlos III de Madrid', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313564', 'Mster Universitario en Ingeniera de Caminos, Canales y Puertos por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313568', 'Mster Universitario en Mtodos y Tcnicas para la Optimizacin y Mejora de la Cadena de Suministro por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313572', 'Mster Universitario en Sexologa: Educacin Sexual y Asesoramiento Sexolgico por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313576', 'Mster Universitario en Acceso a la Abogaca  por la Universidad de Alcal', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313577', 'Mster Universitario en Especializacin en Endodoncia por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313381', 'Mster Universitario en Salud Pblica y Gestin Sanitaria  por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313383', 'Mster Universitario en Inteligencia Ambiental Multimedia / Multimedia Ambient Intelligence por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313386', 'Mster Universitario en Investigacin en Psicologa Aplicada a las Ciencias de la Salud por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313388', 'Mster Universitario en Direccin y Planificacin del Turismo por la Universidad de Alicante', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313405', 'Mster Universitario en Climatizacin por la Universidad Europea de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313408', 'Mster Universitario en Anlisis de Datos micos / Omics Data Analysis por la Universidad de Vic', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313426', 'Mster Universitario en Arte Contemporneo Tecnolgico y Performativo por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313430', 'Mster Universitario en Investigacin Aplicada en Trastornos Mentales por la Universidad de Huelva', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313444', 'Mster Universitario en Estudios Avanzados de China y Japn por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313451', 'Mster Universitario en Abogaca por la Universidad de Cdiz', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313455', 'Mster Universitario Erasmus Mundus en Gestin Forestal y de Recursos Naturales en el Mediterrneo (MEDFOR) por la Universidad de Lleida; la Universidad de Valladolid; Karadeniz Teknik Universitesi(Turqua); Universidade Catlica Portuguesa(Portugal)', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313456', 'Mster Universitario en Abogaca por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313163', 'Mster Universitario en Diseo y Gestin Ambiental de Edificios por la Universidad de Navarra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313170', 'Master Universitario en Ingeniera de Software por la Universidad Pontificia de Salamanca', NULL, 0, '32', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313173', 'Mster Universitario en Seguridad Alimentaria por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313191', 'Mster Universitario Erasmus Mundus en Fsica de Plasmas y Fusin Nuclear / European Master of Science in Nuclear Fusion and Engineering Physics (Fusion-EP) por la Universidad Carlos III de Madrid; la Universidad Complutense de Madrid; Universiteit G', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313212', 'Mster Universitario en Medicina por la Universidad de Zaragoza', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313222', 'Mster Universitario en Proyectos Integrados de Arquitectura por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313232', 'Mster Universitario en Comunicacin Digital y Nuevas Tecnologas por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313234', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Enseanza de Idiomas por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313238', 'Mster Universitario en Psicologa de la Educacin por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313247', 'Mster Universitario en Terapia Manual en Cadenas Musculares y Articulares por la Universidad Antonio de Nebrija', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313257', 'Mster Universitario en Ingeniera Ambiental  por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313589', 'Mster Universitario en Gestin Administrativa por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313595', 'Mster Universitario en Acceso a la Abogaca por la Universidad Catlica San Antonio', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313601', 'Mster Universitario en Biologa de las Plantas en Condiciones Mediterrneas por la Universidad de las Illes Balears', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313611', 'Mster Universitario en Foniatra por la Universidad Catlica San Antonio', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313613', 'Mster Universitario en Mercado del Arte por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313619', 'Mster Universitario en Ingeniera Industrial por la Universidad de Burgos', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313622', 'Mster Universitario en Especializacion en Ciencias de la Salud por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313628', 'Mster Universitario en Ingeniera Qumica por la Universidad de Castilla-La Mancha', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313638', 'Mster Universitario en Ingeniera Industrial por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313648', 'Mster Universitario en Historia y Patrimonio Naval por la Universidad de Murcia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313654', 'Mster Universitario en Migraciones Internacionales, Salud y Bienestar: Modelos y Estrategias de Intervencin por la Universidad de Sevilla', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313713', 'Mster Universitario en Abogaca por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313715', 'Mster Universitario en Direccin Estratgica de Seguridad y Polica por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313725', 'Mster Universitario en Investigacin en Salud Mental por la Universidad Autnoma de Barcelona; la Universidad Complutense de Madrid; la Universidad de Barcelona; la Universidad de Cantabria y la Universidad de Cdiz', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313727', 'Mster Universitario en Competitividad e Innovacin / Competitiveness and Innovation por la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313736', 'Mster Universitario en Energas Renovables por la Universidad Europea de Canarias', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313744', 'Mster Universitario en Comunicacin Cultural y Ciudadana Digitales por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313747', 'Mster Universitario en Direccin Internacional de Empresas / International Business por la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313769', 'Mster Universitario en Antropologa: Investigacin Avanzada e Intervencin Social por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313780', 'Mster Universitario en Ingeniera Nutica y Transporte Martimo por la Universidad de Cantabria', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('90000000560', 'Estudios Homologados a Grado de Licenciado', NULL, 0, NULL, 
    NULL);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001777', 'Mster Universitario en Estudios Culturales: Gestin y Tecnologa de la Cultura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310391', 'Mster Universitario en Estudios de Gnero', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310416', 'Mster Universitario en Iniciacin a la Investigacin en Matemticas', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312580', 'Mster Universitario en Fisioterapia en la Actividad Fisica y el Deporte', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310578', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312466', 'Mster Universitario en Gentica y Biologa Celular', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002942', 'Mster Universitario en Geofsica', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000134', 'Mster Universitario en Gestin Ambiental de Sistemas Hdricos', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311934', 'Mster Universitario en Gestin Cultural', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001400', 'Mster Universitario en Gestin de Suelos y Aguas', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311028', 'Mster Universitario en Gestin Estrattiga e Innovacin en Comunicacin', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001683', 'Mster Universitario en Gestin Internacional de Negocios', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311530', 'Mster Universitario en Filosofia y Estudios Clsicos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002020', 'Mster Universitario en Deporte Sostenible y Bienestar', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311124', 'Mster Universitario en Desarrollo Econmico y Sostenibilidad', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312155', 'Mster Universitario en Direccin Cinematogrfica', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310344', 'Mster Universitario en Direccin de Negocios de Turismo y Ocio', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002712', 'Mster Universitario en Direccin Integrada de Proyectos', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002803', 'Mster Universitario en Direccin y Gestin de Sistemas de Calidad', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000363', 'Mster Universitario en Enologa', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311372', 'Mster Universitario en Informtica Industrial y Automtica', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312188', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311726', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310560', 'Mster Universitario en Ingeniera Energtica', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001871', 'Mster Universitario en Ingeniera Textil', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310359', 'Mster Universitario en Poltica Lingstica y Planificacin de la Lengua Gallega', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001326', 'Mster Universitario en Gestin de Empresas Martimo Portuarias y Derecho Martimo', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310328', 'Mster Universitario en Gestin de Riesgos Laborales', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311371', 'Mster Universitario en Gestin del Patrimonio Cultural en el mbito Local', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001008', 'Mster Universitario en Gestin y Produccin en la Industria Farmacutica.', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310636', 'Mster Universitario en Historia Comparada, Siglos XVI-XX', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310636', 'Mster Universitario en Historia Comparada, Siglos XVI-XX', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310544', 'Mster Universitario en Identidades Culturales Europeas.Textos y Contextos', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002056', 'Mster Universitario en Ingeniera Ambiental para Profesionales Relacionados con la Obra Civil y la ', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310276', 'Mster Universitario en Ingeniera de las Estructuras, Cimentaciones y sus Materiales', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000733', 'Mster Universitario en Ingeniera de Materiales y Fabricacin', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310461', 'Mster Universitario en Prctica Jurdica Empresarial ', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001139', 'Mster Universitario en Farmacia Asistencial y Atencin Farmacutica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000124', 'Mster Universitario en Fsica', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001833', 'Mster Universitario en Fsica de la Materia Condensada y Nanotecnologa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001795', 'Mster Universitario en Derecho de Contratos', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311587', 'Mster Universitario en Derecho de la Empresa', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001580', 'Mster Universitario en Derecho de las Nuevas Tecnologas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311878', 'Mster Universitario en Derecho Empresarial', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311705', 'Mster Universitario en Derechos Humanos, Paz y Desarrollo Sostenible', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311881', 'Mster Universitario en Desarrollo Econmico y Polticas Pblicas', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001519', 'Mster Universitario en Desarrollo Regional e Integracin Econmica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002589', 'Mster Universitario en Desarrollo Regional, Formacin y Empleo', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002774', 'Mster Universitario en Direccin de Empresa Familiar', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310032', 'Mster Universitario en Direccin de Marketing ', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310947', 'Mster Universitario en Direccin de Marketing (Empresas Tursticas)', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310185', 'Mster Universitario en Direccin de Recursos Humanos', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000749', 'Mster Universitario en Diseo Galnico y Biofarmacia', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002875', 'Mster Universitario en Disseny i Comunicaci', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310085', 'Mster Universitario en Economa y Gestin de la Innovacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001531', 'Mster Universitario en Economa y Organizacin de Empresas', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311158', 'Mster Universitario en Zootecnia y Gestin Sostenible: Ganadera Ecolgica e Integrada', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310670', 'Mster Universitario Europeo en Ciencia de la Fusin Nuclear e Ingeniera Fsica / European Master i', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312615', 'Mster Universitario Europeo en Direccin de Proyectos - Euro MPM', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311054', 'Mster Universitario en Arqueologa y Patrimonio: Ciencia y Profesin', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311054', 'Mster Universitario en Arqueologa y Patrimonio: Ciencia y Profesin', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001744', 'Mster Universitario en Artes y Ciencias del Espectculo', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312461', 'Mster Universitario en Asesora Fiscal', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312576', 'Mster Universitario en Asia Oriental', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310352', 'Mster Universitario en Atencin Sanitaria, Gestin y Cuidados', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311748', 'Mster Universitario en Biodiversidad y Conservacin del Medio Natural', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001127', 'Mster Universitario en Contabilidad', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312282', 'Mster Universitario en Biotecnologa y Biomedicina ', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311544', 'Mster Universitario en Ciencia Cognitiva y Lenguaje', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312558', 'Mster Universitario en Ciencia y Tecnologa Cunticas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310499', 'Mster Universitario en Terapia Manual Osteoptica', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001992', 'Mster Universitario en Traduccin Mdico-Sanitaria', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003037', 'Mster Universitario en Urbanismo', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000870', 'Mster Universitario en Viticultura, Enologa y Gestin de la Empresa Vitivincola', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310754', 'Mster Universitario Europeo en Alimentacin, Nutricin y Metabolismo (E-MENU)', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002115', 'Mster Universitario Internacional en Direccin Internacional de Empresas', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001350', 'Mster Universitario en Asesoramiento Jurdico-empresarial', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001689', 'Mster Universitario en Avances en Investigacin y Tratamientos en Psicopatologa y Salud', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311796', 'Mster Universitario en Comisariado de Arte en Nuevos Medios', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002669', 'Mster Universitario en Comunicacin Internacional, Traduccin e Interpretacin', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002558', 'Mster Universitario en Contabilidad y Auditora', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311146', 'Mster Universitario en Control de los Procesos Industriales', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000869', 'Mster Universitario en Ciencia e Ingeniera de los Alimentos', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311857', 'Mster Universitario en Ciencias Odontolgicas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310516', 'Mster Universitario en Abogaca Internacional y Derecho de los Negocios Internacionales ', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002620', 'Mster Universitario en Actuaciones Psicolgicas en Prevencin de la Enfermedad y Promocin de la Sa', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000017', 'Mster Universitario en Agroecologa: un Enfoque Sustentable de la Agricultura Ecolgica', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311504', 'Mster Universitario en Arqueologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311348', 'Mster Universitario en Investigacin en Ciencia Animal y de los Alimentos', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001567', 'Mster Universitario en investigacin en ciencias veterinarias', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001470', 'Mster Universitario en investigacin en didctica de las ciencias experimentales', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311971', 'Mster Universitario en Investigacin en Prcticas Artsticas y Visuales', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310094', 'Mster Universitario en Investigacin Matemtica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002705', 'Mster Universitario en Investigacin y Avances en Anlisis Biolgico y Diagnstico de Laboratorio', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311293', 'Mster Universitario en Las TIC en Educacin: Anlisis y Diseo de Recursos, Procesos y Prcticas Fo', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311568', 'Mster Universitario en Lgica Pura y Aplicada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001838', 'Mster Universitario en Lgica y Filosofa de la Ciencia', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310056', 'Mster Universitario en Matemtica Avanzada y Profesional', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000038', 'Mster Universitario en Mtodos y tcnicas Avanzadas en Fsica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310934', 'Mster Universitario en Modelos y Mtodos de Economa Cuantitativa / Models and Methods of Quantitat', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002010', 'Mster Universitario en neurociencias', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002172', 'Mster Universitario en neuro-rehabilitacin (neuro-rehabilitador)', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311558', 'Mster Universitario en Psicologa Clnica y de la Salud', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310360', 'Mster Universitario en Qumica Orgnica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001717', 'Mster Universitario en Qumica Sinttica e Industrial', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003007', 'Mster Universitario en Radiacin de Sincrotrn y Aceleradores de Partculas', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002025', 'Mster Universitario en Relaciones Interculturales y Literatura', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000541', 'Mster Universitario en Robtica y Automatizacin', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310837', 'Mster Universitario en Arqueologa Clsica', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310531', 'Mster Universitario en Investigacin Educativa', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001606', 'Mster Universitario en investigacin en educacin infantil y educacin primaria', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311071', 'Mster Universitario en Lingstica y Aplicaciones Tecnolgicas', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310600', 'Mster Universitario en Lingstica y sus Aplicaciones', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001404', 'Mster Universitario en Migraciones y Mediacin Social', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002878', 'Mster Universitario en Nanociencia y Nanotecnologa', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312440', 'Mster Universitario en Necesidades Especficas de Apoyo Educativo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000081', 'Mster Universitario en Neurociencias', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312390', 'Mster Universitario en Nuevos Avances en Diagnstico, Teraputica e Investigacin Biomdica / New A', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002049', 'Mster Universitario en Nutricin Comunitaria y Salud Pblica', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001532', 'Mster Universitario en Nutricin Humana', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311493', 'Mster Universitario en Optometra Clnica Avanzada e Investigacin', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310137', 'Mster Universitario en Patrimonio Cultural: Investigacin y Gestin', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312277', 'Mster Universitario en Patrimonio Musical', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001370', 'Mster Universitario en Periodismo Avanzado. Reporterismo', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001487', 'Mster Universitario en Qumica Avanzada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002690', 'Mster Universitario en Residuos de Plaguicidas y Contaminantes. Control Alimentario y Ambiental', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002770', 'Mster Universitario en sociedad y cultura: parentesco, migracin, desarrollo y salud/cuidados', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001974', 'Mster Universitario en tcnicas cromatogrficas aplicadas', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002626', 'Mster Universitario en Tecnologa de los Sistemas de Energa Solar Fotovoltica', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002836', 'Mster Universitario en Tecnologies Aplicades de la Informacin', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312620', 'Mster Universitario en Proteccin Integrada de Cultivos', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310533', 'Master Universitario en Investigacin Clnica en Medicina ', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311094', 'Mster Universitario en Investigacin en Ingeniera Industrial', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312255', 'Mster Universitario en Investigacin y Avances en Inmunologa Molecular y Celular', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002841', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001607', 'Mster Universitario en la modernizacin de Espaa entre Europa e Iberoamrica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311839', 'Mster Universitario en Las Tecnologas de la Informacin y la Comunicacin en la Enseanza y el Tra', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001362', 'Mster Universitario en matemtica computacional', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000022', 'Mster Universitario en Materiales para el Almacenamiento y Conversin de Energa', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001516', 'Mster Universitario en Metodologa de la Investigacin en Ciencias de la Salud', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310286', 'Mster Universitario en Msica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310580', 'Mster Universitario en Neuropsicologa', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310009', 'Mster Universitario en Rehabilitacin Arquitectnica por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311228', 'Mster Universitario en Restauracin de Ecosistemas por la Universidad Complutense de Madrid; la Uni', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002861', 'Mster Universitario en Salut pblica (MSP)', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001337', 'Mster Universitario en Sector Elctrico (Erasmus Mundus)', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310437', 'Mster Universitario en Tcnicas Cromatogrficas Aplicadas', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001375', 'Mster Universitario en Tcnicas Cromatogrficas Aplicadas', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001851', 'Mster Universitario en tcnicas y sistemas en edificacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311495', 'Mster Universitario en Tecnologas y Gestin de la Arquitectura', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001876', 'Mster Universitario en tratamiento educativo de la diversidad', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310903', 'Mster Universitario en Urbanismo, Planeamiento y Diseo Urbano', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310194', 'Mster Universitario en Uso Sostenible y Proteccin del Suelo en Ambientes Mediterrneos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500606', 'Graduado o Graduada en Fisioterapia por la Universidad Pontificia Comillas', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500890', 'Graduado o Graduada en Gentica', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500739', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502233', 'Graduado o Graduada en Ingeniera de las Industrias Agroalimentarias ', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500300', 'Graduado o Graduada en Ingeniera Electrnica de Telecomunicacin', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501926', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501482', 'Graduado o Graduada en Ingeniera Martima', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501331', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501350', 'Graduado o Graduada en Ingeniera Mecnica por la Universidad Europea de Madrid', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500583', 'Graduado o Graduada en Odontologa ', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501145', 'Graduado o Graduada en Qumica', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500405', 'Graduado o Graduada en Relaciones Laborales por la Universidad Pompeu Fabra', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502428', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501409', 'Graduado o Graduada en Turismo', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501967', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501614', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500627', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501524', 'Graduado o Graduada en Contabilidad y Finanzas', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500799', 'Graduado o Graduada en Estudios rabes y Hebreos', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502357', 'Graduado o Graduada en Farmacia por la Universidad Miguel Hernndez de Elche', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501072', 'Graduado o Graduada en Filosofa', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501441', 'Graduado o Graduada en Filosofa', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502085', 'Graduado o Graduada en Diseo', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502436', 'Graduado o Graduada en Diseo de Interiores', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502343', 'Graduado o Graduada en Economa', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501639', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500426', 'Graduado o Graduada en Educacin Infantil ', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501531', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500151', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501282', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501028', 'Graduado o Graduada en Ciencias del Mar', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500031', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500530', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500713', 'Graduado o Graduada en Enfermera', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501146', 'Graduado o Graduada en Enfermera', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500930', 'Graduado o Graduada en Enfermera por la Universidad de las Illes Balears', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500368', 'Graduado o Graduada en Estudios Franceses', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501393', 'Graduado o Graduada en Estudios Vascos', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501403', 'Graduado o Graduada en Filologa Catalana', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501109', 'Graduado o Graduada en Educacin Social', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501105', 'Graduado o Graduada en Enfermera', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501817', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312453', 'Mster Universitario en Salud Pblica', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310730', 'Mster Universitario en Salud Pblica', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310615', 'Mster Universitario en Sistemas Mecnicos', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000636', 'Mster Universitario en Tecnologas de la Informacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312540', 'Mster Universitario en Tecnologas de Telecomunicacin', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310982', 'Mster Universitario en Tecnologas, Sistemas y Redes de Comunicaciones', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311717', 'Mster Universitario Internacional en Migraciones / International Master in Migration Studies', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00002500912', 'Grado Maestro Especialidad Educacin Fsica', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313123', 'Mster Universitario en Psicopedagoga', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001815', 'Mster Universitario en Biotecnologa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311963', 'Mster Universitario en Calidad de Aguas Continentales', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311303', 'Mster Universitario en Ciencia y Tecnologa de Materiales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002681', 'Mster Universitario en Ciencia, Tecnologa y Uso Racional del Medicamento', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000820', 'Mster of Arts in Euroculture (Erasmus Mundus)', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002157', 'Mster Universitario en Abogaca y Prctica Jurdica', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002714', 'Mster Universitario en Acuicultura', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310309', 'Mster Universitario en Administracin para los Sistemas de Seguridad y Defensa', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001315', 'Mster Universitario en Anlisis Econmico Aplicado', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002158', 'Mster Universitario en tica Poltica y Humanidades', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000211', 'Mster Universitario en Filosofa y Estudios Clsicos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310026', 'Mster Universitario en Fsica de Altas Energas, Astrofsica y Cosmologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730040000', 'Ingeniero Tcnico de Minas, Especialidad en Instalaciones Electromecnicas Mineras', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730040000', 'Ingeniero Tcnico de Minas, Especialidad en Instalaciones Electromecnicas Mineras', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730040000', 'Ingeniero Tcnico de Minas, Especialidad en Instalaciones Electromecnicas Mineras', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730100000', 'Ingeniero Tcnico de Minas, Especialidad en Mineralurgia y Metalurgia', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51140000000', 'Ingeniero Tcnico Forestal, Especialidad en Explotaciones Forestales', 'S', 1, '59', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501868', 'Graduado en Gestin y Administracin Pblica', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500011', 'Graduado o Graduada en Ciencias del Trabajo y Recursos Humanos', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500339', 'Graduado o Graduada en Comunicacin Audiovisual ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502196', 'Graduado o Graduada en Enfermera ', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500648', 'Graduado o Graduada en Espaol: Estudios Lingsticos y Literarios', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500345', 'Graduado o Graduada en Estudios Ingleses ', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500592', 'Graduado o Graduada en Farmacia', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501096', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500751', 'Graduado o Graduada en Filosofa', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500721', 'Graduado o Graduada en Economa', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501865', 'Graduado o Graduada en Educacin Infantil ', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502327', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501863', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500401', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad Pompeu Fabra', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502108', 'Graduado o Graduada en Arte Electrnico y Digital', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500528', 'Graduado o Graduada en Bellas Artes', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501565', 'Graduado o Graduada en Maestro en Educacin Primaria', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502194', 'Graduado o Graduada en Matemticas', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00001234567', 'Programa conjunto de Derecho y Adjministracin de Empresas', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501872', 'Graduado o Graduada en Ingeniera de Minas', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501039', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502299', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502465', 'Graduado o Graduada en Ingeniera Electrnica  Industrial y Automtica', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502373', 'Graduado o Graduada en Ingeniera Forestal y del Medio Natural', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502506', 'Graduado o Graduada en Ingeniera Geolgica', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501621', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501518', 'Graduado o Graduada en Pedagoga', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501111', 'Graduado o Graduada en Periodismo', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501453', 'Graduado o Graduada en Podologa', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500740', 'Graduado o Graduada en Relaciones Internacionales', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501164', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501150', 'Graduado o Graduada en Trabajo Social', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000003', 'Mster en Gestin y Tecnologa Ambiental', 'N', 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190040000', 'Licenciado en Ciencias, Seccin de Biolgicas', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190040000', 'Licenciado en Ciencias, Seccin de Biolgicas', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190040000', 'Licenciado en Ciencias, Seccin de Biolgicas', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190040000', 'Licenciado en Ciencias, Seccin de Biolgicas', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30220000000', 'Licenciado en Educacin Fsica', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '35', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '62', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250010000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Ciencias de la Educacin', 'N', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Germnica.(Ingls).', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011500', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN FILOLOGIA INGLESA', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011500', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN FILOLOGIA INGLESA', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280012000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Romnica.(Francs).', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020500', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia del Arte.', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020500', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia del Arte.', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020603', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia Medieval.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020603', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia Medieval.', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020605', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia Contemporanea.', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020609', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia de la Antigedad.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030100', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. Educacin, Especialidad CC. de Educacin', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030100', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. Educacin, Especialidad CC. de Educacin', 'N', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030100', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. Educacin, Especialidad CC. de Educacin', 'N', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030100', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. Educacin, Especialidad CC. de Educacin', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30290000000', 'Licenciado en Ciencias del Mar', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30290000000', 'Licenciado en Ciencias del Mar', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '62', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30330000000', 'Licenciado en Geologa', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '72', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '66', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '59', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '35', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30450000000', 'Licenciado en Filologa Alemana', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30460000000', 'Licenciado en Filologa rabe', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30510000000', 'Licenciado en Filologa Gallega', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30560000000', 'Licenciado en Filologa Portuguesa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '73', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '62', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30670000000', 'Licenciado en Mquinas Navales', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30670000000', 'Licenciado en Mquinas Navales', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '58', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '61', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30700000000', 'Licenciado en Lingstica', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30710000000', 'Licenciado en Nutica y Transporte Martimo', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30710000000', 'Licenciado en Nutica y Transporte Martimo', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30750000000', 'Licenciado en Radioelectrnica Naval', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '69', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30790000000', 'Licenciado en Ciencias y Tcnicas Estadsticas', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30790000000', 'Licenciado en Ciencias y Tcnicas Estadsticas', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30810000000', 'Licenciado en Enologa', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30830000000', 'Licenciado en Biotecnologa', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30850000000', 'Licenciado en Criminologa', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010020000', 'DIPLOMADO EN PROFESORADO E.G.B.(LENGUA ESPAOLA E IDIOMA MODERNO)', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '47', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '58', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '28', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '58', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40240000000', 'Diplomado en Navegacin Martima', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '68', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '65', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310330', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310593', 'Investigacin en Tecnologas de la Informacin y las Comunicaciones', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311024', 'Lseres y Aplicaciones en Quimica', 'N', 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311294', 'Iniciacin a la Investigacin en Textos de la Antigedad Clsica y su Pervivencia', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010010000', 'Arquitecto.Edificacin.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010020000', 'Arquitecto.Urbanismo.', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10030000000', 'Ingeniero Aeronutico', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10030000000', 'Ingeniero Aeronutico', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10060000000', 'Ingeniero de Montes', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '57', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090140000', 'Ingeniero Industrial.Electricidad.Intensificacin Electrotcnia.', 'N', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090160000', 'Ingeniero Industrial.Mecnica.Intensificacin Mquinas.', 'N', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10210000000', 'Ingeniero Gelogo', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500769', 'Graduado en Geografia y Ordenacion del Territorio', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500770', 'Graduado en Historia y Ciencias de la Msica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501533', 'Graduado en Estudios Clsicos', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501691', 'Graduado en Economa', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502312', 'Graduado en Arquitectura', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502318', 'Graduado en Ingeniera en Organizacin Industrial', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502471', 'Graduado en Ingeniera de Tecnologas de Telecomunicacin', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30000000000', 'Licenciado Mdico Estomatlogo', 'N', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000140', 'Mster Investigacin en Economa de la Empresa', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000141', 'Mster en investigacin en ingeniera termodinmica de fluidos', 'S', 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000160', 'Mster en Traduccin y mediacin intercultural en ambitos profesionales', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000171', 'Mster en Desarrollo agroforestal', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000185', 'Mster en Investigacin en ciencias de la visin', 'S', 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001014', 'Master en Traduccin Profesional e Institucional', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001020', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020200', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Financiacin', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060021500', 'Licenciado en Ciencias Econmicas y Empresariales.(Empresariales).Direccin Comercial.', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060021700', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Contabilidad', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30100000000', 'Licenciado en Ciencias Empresariales', 'N', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010500', 'Licenciado en Ciencias.(Fsicas).Fsica General', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010500', 'Licenciado en Ciencias.(Fsicas).Fsica General', 'N', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020200', 'Licenciado en Ciencias.(Qumicas).Qumica Tcnica', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020400', 'Licenciado en Ciencias.(Qumicas).Qumica Inorgnica', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020500', 'Licenciado en Ciencias.(Qumicas).Bioqumica', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020500', 'Licenciado en Ciencias.(Qumicas).Bioqumica', 'N', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020600', 'Licenciado en Ciencias.(Qumicas).Qumica Orgnica', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190021200', 'Licenciado en Ciencias.(Qumicas).Geoqumica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190021200', 'Licenciado en Ciencias.(Qumicas).Geoqumica', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502109', 'Graduado o Graduada en Artes Escnicas y Mediticas', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502427', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501494', 'Graduado o Graduada en Finanzas y Contabilidad', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501173', 'Graduado o Graduada en Finanzas y Contabilidad', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501050', 'Graduado o Graduada en Fisioterapia', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500820', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501568', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501237', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501198', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500516', 'Graduado o Graduada en Historia ', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501782', 'Graduado o Graduada en Historia del Arte', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502030', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500535', 'Graduado o Graduada en Ingeniera de Sistemas de Informacin ', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500736', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501999', 'Graduado o Graduada en Ingeniera del Software', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500044', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo de Producto', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500696', 'Graduado o Graduada en Ingeniera en Sonido e Imagen ', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500455', 'Graduado o Graduada en Educacin Primaria ', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500822', 'Graduado o Graduada en Educacin Social', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500678', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500826', 'Graduado o Graduada en Antropologa Social y Cultural', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502032', 'Graduado o Graduada en Ingeniera Qumica Industrial', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501814', 'Graduado o Graduada en Logopedia', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501564', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502274', 'Graduado o Graduada en Matemtica Computacional ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501504', 'Graduado o Graduada en Gestin Aeronutica', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310794', 'Mster Universitario en Recursos Hdricos', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312232', 'Mster Universitario en Riesgo Cardiovascular', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311297', 'Mster Universitario en Sistemas Inteligentes', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310321', 'Mster Universitario en Sociedades Histricas y Formas Polticas en Europa ', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310611', 'Mster Universitario en Tecnologa Medioambiental ', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001213', 'Mster Universitario en tecnologa qumica y ambiental', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001341', 'Mster Universitario en Tecnologas Informticas Avanzadas', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312857', 'Mster Universitario en Tecnologas pticas y de la Imagen', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001707', 'Mster Universitario en teledeteccin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311355', 'Mster Universitario en Tratamiento de la Informacin y Comunicacin Multilinge', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002623', 'Mster Universitario en Turismo, Arqueologa y Naturaleza', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002922', 'Mster Universitario en Gestin e Innovacin en la Industria Alimentaria', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311311', 'Mster Universitario en Gestin Pblica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310001', 'Mster Universitario en Gestin y Polticas Pblicas', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312313', 'Mster Universitario en Historia del Drama', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001983', 'Mster Universitario en Igualdad y Gnero en el mbito Pblico y Privado', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002996', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003042', 'Mster Universitario en Ingeniera Ambiental (MENTA)', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001622', 'Mster Universitario en Ingeniera Bioqumica.  Investigacin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312274', 'Mster Universitario en Ingeniera de Computadores y Redes', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002146', 'Mster Universitario en Ingeniera de Radiocomunicacin y Procesado de Seal', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312011', 'Mster Universitario en Ingeniera de Sistemas Electrnicos', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003004', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310034', 'Mster Universitario en Planificacin y Desarrollo Territorial Sostenible ', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001628', 'Mster Universitario en porcinocultura', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312514', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311870', 'Mster Universitario en Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312156', 'Mster Universitario en Investigacin en Comunicacin Avanzada', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312000', 'Mster Universitario en Investigacin en Gestin', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310949', 'Mster Universitario en Investigacin en Ingeniera Ambiental', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002596', 'Mster Universitario en Investigacin en la Enseanza y el Aprendizaje de las Ciencias Experimentale', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002596', 'Mster Universitario en Investigacin en la Enseanza y el Aprendizaje de las Ciencias Experimentale', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000640', 'Mster Universitario en Investigacin en Tecnologas para el Desarrollo de Sistemas Software Complej', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002597', 'Mster Universitario en Marketing e Investigacin de Mercados', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001356', 'Mster Universitario en medicina respiratoria', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001124', 'Mster Universitario en Microbiologa Avanzada', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001714', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002676', 'Mster Universitario en Nuevas Tendencias Asistenciales en Ciencias de la Salud', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002816', 'Mster Universitario en Nuevas Tendencias y Procesos de Innovacin en Comunicacin', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001988', 'Mster Universitario en psicologa del trabajo, de las organizaciones y en recursos humanos', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311474', 'Mster en Automocin', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311479', 'Mster en logstica', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311482', 'Europa y el Mundo Atlntico: Poder , Cultura y Sociedad', 'S', 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311667', 'Mster en Qumica Sinttica e Industrial', 'N', 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311731', 'Nanociencia y Nanotecnologa Molecular', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311731', 'Nanociencia y Nanotecnologa Molecular', 'S', 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311731', 'Nanociencia y Nanotecnologa Molecular', 'S', 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311731', 'Nanociencia y Nanotecnologa Molecular', 'S', 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312028', 'Mster en Ingeniera de Montes', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312711', 'Mster en Ciencias Sociales para la Investigacin en Educacin', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50110000000', 'Ingeniero Tcnico en Explotaciones Forestales.', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '31', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '67', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '56', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '30', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '66', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '56', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '66', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '66', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50610020000', 'Ingeniero Tcnico Industrial. Elctrica', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630000000', 'Ingeniero Tcnico de Telecomunicacin', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '57', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '47', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '57', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50700010000', 'Ingeniero Tcnico Aeronutico, Especialidad en Aeronaves', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50700020000', 'Ingeniero Tcnico Aeronutico, Especialidad en Aeromotores', 'S', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50700070000', 'Ingeniero Tcnico Aeronutico, Especialidad en Aeropuertos', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710060000', 'Ingeniero Tcnico Agrcola, Especialidad en Mecanizacin y Construcciones Rurales', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710060000', 'Ingeniero Tcnico Agrcola, Especialidad en Mecanizacin y Construcciones Rurales', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50720000000', 'Ingeniero Tcnico Forestal', 'N', 1, NULL, 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502492', 'Graduado o Graduada en Veterinaria', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312667', 'Mster Universitario en Arte, Museos y Gestin del Patrimono Histrico', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312577', 'Mster Universitario en Atencin Farmacutica y Farmacoterapia', NULL, 0, '73', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002599', 'Mster Universitario en Contaminacin Ambiental: Prevencin, Vigilancia y Correccin', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311627', 'Mster Universitario en Contaminacin y Toxicologa Ambientales', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000707', 'Mster Universitario en Educacin Fsica y Salud', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001533', 'Mster Universitario en Tecnologa y Calidad de los Alimentos', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001722', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles (TICRM)', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001722', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles (TICRM)', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001118', 'Mster Universitario en theoretical chemistry and computational modelling/Mster en Qumica Terica ', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002535', 'Mster Universitario en Traduccin y Mediacin Intercultural en mbitos de Especialidad', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310285', 'Mster Universitario Internacional Erasmus Mundus en Materiales y Sistemas Sensores para Tecnologas', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312183', 'Mster Universitario en Arquitectura y Patrimonio Histrico', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312578', 'Mster Universitario en Arquitectura, Organizacin y Gestin de Infraestructuras Hospitalarias', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312128', 'Mster Universitario en Asesora Financiera y Fiscal en el Marco de las NIFF', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000391', 'Mster Universitario en Atencin a Pacientes con Dependencias', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000215', 'Mster Universitario en Biofsica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310692', 'Mster Universitario en Podologa Clnica y Ciruga Podolgica Avanzada ', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002731', 'Mster Universitario en Polticas Comunitarias y Cooperacin Territorial', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312748', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '73', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311539', 'Mster Universitario en Psicogerontologa', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001655', 'Mster Universitario en investigacin en ingeniera ambiental', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001697', 'Mster Universitario en Investigacin Matemtica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001739', 'Mster Universitario en Lenguaje, Cognicin, Accin y Estudios de la Mente/  Master in Language, Cog', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312412', 'Mster Universitario en Lingstica Terica y Aplicada', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002858', 'Mster Universitario en Literatura comparada i traducci literria', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312448', 'Mster Universitario en Literatura Hispanoamericana', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311226', 'Mster Universitario en Management y Gestin del Cambio', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311351', 'Mster Universitario en Matemtica Avanzada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311737', 'Mster Universitario en Matemtica Computacional', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311936', 'Mster Universitario en Metodologa y Tcnicas de Investigacin en Ciencias Sociales', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311359', 'Mster Universitario en Mtodos Cuantitativos de Investigacin en Epidemiologa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002014', 'Mster Universitario en migraciones y mediacin social', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311660', 'Mster Universitario en Nanociencia / Master in Nanoscience', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002957', 'Mster Universitario en Nanociencia y Nanotecnologa', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000401', 'Mster Universitario en Neurociencia', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000401', 'Mster Universitario en Neurociencia', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311429', 'Mster Universitario en Nutricin y Metabolismo', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312473', 'Mster Universitario en Peritaciones Judiciales y Valoraciones Inmobiliarias', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000231', 'Mster Universitario en Psicologa de la Educacin - MIPE', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000231', 'Mster Universitario en Psicologa de la Educacin - MIPE', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002697', 'Mster Universitario en Psicologa Jurdica', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000024', 'Mster Universitario en Qumica Fina Avanzada', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310777', 'Mster Universitario en Anlisis Estructural de Monumentos y Construcciones Histricas / Structural ', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311503', 'Mster Universitario en Antropologa y Etnografa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310731', 'Mster Universitario en Arqueologa Aplicada. Gestin Profesional y Estrategias de Investigacin en ', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311762', 'Mster Universitario en Filosofa. Cuestiones Actuales', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000414', 'Mster Universitario en Fsica Aplicada', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312417', 'Mster Universitario en Direccin de Arte en Publicidad', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312352', 'Mster Universitario en Direccin de Empresas -in  Management-', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001026', 'Mster Universitario en Direccin de Empresas/Master in Business Administration (MBA).', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001901', 'Mster Universitario en direccin de procesos de negocio', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002098', 'Mster Universitario en Doblaje, Traduccin y Subtitulacin', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002564', 'Mster Universitario en Economa y Desarrollo Territorial', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002699', 'Mster Universitario en Educacin en Salud Escolar', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310050', 'Mster Universitario en Educacin Superior', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310839', 'Mster Universitario en Enseanza de Lenguas Extranjeras (Espaol Lengua Extranjera/Ingls Lengua Ex', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000578', 'Mster Universitario en Espaol como Segunda Lengua', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000097', 'Mster Universitario en Estudios Avanzados en Matemticas', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002933', 'Mster Universitario en Estudios Avanzados y  Aplicados en Lengua y Literatura Catalanas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311132', 'Mster Universitario en Innovacin y Tecnologa de Invernaderos', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002691', 'Mster Universitario en Innovacin y Tecnologa de Invernaderos', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310431', 'Mster Universitario en Investigacin Aplicada a Medios de Comunicacin', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310609', 'Mster Universitario en Investigacin en Tecnologas y Procesos Avanzados en la Industria ', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311583', 'Mster Universitario en Investigacin, Desarrollo y Control de Medicamentos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311609', 'Mster Universitario en Lenguas y Tecnologa', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000495', 'Mster Universitario en Matemticas y Aplicaciones', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311611', 'Mster Universitario en Mejora Gentica Vegetal', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312355', 'Mster Universitario en Metodologa de Investigacin en Ciencias Empresariales / Research Methodolog', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000819', 'Mster Universitario en Migraciones, Conflictos y Cohesin Social en la Sociedad Global', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312629', 'Mster Universitario en Modelado Computacional en Ingeniera', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001536', 'Mster Universitario en Neurociencia Cognitiva y del Comportamiento', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000606', 'Mster Universitario en Ortodoncia Avanzada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003045', 'Mster Universitario en Pedagoga Social y Comunitaria: Liderazgo de la Transformacin Socioeducativ', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001848', 'Mster Universitario en planeamiento urbano y territorial', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002818', 'Mster Universitario en Psicopatologa Clnica, Legal y Forense', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310106', 'Mster Universitario en Qumica Fina Avanzada', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311595', 'Mster Universitario en Recursos Humanos', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000503', 'Mster Universitario en Recursos Humanos y Relaciones Laborales', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002057', 'Mster Universitario en Rehabilitacin, Mantenimiento y Recuperacin de Edificios', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311060', 'Mster Universitario en Salud Pblica (MSP)', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001423', 'Mster Universitario en salud pblica municipal', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002817', 'Mster Universitario en Tecnologas de la Traduccin y Localizacin', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001702', 'Mster Universitario en Traduccin Creativa y Humanstica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310707', 'Mster Universitario Erasmus Mundus en Excelencia en Salud Pblica / Europubhealth', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001542', 'Mster Universitario Erasmus Mundus en Formacin de Profesionales de la Formacin: Formacin para la', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310869', 'Mster Universitario Europeo en Medio Ambiente y Recursos Marinos / European Master in Marine Enviro', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310631', 'Mster Universitario en Fisioterapia Manual del Aparato Locomotor', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311834', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310171', 'Mster Universitario en Gestin Costera', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000224', 'Mster Universitario en Gestin de Contenidos Digitales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001737', 'Mster Universitario en Gestin de la Innovacin y el Conocimiento', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002124', 'Mster Universitario en Gestin de la Seguridad, Emergencias y Crisis', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311975', 'Mster Universitario en Gobierno y Administracin Pblica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000027', 'Mster Universitario en Hidrulica Ambiental', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312909', 'Mster Universitario en Historia y Antropologia de Amrica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000617', 'Mster Universitario en Hogar Digital. Infraestructuras y Servicios', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001188', 'Mster Universitario en Igualdad de Gnero en las Ciencias Sociales', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310290', 'Mster Universitario en Ingeniera Acstica en la Industria y el Transporte', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310786', 'Mster Universitario en Ingeniera del Cuero', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002182', 'Mster Universitario en Ingeniera del Tratamiento y Reciclaje de Aguas Residuales', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310978', 'Mster Universitario en Ingeniera Mecnica y Materiales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311765', 'Mster Universitario en Ingeniera para el Desarrollo Rural por la Universidad de Santiago de Compos', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002856', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311698', 'Mster Universitario en Prevencin de Riesgos Laborales por la Universidad Cardenal Herrera-CEU ', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311155', 'Mster Universitario en Profesorado de Enseanza Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000572', 'Mster Universitario en Investigacin en Cuidados', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311317', 'Mster Universitario en Investigacin en Didctica de la Lengua y de la Literatura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311318', 'Mster Universitario en Investigacin en Psicologa del Deporte y la Actividad Fsica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002788', 'Mster Universitario en qumica agrcola', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001681', 'Mster Universitario en qumica terica y modelacin computacional', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001681', 'Mster Universitario en qumica terica y modelacin computacional', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310075', 'Mster Universitario en Robtica y Automatizacin', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000949', 'Mster Universitario en Salud Pblica', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310061', 'Mster Universitario en Seguridad y Biotecnologa Alimentaria', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000652', 'Mster Universitario en Sistemas de Energa Elctrica', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310334', 'Mster Universitario en Sistemas de Informacin Digital', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310108', 'Mster Universitario en Sistemas Regionales de Salud Sostenible (Erasmus Mundus) /  Sustainable Regi', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312104', 'Mster Universitario en Sociedad Democrtica Estado y Derecho', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002769', 'Mster Universitario en sociologa, anlisis y gestin de lo social', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002519', 'Mster Universitario en Tecnologa de la Informacin y las Comunicaciones', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002621', 'Mster Universitario en Tecnologa e Instrumentacin Qumica', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000455', 'Mster Universitario en Tecnologas de la Informacin Geogrfica', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002138', 'Mster Universitario en Traduccin Especializada', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310695', 'Mster Universitario en Urgencias, Emergencias y Crticos en Enfermera', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002702', 'Mster Universitario Internacional en Ciencias Jurdicas y Derecho Cannico', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002080', 'Mster Universitario en Arqueologa y Patrimonio: Ciencia y Profesin', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002133', 'Mster Universitario en Arqueologa y Patrimonio: Ciencia y Profesin', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310886', 'Mster Universitario en Arte Contemporneo', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000866', 'Mster Universitario en Automtica e Informtica Industrial', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310220', 'Mster Universitario en Biodiversidad, Paisajes y Gestin Sostenible', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002001', 'Mster Universitario en Biotica', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310824', 'Mster Universitario en Biotica', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312320', 'Mster Universitario en Comunicacin Social', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000727', 'Mster Universitario en Comunicaciones', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312386', 'Mster Universitario en Contabilidad, Auditora y Control de Gestin', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310856', 'Mster Universitario en Biotecnologa de la Reproduccin Humana Asistida', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000207', 'Mster Universitario en Experto en Espaol como Lengua Extranjera en bitos Profesionales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001247', 'Mster Universitario en Fsica Avanzada y Profesional', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001165', 'Mster Universitario en Fsica y Matemticas', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312468', 'Mster Universitario en Cuidados Paliativos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312003', 'Mster Universitario en Derechos Fundamentales y Poderes Pblicos', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312052', 'Mster Universitario en Direccin de Empresas', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310620', 'Mster Universitario en Director Deportivo', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311101', 'Mster Universitario en Diseo Industrial', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001003', 'Mster Universitario en el Origen y Consolidacin del Concepto de Occidente', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310857', 'Mster Universitario en Enfermedades Parasitarias Tropicales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311536', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311584', 'Mster Universitario en Formacin de Profesores de Espaol como Lengua Extranjera', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003012', 'Mster Universitario en Fotnica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312367', 'Mster Universitario en Geologa Aplicada a la Obra Civil y los Recursos Hdricos', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002143', 'Mster Universitario en Gestin de Cuencas Hidrogrficas', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311445', 'Mster Universitario Internacional de Formacin y Gestin en Medicina Humanitaria', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312197', 'Mster Universitario en Atencin Socio-Sanitaria a la Dependencia', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000192', 'Mster Universitario en Banca y Finanzas Cuantitativas', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002162', 'Mster Universitario en Biotica', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001690', 'Mster Universitario en Cooperacin al Desarrollo', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312536', 'Mster Universitario en Biomedicina', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002885', 'Mster Universitario en Ciudadana y Derechos Humanos: tica y Poltica', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310809', 'Mster Universitario en Artes Visuales y Multimedia', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002036', 'Mster Universitario en Comunicacin e Informacin Social y Religiosa', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002637', 'Mster Universitario en Biotecnologa Avanzada', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310649', 'Mster Universitario en Ciencias y Tecnologas Qumicas', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310711', 'Mster Universitario en Cognicin y Evolucin Humana', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310313', 'Mster Universitario en Estudios sobre Cine Espaol', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311588', 'Mster Universitario en Finanzas', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310303', 'Mster Universitario en Finanzas / Finance', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311823', 'Mster Universitario en Fsica de la Materia Condensada y Nanotecnologa', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311932', 'Mster Universitario en Cultura de Paz, Conflictos, Educacin y Derechos Humanos', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311448', 'Mster Universitario en Derecho del Trabajo y de la Seguridad Social a travs de la Jurisprudencia', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310124', 'Mster Universitario en Direccin de Empresas', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312235', 'Mster Universitario en Direccin y Gestin de Entidades Deportivas', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001570', 'Mster Universitario en Diseo', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310048', 'Mster Universitario en Donacin y Transplante de rganos, Tejidos y Clulas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311550', 'Mster Universitario en Psicologa de la Educacin - MIPE', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311929', 'Mster Universitario en Psicologa de la Salud y Prctica Clnica', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001192', 'Mster Universitario en Qumica Avanzada. Preparacin y Caracterizacin de Materiales', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002041', 'Mster Universitario en Realizacin y Produccin en Unidades Mviles', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002046', 'Mster Universitario en Relaciones Internacionales', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001186', 'Mster Universitario en sociologa: poblacin, sociedad y territorio', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310358', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000398', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002631', 'Mster Universitario en Ingeniera Qumica con Intensificaciones en: Investigacin en Ingeniera Qu', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310022', 'Mster Universitario en Prctica Tributaria ', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311685', 'Mster Universitario en Prtesis, Implantoprtesis y Esttica Dental', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311744', 'Mster Universitario en Creacin Digital', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312089', 'Mster Universitario en Criminologa Aplicada y Ejecucin de Penas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000831', 'Mster Universitario en Biologa Molecular, Celular y Gentica', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000676', 'Mster Universitario en Ciencia y Tecnologa Ambiental', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001852', 'Mster Universitario en ciencias de la actividad fsica y del deporte', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310491', 'Mster Universitario en Ciruga Podolgica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001482', 'Mster Universitario en Actividad Fsica y Deporte', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312105', 'Mster Universitario en Administracin y Direccin de Entidades de Economa Social', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311974', 'Mster Universitario en Anlisis Econmico del Derecho', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311593', 'Mster Universitario en Gestin de Empresas Europeas e Internacionales / European and International ', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001466', 'Mster Universitario en Gestin de la Edificacin', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310410', 'Mster Universitario en Gestin de las Organizaciones', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000824', 'Mster Universitario en Gestin de Turismo Internacional', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311532', 'Mster Universitario en Gestin del Patrimonio Cultural', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311800', 'Mster Universitario en Gestin Integral de la Construccin', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003013', 'Mster Universitario en Gestin y Valoracin Urbana', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312550', 'Mster Universitario en Guin Audiovisual', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310411', 'Mster Universitario en Historia Contempornea', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310411', 'Mster Universitario en Historia Contempornea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311864', 'Mster Universitario en Igualdad de Gnero en las Ciencias Sociales', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002824', 'Mster Universitario en Ingenieria Ambiental', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310873', 'Mster Universitario en Ingeniera Biomdica ', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310974', 'Mster Universitario en Ingeniera del Hormign', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312013', 'Mster Universitario en Ingeniera del Software - European Master on Software Engineering', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002102', 'Mster Universitario en ingeniera y gestin de procesos de fabricacin', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000929', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002507', 'Mster Universitario en psicodidctica: psicologa de la educacin y didcticas especficas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000565', 'Mster Universitario en Investigacin en Informtica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001403', 'Mster Universitario en Investigacin en Sistemas de Produccin Agroalimentaria', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310055', 'Mster Universitario en Lengua Espaola y Literaturas Hispnicas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000313', 'Mster Universitario en Lingstica y aplicaciones tecnolgicas', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311250', 'Mster Universitario en Literaturas Hispnicas (Catalana, Gallega, Vasca) en el Contexto Europeo', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000477', 'Mster Universitario en MBA en Direccin Financiera', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311610', 'Mster Universitario en Mejora Gentica Animal y Biotecnologa de la Reproduccin', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311103', 'Mster Universitario en Mercados del Arte y Gestin de Empresas Relacionadas', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001591', 'Mster Universitario en Biologa Molecular y Biotecnologa', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002071', 'Mster Universitario en Biomedicina Regenerativa', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003064', 'Mster Universitario en Cambio Global', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310700', 'Mster Universitario en Ciencia y Tecnologa de la Carne', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310554', 'Mster Universitario en Ciencia y Tecnologa de los Materiales', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000569', 'Mster Universitario en Ciencias Odontolgicas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310888', 'Mster Erasmus Mundus en el Color en la Informtica y la Tecnologa de los Medios / Erasmus Mundus i', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312695', 'Mster Universitario en Actividad Fsica y Calidad de Vida de Personas Adultas y Mayores', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002638', 'Mster Universitario en Actualidades en Ciencias Salud', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312727', 'Mster Universitario en Anlisis Poltico y Medios de Comunicacin', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311758', 'Mster Universitario en Estudios Internacionales', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000426', 'Mster Universitario en Estudios Literarios', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001741', 'Mster Universitario en Europa y el Mundo Atlntico: Poder, Cultura y Sociedad', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000523', 'Mster Universitario en European Master in Nuclear Fusion Science and Engineering Physics', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001796', 'Mster Universitario en Derecho de la Unin Europea', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312738', 'Mster Universitario en Derecho Internacional y Europeo de los Negocios (International and European ', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310084', 'Mster Universitario en Derecho Parlamentario, Elecciones y Estudios Legislativos', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002977', 'Mster Universitario en Derecho y Polticas de la Integracin Europea: Derecho Constitucional Europe', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310501', 'Mster Universitario en Derechos Fundamentales y Libertades Pblicas', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311035', 'Mster Universitario en Dificultades de Aprendizaje y Procesos Cognitivos', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310679', 'Mster Universitario en Direccin de Empresas-MBA', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311631', 'Mster Universitario en Dispositivos y Sistemas Fotovoltaicos', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311395', 'Mster Universitario en Educacin y Tic (E-Learning)', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312798', 'Mster Universitario en Enfermera en Cuidados Paliativos por la Universidad de Navarra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312617', 'Mster Universitario en Neurociencia', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310577', 'Master Universitario en Neurocontrol Motor', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311453', 'Mster Universitario en Odontologa Integrada', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001150', 'Mster Universitario en Psicologa Clnica y de la Salud', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002170', 'Mster Universitario en psicologa clnica y prctica teraputica', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312546', 'Mster Universitario en Psicologa de la Intervencin Social', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001252', 'Mster Universitario en Radiacin de Sincrotrn y Aceleradores de Partculas', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310318', 'Mster Universitario en Relaciones Internacionales Iberoamericanas', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311910', 'Mster Universitario en Salud Pblica', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311404', 'Mster Universitario en Seguridad y Calidad de los Alimentos', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310849', 'Mster Universitario en Servicios Culturales', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311030', 'Mster Universitario en Sistemas Electrnicos para Entornos Inteligentes', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002613', 'Mster Universitario en Tecnologa de los Sistemas de Energa Solar Fotovoltica', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312133', 'Mster Universitario en Tecnologa y Recursos Energticos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000771', 'Mster Universitario en Tecnologas de la Informacin y las Comunicaciones', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311167', 'Mster Universitario en Tecnologas Informticas Avanzadas', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311272', 'Mster Universitario en Traduccin Especializada', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313097', 'Mster Universitario en Urbanismo', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001511', 'Mster Universitario en Zootecnia y Gestin Sostenible: Ganadera Ecolgica Integrada', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001512', 'Mster Universitario en Arqueologa y Patrimonio: Ciencia y Profesin', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002031', 'Mster Universitario en Artes de la Comunicacin Corporativa', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000214', 'Mster Universitario en Astrofsica, Fsica de Partculas y Cosmologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002112', 'Mster Universitario en Auditora y Contabilidad Superior', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001599', 'Mster Universitario en Bioderecho, tica y Ciencia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312535', 'Mster Universitario en Biodiversidad Terrestre y Conservacin en Islas', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001354', 'Mster Universitario en Bioinformtica para las Ciencias de la Salud', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310825', 'Mster Universitario en Bioingeniera', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001043', 'Mster Universitario en European Mster in Sustainable Regional Health Systems', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310542', 'Mster Universitario en Filosofa del Presente', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310891', 'Mster Universitario en Filosofa, Cultura y Sociedad', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312690', 'Mster Universitario en Fsica Nuclear', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312690', 'Mster Universitario en Fsica Nuclear', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311826', 'Mster Universitario en Derecho de la Unin Europea', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312655', 'Mster Universitario en Derecho y Medio Ambiente', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311995', 'Mster Universitario en Derechos Humanos, Interculturalidad y Desarrollo por la Universidad Internac', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311995', 'Mster Universitario en Derechos Humanos, Interculturalidad y Desarrollo por la Universidad Internac', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001892', 'Mster Universitario en Desarrollo e Integracin de Soluciones Software', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001465', 'Mster Universitario en Desarrollo Local e Innovacin Territorial', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311790', 'Mster Universitario en Desarrollo Social', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310915', 'Mster Universitario en Direccin de Empresas Industriales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001766', 'Mster Universitario en Direccin y Gestin de Centros Educativos', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310883', 'Mster Universitario en Direccin y Gestin de Empresas Hoteleras', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310132', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001353', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310228', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310518', 'Mster Universitario en Edificacin Eficiente y Rehabilitacin Energtica y Medioambiental', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310477', 'Mster Universitario en Educacin Interdisciplinar de las Artes', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311967', 'Mster Universitario en Estudios rabes e Islmicos Contemporneos', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002571', 'Mster Universitario en Ingls para la Cualificacin Profesional', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002822', 'Mster Universitario en Intervencin Social y Comunitaria con Intensificaciones en: Trabajo Social G', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311769', 'Mster Universitario en Investigacin Bsica y Aplicada en Ciencias Veterinarias', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313044', 'Mster Universitario en Formacin de Profesionales de la Formacin', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311540', 'Mster Universitario en Geologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002619', 'Mster Universitario en Gerontologa Social: Longevidad, Salud y Calidad', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311531', 'Mster Universitario en Gestin Cultural', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001478', 'Mster Universitario en Gestin de Calidad y Trazabilidad en Alimentos de Origen Vegetal', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310217', 'Mster Universitario en Ingeniera del Diseo ', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312446', 'Mster Universitario en Derecho Pblico', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002642', 'Mster Universitario en Desarrollos Sociales de la Cultura Artstica', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002758', 'Mster Universitario en Descripcin y Anlisis de la Biodiversidad de Ambientes Mediterrneos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312489', 'Mster Universitario en Dinmicas Territoriales y Desarrollo', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002074', 'Mster Universitario en Educacin Multicultural', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002061', 'Mster Universitario en Endodoncia', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312500', 'Mster Universitario en Energas Renovables Distribuidas', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001903', 'Mster Universitario en Enseanza de Idiomas', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001755', 'Mster Universitario en iniciacin a la investigacin en medicina', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311143', 'Mster Universitario en Innovacin e Investigacin en Cuidados de Salud', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501065', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500286', 'Graduado o Graduada en Psicologa ', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500517', 'Graduado o Graduada en Qumica', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310676', 'Mster Universitario en Intervencin y Mediacin con Menores en Situacin de Desproteccin y/o Confl', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311895', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310960', 'Mster Universitario en Gestin Cultural', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310528', 'Mster Universitario en Gestin de Prevencin de Riesgos Laborales', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502284', 'Graduado o Graduada en Ingeniera Infomtica en Sistemas de Informacin', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501930', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500238', 'Graduado o Graduada en Sistemas de Informacin ', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502502', 'Graduado o Graduada en Turismo', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500529', 'Graduado o Graduada en Ciencias de la Actividad Fsica y el Deporte ', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500763', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500294', 'Graduado o Graduada en Criminologa', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500034', 'Graduado o Graduada en Derecho', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310626', 'Mster Universitario en Enseanza del Ingls como Lengua Extranjera', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002848', 'Mster Universitario en Estadstica e Investigacin Operativa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310319', 'Mster Universitario en Estudios Culturales en Lengua Inglesa. Textos y Contextos', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002168', 'Mster Universitario en interpreting and translation studies', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002779', 'Mster Universitario en intervencin e investigacin en ejercicio fsico, salud y dependencia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310895', 'Mster Universitario en Fotnica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310041', 'Mster Universitario en Fotnica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001490', 'Mster Universitario en Geologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001967', 'Mster Universitario en Historia del Mundo', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310651', 'Mster Universitario en Ingeniera Acstica: Contaminacin Acstica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311572', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311469', 'Mster Universitario en Ingeniera Elctrica, Electrnica y Automtica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000358', 'Mster Universitario en Ingeniera electrnica', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310505', 'Mster Universitario en Profesor de Educacin Secundaria Obligatoria, Bachillerato, Formacin Profes', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002974', 'Mster Universitario en Investigacin en Asia Oriental Contempornea', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311358', 'Mster Universitario en Investigacin Farmacolgica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312002', 'Mster Universitario en Investigacin y Creacin en Arte', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000597', 'Mster Universitario en Marketing y Comunicacin', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312247', 'Mster Universitario en Mtodos y Tcnicas Avanzadas en Fsica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311420', 'Mster Universitario en Migraciones y Mediacin Social', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001424', 'Mster Universitario en organizacin de centros y servicios deportivos', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312379', 'Mster Universitario en Patrimonio Cultural. La Eurorregin Galicia-Norte de Portugal', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000470', 'Mster Universitario en Periodismo', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310819', 'Mster Universitario en Estudios de Cine y Audiovisual Contemporneos', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002980', 'Mster Universitario en Inteligencia Artificial', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310536', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002674', 'Mster Universitario en Gentica Molecular y Biotecnologa Microbiana', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000111', 'Mster Universitario en Gerontologa Social', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310890', 'Mster Universitario en Gerontologa Social: Longevidad, Salud, Calidad de Vida', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310153', 'Mster Universitario en Gestin Financiera y Contabilidad Avanzada', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001764', 'Mster Universitario en Gestin Pblica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001524', 'Mster Universitario en Gestin y Direccin Laboral', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311730', 'Mster Universitario en Historia e Identidades Hispnicas en el Mediterrneo Occidental (siglos XV-X', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000623', 'Mster Universitario en Humanidades', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501684', 'Graduado o Graduada en Derecho', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500461', 'Graduado o Graduada en Economa ', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501108', 'Graduado o Graduada en Economa por la Universidad de Santiago de Compostela', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502082', 'Graduado o Graduada en Arquitectura ', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502156', 'Graduado o Graduada en Matemticas', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501705', 'Graduado o Graduada en Historia del Arte', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501379', 'Graduado o Graduada en Historia del Arte', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501007', 'Graduado o Graduada en Humanidades', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500131', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502330', 'Graduado o Graduada en Ingeniera Agroalimentaria y del Medio Rural', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501777', 'Graduado o Graduada en Ingeniera de los Recursos Energticos', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500868', 'Graduado o Graduada en Ingeniera de Sistemas Audiovisuales', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502235', 'Graduado o Graduada en Ingeniera Forestal y del Medio Natural ', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502150', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502016', 'Graduado o Graduada en Medicina', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500494', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502305', 'Graduado o Graduada en Ingeniera Informtica - Tecnologas Informticas', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501771', 'Graduado o Graduada en Ingeniera Nutica y Transporte Martimo', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501709', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500792', 'Graduado o Graduada en Medicina', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501362', 'Graduado o Graduada en Medicina', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501527', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500335', 'Graduado o Graduada en Psicologa ', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500308', 'Graduado o Graduada en Qumica ', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501916', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501265', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501553', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501609', 'Graduado o Graduada en Ciencias Ambientales por la Universidad Miguel Hernndez de Elche', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500075', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500580', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500913', 'Graduado o Graduada en Educacin Social', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501203', 'Graduado o Graduada en Educacin Social', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501900', 'Graduado o Graduada en Ingeniera Qumica Industrial', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501855', 'Graduado o Graduada en Ingeniera Qumica Industrial', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501188', 'Graduado o Graduada en Lengua y Literatura Alemanas', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501476', 'Graduado o Graduada en Periodismo', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500059', 'Graduado o Graduada en Psicologa', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500462', 'Graduado o Graduada en Psicologa ', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501766', 'Graduado o Graduada en Relaciones Laborales', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501263', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500674', 'Graduado o Graduada en Turismo', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501785', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500972', 'Graduado o Graduada en Enfermera', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501617', 'Graduado o Graduada en Estadstica Empresarial', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501885', 'Graduado o Graduada en Farmacia', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500551', 'Graduado o Graduada en Filologa Vasca / Euskal Filologa', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500005', 'Graduado o Graduada en Diseo de Interiores', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502007', 'Graduado o Graduada en Diseo por la Universidad Pompeu Fabra', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501224', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500904', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500483', 'Graduado o Graduada en Antropologa Social y Cultural ', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500491', 'Graduado o Graduada en Bellas Artes', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501371', 'Graduado o Graduada en Bioqumica', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500511', 'Graduado o Graduada en Historia ', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502346', 'Graduado o Graduada en Humanidades: Estudios Interculturales', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500915', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502275', 'Graduado o Graduada en Ingeniera Agrcola', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502278', 'Graduado o Graduada en Ingeniera de la Tecnologa de Minas y Energa', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500951', 'Graduado o Graduada en Ingeniera de Tecnologas Industriales', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500020', 'Graduado o Graduada en Administracin y Direccin de Empresas ADE', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500588', 'Graduado o Graduada en Biologa', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500333', 'Graduado o Graduada en Lengua y Literatura Espaolas', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501010', 'Graduado o Graduada en Logopedia', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500061', 'Graduado o Graduada en Matemticas', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501635', 'Graduado o Graduada en Matemticas', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501336', 'Graduado o Graduada en Fisioterapia', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501183', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501306', 'Graduado o Graduada en Historia del Arte', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502124', 'Graduado o Graduada en Ingeniera Agrcola ', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502507', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500938', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501037', 'Graduado o Graduada en Ingeniera de las Explotaciones Agropecuarias', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501852', 'Graduado o Graduada en Ingeniera Forestal y del Medio Natural', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501042', 'Graduado o Graduada en Ingeniera Hortofrutcola y Jardinera', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500299', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500519', 'Graduado o Graduada en Ingeniera Mecnica ', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500484', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501322', 'Graduado o Graduada en Medicina', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502257', 'Graduado o Graduada en Odontologa', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502055', 'Graduado o Graduada en Psicologa', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500954', 'Graduado o Graduada en Qumica', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500788', 'Graduado o Graduada en Trabajo Social', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501020', 'Graduado o Graduada en Turismo', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501033', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500610', 'Graduado o Graduada en Ciencias Econmicas ', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500337', 'Graduado o Graduada en Comunicacin Audiovisual ', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500591', 'Graduado o Graduada en Enfermera', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501454', 'Graduado o Graduada en Enfermera', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313002', 'Mster Universitario en Estructura y Funcin de Protenas por las Universidades de Sevilla, Granada, Autnoma de Barcelona y Zaragoza', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313004', 'Mster Universitario en Ingeniera Web por la Universidad Politcnica de Madrid', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313021', 'Mster Universitario en Medicina por la Universidad Rey Juan Carlos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313035', 'Mster Universitario en Ingeniera de Desarrollo para Dispositivos Mviles por la Universidad Alfonso X el Sabio', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313042', 'Mster Universitario en Teora e Historia del Arte y Gestin Cultural por la Universidad de La Laguna', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310006', 'Mster Universitario en Intervencin Logopdica en la Infancia y la Adolescencia', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001987', 'Mster Universitario en intervencin y mediacin familiar', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310570', 'Mster Universitario en Formacin de Profesorado de Educacin Secundaria Obligatoria y Bachillerato,', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311804', 'Mster Universitario en Gestin Cultural', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002735', 'Mster Universitario en Gestin de Recursos Humanos, Trabajo y Organizaciones', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312712', 'Mster Universitario en Gestin Portuaria y Logstica', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311791', 'Mster Universitario en Gestin y Planificacin de Servicios Sanitarios', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000397', 'Mster Universitario en Historia Contempornea', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311336', 'Mster Universitario en Historia de la Ciencia: Ciencia, Historia y Sociedad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001695', 'Mster Universitario en Historia e Identidades Hispnicas en el Mediterrneo occidental (Siglos XV-X', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001905', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310782', 'Mster Universitario en Ingeniera en Energa', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500243', 'Graduado o Graduada en Estudios Clsicos', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500255', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500319', 'Graduado o Graduada en Filosofa', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500320', 'Graduado o Graduada en Historia', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500326', 'Graduado o Graduada en Derecho por la Universidad de Girona', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500645', 'Graduado o Graduada en Derecho por la Universitat Abat Oliba CEU', NULL, 0, '70', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500670', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500700', 'Graduado o Graduada en Arquitectura', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500841', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500842', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500892', 'Graduado o Graduada en Fisioterapia', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500896', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501003', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501047', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501377', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501302', 'Graduado o Graduada en Gestin de Pequeas y Medianas Empresas', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500614', 'Graduado o Graduada en Historia ', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501871', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500236', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500553', 'Graduado o Graduada en Ingeniera de Sistemas Audiovisuales ', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501797', 'Graduado o Graduada en Ingeniera Electrnica Industrial', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501835', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500693', 'Graduado o Graduada en Ingeniera Matemtica', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501516', 'Graduado o Graduada en Medicina por la Universidad de Granada', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501965', 'Graduado o Graduada en Psicologa', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501962', 'Graduado o Graduada en Qumica', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501301', 'Graduado o Graduada en Ciencia Poltica y Administracin Pblica por la Universidad de Salamanca', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501273', 'Graduado o Graduada en Ciencias Biomdicas', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501245', 'Graduado o Graduada en Enfermera', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500744', 'Graduado o Graduada en Estudios Alemanes', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502411', 'Graduado o Graduada en Estudios Franceses', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501407', 'Graduado o Graduada en Economa', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501529', 'Graduado o Graduada en Economa', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501321', 'Graduado o Graduada en Enfermera', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500824', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad Catlica San Antoni', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500923', 'Graduado o Graduada en Biologa', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500302', 'Graduado o Graduada en Maestro o Maestra de Educacin Infantil por la Universidad de Burgos', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500496', 'Graduado o Graduada en Matemticas', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500732', 'Graduado o Graduada en Fisioterapia', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501630', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501486', 'Graduado o Graduada en Gestin y Administracin Pblica por la Universidad Politcnica de Valencia', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501560', 'Graduado o Graduada en Igualdad de Gnero', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501894', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500673', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500950', 'Graduado o Graduada en Ingeniera de Organizacin Industrial', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501990', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502298', 'Graduado o Graduada en Ingeniera de Tecnologas de Telecomunicacin', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502249', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502006', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501728', 'Graduado o Graduada en Ingeniera Informtica ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501436', 'Graduado o Graduada en Ingeniera Multimedia', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502397', 'Graduado o Graduada en Ingeniera Nutica y Transporte Martimo', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500083', 'Graduado o Graduada en Medicina', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500512', 'Graduado o Graduada en Periodismo', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500638', 'Graduado o Graduada en Publicidad ', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501340', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001220', 'Mster Universitario en Enfermedades Parasitarias Tropicales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001433', 'Mster Universitario en Estudio y Tratamiento del Dolor', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312996', 'Mster Universitario en Liderazgo y Administracin Pblica por la Universidad San Jorge', NULL, 0, '73', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502552', 'Graduado o Graduada en Fisioterapia por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502553', 'Graduado o Graduada en Ingeniera Aeroespacial por la Universidad de Cdiz', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502566', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte por la Universidad de Huelva', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502619', 'Graduado o Graduada en Psicologa por la Universidad San Jorge', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502628', 'Graduado o Graduada en Ingeniera en Desarrollo de Contenidos Digitales por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502633', 'Graduado o Graduada en Piloto y Direccin de Operaciones Areas por la Universidad Europea de Madrid', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502660', 'Graduado o Graduada en Ingeniera de la Energa', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502692', 'Graduado o Graduada en Multimedia y Artes Digitales por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502700', 'Graduado o Graduada en Relaciones internacionales por la Universidad Ramn Llull', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502703', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte por la Universidad Pompeu Fabra', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502709', 'Graduado o Graduada en Ciencias Polticas por la Universitat Abat Oliba CEU', NULL, 0, '70', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502711', 'Graduado o Graduada en Ingeniera Informtica por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310841', 'Mster Universitario en  Tecnologa Educativa: e-learning  y Gestin del Conocimiento por la Universidad Rovira i Virgili; la Universidad de Lleida; la Universidad de Murcia y la Universidad de las Illes Balears', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310905', 'Mster Universitario en Traduccin Creativa y Humanstica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311230', 'Mster Universitario en Tecnologas de la Informacin Geogrfica', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311230', 'Mster Universitario en Tecnologas de la Informacin Geogrfica', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311257', 'Mster Universitario en Psicologa de la Intervencin', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311345', 'Mster Universitario en Estudios Culturales: Gestin y Tecnologa de la Cultura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311368', 'Mster Universitario en Economa y Derecho Empresarial', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311379', 'Mster Universitario en Psicologa Clnica, de la Salud y Calidad de Vida / Psicologa Clnica, de la Salut i Qualitat de Vida por la Universidad de Girona', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311543', 'Mster Universitario Erasmus Mundus en Calidad en los Laboratorios Analticos/European Joint Master in Quality in Analytical Laboratories', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311543', 'Mster Universitario Erasmus Mundus en Calidad en los Laboratorios Analticos/European Joint Master in Quality in Analytical Laboratories', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311682', 'Mster Universitario en Lotinetra e Investigacin Clnica', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311700', 'Mster Universitario en Anlisis del Rendimiento Deportivo / Master in Performance Analysis of Sport', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311727', 'Mster Universitario en Historia Contempornea', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311869', 'Mster Universitario en Ingeniera Trmica', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311875', 'Mster Universitario en Optometra Clnica y Visin', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311899', 'Mster Universitario en Atencin Primaria por la Universidad Miguel Hernndez de Elche', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311981', 'Mster Universitario en Gestin Empresarial', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311993', 'Mster Universitario en Capacitacin en Gestin de Costas del Mediterrneo -EDUCOMaMED-', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312016', 'Mster Universitario en Computacin Lgica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312041', 'Mster Universitario en Biodiversidad', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312132', 'Mster Universitario en Materiales Estructurales para las Nuevas Tecnologas', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312134', 'Mster Universitario en Ciencias Sociales del Desarrollo, Culturas y Desarrollo en frica', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312136', 'Mster Universitario en Planificacin Territorial. Informacin, Herramientas y Mtodos', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312309', 'Mster Universitario en Investigacin y Tratamientos Psicolgicos y de la Salud', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312321', 'Mster Universitario en Estudios Ingleses: Aplicaciones Profesionales y Comunicacin Intercultural', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312337', 'Mster Universitario en Agentes de Igualdad de Oportunidades', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502719', 'Graduado o Graduada en Fundamentos de Arquitectura por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502720', 'Graduado o Graduada en Creacin Musical  por la Universidad Europea de Madrid', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502721', 'Graduado o Graduada en Cine de Animacin por la Universidad Camilo Jos Cela', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502728', 'Graduado o Graduada en Astrofsica y Ciencias del Espacio por la Universidad de La Laguna', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502734', 'Graduado o Graduada en Seguridad por la Universidad Camilo Jos Cela', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502735', 'Graduado o Graduada en Ingeniera Electrnica de Comunicaciones por la Universidad Complutense de Madrid', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502747', 'Graduado o Graduada en Psicologa por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502749', 'Graduado o Graduada en Direccin de Empresas de Base Tecnolgica por la Universidad Camilo Jos Cela', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502766', 'Graduado o Graduada en Psicopedagoga por la Universidad de La Laguna', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502770', 'Graduado o Graduada en Trabajo Social por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502779', 'Graduado o Graduada en Ciencias Biomdicas por la Universidad de Barcelona', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502781', 'Graduado o Graduada en Piloto de Aviacin Comercial y Operaciones Areas  por la Universidad de Salamanca', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502784', 'Graduado o Graduada en Ingeniera Nutica y Transporte Martimo por la Universidad de A Corua', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502787', 'Graduado o Graduada en Marketing y Direccin Comercial por la Universidad Europea de Canarias', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502800', 'Graduado o Graduada en Derecho por la Universidad Alfonso X El Sabio', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002827', 'Universitario en Artes Visuales y Educacin. Un Enfoque Construccionista', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310091', 'Mster Universitario Iberoamericano de Historia Comparada por la Universidad Internacional de Andalucia y la Universidad de Huelva', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310092', 'Mster Universitario en Ingeniera Informtica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310327', 'Mster Universitario en Estudios Contrastivos de Lengua y Literatura Alemanas: Deutsch als Fremdsprache', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310532', 'Mster Universitario en Psicopedagoga', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310650', 'Mster Universitario en Vitivinicultura en Climas Clidos', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310652', 'Mster Universitario en Gestin Integral del Agua', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310742', 'Mster Universitario en Direccin Pblica, Polticas Pblicas y Tributacin', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310758', 'Mster Universitario en Ingeniera Mecatrnica', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501131', 'Graduado o Graduada en Podologa', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501571', 'Graduado o Graduada en Artes y Diseo', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501751', 'Graduado o Graduada en Magisterio de Educacin Primaria', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501752', 'Graduado o Graduada en Magisterio de Educacin Infantil', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501857', 'Graduado o Graduada en Estudios de Francs y Espaol', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501984', 'Graduado o Graduada en Ingeniera en Sistemas y Tecnologa Naval', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501992', 'Graduado o Graduada en Ingeniera Geolgica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501996', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502107', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '78', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502111', 'Graduado o Graduada en Gestin Deportiva', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502184', 'Graduado o Graduada en Enologa', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502355', 'Graduado o Graduada en Ingeniera Agraria y Alimentaria', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502366', 'Graduado o Graduada en Ingeniera de Recursos Mineros y Energticos', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502445', 'Graduado o Graduada en Veterinaria', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502531', 'Graduado o Graduada en Antropologa Social y Cultural por la Universidad Autnoma de Madrid', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502535', 'Graduado o Graduada en Ingeniera Fsica', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312968', 'Mster Universitario en Direccin de Protocolo, Produccin, Organizacin y Diseo de Eventos', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313059', 'Master Universitario en Tecnologas de Edificacin Sostenible por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313069', 'Mster Universitario en Direccin Financiera y Contable de la Empresa por la Universidad Pompeu Fabra', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313070', 'Master Universitario en Formacin del Profesorado de Educacin Secundaria por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313078', 'Mster Universitario en Auditora de Cuentas por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313084', 'Mster Universitario en Innovacin en la Gestin Turstica por la Universidad de Barcelona', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313087', 'Mster Universitario en Ciencias Empresariales (Master of Science in Management)  por la Universidad Pompeu Fabra', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313091', 'Mster Universitario en Direccin de Entidades Deportivas MBA', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313099', 'Mster Universitario en Criminalstica, Investigacin Criminal y Escena del Crimen por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313101', 'Mster Universitario en Patrimonio Histrico: Investigacin y Gestin por la Universidad de Castilla-La Mancha', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313103', 'Master Universitario en Intervencin Psicosocial y Comunitaria  por la Universidad Autnoma de Madrid', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313105', 'Mster Universitario en Patrimonio Histrico-Arqueolgico por la Universidad de Cdiz', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313107', 'MASTER UNIVERSITARIO EN PSICOLOGIA DE LA SALUD', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313118', 'Mster Universitario en Integridad y Durabilidad de Materiales, Componentes y Estructuras por la Universidad de Burgos; la Universidad de Cantabria y la Universidad de Oviedo', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313142', 'Mster Universitario en Estudios Avanzados en Historia del Arte', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312362', 'Mster Universitario en Anlisis Biolgico y Diagnstico de Laboratorio por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312377', 'Mster Universitario en Investigacin en Nuevas Tendencias en Antropologa, Escenarios de Riesgo y Anternativas de Postdesarrollo', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312397', 'Mster Universitario en Desarrollo y Gestin de Proyectos de Innovacin Didctico Metodolgica en Instituciones Educativas', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312407', 'Mster Universitario en Ingeniera Fotnica, Nanofotnica y Biofotnica / European Master in Photonics Engineering, Nanophotonics and Biophotonics por la Universidad Autnoma de Barcelona; la Universidad Politcnica de Catalunya; la Universidad de Ba', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312413', 'Mster Universitario en Gestin de Destinos y Equipamientos de Ocio y Turismo', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312430', 'Mster Universitario en Ciencias Actuariales y Financieras', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312465', 'Mster Universitario en Criminologa y Ejecucin Penal', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312469', 'Mster Universitario en Medicina Traslacional', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312542', 'Mster Universitario en Biotica', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312566', 'Mster Universitario en Ingeniera Naval y Ocenica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312581', 'Mster Erasmus Mundus en Literatura Alemana en la Edad Media Europea/Erasmus Mundus German Literature in The European Middle Age', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312585', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312616', 'Mster Universitario en Estudios de Traduccin', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312720', 'Mster Universitario en Humanidades Avanzadas', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312721', 'MASTER_PROVA_261110', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312735', 'Master Universitario en Evaluacin del Cambio Global  por la Universidad de Almera', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312740', 'Mster Universitario en Gestin Integral e Investigacin de las Heridas Crnicas', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312750', 'Mster Universitario Erasmus Mundus en Estudios Ambientales/Erasmus Mundus in Environmental Studies', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312769', 'Mster Universitario en Organizacin y Direccin de Centros Educativos por la Universidad Internacional de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312771', 'Mster Universitario en Escenografa Urbana: Diseo, Gestin y Cultura del Espectculo / Master in Urban Scenography: Spectacle Design, Management and Culture por la Universidad Internacional de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312772', 'Mster Universitario en Ingeniera Agrnoma por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312777', 'Mster Universitario en Derecho Constitucional por la Universidad Internacional Menndez Pelayo', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312785', 'Mster en Direccin de Comunicacin en las Organizaciones', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312786', 'Mster en Marketing Internacional', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312787', 'Mster Universitario en Finanzas Internacionales por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312819', 'Mster Universitario en Investigacin en Tecnologas Navales e Industriales por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312828', 'Mster Universitario en Direccin Patrimonial y Gestin Integrada en Servicios, Instalaciones y Estructuras. Facility Management  por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312836', 'Mster Universitario en Gestin Pesquera Sostenible', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312847', 'Mster Universitario en Medicina por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312852', 'Mster Universitario en Direccin Turstica por la Universidad de Cdiz', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312866', 'Master Universitario en Formacin y Orientacin Profesional para el Empleo por la Universidad de Sevilla', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312874', 'Mster Universitario en Wellness. Gestin y Programacin de Actividades Fsicodeportivas  por la Universidad Ramn Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312883', 'Mster Universitario en Enfermera de Urgencias y Cuidados Crticos  por la Universidad de Oviedo', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312895', 'Mster Universitario en Ciencia y Tecnologa en Termalismo y Balneoterapia por la Universidad de A Corua y la Universidad de Vigo', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312901', 'Mster Universitario en Ingeniera Cultural: estrategias de polticas culturales y responsabilidad social, por la Universidad Europea de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312907', 'Mster Universitario en Gestin Deportiva Municipal', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312926', 'Mster Universitario en Biologa y Clnica del Cncer', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312927', 'Mster Universitario en Atencin Farmacutica y Farmacia Asistencial', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312937', 'Mster Universitario en Bioinformtica', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313276', 'Mster Universitario en Direccin de Proyectos de Conservacin-Restauracin por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313295', 'Mster Universitario Erasmus Mundus en Polticas Pblicas (Mundus MAPP) / Master in Public Policy (Mundus MAPP) por la Universidad Autnoma de Barcelona; la Universidad Pompeu Fabra; la Universidad de Barcelona; Erasmus Universiteit Rotterdam(Holanda', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313299', 'Mster Universitario en Derecho de la Empresa y de los Negocios por la Universidad de Burgos', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313305', 'Mster Universitario en Deterioro de la Integridad Cutnea: Heridas, Ulceras y Cicatrizacin por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313310', 'Mster Universitario en Abogaca por la Universidad Ramn Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313311', 'Mster Universitario en Interpretacin Profesional por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313322', 'Mster Universitario en Ingeniera de Tecnologas de Materiales Fibrosos por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313323', 'Mster Universitario en Mtodos Numricos en Ingeniera por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313325', 'Mster Universitario en Gestin Empresarial por la Universidad de Vic', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313326', 'Mster Universitario en Direccin Estratgica de la Comunicacin y de la Empresa por la Universidad de Vic', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313331', 'Mster Universitario en Tcnicas y Ciencias de la Calidad del Agua (IDEA) por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313336', 'Mster Universitario en Comunicacin Digital por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313473', 'Mster Universitario en Bioinformtica / Bioinformatics por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313490', 'Mster Universitario en Procurador de los Tribunales por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313491', 'Mster Universitario en Abogaca por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313494', 'Mster Universitario Erasmus Mundus en Transporte Sostenible y Sistemas Elctricos de Potencia por la Universidad de Oviedo; Instituto Politcnico de Coimbra(Portugal); The University of Nottingham(Reino Unido) y Universit degli Studi di Roma', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313500', 'Mster Universitario en Gestin Pblica por la Universidad Autnoma de Barcelona; la Universidad Pompeu Fabra y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313507', 'Mster Universitario en Medicina por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313509', 'Mster Universitario en Ingeniera Industrial por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313510', 'Mster Universitario en Ingeniera Telemtica por la Universidad Carlos III de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313514', 'Mster Universitario en Escritura Creativa por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313519', 'Mster Universitario en Traduccin Literaria por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313520', 'Mster Universitario en Investigacin en Ciencias Biomdicas por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313521', 'Mster Universitario en  Salud, Integracin y Discapacidad por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313530', 'Mster Universitario en Direccin de Empresas MBA por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313533', 'Mster Universitario en Gestin y Auditora de Calidad y Seguridad Alimentaria por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313547', 'Mster Universitario en Economa Industrial y Mercados / Master in Industrial Economics and Markets  por la Universidad Carlos III de Madrid', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313556', 'Mster Universitario en Proteccin de Datos, Transparencia y Acceso a la Informacin por la Universidad San Pablo-CEU', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313571', 'Mster Universitario en Seguridad en la Informacin, Redes y Programacin por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313574', 'Mster Universitario en Desarrollo y Monitorizacin de Ensayos Clnicos Nacionales e Internacionales por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313407', 'Mster Universitario en Abogaca por la Universidad de Alicante', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313415', 'Mster Universitario en Diagnstico en Medicina Veterinaria de Pequeos Animales por la Universidad de Murcia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313419', 'Mster Universitario en Composicin Musical para Cine, Televisin y Videojuegos (Scoring for Film, Television and Video Games) por la Universidad Politcnica de Valencia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313425', 'Mster Universitario en Pintura por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313427', 'Mster Universitario en Abogaca por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313452', 'Mster Universitario en Contabilidad y Auditora por la Universidad de Cdiz', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313459', 'Mster Universitario en Avances en Cardiologa por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313461', 'Mster Universitario en Energa Solar y Renovables por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313466', 'Mster Universitario en Ingeniera de Telecomunicacin por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313470', 'Mster Universitario en Intervencin Criminolgica y Victimolgica por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313471', 'Mster Universitario en Tcnicas Avanzadas para la Investigacin y Produccin en Fruticultura por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313160', 'Mster Universitario en Periodismo Digital y Redes Sociales por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313161', 'Mster Universitario en Orientacin e Intermediacin Laboral por la Universidad Politcnica de Cartagena y la Universidad de Murcia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313168', 'Mster Universitario en Administracin de Empresas por la Universidad de Burgos', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313169', 'Mster Universitario en Rehabilitacin y Sostenibilidad en la Edificacin por la Universidad Pontificia de Salamanca', NULL, 0, '32', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313171', 'Mster Universitario en Direccin y Gestin de Proyectos Tecnolgicos por la Universidad Pontificia de Salamanca', NULL, 0, '32', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313177', 'Mster Universitario en Gestin de Riesgos Financieros por la Universidad Pontificia Comillas', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313186', 'Mster Universitario Erasmus Mundus en Psicologa del Trabajo, de las Organizaciones y de los Recursos Humanos / Erasmus Mundus on Work, Organizational and Personnel Psychology por la Universidad de Barcelona; la Universitat de Valncia (Estudi Gener', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313188', 'Mster Universitario en Medicina por la Universidad de Navarra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313190', 'Mster Universitario en Psicologa de la Educacin por la Universidad de Valladolid e Instituto Latinoamericano de de Altos Estudios Sociales ILAES ()(Chile)', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313193', 'Mster Universitario en Ingeniera Agronmica por la Universidad Catlica Santa Teresa de Jess de Avila', NULL, 0, '59', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313195', 'Mster Universitario Erasmus Mundus en Gestin del Riesgo por Inundacin / Erasmus Mundus Master of Science in Flood Risk Management	 por la Universidad Politcnica de Catalunya; la Technische Universitt Dresden(Alemania); la UNESCO IHE - Internatio', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313209', 'Mster Universitario en Instalaciones. Eficiencia, Calificacin y Auditora Energtica  por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313218', 'Mster Universitario en Comunicacin Audiovisual de Servicio Pblico por la Universidad Nacional de Educacin a Distancia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313220', 'Mster Universitario en Direccin de Empresas en Economas Emergentes MBA  por la Universidad Europea de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313227', 'Mster Universitario en Medios, Comunicacin y Cultura por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313242', 'Mster Universitario en Ciencias Jurdicas por la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313602', 'Mster Universitario en Abogaca por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313612', 'Mster Universitario en Mercado del Arte por la Universidad a Distancia de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313614', 'Mster Universitario en Administracin de Empresas (MBA) por la Universidad Autnoma de Madrid', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313615', 'Mster Universitario en Internacionalizacin Econmica: Gestin del Comercio Internacional por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313645', 'Mster Universitario en Patologa e Intervencin en la Edificacin  por la Universidad Catlica San Antonio', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313649', 'Mster Universitario en Abogacia por la Universidad de Murcia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313655', 'Mster Universitario en Gerontologa y Direccin y Gestin de Centros Gerontolgicos por la Universidad de Extremadura', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313665', 'Mster Universitario en Psicogerontologa por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313666', 'Mster Universitario en Unin Europea-China: Cultura y Economa por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313677', 'Mster Universitario en Cooperacin Internacional y Gestin de Polticas Pblicas, Programas y Proyectos de Desarrollo por la Universidad Internacional Menndez Pelayo', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313685', 'Mster Universitario en Derecho Penal Internacional y Humanitario por la Universidad Rey Juan Carlos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313714', 'Mster Universitario en Internacionalizacin de Empresas y Comercio Exterior por la Universidad Catlica Santa Teresa de Jess de vila', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313731', 'Mster Universitario en Finanzas por la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313737', 'Mster Universitario en Lgica Pura y Aplicada por la Universidad Politcnica de Catalunya y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313741', 'Mster Universitario en Interpretacin e Investigacin Musical por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313758', 'Mster Universitario en Ingeniera de Telecomunicacin por la Universidad de Alcal', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313762', 'Mster Universitario Erasmus Mundus en Accin Internacional Humanitaria / International Humanitarian Action por la Universidad de Deusto; Rijksuniversiteit Groningen-University of Groningen(Holanda); Ruhr-Universitt Bochum(Alemania); University Coll', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311369', 'Mster Universitario en Educacin en la Diversidad', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311268', 'Mster Universitario en Educacin Inclusiva', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000797', 'Mster Universitario en EITB-Deusto en Comunicacin Audiovisual, Empresarial e Institucional', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312348', 'Mster Universitario en Especialidades Clnicas Optomtricas', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310415', 'Mster Universitario en Iniciacin a la Investigacin en Ciencias Agrarias y del Medio Natural', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310416', 'Mster Universitario en Iniciacin a la Investigacin en Matemticas', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000202', 'Mster Universitario en Inmunologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311654', 'Mster Universitario en Integracin Econmica', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310752', 'Mster Universitario en Investigacin Biomdica', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310589', 'Master Universitario en Investigacin Biomdica ', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002804', 'Mster Universitario en Gastronoma y Ciencias de la Alimentacin', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310496', 'Mster Universitario en Gestin Integrada de Zonas Costeras', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312531', 'Mster Universitario en Gestin Internacional de la Empresa', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312424', 'Mster Universitario en Gestin Sostenible de la Tierra y del Territorio', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312031', 'Mster Universitario en Gestin y Direccin Laboral por la Universidad de A Corua; la Universidad d', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310710', 'Mster Universitario en Filosofa Contempornea ', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000501', 'Mster Universitario en Finanzas y Control de Gestin', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001611', 'Mster Universitario en Cultura y Sociologa Inglesas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310067', 'Mster Universitario en Derecho Pblico', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310832', 'Mster Universitario en Direccin de Marketing', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001997', 'Mster Universitario en Direccin, Gestin e Intervencin en Servicios Sociales', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312524', 'Mster Universitario en Diseos de Investigacin y Aplicaciones en Psicologa y Salud', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001824', 'Mster Universitario en Economa Cuantitativa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311026', 'Mster Universitario en Economa de la Salud, Gestin Sanitaria y Uso Racional del Medicamento', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001768', 'Mster Universitario en Educacin Intercultural', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310080', 'Mster Universitario en Educacin y Rehabilitacin de Conductas Adictivas', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311965', 'Mster Universitario en El Francs en el mbito Profesional: de los Conocimientos Tericos a las Com', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311988', 'Mster Universitario en Enseanza Bilinge', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002015', 'Mster Universitario en Enseanza de Lenguas Extranjeras (Espaol Lengua Extranjera/Ingls Lengua Ex', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311642', 'Mster Universitario en Globalizacin y Desarrollo', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311992', 'Mster Universitario en Humanidades -para ramas no humansticas-', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311417', 'Mster Universitario en Ingeniera Ambiental (MENTA)', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002759', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003026', 'Mster Universitario en Ingeniera Biotecnolgica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312315', 'Mster Universitario en Ingeniera de Caminos, Canales y Puertos', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311645', 'Mster Universitario en Ingeniera de Control, Automatizacin y Robtica', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001847', 'Mster Universitario en Ingeniera de Recursos Minerales y Espacio Subterrneo', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310003', 'Mster Universitario en Ingeniera de Sistemas Informticos', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312316', 'Mster Universitario en Ingeniera de Telecomunicacin', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003001', 'Mster Universitario en Ingeniera del Terreno e Ingeniera Ssmica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001120', 'Mster Universitario en Ingeniera Electrnica', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001950', 'Mster Universitario en Ingeniera Martima', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310801', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311651', 'Mster Universitario en Ingeniera Mecnica: Diseo y Fabricacin', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002806', 'Mster Universitario en Ingeniera multimedia y contenidos digitales', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001854', 'Mster Universitario en ingeniera ssmica: dinmica de suelos y estructuras', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311908', 'Mster Universitario en Gestin de Cuidados de Enfermera', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310678', 'Mster Universitario en Gestin de Empresas Martimo-Portuarias y Derecho Martimo', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002108', 'Mster Universitario en Gestin Empresarial: Programa de Direccin General', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002943', 'Mster Universitario en Gestin y Didctica del Patrimonio Cultural', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310266', 'Mster Universitario en Gestin y Valoracin Urbana', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001996', 'Mster Universitario en historia e identidades hispnivas en el Mediterrneo Occidental', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310268', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001728', 'Mster Universitario en Ingeniera de Materiales Renovables', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000408', 'Mster Universitario en Ingeniera del Agua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312119', 'Mster Universitario en Ingeniera Qumica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001998', 'Mster Universitario en Prevencin y Gestin de Riesgos en la Comunidad', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000439', 'Mster Universitario en Farmacia y Tecnologa Farmacutica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000374', 'Mster Universitario en Ficcin en Cine y Televisin. Produccin y Realizacin', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000557', 'Mster Universitario en Fsica Biomdica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000487', 'Mster Universitario en Fsica Terica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310168', 'Mster Universitario en Cultivos Marinos', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311123', 'Mster Universitario en Derecho Patrimonial Privado en el Mercado Global', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312389', 'Mster Universitario en Derecho Penal y Poltica Criminal', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310312', 'Mster Universitario en Derecho Pblico del Estado Autonmico', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310647', 'Mster Universitario en Direccin de Empresas de Deporte', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311403', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002677', 'Mster Universitario en Diseo y Desarrollo de Productos e Instalaciones Industriales', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312698', 'Mster Universitario en Economa y Desarrollo', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312384', 'Mster Universitario Europeo en Direcccin de Empresas', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311892', 'Mster Universitario en Conocimiento Actual de las Enfermedades Raras', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311892', 'Mster Universitario en Conocimiento Actual de las Enfermedades Raras', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002724', 'Mster Universitario en Consultora de Software Libre', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002737', 'Mster Universitario en Contaminacin y Toxicologa Ambientales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310874', 'Mster Universitario en Contenidos y Aspectos Legales en la Sociedad de la Informacin', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311725', 'Mster Universitario en Cooperacin al Desarrollo', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311725', 'Mster Universitario en Cooperacin al Desarrollo', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312603', 'Mster Universitario en Creacin, Desarrollo y Comercializacin de Contenidos Audiovisuales', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000029', 'Mster Universitario en Biologa Agraria y Acuicultura', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000340', 'Mster Universitario en Biotecnologa Alimentaria', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312223', 'Mster Universitario en Ciencia e Ingeniera de Materiales', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001992', 'Mster Universitario en Traduccin Mdico-Sanitaria', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001992', 'Mster Universitario en Traduccin Mdico-Sanitaria', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312261', 'Mster Universitario en Artes Visuales y Educacin: un Enfoque Construccionista', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002527', 'Mster Universitario en Asia Oriental', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311796', 'Mster Universitario en Comisariado de Arte en Nuevos Medios', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311176', 'Mster Universitario en Comunicacin y Cultura', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002579', 'Mster Universitario en Cuidados de la Salud, la Discapacidad,  la Dependencia y el Fin de la Vida', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311264', 'Mster Universitario en Biologa, Ciencias del Mar y Ambientales', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001342', 'Mster Universitario en Biotecnologa', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000161', 'Mster Universitario en Ciencia y Tecnologa Qumicas', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000025', 'Mster Universitario en Agroalimentacin', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312278', 'Mster Universitario en Agroecologa. Un Enfoque para la Sustentabilidad Rural', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312278', 'Mster Universitario en Agroecologa. Un Enfoque para la Sustentabilidad Rural', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000700', 'Mster Universitario en Alimentacin y Salud', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002723', 'Mster Universitario en Aplicaciones de Procesado de Seal en Comunicaciones', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311761', 'Mster Universitario en Estudios Tericos y Comparados de la Literatura y la Cultura/Estudios Teric', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000378', 'Mster Universitario en Investigacin en Qumica e Ingeniera Qumica', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310028', 'Mster Universitario en Lengua y Civilizacin del Antiguo Egipto', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311251', 'Mster Universitario en Matemticas Avanzadas', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312435', 'Mster Universitario en Mediacin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311394', 'Mster Universitario en Mejora Gentica Vegetal', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312984', 'Mster Universitario en Mercados Financieros y Gestin de Patrimonios', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312419', 'Mster Universitario en Minera de Datos Aplicada a la Medicina', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310850', 'Mster Universitario en Neurociencia', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311566', 'Mster Universitario en Neurociencias', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311566', 'Mster Universitario en Neurociencias', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311889', 'Mster Universitario en Nutricin Clnica', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311663', 'Mster Universitario en Participacin y Desarrollo Comunitario', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002914', 'Mster Universitario en Phoenix EM Dynamics of Health and Welfare', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312607', 'Mster Universitario en Relaciones de Gnero', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310704', 'Mster Erasmus Mundus en Estudios de las Mujeres y de Gnero', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310837', 'Mster Universitario en Arqueologa Clsica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310005', 'Mster Universitario en Investigacin en Tecnologas  Navales y Ocenicas', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310418', 'Mster Universitario en Materiales Nanoestructurados para Aplicaciones Nanotecnolgicas', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310745', 'Mster Universitario en Metodologa de las Ciencias del Comportamiento y de la Salud', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001486', 'Mster Universitario en Microbiologa Avanzada', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311661', 'Mster Universitario en Nuevos Materiales', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311190', 'Mster Universitario en Ortodoncia y Ortopedia Dentofacial', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001828', 'Mster Universitario en Pensamiento Espaol e Iberoamericano', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311463', 'Mster Universitario en Pericia Sanitaria', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002696', 'Mster Universitario en Psicologa Clnica y de la Salud', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313146', 'Master Universitario en Reporterismo en Televisin', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001560', 'Mster Universitario en Seguridad Integral en la Edificacin', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311896', 'Mster Universitario en Sistemas Integrados de Gestin de la Prevencin de Riesgos Laborales, la Cal', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001526', 'Mster Universitario en tcnicas estadsticas', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310076', 'Mster Universitario en Tecnologas Informticas Avanzadas', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312236', 'Mster Universitario en Protocolo y Consultora de Imagen', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311927', 'Mster Universitario en Investigacin de Mercados', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312098', 'Mster Universitario en Investigacin e Innovacin en Educacin Infantil y Educacin Primaria', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312675', 'Mster Universitario en Investigacin en Ciencias Humanas y Sociales', NULL, 0, '32', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311375', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311375', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311966', 'Mster Universitario en Lengua Espaola: Investigacin y Prcticas Profesionales', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311450', 'Mster Universitario en Marco Institucional y Crecimiento Econmico ', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310932', 'Mster Universitario en Modelizacin Matemtica en Ingeniera: Teora, Computacin y Aplicaciones / ', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310665', 'Mster Universitario en Multimedia y Comunicaciones por la Universidad Carlos III de Madrid y la Uni', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003068', 'Mster Universitario en Organizacin y Direccin Industrial-Tecnolgica', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310792', 'Mster Universitario en Paisajismo', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310121', 'Mster Universitario en Patrimonio Histrico y Natural ', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310728', 'Mster Universitario en Psicologa Clnica y de la Salud', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311846', 'Mster Universitario en Psicologa de la Salud y Prctica Clnica', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001264', 'Mster Universitario en Salud Internacional', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310538', 'Master universitario en Salud, Mujer y Cuidados  ', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002917', 'Mster Universitario en Seguridad Alimentaria', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001880', 'Mster Universitario en Sostenibilidad y Responsabilidad Social Corporativa', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001553', 'Mster Universitario en Tecnologas Multimedia', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002911', 'Mster Universitario en Tecnologas Multimedia', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500803', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502047', 'Graduado o Graduada en Humanidades y Antropologa Social', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501774', 'Graduado o Graduada en Ingeniera Agroalimentaria', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501068', 'Graduado o Graduada en Ingeniera Alimentaria', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500093', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '57', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500195', 'Graduado o Graduada en Ingeniera de Edificacin por la Universidad Catlica San Antonio', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502367', 'Graduado o Graduada en Ingeniera de Tecnologas Mineras', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502146', 'Graduado o Graduada en Ingeniera en Tecnologa Minera', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501276', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500532', 'Graduado o Graduada en Farmacia', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501513', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500677', 'Graduado o Graduada en Direccin de Empresas', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501267', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500540', 'Graduado o Graduada en Educacin Infantil ', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501920', 'Graduado o Graduada en Turismo por la Universidad de Las Palmas de Gran Canaria', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501180', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312924', 'Mster Universitario en Antropologa de Iberoamrica   ', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310612', 'Mster Universitario en Teora de la Seal y Comunicaciones ', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501169', 'Graduado o Graduada en Biotecnologa', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501968', 'Graduado o Graduada en Criminologa', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500669', 'Graduado o Graduada en Estadstica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501859', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501679', 'Graduado o Graduada en Derecho', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500380', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501593', 'Graduado o Graduada en Arqueologa', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000890', 'Mster Universitario en Seguridad Industrial y Medio Ambiente', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002925', 'Mster Universitario en Sound and Music Computing', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311719', 'Mster Universitario en Tcnicas Experimentales en Qumica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310299', 'Mster Universitario en Tecnologa Elctrica', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311462', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310574', 'Mster Universitario en Tecnologas Informticas', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003021', 'Mster Universitario en Teora y Prctica del Proyecto de Arquitectura', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312039', 'Mster Universitario en Traduccin Institucional', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000847', 'Mster Universitario Internacional en Migraciones', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311508', 'Mster Universitario en Biomedicina', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312272', 'Mster Universitario en Biomedicina Regenerativa', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310213', 'Mster Universitario en Ciencia y Tecnologa de Polmeros', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311304', 'Mster Universitario en Ciencias de la Antigedad y de la Edad Media', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002992', 'Mster Universitario en Ciencias del Mar: Oceanografa y Gestin del Medio Marino', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002714', 'Mster Universitario en Acuicultura', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312033', 'Mster Universitario en Acuicultura', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310227', 'Mster Universitario en Administracin y Direccin de Empresas', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311502', 'Mster Universitario en Agua. Anlisis Interdisciplinario y Gestin Sostenible', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310011', 'Mster Universitario en Amrica Latina Contempornea y sus relaciones con la Unin Europea: Una Coop', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311760', 'Mster Universitario en Estudios Medievales Europeos. Imgenes, Textos y Contextos', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001181', 'Mster Universitario en Estudios Semticos', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311309', 'Mster Universitario en Farmacologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001800', 'Mster Universitario en Filosofa de la Historia: Democracia y Orden Mundial', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310706', 'Mster Universitario en Fsica y Matemticas', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730090000', 'Ingeniero Tcnico de Minas, Especialidad en Recursos Energticos, Combustibles y Explosivos', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740040000', 'Ingeniero Tcnico Naval, Especialidad en Estructuras Marinas', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740050000', 'Ingeniero Tcnico Naval, Especialidad en Propulsin y Servicios del Buque', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740050000', 'Ingeniero Tcnico Naval, Especialidad en Propulsin y Servicios del Buque', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51140000000', 'Ingeniero Tcnico Forestal, Especialidad en Explotaciones Forestales', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51150000000', 'Ingeniero Tcnico Forestal, Especialidad en Industrias Forestales', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('99999900000', 'Estudios Superiores no universitarios', NULL, 0, NULL, 
    NULL);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502361', 'Graduado en Comercio y Marketing', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500387', 'Graduado en Psicologa', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310388', 'Mster Universitario en Direccin y Planificacin de Turismo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00001234568', 'Tcnico de empresas y actividades turisticas', 'N', 1, NULL, 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502413', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500305', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500021', 'Graduado o Graduada en Ciencias del Transporte y la Logstica por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500514', 'Graduado o Graduada en Estudios Catalanes y Occitanos', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500694', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500369', 'Graduado o Graduada en Estudios Ingleses ', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501511', 'Graduado o Graduada en Derecho', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501501', 'Graduado o Graduada en Economa', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500624', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500962', 'Graduado o Graduada en Arquitectura', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501085', 'Graduado o Graduada en Biologa', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500436', 'Graduado o Graduada en Bioqumica y Biologa Molecular', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500432', 'Graduado o Graduada en Ingeniera Qumica ', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501903', 'Graduado o Graduada en Lenguas Modernas', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501625', 'Graduado o Graduada en Logopedia por la Universidad de Oviedo', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501628', 'Graduado o Graduada en Maestro en Educacin Primaria por la Universidad de Oviedo', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500860', 'Graduado o Graduada en Magisterio de Educacin Infantil', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500283', 'Graduado o Graduada en Fsica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502034', 'Graduado o Graduada en Odontologa ', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501874', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500272', 'Graduado en Ingeniera Informtica', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500036', 'Graduado o Graduada en Ingeniera en Informtica', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501006', 'Graduado o Graduada en Ingeniera en Sistemas de Telecomunicaciones', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501878', 'Graduado o Graduada en Ingeniera Geomtica y Topografa', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501929', 'Graduado o Graduada en Ingeniera Geomtica y Topografa por la Universidad de Las Palmas de Gran Ca', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500158', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500197', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502182', 'Graduado o Graduada en Ingeniera Mecnica  por la Universidad Politcnica de Valencia', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502237', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501595', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501562', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502258', 'Graduado o Graduada en ptica y Optometra por la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500976', 'Graduado o Graduada en Psicologa', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501295', 'Graduado o Graduada en Psicologa', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500905', 'Graduado o Graduada en Psicologa', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500925', 'Graduado o Graduada en Qumica', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500234', 'Graduado o Graduada en Turismo ', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500877', 'Graduado en Maestro en Educacin Primaria', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190060000', 'Licenciado en Ciencias, Seccin de Geolgicas', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30220000000', 'Licenciado en Educacin Fsica', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30220000000', 'Licenciado en Educacin Fsica', 'N', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250000000', 'Licenciado en Filosofa y Ciencias de la Educacin', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250010000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Ciencias de la Educacin', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250010000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Ciencias de la Educacin', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30260190000', 'Licenciado en Geografa e Historia, Seccin Historia de Amrica', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30260190000', 'Licenciado en Geografa e Historia, Seccin Historia de Amrica', 'N', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30270050000', 'Licenciado en Filologa, Seccin Filologa Bblica Trilinge', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30270350000', 'Licenciado en Filologa, Seccin Filologa Moderna', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Alemana', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010700', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Clsica', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010700', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Clsica', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010700', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Clsica', 'N', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280012000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Romnica.(Francs).', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020000', 'LICENCIADO EN FILOSOFIA Y LETRAS DIVISIN GEOGRAFIA E HISTORIA', 'N', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020500', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia del Arte.', 'N', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030400', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. de la Educacin, Especialidad Psicologa', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280200000', 'Licenciado en Filosofa y Letras, Seccin Geografa e Historia', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280230100', 'Licenciado en Filosofa y Letras (Historia del Arte: Musicologa)', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30290000000', 'Licenciado en Ciencias del Mar', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '73', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '70', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '58', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30450000000', 'Licenciado en Filologa Alemana', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30450000000', 'Licenciado en Filologa Alemana', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30460000000', 'Licenciado en Filologa rabe', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30470000000', 'Licenciado en Filologa Catalana', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480020000', 'Licenciado en Filologa Clsica.(Filologa Latina).', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480020000', 'Licenciado en Filologa Clsica.(Filologa Latina).', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30520000000', 'Licenciado en Filologa Hebrea', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30520000000', 'Licenciado en Filologa Hebrea', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30550000000', 'Licenciado en Filologa Italiana', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30550000000', 'Licenciado en Filologa Italiana', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30560000000', 'Licenciado en Filologa Portuguesa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30570000000', 'Licenciado en Filologa Romnica', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '66', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30670000000', 'Licenciado en Mquinas Navales', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30670000000', 'Licenciado en Mquinas Navales', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30700000000', 'Licenciado en Lingstica', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30710000000', 'Licenciado en Nutica y Transporte Martimo', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30710000000', 'Licenciado en Nutica y Transporte Martimo', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30750000000', 'Licenciado en Radioelectrnica Naval', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '66', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30790000000', 'Licenciado en Ciencias y Tcnicas Estadsticas', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30790000000', 'Licenciado en Ciencias y Tcnicas Estadsticas', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30800000000', 'Licenciado en Historia y Ciencias de la Msica', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30830000000', 'Licenciado en Biotecnologa', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30840000000', 'Licenciado en Estudios de Asia Oriental', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020030000', 'Diplomado en Informtica.Gestin.', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020030000', 'Diplomado en Informtica.Gestin.', 'N', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40070000000', 'Diplomado en Traduccin e Interpretacin', 'N', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '31', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '39', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '67', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '56', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '30', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '68', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '39', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '47', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '47', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '56', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '28', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40230000000', 'Diplomado en Mquinas Navales', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40230000000', 'Diplomado en Mquinas Navales', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40230000000', 'Diplomado en Mquinas Navales', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40230000000', 'Diplomado en Mquinas Navales', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40240000000', 'Diplomado en Navegacin Martima', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '68', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40280000000', 'Diplomado en Empresas y Actividades Tursticas', 'N', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '62', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310378', 'Master en Integracin Europea', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310379', 'Mster en Msica hispana', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311000', 'Mster en investigacin en ingeniera para el desarrollo agroforestal', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311024', 'Lseres y Aplicaciones en Quimica', 'N', 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '57', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010010000', 'Arquitecto.Edificacin.', 'N', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10040000000', 'Ingeniero de Caminos, Canales y Puertos', 'S', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10060000000', 'Ingeniero de Montes', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '61', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '64', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10210000000', 'Ingeniero Gelogo', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10210000000', 'Ingeniero Gelogo', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10210000000', 'Ingeniero Gelogo', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501083', 'Graduado en Estadstica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501311', 'Graduado en Ingenieria de Sistemas de Telecomunicacin', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501312', 'Graduado en Ingenieria Telemtica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501534', 'Graduado en Periodismo', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502311', 'Graduado en Nutricin Humana y Diettica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502469', 'Graduado en Administracin y Direccin de Empresas', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000167', 'Mster en Msica hispana', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000172', 'Mster en investigacin en ingeniera para el desarrollo agroforestal', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000173', 'Mster en logstica', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000178', 'Mster en Instrumentacin en fsica', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000179', 'Mster en Fsica de los sistemas de diagnstico, tratamiento y proteccion en ciencias de la salud.', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000182', 'Mster en Retina', 'S', 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000183', 'Mster en Inmunologa y superficie ocular', 'S', 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000184', 'Mster en Oncologa ocular, rbita y oculoplstica', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000184', 'Mster en Oncologa ocular, rbita y oculoplstica', 'S', 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002531', 'Mster Oficial en Estudios Avanzados de Filosofia', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30040010000', 'Licenciado en Ciencias Polticas y Sociologa, Seccin Ciencias Polticas', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30040020000', 'Licenciado en Ciencias Polticas y Sociologa, Seccin Sociologa', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060010000', 'Licenciado en Ciencias Econmicas y Empresariales.(Econmicas).', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060010000', 'Licenciado en Ciencias Econmicas y Empresariales.(Econmicas).', 'N', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020200', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Financiacin', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060070000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Actuarial y de la Empresa Financiera', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30090000000', 'Licenciado en Ciencias Econmicas', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130010000', 'Licenciado en Ciencias de la Informacin, Seccin Periodismo', 'N', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130030000', 'Licenciado en Ciencias de la Informacin, Seccin Ciencias de la Imagen Visual y Auditiva', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130030000', 'Licenciado en Ciencias de la Informacin, Seccin Ciencias de la Imagen Visual y Auditiva', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130040000', 'Licenciado en Ciencias de la Informacin, Seccin Publicidad', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010200', 'Licenciado en Ciencias.(Fsicas).Electrnica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010200', 'Licenciado en Ciencias.(Fsicas).Electrnica', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020200', 'Licenciado en Ciencias.(Qumicas).Qumica Tcnica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020200', 'Licenciado en Ciencias.(Qumicas).Qumica Tcnica', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020300', 'Licenciado en Ciencias.(Qumicas).Qumica Analtica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020300', 'Licenciado en Ciencias.(Qumicas).Qumica Analtica', 'N', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020400', 'Licenciado en Ciencias.(Qumicas).Qumica Inorgnica', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020500', 'Licenciado en Ciencias.(Qumicas).Bioqumica', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020500', 'Licenciado en Ciencias.(Qumicas).Bioqumica', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020600', 'Licenciado en Ciencias.(Qumicas).Qumica Orgnica', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190021300', 'Licenciado en Ciencias.(Qumicas).Qumica General', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030500', 'Licenciado en Ciencias.(Matemticas).Matemtica Pura', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500171', 'Graduado o Graduada en Arquitectura', NULL, 0, '57', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500435', 'Graduado o Graduada en Lengua y Literatura Hispnicas', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502021', 'Graduado o Graduada en Lenguas Modernas', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500229', 'Graduado o Graduada en Lenguas Modernas y Traduccin', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501599', 'Graduado o Graduada en Maestro en Educacin Primaria', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501210', 'Graduado o Graduada en Magisterio en Educacin Infantil', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501284', 'Graduado o Graduada en Marketing e Investigacin de Mercados', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500377', 'Graduado o Graduada en Fsica', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500630', 'Graduado o Graduada en Fisioterapia', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500743', 'Graduado o Graduada en Ingeniera de la Energa por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502143', 'Graduado o Graduada en Ingeniera de los Recursos Energticos, Combustubles y Explosivos', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502493', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502147', 'Graduado o Graduada en Ingeniera Forestal', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501152', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501221', 'Graduado o Graduada en Educacin Social', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501149', 'Graduado o Graduada en Administracin de Empresas', NULL, 0, '57', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501959', 'Graduado o Graduada en Biologa', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502407', 'Graduado o Graduada en Ingeniera Tcnica de Telecomunicacin', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500632', 'Graduado o Graduada en Maestro de Educacin Infantil', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501598', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501844', 'Graduado o Graduada en Finanzas y Contabilidad ', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500661', 'Graduado o Graduada en Fisioterapia', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311329', 'Mster Universitario en Relaciones Internacionales, Seguridad y Desarrollo', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310732', 'Mster Universitario en Tecnologa e Investigacin en Ciencias Biomdicas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001999', 'Mster Universitario en Gestin Integral de la Construccin', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002506', 'Mster Universitario en Globalizacin: Procesos Sociales y Polticas Econmicas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002905', 'Mster Universitario en Historia de la Ciencia: Ciencia, Historia y Sociedad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312058', 'Mster Universitario en Historia Social Comparada, Relaciones Familiares, Polticas y de Gnero en E', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310785', 'Mster Universitario en Ingeniera Civil', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000135', 'Mster Universitario en Ingeniera de la Construccin', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311884', 'Mster Universitario en Psicoanlisis y Teora de la Cultura', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310671', 'Mster Universitario en Psicofarmacologa y Drogas de Abuso', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310037', 'Mster Universitario en Investigacin en Contenidos en la Era Digital', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310928', 'Mster Universitario en Investigacin en Didctica de las Matemticas y de las Ciencias', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001919', 'Mster Universitario en Investigacin en Documentacin', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310929', 'Mster Universitario en Investigacin en Economa Aplicada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311812', 'Mster Universitario en Investigacin en Filosofa y Estudios Humansticos', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310527', 'Mster Universitario en Investigacin en Psicologa y Ciencias de la Educacin', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000266', 'Mster Universitario en Investigacin en Veterinaria y Ciencias Alimentarias', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001612', 'Mster Universitario en lengua y lingstica inglesas: aplicaciones acadmicas y profesionales', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311163', 'Mster Universitario en Literatura Europea y Enseanza de Lenguas', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311377', 'Mster Universitario en Mecnica de Materiales y Estructuras', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312602', 'Mster Universitario en Oceanografa', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001413', 'Mster Universitario en Olivar, Aceite de Oliva y Salud', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000856', 'Mster Universitario en Optometra Avanzada y Ciencias de la Visin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000090', 'Mster Universitario en Ordenacin y Gestin del Desarrollo Territorial y Local', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002028', 'Mster Universitario en Patrimonio Histricoartstico en la Edad Moderna', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311477', 'Mster en Fsica de los sistemas de diagnstico, tratamiento y proteccin en ciencias de la salud', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311480', 'Mster en Modelizacin matemtica y computacin', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311481', 'Master en Docencia e Interpretacin en Lenguas de Seas', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311483', 'Mster en Inmunologa y superficie ocular', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311731', 'Nanociencia y Nanotecnologa Molecular', 'S', 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311850', 'Mster en Arteterapia y Educacin Artstica para la Inclusin Social', 'N', 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312598', 'Mster en Investigacin en Comunicacin Hipermedia', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50110000000', 'Ingeniero Tcnico en Explotaciones Forestales.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '28', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '68', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50610020000', 'Ingeniero Tcnico Industrial. Elctrica', 'N', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50610050000', 'Ingeniero Tcnico Industrial, Especialidad Textil', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630010000', 'Ingeniero Tcnico de Telecomunicacin.Equipos Electrnicos.', 'N', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710060000', 'Ingeniero Tcnico Agrcola, Especialidad en Mecanizacin y Construcciones Rurales', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500249', 'Graduado o Graduada en Traduccin e Interpretacin ', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000082', 'Mster Universitario en Arquitectura y Patrimonio Histrico', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310964', 'Mster Universitario en Automtica e Informtica Industrial', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310720', 'Mster Universitario en Biodiversidad en reas Tropicales y su Conservacin por la Universidad Inter', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312553', 'Mster Universitario en Biodiversidad Marina y Conservacin', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310263', 'Mster Universitario en Computacin', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312332', 'Mster Universitario en Criminologa, Poltica Criminal y de Seguridad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311180', 'Mster Universitario en Crtica e Interpretacin de Textos Hispnicos', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312266', 'Mster Universitario en El Anlisis Geogrfico en la Ordenacin del Territorio. Tecnologas de la In', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311241', 'Mster Universitario en Elaboracin de Diccionarios y Control de Calidad del Lxico Espaol', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312404', 'Mster Universitario en Tecnologa, Aprendizaje y Educacin', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002636', 'Mster Universitario en Trfico Inmobiliario', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311925', 'Mster Universitario Internacional en Sociologa Jurdica / International Master in Sociology of Law', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311301', 'Mster Universitario en Arqueologa Prehistrica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001949', 'Mster Universitario en Asistencia e Investigacin Sanitaria', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311620', 'Mster Universitario en Banca y Finanzas Cuantitativas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311620', 'Mster Universitario en Banca y Finanzas Cuantitativas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000737', 'Mster Universitario en Bienestar Social: Intervencin Individual, Familiar y de Grupo', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311061', 'Mster Universitario en Bioinformtica para las Ciencias de la Salud', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000637', 'Mster Universitario en Computacin Lgica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001115', 'Mster Universitario en Comunicacin: Retos de la Comunicacin en el Siglo XXI', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002778', 'Mster Universitario en Poltica Lingstica y Planificacin de la Lengua Gallega', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002778', 'Mster Universitario en Poltica Lingstica y Planificacin de la Lengua Gallega', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000898', 'Mster Universitario en Produccin Animal', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311008', 'Mster Universitario en Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001655', 'Mster Universitario en investigacin en ingeniera ambiental', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003060', 'Mster Universitario en investigacin en psicologa', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001270', 'Mster Universitario en Investigacin en Psicologa del Deporte y de la Actividad Fsica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313139', 'Mster Universitario en Liderazgo Democrtico y Comunicacin Poltica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311569', 'Mster Universitario en Lingstica Aplicada y Adquisicin de Lenguas en Contextos Multilinges', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311867', 'Mster Universitario en Medioambiente. Dimensiones Humanas y Socioeconmicas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003017', 'Mster Universitario en Nanociencia y Nanotecnologia', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311171', 'Mster Universitario en Olivar, Aceite de Oliva y Salud ', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000598', 'Mster Universitario en Optometra Clnica', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312190', 'Mster Universitario en Organizacin Industrial y Gestin de Empresas', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000712', 'Mster Universitario en Osteopata y terapia manual', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002821', 'Mster Universitario en Psicologa de la Educacin', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000504', 'Mster Universitario en Comercializacin e Internacionalizacin de Productos y Servicios', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000851', 'Mster Universitario en Acuicultura', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312572', 'Mster Universitario en Alta Direccin', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310628', 'Mster Universitario en Anlisis Econmico Aplicado', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001804', 'Mster Universitario en Filologa Clsica', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001778', 'Mster Universitario en Filosofa Contempornea: Tendencias y Debates', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002834', 'Mster Universitario en Financiacin y Gestin de las Haciendas Autonmicas y Locales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000555', 'Mster Universitario en Fsica Aplicada', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000414', 'Mster Universitario en Fsica Aplicada', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310042', 'Mster Universitario en Fsica Terica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000089', 'Mster Universitario en Derecho Constitucional', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311751', 'Mster Universitario en Derecho de las Administraciones e Instituciones Pblicas', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002569', 'Mster Universitario en Desarrollo Rural Territorial', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002111', 'Mster Universitario en Direccin Internacional Contable y Financiera', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310325', 'Mster Universitario en Diseo, Obtencin y Evaluacin de Frmacos', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310986', 'Mster Universitario en Economa Industrial', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002726', 'Mster Universitario en Edicin', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312138', 'Mster Universitario en Estudios Avanzados e Investigacin en Historia. Espaa y el Mundo Iberoameri', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311912', 'Mster Universitario en Estudios Avanzados en Historia, Espacio y Patrimonio', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311527', 'Mster Universitario en Estudios Histricos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310919', 'Mster Universitario en Estudios Ingleses Avanzados: Literatura y Cultura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000102', 'Mster Universitario en Iniciacin a la Investigacin en Matemticas', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311390', 'Mster Universitario en Interaccin Persona-Ordenador', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001902', 'Mster Universitario en intervencin educativa y psicolgica', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311446', 'Mster Universitario en Investigacin Aplicada a la Comunicacin', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001408', 'Mster Universitario en Investigacin en Sistemas y Productos Forestales', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003062', 'Mster Universitario en investigacin en tecnologas industriales', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003056', 'Mster Universitario en matemticas avanzadas', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311467', 'Mster Universitario en Metodologa de la Investigacin en Ciencias Sociales: Innovaciones y Aplicac', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001975', 'Mster Universitario en nanociencia y nanotecnologa molecular', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001168', 'Mster Universitario en Neurociencias y Dolor', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310096', 'Mster Universitario en Paleontologa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311958', 'Mster Universitario en Periodismo en Televisin', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312873', 'Mster Universitario en Qumica Agrcola y Nuevos Alimentos', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311723', 'Mster Universitario en Qumica Orgnica Experimental e Industrial', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311964', 'Mster Universitario en Relaciones Internacionales y Estudios Africanos', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002042', 'Mster Universitario en Retrica y Creatividad Publicitaria', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311783', 'Mster Universitario en Salud Pblica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311166', 'Mster Universitario en Salud y Calidad de Vida', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000267', 'Mster Universitario en Sanidad y Produccin Porcina', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311691', 'Mster Universitario en Sistemas Agrcolas Periurbanos', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312638', 'Mster Universitario en Sistemas Inteligentes', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002946', 'Mster Universitario en Tecnologa Educativa: E-Learning y Gestin del Conocimiento', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310426', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311046', 'Mster Universitario en Traduccin y Paratraduccin', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001348', 'Mster Universitario en Urbanismo: Planes y Proyectos. Del Territorio a la Ciudad', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001418', 'Mster Universitario en Fisioterapia y Mujer', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001144', 'Mster Universitario en Formacin de Profesorado del Cataln para Personas Adultas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000833', 'Mster Universitario en Gnero y Polticas de Igualdad', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000222', 'Mster Universitario en Gestin Cultural', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002658', 'Mster Universitario en Gestin de Riesgos Laborales Calidad y Medio Ambiente', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001945', 'Mster Universitario en Gestin e Investigacin de la Discapacidad y la Dependencia', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002744', 'Mster Universitario en Gestin Financiera y Contabilidad Avanzada', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000065', 'Mster Universitario en Gestin Integral del Agua', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002566', 'Mster Universitario en Gestin Portuaria y Logstica', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000096', 'Mster Universitario en Gestin y Desarrollo de los Recursos Humanos', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000861', 'Mster Universitario en Gestin y Promocin del Desarrollo Local', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001509', 'Mster Universitario en Ingeniera de los Procesos de Fabricacin', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002006', 'Mster Universitario en Ingeniera de Redes y Telecomunicaciones', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312226', 'Mster Universitario en Ingeniera Industrial', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310004', 'Mster Universitario en Ingeniera Martima', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000252', 'Mster Universitario en Ingeniera Micro y Nanoelectrnica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311095', 'Mster Universitario en Ingeniera Qumica, Produccin y Consumo Sostenible', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311579', 'Mster Universitario en Investigacin en Didctica, Formacin y Evaluacin Educativa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001146', 'Mster Universitario en Investigacin en Didcticas Especficas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310417', 'Mster Universitario en Investigacin en Economa', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310635', 'Mster Universitario en Publicidad', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310525', 'Mster Universitario en Qumica Avanzada', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001681', 'Mster Universitario en qumica terica y modelacin computacional', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001681', 'Mster Universitario en qumica terica y modelacin computacional', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310939', 'Mster Universitario en Radiacin de Sincrotrn y Aceleradores de Partculas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001842', 'Mster Universitario en Recursos Hdricos', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310513', 'Mster Universitario en Rehabilitacin Psicosocial ', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002978', 'Mster Universitario en Relaciones Internacionales, Seguridad y Desarrollo', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003035', 'Mster Universitario en Research on Information and Communication Technologies (MERIT)', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311673', 'Mster Universitario en Sistemas Electrnicos Avanzados', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310148', 'Mster Universitario en Sostenibilidad y Responsabilidad Social Corporativa', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002659', 'Mster Universitario en Tecnologas de Telecomunicacin', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002693', 'Mster Universitario Erasmus Mundos en Gestin de Agua y Costa (Water and Coastal Management)', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001100', 'Mster Universitario en Arqueologa Profesional: Herramientas de Gestin Integral del Patrimonio Arq', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002516', 'Mster Universitario en Avances en Fsica y Qumica para Profesionales', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312653', 'Mster Universitario en Comunicacin y Educacin Audiovisual por la Universidad Internacional de And', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312653', 'Mster Universitario en Comunicacin y Educacin Audiovisual por la Universidad Internacional de And', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002035', 'Mster Universitario en Comunicacin y Marketing Poltico', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002701', 'Mster Universitario en Creacin Digital', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001035', 'Mster Universitario en Calidad de Aguas Continentales', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001246', 'Mster Universitario en Ciencia y Tecnologa de Materiales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311845', 'Mster Universitario en Ciencias Avanzadas de las Telecomunicaciones Modernas / Advanced Sciences of', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310463', 'Mster Universitario en Ciencias de la Empresa', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312046', 'Mster Universitario en Ciencias de la Enfermera', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311712', 'Mster Universitario en Estudios Internacionales y de la Unin Europea', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311535', 'Mster Universitario en Estudios Latinoamericanos', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311535', 'Mster Universitario en Estudios Latinoamericanos', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310087', 'Mster Universitario en Finanzas de Empresa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311289', 'Mster Universitario en Democracia y Buen Gobierno', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312129', 'Mster Universitario en Derecho Urbanstico y Ambiental', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003070', 'Mster Universitario en Direccin de Empresas - MBA', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002093', 'Mster Universitario en Direccin Hotelera', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311677', 'Mster Universitario en Direccin y Gestin Hotelera Internacional', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310169', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001970', 'Mster Universitario en Diseo y Fabricacin', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312385', 'Mster Universitario en Educacin para la Salud', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311986', 'Mster Universitario en Ejecutivo Global en Direccin de Empresas / Global Executive Master in Busin', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310274', 'Mster Universitario en Electrnica Industrial', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310404', 'Mster Universitario en Energas Renovables y Eficiencia Energtica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310170', 'Mster Universitario en Espaol y su Cultura: Desarrollos Profesionales y Empresariales', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311536', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002021', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000864', 'Mster Universitario en Internacionalizacin Econmica: Integracin y Comercio Internacional', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312097', 'Mster Universitario en Investigacin Avanzada y Especializada en Derecho', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311242', 'Mster Universitario en Formacin e Investigacin Literaria y Teatral en el Contexto Europeo', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310347', 'Mster Universitario en Formacin en la Investigacin Universitaria', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310374', 'Mster Universitario en Gnero y Polticas de Igualdad', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311142', 'Mster Universitario en Gnero, Identidad y Ciudadana', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311541', 'Mster Universitario en Geofsica', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001258', 'Mster Universitario en Gestin Aeronutica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002075', 'Mster Universitario Iberoamericano en Historia Comparada', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002550', 'Mster Universitario Internacional en European Tourism Management (ETM)', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000488', 'Mster Universitario en Astrofsica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312184', 'Mster Universitario en Automtica, Robtica y Telemtica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000192', 'Mster Universitario en Banca y Finanzas Cuantitativas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312101', 'Mster Universitario en Biodiversidad y Biologa de la Conservacin', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001598', 'Mster Universitario en Biotica y Bioderecho', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000382', 'Mster Universitario en Comunicacin y Gastronoma', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310292', 'Mster Universitario en Cooperacin Internacional al Desarrollo', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311261', 'Mster Universitario en Cristalografa y Cristalizacin', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000200', 'Mster Universitario en Biomedicina', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312382', 'Mster Universitario en Biotecnologa', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312498', 'Mster Universitario en Cambio Global: Recursos Naturales y Sostenibilidad', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312391', 'Mster Universitario en Cambio Social y Profesiones Educativas', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312140', 'Mster Universitario en Ciencias de la Tierra. Geologa Ambiental y Aplicada', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312228', 'Mster Universitario en Actividad Fsica Teraputica', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002971', 'Mster Universitario en Anlisis Econmico / Economic Analysis', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001183', 'Mster Universitario en Anlisis Econmico Aplicado', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311299', 'Mster Universitario en Anlisis Econmico del Derecho y las Polticas Pblicas', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311415', 'Mster Universitario en Estudios Superiores en Lengua, Literatura y Cultura Catalanas', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000107', 'Mster Universitario en Estudios Textuales y Culturales en Lengua Inglesa', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310637', 'Mster Universitario en Astrofsica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310726', 'Mster Universitario en Astrofsica', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002833', 'Mster Universitario en Comunicaci  i Patrimoni Cultural', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310966', 'Mster Universitario en Conservacin del Patrimonio Arquitectnico por la Universidad Politcnica de', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312361', 'Mster Universitario en Cooperacin al Desarrollo, Gestin Pblica y de las ONGDs', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002847', 'Mster Universitario en Creacin y Gestin de Empresas Innovadoras y de Base Tecnolgica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002641', 'Mster Universitario en Criminalidad e Intervencin Social en Menores', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000198', 'Mster Universitario en Biologa Humana', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000198', 'Mster Universitario en Biologa Humana', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312439', 'Mster Universitario en Biotecnologa Avanzada', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310502', 'Mster Universitario en Ciencia e Ingeniera Agrarias', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002991', 'Mster Universitario en Ciencia y Tecnologa Aeroespacial', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000595', 'Mster Universitario en Comercio y Relaciones Econmicas Internacionales', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002672', 'Mster Universitario en Actividad Fsica y Salud', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310658', 'Mster Universitario en Administracin de Empresas', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000119', 'Mster Universitario en Administracin y Direccin de Empresas', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311616', 'Mster Universitario en Adquisicin de Lenguas en Contextos Multilinges / Master in Language Acquis', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312074', 'Mster Universitario en Anatoma Aplicada a la Clnica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002685', 'Mster Universitario en Arqueologa', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312651', 'Mster Universitario en Estudios Superiores de Lengua Espaola', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002832', 'Mster Universitario en Estudis de Gnere: Dones, Desenvolupament i Cultures', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002849', 'Mster Universitario en Derecho de la Empresa y de los Negocios', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310916', 'Mster Universitario en Derecho y Polticas de la Integracin Europea: Derecho Constitucional Europe', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000385', 'Mster Universitario en Direccin de Empresas y Sistemas de Produccin', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001812', 'Mster Universitario en Direccin de Recursos Humanos', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310814', 'Mster Universitario en Direccin Financiera y Fiscal', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310338', 'Mster Universitario en Diseo Grfico de la Comunicacin', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310134', 'Mster Universitario en Economa del Turismo y Medio Ambiente', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310233', 'Mster Universitario en Recursos Geolgicos y Geotecnia', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311921', 'Mster Universitario en Renovacin Urbana y Rehabilitacin', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312406', 'Mster Universitario en Restauracin y Gestin Integral del Patrimonio Construido', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311253', 'Mster Universitario en Seguridad', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311460', 'Mster Universitario en Sistemas de Ingeniera Civil', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310835', 'Mster Universitario en Sistemas Telemticos e Informticos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310358', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000398', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312254', 'Mster Universitario en Ingeniera Tisular', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000874', 'Mster Universitario en Produccin Vegetal y Ecosistemas Agroforestales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312418', 'Mster Universitario en Produccin y Comunicacin Cultural', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311694', 'Mster Universitario en Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310039', 'Mster Universitario en Biologa Molecular y Celular', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001969', 'Mster Universitario en Ciencia, Tecnologa y Aplicaciones de los Materiales Cermicos', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002600', 'Mster Universitario Bsico de Investigacin en Tcnicas y Procesos Industriales', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310304', 'Mster Universitario en Gestin de Empresas Industriales', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312589', 'Mster Universitario en Gestin de Tecnologas de la Informacin y las Comunicaciones', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002775', 'Mster Universitario en Hematologa y Oncologa Clnico-Experimental', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001287', 'Mster Universitario en Ingeniera Civil', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310316', 'Mster Universitario en Ingeniera de Sistemas de Decisin', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312218', 'Mster Universitario en Ingeniera Industrial', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310793', 'Mster Universitario en Polmeros y Biopolmeros', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310951', 'Mster Universitario en Prehistoria y Arqueologa', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311781', 'Mster Universitario en Procesos de Formacin', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002553', 'Mster Universitario en Procesos Educativos', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001566', 'Mster Universitario en psicoanlisis y filosofa de la cultura', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311838', 'Mster Universitario en Investigacin en Tecnologas Industriales y de Telecomunicacin', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310755', 'Mster Universitario en Investigacin, Desarrollo e Innovacin de Medicamentos', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002584', 'Mster Universitario en Investigaciones y Avances en Medicina Preventiva y Salud Pblica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002913', 'Mster Universitario en Marketing e Investigacin de Mercados', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312246', 'Mster Universitario en Matemticas', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000476', 'Mster Universitario en MBA en Direccin de Personas', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001329', 'Mster Universitario en Accin Internacional Humanitaria (Erasmus Mundus)', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002864', 'Mster Universitario en Acuicultura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001826', 'Mster Universitario en Antropologa de Orientacin Pblica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001499', 'Mster Universitario en Antropologa y Etnografa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001846', 'Mster Universitario en aprovechamiento sostenible de los recursos minerales', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312055', 'Mster Universitario en Estudios Lingsticos Avanzados', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311202', 'Mster Universitario en Evaluacin y Gestin del Ruido Ambiental', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311590', 'Mster Universitario en Derechos Humanos y Democratizacin / Human Rights and Democratisation', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000838', 'Mster Universitario en Desarrollo, Instituciones e Integracin Econmica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310462', 'Mster Universitario en Direccin de Empresas (MBA)', NULL, 0, '73', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311116', 'Mster Universitario en Direccin de Empresas / Master in Business Administration (MBA)', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001365', 'Mster Universitario en Direccin de Marketing', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311262', 'Mster Universitario en Energas Renovables, Pilas de Combustible e Hidrgeno', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312175', 'Mster Universitario en Nuevas Tendencias Asistenciales en Ciencias de la Salud', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002534', 'Mster Universitario en Psicologa de la Educacin', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310448', 'Mster Universitario en Recursos Fitogenticos', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000632', 'Mster Universitario en Redes y Servicios Telemticos', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001680', 'Mster Universitario en seguridad integral en la edificacin', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001321', 'Mster Universitario en Tecnologas de la Informacin y las Comunicaciones', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311331', 'Mster Universitario en Tecnologas Multimedia', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002660', 'Mster Universitario en Telemtica y Redes de Telecomunicacin', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002682', 'Mster Universitario en Traduccin e Interculturalidad', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000265', 'Mster Universitario en Traduccin, Interpretacin y Estudios Interculturales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310451', 'Mster Universitario en Tratamiento de Soporte y Cuidados Paliativos en el Enfermo Oncolgico', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001459', 'Mster Universitario en traumatologa', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000756', 'Mster Universitario Europeo en Nutricin y Metabolismo', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001206', 'Mster Universitario en Astrofsica: Computacin y Teora', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002828', 'Mster Universitario en Biodiversidad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310301', 'Mster Universitario en Comunicaciones', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001865', 'Mster Universitario en Conservacin y Restauracin de Bienes Culturales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001174', 'Mster Universitario en Biologa de la Conservacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310052', 'Mster Universitario en Filosofa Analtica ', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312690', 'Mster Universitario en Fsica Nuclear', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312690', 'Mster Universitario en Fsica Nuclear', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311514', 'Mster Universitario en Culturas Medievales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311516', 'Mster Universitario en Derecho de la Empresa y de los Negocios', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311088', 'Mster Universitario en Desarrollo e Integracin de Soluciones Software', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312092', 'Mster Universitario en Desarrollo Local y Empleo', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311110', 'Mster Universitario en Dinmica de Cambio en las Sociedades Modernas Avanzadas', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003044', 'Mster Universitario en Direccin de Empresas (MBA)', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001122', 'Mster Universitario en Ecologa Marina', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312457', 'Mster Universitario en Educacin Especial', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000446', 'Mster Universitario en Enseanza del Ingls como Lengua Extranjera', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001303', 'Mster Universitario en Erasmus Mundus Aeronautics and Space Tecnologies', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002581', 'Mster Universitario en Estadstica Aplicada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312647', 'Mster Universitario en Estudios e Intervencin Social en Inmigracin, Desarrollo y Grupos Vulnerabl', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310979', 'Mster Universitario en Inteligencia Artificial, Reconocimiento de Formas e Imagen Digital por la Un', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312181', 'Mster Universitario en Intervencin y Mediacin Familiar', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001419', 'Mster Universitario en Fisioterapia Neurolgica Aplicada al Paciente Adulto', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001380', 'Mster Universitario en Formacin de Profesionales de la Formacin', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310393', 'Mster Universitario en Fotnica y Tecnologas del Lser', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310924', 'Mster Universitario en Gentica Avanzada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000877', 'Mster Universitario en Ingeniera del Software, Mtodos Formales y Sistemas de Informacin', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310972', 'Mster Universitario en Ingeniera del Software, Mtodos Formales y Sistemas de Informacin por la U', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310775', 'Mster Universitario en Ingeniera del Terreno e Ingeniera Ssmica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002109', 'Mster Universitario en Direccin de Marketing y Ventas', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310192', 'Mster Universitario en Direccin y Gestin de Recursos Humanos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311951', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311357', 'Mster Universitario en Ecologa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312093', 'Mster Universitario en Economa', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001430', 'Mster Universitario en Economa de la Escuela Austraca', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310796', 'Mster Universitario en Edificacin', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310051', 'Mster Universitario en Enfermedades Autoinmunes', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001774', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002891', 'Mster Universitario en Iniciacin a la Investigacin en Humanidades: Historia, Arte, Filosofa, Len', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500378', 'Graduado o Graduada en Matemticas ', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500872', 'Graduado o Graduada en Odontologa', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500618', 'Graduado o Graduada en ptica, Optometra y Audiologa ', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500964', 'Graduado o Graduada en Psicologa', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500012', 'Graduado o Graduada en Psicologa', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500467', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500584', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500297', 'Graduado o Graduada en Relaciones Laborales', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311905', 'Mster Universitario en Inteligencia Artificial', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001166', 'Mster Universitario en Intervencin Psicopedaggica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312244', 'Mster Universitario en Geologa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000862', 'Mster Universitario en Gestin Cultural', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002547', 'Mster Universitario en Gestin de la Comunicacin en Redes Sociales', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502037', 'Graduado o Graduada en Terapia Ocupacional ', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500490', 'Graduado o Graduada en Trabajo Social', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500492', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500608', 'Graduado o Graduada en Traduccin e Interpretacin ', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502088', 'Graduado o Graduada en Veterinaria', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502238', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501341', 'Graduado o Graduada en Ciencias Ambientales ', NULL, 0, '59', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500836', 'Graduado o Graduada en Ciencias del Trabajo', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500602', 'Graduado o Graduada en Ciencias Polticas y de la Administracin Pblica', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500755', 'Graduado o Graduada en Estadstica', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502415', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500194', 'Graduado o Graduada en Derecho', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310069', 'Mster Universitario en Estudios Avanzados en Derechos Humanos por la Universidad Carlos III de Madr', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001758', 'Mster Universitario en iniciacin a la investigacin en ciencias veterinarias', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312398', 'Mster Universitario en Investigacin Biomdica', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001649', 'Mster Universitario en Fsica: Estructura de la Materia: Experimental y Tecnolgica', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310860', 'Mster Universitario en Fisiologa', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310895', 'Mster Universitario en Fotnica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000037', 'Mster Universitario en Geofsica y Meteorologa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000556', 'Mster Universitario en Geofsica y Meteorologa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001245', 'Mster Universitario en Gestin de Suelos y Aguas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310336', 'Mster Universitario en Gestin Medioambiental de la Empresa', NULL, 0, '73', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002510', 'Mster Universitario en Hidrologa y Gestin de los Recursos Hdricos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000695', 'Mster Universitario en Historia comparada de las relaciones sociales y familiares (siglos XVI-XXI)', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001694', 'Mster Universitario en Historia Contempornea', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311066', 'Mster Universitario en Historia del Mundo', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311978', 'Mster Universitario en Historia y Ciencias de la Antigedad', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001619', 'Mster Universitario en ingeniera ambiental. Profesional', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311572', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310394', 'Mster Universitario en Ingeniera de Soldadura', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000217', 'Mster Universitario en Ingeniera Fsica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311977', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310803', 'Mster Universitario en Ingeniera Telemtica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002979', 'Mster Universitario en Planificacin Territorial y Gestin Ambiental', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001169', 'Mster Universitario en Problemas Sociales: Direccin y Gestin de Programas Sociales', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311920', 'Mster Universitario en Produccin de Televisin', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310478', 'Mster Universitario en Profesorado de Educacin Secundaria Obligatoria, Bachillerato, Formacin Pro', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002916', 'Mster Universitario en Investigacin en Ciencia Animal y de los Alimentos', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002932', 'Mster Universitario en Investigacin en Ciencias Clnicas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310487', 'Mster Universitario en Investigacin en Creacin y Gestin de Empresas / Research on Enterpreneursh', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311582', 'Mster Universitario en Investigacin en Sociologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311855', 'Mster Universitario en Literatura Espaola', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310135', 'Mster Universitario en Matemticas', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001656', 'Mster Universitario en matemticas y computacin', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003005', 'Mster Universitario en Mechanical Engineering (EMMME)', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002683', 'Mster Universitario en Microelectrnica: diseo y aplicaciones de sistemas micro/nanomtricos (on l', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310673', 'Mster Universitario en Necesidades Educativas Especiales', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310254', 'Mster Universitario en Neurociencias', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312102', 'Mster Universitario en Neurociencias y Biologa del Comportamiento', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002585', 'Mster Universitario en ptica y Optometra Avanzada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312608', 'Mster Universitario en Periodismo Audiovisual', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311949', 'Mster Universitario en Ingls y Espaol para Fines Especficos y Empresariales', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311093', 'Mster Universitario en Fundamentos y Principios del Sistema Jurdico', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001310', 'Mster Universitario en Gestin Costera', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310703', 'Mster Universitario en Gestin del Turismo / Tourism Management', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002835', 'Mster Universitario en Histria Econmica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002835', 'Mster Universitario en Histria Econmica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000132', 'Mster Universitario en Ingeniera de Costas y Puertos', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000527', 'Mster Universitario en Ingeniera de Mquinas y Transportes', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500604', 'Graduado o Graduada en Enfermera por la Universidad Pontificia Comillas', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500007', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500919', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500346', 'Graduado o Graduada en Filosofa', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501018', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501629', 'Graduado o Graduada en Educacin Social', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501194', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500111', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501101', 'Graduado o Graduada en Biologa', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501452', 'Graduado o Graduada en Bioqumica', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500870', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501405', 'Graduado o Graduada en Lenguas Modernas y sus Literaturas', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501075', 'Graduado o Graduada en Matemticas', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500533', 'Graduado o Graduada en Fisioterapia ', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500690', 'Graduado o Graduada en Geologa', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500469', 'Graduado o Graduada en Geologa ', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501209', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500657', 'Graduado o Graduada en Historia del Arte', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501861', 'Graduado o Graduada en Historia del Arte', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501793', 'Graduado o Graduada en Ingeniera Agroalimentaria y del Medio Rural', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500864', 'Graduado o Graduada en Ingeniera de Tecnologa y Diseo Textil ', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501620', 'Graduado o Graduada en Ingeniera de Tecnologias de Telecomunicacin', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502161', 'Graduado o Graduada en Ingeniera de Tecnologas Industriales', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500869', 'Graduado o Graduada en Ingeniera Electrnica de Telecomunicacin', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500429', 'Graduado o Graduada en Ingeniera en Tecnologas de la Telecomunicacin', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501758', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502466', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501490', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500422', 'Graduado o Graduada en Ingeniera Informtica ', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502307', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502451', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502246', 'Graduado o Graduada en Ingeniera en Electrnica Industrial y Automtica', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501604', 'Graduado o Graduada en Ingeniera en Geomtica y Topografa', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500066', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502212', 'Graduado o Graduada en Ingeniera Mecnica por la Universidad de A Corua', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502358', 'Graduado o Graduada en Medicina', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502171', 'Graduado o Graduada en Odontologa', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500114', 'Graduado o Graduada en Periodismo', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501193', 'Graduado o Graduada en Podologa', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501090', 'Graduado o Graduada en Qumica', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501459', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501201', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501830', 'Graduado o Graduada en Sociologa', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501048', 'Graduado o Graduada en Turismo', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500029', 'Graduado o Graduada en Turismo', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501427', 'Graduado o Graduada en Comunicacin', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500571', 'Graduado o Graduada en Comunicacin Audiovisual ', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502289', 'Graduado o Graduada en Conservacin y Restauracin de Bienes Culturales', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501008', 'Graduado o Graduada en Enfermera', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501858', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500748', 'Graduado o Graduada en Estudios Portugueses y Brasileos', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502461', 'Graduado o Graduada en Farmacia', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501712', 'Graduado o Graduada en Filologa Hispnica ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502475', 'Graduado o Graduada en Derecho', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501552', 'Graduado o Graduada en Derecho', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501268', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502342', 'Graduado o Graduada en Administracin de Empresas por la Universidad Jaume I de Castelln', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502014', 'Graduado o Graduada en Bellas Artes', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501883', 'Graduado o Graduada en Biologa', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500110', 'Graduado o Graduada en Biologia Humana por la Universidad Pompeu Fabra', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502379', 'Graduado o Graduada en Lengua Espaola y sus Literaturas', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501305', 'Graduado o Graduada en Lengua y Literatura Espaolas', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500178', 'Graduado o Graduada en Medicina por la Universidad Autnoma de Barcelona y la Universidad Pompeu Fab', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501563', 'Graduado o Graduada en Podologa ', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501298', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501918', 'Graduado o Graduada en Trabajo Social', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501510', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500764', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500472', 'Graduado o Graduada en Ciencias de la Actividad Fsica y el Deporte', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500313', 'Graduado o Graduada en Enfermera ', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500410', 'Graduado o Graduada en Enfermera ', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500741', 'Graduado o Graduada en Enfermera por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501948', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501017', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500549', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501499', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502429', 'Graduado o Graduada en Maestro en Educacin Primaria', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501029', 'Graduado o Graduada en Matemticas', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502388', 'Graduado o Graduada en Fiscalidad y Administracin Pblica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500384', 'Graduado o Graduada en Geografa e Historia', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501972', 'Graduado o Graduada en Geografa y Gestin del Territorio', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500100', 'Graduado o Graduada en Historia', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501988', 'Graduado o Graduada en Ingeniera de Computadores', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501358', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501735', 'Graduado o Graduada en Ingeniera de Organizacin Industrial', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500548', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501121', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500541', 'Graduado o Graduada en Educacin Primaria ', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500838', 'Graduado o Graduada en Educacin Social', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501266', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500811', 'Graduado o Graduada en Bellas Artes', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502151', 'Graduado o Graduada en Ingeniera y Ciencia Agronmica', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502200', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501102', 'Graduado o Graduada en Fsica', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501386', 'Graduado o Graduada en Fisioterapia', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501825', 'Graduado o Graduada en Geografa y Gestin del Territorio', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501515', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501254', 'Graduado o Graduada en Historia del Arte y Patrimonio Histrico-Artstico', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501941', 'Graduado o Graduada en Ingeniera Agroalimentaria', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501663', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin, Sonido e Imagen', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502244', 'Graduado o Graduada en Ingeniera de Tecnologas de Telecomunicacin', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502381', 'Graduado o Graduada en Ingeniera Electrnica de Comunicaciones', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501041', 'Graduado o Graduada en Ingeniera en Geomtica y Topografa por la Universidad de Extremadura', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502269', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502283', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502114', 'Graduado o Graduada en Medicina', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501612', 'Graduado o Graduada en Podologa', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501569', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500341', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501869', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos ', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500304', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500775', 'Graduado o Graduada en Trabajo Social', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500482', 'Graduado o Graduada en Trabajo Social ', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501114', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500629', 'Graduado o Graduada en Enfermera ', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312998', 'Mster Universitario en Asesora Jurdico-Laboral por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313001', 'Mster Universitario en Mundo Clsico por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313015', 'Mster Universitario en Investigacin en Economa, Finanzas y Empresa / Master of Research in Economics, Finance and Management por la Universidad Pompeu Fabra', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313033', 'Master Universitario en Patrimonio y Comunicacin por la Universidad de Burgos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313034', 'Mster Universitario en Evolucin Humana por la Universidad de Alcal y la Universidad de Burgos', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313041', 'Mster Universitario en Arqueologa por la Universidad de La Laguna y la Universidad de Las Palmas de Gran Canaria', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311439', 'Mster Universitario en Epidemiologa y Salud Pblica', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312493', 'Mster Universitario en Estudios Avanzados en Educacin Primaria', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311526', 'Mster Universitario en Estudios Avanzados en Historia del Arte', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310565', 'Mster Universitario en Estudios de Juventud', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002190', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000832', 'Mster Universitario en Estudios Hispnicos: Aplicaciones e Investigacin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310154', 'Mster Universitario en Internacionalizacin Econmica: Integracin y Comercio Internacional', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310223', 'Mster Universitario en Intervencin Educativa y Psicolgica', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310163', 'Mster Universitario en Intervencin Psicopedaggica en Contextos de Educacin Formal y No Formal', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3004003', 'Mster Universitario en Intervencin y Mediacin Familiar: Especialidad en Mediacin Familiar', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310520', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311844', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311209', 'Mster Universitario en Gestin del Patrimonio Cultural ', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001652', 'Mster Universitario en Gobernabilidad para un Desarrollo Sostenible: Planificacin, Gestin y Evalu', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310182', 'Mster Universitario en Hidrulica Ambiental', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001742', 'Mster Universitario en Historia Contempornea', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311336', 'Mster Universitario en Historia de la Ciencia: Ciencia, Historia y Sociedad', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001695', 'Mster Universitario en Historia e Identidades Hispnicas en el Mediterrneo occidental (Siglos XV-X', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000405', 'Mster Universitario en Informtica', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003032', 'Mster Universitario en Information and Communication Technologies (MINT)', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002998', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001857', 'Mster Universitario en ingeniera elctrica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310320', 'Mster Universitario en Ingeniera Electrnica', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500239', 'Graduado o Graduada en Historia del Arte', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500321', 'Graduado o Graduada en Historia del Arte', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500489', 'Graduado o Graduada en Comunicacin Cultural', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500501', 'Graduado o Graduada en Historia', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500510', 'Graduado o Graduada en Lengua y Literatura Catalanas', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500894', 'Graduado o Graduada en Turismo', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500895', 'Graduado o Graduada en Ingeniera Electrnica de Telecomunicacin', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501025', 'Graduado o Graduada en Sistemas de Informacin', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502201', 'Graduado o Graduada en Maestro en Educacin Primaria', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502331', 'Graduado o Graduada en Geografa e Historia', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500656', 'Graduado o Graduada en Historia ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500730', 'Graduado o Graduada en Historia y Ciencias de la Msica', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502138', 'Graduado o Graduada en Ingeniera Agrcola', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502140', 'Graduado o Graduada en Ingeniera Alimentaria', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502370', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502301', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo del Producto', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501591', 'Graduado o Graduada en Ingeniera Forestal', NULL, 0, '59', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501440', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500480', 'Graduado o Graduada en Matemticas ', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501671', 'Graduado o Graduada en Pedagoga de las Artes Visuales y la Danza', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500089', 'Graduado o Graduada en Periodismo', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501272', 'Graduado o Graduada en Trabajo Social', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502046', 'Graduado o Graduada en Trabajo Social', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501791', 'Graduado o Graduada en Turismo', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501228', 'Graduado o Graduada en Turismo', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501960', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500414', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501354', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500589', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501297', 'Graduado o Graduada en Derecho', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501091', 'Graduado o Graduada en Derecho', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500587', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500386', 'Graduado o Graduada en Lengua y Literatura Espaolas ', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500675', 'Graduado o Graduada en Fisioterapia por la Universidad de Cantabria', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502508', 'Graduado o Graduada en Geografa y Medio Ambiente', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501061', 'Graduado o Graduada en Humanidades', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501893', 'Graduado o Graduada en Ingeniera Agrcola y del Medio Rural', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500935', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502160', 'Graduado o Graduada en Ingeniera de Organizacin Industrial', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502236', 'Graduado o Graduada en Ingeniera de Procesos Qumicos Industriales', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501834', 'Graduado o Graduada en Ingeniera de Tecnologas de Telecomunicacin', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502450', 'Graduado o Graduada en Ingeniera de Tecnologas de Telecomunicacin por la Universidad de Cantabria', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501647', 'Graduado o Graduada en Ingeniera en Tecnologa Industrial', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501707', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501738', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501200', 'Graduado o Graduada en Pedagoga', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500641', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501641', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310356', 'Mster Universitario en Energas Renovables y Sostenibilidad Energtica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001836', 'Mster Universitario en Estudios Avanzados de Historia Moderna: "Monarqua de Espaa. Ss XVI-XVIII"', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312990', 'Mster Universitario en Enseanza Bilinge por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312997', 'Mster Universitario en Biologa Marina por la Universidad de A Corua; la Universidad de Santiago de Compostela y la Universidad de Vigo', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502547', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502558', 'Graduado o Graduada en Biotecnologa por la Universidad de Cdiz', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502569', 'Graduado o Graduada en Biomedicina Bsica y Experimental por la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502576', 'Graduado o Graduada en Estudios de Asia Oriental por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502578', 'Graduado o Graduada en Ingeniera Energtica por la Universidad de Huelva', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502584', 'Graduado o Graduada en Periodismo por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502589', 'Graduado o Graduada en Gestin Hotelera y Turstica por la Universidad de Girona', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502591', 'Graduado o Graduada en Marketing y Comunicacin Comercial por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502608', 'Graduado o Graduada en Ciencias Mdicas Experimentales por la Universidad San Pablo-CEU', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502649', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos por la Universidad de Crdoba', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502658', 'Grado en Ingeniera Informtica en Sistemas y Tecnologas de la Informacin', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502670', 'Graduado o Graduada en Derecho por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502671', 'Graduado o Graduada en Gastronoma y Artes Culinarias', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502682', 'Graduado o Graduada en Ingenieria Elctrica  por la Universidad de La Laguna', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502693', 'Graduado o Graduada en Psicologa por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310876', 'Mster Universitario en Gestin de las Tecnologas de la Informacin y la Comunicacin', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310905', 'Mster Universitario en Traduccin Creativa y Humanstica', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311128', 'Mster Universitario en Ciencia y Tecnologa de Coloides e Interfases', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311230', 'Mster Universitario en Tecnologas de la Informacin Geogrfica', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311409', 'Mster Universitario en Ingeniera Qumica', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311473', 'Mster Universitario en Fsica de Plasmas y Fusin Nuclear (Erasmus-Mundus)', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311565', 'Mster Universitario en Asistencia y Atencin Farmacutica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311669', 'Mster Universitario en Sistema de Justicia Penal', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311670', 'Mster Universitario en Sanidad y Produccin Porcina', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311671', 'Mster Universitario en Relaciones Interculturales y Literatura', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311727', 'Mster Universitario en Historia Contempornea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311742', 'Mster Universitario en Adaptacin Pedaggica', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311830', 'Mster Universitario en Derecho Constitucional', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311865', 'Mster Universitario Internacional de Estudios Contemporneos de Amrica Latina', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311872', 'Mster Universitario en Integracin Regional', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311894', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Enseanza de Idiomas', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311898', 'Mster Universitario en Bioingeniera', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311906', 'Mster Universitario en Estudios Chinos', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311961', 'Mster Universitario en Estudios Avanzados de Historia Moderna. Monarqua  de Espaa. Siglos XVI-XVIII', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311982', 'Mster Universitario en Proteccin Jurdica de la Igualdad y la Libertad', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312057', 'Mster Universitario en Historia Medieval de Castilla y Len', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312066', 'Mster Universitario en Biotecnologa y Biologa de Estrs de Plantas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312108', 'Mster Universitario en Seguridad y Salud en el Trabajo - Prevencin de Riesgos Laborales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312124', 'Mster Universitario en Anlisis Econmico Especializado', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312124', 'Mster Universitario en Anlisis Econmico Especializado', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312134', 'Mster Universitario en Ciencias Sociales del Desarrollo, Culturas y Desarrollo en frica', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312134', 'Mster Universitario en Ciencias Sociales del Desarrollo, Culturas y Desarrollo en frica', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312208', 'Mster Universitario en Archivstica y Gestin de Documentos', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312209', 'Mster Universitario en Derechos Sociolaborales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312280', 'Mster Universitario en Prevencin e Intervencin Psicolgica en Problemas de Conducta en la Escuela', NULL, 0, '76', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502730', 'Graduado o Graduada en Administracin de Empresas por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502731', 'Graduado o Graduada en Ingeniera Biomdica por la Universidad Politcnica de Valencia', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502791', 'Graduado o Graduada en Ingeniera Electromecnica por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502803', 'Graduado o Graduada en Derecho por la Universidad Alfonso X El Sabio', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3004008', 'Mster Universitario en Tecnologas de la Traduccin y Localizacin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3004008', 'Mster Universitario en Tecnologas de la Traduccin y Localizacin', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3004008', 'Mster Universitario en Tecnologas de la Traduccin y Localizacin', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310071', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310091', 'Mster Universitario Iberoamericano de Historia Comparada por la Universidad Internacional de Andalucia y la Universidad de Huelva', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310091', 'Mster Universitario Iberoamericano de Historia Comparada por la Universidad Internacional de Andalucia y la Universidad de Huelva', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310091', 'Mster Universitario Iberoamericano de Historia Comparada por la Universidad Internacional de Andalucia y la Universidad de Huelva', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310267', 'Mster Universitario en Hidroinformtica y Gestin del Agua / Hidroinformatics and Water Management', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310351', 'Mster Universitario en Acuicultura', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310642', 'Mster Universitario en Fsica Computacional y Aplicada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310779', 'Mster Universitario en Ciencia de los Mecanismos Computacionales', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501290', 'Graduado o Graduada en Negocios y Marketing Internacionales', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501491', 'Graduado o Graduada en Ingeniera Agroalimentaria', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501498', 'Graduado o Graduada en Trabajo Social', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501502', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501544', 'Graduado o Graduada en Marketing y Direccin Comercial', NULL, 0, '70', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501573', 'Graduado o Graduada en Economa', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501575', 'Graduado o Graduada en Bellas Artes', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501596', 'Graduado o Graduada en Trabajo Social', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501674', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501699', 'Graduado o Graduada en Ingeniera de Organizacin Industrial', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501802', 'Graduado o Graduada en Estudios de Espaol y de Clsicas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501902', 'Graduado o Graduada en Estudios de Ingls y Cataln', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501907', 'Graduado o Graduada en Estudios de Ingls y de Clsicas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501910', 'Graduado o Graduada en Estudios de Ingls y Espaol', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501931', 'Graduado o Graduada en Gestin de Empresas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501935', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501954', 'Graduado o Graduada en Criminologa', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501975', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502004', 'Graduado o Graduada en Administracin de Empresas y Gestin de la Innovacin', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502050', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502103', 'Graduado o Graduada en Maestro Educacin Primaria por la Universidad Tecnologa y Empresa', NULL, 0, '78', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502105', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '78', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502423', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502509', 'Graduado o Graduada en Diseo', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502541', 'Graduado o Graduada en Ciencias Polticas por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312957', 'Mster Universitario en Derecho Internacional y Relaciones Internacionales por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312958', 'Mster Universitario en Derecho Sanitario, Biotica y Derecho a la Salud en la Unin Europea por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312967', 'Mster Universitario en Comunicacin Poltica y Empresarial por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312972', 'Master Universitario en Ciencias de la Antigedad y la Edad Media por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312979', 'Mster Universitario en Urgencias, Emergencias y Catstrofes', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313047', 'Mster Universitario en Ingeniera Industrial por la Mondragn Unibertsitatea', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313054', 'Mster universitario en anlisis econmico y financiero por la Universidad Pblica de Navarra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313077', 'Mster Universitario Erasmus Mundus en Ciencias Forenses', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313082', 'Mster Universitario en Lengua y Comunicacin en los Negocios por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313086', 'Mster Universitario en Artes Digitales por la Universidad Pompeu Fabra', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313108', 'Mster Universitario en Direccin Comercial y Marketing por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313109', 'Mster Universitario en Asesoria Jurdica de Empresas y Derecho Internacional de los Negocios por la Universidad Cardenal Herrera-CEU', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313116', 'Master Universitario Erasmus Mundus en Qumica Terica y Modelizacin Computacional', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313122', 'Mster Universitario en La Corte en Europa: la Configuracin del Modelo Poltico-cultural Europeo (Siglos XIII-XIX) por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313127', 'Mster Universitario en Gobierno, Administracin y Polticas Pblicas por la Universidad de Murcia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313129', 'Mster Universitario en Derecho Internacional y Organizaciones Internacionales por la Universidad Antonio de Nebrija', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312341', 'Mster Universitario en Prctica Clnica y Gestin de Centros Veterinarios', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312363', 'Mster Universitario en Estudios Superiores de Filologa y Tradicin Clsicas', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312378', 'Mster Universitario en Investigacin en Traduccin e Interpretacin', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312409', 'Mster Universitario en Ingeniera de Montes', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312411', 'Mster Universitario en Economa de la Salud y del Medicamento', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312426', 'Mster Universitario en Investigacin en Economa', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312431', 'Mster Universitario en Pedagoga Montessori (0-6 aos)', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312451', 'Mster Universitario en Nanociencia y Nanotecnologa', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312479', 'Mster Universitario en Energas Renovables en Sistemas Elctricos', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312506', 'Mster Universitario en Informacin y Comunicacin Digital', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312534', 'Mster Universitario en Qumica Aplicada y Farmacolgica', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312555', 'Mster Unviersitario Erasmus Mundus en Mecatrnica y Sistemas Micromecatrnicos', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312614', 'Mster Universitario en Diseo Arquitectnico Sostenible y Evaluacin Energtica de la Edificacin', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312624', 'Mster Universitario en Ortodoncia y Ortopedia Dentofacial', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312642', 'Mster Universitario Euro-Latinoamericano en Educacin Intercultural', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312643', 'Mster Universitario en Intervencin Educativa en Contextos Sociales', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312732', 'Mster Universitario en Educacin y Nuevas Tecnologas', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312826', 'Mster Universitario en el Dolor Craneofacial y Disfuncin Cervicocraneomandibular', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312835', 'Mster Universitario en Nutricin Clnica y Comunitaria', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312838', 'Mster Universitario en Comunicacin e Industrias Creativas', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312848', 'Mster Universitario en Calidad y Tecnologa Alimentaria por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312856', 'Mster Universitario en Fotografa Contempornea. Teoras y Proyectos fotogrficos artsticos, por la Universidad Europea de Madrid.', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312860', 'Mster Universitario en Enfermera Escolar y Consultora en Salud en Centros Educativos', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312863', 'Master Universitario en Migraciones Internacionales, Salud y Bienestar: Modelos y Estrategias de Intervencin por la Universidad de Sevilla', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312887', 'Mster Universitario en Polticas Sociales y Bienestar por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312893', 'Mster Universitario en Sistemas de Informacin y Anlisis Contable por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312897', 'Mster Erasmus Mundus en Produccin de Alimentos de Origen Animal / Food Products of Animal Origin', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312908', 'Mster Universitario en Relaciones Internacionales', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312944', 'Mster Universitario en Direccin de Empresas MBA', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313269', 'Mster Universitario en Matemtica Avanzada  por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313279', 'Mster Universitario en Gestin y Desarrollo de Personas y Equipos en las Organizaciones por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313295', 'Mster Universitario Erasmus Mundus en Polticas Pblicas (Mundus MAPP) / Master in Public Policy (Mundus MAPP) por la Universidad Autnoma de Barcelona; la Universidad Pompeu Fabra; la Universidad de Barcelona; Erasmus Universiteit Rotterdam(Holanda', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313309', 'Mster Universitario en Optometra y Ciencias de la Visin por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313312', 'Mster Universitario en Abogaca por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313316', 'Mster Universitario en Arqueologa por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313319', 'Mster Universitario en Ingeniera Qumica por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313338', 'Mster Universitario en Comunicacin Estratgica en la Sociedad del Riesgo por la Universidad Rovira i Virgili', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313344', 'Mster Universitario en Antropologa Biolgica por la Universidad Autnoma de Barcelona y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313351', 'Mster Universitario en Recursos Minerales y Riesgos Geolgicos por la Universidad Autnoma de Barcelona y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313363', 'Mster Universitario en Avances en Calidad y Tecnologa Alimentaria por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313365', 'Mster Universitario en Tcnicas y Ciencias de la Calidad del Agua (IDEA) por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313472', 'Mster Universitario en Ingeniera Qumica por la Universidad Autnoma de Madrid y la Universidad Rey Juan Carlos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313477', 'Mster Universitario en Tecnologas Software Avanzadas para Dispositivos Mviles por la Universidad San Jorge', NULL, 0, '73', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313481', 'Mster Universitario en Acceso a la Profesin de Abogado  por la Universidad Alfonso X El Sabio', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313483', 'Mster Universitario en Ingeniera de Mquinas y Transportes por la Universidad Carlos III de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313489', 'Mster Universitario en Logstica y Gestin de la Cadena de Suministro / Logistics and Supply Chain Management por la Universidad Autnoma de Barcelona; MONTANUNIVERSITT LEOBEN(Austria); RIGAS TEHNISKA UNIVERSITATE(Letonia) y TECHNISCHE FACHHOCHSCHU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313493', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Enseanza de Idiomas por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313512', 'Mster Universitario en Ingeniera de Mquinas y Transportes por la Universidad Carlos III de Madrid', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313516', 'Mster Universitario en Estudios Asiticos por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313528', 'Mster Universitario en Auditora de Cuentas por la Universidad de Alcal', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313534', 'Mster Universitario en Energas Renovables y Eficiencia Energtica por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313543', 'Mster Universitario en Acceso a la Profesin de Abogado por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313549', 'Mster Universitario en Direccin Internacional de Organizaciones Deportivas por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313551', 'Mster Universitario en Marketing, Publicidad y Comunicacin Digital por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313558', 'Mster Universitario en Estudios Avanzados sobre el Lenguaje, la Comunicacin y sus Patologas por la Universidad de A Corua; la Universidad de Salamanca; la Universidad de Santiago de Compostela y la Universidad de Zaragoza', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313370', 'Mster Universitario en Historia de la Formacin del Mundo Occidental por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313380', 'Mster Universitario en Gestin de Recursos Hdricos por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313410', 'Mster Universitario en Retos de la Filosofa Contempornea por la Universidad Autnoma de Barcelona y la Universidad de Girona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313412', 'Mster Universitario en Altos Estudios sobre el Anlisis y el Tratamiento de la Paz, la Seguridad y la Defensa por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313441', 'Mster Universitario en Musica: Composicin, Direccin e Interpretacin por la Universidad de Sevilla', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313446', 'Mster Universitario en Dificultades del Aprendizaje y Trastornos del Lenguaje por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313454', 'Mster Universitario en Optometra e Investigacin Clnica', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313458', 'Mster Universitario en Abogaca por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313460', 'Mster Universitario en Automatizacin y Telecontrol para la Gestin de Recursos Hdricos y Energticos por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313162', 'Master Universitario en Comunicacin Corporativa / Corporate Communication por la IE Universidad', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313185', 'Mster Universitario en Educacin Personalizada por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313187', 'Mster Universitario en Fsica de Sistemas Complejos por la Universidad de las Illes Balears', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313194', 'Mster Universitario en Ingeniera Industrial  por la Universidad Antonio de Nebrija', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313197', 'Mster Universitario en Estudios Avanzados sobre el Lenguaje, la Comunicacin y sus Patologas por la Universidad de A Corua; la Universidad de Salamanca; la Universidad de Santiago de Compostela y la Universidad de Zaragoza', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313199', 'Mster Universitario en Crecimiento y Desarrollo Sostenible por la Universidad de Castilla-La Mancha', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313210', 'Mster Universitario en Diseo y Construccin Avanzados de Estructuras Arquitectnicas  por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313216', 'Mster Universitario en Qumica por la Universidad Ramon Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313224', 'Mster Universitario en Investigacin Aplicada en Ciencias de la Salud por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313228', 'Mster Universitario en Poltica Social, Trabajo y Bienestar por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313230', 'Mster Universitario en Ingeniera Industrial por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313239', 'Mster Universitario en Gestin y Comunicacin de Entidades Sociales y Solidarias por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313241', 'Mster Universitario en Cronicidad y Dependencia por la Universidad Autnoma de Barcelona y la Universidad Pompeu Fabra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313251', 'Mster Universitario en Qumica Analtica por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313253', 'Mster Universitario en Gestin de Suelos y Aguas por la Universidad Autnoma de Barcelona; la Universidad Pblica de Navarra; la Universidad de Barcelona y la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313256', 'Mster Universitario en Contenidos de Comunicacin Audiovisual y Publicidad por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313258', 'Mster Universitario en Produccin e Investigacin Artstica por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313586', 'Mster Universitario en Administracin Sanitaria  por la Universidad Nacional de Educacin a Distancia', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313587', 'Mster Universitario en Mster en Abogaca por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313596', 'Mster Universitario en Investigacin en Humanidades por la Universidad San Pablo-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313598', 'Mster Universitario en Gestin de Negocios Internacionales y Tecnologa por la Universidad de Alcal', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313607', 'Mster Universitario en Microbiologa Avanzada por la Universidad de las Illes Balears', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313623', 'Mster Universitario en Tecnologa y Gestin Medioambiental: Contaminacin Atmosfrica por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313635', 'Mster Universitario en Abogaca por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313643', 'Mster Universitario en Administracin Electrnica por la Universidad de Extremadura', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313653', 'Mster Universitario en Direccin y Gestin Contable por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313659', 'Mster Universitario en Ingeniera de Automatizacin e Informtica Industrial por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313667', 'Mster Universitario en Mster en Ingeniera Biomdica por la Universidad Politcnica de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313696', 'Mster Universitario en Ingeniera Geolgica por la Universidad Politcnica de Catalunya y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313707', 'Mster Universitario en Marketing, Consultora y Comunicacin Poltica  por la Universidad de Santiago de Compostela', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313709', 'Mster Universitario en Psicogerontologa por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313718', 'Mster Universitario en Derecho de la Empresa y de los Negocios por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313722', 'Mster Universitario en Planificacin y Gestin del  Desarrollo Territorial por la Universidad de Santiago de Compostela', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313726', 'Mster Universitario en Ingeniera Industrial por la Universidad Catlica Santa Teresa de Jess de vila', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313753', 'Mster Universitario Erasmus Mundus en Gestin de Agua y Costas/Water and Coastal Management (WACOMA) por la Universidad de Cdiz; Ningbo University(China); Russian State Hydrometeorological University (RSHU)(Rusia); Universidade Santa Cecilia(Brasil', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313755', 'Mster Universitario en  Investigacin Clnica y Quirrgica por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313756', 'Mster Universitario en Abogaca por la Universidad de Zaragoza', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313761', 'Mster Universitario Erasmus Mundus en Migraciones Internacionales y Cohesin Social/Joint European Master in International Migration and Social Cohesion  por la Universidad de Deusto; LATVIJAS UNIVERSITATE(Letonia); Moldova State University(Moldavia', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313770', 'Mster Universitario en  Investigacin en CC. Sociosanitarias  por la Universidad de Len', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313779', 'Mster Universitario en Ingeniera Marina por la Universidad de Cantabria', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312664', 'Mster Universitario en Ejecutivo en Direccin de Empresas de Moda / Executive Master in Fashion Bus', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000836', 'Mster Universitario en Enfermera Oncolgica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002580', 'Mster Universitario en Escritura Multilinge. Procesos Cognitivos, Interculturales y Tecnolgicos e', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311711', 'Mster Universitario en Estrategia de Empresa', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002686', 'Mster Universitario en Estudios Americanos', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001968', 'Mster Universitario en Estudios Comparados de Literatura, Arte y Pensamiento', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310416', 'Mster Universitario en Iniciacin a la Investigacin en Matemticas', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312502', 'Mster Universitario en Innovacin y Desarrollo de Competencias en la Educacin Superior', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311639', 'Mster Universitario en Fsica y Tecnologa de Materiales', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001240', 'Mster Universitario en Fsica y Tecnologa Fsicas', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002969', 'Mster Universitario en Formacin de las Personas Adultas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310926', 'Mster Universitario en Gestin de Riesgos Tecnolgicos y Laborales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312569', 'Mster Universitario en Filosofa Poltica', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310661', 'Mster Universitario en Finanzas', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000583', 'Mster Universitario en Finanzas de Empresas', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001239', 'Mster Universitario en Finanzas y Direccin Financiera', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310265', 'Mster Universitario en Fsica Computacional y Aplicada', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310265', 'Mster Universitario en Fsica Computacional y Aplicada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001193', 'Mster Universitario en Fisica de la Visin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311363', 'Mster Universitario en Derecho de los Negocios y del Sector Privado', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310914', 'Mster Universitario en Derecho Empresarial', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002129', 'Mster Universitario en Derechos Humanos, Interculturalidad y Desarrollo', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312090', 'Mster Universitario en Desarrollo Econmico y Cooperacin Internacional', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001734', 'Mster Universitario en Desarrollo y Cooperacin Internacional', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002110', 'Mster Universitario en direccin de empresas', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311843', 'Mster Universitario en Diseo Arquitectnico', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312146', 'Mster Universitario en Dolor Orofacial y Disfuncin Craneomandibular', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002174', 'Mster Universitario en Drogodependencias', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311367', 'Mster Universitario en Economa de Empresa e Integracin Econmica Europea', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001135', 'Mster Universitario en Economa y Gestin de la Actividad Pesquera', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001518', 'Mster Universitario en Educacin, Gnero e Igualdad', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003058', 'Mster Universitario en elaboracin de diccionarios y control de la calidad del lxico espaol', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000193', 'Mster Universitario en Historia y Cultura de la Alimentacin', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311454', 'Mster Universitario en Humanidades por la Universidad Francisco de Vitoria', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311726', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001749', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000726', 'Mster Universitario en Ingeniera Mecnica, Aplicada y Computacional', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002501', 'Mster Universitario en ingeniera mecnica: diseo y fabricacin', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310359', 'Mster Universitario en Poltica Lingstica y Planificacin de la Lengua Gallega', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000826', 'Mster Universitario en Gestin Intercultural Empresarial', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310348', 'Mster Universitario en Gestin Sanitaria', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311534', 'Mster Universitario en Gestin y Restauracin del Medio Natural', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312673', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310781', 'Mster Universitario en Ingeniera Biotecnolgica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000630', 'Mster Universitario en Ingeniera de Sistemas y Servicios Accesibles para la Sociedad de la Informa', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311232', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311782', 'Mster Universitario en Prevencin de Riesgos Laborales y Salud Medioambiental', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001833', 'Mster Universitario en Fsica de la Materia Condensada y Nanotecnologa', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311587', 'Mster Universitario en Derecho de la Empresa', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001021', 'Mster Universitario en Derecho de la Empresa.', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311239', 'Mster Universitario en Derechos Fundamentales', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310946', 'Mster Universitario en Direccin de Empresas MBA', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310184', 'Mster Universitario en Direccin de Marketing y Ventas', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312800', 'Mster Universitario en Direccin Ejecutiva de Empresas (Executive MBA)', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311413', 'Mster Universitario en Direccin Estratgica de la Empresa', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310625', 'Mster Universitario en Direccin Integrada de Proyectos', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312610', 'Mster Universitario en Direccin y Gestin para la Calidad de Centros Educativos', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000905', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001904', 'Mster Universitario en Diseo Arquitectnico', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310085', 'Mster Universitario en Economa y Gestin de la Innovacin', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311158', 'Mster Universitario en Zootecnia y Gestin Sostenible: Ganadera Ecolgica e Integrada', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002829', 'Mster Universitario Erasmus Mundus en Calidad en los Laboratorios Analticos/European Joint Master ', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001394', 'Mster Universitario Europeo Erasmus Mundus en Visin por Computadora y Robtica / Erasmus Mundus-Eu', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002929', 'Mster Universitario en Ciudadana y Derechos Humanos: tica y Poltica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001225', 'Mster Universitario en assessorament lingstic i cultura literria: aplicacions al context valenci', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003039', 'Mster Universitario en Computing', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311725', 'Mster Universitario en Cooperacin al Desarrollo', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311628', 'Mster Universitario en Cuaternario: Cambios Ambientales y Huella Humana', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000125', 'Mster Universitario en Biologa de las Plantas en Condiciones Mediterrneas', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312570', 'Mster Universitario en Biomecnica Aplicada a la Valoracin del Dao', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310851', 'Mster Universitario en Biotecnologa', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001411', 'Mster Universitario en Biotecnologa en Ciencias de la Salud', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310098', 'Mster Universitario en Biotecnologa Molecular, Celular y Gentica', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000910', 'Mster Universitario en Biotecnologa y Biomedicina', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311544', 'Mster Universitario en Ciencia Cognitiva y Lenguaje', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311544', 'Mster Universitario en Ciencia Cognitiva y Lenguaje', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001995', 'Mster Universitario en Traduccin Cientfico-Tcnica', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001163', 'Mster Universitario en Traduccin e Intepretacin', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001340', 'Mster Universitario en Tributacin y en Fiscalidad Internacional', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311086', 'Mster Universitario Erasmus Mundus en Aprendizaje y Enseanza del Espaol en Contextos Multilinges', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310963', 'Mster Universitario en Arquitectura Avanzada, Paisaje, Urbanismo y Diseo', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310337', 'Mster Universitario en Artes de la Comunicacin Audiovisual', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312054', 'Mster Universitario en Artes Escnicas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311433', 'Mster Universitario en Auditora y Contabilidad Superior', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310271', 'Mster Universitario en Automtica y Robtica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000957', 'Mster Universitario en Biotica', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001025', 'Mster Universitario en Comunicacin, Seguridad y Defensa', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311512', 'Mster Universitario en Construccin y Representacin de Identidades Culturales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311509', 'Mster Universitario en Biotecnologa Molecular', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001953', 'Mster Universitario en Ciencia y Tecnologa Ambiental', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310913', 'Mster Universitario en Ciencia y Tecnologa Qumicas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311808', 'Mster Universitario en Ciencias de la Enfermera', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000567', 'Mster Universitario en Ciencias Farmacuticas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312584', 'Mster Universitario en Ciencias Odontolgicas', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310688', 'Mster Universitario en Acstica Arquitectnicay Medioambiental', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310906', 'Mster Universitario en Anlisis Econmico / Economic Analysis', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001827', 'Mster Universitario en Antropologa Fsica: Evolucin y Biodiversidad Humanas', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000347', 'Mster Universitario en Antropologa Mdica y Salud Internacional', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310842', 'Mster Universitario en Antropologa Urbana', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002928', 'Mster Universitario en Arqueologia Clsica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002718', 'Mster Universitario en Estudios Tericos y Comparados de la Literatura y de la Cultura', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310605', 'Mster Universitario en Investigacin en Contabilidad y Finanzas', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311656', 'Mster Universitario en Investigacin en Eficiencia Energtica en la Industria, el Transporte y la E', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311279', 'Mster Universitario en Investigacin en Veterinaria y Ciencia y Tecnologa de los Alimentos', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311400', 'Mster Universitario en Investigacin y Docencia en Ciencias de la Actividad Fsica y la Salud', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311968', 'Mster Universitario en Lxico y Comunicacin Lingstica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312070', 'Mster Universitario en Matemtica Avanzada y Profesional', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000745', 'Mster Universitario en Matrimonio y Familia', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312499', 'Mster Universitario en Mtodos de Investigacin en Ciencias Econmicas y Empresariales', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312556', 'Mster Universitario en Minera, Obra Civil y Medio Ambiente para la Explotacin y Gestin de los Re', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001716', 'Mster Universitario en Nanociencia / Master in Nanoscience', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001654', 'Mster Universitario en Neurociencia Cognitiva y Necesidades Educativas Especficas: Intervencin en', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311566', 'Mster Universitario en Neurociencias', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311042', 'Mster Universitario en Ordenacin Jurdica del Mercado', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311942', 'Mster Universitario en Organizacin de Empresas', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311814', 'Mster Universitario en Pedagoga Social y Comunitaria: Liderazgo de la Transformacin Socioeducativ', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002741', 'Mster Universitario en Qumica Sostenible', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001374', 'Mster Universitario en qumica terica y computacional', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001374', 'Mster Universitario en qumica terica y computacional', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001374', 'Mster Universitario en qumica terica y computacional', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312442', 'Mster Universitario en Representacin y Diseo en Ingeniera y Arquitectura', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001432', 'Mster Universitario en restauracin de ecosistemas', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310382', 'Mster Universitario en Comercio Internacional por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003025', 'Mster Universitario en Acuicultura', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002664', 'Mster Universitario en Anlisis Geogrfico en la Ordenacin del Territorio: Tecnologas de Informac', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311861', 'Mster Universitario en Anlisis Sociocultural del Conocimiento y de la Comunicacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001032', 'Mster Universitario en Anlisis y Procesamiento del Lenguaje/ Hizkuntzaren Azterketa eta Prozesamen', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312251', 'Mster Universitario en Antropologa Fsica y Forense', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311156', 'Mster Universitario en Proyectos y Gestin de Plantas Agroindustriales', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311741', 'Mster Universitario en Investigacin Clnica y Quirrgica', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002622', 'Mster Universitario en Investigacin e Innovacin en Salud, Cuidados y Calidad de Vida', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312308', 'Mster Universitario en Investigacin en Actividad Fsica y Deporte', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001268', 'Mster Universitario en Investigacin en Psicologa Clnica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312001', 'Mster Universitario en Investigacin Social Aplicada al Medio Ambiente', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002023', 'Mster Universitario en Lenguas Aplicadas', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310600', 'Mster Universitario en Lingstica y sus Aplicaciones', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312686', 'Mster Universitario en Literatura General y Comparada', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001548', 'Mster Universitario en Literatura y Lingstica Inglesa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000333', 'Mster Universitario en Medio Ambiente', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000219', 'Mster Universitario en Meteorologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310845', 'Mster Universitario en Nanociencia y Nanotecnologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000081', 'Mster Universitario en Neurociencias', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000081', 'Mster Universitario en Neurociencias', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001692', 'Mster Universitario en pensamiento filosfico contemporneo', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002897', 'Mster Universitario en Psicologia de la Educacin -MIPE', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002881', 'Mster Universitario en Psicologa de la Salud', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001623', 'Mster Universitario en qumica molecular', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311428', 'Mster Universitario en Qumica Terica y Computacional', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003071', 'Mster Universitario en Recursos Humanos', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002127', 'Mster Universitario en redes de telecomunicacin para pases en desarrollo', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310058', 'Mster Universitario en Salud Internacional', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001358', 'Mster Universitario en seguridad y salud en el trabajo: prevencin de riesgos laborales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001526', 'Mster Universitario en tcnicas estadsticas', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001305', 'Mster Universitario en Tecnologas y Sistemas de Telecomunicaciones', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310468', 'Mster Universitario en Produccin Vegetal y Ecosistemas Agroforestales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312620', 'Mster Universitario en Proteccin Integrada de Cultivos', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312396', 'Mster Universitario en Investigacin en Ingeniera Aplicada', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000105', 'Mster Universitario en Investigacin qumica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311375', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311160', 'Mster Universitario en La Monarqua Catlica: El Siglo de Oro Espaol y la Europa Barroca', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312241', 'Mster Universitario en Literatura y Lingstica Inglesa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311378', 'Mster Universitario en Medio Ambiente', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001673', 'Mster Universitario en modelizacin matemtica, estadstica y computacin', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310665', 'Mster Universitario en Multimedia y Comunicaciones por la Universidad Carlos III de Madrid y la Uni', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002719', 'Mster Universitario en Mundus Crossways in European Humanities (MM)', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000887', 'Mster Universitario en Msica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002716', 'Mster Universitario en Optometra Avanzada', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312370', 'Mster Universitario en Orientacin Educativa', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002562', 'Mster Universitario en Orientacin y Evaluacin Socioeducativa', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001116', 'Mster Universitario en Patrimonio Cultural: Investigacin y Gestin', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310826', 'Mster Universitario en Periodismo Avanzado. Reporterismo', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000952', 'Mster Universitario en Periodismo Multimedia', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002787', 'Mster Universitario en psicologa de la educacin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3004004', 'Mster Universitario en Psicologa, Educacin y Desarrollo', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312249', 'Mster Universitario en Qumica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000739', 'Mster Universitario en Qumica Sostenible', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001029', 'Mster Universitario en Relaciones Internacionales/ Master of International Relations (MIR)', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311228', 'Mster Universitario en Restauracin de Ecosistemas por la Universidad Complutense de Madrid; la Uni', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311034', 'Mster Universitario en Salud Internacional', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002861', 'Mster Universitario en Salut pblica (MSP)', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310811', 'Mster Universitario en Seguridad Industrial y Medio Ambiente', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310503', 'Mster Universitario en Sistemas de Energa Elctrica ', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001214', 'Mster Universitario en sistemas de energa trmica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000641', 'Mster Universitario en Sistemas Electrnicos', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312421', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Ingeniera Biomdica', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001747', 'Mster Universitario en tecnologas de la informacin y comunicaciones en redes mviles', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311555', 'Mster Universitario en Tipografa: Disciplina y Usos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000614', 'Mster Universitario en Urgencias, Emergencias y Crticos', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502351', 'Graduado o Graduada en Fisioterapia', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501355', 'Graduado o Graduada en Gestin Turstica', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502243', 'Graduado o Graduada en Ingeniera de los Recursos Mineros y Energticos', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500184', 'Graduado o Graduada en Ingeniera de Sistemas Audiovisuales', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500396', 'Graduado o Graduada en Ingeniera de Sonido e Imagen', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501216', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501348', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica por la Universidad Europea de ', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501657', 'Graduado o Graduada en Ingeniera en Geomtica y Topografa', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500968', 'Graduado o Graduada en Sociologa', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501239', 'Graduado o Graduada en Pedagoga', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500725', 'Graduado o Graduada en Psicologa', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500831', 'Graduado o Graduada en Relaciones Internacionales', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501353', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500187', 'Graduado o Graduada en Sociologa', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500316', 'Graduado o Graduada en Terapia Ocupacional ', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502432', 'Graduado o Graduada en Turismo', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500987', 'Graduado o Graduada en Turismo', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501847', 'Graduado o Graduada en Turismo', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501195', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502155', 'Graduado o Graduada en Ciencias Experimentales', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501343', 'Graduado o Graduada en Ciencias Polticas', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502292', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501462', 'Graduado o Graduada en Creacin y Diseo', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500359', 'Graduado o Graduada en Enfermera ', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501089', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500275', 'Graduado o Graduada en Estudios Ingleses ', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500711', 'Graduado o Graduada en Economa', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501530', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312924', 'Mster Universitario en Antropologa de Iberoamrica   ', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501485', 'Graduado o Graduada en Conservacin y Restauracin de Bienes Culturales', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500309', 'Graduado o Graduada en Enfermera ', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500639', 'Graduado o Graduada en Enfermera ', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500186', 'Graduado o Graduada en Direccin Financiera y Contabilidad', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500085', 'Graduado o Graduada en Diseo', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502173', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500452', 'Graduado o Graduada en Administracin y Direccin de Empresas ', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500071', 'Graduado o Graduada en Arquitectura', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003038', 'Mster Universitario en Science in Telecomunication Engineering and Management (MASTEAM)', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001295', 'Mster Universitario en Seguridad y Salud en el Trabajo - Prevencin de Riesgos Laborales', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312948', 'Mster Universitario en Supervisin de Entidades de Crdito', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312464', 'Mster Universitario en Tcnicas Quirrgicas Endoscpicas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00004313123', 'Mster Universitario en Psicopedagoga', 'N', 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312272', 'Mster Universitario en Biomedicina Regenerativa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311063', 'Mster Universitario en Ciencias Polticas y Sociales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001177', 'Mster Universitario en Anlisis Sanitarios', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312482', 'Mster Universitario en Arqueologa del Mediterrneo en la Antigedad Clsica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001547', 'Mster Universitario en Estudios Superiores de Lengua Espaola: Investigacin y Aplicaciones', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002844', 'Mster Universitario en Farmcia Industrial', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002175', 'Mster Universitario en Finanzas', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310215', 'Mster Universitario en Fsica de Sistemas Complejos ', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311897', 'Mster Universitario en Cuidados Integrales de Enfermera en Procesos Nefrolgicos', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000354', 'Mster Universitario en Derecho Ambiental', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730040000', 'Ingeniero Tcnico de Minas, Especialidad en Instalaciones Electromecnicas Mineras', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730100000', 'Ingeniero Tcnico de Minas, Especialidad en Mineralurgia y Metalurgia', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730100000', 'Ingeniero Tcnico de Minas, Especialidad en Mineralurgia y Metalurgia', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740000000', 'Ingeniero Tcnico Naval', 'N', 1, NULL, 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740040000', 'Ingeniero Tcnico Naval, Especialidad en Estructuras Marinas', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740050000', 'Ingeniero Tcnico Naval, Especialidad en Propulsin y Servicios del Buque', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '52', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '30', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '39', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51140000000', 'Ingeniero Tcnico Forestal, Especialidad en Explotaciones Forestales', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51140000000', 'Ingeniero Tcnico Forestal, Especialidad en Explotaciones Forestales', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51140000000', 'Ingeniero Tcnico Forestal, Especialidad en Explotaciones Forestales', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51150000000', 'Ingeniero Tcnico Forestal, Especialidad en Industrias Forestales', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('90960000000', 'Estudio Superior Extranjero (Homologado)', NULL, 0, '80', 
    NULL);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501649', 'Graduado o Graduada en Biotecnologa', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500994', 'Graduado o Graduada en Fisioterapia', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502546', 'Graduado en Odontologa', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500402', 'Graduado o Graduada en Ciencias Polticas y de la Administracin ', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502063', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501206', 'Graduado o Graduada en Ciencias Polticas y Gestin Pblica', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501665', 'Graduado o Graduada en Enfermera', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500226', 'Graduado o Graduada en Estudios Hispnicos ', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501292', 'Graduado o Graduada en Filologa Bblica Trilinge', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501235', 'Graduado o Graduada en Derecho', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500415', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500651', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad de Alcal', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502433', 'Graduado o Graduada en Arquitectura', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500049', 'Graduado o Graduada en Arquitectura', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500096', 'Graduado o Graduada en Bellas Artes', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500312', 'Graduado o Graduada en Ingeniera Qumica ', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502078', 'Graduado o Graduada en Maestro Educacin Primaria', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500603', 'Graduado en Derecho', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502028', 'Graduado o Graduada en Ingeniera Ambiental', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500800', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501602', 'Graduado o Graduada en Ingeniera de la Energa', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501327', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501644', 'Graduado o Graduada en Ingeniera en Edificacin ', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500153', 'Graduado o Graduada en Turismo por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502234', 'Graduado o Graduada en Ingeniera en Geomtica y Topografa ', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502248', 'Graduado o Graduada en Ingeniera en Qumica Industrial', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501329', 'Graduado o Graduada en Ingeniera en Sistemas de Informacin', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500566', 'Graduado o Graduada en Ingeniera Informtica  por la Universidad Europea Miguel de Cervantes', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500051', 'Graduado o Graduada en Ingeniera Informtica por la Universidad Catlica San Antonio', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500441', 'Graduado o Graduada en Medicina', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502110', 'Graduado o Graduada en ptica y Optometra', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501981', 'Graduado o Graduada en Pedagoga', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500708', 'Graduado o Graduada en Qumica', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500975', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos por la Universidad de Santiago de Com', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500446', 'Graduado o Graduada en Trabajo Social', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502390', 'Graduado o Graduada en Gestin de Negocios', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00005092000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles  ', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000169', 'Mster en Gestin de la prevencin de riesgos laborales, calidad y medio ambiente', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312597', 'Mster en Investigacin de la Comunicacin como Agente Histrico-Social', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190040000', 'Licenciado en Ciencias, Seccin de Biolgicas', 'N', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190040000', 'Licenciado en Ciencias, Seccin de Biolgicas', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190040000', 'Licenciado en Ciencias, Seccin de Biolgicas', 'N', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190040000', 'Licenciado en Ciencias, Seccin de Biolgicas', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190060000', 'Licenciado en Ciencias, Seccin de Geolgicas', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30220000000', 'Licenciado en Educacin Fsica', 'N', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '70', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240010000', 'Licenciado en Derecho (Plan Hispano-Francs)', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250010000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Ciencias de la Educacin', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250140000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Pedagoga', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30270010000', 'Licenciado en Filologa, Seccin Filologa Anglogermnica', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30270500000', 'Licenciado en Filologa Semtica', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Germnica.(Ingls).', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011500', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN FILOLOGIA INGLESA', 'N', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020604', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia Moderna.', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020608', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia General.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280021600', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia de Amrica.', 'N', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022100', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN GEOGRAFIA E HISTORIA', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022100', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN GEOGRAFIA E HISTORIA', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022100', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN GEOGRAFIA E HISTORIA', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030100', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. Educacin, Especialidad CC. de Educacin', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030400', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. de la Educacin, Especialidad Psicologa', 'N', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280250000', 'Licenciado en Filosofa y Letras, Seccin Geografa', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30290000000', 'Licenciado en Ciencias del Mar', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30330000000', 'Licenciado en Geologa', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30330000000', 'Licenciado en Geologa', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '64', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '70', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '72', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '66', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30450000000', 'Licenciado en Filologa Alemana', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30470000000', 'Licenciado en Filologa Catalana', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480010000', 'Licenciado en Filologa Clsica.(Filologa Griega).', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30490000000', 'Licenciado en Filologa Eslava', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30550000000', 'Licenciado en Filologa Italiana', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30570000000', 'Licenciado en Filologa Romnica', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30570000000', 'Licenciado en Filologa Romnica', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30570000000', 'Licenciado en Filologa Romnica', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30590000000', 'Licenciado en Teora de la Literatura y Literatura Comparada', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30590000000', 'Licenciado en Teora de la Literatura y Literatura Comparada', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30590000000', 'Licenciado en Teora de la Literatura y Literatura Comparada', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30590000000', 'Licenciado en Teora de la Literatura y Literatura Comparada', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '66', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30670000000', 'Licenciado en Mquinas Navales', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '62', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30700000000', 'Licenciado en Lingstica', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30710000000', 'Licenciado en Nutica y Transporte Martimo', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '72', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30790000000', 'Licenciado en Ciencias y Tcnicas Estadsticas', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30790000000', 'Licenciado en Ciencias y Tcnicas Estadsticas', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30790000000', 'Licenciado en Ciencias y Tcnicas Estadsticas', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30800000000', 'Licenciado en Historia y Ciencias de la Msica', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30800000000', 'Licenciado en Historia y Ciencias de la Msica', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30810000000', 'Licenciado en Enologa', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30810000000', 'Licenciado en Enologa', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '62', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30830000000', 'Licenciado en Biotecnologa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30840000000', 'Licenciado en Estudios de Asia Oriental', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020030000', 'Diplomado en Informtica.Gestin.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '66', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '28', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110400000', 'Diplomado en Ciencias Empresariales.Poltica Comercial.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '30', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40240000000', 'Diplomado en Navegacin Martima', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40240000000', 'Diplomado en Navegacin Martima', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40240000000', 'Diplomado en Navegacin Martima', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '67', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '65', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310595', 'Investigacin Biomdica', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310943', 'Mster en investigacin en ingeniera termodinmica de fluidos', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310995', 'Desarrpllo Agroforestal', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310999', 'Mster en investigacin en ingeniera en procesos y sistemas', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311291', 'Geotecnologas Cartogrficas en Ingeniera y Arquitectura', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311295', 'Estudios Ingleses Avanzados: Lenguas y Culturas en Contacto', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010010000', 'Arquitecto.Edificacin.', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '69', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10040000000', 'Ingeniero de Caminos, Canales y Puertos', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10050000000', 'Ingeniero de Minas', 'S', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '35', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090150000', 'Ingeniero Industrial.Electricidad.Intensificacin Automtica y Electrnica.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10170000000', 'Ingeniero Naval y Ocenico', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501686', 'Graduado en Filosofa', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501689', 'Graduado en ptica y Optometra', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502314', 'Graduado en Ingenieria de las Industrias Agrarias y Alimentarias', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502315', 'Graduado en Ingenieria Elctrica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502321', 'Graduado en Ingenieria en Informtica de Sistemas', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502323', 'Graduado en Ingeniera Qumica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000167', 'Mster en Msica hispana', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000183', 'Mster en Inmunologa y superficie ocular', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001020', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001020', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002530', 'Mster Oficial en Geotecnologias Cartograficas en Ingenieria y Arquitectura', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30040000000', 'Licenciado en Ciencias Polticas y Sociologa', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30040010000', 'Licenciado en Ciencias Polticas y Sociologa, Seccin Ciencias Polticas', 'N', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060000000', 'Licenciado en Ciencias Econmicas y Empresariales', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020200', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Financiacin', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060021600', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Mtodos Cuantitativos', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30110000000', 'Licenciado en Ciencias Polticas, Econmicas y Comerciales', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130010000', 'Licenciado en Ciencias de la Informacin, Seccin Periodismo', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130020000', 'Licenciado en Ciencias de la Informacin, Seccin Publicidad y Relaciones Pblicas', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130030000', 'Licenciado en Ciencias de la Informacin, Seccin Ciencias de la Imagen Visual y Auditiva', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30140000000', 'Licenciado en Ciencias Biolgicas', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30150000000', 'Licenciado en Ciencias Fsicas', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30160000000', 'Licenciado en Ciencias Geolgicas', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190000000', 'Licenciado en Ciencias', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010200', 'Licenciado en Ciencias.(Fsicas).Electrnica', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020200', 'Licenciado en Ciencias.(Qumicas).Qumica Tcnica', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020400', 'Licenciado en Ciencias.(Qumicas).Qumica Inorgnica', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502011', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502464', 'Graduado en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500911', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501001', 'Graduado o Graduada en Fisioterapia', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500920', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501474', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500977', 'Graduado o Graduada en Informacin y Documentacin por la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502139', 'Graduado o Graduada en Ingeniera Agroambiental', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500430', 'Graduado o Graduada en Ingeniera de los Materiales', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502405', 'Graduado o Graduada en Ingeniera de Obras Pblicas', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501212', 'Graduado o Graduada en Ingeniera de Sistemas Audiovisuales', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501875', 'Graduado o Graduada en Ingeniera de Telecomunicacin', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501040', 'Graduado o Graduada en Ingeniera en Electrnica Industrial y Automtica', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501943', 'Graduado o Graduada en Ingeniera Forestal y del Medio Natural por la Universidad de Len', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501733', 'Graduado o Graduada en Ingeniera de Obras Pblicas en Construcciones Civiles', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502495', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '76', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500416', 'Graduado o Graduada en Educacin Primaria ', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500628', 'Graduado o Graduada en Educacin Social', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501229', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501670', 'Graduado o Graduada en Artes Visuales y Danza', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500952', 'Graduado o Graduada en Biologa', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500423', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500303', 'Graduado o Graduada en Logopedia', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500912', 'Graduado o Graduada en Maestro en Educacin Primaria', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502344', 'Graduado o Graduada en Finanzas y Contabilidad por la Universidad Jaume I de Castelln', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500334', 'Graduado o Graduada en Fsica', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500931', 'Graduado o Graduada en Fisioterapia por la Universidad de las Illes Balears', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500003', 'Graduado o Graduada en Gestin Cultural', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501097', 'Graduado o Graduada en Historia', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312096', 'Mster Universitario en Gestin Hotelera', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311311', 'Mster Universitario en Gestin Pblica', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312106', 'Mster Universitario en Gestin y Direccin de Empresas e Instituciones Tursticas', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002831', 'Mster Universitario en Gestin y Restauracin del Medio Natural', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001028', 'Mster Universitario en Gestin/ Master in Management (MIM)', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001581', 'Mster Universitario en Historia Contempornea', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002905', 'Mster Universitario en Historia de la Ciencia: Ciencia, Historia y Sociedad', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001355', 'Mster Universitario en Industria Farmacutica y Biotecnologa', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000253', 'Mster Universitario en Informtica Avanzada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311138', 'Mster Universitario en Informtica Industrial', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311571', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000394', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310962', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311074', 'Mster Universitario en Ingeniera del Agua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311418', 'Mster Universitario en Ingeniera Qumica y de Procesos (MEQIP)', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311164', 'Mster Universitario en Polticas Territoriales de Empleo', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311561', 'Mster Universitario en Primatologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310583', 'Mster Universitario en Profesor/a de Educacin Secundaria', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312415', 'Mster Universitario en Investigacin en Ciencias Jurdicas', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311888', 'Mster Universitario en Investigacin en Ciencias Sociosanitarias', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311455', 'Mster Universitario en Investigacin en Educacin Fsica y Salud', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311854', 'Mster Universitario en Investigacin en Lengua Espaola', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001613', 'Mster Universitario en literatura comparada europea', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312408', 'Mster Universitario en Matemtica Avanzada e Ingeniera Matemtica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310438', 'Mster Universitario en Matemtica Avanzada: Aplicaciones y Educacin', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310447', 'Mster Universitario en Mtodos Numricos en Ingeniera', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001821', 'Mster Universitario en Microbiologa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310935', 'Mster Universitario en Neurociencias', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310901', 'Mster Universitario en Psicologa de las Organizaciones y del Trabajo', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312199', 'Mster en Historia Medieval de Castilla y Len', 'N', 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312203', 'Mster en Investigacin en Contabilidad y Gestin Financiera', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50110000000', 'Ingeniero Tcnico en Explotaciones Forestales.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50110000000', 'Ingeniero Tcnico en Explotaciones Forestales.', 'N', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50110000000', 'Ingeniero Tcnico en Explotaciones Forestales.', 'N', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '47', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '52', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '68', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '39', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50610050000', 'Ingeniero Tcnico Industrial, Especialidad Textil', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630010000', 'Ingeniero Tcnico de Telecomunicacin.Equipos Electrnicos.', 'N', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '66', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50700090000', 'Ingeniero Tcnico Aeronutico, Especialidad en Aeronavegacin', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501286', 'Graduado o Graduada en Tecnologas de Telecomunicacin', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501316', 'Graduado o Graduada en Trabajo Social', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002799', 'Mster Universitario en Artroscopia', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311739', 'Mster Universitario en Asesora Fiscal', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002084', 'Mster Universitario en Avances en Seguridad de los Alimentos', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002033', 'Mster Universitario en Comunicacin en Nutricin y Salud', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312641', 'Mster Universitario en Comunicacin y Estudios Culturales', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312253', 'Mster Universitario en Condicionantes Genticos, Nutricionales y Ambientales del Crecimiento y Desa', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001691', 'Mster Universitario en contabilidad, auditora y control de gestin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002810', 'Mster Universitario en Contenidos y Formatos Audiovisuales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000149', 'Mster Universitario en Cosmologa y Fsica de Partculas', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311284', 'Mster Universitario en Cosmologa y Fsica de Partculas', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311241', 'Mster Universitario en Elaboracin de Diccionarios y Control de Calidad del Lxico Espaol', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001722', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles (TICRM)', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310629', 'Mster Universitario en Tecnologas de la Informacin y las Comunicaciones', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312433', 'Mster Universitario en Telemedicina', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002927', 'Mster Universitario en Tipografia: Disciplina y Usos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310460', 'Mster Universitario en Turismo, Arqueologa y Naturaleza', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311350', 'Mster Universitario Erasmus Mundus en Estudios Ambientales /  Erasmus Mundus in Environmental Studi', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311387', 'Mster Universitario Forestal Europeo / European Forestry', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002743', 'Mster Universitario Internacional Erasmus Mundus en Materiales y Sistemas Sensores para Tecnologas', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310664', 'Mster Universitario en Atencin Farmacutica', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311620', 'Mster Universitario en Banca y Finanzas Cuantitativas', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311061', 'Mster Universitario en Bioinformtica para las Ciencias de la Salud', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311221', 'Mster Universitario en Comunicacin Intercultural, Interpretacin y Traduccin en los Servicios Pb', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311435', 'Mster Universitario en Comunicacin Social y Accesibilidad', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310472', 'Mster Universitario en Ingeniera Informtica y Telecomunicacin', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000131', 'Mster Universitario en Ingeniera Qumica "Produccin y Consumo Sostenible"', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002756', 'Mster Universitario en Postproduccin Digital', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001775', 'Mster Universitario en Prevencin y Gestin de Riesgos en la Comunidad', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000020', 'Mster Universitario en Produccin, Proteccin y Mejora Vegetal', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002944', 'Mster Universitario en Investigacin en Filosofa y Estudios Humansticos', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002692', 'Mster Universitario en Investigacin en Salud Mental', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002617', 'Mster Universitario en Lingstica Aplicada a la Enseanza del Espaol como Lengua Extranjera', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003053', 'Mster Universitario en lingstica inglesa aplicada', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000852', 'Mster Universitario en Marketing e Investigacin de Mercados', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003016', 'Mster Universitario en Matemtica Aplicada', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001665', 'Mster Universitario en patrimonio histrico y territorial', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310038', 'Mster Universitario en Psicologa de la Cognicin y de la Comunicacin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001218', 'Mster Universitario en Abogaca', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001157', 'Mster Universitario en Acuicultura y Pesca', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002989', 'Mster Universitario en Advanced Materials Science and Engineering (AMASE)', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003051', 'Mster Universitario en Anlisis gramatical y estilstico del espaol', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311820', 'Mster Universitario en Antropologa Fsica: Evolucin y Biodiversidad Humanas', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002859', 'Mster Universitario en Arqueologia Clsica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002935', 'Mster Universitario en Estudios Teatrales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001778', 'Mster Universitario en Filosofa Contempornea: Tendencias y Debates', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001738', 'Mster Universitario en Filosofa en un Mundo Global', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000648', 'Mster Universitario en Finanzas', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310713', 'Mster Universitario en Fsica', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310677', 'Mster Universitario en Derecho del Comercio Transnacional y Finanzas / Transnational Trade Law and ', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312143', 'Mster Universitario en Derecho Penal', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310177', 'Mster Universitario en Direccin Estratgica de Empresas Familiares', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311437', 'Mster Universitario en Direccin Turstica Internacional', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001868', 'Mster Universitario en Direccin y Gestin de Proyectos', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311522', 'Mster Universitario en Ecologa Fundamental y Aplicada', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002645', 'Mster Universitario en Economa del Sector Pblico', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311118', 'Mster Universitario en Economa y Finanzas', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311848', 'Mster Universitario en Enfermera en Urgencias y Cuidados Crticos Intrahospitalarios', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312078', 'Mster Universitario en Envejecimiento', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312483', 'Mster Universitario en Estudios Avanzados en Historia del Arte Espaol', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312484', 'Mster Universitario en Estudios Feministas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002648', 'Mster Universitario en Estudios Ingleses y Comunicacin Multilinge e Intercultural', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000714', 'Mster Universitario en Ingeniera y toxicologa medioambiental', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311092', 'Mster Universitario en Fsica y Tecnologas Fsicas', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001266', 'Mster Universitario en Investigacin en Psicologa Social', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002614', 'Mster Universitario en Investigacin y Docencia en Ciencias de la Actividad Fsica y la Salud', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000209', 'Mster Universitario en Investigacin, Desarrollo y Control de Medicamentos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312026', 'Mster Universitario en Lectura y Comprensin de Textos', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310008', 'Mster Universitario en Lengua y Usos Profesionales ', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000213', 'Mster Universitario en Lgica Pura y Aplicada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000226', 'Mster Universitario en Matemtica Avanzada y Profesional', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002517', 'Mster Universitario en Matemticas', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311554', 'Mster Universitario en Medicina Respiratoria', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311554', 'Mster Universitario en Medicina Respiratoria', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310175', 'Mster Universitario en Metodologa de Investigacin en Biologa Fundamental y Biomedicina', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003083', 'Mster Universitario en Migraciones Internacionales Contemporneas', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002959', 'Mster Universitario en Nutricin y Metabolismo', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001517', 'Mster Universitario en Olivicultura y Elaioctecnia', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000113', 'Mster Universitario en Orientacin profesional', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312619', 'Mster Universitario en Patrimonio Cultural y Desarrollo Local', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310950', 'Mster Universitario en Patrimonio Histrico y Territorial', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312873', 'Mster Universitario en Qumica Agrcola y Nuevos Alimentos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311080', 'Mster Universitario en Qumica Ambiental y Fundamental', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001715', 'Mster Universitario en qumica aplicada y materiales polimricos', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000143', 'Mster Universitario en Riesgos Naturales', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000381', 'Mster Universitario en Sociedad de la Informacin y el Conocimiento', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001144', 'Mster Universitario en Formacin de Profesorado del Cataln para Personas Adultas', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002141', 'Mster Universitario en Formulacin y Tecnologa del Producto. Aplicaciones en la Industria Qumica,', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311125', 'Mster Universitario en Gnero e Igualdad por la Universidad Pablo de Olavide', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311640', 'Mster Universitario en Gestin de la Innovacin y el Conocimiento', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312671', 'Mster Universitario en Gestin del Territorio y Medio Ambiente', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000027', 'Mster Universitario en Hidrulica Ambiental', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001302', 'Mster Universitario en Ingeniera Aeroespacial', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002502', 'Mster Universitario en Ingenieria Ambiental', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310497', 'Mster Universitario en Ingeniera de Costas y Puertos', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310783', 'Mster Universitario en Ingeniera de los Recursos Naturales', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311444', 'Mster Universitario en Ingeniera de Sistemas de Informacin', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312012', 'Mster Universitario en Ingeniera de Sistemas y Servicios para la Sociedad de la Informacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002169', 'Mster Universitario en ingeniera lingstica', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001352', 'Mster Universitario en prevencin de riesgos laborales', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000230', 'Mster Universitario en Primatologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310483', 'Mster Universitario en Profesorado de Educacin Secundaria y Enseanzas Artsticas, de Idiomas y De', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312986', 'Mster Universitario en Investigacin de Empresas en una Economa Globalizada', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311576', 'Mster Universitario en Investigacin en Ciencias Clnicas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001696', 'Mster Universitario en investigacin en didctica de las ciencias experimentales', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002934', 'Mster Universitario en Investigacin en Enfermedades Hepticas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310218', 'Mster Universitario en Investigacin en Ingeniera Elctrica, Electrnica y Control Industrial', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002630', 'Mster Universitario en Qumica Aplicada con Intensificaciones en: Gestin de Calidad en los Laborat', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001816', 'Mster Universitario en Qumica Orgnica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312470', 'Mster Universitario en Seguridad, Salud en el Trabajo y Prevencin de Riesgos Laborales por la Univ', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002500', 'Mster Universitario en sistemas electrnicos avanzados', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310467', 'Mster Universitario en Tecnologa de la Informacin y las Comunicaciones', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311424', 'Mster Universitario en Traduccin y Estudios Interculturales / Translation and Intercultural Studie', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311168', 'Mster Universitario en Turismo: Direccin de Empresas Tursticas', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001324', 'Mster Universitario en Asesora Fiscal', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311057', 'Mster Universitario en Banca y Finanzas', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002612', 'Mster Universitario en Bioinformtica', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000108', 'Mster Universitario en Comunicacin y Periodismo', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312366', 'Mster Universitario en Conservacin, Gestin y Restauracin de la Biodiversidad', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001990', 'Mster Universitario en Cooperacin al Desarrollo', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002644', 'Mster Universitario en Cooperacin Internacional y Polticas de Desarrollo', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002578', 'Mster Universitario en Criminalidad e Intervencin Social en Menores', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311058', 'Mster Universitario en Biologa Molecular, Celular y Gentica', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000332', 'Mster Universitario en Ciencia y Tecnologa del Agua', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311199', 'Mster Universitario en Ciencias de la Enfermera  ', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311535', 'Mster Universitario en Estudios Latinoamericanos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002983', 'Mster Universitario en Estudios Latinoamericanos', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000159', 'Mster Universitario en Estudios Latinoamericanos', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001445', 'Mster Universitario en Experimentacin en Biotecnologa', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311181', 'Mster Universitario en Derechos y Libertades Fundamentales', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310465', 'Mster Universitario en Desarrollo, Instituciones e Integracin Econmica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001448', 'Mster Universitario en direccin de empresas - MBA', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312130', 'Mster Universitario en Direccin Internacional Contable y Financiera', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001384', 'Mster Universitario en Ecologa Fundamental y Aplicada', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002866', 'Mster Universitario en Ecologa Terrestre y Gestin de la Biodiversidad', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001855', 'Mster Universitario en Economa y Gestin de la Innovacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001864', 'Mster Universitario en Edificacin', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002667', 'Mster Universitario en Enseanza Bilinge', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310151', 'Mster Universitario en Enseanza y Adquisicin de la Lengua Inglesa en Contextos Multilinges', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311536', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311278', 'Mster Universitario en Innovacin en Ciencias Biomdicas y de la Salud', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310923', 'Mster Universitario en Formacin de las Personas Adultas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310923', 'Mster Universitario en Formacin de las Personas Adultas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310699', 'Mster Universitario en Valoracin del Dao Corporal, Dao Cerebral y Discapacidades', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312035', 'Mster Universitario en Arqueologa Profesional y Gestin Integral del Patrimonio', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000041', 'Mster Universitario en Arqueologa y Territorio', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000953', 'Mster Universitario en Atencin Farmacutica', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312007', 'Mster Universitario en Computacin Avanzada para Ciencias e Ingenieras', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312697', 'Mster Universitario en Consultora Econmica y Anlisis Aplicado', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311104', 'Mster Universitario en Creacin y Direccin de Empresas', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002725', 'Mster Universitario en Creacin, Direccin e Innovacin en la Empresa', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312689', 'Mster Universitario en Biologa Evolutiva', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312516', 'Mster Universitario en Biologa Molecular y Biomedicina', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311902', 'Mster Universitario en Biotecnologa Ambiental, Industrial y Alimentaria', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312029', 'Mster Universitario en Ciencias del Mar: Oceanografa y Gestin del Medio Marino', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000319', 'Mster Universitario en Ciencias Polticas y Sociales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310508', 'Mster Universitario en Administracin y Direccin de Empresas / Mster in Business Administration ', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312053', 'Mster Universitario en Antropologa, Cultura, Migracin y Salud', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310243', 'Mster Universitario en Estudios Internacionales', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311340', 'Mster Universitario en Estudios Teatrales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310907', 'Mster Universitario en Biblioteca Escolar y Promocin de la Lectura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001257', 'Mster Universitario en Computacin de Altas Prestaciones', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001731', 'Mster Universitario en Comunicacin en Euskera y Lenguas Minorizadas/ Euskarazko komunikazioa eta H', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002034', 'Mster Universitario en Comunicacin en Moda, Belleza e Interiorismo', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310514', 'Mster Universitario en Comunicacin y Periodismo Deportivo', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310047', 'Mster Universitario en Creacin Artstica: Realismos y Entornos ', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310384', 'Mster Universitario en Creacin, Direccin e Innovacin en la Empresa', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312439', 'Mster Universitario en Biotecnologa Avanzada', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002883', 'Mster Universitario en Ciencia Cognitiva y Lenguaje', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001256', 'Mster Universitario en Ciencia e Ingeniera Computacional', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311197', 'Mster Universitario en Ciencias de la Antigedad', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312481', 'Mster Universitario en Ciencias de la Seguridad y Criminologa', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311220', 'Mster Universitario en Ciencias Policiales', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002022', 'Mster Universitario en Agentes de Igualdad de Oportunidades para las Mujeres: mbito Rural', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312611', 'Mster Universitario en Anlisis de las Relaciones Econmicas Internacionales', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002508', 'Mster Universitario en Filosofa, Ciencia y Valores', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310392', 'Mster Universitario en Finanzas ', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311823', 'Mster Universitario en Fsica de la Materia Condensada y Nanotecnologa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310847', 'Mster Universitario en Derecho Ambiental', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001513', 'Mster Universitario en Derecho Autonmico y Local', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312395', 'Mster Universitario en Derecho de las Nuevas Tecnologas', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001794', 'Mster Universitario en Derecho Empresarial', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312154', 'Mster Universitario en Derecho Internacional de los Negocios', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310916', 'Mster Universitario en Derecho y Polticas de la Integracin Europea: Derecho Constitucional Europe', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002809', 'Mster Universitario en Desarrollo Rural', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311754', 'Mster Universitario en Direccin de Empresas', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002559', 'Mster Universitario en Direccin de Recursos Humanos', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001642', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000545', 'Mster Universitario en Economa de la Empresa y Mtodos Cuantitativos', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001810', 'Mster Universitario en Economa y Gestin de la Innovacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310029', 'Mster Universitario en Publicidad y Relaciones Pblicas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311557', 'Mster Universitario en Qumica Avanzada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000393', 'Mster Universitario en Qumica Avanzada', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311135', 'Mster Universitario en Qumica Avanzada Aplicada', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001634', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310691', 'Mster Universitario en Seguridad de las Tecnologas de la Informacin y las Comunicaciones', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310804', 'Mster Universitario en Ingeniera Estructural y de la Construccin', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002985', 'Mster Universitario en Ingeniera Estructural y de la Construccin', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003009', 'Mster Universitario en Ingeniera Telemtica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310072', 'Mster Universitario en Ingeniera Trmica y de Fluidos', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310283', 'Mster Universitario en Ingeniera Textil', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001708', 'Mster Universitario en planificacin y gestin de procesos empresariales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003020', 'Mster Universitario en Polmeros y Biopolmeros', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311601', 'Mster Universitario en Prctica Jurdica', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002967', 'Mster Universitario en Psicogerontologa', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002967', 'Mster Universitario en Psicogerontologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311851', 'Mster Universitario en Biologa Evolutiva ', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000831', 'Mster Universitario en Biologa Molecular, Celular y Gentica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310909', 'Mster Universitario en Biologa y Biotecnologa Vegetal', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002862', 'Mster Universitario en Ciencia Cognitiva y Lenguaje', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311091', 'Mster Universitario en Ciencia de Materiales', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310446', 'Mster Universitario en Ciencias e Ingeniera de Materiales', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311994', 'Mster Universitario en Ciencias Sociales e Intervencin Social', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311300', 'Mster Universitario en Adquisicin del Ingls y Comunicacin Intercultural', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310045', 'Mster Universitario en Agrobiologa Ambiental ', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000223', 'Mster Universitario en Gestin del Patrimonio Cultural', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312180', 'Mster Universitario en Gestin y Desarrollo de Recursos Humanos', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310954', 'Mster Universitario en Gestin y Promocin del Desarrollo Local', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001629', 'Mster Universitario en Gestin y Sanidad de la Fauna Silvestre', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001805', 'Mster Universitario en Historia y Ciencias de la Antigedad', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310073', 'Mster Universitario en Ingeniera de Organizacin y Logstica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311648', 'Mster Universitario en Ingeniera de Procesos Qumicos y Desarrollo Sostenible', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311802', 'Mster Universitario en Ingeniera de Redes y Telecomunicaciones', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312921', 'Mster Universitario en Ingeniera Informtica', NULL, 0, '32', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310784', 'Mster Universitario en Ingeniera Textil, Papelera y Grfica', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310784', 'Mster Universitario en Ingeniera Textil, Papelera y Grfica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311597', 'Mster Universitario en Polticas Pblicas y Desarrollo Territorial, Gobernabilidad y Procesos de In', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001520', 'Mster Universitario en prevencin en riesgos laborales y salud medioambiental', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310287', 'Mster Universitario en Produccin Animal', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311172', 'Mster Universitario en Investigacin e Innovacin en Salud, Cuidados y Calidad de Vida', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001770', 'Mster Universitario en Investigacin en Didctica de la Lengua y la Literatura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001726', 'Mster Universitario en Investigacin en Ingeniera Ambiental', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003075', 'Mster Universitario en Investigacin en Psicologa', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000423', 'Mster Universitario en Lenguajes y Sistemas Informticos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001979', 'Mster Universitario en marketing e investigacin de mercado', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002913', 'Mster Universitario en Marketing e Investigacin de Mercados', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002913', 'Mster Universitario en Marketing e Investigacin de Mercados', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310686', 'Mster Universitario en Marketing y Comunicacin', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312246', 'Mster Universitario en Matemticas', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311610', 'Mster Universitario en Mejora Gentica Animal y Biotecnologa de la Reproduccin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002800', 'Mster Universitario en Mejora Gentica Vegetal', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001528', 'Mster Universitario en Biomedicina Regenerativa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310911', 'Mster Universitario en Biotecnologa Avanzada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000693', 'Mster Universitario en Biotecnologa de la Reproduccin Porcina', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311487', 'Mster Universitario en Biotecnologa de la Salud', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002532', 'Mster Universitario en Ciencia Poltica', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000123', 'Mster Universitario en Ciencia y Tecnologa Qumica', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311414', 'Mster Universitario en Ciencias de la Enfermera', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000723', 'Mster Universitario en Ciencias de la Salud: Especialidad Iniciacin a la Investigacin en Ciencias', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310683', 'Mster Universitario en Comercio y Relaciones Econmicas Internacionales', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310367', 'Mster Universitario en Abogaca', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311538', 'Mster Universitario en Acuicultura', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002823', 'Mster Universitario en Acuicultura', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310880', 'Mster Universitario en Agroalimentacin', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311907', 'Mster Universitario en Agrobiotecnologa', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310548', 'Mster Universitario en Anlisis Qumico, Bioqumico y Estructural', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311011', 'Mster Universitario en Estudios Medievales de la Corona de Aragn', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311308', 'Mster Universitario en Estudios Territoriales y de la Poblacin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001036', 'Mster Universitario en European Master in Nuclear Fusion Science and Engineering Physics', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311636', 'Mster Universitario en Filosofa, Ciencia y Valores', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311019', 'Mster Universitario en Fiscalidad Internacional y Comunitaria', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312455', 'Mster Universitario en Derecho por la Universidad de Alcal', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002783', 'Mster Universitario en Direccin de Empresa Familiar', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312234', 'Mster Universitario en Direccin y Gestin de Cooperativas y Empresas de Economa Social', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001535', 'Mster Universitario en Diseos y Aplicaciones en Psicologa y Salud', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002902', 'Mster Universitario en Economa de la Empresa. Integracin Econmica Europea y Direccin de Empresa', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311305', 'Mster Universitario en Educacin Intercultural', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001803', 'Mster Universitario en El Francs en el mbito Profesional: de los Conocimientos Tericos a las Com', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311464', 'Mster Universitario en Mujeres y Salud', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001989', 'Mster Universitario en psicologa, salud y neuropsicologa', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001886', 'Mster Universitario en Qumica Inorgnica Molecular', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001627', 'Mster Universitario en qumica terica y modelizacin computacional', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312706', 'Mster Universitario en Seguridad Integral en la Industria y Prevencin de Riesgos Laborales', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310159', 'Mster Universitario en Sistemas Inteligentes', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002613', 'Mster Universitario en Tecnologa de los Sistemas de Energa Solar Fotovoltica', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002613', 'Mster Universitario en Tecnologa de los Sistemas de Energa Solar Fotovoltica', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000388', 'Mster Universitario en Theoretical Chemistry and Computational Modelling', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311218', 'Mster Universitario en Arqueologa y Gestin del Patrimonio en el Interior Peninsular (AGEGIPE) por', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000496', 'Mster Universitario en Arqueometra', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311050', 'Mster Universitario en Asesoramiento Jurdico Empresarial', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001557', 'Mster Universitario en Atencin Farmacutica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310663', 'Mster Universitario en Atencin Fisioterpica en la Actividad Fsica y el Deporte', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001235', 'Mster Universitario en Biodiversidad, Funcionamiento y Gestin de Ecosistemas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312668', 'Mster Universitario en Consultora, Anlisis y Pensamiento Poltico', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311356', 'Mster Universitario en Contabilidad, Auditora y sus Efectos en los Mercados de Capitales', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000466', 'Mster Universitario en Creacin y Direccin de Empresas', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312301', 'Mster Universitario en Criminalidad e Intervencin Social en Menores', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312943', 'Master Universitario en tica para la Construccin Social', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001041', 'Mster Universitario en European Master in Congress Management/Mster Europeo en Organizacin de Con', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311529', 'Mster Universitario en Farmacia Asistencial y Atencin Farmacutica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310052', 'Mster Universitario en Filosofa Analtica ', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310052', 'Mster Universitario en Filosofa Analtica ', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001545', 'Mster Universitario en Filosofa Contempornea', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002684', 'Mster Universitario en Fsica Mdica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312167', 'Mster Universitario en Fsica Mdica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312655', 'Mster Universitario en Derecho y Medio Ambiente', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001556', 'Mster Universitario en Desarrollo de Medicamentos', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312350', 'Mster Universitario en Direccin de Empresas del Entretenimiento MBA', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312299', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311365', 'Mster Universitario en Direccin y Planificacin del Turismo / European Master in Tourism Managemen', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310821', 'Mster Universitario en Diseo y Comunicacin', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312471', 'Mster Universitario en Eficiencia Energtica y Arquitectura Bioclimtica', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310390', 'Mster Universitario en Energa y Sostenibilidad por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002131', 'Mster Universitario en Enseanza de Espaol como Lengua Extranjera', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312131', 'Mster Universitario en Entidades Sin nimo de Lucro', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311285', 'Mster Universitario en Estudios de la Unin Europea', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311141', 'Mster Universitario en Estudios Hispnicos', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310405', 'Mster Universitario en Estudios Hispnicos: Lengua y Literatura', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001253', 'Mster Universitario en Innovacin y Calidad Televisivas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001687', 'Mster Universitario en Fisiologa', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001962', 'Mster Universitario en Fotnica y Tecnologas del Lser', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001962', 'Mster Universitario en Fotnica y Tecnologas del Lser', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311540', 'Mster Universitario en Geologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001825', 'Mster Universitario en Desarrollo Econmico y Polticas Pblicas', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312222', 'Mster Universitario en Desarrollo y Crecimiento Econmico', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001602', 'Mster Universitario en direccin de empresas (MBA)', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311997', 'Mster Universitario en Direccin de Negocios Internacionales', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311083', 'Mster Universitario en Direccin de Proyectos de Ocio, Cultura, Turismo, Deporte y Recreacin', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001382', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310152', 'Mster Universitario en Estudios Contemporneos e Investigacin Avanzada', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002504', 'Mster Universitario en Estudios Feministas y de Gnero', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310672', 'Mster Universitario en Ingls para la Cualificacin Profesional', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502286', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502399', 'Graduado o Graduada en Matemticas e Informtica', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502165', 'Graduado o Graduada en Odontologa', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000793', 'Mster Universitario en Intervencin y Mediacin Familiar', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311768', 'Mster Universitario en Investigacin Agraria y Forestal', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310433', 'Mster Universitario en Geofsica y Meteorologa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501759', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501450', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502376', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500271', 'Graduado o Graduada en Turismo', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501303', 'Graduado o Graduada en Turismo', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500479', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501678', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501251', 'Graduado o Graduada en Criminologa  y Direccin de Seguridad', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502073', 'Graduado o Graduada en Criminologa y Seguridad', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501512', 'Graduado o Graduada en Estudios Franceses', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500767', 'Graduado o Graduada en Farmacia', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501000', 'Graduado o Graduada en Farmacia', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501186', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501187', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501248', 'Graduado o Graduada en Derecho', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501122', 'Graduado o Graduada en Direccin y Gestin Pblica', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501969', 'Graduado o Graduada en Economa', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501721', 'Graduado o Graduada en Economa ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002852', 'Mster Universitario en Envelliment  actiu i Satisfactori: Bases per a la Prevenci i Atenci Integr', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001182', 'Mster Universitario en Estudios Avanzados de Museos y de Patrimonio Histricoartstico', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311972', 'Mster Universitario en Estudios Avanzados de Museos y de Patrimonio Histrico-Artstico', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311131', 'Mster Universitario en Estudios de Gnero: Mujeres, Cultura y Sociedad', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001756', 'Mster Universitario en iniciacin a la investigacin en ciencias agrarias y del medio natural', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312438', 'Mster Universitario en Interpretacin de Conferencias', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310727', 'Mster Universitario en Fsica: Estructura de la Materia', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310733', 'Mster Universitario en Fisioterapia en el Abordaje Neurolgico del Nio y del Adulto', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311006', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001525', 'Mster Universitario en Fotnica y Tecnologas del Lser', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311441', 'Mster Universitario en Gnero y Salud', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000746', 'Mster Universitario en Gestin de Empresas de Comunicacin', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002505', 'Mster Universitario en Gestin de los Recursos Humanos y del Empleo', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002185', 'Mster Universitario en Gestin de Sistemas de Calidad, Medio Ambiente y Prevencin de Riesgos Labor', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311533', 'Mster Universitario en Gestin Pblica Avanzada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001954', 'Mster Universitario en Gestin y Direccin Laboral', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310282', 'Mster Universitario en Ingeniera Acstica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310651', 'Mster Universitario en Ingeniera Acstica: Contaminacin Acstica', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310315', 'Mster Universitario en Ingeniera de Procesos Qumicos y Ambientales', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001748', 'Mster Universitario en Ingeniera de Sistemas e Informtica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311649', 'Mster Universitario en Ingeniera de Sistemas Empotrados', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312663', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310307', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310341', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311161', 'Mster Universitario en Profesorado de Enseanza Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311664', 'Mster Universitario en Psicodidctica: Psicologa de la Educacin y Didcticas Especficas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002120', 'Mster Universitario en investigacin de mercados', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312327', 'Mster Universitario en Investigacin en Didctica de las Ciencias Sociales, la Geografa, la Histor', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311775', 'Mster Universitario en Investigacin en Psicologa Clnica y Psicobiologa', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001507', 'Mster Universitario en Investigacin en Sociologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310862', 'Mster Universitario en Investigacin y Uso Racional del Medicamento', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312212', 'Mster Universitario en Lingstica Aplicada al Ingls', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000696', 'Mster Universitario en Matemtica avanzada', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310638', 'Mster Universitario en Matemticas y Aplicaciones', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000710', 'Mster Universitario en Mercados financieros', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311420', 'Mster Universitario en Migraciones y Mediacin Social', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000228', 'Mster Universitario en Nanociencia y Nanotecnologa', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002070', 'Mster Universitario en Neurociencia Cognitiva y Necesidades Educativas Especficas', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311721', 'Mster Universitario en Neurociencias Bsicas y Aplicadas', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310103', 'Mster Universitario en Nutricin y Metabolismo', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310936', 'Mster Universitario en Paleontologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001027', 'Mster Universitario en Estudios de Empresa/ Master in Business Studies (MBS)', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311745', 'Mster Universitario en Intervencin Logopdica Especializada', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000229', 'Mster Universitario en Intervencin Psicosocial', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310486', 'Master Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311281', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311840', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000116', 'Mster Universitario en Gnero y Diversidad', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312229', 'Mster Universitario en Geriatra y Gerontologa: Atencin Integral a la Dependencia', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001190', 'Mster Universitario en Gestin de la Documentacin y Bibliotecas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001764', 'Mster Universitario en Gestin Pblica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311730', 'Mster Universitario en Historia e Identidades Hispnicas en el Mediterrneo Occidental (siglos XV-X', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311551', 'Mster Universitario en Historia Econmica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312422', 'Mster Universitario en Informtica Interactiva y Multimedia', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501257', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500749', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502177', 'Graduado o Graduada en Economa', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500837', 'Graduado o Graduada en Economa ', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500851', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501581', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502174', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501966', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502288', 'Graduado o Graduada en Bellas Artes', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501807', 'Graduado o Graduada en Biologa', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500250', 'Graduado o Graduada en Biologa ', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500231', 'Graduado o Graduada en Biologa Sanitaria', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500278', 'Graduado o Graduada en Bioqumica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500883', 'Graduado o Graduada en Bioqumica y Ciencias Biomdicas', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502308', 'Graduado o Graduada en Ingeniera Qumica Industrial', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500433', 'Graduado o Graduada en Ingls ', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501246', 'Graduado o Graduada en Logopedia', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501888', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501722', 'Graduado o Graduada en Finanzas y Contabilidad ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502389', 'Graduado o Graduada en Fsica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500444', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502520', 'Graduado o Graduada en Ingeniera Agroalimentaria', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501923', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501643', 'Graduado o Graduada en Ingeniera de Tecnologa de Minas y Energa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500392', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500188', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501924', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo de Productos', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501449', 'Graduado o Graduada en Ingeniera en Tecnologas de la Informacin', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501798', 'Graduado o Graduada en Ingeniera Forestal', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501899', 'Graduado o Graduada en Ingeniera Nutica y Transporte Martimo', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500105', 'Graduado o Graduada en Medicina', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501655', 'Graduado o Graduada en Ingeniera Elctrica por la Universidad Politcnica de Valencia', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502134', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502031', 'Graduado o Graduada en Ingeniera Informtica de Gestin y Sistemas de Informacin', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501898', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501880', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500879', 'Graduado o Graduada en Pedagoga', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500539', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502424', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos ', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501431', 'Graduado o Graduada en Sociologa', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501731', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501668', 'Graduado o Graduada en Trabajo Social', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500264', 'Graduado o Graduada en Ciencias Ambientales ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500644', 'Graduado o Graduada en Ciencias Ambientales por la Universidad Europea Miguel de Cervantes', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500652', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501014', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501226', 'Graduado o Graduada en Direccin Comercial y Marketing', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500967', 'Graduado o Graduada en Economa', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501911', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502024', 'Graduado o Graduada en Educacin Social', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501832', 'Graduado o Graduada en Arquitectura', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500953', 'Graduado o Graduada en Biotecnologa', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500659', 'Graduado o Graduada en Lenguas Modernas, Cultura y Comunicacin ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500922', 'Graduado o Graduada en Lenguas y Literaturas Modernas-Portugus', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502567', 'Graduado o Graduada en Musicologa', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502223', 'Graduado o Graduada en Odontologa', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500992', 'Graduado o Graduada en ptica y Optometra', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501110', 'Graduado o Graduada en Pedagoga', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502293', 'Graduado o Graduada en Periodismo', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500442', 'Graduado o Graduada en Psicologa ', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502214', 'Graduado o Graduada en Tecnologa de la Ingeniera Civil ', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500807', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501317', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500804', 'Graduado o Graduada en Ciencia Poltica y Gestin Pblica', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502359', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502264', 'Graduado o Graduada en Criminologa y Seguridad ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501184', 'Graduado o Graduada en Estudios rabes e Islmicos', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500772', 'Graduado o Graduada en Estudios Hispnicos: Lengua Espaola y sus Literaturas', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501016', 'Graduado o Graduada en Economa ', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501160', 'Graduado o Graduada en Enfermera', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500958', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500609', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501680', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501719', 'Graduado o Graduada en Administracin y Direccin de Empresas ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501367', 'Graduado o Graduada en Bellas Artes', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502191', 'Graduado o Graduada en Biologa', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501808', 'Graduado o Graduada en Bioqumica', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501963', 'Graduado o Graduada en Logopedia', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500513', 'Graduado o Graduada en Logopedia', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501824', 'Graduado o Graduada en Finanzas y Contabilidad ', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502478', 'Graduado o Graduada en Fsica', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501936', 'Graduado o Graduada en Fisioterapia', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500702', 'Graduado o Graduada en Geografa', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500712', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501130', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500373', 'Graduado o Graduada en Historia del Arte', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501653', 'Graduado o Graduada en Ingeniera Aeroespacial por la Universidad Politcnica de Valencia', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501347', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin  por la Universidad Europea de Mad', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500577', 'Graduado o Graduada en Arquitectura', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501060', 'Graduado o Graduada en Matemticas', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500127', 'Graduado o Graduada en Finanzas', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501238', 'Graduado o Graduada en Finanzas y Contabilidad', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500997', 'Graduado o Graduada en Historia del Arte', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502296', 'Graduado o Graduada en Ingeniera Aeroespacial', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501939', 'Graduado o Graduada en Ingeniera Agraria y del Medio Rural por la Universidad de Len', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500497', 'Graduado o Graduada en Ingeniera de Computadores', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502401', 'Graduado o Graduada en Ingeniera de Organizacin', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501480', 'Graduado o Graduada en Ingeniera en Organizacin Industrial', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500647', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502040', 'Graduado o Graduada en Ingeniera Marina ', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502398', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500028', 'Graduado o Graduada en Periodismo', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500141', 'Graduado o Graduada en Traduccin y Comunicacin Intercultural', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500839', 'Graduado o Graduada en Turismo - Administracin de Organizaciones y Recursos Tursticos', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501937', 'Graduado o Graduada en Veterinaria', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501135', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500270', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500143', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502440', 'Graduado o Graduada en Ciencias de la Cultura y Difusin Cultural', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501710', 'Graduado o Graduada en Enfermera', NULL, 0, '59', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313009', 'Master Universitario en Logstica y Gestin Econmica de la Defensa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313011', 'Master Universitario en Imagen Cardiaca Diagnstica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313022', 'Mster Universitario en Control y Planificacin Estratgica en la Direccin General por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313025', 'Mster Universitario en Habilidades Directivas, Coaching y Factor Humano en la Empresa por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313029', 'Mster en Planificacin y Polticas para las Ciudades, el Ambiente y el Paisaje', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313037', 'Mster Universitario en Gestin y Direccin de Centros Educativos por la Universidad Cardenal Herrera-CEU', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313039', 'Mster Universitario en Direccin Pblica y Liderazgo Institucional por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313041', 'Mster Universitario en Arqueologa por la Universidad de La Laguna y la Universidad de Las Palmas de Gran Canaria', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002780', 'Mster Universitario en Envejecimiento', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310827', 'Mster Universitario en Estrategia y Creatividad Publicitarias', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001216', 'Mster Universitario en Estudios Avanzados en Cerebro y Conducta', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312494', 'Mster Universitario en Estudios Avanzados en Educacin Social', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002695', 'Mster Universitario en Intervencin e Investigacin Psicolgica en Justicia, Salud y Bienestar Soci', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311133', 'Mster Universitario en Intervencin Psicolgica en mbitos Clnicos y Sociales', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310053', 'Mster Universitario en Fisiologa Integrativa ', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001138', 'Mster Universitario en Gestin de Suelos y Aguas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310701', 'Mster Universitario en Gestin del Conocimiento Biomdico e Investigacin Clnica', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002059', 'Mster Universitario en Gestin del Planeamiento Territorial y Urbanstico', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310002', 'Mster Universitario en Gestin e Investigacin de la Discapacidad y la Dependencia', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002189', 'Mster Universitario en Gestin Medioambiental de la Empresa', NULL, 0, '73', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002601', 'Mster Universitario en Gestin y Evaluacin de la Contaminacin Acstica', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310182', 'Mster Universitario en Hidrulica Ambiental', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000397', 'Mster Universitario en Historia Contempornea', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000397', 'Mster Universitario en Historia Contempornea', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001742', 'Mster Universitario en Historia Contempornea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311962', 'Mster Universitario en Historia del Arte Contemporneo y Cultura Visual', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500324', 'Graduado o Graduada en Enfermera', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500478', 'Graduado o Graduada en Cine y Medios Audiovisuales', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500537', 'Graduado o Graduada en ptica y Optometra', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500698', 'Graduado o Graduada en Fisioterapia', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500699', 'Graduado o Graduada en Criminologa', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500957', 'Graduado o Graduada en Ingeniera en Sistemas Electrnicos', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500985', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501352', 'Graduado o Graduada en Marketing e Investigacin de Mercados (MIM)', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501271', 'Graduado o Graduada en Finanzas', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500417', 'Graduado o Graduada en Gestin Turstica y Hotelera', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501446', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500761', 'Graduado o Graduada en Historia', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500859', 'Graduado o Graduada en Historia', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500615', 'Graduado o Graduada en Historia del Arte', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501157', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502125', 'Graduado o Graduada en Ingeniera Elctrica ', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502303', 'Graduado o Graduada en Ingeniera Informtica - Ingeniera de Computadores', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502008', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502499', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500412', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500391', 'Graduado o Graduada en Pedagoga', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500880', 'Graduado o Graduada en Periodismo', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501077', 'Graduado o Graduada en Psicologa', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500409', 'Graduado o Graduada en Qumica', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501724', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501667', 'Graduado o Graduada en Sociologa Aplicada', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502056', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501642', 'Graduado o Graduada en Trabajo Social', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501706', 'Graduado o Graduada en Turismo', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501208', 'Graduado o Graduada en Turismo ', NULL, 0, '57', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501344', 'Graduado o Graduada en Biotecnologa', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502239', 'Graduado o Graduada en Comercio', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500072', 'Graduado o Graduada en Enfermera por la Universidad de Zaragoza', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502220', 'Graduado o Graduada en Farmacia', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501256', 'Graduado o Graduada en Derecho', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501720', 'Graduado o Graduada en Derecho ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501580', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500717', 'Graduado o Graduada en Lengua Espaola y su Literatura', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501627', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501199', 'Graduado o Graduada en Marketing e Investigacin de Mercados', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501333', 'Graduado o Graduada en Fisioterapia', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500621', 'Graduado o Graduada en Historia', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500228', 'Graduado o Graduada en Humanidades', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500578', 'Graduado o Graduada en Humanidades y Estudios Culturales', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501587', 'Graduado o Graduada en Humanidades y Estudios Sociales', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501448', 'Graduado o Graduada en Ingeniera Agropecuaria y del Medio Rural', NULL, 0, '59', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502434', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502242', 'Graduado o Graduada en Ingeniera de la Energa', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501410', 'Graduado o Graduada en Ingeniera Electrnica de Telecomunicacin', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502382', 'Graduado o Graduada en Ingeniera en Electrnica y Automtica Industrial por la Universidad de Alcal', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502135', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501983', 'Graduado o Graduada en Periodismo', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500481', 'Graduado o Graduada en Podologa ', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500526', 'Graduado o Graduada en Psicologa', NULL, 0, '70', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500032', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310339', 'Mster Universitario en Energas Renovables', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002886', 'Mster Universitario en Enseanza de Espaol y de Cataln como Segundas Lenguas/Lenguas y Movimiento', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312991', 'Mster Universitario en Evaluacin y Seguimiento Ambiental de Ecosistemas Marinos y Costeros por la Universitat Politcnica de Valncia', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312995', 'Mster Universitario en Cermica: Arte y Funcin por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502550', 'Graduado o Graduada en Ingeniera Electrnica Industrial por la Universidad de Granada', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502554', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos por la Universidad de Granada', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502583', 'Graduado o Graduada en Ingeniera de la Energa por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502587', 'Graduado o Graduada en Comunicacin e Industrias Culturales por la Universidad de Barcelona', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502588', 'Graduado o Graduada en Ingeniera de Organizacin Industrial por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502588', 'Graduado o Graduada en Ingeniera de Organizacin Industrial por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502602', 'Graduado o Graduada en Ingeniera de la Salud por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502602', 'Graduado o Graduada en Ingeniera de la Salud por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502612', 'Graduado o Graduada en Educacin Primaria por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502625', 'Graduado o Graduada en Ingeniera de la Energa', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502626', 'Graduado o Graduada en Gestin Comercial y Marketing por la Universidad Miguel Hernndez de Elche', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502642', 'Graduado o Graduada en Multimedia', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502654', 'Graduado o Graduada en Criminologa por la Universidad Catlica San Antonio', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502663', 'Graduado o Graduada en Fisioterapia por la Universidad Catlica Santa Teresa de Jess de vila', NULL, 0, '59', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502665', 'Graduado o Graduada en Ingeniera de la Seguridad', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502678', 'Graduado o Graduada en Ingeniera Informtica por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502686', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502691', 'Graduado o Graduada en Periodismo por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502705', 'Graduado o Graduada en Ingeniera Biomdica por la Universidad Europea de Madrid', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502707', 'Graduado o Graduada en Ingeniera de Organizacin Industrial  por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502710', 'Graduado o Graduada en Artes Escnicas por la Universidad de Girona', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502715', 'Graduado o Graduada en Produccin de Contenidos Digitales por la Universidad Camilo Jos Cela', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311027', 'Mster Universitario en Educador/a Ambiental', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311027', 'Mster Universitario en Educador/a Ambiental', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311027', 'Mster Universitario en Educador/a Ambiental', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311064', 'Mster Universitario en Estudios de Traduccin: Estrategias y Procedimientos', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311097', 'Mster Universitario Europeo en Ingeniera de la Construccin-Master in European Construction Engineering', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311128', 'Mster Universitario en Ciencia y Tecnologa de Coloides e Interfases', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311256', 'Mster Universitario en Estrategias en Investigacin y Desarrollo de Procesos Qumicos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311366', 'Mster Universitario en Diseo Molecular en Qumica Mdica / Medicinal Chemistry and Molecular Design por la Universidad de Girona', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311419', 'Mster Universitario en Lengua, Literatura y Cultura Catalanas', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311501', 'Mster Universitario en Adquisicin del Ingls y Comunicacin Intercultural', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311510', 'Mster Universitario en Calidad en Laboratorios', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311567', 'Mster Universitario en Medio Natural', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311622', 'Mster Universitario en Biologa Molecular y Biomedicina', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311669', 'Mster Universitario en Sistema de Justicia Penal', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311670', 'Mster Universitario en Sanidad y Produccin Porcina', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311683', 'Mster Universitario en Odontologa Integrada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311728', 'Mster Universitario en Fisioterapia de los Procesos de Envejecimiento: Estrategias Sociosanitarias', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311784', 'Mster Universitario en Encrucijadas en las Humanidades Europeas/Crossways in European Humanites', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311869', 'Mster Universitario en Ingeniera Trmica', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311900', 'Mster Universitario en Educacin en Contextos Multiculturales y Plurilinges', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311933', 'Mster Universitario en Investigacin en Ciencia, Tecnologa y Control de los Alimentos', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312043', 'Mster Universitario en Biotecnologa para la Salud y la Sostenibilidad', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312108', 'Mster Universitario en Seguridad y Salud en el Trabajo - Prevencin de Riesgos Laborales', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312126', 'Mster Universitario en Polticas Pblicas y Desarrollo Internacional por la Universidad Autnoma de Barcelona; la Universidad Pompeu Fabra; la Universidad de Barcelona y Erasmus Universiteit Rotterdam(Holanda)', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312134', 'Mster Universitario en Ciencias Sociales del Desarrollo, Culturas y Desarrollo en frica', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312134', 'Mster Universitario en Ciencias Sociales del Desarrollo, Culturas y Desarrollo en frica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312147', 'Mster Universitario en Anlisis de la Sociedad de la Informacin y Nuevas Formas de Comunicacin', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312331', 'Mster Universitario en Literaturas Hispnicas, Arte, Historia y Sociedad', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312339', 'Mster Universitario en Direccin de Marketing', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502732', 'Graduado o Graduada en Ciencia de la Arquitectura por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502733', 'Graduado o Graduada en Ingeniera Elctrica y Electrnica por la Universidad Pblica de Navarra', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502738', 'Graduado o Graduada en Ingeniera Elctrica y Electrnica por la Universidad Pblica de Navarra', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502760', 'Graduado o Graduada en Ingeniera Informtica por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502773', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos por la Universidad Pablo de Olavide', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502775', 'Graduado o Graduada en GRADO DE MAESTRO EN EDUCACIN INFANTIL por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502777', 'Graduado o Graduada en Comunicacin Audiovisual por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502778', 'Graduado o Graduada en Fundamentos de Arquitectura por la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502794', 'Graduado o Graduada en Ingeniera Nutica y Transporte Martimo por la Universidad de A Corua', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3004007', 'Mster Universitario Erasmus Mundus en Desarrollo Rural', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310129', 'Mster Universitario en Gestin de la Investigacin y de la Innovacin', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310366', 'Mster Universitario en Qumica Sostenible', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310366', 'Mster Universitario en Qumica Sostenible', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310373', 'Mster Universitario en Gestin de Negocios Internacionales (iMBA) por la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310798', 'Mster Universitario en Investigacin en Tecnologas de la Informacin y Comunicacin (MERIT) / Research on Information and Comunication Technologies', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501132', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501231', 'Graduado o Graduada en Contabilidad y Finanzas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501673', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501675', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501792', 'Graduado o Graduada en Estudios de Cataln y de Clsicas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501873', 'Graduado o Graduada en Ingeniera de Organizacin Industrial', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501917', 'Graduado o Graduada en Seguridad y Emergencias por la Universidad de Las Palmas de Gran Canaria', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501925', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501940', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501953', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501980', 'Graduado o Graduada en Ingeniera de la Construccin', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502100', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '78', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502102', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '78', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502131', 'Graduado o Graduada en Ingeniera Informtica en Sistemas y Tecnologas de la Informacin', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502153', 'Graduado o Graduada en Artes Escnicas-Interpretacin', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502175', 'Graduado o Graduada en Marketing', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502228', 'Graduado o Graduada en Maestro de Educacin Infantil', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502419', 'Graduado o Graduada en Arquitectura', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312953', 'Mster Universitario en Direccin Estratgica de Recursos Humanos por la Universidad Pablo de Olavide', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312955', 'Mster Universitario en Ciencia y Tecnologa de Aceites y Bebidas Fermentadas por la Universidad Pablo de Olavide', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312964', 'Mster Universitario en Produccin e Investigacin en Arte por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312965', 'Mster Universitario en Proteccin Social y Jurdica de las Personas con Necesidades Especiales por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312974', 'Mster Universitario en Investigacin e Innovacin en Curriculum y Formacin por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313062', 'Mster Universitario en Direccin y Gerencia Pblica por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313089', 'Mster Universitario en Medicina por la Universidad San Pablo-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313094', 'Mster Universitario en Derecho por la Universidad de Barcelona', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313112', 'Mster Universitario en Ingeniera Ambiental por la Universidad Catlica San Antonio', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313116', 'Master Universitario Erasmus Mundus en Qumica Terica y Modelizacin Computacional', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313120', 'Mster Universitario en Investigacin Mdica: Clnica y Experimental por la Universidad de Sevilla', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313121', 'Mster Universitario en Ingeniera de Montes por la Universidad Catlica Santa Teresa de Jess de vila', NULL, 0, '59', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313124', 'Mster Universitario en Ingeniera Industrial por la Universidad Catlica Santa Teresa de Jess de vila', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313128', 'Mster Universitario en Estudios Avanzados en Trabajo y Empleo por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313130', 'Mster Universitario en Nutricin Aplicada a la Salud por la Universidad Cardenal Herrera-CEU', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313135', 'Mster universitario en Anlisis Econmico y Financiero por la Universidad Pblica de Navarra', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313136', 'Mster Universitario en Modelizacin para la Ciencia y la Ingeniera / Modelling for Science and Engineering por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312372', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Enseanza de Idiomas', NULL, 0, '76', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312450', 'Mster Universitario en Investigacin en Inmunologa por la Universidad Autnoma de Madrid; la Universidad Complutense de Madrid; la Universidad de Alcal; la Universidad de Santiago de Compostela y la Universidad de Zaragoza', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312450', 'Mster Universitario en Investigacin en Inmunologa por la Universidad Autnoma de Madrid; la Universidad Complutense de Madrid; la Universidad de Alcal; la Universidad de Santiago de Compostela y la Universidad de Zaragoza', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312476', 'Mster Universitario en Industrializacin y Prefabricacin Arquitectnica', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312477', 'Mster Universitario en Innovacin Tecnolgica y Aplicacin de Materiales Textiles para el Desarrollo y Diseo de Productos por la Universidad Cardenal Herrera-CEU', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312497', 'Mster Universitario en Tratamiento Estadstico-Computacional de la Informacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312505', 'Mster Universitario en Gestin de la Informacin Digital', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312564', 'Mster Universitario en Computacin Distribuida / European Master in Distributed Computing por la Universidad Politcnica de Catalunya; Kungliga Tekniska Hgskolan-The Royal Institute of Technology (Suecia) y Universidade Tcnica de Lisboa(Portugal)', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312579', 'Mster Universitario en Ciruga Bucal e Implantologa por la Universidad San Pablo-CEU', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312625', 'Mster Universitario en Gestin y Restauracin del Medio Natural', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312708', 'Mster Universitario en Educacin Especial', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312739', 'Mster Universitario en Emprendimiento e Innovacin en Trabajo Social por la Universidad Pontificia Comillas', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312768', 'Mster Universitario en Ingeniera Qumica', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312774', 'Master Universitario en Ingeniera de Organizacin  por la Universidad Politcnica de Catalunya', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312780', 'Mster Universitario en Ingeniera Ambiental y Produccin Sostenible', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312797', 'Mster Universitario en Ingeniera Informtica', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312803', 'Mster Universitario en Investigacin en Qumica', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312808', 'Mster Universitario en Ortodoncia Preclnica', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312809', 'Mster Universitario en Historia de Catalua', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312816', 'Mster Universitario en Literatura, Cultura y Diversidad por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312817', 'Mster Universitario en Qumica por la Universidad de Salamanca', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312825', 'Mster Universitario en Tcnicas Avanzadas de Fisioterapia para Pacientes Oncolgicos', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312827', 'Mster Universitario en Tecnologas y Negocio sobre Nuevos Dispositivos  por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312834', 'Mster Universitario en Ciencias de los Alimentos y la Nutricin por la Universidad de Alicante', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312876', 'Mster Universitario en Biologa y Tecnologa de la Reproduccin por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312878', 'Mster Universitario en Biotecnologa del Medio Ambiente y la Salud por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312885', 'Mster Universitario en Enseanza Integrada de Lengua Inglesa y Contenidos: Educacin Infantil y Primaria por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312891', 'Mster Universitario en Qumica y Desarrollo Sostenible por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312935', 'Mster Universitario en Finanzas por la Universidad de Vic', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312938', 'Mster Universitario en Gnero, Feminismos y Ciudadana: Perspectivas para un Nuevo Siglo por la Universidad Internacional de Andalucia y la Universidad de Jan', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313266', 'Mster Universitario en Biodiversidad por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313291', 'Mster Universitario en Psicologa de la salud por la Universidad Rovira i Virgili', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313300', 'Mster Universitario en Estudios Territoriales y de la Poblacin por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313301', 'Mster Universitario en Derechos Sociolaborales por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313302', 'Mster Universitario en Enseanza de ELE: Lengua, Cultura y Metodologa por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313307', 'Mster Universitario en Direccin de Centros Educativos por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313315', 'Mster Universitario en Ciencias Actuariales y Financieras por la Universidad Pontificia Comillas', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313317', 'Mster Universitario en Patrimonio Artstico y Cooperacin Cultural por la Universidad Rovira i Virgili', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313327', 'Mster Universitario en Tecnologa para el Desarrollo Humano y la Cooperacin  por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313329', 'Mster Universitario en Avances en Calidad y Tecnologa Alimentaria por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313333', 'Mster Universitario en Innovacin en Didcticas Especficas por la Universidad de Vic', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313334', 'Mster Universitario en Biologa Molecular Aplicada a Empresas Biotecnolgicas (Bioenterprise) por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313352', 'Mster Universitario en Psicologa de la Educacin - MIPE por la Universidad Autnoma de Barcelona; la Universidad Ramn Llull; la Universidad de Barcelona y la Universidad de Girona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313357', 'Mster Universitario en Direccin Estratgica de Empresas Tursticas por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313358', 'Mster Universitario en Direccin Hotelera y de Restauracin por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313359', 'Mster Universitario en Actividad Fsica y Salud por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313364', 'Mster Universitario en Estudios Literarios y Teatrales por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313475', 'Mster Universitario en Bases Biolgicas para la Gestin del Medio Natural por la Universidad de Jan', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313480', 'Mster Universitario en Investigacin en Artes, Msica y Educacin Esttica por la Universidad de Jan', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313484', 'Mster Universitario en Ingeniera Telemtica por la Universidad Carlos III de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313487', 'Mster Universitario en Administracin y Direccin de Servicios Sanitarios por la Universidad Pompeu Fabra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313498', 'Mster Universitario en Direccin Contable y Financiera por la Mondragon Unibertsitatea', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313504', 'Mster Universitario en Estudios Africanos por la Universidad de La Laguna', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313511', 'Mster Universitario en Ingeniera de Telecomunicacin por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313513', 'Mster Universitario en Planificacin Estratgica de la Empresa, Anlisis y Toma de Decisiones por la Universidad Rey Juan Carlos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313515', 'Mster Universitario en Patrimonio Audiovisual: Historia, Recuperacin y Gestin por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313538', 'Mster Universitario en Investigacin e Innovacin en Tecnologas de la Informacin y las Comunicaciones por la Universidad Autnoma de Madrid', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313545', 'Mster Universitario en Gestin y Auditora de Sistemas de la Calidad por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313546', 'Mster Universitario en Garanta de la Calidad de Industrias del Sector Alimentario por la Universidad San Pablo-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313560', 'Mster Universitario en Periodismo Deportivo por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313562', 'Mster Universitario en el Ejercicio Profesional de la Procura por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313567', 'Mster Universitario en Atencin a la Diversidad y Apoyos Educativos  por la Universidad de Alcal', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313569', 'Mster Universitario en Prevencin de Riesgos Laborales y Seguridad Vial por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313573', 'Mster Universitario en Administracin de Empresa Internacional (MBA) /  International Business Administration (MBA) por la Universidad de Alcal', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313575', 'Mster Universitario en Igualdad y Gnero por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313580', 'Mster Universitario en Prctica Jurdica por la Universidad Antonio de Nebrija', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313372', 'Mster Universitario en Estudios Medievales por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313382', 'Mster Universitario en Estudios Avanzados de Lengua y Literatura Catalanas por la Universidad Autnoma de Barcelona y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313399', 'Mster Universitario en Procura por la Universidad Jaume I de Castelln; la Universidad Miguel Hernndez de Elche; la Universidad de Alicante y la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313411', 'Mster Universitario en Estudios del Discurso: comunicacin, sociedad y aprendizaje por la Universidad Autnoma de Barcelona; la Universidad Pompeu Fabra y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313421', 'Mster Universitario en Pensamiento Contemporneo y Tradicin Clsica  por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313432', 'Mster Universitario en Ortodoncia  por la Universidad Alfonso X El Sabio', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313435', 'Mster Universitario en Planificacin Territorial y Gestin Ambiental por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313455', 'Mster Universitario Erasmus Mundus en Gestin Forestal y de Recursos Naturales en el Mediterrneo (MEDFOR) por la Universidad de Lleida; la Universidad de Valladolid; Karadeniz Teknik Universitesi(Turqua); Universidade Catlica Portuguesa(Portugal)', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313457', 'Mster Universitario en Abogaca por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313467', 'Mster Universitario en Innovacin en Comunicacin Digital por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313468', 'Mster Universitario en Salud Pblica por la Universidad Miguel Hernndez de Elche y la Universidad de Alicante', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313158', 'Mster Universitario en Investigacin, Gestin y Calidad en Cuidados para la Salud por la Universidad de La Laguna', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313166', 'Mster Universitario en Iniciativa Emprendedora y Creacin de Empresas por la Universidad Carlos III de Madrid', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313172', 'Master Universitario en Sistemas de Informacin Geogrfica por la Universidad Pontificia de Salamanca', NULL, 0, '32', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313179', 'Mster Universitario en Ingeniera Informtica por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313206', 'Mster Universitario Erasmus Mundus en Salud, Biotecnologa y Computacin por la Universidad de Barcelona; Universitatea de Stiinte Agricole si Medicina Veterinara din Iasi (RO CLUJNAP04)(Rumania); Universiteit Maastricht (NL MAASTRI01)(Holanda); Uni', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313208', 'Mster Universitario en Investigacin en Ciencia Poltica por la Universidad Pompeu Fabra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313214', 'Mster Universitario en Periodismo Cultural y Nuevas Tendencias por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313219', 'Mster Universitario en Marketing Deportivo  por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313223', 'Mster Universitario en Historia de la Ciencia: Ciencia, Historia y Sociedad por la Universidad Autnoma de Barcelona y la Universidad de Barcelona', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313225', 'Mster Universitario en Fisioterapia Osteoptica por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313231', 'Mster Universitario en Tcnicas Avanzadas de Fisioterapia Respiratoria y Cardiaca por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313237', 'Mster Universitario en Terapia Manual Ortopdica en el Tratamiento del Dolor por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313248', 'Mster Universitario en Planificacin Integrada para el Desarrollo Rural y la Gestin del Medio Ambiente por la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313250', 'Mster Universitario en Identidad Europea Medieval por la Universidad Autnoma de Barcelona; la Universidad Jaume I de Castelln; la Universidad Rovira i Virgili; la Universidad de Alicante; la Universidad de Girona y la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313255', 'Mster Universitario en Quimica de Materiales Aplicada por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313590', 'Mster Universitario en Marketing Poltico y Comunicacin Institucional por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313594', 'Mster Universitario en Desarrollo de Tcnicas Neurocognitivas en Organizaciones  Empresariales:  Neuromanagement  por la Universidad Rey Juan Carlos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313597', 'Mster Universitario en Gestin de Proyectos e Instalaciones Energticas por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313600', 'Mster Universitario en Direccin y Gestin de Proyectos por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313605', 'Mster Universitario en Enfermera de Urgencias y Emergencias por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313609', 'Mster Universitario en Educacin Inclusiva por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313617', 'Mster Universitario en Direccin de Empresas (MBA) / Business Administration por la Universidad San Pablo-CEU', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313618', 'Mster Universitario en Sostenibilidad y Eficiencia Energetica por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313634', 'Mster Universitario en Abogaca por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313650', 'Mster Universitario en Abogaca por la Universidad de Crdoba', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313656', 'Mster Universitario en Marketing Digital y Social Media por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313658', 'Mster Universitario en Ciencia y Tecnologa de Materiales por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313663', 'Mster Universitario en Psicogerontologa por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313673', 'Mster Universitario en Biologa Marina: Biodiversidad y Conservacin por la Universidad de La Laguna', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313675', 'Mster Universitario en Gobierno y Administracin Pblica  por la Universidad Internacional Menndez Pelayo', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313679', 'Mster Universitario en Estudios Polticos Aplicados por la Universidad Internacional Menndez Pelayo', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313683', 'Mster Universitario en Acceso a la profesin de abogado por la Universidad Catlica Santa Teresa de Jess de Avila', NULL, 0, '59', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313701', 'Mster Universitario en BIOLOGA MOLECULAR APLICADA A EMPRESAS BIOTECNOLGICAS (BIOENTERPRISE) por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313703', 'Mster Universitario en BIOLOGA MOLECULAR APLICADA A EMPRESAS BIOTECNOLGICAS (BIOENTERPRISE) por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313706', 'Mster Universitario en Ingeniera de Telecomunicacin por la Universidad de Las Palmas de Gran Canaria', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313721', 'Mster Universitario en Comunicaciones Integradas de Marca por la Universidad Pontificia de Salamanca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313771', 'Mster Universitario en Biologa y Biotecnologa Vegetal por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313777', 'Mster Universitario en Eficiencia Energtica por la Universidad de Las Palmas de Gran Canaria', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313782', 'Mster Universitario en Biologa Celular por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313783', 'Mster Universitario en Soluciones TIC para Bienestar y Medio Ambiente por la Universidad de Las Palmas de Gran Canaria', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('90000000561', 'Estudios Homologados a Grado de Diplomado', NULL, 0, NULL, 
    NULL);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000767', 'Mster Universitario en Economa: Aplicaciones Empricas y Polticas/Master in Economics: Empirical ', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311268', 'Mster Universitario en Educacin Inclusiva', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311149', 'Mster Universitario en Educacin Inclusiva', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002931', 'Mster Universitario en Elaboracin de Diccionarios y Control de Calidad del Lxico Espaol', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312335', 'Mster Universitario en Enseanza del Espaol como Lengua Extranjera', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003010', 'Mster Universitario en Estadstica e Investigacin Operativa', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310115', 'Mster Universitario en Estrategias Territoriales y Ambientales en el mbito Local', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001503', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310416', 'Mster Universitario en Iniciacin a la Investigacin en Matemticas', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000202', 'Mster Universitario en Inmunologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311688', 'Mster Universitario en Insolvencia Empresarial', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002729', 'Mster Universitario en Intervencin Multidisciplinar en la Diversidad en Contextos Educativos', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000208', 'Mster Universitario en Formacin de Profesores de Espaol como Lengua Extranjera', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311547', 'Mster Universitario en Formacin del Profesorado de Cataln para Personas Adultas', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310127', 'Mster Universitario en Gestin ', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002545', 'Mster Universitario en Gestin de la investigacin y de la Innovacin/Master of Reseach Management', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312639', 'Mster Universitario en Gestin de Proyectos Internacionales de Ingeniera', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002570', 'Mster Universitario en Gestin del Patrimonio desde el Municipio', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312031', 'Mster Universitario en Gestin y Direccin Laboral por la Universidad de A Corua; la Universidad d', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312031', 'Mster Universitario en Gestin y Direccin Laboral por la Universidad de A Corua; la Universidad d', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311288', 'Mster Universitario en Estudios Sociales de la Ciencia y la Tecnologa', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311361', 'Mster Universitario en Filologa Clsica ', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001024', 'Mster Universitario en Desarrollo Local y Comunitario.', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001496', 'Mster Universitario en Direccin Hotelera y de Restauracin', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311520', 'Mster Universitario en Direccin Hotelera y de Restauracin', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002130', 'Mster Universitario en Economa y Evaluacin del Bienestar', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001832', 'Mster Universitario en Historia del Arte Contemporneo y Cultura Visual', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311646', 'Mster Universitario en Ingeniera de Materiales Avanzados', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312116', 'Mster Universitario en Ingeniera de Produccin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002058', 'Mster Universitario en Ingeniera de Seguridad de la Informacin y las Comunicaciones', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001799', 'Mster Universitario en Ingeniera Informtica y de Telecomunicacin', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310229', 'Mster Universitario en Ingeniera Web', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313040', 'Mster Universitario Cooperacin Internacional para el Desarrollo', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313100', 'Master Universitario en Enfermera Oftalmolgica', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310409', 'Mster Universitario en Gestin de Unidades y Servicios de Informacin y Documentacin', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001961', 'Mster Universitario en Gestin y Direccin Laboral', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001961', 'Mster Universitario en Gestin y Direccin Laboral', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002807', 'Mster Universitario en Gestin y Produccin Audiovisual Multiplataforma', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310636', 'Mster Universitario en Historia Comparada, Siglos XVI-XX', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310636', 'Mster Universitario en Historia Comparada, Siglos XVI-XX', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002583', 'Mster Universitario en Historia del Arte: Conocimiento y Tutela del Patrimonio Histrico', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310284', 'Mster Universitario en Ingeniera de Computadores', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311828', 'Mster Universitario en Ingeniera de los Materiales, Agua y Terreno ', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312733', 'Mster Universitario en Ingeniera de Sistemas y de Control', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002503', 'Mster Universitario en ingeniera energtica sostenible', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312069', 'Mster Universitario en Ingeniera Qumica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000043', 'Mster Universitario en Ingeniera Tisular', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310158', 'Mster Universitario en Prctica Jurdica', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312676', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311134', 'Mster Universitario en Produccion Vegetal en Cultivos Protegidos ', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000439', 'Mster Universitario en Farmacia y Tecnologa Farmacutica', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310823', 'Mster Universitario en Ficcin en Cine y Televisin. Produccin y Realizacin', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001833', 'Mster Universitario en Fsica de la Materia Condensada y Nanotecnologa', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312263', 'Mster Universitario en Derecho Constitucional Europeo', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312288', 'Mster Universitario en Derecho Deportivo', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001023', 'Mster Universitario en Derecho Econmico Internacional/ Master in Law and Economics', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001958', 'Mster Universitario en Derecho Urbanstico y del Medio Ambiente', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310684', 'Mster Universitario en Direccin de Empresas', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000752', 'Mster Universitario en Direccin de Empresas / Master in Business Administration (MBA)', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002972', 'Mster Universitario en Direccin de Empresas Industriales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312529', 'Mster Universitario en Direccin e Ingeniera en Sitios Web', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001811', 'Mster Universitario en Ecologa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001132', 'Mster Universitario en Ecologa Fundamental y Aplicada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001685', 'Mster Universitario en Atencin Sociosanitaria a la Dependencia', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002918', 'Mster Universitario en Biblioteca Escolar y Promocin de la Lectura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000448', 'Mster Universitario en Comunicacin Intercultural, Interpretacin y Traduccin en los Servicios Pb', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310910', 'Mster Universitario en Bioqumica, Biologa Molecular y Biomedicina', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312064', 'Mster Universitario en Teologa', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001993', 'Mster Universitario en Traduccin Institucional', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312233', 'Mster Universitario en Traumatologa del Deporte', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311086', 'Mster Universitario Erasmus Mundus en Aprendizaje y Enseanza del Espaol en Contextos Multilinges', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001002', 'Mster Universitario en Asesora Jurdica de Empresa', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001147', 'Mster Universitario en Atencin Integral al Enfermo Crtico y Emergencias', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001261', 'Mster Universitario en Atencin Integral al Enfermo Crtico y Emergencias', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312983', 'Mster Universitario en Auditoria de Cuentas', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001479', 'Mster Universitario en Computacin Grid y Paralelismo', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311599', 'Mster Universitario en Contabilidad', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001549', 'Mster Universitario en Biotecnologa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001843', 'Mster Universitario en Biotecnologa Agroforestal', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002177', 'Mster Universitario en Biotecnologa Aplicada y Auditora de Procesos', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000350', 'Mster Universitario en Catlisis', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311282', 'Mster Universitario en Ciencia Poltica', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000417', 'Mster Universitario en Ciencia y Tecnologa Agroalimentaria', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000088', 'Mster Universitario en Ciencia y Tecnologa de Nuevos Materiales', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311470', 'Mster Universitario en Ciencia y Tecnologa Informtica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000755', 'Mster Universitario en Ciencias de la Direccin', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001601', 'Mster Universitario en Ciencias de la Empresa', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001887', 'Mster Universitario en Ciencias y Tecnologas Qumicoanalticas', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000025', 'Mster Universitario en Agroalimentacin', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001827', 'Mster Universitario en Antropologa Fsica: Evolucin y Biodiversidad Humanas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002871', 'Mster Universitario en Estudis Teatrals', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311192', 'Mster Universitario en Investigacin en Ciencias', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002842', 'Mster Universitario en Investigacin en Didctica, Formacin y Evaluacin Educativa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311194', 'Mster Universitario en Investigacin en Ingeniera y Arquitectura', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311322', 'Mster Universitario en Investigacin Etnogrfica, Teora Antropolgica y Relaciones Interculturales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002899', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001947', 'Mster Universitario en Lengua y Usos Profesionales: Espaol, Gallego e Ingls', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311891', 'Mster Universitario en Mediacin Familiar y con Menores', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312169', 'Mster Universitario en Microelectrnica: Diseo y Aplicaciones de sistemas Micro/Nanomtricos', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311566', 'Mster Universitario en Neurociencias', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311819', 'Mster Universitario en Pensamiento Espaol e Iberoamericano', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310043', 'Mster Universitario en Psicologa de la Educacin', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310060', 'Mster Universitario en Qumica Avanzada', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000139', 'Mster Universitario en Qumica Avanzada', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310360', 'Mster Universitario en Qumica Orgnica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311431', 'Mster Universitario en Recursos Humanos', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312672', 'Mster Universitario en Rendimiento Fsico y Deportivo', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312442', 'Mster Universitario en Representacin y Diseo en Ingeniera y Arquitectura', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002820', 'Mster Universitario en Ciencias de la Enfermeria', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311545', 'Mster Universitario en Ciudadana y Derechos Humanos: tica y Poltica', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311545', 'Mster Universitario en Ciudadana y Derechos Humanos: tica y Poltica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000120', 'Mster Universitario en Cognicin y Evolucin Humana', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312512', 'Mster Universitario en Abogaca Laboral', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001809', 'Mster Universitario en Actividad Fsico-Deportiva, Personas con Discapacidad e Integracin Social', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312744', 'Mster Universitario en Actores y Escenarios de las Sociedades del Conocimiento: Estado, Comunicaci', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310492', 'Mster Universitario en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profe', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311032', 'Mster Universitario en Profesorado de Enseanza Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310484', 'Mster Universitario en Investigacin Educativa', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312392', 'Mster Universitario en Investigacin en Comunicacin Periodstica', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002629', 'Mster Universitario en Investigacin en Qumica con Intensificaciones en: Qumica Orgnica; Qumica', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311265', 'Mster Universitario en Investigacin en Qumica e Ingeniera Qumica', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311778', 'Mster Universitario en Lingstica Gallega', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311324', 'Mster Universitario en Literatura Comparada: Estudios Literarios y Culturales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311216', 'Mster Universitario en Marketing y Comunicacin Corporativa', NULL, 0, '73', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310224', 'Mster Universitario en Matrimonio y Familia ', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002814', 'Mster Universitario en Nanociencia y Nanotecnologa Molecular', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002814', 'Mster Universitario en Nanociencia y Nanotecnologa Molecular', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311031', 'Mster Universitario en Nuevas Tendencias de Investigacin en Ciencias de la Salud', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001759', 'Mster Universitario en nutricin animal', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001643', 'Mster Universitario en Psicologa Clnica y de la Salud', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312545', 'Mster Universitario en Psicologa de la Educacin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000352', 'Mster Universitario en Qumica en la industria', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311428', 'Mster Universitario en Qumica Terica y Computacional', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002040', 'Mster Universitario en Radio', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001309', 'Mster Universitario en restauracin de ecosistemas', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311674', 'Mster Universitario en Sistemas Informticos Avanzados', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310582', 'Mster Universitario en Sociologa y Antropologa de las Polticas Pblicas ', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311451', 'Mster Universitario en Software Libre ', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000692', 'Mster Universitario en Tcnicas de diagnstico en medicina veterinaria', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311422', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311815', 'Mster Universitario en Prevencin y Gestin de Riesgos en la Comunidad', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311144', 'Mster Universitario en Profesorado de Enseanza Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311040', 'Mster Universitario en Investigacin en Comunicacin', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311706', 'Mster Universitario en Investigacin en Didcticas Especficas', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311087', 'Mster Universitario en Investigacin en Psicologa', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311608', 'Mster Universitario en Investigacin Matemtica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311375', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311375', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311070', 'Mster Universitario en Laboratorio de Anlisis Clnicos', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310523', 'Mster Universitario en Lenguas y Literaturas Modernas', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000473', 'Mster Universitario en MBA en Direccin de Empresas', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310102', 'Mster Universitario en Medicina, Sanidad y Mejora Animal', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312328', 'Mster Universitario en Neurorrehabilitacin por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311085', 'Mster Universitario en Organizacin de Congresos, Eventos y Ferias por la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001491', 'Mster Universitario en Paleontologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311563', 'Mster Universitario en Pensamiento Contemporneo', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312307', 'Mster Universitario en Qumica Avanzada. Preparacin y Caracterizacin de Materiales', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002101', 'Mster Universitario en seguridad de las tecnologas de la informacin y las comunicaciones', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001752', 'Mster Universitario en seguridad global y defensa', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310437', 'Mster Universitario en Tcnicas Cromatogrficas Aplicadas', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310322', 'Mster Universitario en Tecnologa Geoespacial / Geoespatial Tecnologies', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001610', 'Mster Universitario en tecnologas de la informacin y telemtica avanzadas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310812', 'Mster Universitario en Viticultura, Enologa y Gestin de la Empresa Vitivincola', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502462', 'Graduado o Graduada en Fisioterapia', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501713', 'Graduado o Graduada en Historia ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500616', 'Graduado o Graduada en Humanidades', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502159', 'Graduado o Graduada en Ingeniera Aeroespacial en Aeronavegacin', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501069', 'Graduado o Graduada en Ingeniera Biomdica', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502141', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502463', 'Graduado o Graduada en Ingeniera de Sistemas Audiovisuales de Telecomunicacin', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502368', 'Graduado o Graduada en Ingeniera de Tecnologas y Servicios de Telecomunicacin', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502145', 'Graduado o Graduada en Ingeniera del Medio Natural', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502250', 'Graduado o Graduada en Ingeniera Forestal', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500046', 'Graduado o Graduada en Ingeniera Informtica por la Universidad Carlos III de Madrid', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500689', 'Graduado en Fsica', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502080', 'Graduado o Graduada en Periodismo', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501519', 'Graduado o Graduada en Psicologa', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502294', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500098', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501128', 'Graduado o Graduada en Qumica', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500806', 'Graduado o Graduada en Trabajo Social', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500765', 'Graduado o Graduada en Trabajo Social', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502051', 'Graduado o Graduada en Turismo', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500937', 'Graduado o Graduada en Turismo por la Universidad Jaume I de Castelln', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501608', 'Graduado o Graduada en Biotecnologa por la Universidad Miguel Hernndez de Elche', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500844', 'Graduado o Graduada en Comunicacin  ', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501429', 'Graduado o Graduada en Criminologa', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500936', 'Graduado o Graduada en Estudios Ingleses por la Universidad Jaume I de Castelln', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500133', 'Graduado o Graduada en Farmacia', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500371', 'Graduado o Graduada en Filosofa', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501249', 'Graduado o Graduada en Derecho por la Universidad Catlica Santa Teresa de Jess de Avila', NULL, 0, '59', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501388', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501561', 'Graduado en Ciencias Jurdicas de las Administraciones Pblicas', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500366', 'Graduado o Graduada en Comunicacin y Periodismo Audiovisuales', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501190', 'Graduado o Graduada en Enfermera', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500288', 'Graduado o Graduada en Farmacia ', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502227', 'Graduado o Graduada en Derecho', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501136', 'Graduado o Graduada en Diseo Multimedia y Grfico', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500933', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500835', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500121', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500646', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311330', 'Mster Universitario en Salud y Bienestar Comunitario / Health and Communitary Welfare', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312276', 'Mster Universitario en Tecnologas Multimedia', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002926', 'Mster Universitario en Tecnologies de la informaci, la comunicaci i els mitjans audiovisuals', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311537', 'Mster Universitario en Biologa Humana', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001719', 'Mster Universitario en Calidad y Seguridad Alimentaria', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002961', 'Mster Universitario en Ciencia Cognitiva y Lenguaje', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000246', 'Mster Universitario en Ciencia y Tecnologa Qumicas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310715', 'Mster Universitario en Ciencias Sociales Aplicadas a la Atencin Sociosanitaria', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002714', 'Mster Universitario en Acuicultura', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000736', 'Mster Universitario en Agrobiologa Ambiental', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001428', 'Mster Universitario en Agroecologa, Desarrollo Rural y Agroturismo', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312025', 'Mster Universitario en Anlisis Avanzado de Datos Multivariantes', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310524', 'Mster Universitario en Anlisis, Planificacin y Gestin en reas Litorales', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311853', 'Mster Universitario en Estudios Interculturales Europeos', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002587', 'Mster Universitario en Estudios Migratorios. Desarrollo e Intervencin Social', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003011', 'Mster Universitario en Fsica Computacional y Aplicada', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310089', 'Mster Universitario en Fsica Fundamental', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000033', 'Mster Universitario en Derecho Constitucional Europeo', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730090000', 'Ingeniero Tcnico de Minas, Especialidad en Recursos Energticos, Combustibles y Explosivos', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '54', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '62', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502213', 'Graduado en Ingeniera Agrcola y del Medio Rural ', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500568', 'Graduado en Publicidad y Relaciones Pblicas', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501338', 'Graduado en Administracin y Direccin de Empresas  ', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312928', 'Mster Universitario en Investigacin Intercultural Latinoamericana', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500884', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500815', 'Graduado o Graduada en Criminologa', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500284', 'Graduado o Graduada en Enfermera ', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500682', 'Graduado o Graduada en Espaol: Lengua y Literatura', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500874', 'Graduado o Graduada en Estudios Italianos', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502385', 'Graduado o Graduada en Filologa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500477', 'Graduado o Graduada en Economa ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501220', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501277', 'Graduado o Graduada en Liderazgo Emprendedor e Innovacin', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501884', 'Graduado o Graduada en Matemticas', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500155', 'Graduado o Graduada en Finanzas y Contabilidad', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500695', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501342', 'Graduado o Graduada en Ingeniera de Sistemas de Informacin', NULL, 0, '59', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500999', 'Graduado en Ciencias Ambientales', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501669', 'Graduado o Graduada en Ingeniera en Tecnologas de Telecomunicacin', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502302', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502281', 'Graduado o Graduada en Ingeniera Geolgica', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501897', 'Graduado o Graduada en Ingeniera Marina', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502485', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502041', 'Graduado o Graduada en Ingeniera Nutica y Transporte Martimo ', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502033', 'Graduado o Graduada en Medicina ', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502430', 'Graduado o Graduada en Pedagoga', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500593', 'Graduado o Graduada en Pedagoga', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500567', 'Graduado o Graduada en Periodismo', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500561', 'Graduado o Graduada en Trabajo Social', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502672', 'Graduado o Graduada en Trabajo Social', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500569', 'Graduado o Graduada en Turismo', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000002', 'Mster en Ingeniero en automocin', 'S', 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000003', 'Mster en Gestin y Tecnologa Ambiental', 'N', 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000003', 'Mster en Gestin y Tecnologa Ambiental', 'N', 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000003', 'Mster en Gestin y Tecnologa Ambiental', 'N', 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000146', 'Mster en Acstica y vibraciones', 'S', 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190040000', 'Licenciado en Ciencias, Seccin de Biolgicas', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190060000', 'Licenciado en Ciencias, Seccin de Geolgicas', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '72', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '66', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240010000', 'Licenciado en Derecho (Plan Hispano-Francs)', 'N', 2, '58', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250000000', 'Licenciado en Filosofa y Ciencias de la Educacin', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250140000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Pedagoga', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30260000000', 'Licenciado en Geografa e Historia', 'N', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30270000000', 'Licenciado en Filologa', 'N', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30270010000', 'Licenciado en Filologa, Seccin Filologa Anglogermnica', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30270010000', 'Licenciado en Filologa, Seccin Filologa Anglogermnica', 'N', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010700', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Clsica', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Germnica.(Ingls).', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Germnica.(Ingls).', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011500', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN FILOLOGIA INGLESA', 'N', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011500', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN FILOLOGIA INGLESA', 'N', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011500', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN FILOLOGIA INGLESA', 'N', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020500', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia del Arte.', 'N', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020605', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia Contemporanea.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022100', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN GEOGRAFIA E HISTORIA', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '35', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '69', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '59', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30450000000', 'Licenciado en Filologa Alemana', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30460000000', 'Licenciado en Filologa rabe', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30460000000', 'Licenciado en Filologa rabe', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30470000000', 'Licenciado en Filologa Catalana', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30470000000', 'Licenciado en Filologa Catalana', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480010000', 'Licenciado en Filologa Clsica.(Filologa Griega).', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30490000000', 'Licenciado en Filologa Eslava', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30510000000', 'Licenciado en Filologa Gallega', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '52', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30550000000', 'Licenciado en Filologa Italiana', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30560000000', 'Licenciado en Filologa Portuguesa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '52', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30670000000', 'Licenciado en Mquinas Navales', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30700000000', 'Licenciado en Lingstica', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '72', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30810000000', 'Licenciado en Enologa', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30850000000', 'Licenciado en Criminologa', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30850000000', 'Licenciado en Criminologa', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30850000000', 'Licenciado en Criminologa', 'S', 2, '62', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30850000000', 'Licenciado en Criminologa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010090000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa Inglesa.', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '54', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '58', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '56', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110770000', 'Diplomado en Ciencias Empresariales.Mercados Financieros.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '67', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '56', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40240000000', 'Diplomado en Navegacin Martima', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '54', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40280000000', 'Diplomado en Empresas y Actividades Tursticas', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '58', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '65', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '68', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310330', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310591', 'Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Enseanzas de Idiomas', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311024', 'Lseres y Aplicaciones en Quimica', 'N', 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010010000', 'Arquitecto.Edificacin.', 'N', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010020000', 'Arquitecto.Urbanismo.', 'N', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010020000', 'Arquitecto.Urbanismo.', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '59', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10040000000', 'Ingeniero de Caminos, Canales y Puertos', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10040000000', 'Ingeniero de Caminos, Canales y Puertos', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '52', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '61', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090160000', 'Ingeniero Industrial.Mecnica.Intensificacin Mquinas.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '64', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '61', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10160000000', 'Ingeniero en Geodesia y Cartografa', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10160000000', 'Ingeniero en Geodesia y Cartografa', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10170000000', 'Ingeniero Naval y Ocenico', 'S', 2, '64', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10220000000', 'Ingeniero de Sistemas de Defensa', 'S', 2, '64', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500463', 'Graduado en Educacin Social', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501416', 'Graduado en Estudios Ingleses', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501497', 'Graduado en Derecho', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502309', 'Graduado en Enologa', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502317', 'Graduado en Ingeniera Electrnica Industrial y Automtica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502473', 'Graduado en Marketing e Investigacin de Mercados', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000140', 'Mster Investigacin en Economa de la Empresa', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000140', 'Mster Investigacin en Economa de la Empresa', 'S', 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000155', 'Mster en Iniciacin a la investigacin de textos de la antigedad clasica y su pervivencia', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000170', 'Mster en Automocin', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000182', 'Mster en Retina', 'S', 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000183', 'Mster en Inmunologa y superficie ocular', 'S', 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000185', 'Mster en Investigacin en ciencias de la visin', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001015', 'Master en Docencia e Interpretacin en Lenguas de Seas', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001019', 'Mster Oficial en Estudios Ingleses Avanzados:Lenguas y Culturas de contacto', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001020', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30040010000', 'Licenciado en Ciencias Polticas y Sociologa, Seccin Ciencias Polticas', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30040020000', 'Licenciado en Ciencias Polticas y Sociologa, Seccin Sociologa', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30050000000', 'Licenciado en Ciencias Polticas', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060011700', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Econmicas, Especialidad Economa Aplicada', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020200', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Financiacin', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020200', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Financiacin', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060021500', 'Licenciado en Ciencias Econmicas y Empresariales.(Empresariales).Direccin Comercial.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060021500', 'Licenciado en Ciencias Econmicas y Empresariales.(Empresariales).Direccin Comercial.', 'N', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060021800', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Investigacin Comercial', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130010000', 'Licenciado en Ciencias de la Informacin, Seccin Periodismo', 'N', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130020000', 'Licenciado en Ciencias de la Informacin, Seccin Publicidad y Relaciones Pblicas', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130040000', 'Licenciado en Ciencias de la Informacin, Seccin Publicidad', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30140000000', 'Licenciado en Ciencias Biolgicas', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020200', 'Licenciado en Ciencias.(Qumicas).Qumica Tcnica', 'N', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020300', 'Licenciado en Ciencias.(Qumicas).Qumica Analtica', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020700', 'Licenciado en Ciencias.(Qumicas).Qumica Fsica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502348', 'Graduado o Graduada en Arquitectura', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502066', 'Graduado o Graduada en Arquitectura Naval e Ingeniera de Sistemas Marinos', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500475', 'Graduado o Graduada en Biologa ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500559', 'Graduado o Graduada en Lenguas Modernas y Gestin', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501747', 'Graduado o Graduada en Lingstica y Lenguas Aplicadas', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502095', 'Graduado o Graduada en Magisterio de Educacin Infantil', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501076', 'Graduado o Graduada en Fisioterapia', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500582', 'Graduado o Graduada en Fisioterapia', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502426', 'Graduado o Graduada en Geologa', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501745', 'Graduado o Graduada en Historia', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501851', 'Graduado o Graduada en Ingeniera Electrnica Industrial', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502484', 'Graduado o Graduada en Ingeniera Electrnica y Automtica ', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501645', 'Graduado o Graduada en Ingeniera en Organizacin Industrial', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500832', 'Graduado en Sociologa', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500691', 'Graduado en Matemticas', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500030', 'Graduado o Graduada en Administracin de Empresas', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500352', 'Graduado o Graduada en Biologa por la Universidad de Len', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502468', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502378', 'Graduado o Graduada en Ingeniera Qumica Industrial', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501646', 'Graduado o Graduada en Ingeniera Tcnica de Telecomunicacin', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500867', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501211', 'Graduado o Graduada en Magisterio en Educacin Primaria', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501009', 'Graduado o Graduada en Fisioterapia', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500296', 'Graduado o Graduada en Geografa', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311427', 'Mster Universitario en Salud Mental: Investigacin en Psiquiatra, Neurotoxicologa y Psicofarmacol', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000415', 'Mster Universitario en Seguridad Integral en la Industria', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310333', 'Mster Universitario en Servicios Pblicos y Polticas Sociales', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001861', 'Mster Universitario en Sistemas Inteligentes y Aplicaciones Numricas en Ingeniera', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003030', 'Mster Universitario en Tecnologa en la Arquitectura', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002819', 'Mster Universitario en Terapia Familiar', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001994', 'Mster Universitario en Traduccin Creativa y Humanstica', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312519', 'Mster Universitario en Turismo Cultural', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312747', 'Mster Universitario en Gestin y Liderazgo en Proyectos Culturales', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310774', 'Mster Universitario en Ingeniera del Agua y del Terreno ', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000540', 'Mster Universitario en Ingeniera Elctrica, Electrnica y Automtica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312117', 'Mster Universitario en Ingeniera Electromecnica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312118', 'Mster Universitario en Ingeniera Informtica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311562', 'Mster Universitario en Planificacin Territorial y Gestin Ambiental', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310021', 'Mster Universitario en Prctica Jurdica Laboral', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312324', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310708', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002937', 'Mster Universitario en Procesamiento del Lenguaje Natural y Tecnologas Lingsticas / Natural Lang', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312415', 'Mster Universitario en Investigacin en Ciencias Jurdicas', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311096', 'Mster Universitario en Investigacin en Ingeniera Civil', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311392', 'Mster Universitario en Investigacin en Sistemas de Produccin Agroalimentaria ', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311391', 'Mster Universitario en Investigacin en Sistemas y Productos Forestales', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311657', 'Mster Universitario en Literatura Comparada y Estudios Literarios', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312333', 'Mster Universitario en Msica como Arte Interdisciplinar', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001121', 'Mster Universitario en Nutrigenmica y Nutricin Personalizada', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002116', 'Mster Universitario en odontologa integrada', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311859', 'Mster Universitario en Optometra y Visin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311296', 'Estudios Avanzados en Filosofia', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311481', 'Master en Docencia e Interpretacin en Lenguas de Seas', 'S', 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311667', 'Mster en Qumica Sinttica e Industrial', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311850', 'Mster en Arteterapia y Educacin Artstica para la Inclusin Social', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311850', 'Mster en Arteterapia y Educacin Artstica para la Inclusin Social', 'N', 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312199', 'Mster en Historia Medieval de Castilla y Len', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312202', 'Mster en Comercio Exterior', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312596', 'Mster en Economa de la Cultura y Gestin Cultural', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '52', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50610020000', 'Ingeniero Tcnico Industrial. Elctrica', 'N', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50610050000', 'Ingeniero Tcnico Industrial, Especialidad Textil', 'S', 1, '99', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630010000', 'Ingeniero Tcnico de Telecomunicacin.Equipos Electrnicos.', 'N', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630010000', 'Ingeniero Tcnico de Telecomunicacin.Equipos Electrnicos.', 'N', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50700000000', 'Ingeniero Tcnico Aeronutico', 'N', 1, NULL, 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50700090000', 'Ingeniero Tcnico Aeronutico, Especialidad en Aeronavegacin', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710060000', 'Ingeniero Tcnico Agrcola, Especialidad en Mecanizacin y Construcciones Rurales', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001590', 'Mster Universitario en Arqueologa y Patrimonio: Ciencia y Profesin', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311175', 'Mster Universitario en Artes del Espectculo Vivo', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310310', 'Mster Universitario en Asesoramiento y Planificacin Financiera', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311821', 'Mster Universitario en Biofsica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000840', 'Mster Universitario en Contenidos y Formatos Audiovisuales en la Era Digital', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311632', 'Mster Universitario en Economa: Instrumentos del Anlisis Econmico', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311241', 'Mster Universitario en Elaboracin de Diccionarios y Control de Calidad del Lxico Espaol', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001307', 'Mster Universitario en Energa Solar Fotovoltica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001572', 'Mster Universitario en tecnologas de la informacin y la comunicacin aplicadas a la educacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310458', 'Mster Universitario en Teledeteccin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003041', 'Mster Universitario en Artificial Intelligence', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312441', 'Mster Universitario en Biodiversidad y Ecosistemas', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311625', 'Mster Universitario en Comunicacin Multimedia UPV-EHU-EITB/Multimedia Komunikazioa UPV-EHU-EITB Un', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001617', 'Mster Universitario en ingeniera quimica. Profesional', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312632', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310877', 'Mster Universitario en Proyecto Avanzado de Arquitectura y Ciudad ', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002651', 'Mster Universitario en Investigacin e Intervencin Social y Comunitaria', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000638', 'Mster Universitario en Investigacin en Inteligencia Artificial', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001697', 'Mster Universitario en Investigacin Matemtica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310033', 'Mster Universitario en Materiales Avanzados y Nanotecnologas', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000142', 'Mster Universitario en Metodologa de investigacin en Biologa Fundamental y Biomedicina', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001189', 'Mster Universitario en Metodologa de las Ciencias del Comportamiento', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310293', 'Mster Universitario en Migraciones Internacionales Contemporneas', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002522', 'Mster Universitario en Neurociencias', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312231', 'Mster Universitario en Neuro-rehabilitacin', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311429', 'Mster Universitario en Nutricin y Metabolismo', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311794', 'Mster Universitario en Nutricin y Seguridad Alimentaria', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002611', 'Mster Universitario en Actividad Fsica y Salud', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000205', 'Mster Universitario en Acuicultura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000205', 'Mster Universitario en Acuicultura', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310183', 'Mster Universitario en Agroecologa, Desarrollo Rural y Agroturismo', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310143', 'Mster Universitario en Alta Especializacin en Plsticos y Caucho', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000510', 'Mster Universitario en Anlisis Econmico', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002052', 'Mster Universitario en Anlisis Econmico Aplicado', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312677', 'Mster Universitario en Anlisis Econmico Moderno', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311860', 'Mster Universitario en Anlisis Poltico', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311820', 'Mster Universitario en Antropologa Fsica: Evolucin y Biodiversidad Humanas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312161', 'Mster Universitario en Arqueologa', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002016', 'Mster Universitario en Estudios Superiores de Lengua, Literatura y Cultura Catalanas', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002935', 'Mster Universitario en Estudios Teatrales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310086', 'Mster Universitario en Farmacia y Tecnologa Farmacutica', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311634', 'Mster Universitario en Farmacologa, Desarrollo, Evaluacin y Utilizacin Racional de Medicamentos', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311752', 'Mster Universitario en Derecho Privado', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000406', 'Mster Universitario en Derecho: Especialidad en Estudios de la Unin Europea', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311036', 'Mster Universitario en Ecosistemas Terrestres, Uso Sostenible e Implicaciones Ambientales', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312141', 'Mster Universitario en Enfermedades Tropicales', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310918', 'Mster Universitario en Estudios Ambientales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002678', 'Mster Universitario en Estudios Avanzados en Direccin de Empresas', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002728', 'Mster Universitario en Ingeniero de Soldadura', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001367', 'Mster Universitario en Innovacin y Gestin Hotelera', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310927', 'Mster Universitario en Integracin Europea', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310644', 'Mster Universitario en Internacionalizacin', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002973', 'Mster Universitario en Investigacin en Sociologa Aplicada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310277', 'Mster Universitario en Investigacin en Tecnologas para el Desarrollo de Sistemas de Software Comp', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000077', 'Mster Universitario en Investigacin Social aplicada al Medio Ambiente', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312004', 'Mster Universitario en Mrketing', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311098', 'Mster Universitario en Matemticas y Computacin', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002747', 'Mster Universitario en Mecatrnica', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311266', 'Mster Universitario en Metodologas Humansticas en la Era Digital', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000958', 'Mster Universitario en Musicoterapia', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311492', 'Mster Universitario en Operaciones y Logstica', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000769', 'Mster Universitario en Psicologa: Individuo, Grupo, Organizacin y Cultura', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310681', 'Mster Universitario en Salud Mental y Terapias Psicolgicas', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311060', 'Mster Universitario en Salud Pblica (MSP)', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311207', 'Mster Universitario en Seguridad y Salud Laboral', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312122', 'Mster Universitario en Software y Sistemas', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311099', 'Mster Universitario en Tcnicas de Anlisis, Evaluacin y Gestin Sostenible de Procesos y Riesgos ', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002946', 'Mster Universitario en Tecnologa Educativa: E-Learning y Gestin del Conocimiento', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311695', 'Mster Universitario en Textos, Documentos e Intervencin Cultural', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311890', 'Mster Universitario en Traduccin Especializada Ingls/Francs/Aleman - Espaol', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001873', 'Mster Universitario en Transporte, Territorio y Urbanismo', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310441', 'Mster Universitario en Gestin de Recursos Humanos, Trabajo y Organizaciones', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001754', 'Mster Universitario en Gestin de Unidades y Servicios de Informacin y Documentacin', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000686', 'Mster Universitario en Gestin e Investigacin de la Comunicacin Empresarial', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001859', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001727', 'Mster Universitario en Ingeniera de Materiales Avanzados', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311407', 'Mster Universitario en Ingeniera Electrnica', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311211', 'Mster Universitario en Ingeniera Electrnica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310977', 'Mster Universitario en Ingeniera Hidrulica y Medio Ambiente', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000359', 'Mster Universitario en Ingeniera informtica y de la seguridad', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311344', 'Mster Universitario en Ingeniera y Control de Procesos Medioambientales / Environmental Process Co', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312099', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000841', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000897', 'Mster Universitario en Produccin Artstica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310572', 'Mster Universitario en Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312480', 'Mster Universitario en Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '59', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001402', 'Mster Universitario en Proteccin Integrada de Cultivos', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311227', 'Mster Universitario en Proteccin Internacional de los Derechos Humanos', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310141', 'Mster Universitario en Investigacin Clnica y de Materiales en Odontologa', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311909', 'Mster Universitario en Investigacin en Ciencias de la Salud', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312354', 'Mster Universitario en Investigacin en Ciencias del Deporte', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311887', 'Mster Universitario en Investigacin en Cuidados de la Salud', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001771', 'Mster Universitario en Investigacin en Didctica de las Matemticas y de las Ciencias', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311319', 'Mster Universitario en Investigacin en Psicologa Clnica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001161', 'Mster Universitario en qumica orgnica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001681', 'Mster Universitario en qumica terica y modelacin computacional', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310939', 'Mster Universitario en Radiacin de Sincrotrn y Aceleradores de Partculas', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310023', 'Mster Universitario en Recursos Humanos', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311918', 'Mster Universitario en Redes de Telecomunicacin para Pases en Desarrollo', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310717', 'Mster Universitario en Salud Laboral (Prevencin de Riesgos Laborales) por la Universidad de las Il', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002860', 'Mster Universitario en Salut laboral', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310107', 'Mster Universitario en Seguridad de la Informacin ', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310881', 'Mster Universitario en Sistema Penal, Criminalidad y Polticas de Seguridad', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311938', 'Mster Universitario en Sistemas Electrnicos Avanzados. Sistemas Inteligentes', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001853', 'Mster Universitario en tecnologa lser', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311425', 'Mster Universitario en Tecnologas de Climatizacin y Eficiencia Energtica en Edificios', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002122', 'Mster Universitario en tecnologas de la informacin geogrfica', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000622', 'Mster Universitario en Valoracin del Dao Corporal, Dao Cerebral y Discapacidades.', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310778', 'Mster Universitario en Arquitectura, Energa y Medio Ambiente', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310113', 'Mster Universitario en Asesora Jurdica de la Empresa', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002173', 'Mster Universitario en Atencin Fisioterpica en la Actividad Fsica y el Deporte', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001530', 'Mster Universitario en Avances en Radiologa y Medicina Fsica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003080', 'Mster Universitario en Biodiversidad, Paisajes y Gestin Sostenible', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310187', 'Mster Universitario en Comportamiento Mecnico y Materiales ', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311343', 'Mster Universitario en Computacin de Altas Prestaciones', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312149', 'Mster Universitario en Comunicacin Corporativa', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311237', 'Mster Universitario en Comunicacin, Redes y Gestin de Contenidos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312678', 'Mster Universitario en Cuestiones Actuales del Derecho', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002639', 'Mster Universitario en Cuidades Integrales de Enfermera en Procesos Nefrolgicos', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002134', 'Mster Universitario en Biologa de Sistemas', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001814', 'Mster Universitario en Biomedicina Molecular', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312369', 'Mster Universitario en Ciencia y Tecnologa Qumica', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311383', 'Mster Universitario en Ciencias de la Enfermera', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312626', 'Mster Universitario en Ciencias de la Enfermera', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001592', 'Mster Universitario en Ciencias Forenses', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001614', 'Mster Universitario en Ciencias Odontolgicas/Estomatolgicas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001164', 'Mster Universitario en Antropologa Fsica y Forense', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312304', 'Mster Universitario en Estudios Ingleses y Comunicacin Multilinge e Intercultural ', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310639', 'Mster Universitario en Estudios Interdisciplinares de Gnero', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002983', 'Mster Universitario en Estudios Latinoamericanos', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311591', 'Mster Universitario en Eurocultura', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310517', 'Mster Universitario en Finanzas Internacionales', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310568', 'Mster Universitario en Fsica de Sistemas Complejos', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311385', 'Mster Universitario en Desarrollo y Cooperacin Internacional', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002720', 'Mster Universitario en Direccin de Empresa Familiar', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310656', 'Mster Universitario en Direccin de Recursos Humanos', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003072', 'Mster Universitario en Direccin y Gestin de Centros (on line)', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000955', 'Mster Universitario en Direccin y Gestin de Centros y Proyectos Sociosanitarios', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310620', 'Mster Universitario en Director Deportivo', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311755', 'Mster Universitario en Economa. Organizacin Industrial y Mercados Financieros', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001521', 'Mster Universitario en Energas Renovables y Sostenibilidad Energtica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311376', 'Mster Universitario en Enseanza de Espaol y de Cataln como Segundas Lenguas/Lenguas y Movimiento', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311696', 'Mster Universitario en Especializacin y Cuidados de Enfermera', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311536', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311653', 'Mster Universitario en Integracin de las Energias Renovables en el Sistema Elctrico', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310027', 'Mster Universitario en Intervencin e Investigacin en Patologa del Lenguaje ', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002561', 'Mster Universitario en Intervencin Psicolgica en Contextos de Riesgo', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311315', 'Mster Universitario en Intervencin Psicosocial', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311913', 'Mster Universitario en Intervencin Social con Individuos, Familias y Grupos', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000795', 'Mster Universitario en Intervencin y Mediacin con Menores en Situacin de Desproteccin y/o Confl', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311068', 'Mster Universitario en Investigacin Biomdica', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002563', 'Mster Universitario Erasmus Mundus en Calidad en Laboratorios Analticos (Quality in Analytical Lab', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001930', 'Mster Universitario Europeo en Administracin y Direccin de Empresas UC3M ESCP-EAP European School', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310721', 'Mster Universitario en Avances en Seguridad de los Alimentos', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001236', 'Mster Universitario en Banca y Finanzas Cuantitativas', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312075', 'Mster Universitario en Biotica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312462', 'Mster Universitario en Comunicacin Institucional y Empresarial', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311785', 'Mster Universitario en Comunicacin, Seguridad y Defensa', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002753', 'Mster Universitario en Construcciones e Instalaciones  Industriales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000759', 'Mster Universitario en Contaminacin y Toxicologa Ambientales', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311106', 'Mster Universitario en Criminologa y Delincuencia Juvenil', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001131', 'Mster Universitario en Biologa de las Plantas en Condiciones Mediterrneas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311603', 'Mster Universitario en Biotecnologa Molecular y Celular de Plantas', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312633', 'Mster Universitario en Ciencia de las Religiones', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312165', 'Mster Universitario en Ciencia y Tecnologa de Nuevos Materiales', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001906', 'Mster Universitario en Ciencias de la Enfermera', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310603', 'Mster Universitario en Administracin Integrada de Empresas: Responsabilidad Social Corporativa, Ca', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310567', 'Mster Universitario en Agroingeniera', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311299', 'Mster Universitario en Anlisis Econmico del Derecho y las Polticas Pblicas', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000653', 'Mster Universitario en Anlisis Econmico Internacional', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311618', 'Mster Universitario en Anlisis Forense', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311701', 'Mster Universitario en Arqueologa', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001761', 'Mster Universitario en Estudios Medievales. Arte, Historia y Literatura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312670', 'Mster Universitario en Estudios Socio-Polticos', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312022', 'Mster Universitario en Artes Escnicas', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000148', 'Mster Universitario en Autodeterminacin e Integracin Socio-Laboral de las Personas con Discapacid', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002776', 'Mster Universitario en Banca y Finanzas', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312198', 'Mster Universitario en Bienestar Social Individual, Familiar y Grupal', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002117', 'Mster Universitario en Biotica', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002038', 'Mster Universitario en Comunicacin Audiovisual para Internet y Nuevos Medios', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001875', 'Mster Universitario en comunicacin y educacin en la red: de la sociedad de la informacin a la so', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003084', 'Mster Universitario en Cooperacin Internacional al Desarrollo', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002843', 'Mster Universitario en Criminologa y Sociologa Jurdicopenal', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002865', 'Mster Universitario en Biologa y Biotecnologa Vegetal', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002637', 'Mster Universitario en Biotecnologa Avanzada', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310965', 'Mster Universitario en Ciencia e Ingeniera de los Alimentos', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312170', 'Mster Universitario en Ciencia y Tecnologa Farmacuticas y Uso Racional del Medicamento', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311009', 'Mster Universitario en Ciencias del Clima, Meteorologa, Oceanografa Bsica y Cambio Climtico', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000753', 'Mster Universitario Ejecutivo en Direccin de Empresas (EMBA)', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002055', 'Mster Universitario en Abogaca y Prctica Jurdica', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311500', 'Mster Universitario en Actividad Motriz y Educacin', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003024', 'Mster Universitario en Agricultura para el Desarrollo', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312109', 'Mster Universitario en Anlisis, Teora e Historia de la Arquitectura', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312142', 'Mster Universitario en Antropologa Aplicada, Salud y Desarrollo Comunitario', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001175', 'Mster Universitario en Antropologa Fsica. Evolucin y Biodiversidad Humana', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311924', 'Mster Universitario en Aproximaciones Moleculares en Ciencias de la Salud', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311757', 'Mster Universitario en Estudios Ingleses. Tendencias Actuales y Aplicaciones', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310013', 'Mster Universitario en Estudios Norteamericanos por la Universidad de Alcal', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311823', 'Mster Universitario en Fsica de la Materia Condensada y Nanotecnologa', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000858', 'Mster Universitario en Fsica Mdica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000032', 'Mster Universitario en Culturas rabe y Hebrea, Pasado y Presente', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312273', 'Mster Universitario en Desarrollo del Software', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002801', 'Mster Universitario en Ecografa del Aparato Locomotor', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310432', 'Mster Universitario en Economa Internacional y Desarrollo', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001810', 'Mster Universitario en Economa y Gestin de la Innovacin', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310044', 'Mster Universitario en Qumica Agrcola', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001952', 'Mster Universitario en Rehabilitacin Arquitectnica', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312400', 'Mster Universitario en Salud Pblica', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312323', 'Mster Universitario en Sexologa', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000493', 'Mster Universitario en Simulacin de Procesos Moleculares', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310559', 'Mster Universitario en Soft Computing y Anlisis Inteligente de Datos', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003023', 'Mster Universitario en Sostenibilidad', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003003', 'Mster Universitario en Ingeniera en Energa', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001878', 'Mster Universitario en poltica y democracia', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311396', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312360', 'Mster Universitario en Investigacin en Actividad Fsica y Deporte', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002107', 'Mster Universitario en Investigacin en Atencin Primaria', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312322', 'Mster Universitario en Contabilidad y Finanzas Corporativas', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312322', 'Mster Universitario en Contabilidad y Finanzas Corporativas', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002123', 'Mster Universitario en Cuidados Crticos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001908', 'Mster Universitario en Business Administration (MBA)', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311598', 'Mster Universitario en Ciencia y Tecnologa Qumica', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002749', 'Mster Universitario en Ciencias de la Enfermera', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002567', 'Mster Universitario en Comercio Exterior e Internacionalizacin de Empresas', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000619', 'Mster Universitario en Actividad Fsica y Salud', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312460', 'Mster Universitario en Administracin Concursal', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312447', 'Mster Universitario en Gestin de la Documentacin, Bibliotecas y Archivos', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002009', 'Mster Universitario en Gestin de las Tecnologas de la Informacin y la Comunicacin', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312702', 'Mster Universitario en Gestin Integral de la Edificacin', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000907', 'Mster Universitario en Gestin Sostenible y Tecnologas del Agua', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311312', 'Mster Universitario en Gestin, Organizacin y Economa de la Empresa / Management, Organization an', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000743', 'Mster Universitario en Gobierno y Cultura de las Organizaciones', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310411', 'Mster Universitario en Historia Contempornea', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310411', 'Mster Universitario en Historia Contempornea', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002106', 'Mster Universitario en Igualdad de Gnero en el mbito Pblico y Privado', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312947', 'Mster Universitario en Ingeniera de Caminos, Canales y Puertos', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310659', 'Mster Universitario en Ingeniera de Fabricacin', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003002', 'Mster Universitario en Ingeniera Electrnica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312539', 'Mster Universitario en Ingeniera Informtica', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310802', 'Mster Universitario en Ingeniera Mecnica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001856', 'Mster Universitario en ingeniera mecnica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311690', 'Mster Universitario en Ingeniera y Gestin de las Telecomunicaciones - Masteam', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310793', 'Mster Universitario en Polmeros y Biopolmeros', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312297', 'Mster Universitario en Polticas y Prcticas de Innovacin Educativa', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312456', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310562', 'Mster Universitario en Investigacin en Cncer ', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002609', 'Mster Universitario en Investigacin en la Enseanza y el Aprendizaje de las Ciencias Experimentale', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001874', 'Mster Universitario en Investigacin Matemtica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311022', 'Mster Universitario en Investigacin Sociosanitaria', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002772', 'Mster Universitario en investigacin y gestin del patrimonio histrico-artstico y cultural', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002893', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001820', 'Mster Universitario en Metodologa de las Ciencias del Comportamiento y de la Salud', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000239', 'Mster Universitario en Biologa Humana', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002159', 'Mster Universitario en Ciencias del Laboratorio Clnico', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310452', 'Mster Universitario en Ciencias Jurdicas y Derecho Cannico', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003077', 'Mster Universitario "European Masters in Transnational Trade Law and Finance" (Erasmus Mundus)', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311538', 'Mster Universitario en Acuicultura', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000366', 'Mster Universitario en Arqueologa del Cuaternario y Evolucin Humana', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001179', 'Mster Universitario en Estudios Interculturales Europeos', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312573', 'Mster Universitario en Derecho Penal Econmico', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311753', 'Mster Universitario en Desarrollo Econmico e Innovacin', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002907', 'Mster Universitario en Desarrollo y Cooperacin Internacional', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312077', 'Mster Universitario en Diagnstico en Tecnologa de la Reproduccin y Medicina Veterinarias', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001866', 'Mster Universitario en Diseo y Fabricacin Integrada Asistidos por Computador', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311955', 'Mster Universitario en Docencia Universitaria', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312646', 'Mster Universitario en Economa / Economics', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000904', 'Mster Universitario en Economa Cuantitativa', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311188', 'Mster Universitario en Economa y Sociologa de la Globalizacin', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002004', 'Mster Universitario en Educacin Especial', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002838', 'Mster Universitario en Educacion para la Ciudadania y en Valores', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000607', 'Mster Universitario en Endodoncia Avanzada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311824', 'Mster Universitario en Microbiologa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310063', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001615', 'Mster Universitario en neurociencia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311421', 'Mster Universitario en Organizacin Industrial', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312157', 'Mster Universitario en Periodismo Cultural', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002830', 'Mster Universitario en Qumica Orgnica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312191', 'Mster Universitario en Seguridad Integral en Edificacin', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000396', 'Mster Universitario en Servicios Culturales', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002657', 'Mster Universitario en Sistemas de Informacin Audiovisual', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001046', 'Mster Universitario en Sistemas Electrnicos', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000846', 'Mster Universitario en Sistemas y Servicios en la Sociedad de la Informacin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311452', 'Mster Universitario en Tcnicas de Caracterizacin y Conservacin de la Diversidad Biolgica ', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310399', 'Mster Universitario en Tecnologas y Procesos en la Industria del Automvil', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001960', 'Mster Universitario en Theoretical Chemistry and Computational Modelling', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312916', 'Mster Universitario en Traduccin Juridico-Financiera', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001584', 'Mster Universitario en Traduccin, Mediacin Cultural e Interpretacin', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311187', 'Mster Universitario Erasmus Mundus en Biodiversidad Marina y Conservacin', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001133', 'Mster Universitario en Bioinformtica para las Ciencias de la Salud', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000770', 'Mster Universitario en Comportamiento Mecnico y Materiales', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311863', 'Mster Universitario en Comunicacin Social', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002076', 'Mster Universitario en Control, Sistemas Electrnicos e Informtica Industrial', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311513', 'Mster Universitario en Criminologa y Sociologa Jurdico-penal', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312056', 'Mster Universitario en Filosofa Contempornea y sus Presupuestos Histricos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002768', 'Mster Universitario en Finanzas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312690', 'Mster Universitario en Fsica Nuclear', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312690', 'Mster Universitario en Fsica Nuclear', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310353', 'Mster Universitario en Desarrollo Regional e Integracin Econmica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002643', 'Mster Universitario en Direccin y Administracin de Empresas', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001353', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310068', 'Mster Universitario en Economa de la Empresa y Mtodos Cuantitativos', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311998', 'Mster Universitario en Economa y Evaluacin de Polticas', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311047', 'Mster Universitario en Edicin', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310345', 'Mster Universitario en Educacin en Salud Escolar', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001671', 'Mster Universitario en Empresa y Tecnologas de la Informacin', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310471', 'Mster Universitario en Energas Renovables', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002582', 'Mster Universitario en Estructuras', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311333', 'Mster Universitario en Estudios Avanzados y Aplicados en Lengua y Literatura Catalanas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312647', 'Mster Universitario en Estudios e Intervencin Social en Inmigracin, Desarrollo y Grupos Vulnerabl', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311548', 'Mster Universitario en Inmunologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310186', 'Mster Universitario en Instalaciones Tcnicas y Elctricas. Eficiencia Energtica', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002840', 'Mster Universitario en Intervenciones Sociales y Educativas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000444', 'Mster Universitario en Fisioterapia Manual del Aparato Locomotor', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000445', 'Mster Universitario en Formacin de Profesores en Espaol', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310393', 'Mster Universitario en Fotnica y Tecnologas del Lser', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001962', 'Mster Universitario en Fotnica y Tecnologas del Lser', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311225', 'Mster Universitario en Ingeniera del Software para la Web ', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000620', 'Mster Universitario en derecho Sanitario', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310031', 'Mster Universitario en Didcticas Especficas en el Aula, Museos y Espacios Naturales ', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311827', 'Mster Universitario en Direccin de Recursos Humanos', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310662', 'Mster Universitario en Direccin y Gestin de Centros Sociosanitarios', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312186', 'Mster Universitario en Diseo Avanzado en Ingeniera Mecnica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001007', 'Mster Universitario en Diseo, Obtencin y Evaluacin de Frmacos.', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002791', 'Mster Universitario en Edicin', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312681', 'Mster Universitario en Estudios Histricos Comparados', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501337', 'Graduado o Graduada en Medicina', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501517', 'Graduado o Graduada en ptica y Optometra', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500470', 'Graduado o Graduada en ptica y Optometra', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502068', 'Graduado o Graduada en ptica y Optometra', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502166', 'Graduado o Graduada en Psicologa', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502505', 'Graduado o Graduada en Qumica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500118', 'Graduado o Graduada en Relaciones Laborales y Empleo', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500445', 'Graduado o Graduada en Relaciones Laborales y Empleo ', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001882', 'Mster Universitario en intervencin de la administracin en la sociedad', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002183', 'Mster Universitario en Intervencin Logopdica Especializada', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002894', 'Mster Universitario en Intervencin Psicosocial', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311001', 'Mster Universitario en Formacin del Profesorado', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311895', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501019', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500262', 'Graduado o Graduada en Sociologa', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502048', 'Graduado o Graduada en Terapia Ocupacional ', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501053', 'Graduado o Graduada en Traduccin e Interpretacin: Ingls-Alemn', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500823', 'Graduado o Graduada en Biotecnologa', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500193', 'Graduado o Graduada en Ciencia Poltica y de la Administracin ', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501809', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500914', 'Graduado o Graduada en Comercio', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500403', 'Graduado o Graduada en Derecho', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502265', 'Graduado o Graduada en Derecho ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500137', 'Graduado o Graduada en Desarrollo, Gestin Comercial y Estrategias de Mercado', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502062', 'Graduado o Graduada en Diseo y Desarrollo de Videojuegos', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002552', 'Mster Universitario en Espaol y su Cultura: Desarrollos Profesionales y Empresariales por la Unive', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310551', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria, Bachillerato ', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000400', 'Mster Universitario en Gerontologa', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311592', 'Mster Universitario en Gerontologa', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310495', 'Mster Universitario en Gestin Ambiental de Sistemas Hdricos', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002165', 'Mster Universitario en Gestin y Direccin de Cooperativas', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311978', 'Mster Universitario en Historia y Ciencias de la Antigedad', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001573', 'Mster Universitario en ingeniera geolgica y geotecnia', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312587', 'Mster Universitario en Ingeniera Industrial', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312269', 'Mster Universitario en Problemas Sociales: Direccin y Gestin de Programas Sociales', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311829', 'Mster Universitario en Programas Deportivos: Gestin, Alto Rendimiento y Desarrollo Social', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311459', 'Mster Universitario en Proyectos Arquitectnicos Avanzados', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001913', 'Mster Universitario en Investigacin en Desarrollo de las Capacidades Musicales', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310054', 'Mster Universitario en Investigacin en Personalidad y Comportamiento', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002652', 'Mster Universitario en Investigacin en Psicologa de la Salud', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310599', 'Mster Universitario en Libro Ilustrado y Animacin Audiovisual', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000892', 'Mster Universitario en Motores de Combustin Interna Alternativos', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001462', 'Mster Universitario en Nacional Master Degree en molecular nano and biophotonics for telecommunicat', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310421', 'Mster Universitario en Nutricin Animal', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311662', 'Mster Universitario en Nutricin y Salud', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312083', 'Mster Universitario en Nutricin, Tecnologa y Seguridad Alimentaria', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310104', 'Mster Universitario en Olivicultura y Elaiotecnia', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312196', 'Mster Universitario en Optometra Avanzada y Ciencias de la Visin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310422', 'Mster Universitario en Ordenacin Territorial y Medio Ambiental', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000356', 'Mster Universitario en Organizacin industrial', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310936', 'Mster Universitario en Paleontologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001508', 'Mster Universitario en Patrimonio Histrico-Arqueolgico', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002089', 'Mster Universitario en Pedagoga de Museos', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000099', 'Mster Universitario en Estudios Avanzados en Qumica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002982', 'Mster Universitario en Estudios Histricos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312523', 'Mster Universitario en Geofsica y Meteorologa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311952', 'Mster Universitario en Gestin de la Edificacin', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312080', 'Mster Universitario en Gestin de la Fauna Silvestre', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312538', 'Mster Universitario en Gestin Sostenible de Recursos Pesqueros', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500795', 'Graduado o Graduada en Estudios de Asia y frica: Arabe, Chino y Japons', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501376', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502094', 'Graduado o Graduada en Educacin Social', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500550', 'Graduado o Graduada en Educacin Social', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501841', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500425', 'Graduado o Graduada en Biologa', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502458', 'Graduado o Graduada en Bioqumica por la Universidad de Castilla-La Mancha', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500697', 'Graduado o Graduada en Ingeniera Telemtica ', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501685', 'Graduado o Graduada en Logopedia', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502076', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501197', 'Graduado o Graduada en Finanzas y Contabilidad', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502158', 'Graduado o Graduada en Fundamentos de la Arquitectura', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500507', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501826', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501325', 'Graduado o Graduada en Ingeniera de Obras Pblicas en Hidrologa', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501217', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501369', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501896', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500099', 'Graduado o Graduada en Medicina', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500360', 'Graduado o Graduada en Medicina ', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502092', 'Graduado o Graduada en Medicina', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500091', 'Graduado o Graduada en Medicina', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502053', 'Graduado o Graduada en Odontologa', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500069', 'Graduado o Graduada en Periodismo', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500139', 'Graduado o Graduada en Periodismo', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502020', 'Graduado o Graduada en Proyectos de Interiorismo', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500055', 'Graduado o Graduada en Psicologa', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500607', 'Graduado o Graduada en Psicologa ', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501840', 'Graduado o Graduada en Psicologa por la Universidad de Huelva', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500010', 'Graduado o Graduada en Qumica', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502417', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501155', 'Graduado o Graduada en Trabajo Social', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500601', 'Graduado o Graduada en Turismo', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501270', 'Graduado o Graduada en Comercio Internacional', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502084', 'Graduado o Graduada en Conservacin y Restauracin del Patrimonio Cultural', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502043', 'Graduado o Graduada en Enfermera', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502448', 'Graduado o Graduada en Enfermera', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501382', 'Graduado o Graduada en Farmacia', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501743', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501744', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500758', 'Graduado o Graduada en Filosofa', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502425', 'Graduado o Graduada en Educacin Social', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500576', 'Graduado o Graduada en Administracin y Direccin de Empresas ', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501374', 'Graduado o Graduada en Bellas Artes', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501532', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500159', 'Graduado o Graduada en Ingeniera Telemtica por la Universidad Carlos III de Madrid', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500374', 'Graduado o Graduada en Lengua y Literatura Espaolas', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502489', 'Graduado o Graduada en Odontologa', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500018', 'Graduado o Graduada en Periodismo', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500165', 'Graduado o Graduada en Psicologa', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501439', 'Graduado o Graduada en Relaciones Internacionales por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501891', 'Graduado o Graduada en Relaciones Laborales', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500090', 'Graduado o Graduada en Turismo', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500468', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501821', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501288', 'Graduado o Graduada en Criminologa y Polticas Pblicas de Prevencin', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500747', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500664', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500878', 'Graduado o Graduada en Educacin Social', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501442', 'Graduado o Graduada en Educacin Social', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500899', 'Graduado o Graduada en Lenguas Modernas y sus Literaturas', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500473', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502486', 'Graduado o Graduada en Marketing e Investigacin de Mercados', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500227', 'Graduado o Graduada en Historia ', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500834', 'Graduado o Graduada en Historia y Patrimonio Histrico', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501732', 'Graduado o Graduada en Ingeniera Agroalimentaria y del Medio Rural', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501024', 'Graduado o Graduada en Arquitectura', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501611', 'Graduado o Graduada en Fisioterapia ', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500073', 'Graduado o Graduada en Fisioterapia por la Universidad de Zaragoza', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501767', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500554', 'Graduado o Graduada en Ingeniera en Electrnica Industrial y Automtica', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501181', 'Graduado o Graduada en Ingeniera en Sistemas de Telecomunicacin', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502332', 'Graduado o Graduada en Ingeniera Informtica en Sistemas de Informacin', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502211', 'Graduado o Graduada en Ingeniera Marina ', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500048', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502497', 'Graduado o Graduada en Medicina', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500594', 'Graduado o Graduada en Periodismo', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500619', 'Graduado o Graduada en Periodismo', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500918', 'Graduado o Graduada en Podologa', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501755', 'Graduado o Graduada en Trabajo Social', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501165', 'Graduado o Graduada en Turismo', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500456', 'Graduado o Graduada en Turismo ', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501127', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500626', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500265', 'Graduado o Graduada en Ciencias de la Alimentacin ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501804', 'Graduado o Graduada en Conservacin y Restauracin de Bienes Culturales', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502240', 'Graduado o Graduada en Consultora y Gestin de la Informacin', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502119', 'Graduado o Graduada en Criminologa', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313005', 'Mster Universitario en Ciencias y Tecnologas de la Computacin por la Universidad Politcnica de Madrid', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313012', 'Mster Universitario en Negocios Internacionales / International Business por la Universidad Pompeu Fabra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313016', 'Mster Universitario en Banca y Asesora Financiera por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313023', 'Mster Universitario en Mercados Financieros, Banca y Finanzas Globales', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313036', 'Mster Universitario en Investigacin en mbitos Socioeducativos', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313038', 'Mster Universitario en Conservacin y Exhibicin  de Arte Contemporneo (CYXAC) por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313045', 'Mster Universitario en Sistemas Embebidos por la Mondragn Unibertsitatea', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000427', 'Mster Universitario en Enseanza del Espaol como Lengua Extranjera', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311277', 'Mster Universitario en Innovacin e Investigacin en Ciencias de la Actividad Fsica y el Deporte', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312526', 'Mster Universitario en Intervencin Socioeducativa sobre Menores y Familia', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000308', 'Mster Universitario en Investigacin biomdica (BIOMED)', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003066', 'Mster Universitario en Fontica y Fonologa', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002863', 'Mster Universitario en Formacin de Profesores de Espaol como Lengua Extranjera', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310515', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria, Bachillerato,', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310537', 'Mster Universitario en Gnero e Igualdad', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310232', 'Mster Universitario en Gnero y Diversidad', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002919', 'Mster Universitario en Gestin de Riesgos Tecnolgicos y Laborales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311388', 'Mster Universitario en Gestin de Suelos y Aguas', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000397', 'Mster Universitario en Historia Contempornea', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001609', 'Mster Universitario en Informtica y Matemticas Aplicadas en Ciencias e Ingeniera', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310395', 'Mster Universitario en Ingeniera de la Edificacin y Construcciones Industriales', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312225', 'Mster Universitario en Ingeniera de Telecomunicacin', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310782', 'Mster Universitario en Ingeniera en Energa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500260', 'Graduado o Graduada en Educacin Social', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500325', 'Graduado o Graduada en Psicologa', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500328', 'Graduado o Graduada en Pedagoga', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500400', 'Graduado o Graduada en Turismo y Gestin del Ocio', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500421', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500524', 'Graduado o Graduada en Direccin de Empresas', NULL, 0, '70', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500536', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500786', 'Graduado o Graduada en Derecho por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500893', 'Graduado o Graduada en Logopedia', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500903', 'Graduado o Graduada en Sociologa', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501045', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502421', 'Graduado o Graduada en Geografa y Ordenacin del Territorio ', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501233', 'Graduado o Graduada en Gestin Aeronutica', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500785', 'Graduado o Graduada en Historia', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501734', 'Graduado o Graduada en Ingeniera de Obras Pblicas en Transportes y Servicios Urbanos', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502267', 'Graduado o Graduada en Ingeniera Elctrica ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502396', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500688', 'Graduado o Graduada en Pedagoga', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502263', 'Graduado o Graduada en Psicologa ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500191', 'Graduado o Graduada en Terapia Ocupacional por la Universidad de Zaragoza', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502083', 'Graduado o Graduada en Turismo', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501092', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502120', 'Graduado o Graduada en Enologa ', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500745', 'Graduado o Graduada en Estudios rabes e Islmicos', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500356', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501765', 'Graduado o Graduada en Derecho', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501616', 'Graduado o Graduada en Derecho', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502176', 'Graduado o Graduada en Antropologa Social y Cultural ', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501921', 'Graduado o Graduada en Arquitectura', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501583', 'Graduado o Graduada en Arquitectura', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500474', 'Graduado o Graduada en Maestro en Educacin Primaria', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501961', 'Graduado o Graduada en Matemticas', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501279', 'Graduado o Graduada en Matemticas', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501278', 'Graduado o Graduada en Fsica', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501115', 'Graduado o Graduada en Fisioterapia', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500142', 'Graduado o Graduada en Fisioterapia', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502266', 'Graduado o Graduada en Ingeniera Agroalimentaria y del Medio Rural ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501658', 'Graduado o Graduada en Ingeniera de Organizacin Industrial', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502437', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501739', 'Graduado o Graduada en Ingeniera de Tecnologas de Caminos por la Universidad de Burgos', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501876', 'Graduado o Graduada en Ingeniera Electrnica Industrial', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502168', 'Graduado o Graduada en Ingeniera en Diseo Mecnico', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502149', 'Graduado o Graduada en Ingeniera Geomtica y Topografa  por la Universidad Politcnica de Madrid', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502270', 'Graduado o Graduada en Ingeniera Informtica ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502374', 'Graduado o Graduada en Ingeniera Informtica del Software', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500949', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501836', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500777', 'Graduado o Graduada en Matemticas ', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500961', 'Graduado o Graduada en Periodismo ', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500106', 'Graduado o Graduada en Psicologa', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500856', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502133', 'Graduado o Graduada en Relaciones Laborales', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311822', 'Mster Universitario en Energas y Combustibles para el Futuro', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310858', 'Mster Universitario en Enfermera Oncolgica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312981', 'Mster Universitario en Ciencia y Tecnologa en Patrimonio Arquitectnico por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312992', 'Mster Universitario en Sensores para Aplicaciones Industriales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312997', 'Mster Universitario en Biologa Marina por la Universidad de A Corua; la Universidad de Santiago de Compostela y la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502551', 'Graduado o Graduada en Ingeniera de Energas Renovables', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502563', 'Graduado o Graduada en Psicologa  por la Universidad de Cdiz', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502570', 'Graduado o Graduada en Ingeniera de Materiales por la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502576', 'Graduado o Graduada en Estudios de Asia Oriental por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502585', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502594', 'Graduado o Graduada en Criminologa por la Universidad Pablo de Olavide', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502604', 'Graduado o Graduada en Enologa por la Universidad de Crdoba', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502609', 'Graduado o Graduada en Biotecnologa por la Universidad San Pablo-CEU', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502627', 'Graduado o Graduada en Diseo Visual de Contenidos Digitales por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502632', 'Graduado o Graduada en Organizacin de Eventos, Protocolo y Relaciones Institucionales por la Universidad Miguel Hernndez de Elche', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502643', 'Graduado o Graduada en Turismo por la Universidad de Burgos', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502645', 'Graduado o Graduada en Direccin y Produccin de Contenidos Digitales por la Universidad Camilo Jos Cela', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502646', 'Graduado/a en Biotecnologa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502653', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos por la Universidad Catlica San Antonio', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502674', 'Graduado o Graduada en Educacin Infantil por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502690', 'Graduado o Graduada en Ingeniera en Sistemas de Telecomunicaciones por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502696', 'Graduado o Graduada en Educacin Primaria por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502708', 'Graduado o Graduada en Economa y Gestin por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310841', 'Mster Universitario en  Tecnologa Educativa: e-learning  y Gestin del Conocimiento por la Universidad Rovira i Virgili; la Universidad de Lleida; la Universidad de Murcia y la Universidad de las Illes Balears', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310864', 'Mster Universitario en Interpretacin de Conferencias', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310899', 'Mster Universitario Interdisciplinario de los Media y Sistemas Cognitivos Interactivos / Interdisciplinari dels Mdia i Sistemes Cognitius Interactius', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310959', 'Mster Universitario en Tecnologas de la Informacin y la Comunicacin', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311027', 'Mster Universitario en Educador/a Ambiental', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311043', 'Mster Universitario en Actividad Fsica, Deporte y Salud', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311065', 'Mster Universitario Europeo en Tecnologa de la Traduccin', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311154', 'Mster Universitario Erasmus Mundus en Materiales para el Almacenamiento y Conversin de Energa', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311255', 'Mster Universitario en Derechos de los Contratos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311370', 'Mster Universitario en Estudios Culturales y Comunicacin', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311408', 'Mster Universitario en Ingeniera Informtica Aplicada a la Industria, a la Ingeniera del Software y a los Sistemas y Tecnologas de la Informacin', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311498', 'Mster Universitario en Psicologa del Trabajo, de las Organizaciones y de los Recursos Humanos por la Universitat de Valncia (Estudi General)', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311669', 'Mster Universitario en Sistema de Justicia Penal', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311670', 'Mster Universitario en Sanidad y Produccin Porcina', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311697', 'Mster Universitario Europeo en Relaciones Pblicas (MARPE) por la Universidad Cardenal Herrera-CEU', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311718', 'Mster Universitario en Intervenciones Psicolgicas en mbitos Sociales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311727', 'Mster Universitario en Historia Contempornea', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311727', 'Mster Universitario en Historia Contempornea', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311729', 'Mster Universitario en Historia del Arte y Cultura Visual', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312034', 'Mster Universitario en Direccin de Organizaciones e Instalaciones de la Actividad Fsica y del Deporte por la Universidad de Alcal; la Universidad de Len y la Universitat de Valncia (Estudi General)', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312051', 'Mster Universitario en Automtica y Robtica', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312086', 'Mster Universitario en Psicologa Clinica y de la Salud', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312127', 'Mster Universitario en Relaciones Internacionales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312260', 'Mster Universitario en Psicologa de la Salud', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312279', 'Mster Universitario en Cooperacin Internacional en Arquitectura Sostenible de Emergencia / Master of International Cooperation in Sustainable Emergency Architecture', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502726', 'Graduado o Graduada en Fundamentos de Arquitectura y Urbanismo por la Universidad de Alcal', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502729', 'Graduado o Graduada en Derecho por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502739', 'Graduado o Graduada en Fundamentos de Arquitectura por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502746', 'Graduado o Graduada en Estudios Hispano-Alemanes por la Universidad Complutense de Madrid y UNIVERSITT REGENSBURG(Alemania)', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502751', 'Graduado o Graduada en  Ingeniera en Innovacin de Procesos y Productos por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502752', 'Graduado o Graduada en Innovacin de Procesos y Productos Alimentarios por la Universidad Pblica de Navarra', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502758', 'Graduado o Graduada en Humanidades por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502764', 'Graduado o Graduada en Gestin Cultural por la Universidad de Huelva', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502774', 'Graduado o Graduada en GRADO DE MAESTRO EN EDUCACIN INFANTIL por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502782', 'Graduado o Graduada en Criminologa por la Universidad de Salamanca y la Universidad de Valladolid', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502790', 'Graduado o Graduada en Publicidad y Relaciones Pblicas por la Universidad Antonio de Nebrija', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502801', 'Graduado o Graduada en Derecho por la Universidad Alfonso X El Sabio', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502804', 'Graduado o Graduada en Relaciones Internacionales por la Universidad de Deusto', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310366', 'Mster Universitario en Qumica Sostenible', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310840', 'Mster Universitario en Estudios Culturales Mediterrneos', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501141', 'Graduado o Graduada en Audiovisual y Multimedia', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501236', 'Graduado o Graduada en Ciencias Mdicas Bsicas', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501315', 'Graduado o Graduada en Economa', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501424', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '70', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501456', 'Graduado o Graduada en Derecho por la Universidad Internacional de Catalunya', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501535', 'Graduado o Graduada en Lenguas Aplicadas y Comunicacin Intercultural', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501697', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501700', 'Graduado o Graduada en Ingeniera Electrnica, Industrial y Automtica', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501848', 'Graduado o Graduada en Ingeniera en Explotacin de Minas y Recursos Energticos', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501919', 'Graduado o Graduada en Estadstica Aplicada', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501919', 'Graduado o Graduada en Estadstica Aplicada', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501978', 'Graduado o Graduada en Ingeniera de Sistemas TIC', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501987', 'Graduado o Graduada en Ingeniera en Tecnologas Aeroespaciales', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502010', 'Graduado o Graduada en Ingeniera Biomdica', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502035', 'Graduado o Graduada en Ciencias Inmobiliarias por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502099', 'Graduado o Graduada en Fisioterapia', NULL, 0, '78', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502101', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '78', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502183', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502325', 'Graduado o Graduada en Logopedia', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502328', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502422', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502441', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502443', 'Graduado o Graduada en Psicologa', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502524', 'Graduado o Graduada en Filosofa', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502525', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin por la Universidad Alfonso X El Sabio', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502530', 'Graduado o Graduada en Educacin Social por la Universidad de Almera', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502533', 'Graduado o Graduada en Estudios Franceses por la Universidad Autnoma de Barcelona y la Universidad de Barcelona', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313049', 'Mster Universitario en Mecatrnica por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313058', 'Mster Universitario en Fisiopatologa y Farmacologa Celular y Molecular por la Universidad de Salamanca', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313060', 'Mster Universitario en Procesos de Direccin Empresarial por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313066', 'Mster Universitario en Direccin de Personas y Desarrollo Organizativo', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313067', 'Mster Universitario Erasmus Mundus en Regeneracin Urbana / Erasmus Mundus Master Course In City Regeneration', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313076', 'Mster Universitario en Competencias Mdicas Avanzadas por la Universidad de Barcelona', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313081', 'Mster Universitario en Biotica y Formacin por la Universidad Catlica Santa Teresa de Jess de Avila y la Universidad San Pablo-CEU', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313085', 'Mster Universitario en Lingstica Forense', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313092', 'Mster universitario en anlisis econmico y financiero por la Universidad Pblica de Navarra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313093', 'Mster Universitario en Antropologa Evolucionista: Identidad y Diversidad Humanas por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313131', 'Mster Universitario en Radio por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313133', 'Mster Universitario en Cmputo de Altas Prestaciones, Teora de la Informacin y Seguridad / High Performance Computing, Information Theory and Security por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313134', 'Mster Universitario en Ciencias de la Comunicacin por la Universidad de La Laguna', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313152', 'Mster Universitario en Psicologa y Psicopatologa Perinatal e Infantil', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312407', 'Mster Universitario en Ingeniera Fotnica, Nanofotnica y Biofotnica / European Master in Photonics Engineering, Nanophotonics and Biophotonics por la Universidad Autnoma de Barcelona; la Universidad Politcnica de Catalunya; la Universidad de Ba', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312450', 'Mster Universitario en Investigacin en Inmunologa por la Universidad Autnoma de Madrid; la Universidad Complutense de Madrid; la Universidad de Alcal; la Universidad de Santiago de Compostela y la Universidad de Zaragoza', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312450', 'Mster Universitario en Investigacin en Inmunologa por la Universidad Autnoma de Madrid; la Universidad Complutense de Madrid; la Universidad de Alcal; la Universidad de Santiago de Compostela y la Universidad de Zaragoza', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312465', 'Mster Universitario en Criminologa y Ejecucin Penal', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312497', 'Mster Universitario en Tratamiento Estadstico-Computacional de la Informacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312532', 'Mster Universitario en Catlisis Homognea', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312644', 'Mster Universitario en Investigacin en Ingeniera de Software y Sistemas Informticos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312666', 'Mster Universitario en Ingeniera Informtica', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312710', 'Mster Universitario en Investigacin, Tratamiento y Patologas Asociadas en Drogodependencias', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312715', 'Mster Universitario en Democracias Actuales: Nacionalismo, Federalismo y Multiculturalidad', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312718', 'Mster Universitario en Psicologa de la Educacin y Desarrollo Humano en Contextos Multiculturales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312719', 'msters urv', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312743', 'Mster Universitario en Estudios Avanzados en Comunicacin Poltica', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312789', 'Mster de especializacin en Periodismo Deportivo, Poltico y Social', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312792', 'Mster Universitario en Mercados Emergentes por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312793', 'Mster Universitario en Innovacin e Iniciativa Emprendedora (Master in Innovation Entrepreneurship) por la Universidad Ramon Llull', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312806', 'Mster Universitario en Ingeniera Qumica', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312815', 'Mster Universitario en Crnea y Lentes de Contacto', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312820', 'Master Universitario en Prevencin de Riesgos Laborales y Riesgos Comunes por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312832', 'Mster Universitario en Ingeniera de Telecomunicacin por la Universidad de Alicante', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312833', 'Mster Universitario en Historia de la Europa Contempornea: Identidades e Integracin', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312841', 'Mster Universitario en Qumica Ambiental y Sostenible por la Universidad de Alicante', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312843', 'Mster Universitario en Gestin y Administracin Pblica por la Universidad de Cdiz', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312849', 'Mster Universitario en Gestin de Empresas Tursticas / Hospitality Management por la Universidad de Vic', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312854', 'Mster Universitario en Terapias Psicolgicas de Tercera Generacin por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312859', 'Mster Universitario en Museologa y Nuevos Formatos Expositivos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312861', 'Mster Universitario en Ingeniera de Telecomunicacin por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312867', 'Mster Universitario en Gestin de la Informacin y el Conocimiento en el mbito de la Salud por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312881', 'Mster Universitario en Direccin y Planificacin del Turismo por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312886', 'Mster Universitario en Ingeniera Qumica por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312899', 'Mster Universitario en Conflictologa por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312900', 'Mster Universitario en Sociologa Aplicada: Problemas Sociales', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312902', 'Mster Universitario en Arquitectura por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312932', 'Mster Universitario en Anlisis y Gestin de Emergencia y Desastre por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312933', 'Mster Universitario en Tcnicas y Ciencias de la Calidad del Agua por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312940', 'Mster Universitario en Marketing por la Universidad de Vic', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312941', 'Mster Universitario en Gestin de Recursos Humanos por la Universidad de Vic', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312949', 'Mster Universitario en Comunicacin y Desarrollo por la Universidad Internacional de Andalucia y la Universidad Pablo de Olavide', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312950', 'Mster Universitario en Ingeniera del Software por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313263', 'Mster Universitario en Medicina por la Universidad de Oviedo', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313275', 'Mster Universitario en Fsica de la Materia Condensada y Biofsica por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313282', 'Mster Universitario Erasmus Mundus en Enfermera de Urgencias y Cuidados Crticos por la Universidad de Oviedo; Instituto Politcnico de Santarm(Portugal); Metropolia Ammattikorkeakoulu-Helsinki Metropolia University of Applied Sciences(Finlandia) ', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313313', 'Mster Universitario en Procura por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313314', 'Mster Universitario en Acceso a la Abogaca  por la Universidad de Navarra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313321', 'Mster Universitario en Ingeniera Informtica por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313340', 'Mster Universitario en Investigacin en Ciencias de la Enfermera por la Universidad Rovira i Virgili', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313343', 'Mster Universitario en Acuicultura por la Universidad Autnoma de Barcelona; la Universidad Politcnica de Catalunya y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313347', 'Mster Universitario en Gestin de Contenidos Digitales por la Universidad Pompeu Fabra y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313349', 'Mster Universitario en Neurociencias por la Universidad Pompeu Fabra; la Universidad Rovira i Virgili; la Universidad de Barcelona y la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313353', 'Mster Universitario en Direccin de Empresas por la Universidad Rovira i Virgili', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313354', 'Mster Universitario en Economa por la Universidad Rovira i Virgili', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313356', 'Mster Universitario en Abogaca por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313482', 'Mster Universitario en Ingeniera del Transporte Terrestre y Logstica por la Universidad de Jan', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313485', 'Mster Universitario en Diagnstico por la lmagen en Cardiologa por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313499', 'Mster Universitario en Creacin y Gestin de Empresas de Turismo Activo por la Mondragon Unibertsitatea', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313524', 'Mster Universitario en Nutricin y Metabolismo por la Universidad Rovira i Virgili y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313529', 'Mster Universitario en Economa Industrial y Mercados / Master in Industrial Organization and Markets  por la Universidad Carlos III de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313536', 'Mster Universitario en Derecho de la Empresa por la Universidad Pontificia Comillas y la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313540', 'Mster Universitario en Investigacin en Cuidados de Salud  por la Universidad de Cantabria', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313544', 'Mster Universitario en Nutricin Humana y Diettica Aplicada por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313578', 'Mster Universitario en Cultura y Civilizacin Hispnica por la Universidad Rey Juan Carlos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313369', 'Mster Universitario en  Bioinformtica por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313374', 'Mster Universitario en Derecho Bancario y de los Mercados e Instituciones Financieras por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313379', 'Mster Universitario en Arqueologa Prehistrica por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313396', 'Mster Universitario en Planificacin y Gestin Turstica por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313400', 'Mster Universitario en Derecho y Violencia de Gnero por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313404', 'Mster Universitario en Intervencin e Investigacin en Patologa del  Lenguaje: Sordera y Trastornos Neurolgicos por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313413', 'Mster Universitario en Abogaca por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313414', 'Mster Universitario en el Ejercicio de la Abogaca por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313417', 'Mster Universitario en Abogaca por la Universidad Rovira i Virgili', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313420', 'Mster Universitario en Industria Global de la Msica y el Espectculo (Global Entertainment and Music Business) por la Universidad Politcnica de Valencia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313422', 'Mster Universitario en Etologa Aplicada y Comportamiento Animal  por la Universidad Pablo de Olavide', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313428', 'Mster Universitario en Direccin de Empresas Hoteleras por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313429', 'Mster Universitario en Economa Social y Solidaria por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313436', 'Mster Universitario en Tecnologa Educativa: E-learning y Gestin del Conocimiento por la Universidad Rovira i Virgili; la Universidad de Lleida; la Universidad de Murcia y la Universidad de las Illes Balears', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313445', 'Mster Universitario en Gestin Pblica en la Sociedad del Conocimiento por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313448', 'Mster Universitario en Planificacin y Gestin de la Ciencia y la Innovacin por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313462', 'Mster Universitario en Direccin de Comunicacin y Publicidad Digital por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313176', 'Mster Universitario en Medicina por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313180', 'Mster Universitario Erasmus Mundus en Ingeniera de Membranas por la Universidad de Zaragoza; la Universidade Nova de Lisboa(Portugal); la Universiteit Twente-University of Twente(Holanda); la Universit Paul Sabatier - Toulouse III(Francia); la Uni', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313182', 'Mster Universitario en Historia y Cultura de la Alimentacin por la Universidad de Barcelona; UNIVERSITE FRANOIS RABELAIS (TOURS) (F  TOURS01)(Francia) y UNIVERSITE LIBRE DE BRUXELLES (B  BRUXEL04)(Blgica)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313186', 'Mster Universitario Erasmus Mundus en Psicologa del Trabajo, de las Organizaciones y de los Recursos Humanos / Erasmus Mundus on Work, Organizational and Personnel Psychology por la Universidad de Barcelona; la Universitat de Valncia (Estudi Gener', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313191', 'Mster Universitario Erasmus Mundus en Fsica de Plasmas y Fusin Nuclear / European Master of Science in Nuclear Fusion and Engineering Physics (Fusion-EP) por la Universidad Carlos III de Madrid; la Universidad Complutense de Madrid; Universiteit G', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313192', 'Mster Universitario en Psicopedagoga por la Universidad Jaume I de Castelln', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313204', 'Mster Universitario en Enfermera de Salud Laboral por la Universidad Catlica San Antonio', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313207', 'Mster Universitario en Trabajo Social, Estado del Bienestar y Metodologas de Intervencin Social por la Universidad Nacional de Educacin a Distancia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313213', 'Mster Universitario en Ingeniera de Telecomunicacin por la Universidad Ramn Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313229', 'Mster Universitario en Abogaca por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313233', 'Mster Universitario en Medicina por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313235', 'Mster Universitario en Abogaca por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313236', 'Mster Universitario en Logstica y Comercio Internacional por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313245', 'Mster Universitario en Abogaca por la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313249', 'Mster Universitario en Mejora Gentica Vegetal  por la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313254', 'Mster Universitario en Qumica Orgnica   por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313604', 'Mster Universitario en Ciruga Podolgica de Mnima Incisin por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313629', 'Mster Universitario en Sostenibilidad Ambiental en el Desarrollo Local y Territorial por la Universidad de Castilla-La Mancha', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313631', 'Mster Universitario en Tecnologas de la Informacin y Automtica por la Universidad de Girona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313632', 'Mster Universitario en Abogaca por la Universidad de Girona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313662', 'Mster Universitario en Lengua Espaola y Lingstica por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313681', 'Mster Universitario en Seguridad, Defensa y Geoestrategia por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313686', 'Mster Universitario en Intervencin a  Personas con Enfermedad de Alzheimer por la Universidad de Salamanca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313690', 'Mster Universitario en Procura por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313691', 'Mster Universitario en Abogaca por la Universidad de las Illes Balears', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313695', 'Mster Universitario en Responsabilidad Social Empresarial por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313697', 'Mster Universitario en Ciencia y Tecnologa Agroalimentaria por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313699', 'Mster Universitario en Abogaca por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313708', 'Mster Universitario en  Lexicografa Terica y Prctica por la Universidad Autnoma de Barcelona; la Universidad de Santiago de Compostela; FRIEDRICH-ALEXANDER-UNIVERSITT ERLANGEN-NRNBERG(Alemania); Institut fr Deutsche Sprache(Alemania); KROLI ', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313710', 'Mster Universitario en Gestin de Contratos y Programas del Sector Pblico, con Especial Aplicacin al mbito de la Defensa por la Universidad Nacional de Educacin a Distancia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313720', 'Mster Universitario en Psicogerontologa por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313723', 'Mster Universitario en  Proyectos Arquitectnicos Avanzados por la Universidad Alfonso X El Sabio', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313724', 'Mster Universitario en Abogaca por la Universidad de Santiago de Compostela', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313730', 'Mster Universitario en Inteligencia Artificial por la Universidad Politcnica de Catalunya; la Universidad Rovira i Virgili y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313735', 'Mster Universitario en Direccin de Empresas por la Universidad Europea de Canarias', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313749', 'Mster Universitario en Ingeniera Industrial por la Universidad de Navarra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313754', 'Mster Universitario en Psicopedagoga por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313757', 'Mster Universitario en Ingeniera Industrial por la Universidad de Alcal', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313763', 'Mster Universitario en Ingeniera Informtica por la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313765', 'Mster Universitario en Ingeniera en Organizacin Industrial por la Universidad de Deusto', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00000000002', ' Administracin Industrial y Comercial', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311268', 'Mster Universitario en Educacin Inclusiva', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311525', 'Mster Universitario en Enseanzas y Aprendizaje en Entornos Digitales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001596', 'Mster Universitario en Estudios Avanzados en Comunicacin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001503', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001503', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001503', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311075', 'Mster Universitario en Ingeniera y Tecnologa Industrial', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310416', 'Mster Universitario en Iniciacin a la Investigacin en Matemticas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000878', 'Mster Universitario en Inteligencia Artificial, Reconocimiento de Formas e Imagen Digital', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002044', 'Mster Universitario en Fisioterapia de la Actividad Fsica y del Deporte', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310510', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000242', 'Mster Universitario en Gentica Avanzada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313096', 'Mster Universitario en Gerontologa y Direccin y Gestin de Centros Gerontolgicos', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311934', 'Mster Universitario en Gestin Cultural', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002755', 'Mster Universitario en Gestin Cultural', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002854', 'Mster Universitario en Gestin de los Recursos Humanos en las Organizaciones', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310925', 'Mster Universitario en Gestin de los Recursos Humanos en las Organizaciones', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311641', 'Mster Universitario en Gestin de los Recursos Humanos y del Empleo', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001111', 'Mster Universitario en Gestin del Conocimiento Biomdico e Investigacin Clnica: Especialidad en ', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310618', 'Master Universitario en Gestin del Turismo de Congresos, Convenciones y Empresas OPC', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311638', 'Mster Universitario en Finanzas y Direccin Financiera', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312388', 'Mster Universitario en Finanzas, Banca y Seguros', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312731', 'Mster Universitario en Fsica Avanzada', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002129', 'Mster Universitario en Derechos Humanos, Interculturalidad y Desarrollo', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310833', 'Mster Universitario en Direccin de Empresas (MBA)', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311630', 'Mster Universitario en Direccin Empresarial desde la Innovacin y la Internacionalizacin', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312351', 'Mster Universitario en Direccin Internacional de Empresas MBA', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310606', 'Mster Universitario en Direccin y Gestin de la Logstica y la Cadena de Suministro ', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311461', 'Mster Universitario en Energas Renovables', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311120', 'Mster Universitario en Gobierno y Cultura de las Organizaciones', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311948', 'Mster Universitario en Informacin Tcnica del Medicamento', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000865', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000395', 'Mster Universitario en Ingeniera Biotecnolgica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310556', 'Mster Universitario en Ingeniera de Procesos y Ambiental', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310375', 'Mster Universitario en Planificacin y Gestin de Procesos Empresariales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002766', 'Mster Universitario en Planificacin y Gestin en Ingeniera Civil', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310976', 'Mster Universitario en Planificacin y Gestin en Ingeniera Civil', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310359', 'Mster Universitario en Poltica Lingstica y Planificacin de la Lengua Gallega', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002767', 'Mster Universitario en Prevencin de riesgos laborales', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313040', 'Mster Universitario Cooperacin Internacional para el Desarrollo', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313040', 'Mster Universitario Cooperacin Internacional para el Desarrollo', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311119', 'Mster Universitario en Gestin de Empresas de Comunicacin', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311130', 'Mster Universitario en Gestin de la Biodiversidad en Ambientes Mediterrneos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310291', 'Mster Universitario en Gestin de la Inmigracin', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001961', 'Mster Universitario en Gestin y Direccin Laboral', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002590', 'Mster Universitario en Gestin y Evaluacin de la Contaminacin Acstica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310357', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310118', 'Mster Universitario en Ingeniera de Control, Sistemas Electrnicos e Informtica Industrial', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003022', 'Mster Universitario en Ingeniera de los Recursos Naturales', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312006', 'Mster Universitario en Ingeniera Mecnica Aplicada y Computacional ', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312387', 'Mster Universitario en Ingeniera Mecatrnica', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001125', 'Mster Universitario en Prctica Jurdica', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311353', 'Mster Universitario en Procesamiento del Lenguaje Natural y Tecnologas Lingsticas / Natural Lang', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311005', 'Mster Universitario en Profesor de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312737', 'Mster Universitario en Filosofa: Realidad, Conocimiento y Accin por la Universidad de Navarra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002615', 'Mster Universitario en Dependencia e Igualdad en la Autonoma Personal', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001325', 'Mster Universitario en derecho civil foral y autonmico del Pas Vasco', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312264', 'Mster Universitario en Didctica de la Matemtica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310354', 'Mster Universitario en Direccin de Proyectos', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310828', 'Mster Universitario en Direccin, Gestin e Intervencin en Servicios Sociales', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312356', 'Mster Universitario en Asesoramiento y Planificacin Financiera', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001225', 'Mster Universitario en assessorament lingstic i cultura literria: aplicacions al context valenci', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001225', 'Mster Universitario en assessorament lingstic i cultura literria: aplicacions al context valenci', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311586', 'Mster Universitario en Asuntos Internacionales: Economa, Poltica y Derecho', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311743', 'Mster Universitario en Atencin Integral a Personas con Discapacidad', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311505', 'Mster Universitario en Atencin Integral al Enfermo Crtico y Emergencias', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001191', 'Mster Universitario en Bienestar Social: Intervencin Individual, Familiar y de Grupo', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003063', 'Mster Universitario en Biodiversidad en reas Tropicales y su Conservacin', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310865', 'Mster Universitario en Comunicacin Digital Interactiva', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311267', 'Mster Universitario en Comunicacin y Patrimonio Cultural', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311725', 'Mster Universitario en Cooperacin al Desarrollo', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000164', 'Mster Universitario en Corrupcin y Estado de Derecho', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002520', 'Mster Universitario en Biotecnologa, Gentica y Biologa Celular', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002792', 'Mster Universitario en Theorethical Chemistry and Computational Modelling', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001273', 'Mster Universitario en Trabajo y Poltica Social', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311946', 'Mster Universitario en Urbanismo y Ordenacin del Territorio', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000091', 'Mster Universitario en Automtica, Robtica y Telemtica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311506', 'Mster Universitario en Biodiversidad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000138', 'Mster Universitario en Componentes en Automocin', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002966', 'Mster Universitario en Computational Mechanics', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310724', 'Mster Universitario en Comunicacin Intercultural y de Enseanza de Lenguas', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312110', 'Mster Universitario en Conservacin y Restauracin del Patrimonio Arquitectnico', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310383', 'Mster Universitario en Consultora del Software Libre', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310030', 'Mster Universitario en Biomedicina Molecular', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311362', 'Mster Universitario en Biotecnologa Alimentaria', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311121', 'Mster Universitario en Biotecnologa Sanitaria por la Universidad Pablo de Olavide', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310714', 'Mster Universitario en Biotecnologa, Gentica y Biologa Celular', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312373', 'Mster Universitario en Ciencias Mdicas y de la Salud', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002670', 'Mster Universitario en Ciencias Sociales e Intervencin Social. Multiculturalismo, Interculturalida', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312656', 'Mster Universitario en Ciencias Sociales y Nuevas Tecnologas', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312303', 'Mster Universitario en Abogaca', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001784', 'Mster Universitario en Adquisicin del Ingls y Comunicacin Intercultural', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000017', 'Mster Universitario en Agroecologa: un Enfoque Sustentable de la Agricultura Ecolgica', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310226', 'Mster Universitario en Anlisis Poltico ', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001827', 'Mster Universitario en Antropologa Fsica: Evolucin y Biodiversidad Humanas', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001772', 'Mster Universitario en Investigacin en Educacin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002666', 'Mster Universitario en Lgica y Filosofa de la Ciencia con Intensificaciones en: Filosofa e Histo', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310074', 'Mster Universitario en Mecnica Estructural Avanzada', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310601', 'Mster Universitario en Metodologa y Aplicaciones en Biologa Molecular por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311552', 'Mster Universitario en Microbiologa Avanzada', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310980', 'Mster Universitario en Motores de Combustin Interna Alternativos', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310136', 'Mster Universitario en Nutrigenmica y Nutricin Personalizada', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001575', 'Mster Universitario en paleontologa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002024', 'Mster Universitario en Patrimonio Cultural y Desarrollo Local', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311186', 'Mster Universitario en Perspectivas Lingsticas y Literarias sobre el Texto ', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311081', 'Mster Universitario en Psicologa de la Salud', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312548', 'Mster Universitario en Qumica Aplicada a la Investigacin y la Industria', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311494', 'Mster Universitario en Recursos Humanos y Relaciones Laborales', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002811', 'Mster Universitario en Ciencias Avanzadas de las Telecomunicaciones Modernas', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311114', 'Mster Universitario en Ciencias de la Direccin', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002993', 'Mster Universitario en Coastal and Marine Engineering and Management', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311496', 'Mster Universitario en Comercializacin e Internalizacin de Productos y Servicios', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310704', 'Mster Erasmus Mundus en Estudios de las Mujeres y de Gnero', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000206', 'Mster Universitario en Agua. Anlisis Interdisciplinario y Gestin Sostenible', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310838', 'Mster Universitario en Arqueologa del Cuaternario y Evolucin Humana', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312515', 'Mster Universitario en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profe', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311816', 'Mster Universitario en Proyecto Integrado de Arquitectura', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311246', 'Mster Universitario en Investigacin en Psicologa', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311778', 'Mster Universitario en Lingstica Gallega', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311778', 'Mster Universitario en Lingstica Gallega', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310944', 'Mster Universitario en Oceanografa', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312277', 'Mster Universitario en Patrimonio Musical', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312870', 'Mster Universitario en Psicologa Social', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312701', 'Mster Universitario en Relaciones Juridico-Privadas', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001309', 'Mster Universitario en restauracin de ecosistemas', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310424', 'Mster Universitario en Seguridad Global y Defensa', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000380', 'Mster Universitario en Software Libre', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312613', 'Mster Universitario en Teatro y Artes Escnicas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001974', 'Mster Universitario en tcnicas cromatogrficas aplicadas', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001526', 'Mster Universitario en tcnicas estadsticas', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002663', 'Mster Universitario en Tecnologa de los Sistemas de Energa Solar Fotovoltica', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001593', 'Mster Universitario en tecnologa del agua', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002077', 'Mster Universitario en Tecnologa e Instrumentacin Nuclear', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312073', 'Mster Universitario en Tecnologa, Administracin y Gestin del Agua', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002605', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312609', 'Mster Universitario en Produccin y Realizacin en Radio y Televisin', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000592', 'Mster Universitario en Psicofarmacologa y Drogas de Abuso', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310563', 'Mster Universitario en Investigacin en Neurociencias', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310434', 'Mster Universitario en Lingstica Inglesa: Nuevas Aplicaciones y Comunicacin Internacional', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000673', 'Mster Universitario en Materiales Estructurales para las Nuevas Tecnologas', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312487', 'Mster Universitario en Microbiologa y Parasitologa: Investigacin y Desarrollo', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000009', 'Mster Universitario en Oceanologa', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001194', 'Mster Universitario en optometra clnica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312182', 'Mster Universitario en Ordenacin y Gestin del Desarrollo Territorial y Local', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003019', 'Mster Universitario en Paisajismo', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001250', 'Mster Universitario en Paleontologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311327', 'Mster Universitario en Pensar y Gobernar las Sociedades Complejas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311214', 'Mster Universitario en Sociologa de las Polticas Pblicas y Sociales', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001880', 'Mster Universitario en Sostenibilidad y Responsabilidad Social Corporativa', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002064', 'Mster Universitario en Tcnicas Informticas Avanzadas', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000699', 'Mster Universitario en Tecnologas alimentarias', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500372', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501973', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501566', 'Graduado o Graduada en Historia', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500101', 'Graduado o Graduada en Historia del Arte', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502341', 'Graduado o Graduada en Ingeniera Agroalimentaria y del Medio Rural', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500948', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501324', 'Graduado o Graduada en Ingeniera de Obras Pblicas en Construcciones Civiles', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502435', 'Graduado o Graduada en Ingeniera de Sistemas de Informacin', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500956', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501656', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica por la Universidad Politcnica', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501603', 'Graduado o Graduada en Ingeniera en Electrnica Industrial y Automtica', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501528', 'Graduado o Graduada en Ingeniera en Geomtica y Topografa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502335', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501661', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501853', 'Graduado o Graduada en Ingeniera Informtica por la Universidad de Huelva', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501854', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501763', 'Graduado o Graduada en Ingeniera Nutica y Transporte Martimo por la Universidad de Cdiz', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501904', 'Graduado o Graduada en Medicina', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501323', 'Graduado o Graduada en Odontologa', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500637', 'Graduado Arquitectura Tcnica', 'N', 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500293', 'Graduado o Graduada en Pedagoga', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500418', 'Graduado o Graduada en Trabajo Social', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501503', 'Graduado o Graduada en Trabajo Social', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501093', 'Graduado o Graduada en Turismo', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502260', 'Graduado o Graduada en Ciencias Polticas y de la Administracin Pblica por la Universitat de Valn', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500112', 'Graduado o Graduada en Cine y Televisin', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500979', 'Graduado o Graduada en Comunicacin Audiovisual ', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501430', 'Graduado o Graduada en Derecho', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500891', 'Graduado o Graduada en Enfermera', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501202', 'Graduado o Graduada en Enfermera', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501701', 'Graduado o Graduada en Estudios Clsicos', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500344', 'Graduado o Graduada en Estudios Clsicos ', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501402', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501289', 'Graduado o Graduada en Estudios Internacionales de Economa y Empresa / International Business Econo', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502091', 'Graduado o Graduada en Farmacia', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501372', 'Graduado en Derecho', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500023', 'Graduado o Graduada en Urbanismo, Ordenacin Territorial y Sostenibilidad', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500810', 'Graduado o Graduada en Ciencia Poltica y Gestin Pblica', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502115', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500008', 'Graduado o Graduada en Ciencias del Mar', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500579', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501493', 'Graduado o Graduada en Criminologa', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501473', 'Graduado o Graduada en Criminologa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500750', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501703', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500685', 'Graduado o Graduada en Filosofa', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501458', 'Graduado o Graduada en Derecho', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002987', 'Mster Universitario en Structural Analysis of Monuments and Historical Constructions - SAMHC', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001957', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003036', 'Mster Universitario en Teora e Historia de la Arquitectura', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000157', 'Mster Universitario en TIC''s en Educacin: Anlisis y Diseo de Procesos, recursos y prcticas form', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002793', 'Mster Universitario en Turismo', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310191', 'Mster Universitario en Biologa Molecular y Biotecnologa', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311140', 'Mster Universitario en Biomedicina', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001660', 'Mster Universitario en Ciencias de Materiales', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311788', 'Mster Universitario en Abogaca y Prctica Jurdica', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310776', 'Mster Universitario en Agricultura para el Desarrollo', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313153', 'Mster Universitario en Agricultura, Ganadera y Silvicultura Ecolgicas', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311617', 'Mster Universitario en Agrobiologa Ambiental', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002709', 'Mster Universitario en Agrobiologa Ambiental', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311759', 'Mster Universitario en Estudios Lingsticos', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001910', 'Mster Universitario en Fsica y Matemticas (FISYMAT)', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310123', 'Mster Universitario en Derecho de la Empresa', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730000000', 'Ingeniero Tcnico de Minas', 'N', 1, NULL, 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730040000', 'Ingeniero Tcnico de Minas, Especialidad en Instalaciones Electromecnicas Mineras', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730090000', 'Ingeniero Tcnico de Minas, Especialidad en Recursos Energticos, Combustibles y Explosivos', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '28', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '56', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '30', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '28', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '62', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311298', 'Mster Universitario en Investigacin en Economa de la Empresa', 'S', 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501778', 'Graduado en Ingeniera Forestal y del Medio Natural', 'N', 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500192', 'Graduado en Direccin y Creaccin de Empresas', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500076', 'Graduada en Comunicacin Audiovisual ', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310388', 'Mster Universitario en Direccin y Planificacin de Turismo', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00005094000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos  ', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500945', 'Graduado en Bioquimica', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502349', 'Graduado o Graduada en Ciencias del Mar', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500787', 'Graduado en Trabajo Social', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500136', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502157', 'Graduado o Graduada en Criminologa', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501373', 'Graduado o Graduada en Enfermera', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501129', 'Graduado o Graduada en Enfermera', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501375', 'Graduado o Graduada en Espaol: Lengua y Literatura', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500701', 'Graduado o Graduada en Filosofa', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502362', 'Graduado o Graduada en Derecho', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502661', 'Graduado o Graduada en Derecho / Bachelor of Laws por la IE Universidad', NULL, 0, '57', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500113', 'Graduado o Graduada en Direccin de Empresas - BBA', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500078', 'Graduado o Graduada en Direccin Internacional de Empresas de Turismo y Ocio', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501638', 'Graduado o Graduada en Economa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502118', 'Graduado o Graduada en Economa', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500640', 'Graduado o Graduada en Administracin y Direccin de Empresas ', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500001', 'Graduado o Graduada en Artes Escnicas', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502272', 'Graduado o Graduada en Ingeniera Qumica ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500434', 'Graduado o Graduada en Lengua y Literatura Catalanas', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501300', 'Graduado o Graduada en Marketing', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730070000', 'Ingeniero Tcnico de Minas.Especialidad Combustibles y Energa', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500097', 'Graduado o Graduada en Fsica', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501773', 'Graduado o Graduada en Ingeniera Agrcola y del Medio Rural', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501328', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501659', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501435', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502304', 'Graduado o Graduada en Ingeniera Informtica - Ingeniera del Software', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501592', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '59', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501729', 'Graduado o Graduada en Ingeniera Mecnica ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502285', 'Graduado o Graduada en Ingeniera Mecnica por la Universidad de Salamanca', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500833', 'Graduado o Graduada en Matemticas y Estadstica', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500812', 'Graduado o Graduada en Medicina', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500502', 'Graduado o Graduada en Microbiologa ', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500959', 'Graduado o Graduada en Multimedia', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502222', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502504', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502488', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502179', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501163', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501783', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501396', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001017', 'PRUEBA', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190040000', 'Licenciado en Ciencias, Seccin de Biolgicas', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190060000', 'Licenciado en Ciencias, Seccin de Geolgicas', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30220000000', 'Licenciado en Educacin Fsica', 'N', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30220000000', 'Licenciado en Educacin Fsica', 'N', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30220000000', 'Licenciado en Educacin Fsica', 'N', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '52', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '59', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250010000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Ciencias de la Educacin', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250010000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Ciencias de la Educacin', 'N', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250010000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Ciencias de la Educacin', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250140000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Pedagoga', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30270010000', 'Licenciado en Filologa, Seccin Filologa Anglogermnica', 'N', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010700', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Clsica', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010700', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Clsica', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280012000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Romnica.(Francs).', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020000', 'LICENCIADO EN FILOSOFIA Y LETRAS DIVISIN GEOGRAFIA E HISTORIA', 'N', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020605', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia Contemporanea.', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020607', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Arqueologa.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030100', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. Educacin, Especialidad CC. de Educacin', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030100', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. Educacin, Especialidad CC. de Educacin', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030100', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. Educacin, Especialidad CC. de Educacin', 'N', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030400', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. de la Educacin, Especialidad Psicologa', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030400', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. de la Educacin, Especialidad Psicologa', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '52', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '59', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30450000000', 'Licenciado en Filologa Alemana', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30460000000', 'Licenciado en Filologa rabe', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30470000000', 'Licenciado en Filologa Catalana', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30470000000', 'Licenciado en Filologa Catalana', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30470000000', 'Licenciado en Filologa Catalana', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30470000000', 'Licenciado en Filologa Catalana', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480020000', 'Licenciado en Filologa Clsica.(Filologa Latina).', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30510000000', 'Licenciado en Filologa Gallega', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30520000000', 'Licenciado en Filologa Hebrea', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30520000000', 'Licenciado en Filologa Hebrea', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30590000000', 'Licenciado en Teora de la Literatura y Literatura Comparada', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '72', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '66', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '61', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '57', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30700000000', 'Licenciado en Lingstica', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '61', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30790000000', 'Licenciado en Ciencias y Tcnicas Estadsticas', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30790000000', 'Licenciado en Ciencias y Tcnicas Estadsticas', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30800000000', 'Licenciado en Historia y Ciencias de la Msica', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30810000000', 'Licenciado en Enologa', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30830000000', 'Licenciado en Biotecnologa', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30830000000', 'Licenciado en Biotecnologa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30840000000', 'Licenciado en Estudios de Asia Oriental', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30850000000', 'Licenciado en Criminologa', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010090000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa Inglesa.', 'N', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020030000', 'Diplomado en Informtica.Gestin.', 'N', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020030000', 'Diplomado en Informtica.Gestin.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40030000000', 'Diplomado en ptica', 'N', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40030000000', 'Diplomado en ptica', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40060000000', 'Diplomado de la Marina Civil', 'N', 1, NULL, 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '66', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '68', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '69', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '47', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110740000', 'Diplomado en Ciencias Empresariales.Administracin y Direccin de Empresas.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40250000000', 'Diplomado en Radioelectrnica Naval', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '69', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '66', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '65', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40280000000', 'Diplomado en Empresas y Actividades Tursticas', 'N', 1, '69', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '62', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '68', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '65', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310081', 'Mster en Investigacin en ciencias de la visin', 'S', 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310592', 'Investigacin en Economa', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310594', 'Calidad, Desarrollo e Innovacin de Alimentos', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310994', 'Investigacin en Ingeniera para la Conservacin y Uso Sostenible de Sistemas Forestales', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311024', 'Lseres y Aplicaciones en Quimica', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311024', 'Lseres y Aplicaciones en Quimica', 'N', 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311291', 'Geotecnologas Cartogrficas en Ingeniera y Arquitectura', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311295', 'Estudios Ingleses Avanzados: Lenguas y Culturas en Contacto', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010010000', 'Arquitecto.Edificacin.', 'N', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010020000', 'Arquitecto.Urbanismo.', 'N', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010020000', 'Arquitecto.Urbanismo.', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '64', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10030000000', 'Ingeniero Aeronutico', 'S', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10030000000', 'Ingeniero Aeronutico', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10040000000', 'Ingeniero de Caminos, Canales y Puertos', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10060000000', 'Ingeniero de Montes', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10060000000', 'Ingeniero de Montes', 'S', 2, '59', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10070000000', 'Ingeniero Naval', 'N', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090140000', 'Ingeniero Industrial.Electricidad.Intensificacin Electrotcnia.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090150000', 'Ingeniero Industrial.Electricidad.Intensificacin Automtica y Electrnica.', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10100000000', 'Ingeniero Superior Electromecnico (I.C.A.I.)', 'N', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500464', 'Graduado en Educacion Infantil', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500886', 'Graduado en Trabajo Social', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501364', 'Graduado en Ingenieria Informtica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501418', 'Graduado en Historia del Arte', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501420', 'Graduado en Relaciones Laborales y Recursos Humanos', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501496', 'Graduado en Qumica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501687', 'Graduado en Lenguas Modernas y sus Literaturas', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501690', 'Graduado en Medicina', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502310', 'Graduado en Enfermera', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000154', 'Mster en Fisica y Tecnologia de los Lseres', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000176', 'Mster en investigacin en ingeniera para la conservacin y uso sostenibles de sistemas forestales', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000180', 'Mster en Nanociencia y Nanotecnologia molecular', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000182', 'Mster en Retina', 'S', 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000184', 'Mster en Oncologa ocular, rbita y oculoplstica', 'S', 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000185', 'Mster en Investigacin en ciencias de la visin', 'S', 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001013', 'Master Europa y el Mundo Atlantico:Poder,Cultura y Sociedad', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30040020000', 'Licenciado en Ciencias Polticas y Sociologa, Seccin Sociologa', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060010000', 'Licenciado en Ciencias Econmicas y Empresariales.(Econmicas).', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060010000', 'Licenciado en Ciencias Econmicas y Empresariales.(Econmicas).', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020200', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Financiacin', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130010000', 'Licenciado en Ciencias de la Informacin, Seccin Periodismo', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130010000', 'Licenciado en Ciencias de la Informacin, Seccin Periodismo', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130020000', 'Licenciado en Ciencias de la Informacin, Seccin Publicidad y Relaciones Pblicas', 'N', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30170130000', 'Licenciado en Ciencias Matemticas, Seccin Estadstica', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010500', 'Licenciado en Ciencias.(Fsicas).Fsica General', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010500', 'Licenciado en Ciencias.(Fsicas).Fsica General', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020500', 'Licenciado en Ciencias.(Qumicas).Bioqumica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020600', 'Licenciado en Ciencias.(Qumicas).Qumica Orgnica', 'N', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502204', 'Graduado o Graduada en Arquitectura', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500251', 'Graduado o Graduada en Biologa Ambiental ', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500252', 'Graduado o Graduada en Bioqumica', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501294', 'Graduado en Humanidades ', 'N', 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501098', 'Graduado o Graduada en Lengua y Literatura Gallegas', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502116', 'Graduado o Graduada en Marketing', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501304', 'Graduado o Graduada en Marketing y Gestin Comercial', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501860', 'Graduado o Graduada en Geografa e Historia', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500174', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500783', 'Graduado o Graduada en Historia', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500574', 'Graduado o Graduada en Historia del Arte', NULL, 0, '57', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500500', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502241', 'Graduado o Graduada en Ingeniera Agraria', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502523', 'Graduado o Graduada en Ingeniera Civil por la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501349', 'Graduado o Graduada en Ingeniera Civil por la Universidad Europea de Madrid', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501768', 'Graduado o Graduada en Ingeniera de los Recursos Energticos', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501877', 'Graduado o Graduada en Ingeniera de Recursos Energticos', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502203', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica por la Universidad de A Corua', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502651', 'Graduado en Ingeniera en Tecnologas Industriales  ', NULL, 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501526', 'Graduado o Graduada en Educacin Social', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500955', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501106', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad de Santiago de Comp', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500509', 'Graduado o Graduada en Fisioterapia', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501161', 'Graduado o Graduada en Fisioterapia', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002654', 'Mster Universitario en Regulacin Econmica y Territorial', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311427', 'Mster Universitario en Salud Mental: Investigacin en Psiquiatra, Neurotoxicologa y Psicofarmacol', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002606', 'Mster Universitario en Salud y Calidad de Vida', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312658', 'Mster Universitario en Sanidad Animal y Seguridad Alimentaria', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002145', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310278', 'Mster Universitario en Tecnologas y Sistemas de Comunicaciones', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310897', 'Mster Universitario en Teora y Prctica del Proyecto de Arquitectura', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313018', 'Mster Universitario en Gestin y Coordinacin de Sistemas de Emergencia', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312402', 'Mster Universitario en Gobernanza y Estudios Polticos', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310506', 'Mster Universitario en Hispano-Francs en Lengua Francesa Aplicada', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312485', 'Mster Universitario en Historia de la Monarqua Hispnica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310512', 'Mster Universitario en Inclusin Social y Discapacidad ', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312976', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310962', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001538', 'Mster Universitario en Ingeniera de Computadores y Redes', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310975', 'Mster Universitario en Ingeniera del Mantenimiento', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000117', 'Mster Universitario en Ingeniera Web', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001455', 'Mster Universitario en Investigacin en Ciencias Humanas, Sociales y Jurdicas', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311805', 'Mster Universitario en Investigacin en Ciencias Humanas, Sociales y Jurdicas', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002812', 'Mster Universitario en Investigacin en Ciencias Sociosanitarias', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311771', 'Mster Universitario en Investigacin en Didctica de las Ciencias Experimentales y de la Matemtica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310949', 'Mster Universitario en Investigacin en Ingeniera Ambiental', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001269', 'Mster Universitario en Investigacin en Psicologa de la Salud', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002975', 'Mster Universitario en Investigacin en Veterinaria', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311041', 'Mster Universitario en Investigacin Psicosocioeducativa con Adolescentes en Contextos Escolares', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310613', 'Mster Universitario en Investigacin Qumica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002708', 'Mster Universitario en Investigacin y Avances en Psicologa de la Salud, Evaluacin y Tratamiento ', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002628', 'Mster Universitario en Matemticas Avanzada: Aplicaciones y Educacin con Intensificaciones en: Inv', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001185', 'Mster Universitario en MBA (mster en business administration)', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001401', 'Mster Universitario en Mejora Gentica Vegetal', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310602', 'Master Universitario en Menores en Situacin de Desproteccin y Conflicto Social', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001714', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312333', 'Mster Universitario en Msica como Arte Interdisciplinar', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310791', 'Mster Universitario en Optometra y Ciencias de la Visin', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311079', 'Mster Universitario en Psicologa Aplicada por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311296', 'Estudios Avanzados en Filosofia', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311478', 'Mster en Acstica y vibraciones', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311497', 'Investigacin en Didcticas Especficas', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312027', 'Mster en Ingeniera Agronmica', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312594', 'Mster en Investigacin en Ciencias de la Salud -Farmacologa, Neurobiologa y Nutricin-', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50110000000', 'Ingeniero Tcnico en Explotaciones Forestales.', 'N', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50110000000', 'Ingeniero Tcnico en Explotaciones Forestales.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '62', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '59', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '54', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630010000', 'Ingeniero Tcnico de Telecomunicacin.Equipos Electrnicos.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630010000', 'Ingeniero Tcnico de Telecomunicacin.Equipos Electrnicos.', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '64', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50700100000', 'Ingeniero Tcnico Aeronutico, Especialidad en Equipos y Materiales Aeroespaciales', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502039', 'Graduado o Graduada en Turismo ', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001583', 'Mster Universitario en Comunicacin Social', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000220', 'Mster Universitario en Comunidad Sorda, Educacin y Lengua de Signos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312253', 'Mster Universitario en Condicionantes Genticos, Nutricionales y Ambientales del Crecimiento y Desa', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312253', 'Mster Universitario en Condicionantes Genticos, Nutricionales y Ambientales del Crecimiento y Desa', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312253', 'Mster Universitario en Condicionantes Genticos, Nutricionales y Ambientales del Crecimiento y Desa', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312008', 'Mster Universitario en Construccin y Tecnologa Arquitectnicas', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310624', 'Mster Universitario en Contaminacin Industrial: Evaluacin, Prevencin y Control ', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002624', 'Mster Universitario en Control de Procesos Industriales', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311122', 'Mster Universitario en Criminologa y Ciencias Forenses', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003067', 'Mster Universitario en Cristalografa y Cristalizacin', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311632', 'Mster Universitario en Economa: Instrumentos del Anlisis Econmico', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310280', 'Mster Universitario en Edificacin por la Universidad Politcnica de Valencia', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311931', 'Mster Universitario en Empresas y Mercados Tursticos', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310693', 'Mster Universitario en Endodoncia Avanzada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000678', 'Mster Universitario en Tecnologa de la Informacin y Sistemas Informticos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001722', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles (TICRM)', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311969', 'Mster Universitario en Teora y Critica de la Cultura', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312574', 'Mster Universitario en Teora y Prctica de los Derechos Humanos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311231', 'Mster Universitario en Tributacin / Asesora Fiscal ', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000737', 'Mster Universitario en Bienestar Social: Intervencin Individual, Familiar y de Grupo', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311236', 'Mster Universitario en Comunicacin y Educacin en Red. De la Sociedad de la Informacin a la Socie', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310863', 'Mster Universitario en Comunicacin y Gastronoma', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001849', 'Mster Universitario en conservacin y restauracin del patrimonio arquitectnico', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002778', 'Mster Universitario en Poltica Lingstica y Planificacin de la Lengua Gallega', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311069', 'Mster Universitario en Investigacin en Ciencia Poltica', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310545', 'Mster Universitario en La Ciudad Medieval', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3004005', 'Mster Universitario en Lenguas, Movimientos de Poblacin y Construccin Social', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312221', 'Mster Universitario en Literatura Espaola y Comparada', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000248', 'Mster Universitario en Matemtica Avanzada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001259', 'Mster Universitario en Nanotecnologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000401', 'Mster Universitario en Neurociencia', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001653', 'Mster Universitario en Neurociencia Cognitiva y Necesidades Educativas Especficas: Neurociencia Co', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002560', 'Mster Universitario en Nuevas Empresas y Gestin de la Innovacin', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310694', 'Mster Universitario en Ortodoncia Avanzada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311185', 'Mster Universitario en Patrimonio ( Historia, Cultura y Territorio)', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001608', 'Mster Universitario en pensamiento contemporneo', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001371', 'Mster Universitario en Psicologa Clnica y de la Salud', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000851', 'Mster Universitario en Acuicultura', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002797', 'Mster Universitario en Administracin y Direccin de Entidades de Economa Social', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000502', 'Mster Universitario en Administracin, Direccin y Organizacin de Empresas', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000432', 'Mster Universitario en Amrica Latina Contempornea y sus Relaciones con la UE: una Cooperacin Est', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310628', 'Mster Universitario en Anlisis Econmico Aplicado', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001802', 'Mster Universitario en Estudios Interdisciplinares de Gnero', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000013', 'Mster Universitario en Estudios Migratorios. Desarrollo e Intervencin Social', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001010', 'Mster Universitario en Estudios Sociales de la Ciencia y la Tecnologa.', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001040', 'Mster Universitario en European Master in Leisure Management/Mster Europeo en Direccin de Proyect', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310088', 'Mster Universitario en Fsica Biomdica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000129', 'Mster Universitario en Cultivos Marinos', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001501', 'Mster Universitario en Culturas y Lenguas de la Antigedad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310100', 'Mster Universitario en Derecho Autonmico y Local', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311148', 'Mster Universitario en Desarrollo Rural Territorial', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310225', 'Mster Universitario en Direccin de Procesos de Negocios', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311979', 'Mster Universitario en Direccin y Gestin en Enfermera', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000654', 'Mster Universitario en Economa', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000127', 'Mster Universitario en Economa del Turismo y del Medio Ambiente', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310885', 'Mster Universitario en Educacin y Gestin de Enfermera', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001959', 'Mster Universitario en Energa y Sostenibilidad', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310687', 'Mster Universitario en Energas Renovables ', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311914', 'Mster Universitario en Energas Renovables y Generacin Elctrica', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000731', 'Mster Universitario en Energas Renovables: Generacin Elctrica', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312575', 'Mster Universitario en Envejecimiento y Salud', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312685', 'Mster Universitario en Estudios Ingleses', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001787', 'Mster Universitario en Estudios Ingleses Avanzados: Literatura y Cultura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001577', 'Mster Universitario en iniciacin a la abogaca y a la prctica forense', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000102', 'Mster Universitario en Iniciacin a la Investigacin en Matemticas', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312026', 'Mster Universitario en Lectura y Comprensin de Textos', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312061', 'Mster Universitario en Lengua y Lingstica Inglesas: Orientacin Investigadora y Aplicaciones Acad', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312704', 'Mster Universitario en Lgica, Computacin e Inteligencia Artificial', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310790', 'Mster Universitario en Logstica, Transporte y Movilidad', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002118', 'Mster Universitario en marketing', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001944', 'Mster Universitario en Materiales Estructurales para las Nuevas Tecnologas', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312436', 'Mster Universitario en Mediacin', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310207', 'Mster Universitario en Mtodos y Tcnicas Avanzadas de Investigacin Histrica, Artstica y Geogrf', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001155', 'Mster Universitario en Oceanografa', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310654', 'Mster Universitario en Orientacin y Evaluacin Socioeducativas', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311723', 'Mster Universitario en Qumica Orgnica Experimental e Industrial', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000662', 'Mster Universitario en Relaciones laborales', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311025', 'Mster Universitario en Religiones y Sociedades', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002518', 'Mster Universitario en Salud Laboral (Prevencin de Riesgos Laborales) ', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000931', 'Mster Universitario en Sistemas Inteligentes', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311010', 'Mster Universitario en Tecnologas Avanzadas de Procesos de Diseo y Fabricacin Mecnica', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310426', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310426', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311045', 'Mster Universitario en Tecnologas para la Proteccin del Patrimonio Cultural Inmueble', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001702', 'Mster Universitario en Traduccin Creativa y Humanstica', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310010', 'Mster Universitario en Urbanismo: Planes y Proyectos. Del Territorio a la Ciudad', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310705', 'Mster Universitario Erasmus Mundus en Formacin de Profesionales de la Formacin (Mundusfor)', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311596', 'Mster Universitario Erasmus Mundus en Migraciones Internacionales y Cohesin Social / Joint Europea', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002988', 'Mster Universitario en Arquitectura, Energa y Medio Ambiente', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312679', 'Mster Universitario en Arte: Idea y Produccin', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312349', 'Mster Universitario en Fisioterapia Neurolgica para el Paciente Adulto', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310575', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria ', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001574', 'Mster Universitario en Geologa Ambiental y Recursos Geolgicos', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311162', 'Mster Universitario en Geologa y Gestin Ambiental de los Recursos Minerales', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311208', 'Mster Universitario en Gerontologa Social ', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312079', 'Mster Universitario en Gestin de la Calidad en los Servicios de Salud', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311644', 'Mster Universitario en Ingeniera Computacional y Sistemas Inteligentes', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311647', 'Mster Universitario en Ingeniera de Materiales Renovables', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312289', 'Mster Universitario en Ingeniera de Software Libre', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311747', 'Mster Universitario en Ingeniera del Tratamiento y Reciclaje de Aguas Residuales Industriales', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311573', 'Mster Universitario en Ingeniera Electrnica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001555', 'Mster Universitario en Ingeniera Geolgica Aplicada a la Obra Civil', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312606', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001318', 'Mster Universitario en Proyectos de Arquitectura y Ciudad', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001696', 'Mster Universitario en investigacin en didctica de las ciencias experimentales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000774', 'Mster Universitario en Investigacin en Educacin', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310668', 'Mster Universitario en Psicologa Jurdica', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311666', 'Mster Universitario en Qumica Aplicada y Materiales Polimricos', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002879', 'Mster Universitario en Qumica Terica y Computacional', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310939', 'Mster Universitario en Radiacin de Sincrotrn y Aceleradores de Partculas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001745', 'Mster Universitario en tecnologa de la informacin geogrfica para la ordenacin del territorio: s', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000455', 'Mster Universitario en Tecnologas de la Informacin Geogrfica', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000455', 'Mster Universitario en Tecnologas de la Informacin Geogrfica', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310188', 'Mster Universitario en Tecnologas de la informacin y las Comunicaciones ', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312334', 'Mster Universitario en Teora de la Literatura y Literatura Comparada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002017', 'Mster Universitario en Translation and Intercultural Studies', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310941', 'Mster Universitario en Visin por Computador e Inteligencia Artificial', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001461', 'Mster Universitario Europeo en Medioambiente y Recursos Marinos/ European Master in Marine Environm', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312600', 'Mster Universitario en Arte Contemporneo. Creacin e Investigacin', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001907', 'Mster Universitario en Asuntos Internacionales: Economa, Poltica y Derecho', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310430', 'Mster Universitario en Bibliotecas y Servicios de Informacin Digital', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002994', 'Mster Universitario en Computing', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310459', 'Mster Universitario en Creacin e Interpretacin Musical', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311507', 'Mster Universitario en Biologa del Desarrolo y Gentica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312319', 'Mster Universitario en Biotecnologa Industrial y Agroalimentaria', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000351', 'Mster Universitario en Ciencia e Ingeniera de Materiales', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311219', 'Mster Universitario en Ciencia y Tecnologia desde el Espacio', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310920', 'Mster Universitario en Antropologa Social y Cultural / Social and Cultural Anthropology', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311289', 'Mster Universitario en Democracia y Buen Gobierno', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310584', 'Mster Universitario en Derechos Humanos, Democracia y Justicia Internacional', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311517', 'Mster Universitario en Desarrollo e Innovacin de Alimentos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310969', 'Mster Universitario en Diseo y Fabricacin Integrada Asistidos por Computador', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311604', 'Mster Universitario en Economa Agroalimentaria y del Medio Ambiente', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311847', 'Mster Universitario en Electrofisiologa Cardaca Diagnstica y Teraputica', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310346', 'Mster Universitario en Enfermera Oftalmolgica y Ciencias de la Visin', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311018', 'Mster Universitario en Estrategia y Marketing de Empresa', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312547', 'Mster Universitario en Estrategias y Tecnologas Para la Funcin Docente en la Sociedad Multicultur', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311203', 'Mster Universitario en Estudios Avanzados en Historia del Arte', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001180', 'Mster Universitario en Estudios de las Religiones', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312427', 'Mster Universitario en Estudios Franceses y Francfonos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311374', 'Mster Universitario en Innovacin Empresarial y Gestin de la Tecnologa / Business Innovation and ', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000811', 'Mster Universitario en Innovacin y Desarrollo basado en Competencias en la Educacin Superior', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311770', 'Mster Universitario en Investigacin Biomdica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310014', 'Mster Universitario en Formacin de Profesores en Espaol', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311541', 'Mster Universitario en Geofsica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310097', 'Mster Universitario en Virologa ', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002082', 'Mster Universitario en Zootecnia y Gestin Sostenible: Ganadera Ecolgica Integrada', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002936', 'Mster Universitario Erasmus Mundus en Psicologa del Trabajo, Organizaciones y Recursos Humanos/Era', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002549', 'Mster Universitario Internacional en Direccin Turstica Internacional', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002635', 'Mster Universitario en Asesora Jurdica de Empresas', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000488', 'Mster Universitario en Astrofsica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002668', 'Mster Universitario en Biodiversidad y Biologa de la Conservacin', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312423', 'Mster Universitario en Computacin de Altas Prestaciones', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310279', 'Mster Universitario en Computacin Paralela y Distribuida', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312728', 'Mster Universitario en Comunicacin de Moda y Belleza', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311871', 'Mster Universitario en Comunicacin y Aprendizaje en la Sociedad Digital', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310370', 'Mster Universitario en Creacin y Gestin de Empresas Innovadoras y de Base Tecnolgica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000442', 'Mster Universitario en Ciencia y Tecnologia desde el Espacio', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311235', 'Mster Universitario en Ciencia y Tecnologa Qumica', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003055', 'Mster Universitario en Ciencia y Tecnologa Qumica', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002773', 'Mster Universitario en Anatoma Aplicada a la Clnica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312635', 'Mster Universitario en Estudios Literarios', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001891', 'Mster Universitario en Estudios Norteamericanos', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001589', 'Mster Universitario en Estudios Superiores de Lengua Espaola: Investigacin y Aplicaciones', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312206', 'Mster Universitario en Asesoramiento Lingstico y Cultura Literaria. Aplicaciones al Contexto Vale', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002528', 'Mster Universitario en Asia Oriental-Estudios Japoneses', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310641', 'Mster Universitario en Biofsica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310131', 'Mster Universitario en Biologa de las Plantas en Condiciones Mediterrneas', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310401', 'Mster Universitario en Biologa Molecular y Celular', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312522', 'Mster Universitario en Biotecnologa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312913', 'Mster Universitario en Biotecnologa Avanzada', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001311', 'Mster Universitario en Biotecnologa Molecular y Celular de Plantas', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311877', 'Mster Universitario en Calidad y Mejora de la Educacin', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311693', 'Mster Universitario en Calidad y Seguridad Alimentaria', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002161', 'Mster Universitario en Ciencias Sociosanitarias', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001187', 'Mster Universitario en Anlisis Socioculturales de la Comunicacin y del Conocimiento', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000667', 'Mster Universitario en Anlisis y Prevencin del Terrorismo', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312284', 'Mster Universitario en Estudios Norteamericanos', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001460', 'Mster Universitario en European Master in Nuclear Fusion Science and Engineering Physics', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001616', 'Mster Universitario en Fsica de la Materia Condensada y Nanotecnologa', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311932', 'Mster Universitario en Cultura de Paz, Conflictos, Educacin y Derechos Humanos', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001773', 'Mster Universitario en Derecho Empresarial', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312091', 'Mster Universitario en Desarrollo Humano Sostenible e Intervencin Social', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002968', 'Mster Universitario en Direcci de Projectes de Conservaci-Restauraci: Col.Leccions i Conjunts Pa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002845', 'Mster Universitario en Drug and Food Quality', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311260', 'Mster Universitario en Economa y Finanzas', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311524', 'Mster Universitario en Economa y Gestin de la Actividad Pesquera', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311550', 'Mster Universitario en Psicologa de la Educacin - MIPE', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312403', 'Mster Universitario en Psicologa de las Organizaciones e Intervencin Psicosocial', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312310', 'Mster Universitario en Qumica Fina', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002748', 'Mster Universitario en Recursos Geolgicos y Geotecnia', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311033', 'Mster Universitario en Recursos Hdricos y Medio Ambiente', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002171', 'Mster Universitario en reeducacin fsica y prctica teraputica', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001798', 'Mster Universitario en Relaciones Internacionales y Estudios Africanos', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311072', 'Mster Universitario en Salud Laboral', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000600', 'Mster Universitario en Servicios de Consultora y Gestin de Proyectos Ambientales', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310173', 'Mster Universitario en Sistemas Inteligentes y Aplicaciones Numricas en la Ingeniera', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000633', 'Mster Universitario en Sistemas para Entornos Inteligentes', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312661', 'Mster Universitario en Sociologa Aplicada', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312290', 'Mster Universitario en Ingeniera Industrial', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312346', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310172', 'Mster Universitario en Procesos Educativos', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311126', 'Mster Universitario en Profesorado de Educacin Secundaria y Bachillerato, Formacin Profesional y ', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002967', 'Mster Universitario en Psicogerontologa', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002107', 'Mster Universitario en Investigacin en Atencin Primaria', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310534', 'Mster Universitario en Cooperacin Internacional y Polticas de Desarrollo', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312467', 'Mster Universitario en Cuidados Enfermeros. Metodologa y Aplicaciones', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312486', 'Mster Universitario en Bioqumica, Biologa Molecular y Biomedicina', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000241', 'Mster Universitario en Biotecnologa Avanzada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310046', 'Mster Universitario en Calidad de Medicamentos, Cosmticos y Alimentos ', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001781', 'Mster Universitario en Ciencias de la Antigedad y de la Edad Media', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310813', 'Mster Universitario en Gestin de Empresas, Productos y Servicios', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312095', 'Mster Universitario en Gestin de Informacin en las Organizaciones', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002144', 'Mster Universitario en Gestin del Agua en la Agricultura', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002650', 'Mster Universitario en Gestin del Patrimonio  Literario y Lingstico Espaol', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311312', 'Mster Universitario en Gestin, Organizacin y Economa de la Empresa / Management, Organization an', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310411', 'Mster Universitario en Historia Contempornea', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000498', 'Mster Universitario en Imagen, Publicidad e Identidad Corporativa', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000679', 'Mster Universitario en Ingeniera de la Decisin', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002655', 'Mster Universitario en Poltica Criminal', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312297', 'Mster Universitario en Polticas y Prcticas de Innovacin Educativa', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002763', 'Mster Universitario en Productividad y sanidad vegetal: avances fisiolgicos y biotecnolgicos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311012', 'Mster Universitario en Profesorado de Educacin Secundaria Obligatoria, Bachillerato, Formacin Pro', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311320', 'Mster Universitario en Investigacin en Educacin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310095', 'Mster Universitario en Investigacin en Informtica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001837', 'Mster Universitario en Lengua Espaola: Investigacin y Prcticas Profesionales', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311570', 'Mster Universitario en Liderazgo y Gestin de los Servicios de Enfermera', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312224', 'Mster Universitario en Matemtica Industrial', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002802', 'Mster Universitario en medicina deportiva', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311749', 'Mster Universitario en Ciencia y Tecnologa de Materiales', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002964', 'Mster Universitario en Ciencias de la Enfermeria', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310749', 'Mster Universitario en Ciencias de la Enfermera', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310083', 'Mster Universitario en Ciencias Farmacuticas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002521', 'Mster Universitario en Ciencias Sociales Aplicadas a la Atencin Sociosanitaria', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312463', 'Mster Universitario en Ciruga Oncolgica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002634', 'Mster Universitario en Abogaca', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311585', 'Mster Universitario en Administracin de Empresas (MBA)', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312040', 'Mster Universitario en Anlisis y Gestin de Ecosistemas Mediterrneos', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002771', 'Mster Universitario en Arqueologa Aplicada', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311011', 'Mster Universitario en Estudios Medievales de la Corona de Aragn', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002618', 'Mster Universitario en European Master of Science in Nematology', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001381', 'Mster Universitario en Evaluacin y Medida de la Conducta', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310440', 'Mster Universitario en Cultura y Pensamiento Europeo y su Proyeccin', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000663', 'Mster Universitario en Derecho de los Negocios y Litigacin Internacional', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001600', 'Mster Universitario en Derecho Penitenciario', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310324', 'Mster Universitario en Derecho Privado Patrimonial', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311833', 'Mster Universitario en Direccin y Gestin de Calidad y Medio Ambiente', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002661', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000092', 'Mster Universitario en Diseo Avanzado en Ingeniera Mecnica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312111', 'Mster Universitario en Ecomia Agraria, Alimentaria y de los Recursos Naturales', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310604', 'Mster Universitario en Economa', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001807', 'Mster Universitario en Energas y Combustibles para el Futuro', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002700', 'Mster Universitario en Enfermera Oftalmolgica y Ciencias de la Visin', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311746', 'Mster Universitario en Musicoterapia', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002877', 'Mster Universitario en Neurociencias', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312551', 'Mster Universitario en Nutricin y Salud', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312618', 'Mster Universitario en Planificacin Integrada para el Desarrollo Rural y la Gestin Ambiental', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311139', 'Mster Universitario en Psicologa de la Educacin', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312692', 'Mster Universitario en Psicologa de la Salud', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000842', 'Mster Universitario en Psicologa del Trabajo, de las Organizaciones y de los Recursos Humanos', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001252', 'Mster Universitario en Radiacin de Sincrotrn y Aceleradores de Partculas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312087', 'Mster Universitario en Salud Pblica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002068', 'Mster Universitario en Sexologa', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310361', 'Mster Universitario en Tcnicas Estadsticas por la Universidad de A Corua; la Universidad de Sant', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001625', 'Mster Universitario en tecnologa qumica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002951', 'Mster Universitario en Tecnologas de Climatizacin y Eficiencia Energtica en Edificios', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312281', 'Mster Universitario en Tecnologas de la Informacin', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310808', 'Master Universitario en Telemedicina y Bioingeniera', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000738', 'Mster Universitario en Trabajo Social Comunitario, Gestin y Evaluacin de Servicios Sociales', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310161', 'Mster Universitario en Traduccin Mdico-Sanitaria', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311332', 'Mster Universitario en Traduccin, Interpretacin y Estudios Interculturales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311082', 'Mster Universitario Erasmus Mundus en Accin Internacional Humanitaria / International Humanitarian', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001541', 'Mster Universitario Erasmus Mundus en Excelencia en Salud Pblica / Europubhealth', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001416', 'Mster Universitario Internacional en Optometra e Investigacin Clnica', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001312', 'Mster Universitario en Artes Visuales y Multimedia', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310323', 'Mster Universitario en Asia Oriental - Estudios Japoneses', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000750', 'Mster Universitario en Atencin Farmacutica en Geriatra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312271', 'Mster Universitario en Atencin Farmacutica. EUROPHARMNES', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001659', 'Mster Universitario en Computacin', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000685', 'Mster Universitario en Comunicacin y Problemas Socioculturales', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001500', 'Mster Universitario en Construccin y Representacin de Identidades Culturales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312660', 'Mster Universitario en Biologa Celular y Molecular', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310052', 'Mster Universitario en Filosofa Analtica ', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000554', 'Mster Universitario en Fsica Fundamental', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001128', 'Mster Universitario en Desarrollo e Innovacin de Alimentos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001415', 'Mster Universitario en Direccin de Empresas', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311519', 'Mster Universitario en Direccin de Proyectos de Conservacin-Restauracin: Colecciones y Conjuntos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002789', 'Mster Universitario en Direccin Integrada de Proyectos', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311365', 'Mster Universitario en Direccin y Planificacin del Turismo / European Master in Tourism Managemen', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310372', 'Mster Universitario en Empleo e Intervencin en el Mercado Laboral', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310126', 'Mster Universitario en Estudios de Empresa', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000418', 'Mster Universitario en Estudios de Gnero', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312647', 'Mster Universitario en Estudios e Intervencin Social en Inmigracin, Desarrollo y Grupos Vulnerabl', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001808', 'Mster Universitario en Innovacin, Evaluacin y Calidad en Educacin Fsica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002047', 'Mster Universitario en International Business Law', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310675', 'Mster Universitario en Intervencin y Mediacin Familiar', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002976', 'Mster Universitario en Formacin de las Personas Adultas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310489', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310507', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311430', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312173', 'Mster Universitario en Gentica Molecular y Biotecnologa', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000893', 'Mster Universitario en Ingeniera Hidrulica y Medio Ambiente', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310669', 'Mster Universitario en Direccin de Empresas - MBA', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312434', 'Mster Universitario en Direccin de Empresas (MBA)', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002846', 'Mster Universitario en Direccin de Empresas de Deporte', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312621', 'Mster Universitario en Educacion para la Ciudadania y en Valores', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000960', 'Mster Universitario en Educacin y Rehabilitacin de Conductas Adictivas', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001217', 'Mster Universitario en Empleo y Recursos Humanos', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001399', 'Mster Universitario en Innovacin Empresarial y Gestin de la Tecnologa', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001427', 'Mster Universitario en Instalaciones Trmicas y Elctricas en Edificios. Eficiencia Energtica', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500428', 'Graduado o Graduada en Publicidad y Relaciones Pblicas ', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310788', 'Mster Universitario en Inteligencia Artificial', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000792', 'Mster Universitario en Intervencin en Violencia contra las Mujeres', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001948', 'Mster Universitario en Intervencin Logopdica en la Infancia y en la Adolescencia', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001489', 'Mster Universitario en Geofsica', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001249', 'Mster Universitario en Geologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001914', 'Mster Universitario en Gestin de Suelos y Aguas', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501799', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501283', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501408', 'Graduado o Graduada en Sociologa por la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502038', 'Graduado o Graduada en Trabajo Social ', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500988', 'Graduado o Graduada en Veterinaria', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501466', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500766', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501143', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500853', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502090', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502521', 'Graduado o Graduada en Estudios rabes e Islmicos', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500983', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501887', 'Graduado o Graduada en Derecho', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500847', 'Graduado o Graduada en Derecho ', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501084', 'Graduado o Graduada en Diseo', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312650', 'Mster Universitario en Estructuras', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310816', 'Mster Universitario en Estudios Comparados de Literatura, Arte y Pensamiento', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001679', 'Mster Universitario en ingeniera y tecnologa del software', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000698', 'Mster Universitario en Iniciacin a la investigacin en ciencias de la visin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311179', 'Mster Universitario en Innovacin en Arquitectura: Tecnologa y Diseo', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311152', 'Mster Universitario en Intervencin e Investigacin Psicolgica en Justicia, Salud y Bienestar Soci', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310674', 'Mster Universitario en Intervencin en Violencia contra las Mujeres', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310155', 'Mster Universitario en Intervencin y Mediacin Familiar', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310621', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310895', 'Mster Universitario en Fotnica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001955', 'Mster Universitario en Fotnica y Tecnologas del Lser', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000400', 'Mster Universitario en Gerontologa', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002760', 'Mster Universitario en Gestin de la Biodiversidad en Ambientes Mediterrneos', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312113', 'Mster Universitario en Gestin en Edificacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311956', 'Mster Universitario en Implantologa Oral y Prtesis Implantosoportada', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310289', 'Mster Universitario en Ingeniera Acstica de la Edificacin y Medio Ambiente', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310413', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311915', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310315', 'Mster Universitario en Ingeniera de Procesos Qumicos y Ambientales', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000216', 'Mster Universitario en Ingeniera Electrnica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311089', 'Mster Universitario en Ingeniera Medioambiental', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000403', 'Mster Universitario en Ingeniera Naval y Ocenica', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001769', 'Mster Universitario en Planificacin y Gestin de la Educacin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001393', 'Mster Universitario en Polmeros y Biopolmeros', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310750', 'Mster Universitario en Investigacin en Atencin Primaria', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311811', 'Mster Universitario en Investigacin en Ciencias de la Gestin', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310521', 'Mster Universitario en Investigacin en Ciencias de la Salud', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310519', 'Mster Universitario en Investigacin en Ciencias Sociales y Jurdicas', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311578', 'Mster Universitario en Investigacin en Didctica de la Lengua y la Literatura', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001255', 'Mster Universitario en Investigacin en Economa Aplicada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002707', 'Mster Universitario en Investigacin y Avances en Microbiologa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311457', 'Mster Universitario en Investigacin, Modelizacin y Anlisis del Riesgo en Medio Ambiente', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002874', 'Mster Universitario en Joventut i societat', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001789', 'Mster Universitario en Literatura Comparada: Estudios Literarios y Culturales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002604', 'Mster Universitario en Literatura Europea y Enseanza de Lenguas', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310904', 'Mster Universitario en Marketing e Investigacin de Mercados por la Universidad Jaume I de Castell', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311692', 'Mster Universitario en Mecnica Computacional/Science in Computational Mechanics', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000019', 'Mster Universitario en Medicina, Sanidad y Mejora Animal', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000203', 'Mster Universitario en Neurociencias', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000203', 'Mster Universitario en Neurociencias', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312259', 'Mster Universitario en Nutricin Humana', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311684', 'Mster Universitario en Odontopediatria', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001736', 'Mster Universitario en participacin y desarrollo comunitario', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313088', 'Mster Universitario en Estudios Avanzados en Humanidades', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000589', 'Mster Universitario en Estudios Contemporneos de Amrica Latina', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312189', 'Mster Universitario en Ingeniera y Tecnologa del Software', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310007', 'Mster Universitario en Intervencin en la Discapacidad y la Dependencia', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000708', 'Mster Universitario en Gestin y Planificacin de Servicios Sanitarios', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310940', 'Mster Universitario en Informtica Avanzada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001456', 'Mster Universitario en Ingeniera Ambiental y de Procesos Qumicos y Biotecnolgicos', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312405', 'Mster Universitario en Ingeniera de la Construccin', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500518', 'Graduado o Graduada en Filosofa', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500828', 'Graduado o Graduada en Derecho', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501134', 'Graduado o Graduada en Derecho', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500363', 'Graduado o Graduada en Derecho', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500850', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501789', 'Graduado o Graduada en Educacin Primaria ', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501866', 'Graduado o Graduada en Educacin Primaria ', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501269', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501523', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501946', 'Graduado o Graduada en Bellas Artes', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502352', 'Graduado o Graduada en Lengua Espaola y Literaturas Hispnicas', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500310', 'Graduado o Graduada en Logopedia', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500508', 'Graduado o Graduada en Maestro de Educacin Primaria por la Universidad de Burgos', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500407', 'Graduado o Graduada en Maestro en Educacin Infantil ', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501889', 'Graduado o Graduada en Maestro en Educacin Primaria', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501241', 'Graduado o Graduada en Finanzas y Contabilidad', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502163', 'Graduado o Graduada en Fisioterapia', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500768', 'Graduado o Graduada en Fisioterapia por la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500752', 'Graduado o Graduada en Geografa ', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501839', 'Graduado o Graduada en Historia', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500140', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502058', 'Graduado o Graduada en Ingeniera Agroalimentaria', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501556', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502279', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502245', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502395', 'Graduado o Graduada en Ingeniera Marina', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502377', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502127', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica ', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501356', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo de Productos por la Universidad ', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502208', 'Graduado o Graduada en Ingeniera en Propulsin y Servicios del Buque por la Universidad de A Corua', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502003', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501605', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501715', 'Graduado o Graduada en Matemticas ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500506', 'Graduado o Graduada en Odontologa', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500620', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500064', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501870', 'Graduado o Graduada en Turismo', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501461', 'Graduado o Graduada en Conservacin y Restauracin de Bienes Culturales', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501222', 'Graduado o Graduada en Contabilidad y Finanzas', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500746', 'Graduado o Graduada en Estudios Franceses', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501909', 'Graduado o Graduada en Economa', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500679', 'Graduado o Graduada en Economa', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501387', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501970', 'Graduado o Graduada en Educacin Social', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501335', 'Graduado o Graduada en Enfermera', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500718', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501492', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501153', 'Graduado o Graduada en Biologa', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500280', 'Graduado o Graduada en Biotecnologa', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501488', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500558', 'Graduado o Graduada en Lenguas Modernas ', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502029', 'Graduado o Graduada en Lenguas Modernas ', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500727', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500544', 'Graduado o Graduada en Podologa', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500946', 'Graduado o Graduada en Qumica', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500908', 'Graduado o Graduada en Relaciones Laborales y Desarrollo de Recursos Humanos', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501391', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501521', 'Graduado o Graduada en Trabajo Social', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501261', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502202', 'Graduado o Graduada en Turismo por la Universidad de Alicante', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501470', 'Graduado o Graduada en Ciencia Poltica y Gestin Pblica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500488', 'Graduado o Graduada en Ciencias de la Actividad Fsica y el Deporte', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500170', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500585', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501742', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501275', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501957', 'Graduado o Graduada en Filosofa', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501255', 'Graduado o Graduada en Derecho', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500026', 'Graduado o Graduada en Derecho', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500077', 'Graduado o Graduada en Derecho', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501506', 'Graduado o Graduada en Economa por la Universidad de Cantabria', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500454', 'Graduado o Graduada en Educacin Infantil ', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500419', 'Graduado o Graduada en Educacin Social', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501116', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501652', 'Graduado o Graduada en Arquitectura', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500776', 'Graduado o Graduada en Arquitectura', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500771', 'Graduado o Graduada en Lenguas Extranjeras', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500408', 'Graduado o Graduada en Maestro en Educacin Primaria', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501052', 'Graduado o Graduada en Matemticas', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501790', 'Graduado o Graduada en Finanzas y Contabilidad ', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501633', 'Graduado o Graduada en Historia', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501704', 'Graduado o Graduada en Historia', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500347', 'Graduado o Graduada en Historia ', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500687', 'Graduado o Graduada en Historia del Arte', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500552', 'Graduado o Graduada en Humanidades', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500726', 'Graduado o Graduada en Humanidades', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501088', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502232', 'Graduado o Graduada en Ingeniera Civil ', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502512', 'Graduado o Graduada en Ingeniera de los Recursos Minerales', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501151', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501074', 'Graduado o Graduada en Biologa', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500991', 'Graduado o Graduada en Ingeniera Qumica Industrial', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501730', 'Graduado o Graduada en Ingeniera Qumica Industrial ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500906', 'Graduado o Graduada en Fsica', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501398', 'Graduado o Graduada en Fisioterapia', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500709', 'Graduado o Graduada en Historia del Arte', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500173', 'Graduado o Graduada en Humanidades', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500235', 'Graduado o Graduada en Ingeniera de Computadores por la Universidad de Alcal', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501422', 'Graduado o Graduada en Ingeniera de Organizacin de las Tecnologas de la Informacin y de la Comun', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501769', 'Graduado o Graduada en Ingeniera Marina', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501192', 'Graduado o Graduada en Odontologa', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501334', 'Graduado o Graduada en Qumica', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500267', 'Graduado o Graduada en Qumica ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500909', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte por la Universidad Catlica San', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500124', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313020', 'Mster Universitario en Gestin del Transporte y la Movilidad por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313028', 'Mster Universitario en Multilingismo y Educacin/European Master in Multilingualism and Education', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313032', 'Gestion y Explotacin Turistica de la Cultura del Vino: Enoturismo en la Cuenca del Duero (GESTURVIN)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001390', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310154', 'Mster Universitario en Internacionalizacin Econmica: Integracin y Comercio Internacional', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001453', 'Mster Universitario en Investigacin Bsica en Odontologa y Biomedicina', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312364', 'Mster Universitario en Gentica y Evolucin', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001425', 'Mster Universitario en Gestin de Campos de Golf', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002733', 'Mster Universitario en Gestin del Desarrollo Sostenible', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312305', 'Mster Universitario en Gestin del Patrimonio Literario y Lingstico Espaol', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002765', 'Mster Universitario en Gestin y Planificacin del Desarrollo Local y del Empleo', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310182', 'Mster Universitario en Hidrulica Ambiental', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001782', 'Mster Universitario en Historia Comparada, Siglos XVI-XX', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000397', 'Mster Universitario en Historia Contempornea', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311962', 'Mster Universitario en Historia del Arte Contemporneo y Cultura Visual', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311067', 'Mster Universitario en Industria Farmacutica y Biotecnologa', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000876', 'Mster Universitario en Ingeniera de Computadores', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001870', 'Mster Universitario en Ingeniera de Sistemas Electrnicos', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500240', 'Graduado o Graduada en Musicologa', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500242', 'Graduado o Graduada en Diseo', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500248', 'Graduado o Graduada en Lengua y Literatura Espaolas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500256', 'Graduado o Graduada en Antropologa Social y Cultural', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500287', 'Graduado o Graduada en Ciencias de la Actividad Fsica y el Deporte', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500840', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500897', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501070', 'Graduado o Graduada en Ciencias y Tecnologas de la Edificacin por la Universidad Politcnica de Catalunya', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502326', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501781', 'Graduado o Graduada en Historia ', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501833', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502479', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502005', 'Graduado o Graduada en Ingeniera Electrnica Industrial', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502113', 'Graduado o Graduada en Ingeniera en Organizacin Industrial', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501586', 'Graduado o Graduada en Ingeniera en Tecnologas de Telecomunicacin', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502077', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501384', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501126', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500943', 'Graduado o Graduada en Odontologa', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502500', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500756', 'Graduado o Graduada en Trabajo Social', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500357', 'Graduado o Graduada en Biotecnologa', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501471', 'Graduado o Graduada en Ciencias de la Actividad Fsica y Deporte', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500289', 'Graduado o Graduada en Ciencias Polticas y de la Administracin', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501389', 'Graduado o Graduada en Contabilidad y Finanzas', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502438', 'Graduado o Graduada en Enfermera ', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500027', 'Graduado o Graduada en Estadstica y Empresa', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502363', 'Graduado o Graduada en Estudios Clsicos y Romnicos', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500845', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501711', 'Graduado o Graduada en Estudios Ingleses ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501345', 'Graduado o Graduada en Farmacia', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500443', 'Graduado o Graduada en Derecho', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501822', 'Graduado o Graduada en Economa', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500910', 'Graduado o Graduada en Economa', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500389', 'Graduado o Graduada en Economa ', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500947', 'Graduado o Graduada en Arquitectura', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500921', 'Graduado o Graduada en Lenguas y Literaturas Modernas-Francs', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501004', 'Graduado o Graduada en Maestro en Educacin Primaria ', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500149', 'Graduado o Graduada en Matemticas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502477', 'Graduado o Graduada en Finanzas y Contabilidad', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501360', 'Graduado o Graduada en Finanzas y Contabilidad ', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502387', 'Graduado o Graduada en Finanzas y Seguros', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500504', 'Graduado o Graduada en Historia', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501264', 'Graduado o Graduada en Historia del Arte', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502015', 'Graduado o Graduada en Humanidades', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500107', 'Graduado o Graduada en Humanidades', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502142', 'Graduado o Graduada en Ingeniera Civil y Territorial', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500969', 'Graduado o Graduada en Ingeniera de Computadores por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502334', 'Graduado o Graduada en Ingeniera de Organizacin Industrial', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501166', 'Graduado o Graduada en Ingeniera Electrnica de Comunicaciones', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502300', 'Graduado o Graduada en Ingeniera Electrnica Industrial', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502371', 'Graduado o Graduada en Ingeniera en Geomtica y Topografa', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502282', 'Graduado o Graduada en Ingeniera Geomtica y Topografa', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500397', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500971', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502251', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502256', 'Graduado o Graduada en Medicina', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500382', 'Graduado o Graduada en Pedagoga', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500855', 'Graduado o Graduada en Periodismo', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500080', 'Graduado o Graduada en Periodismo', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500315', 'Graduado o Graduada en Podologa', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500348', 'Graduado o Graduada en Psicologa ', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500635', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502121', 'Graduado o Graduada en Qumica', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313145', 'Mster Universitario en Enseanza Bilinge en Centros Educativos de Educacin Secundaria e Inmersin', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003047', 'Mster Universitario en Enseanza de Espaol e Ingls como Segundas Lenguas o Lenguas Extranjeras', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001433', 'Mster Universitario en Estudio y Tratamiento del Dolor', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000245', 'Mster Universitario en Estudios Ambientales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001565', 'Mster Universitario en Estudios Avanzados en Filosofa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312993', 'Mster Universitario Erasmus Mundus en Produccin de Alimentos de Origen Animal / Food Products of Animal Origin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502544', 'Graduado o Graduada en Ingeniera Informtica en Tecnologas de la Informacin por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502557', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte por la Universidad de Cdiz', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502559', 'Graduado o Graduada en Ingeniera de Materiales', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502560', 'Graduado o Graduada en Publicidad y Relaciones Pblicas por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502561', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo del Producto  por la Universidad de Cdiz', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502562', 'Graduado o Graduada en Enologa por la Universidad de Cdiz', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502564', 'Graduado o Graduada en Ingeniera Electrnica de Comunicaciones por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502575', 'Graduado o Graduada en ptica y Optometra por la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502605', 'Graduado o Graduada en Cine y Series de Ficcin por la Universidad Antonio de Nebrija', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502631', 'Graduado o Graduada en Antropologa Social y Cultural por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502634', 'Graduado o Graduada en Magisterio de Educacin Infantil por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502647', 'Graduado o Graduada en Ingenieria Biomdica por la Universidad Politcnica de Madrid', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502662', 'Graduado o Graduada en Magisterio de Educacin Primaria por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502666', 'Graduado o Graduada en Criminologa por la Universidad de Granada', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502667', 'Grado en Ingeniera en Tecnologas Industriales', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502673', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '76', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502675', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502676', 'Graduado o Graduada en Nutricin Humana y Diettica por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502677', 'Graduado o Graduada en Estudios en Arquitectura por la Universidad de Zaragoza', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502687', 'Graduado o Graduada en Ingeniera Elctrica por la Universidad de Len', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502694', 'Graduado o Graduada en Diseo y Desarrollo de Videojuegos por la Universidad Jaume I de Castelln', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502704', 'Graduado o Graduada en Marketing y Comunidades Digitales por la Universidad Pompeu Fabra', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502713', 'Graduado o Graduada en Diseo de Productos Interactivos por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502714', 'Graduado o Graduada en Animacin Digital por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310893', 'Mster Universitario Interfacultativo de Estudios Iberoamericanos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311027', 'Mster Universitario en Educador/a Ambiental', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311027', 'Mster Universitario en Educador/a Ambiental', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311128', 'Mster Universitario en Ciencia y Tecnologa de Coloides e Interfases', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311128', 'Mster Universitario en Ciencia y Tecnologa de Coloides e Interfases', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311182', 'Mster Universitario en Profesorado en Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Enseanzas de Idiomas', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311238', 'Mster Universitario en Derecho de Familia', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311380', 'Mster Universitario en Visin Computerizada y Robtica', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311564', 'Mster Universitario en Oceanografa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311669', 'Mster Universitario en Sistema de Justicia Penal', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311680', 'Mster Universitario en Gestin de Edificacin y Construccin por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311714', 'Mster Universitario en Gestin y Seguridad Alimentaria', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311727', 'Mster Universitario en Historia Contempornea', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311776', 'Mster Universitario en Investigacin en Tecnologas de la Informacin', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311776', 'Mster Universitario en Investigacin en Tecnologas de la Informacin', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311835', 'Mster Universitario en Lengua Inglesa para el Comercio Internacional', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311836', 'Mster Universitario en Investigacin Aplicada en Estudios Feministas, de Gnero y Ciudadana', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312034', 'Mster Universitario en Direccin de Organizaciones e Instalaciones de la Actividad Fsica y del Deporte por la Universidad de Alcal; la Universidad de Len y la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312034', 'Mster Universitario en Direccin de Organizaciones e Instalaciones de la Actividad Fsica y del Deporte por la Universidad de Alcal; la Universidad de Len y la Universitat de Valncia (Estudi General)', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312038', 'Mster Universitario en Planificacin y Gestin de Riesgos Naturales', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312048', 'Mster Universitario en Economa Aplicada', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312126', 'Mster Universitario en Polticas Pblicas y Desarrollo Internacional por la Universidad Autnoma de Barcelona; la Universidad Pompeu Fabra; la Universidad de Barcelona y Erasmus Universiteit Rotterdam(Holanda)', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312127', 'Mster Universitario en Relaciones Internacionales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312148', 'Mster Universitario en Artes Cinematogrficas', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312220', 'Mster Universitario en Psicologa de la Salud', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312311', 'Mster Universitario en Memoria y Crtica de la Educacin', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312325', 'Mster Universitario en Agua y Medio Ambiente en reas Semiridas', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312338', 'Mster Universitario en Comunicacin y Branding Digital', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502718', 'Graduado o Graduada en Marketing y Comunicacin Empresarial por la Universidad de Vic', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502722', 'Graduado o Graduada en Ingeniera Audiovisual y de Telecomunicacin por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502736', 'Graduado o Graduada en Comunicacin Digital por la Universidad San Pablo-CEU', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502740', 'Graduado o Graduada en Ingeniera Biomdica por la Universidad San Pablo-CEU', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502742', 'Graduado o Graduada en Criminologa por la Universidad Complutense de Madrid', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502743', 'Graduado o Graduada en Literatura General y Comparada  por la Universidad Complutense de Madrid', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502759', 'Graduado o Graduada en Ingeniera Nutica y Transporte Martimo por la Universidad de A Corua', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502761', 'Graduado o Graduada en Psicologa por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502765', 'Graduado o Graduada en Nutricin Humana y Diettica por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502767', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502769', 'Graduado o Graduada en Economa por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502776', 'Graduado o Graduada en Periodismo por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502780', 'Graduado o Graduada en Finanzas / Bachelor in Finance por la IE Universidad', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502796', 'Graduado o Graduada en Cine de Animacin por la Universidad Camilo Jos Cela', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502799', 'Graduado o Graduada en Educacin Primaria por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310351', 'Mster Universitario en Acuicultura', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310366', 'Mster Universitario en Qumica Sostenible', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310366', 'Mster Universitario en Qumica Sostenible', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310366', 'Mster Universitario en Qumica Sostenible', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310381', 'Mster Universitario en Aplicaciones de Procesado de la Seal en Comunicaciones', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310387', 'Mster Universitario en Direccin de la Empresa Familiar', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310435', 'Mster Universitario en Organizacin y Direccin Industrial - Tecnolgica', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310494', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310667', 'Mster Universitario en Administracin y Direccin de Empresas por la Universidad Carlos III de Madrid y Escuela Europea de Administracin de Empresas ESCP-Europe (Francia)', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310725', 'Mster Universitario en Direccin de Comercio Exterior', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501158', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501314', 'Graduado o Graduada en Contabilidad y Finanzas', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501455', 'Graduado o Graduada en Ciencia Poltica y Gestin Pblica', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501572', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501574', 'Graduado o Graduada en Arqueologa', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501607', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501677', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501718', 'Graduado o Graduada en Maestro o Maestra en Educacin Primaria', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501760', 'Graduado o Graduada en Arquitectura Naval e Ingeniera Martima', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501856', 'Graduado o Graduada en Estudios de Francs y de Clsicas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501944', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501951', 'Graduado o Graduada en Turismo', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501956', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501992', 'Graduado o Graduada en Ingeniera Geolgica', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502000', 'Graduado o Graduada en Ingeniera Nutica y Transporte Martimo', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502019', 'Graduado o Graduada en Economa y Negocios Internacionales', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502060', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502098', 'Graduado o Graduada en Enfermera', NULL, 0, '78', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502130', 'Graduado o Graduada en Ingeniera en Audiovisual y de Telecomunicacin', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502185', 'Graduado o Graduada en Estadstica', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502187', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502229', 'Graduado o Graduada en Maestro de Educacin Primaria', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502262', 'Graduado o Graduada en Medicina', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502287', 'Graduado o Graduada en Gestin Turstica y Hotelera', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502339', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502410', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502480', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502501', 'Graduado o Graduada en Prevencin y Seguridad Integral', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502529', 'Graduado o Graduada en Veterinaria por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502532', 'Graduado o Graduada en Ingeniera en Organizacin Industrial', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502533', 'Graduado o Graduada en Estudios Franceses por la Universidad Autnoma de Barcelona y la Universidad de Barcelona', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502537', 'Graduado o Graduada en Psicologa', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312962', 'Mster Universitario en Estudios Literarios y Teatrales por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312966', 'Mster Universitario en Urbanismo por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312969', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Enseanza de Idiomas por la Universidad de las Illes Balears y la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312971', 'Mster Universitario en Economa Internacional: Relaciones Europa- Amrica Latina', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312978', 'Mster Universitario en Enfermera en Urgencias, Emergencias y Transporte Sanitario', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313051', 'Master Universitario en Patrimonio y Comunicacin por la Universidad de Burgos', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313061', 'Mster Universitario en Neuropsicologa y Educacin por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313065', 'Mster universitario en anlisis econmico y financiero por la Universidad Pblica de Navarra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313079', 'Mster Universitario en Direccin de PYMES por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313106', 'Mster Universitario en Territorio y Paisaje: Instrumentos de Anlisis y Gestin por la Universidad de Murcia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313132', 'Mster Universitario en Nanotecnologa y Ciencia de Materiales / Nanotechnology and Materials Science por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313148', 'Master Universitario en Marketing', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312363', 'Mster Universitario en Estudios Superiores de Filologa y Tradicin Clsicas', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312429', 'Mster Universitario en Bioestadstica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312443', 'Mster Interuniversitario en Comunicacin y Educacin Audivosual', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312450', 'Mster Universitario en Investigacin en Inmunologa por la Universidad Autnoma de Madrid; la Universidad Complutense de Madrid; la Universidad de Alcal; la Universidad de Santiago de Compostela y la Universidad de Zaragoza', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312465', 'Mster Universitario en Criminologa y Ejecucin Penal', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312474', 'Mster Universitario en Instrumentos de Lucha contra el Cambio Climtico: Kyoto Y Post-Kyoto', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312503', 'Mster Universitario en Gestin de la Ganadera Extensiva', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312509', 'Mster Universitario en Especializacin en Geotecnologas Topogrficas en la Ingeniera', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312511', 'Mster Universitario en Ingeniera Informtica', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312521', 'Mster Universitario en Estudios Latinoamericanos. Cultura y Gestin por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312567', 'Mster Universitario en Liderazgo y Gestin de la Ciencia y la Innovacin', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312592', 'Mster Universitario en Poltica, Gestin y Direccin de Organizaciones Educativas', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312657', 'Mster Universitario en Ciencias de la Enfermera', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312741', 'Mster Universitario en Asesora Jurdica de Empresas', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312746', 'Mster Universitario en Gestin Estratgica de las Tecnologas de Informacin y Comunicaciones', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312749', 'Mster Universitario Erasmus Mundus en  Psicologa del Trabajo, de las Organizaciones y de los Recursos Humanos/Erasmus Mundus on Work, Organizational and Personnel Psychology por la Universidad de Barcelona; la Universitat de Valncia (Estudi Genera', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312770', 'Mster Universitario en Odontologa Restauradora Esttica', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312788', 'Mster en Mercados Emergentes', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312794', 'Mster Universitario en Atencin a los Problemas de Salud Crnicos por la Universidad Ramon Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312801', 'Mster Universitario en Ciencias Odontolgicas por la Universidad de Salamanca', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312802', 'Mster Universitario en Investigacin en Humanidades, Cultura y Sociedad por la Unviersidad de Castilla-La Mancha', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312824', 'Mster Universitario en Innovacin Educativa y TIC', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312830', 'Mster Universitario en Biologa Molecular Aplicada a Empresas Biotecnolgicas (Bioentrerprise) por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312851', 'Mster Universitario en Consultora y Asesora Financiera y Fiscal', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312855', 'Mster Universitario en Psicopedagoga por la Universidad de Alcal', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312862', 'Master Universitario en Ciencias del Trabajo por la Universidad de Sevilla', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312877', 'Mster Universitario en Biomedicina y Oncologa Molecular por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312890', 'Mster Universitario en Proteccin Jurdica de las Personas y los Grupos Vulnerables por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312898', 'Mster Universitario en Seguridad de las Tecnologas de la Informacin y de las Comunicaciones por la Universidad Autnoma de Barcelona; la Universidad Rovira i Virgili y la Universitat Oberta de Catalunya', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312898', 'Mster Universitario en Seguridad de las Tecnologas de la Informacin y de las Comunicaciones por la Universidad Autnoma de Barcelona; la Universidad Rovira i Virgili y la Universitat Oberta de Catalunya', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312923', 'Mster Universitario en Estudios Medievales y Renacentistas', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312925', 'Mster Universitario en Investigacin en Discapacidad', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312936', 'Mster Universitario en Alimentacin Mediterrnea por la Universidad Internacional de Andalucia; la Universidad de Granada y la Universidad de Jan', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312949', 'Mster Universitario en Comunicacin y Desarrollo por la Universidad Internacional de Andalucia y la Universidad Pablo de Olavide', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313261', 'Mster Universitario Erasmus Mundus en Estudios Ambientales: Ciudades y Sostenibilidad/ Erasmus Mundus in Environmental Studies-Cities and Sustainability por la Universidad Autnoma de Barcelona; Aalborg Universitet(Dinamarca); Technische Universitt', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313264', 'Mster Universitario en Astrofsica, Fsica de Partculas y Cosmologa por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313267', 'Mster Universitario en Biotecnologia por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313284', 'Mster Universitario en Lingstica aplicada a las tecnologas del lenguaje  y gestin de textos por la Universidad de La Laguna', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313286', 'Mster Universitario Erasmus Mundus en Arqueologa del Cuaternario y Evolucin Humana por la Universidad Rovira i Virgili; Universidade de Trs-os-Montes e Alto Douro(Portugal); University of the Philippines Diliman(Filipinas) y Universit degli Stud', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313287', 'Mster Universitario en Documentacin Digital por la Universidad Pompeu Fabra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313296', 'Mster Universitario en Seguridad Internacional por la Universidad Autnoma de Barcelona; la Universidad Pompeu Fabra y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313298', 'Mster Universitario en Direccin Comercial y Marketing Internacional por la Universidad Ramn Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313306', 'Mster Universitario en Traduccin Profesional por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313328', 'Mster Universitario en Ingeniera de Caminos, Canales y Puertos por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313332', 'Mster Universitario en Generacin y Aplicaciones de la Radiacin de Sincrotrn / Generation and Applications of Synchrotron Radiation por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313335', 'Mster Universitario en Ciencia Poltica / Political Science por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313478', 'Mster Universitario en Direccin de Empresas por la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313488', 'Mster Universitario en Sistemas Inteligentes Interactivos / M.Sc. in Intelligent Interactive Systems por la Universidad Pompeu Fabra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313501', 'Mster Universitario en Direccin de Empresas (MBA) por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313502', 'Mster Universitario en Acceso a la Abogaca por la Universidad Pontificia Comillas', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313508', 'Mster Universitario en Ejercicio Profesional de la Abogaca por la Universidad Politcnica de Cartagena', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313517', 'Mster Universitario en Estudios Avanzados sobre Islam en la Sociedad Europea Contempornea por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313525', 'Mster Universitario en Acceso a la Abogaca por la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313526', 'Mster Universitario en Psicologia de la Intervencin Social por la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313527', 'Mster Universitario en Diseo de Interiores por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313536', 'Mster Universitario en Derecho de la Empresa por la Universidad Pontificia Comillas y la Universidad de Deusto', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313541', 'Mster Universitario en Estudios Contemporneos por la Universidad de Navarra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313548', 'Mster Universitario en Acceso a la Profesin de Abogado por la Universidad Autnoma de Madrid', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313550', 'Mster Universitario en Direccin de Empresas - Industrial MBA por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313552', 'Mster Universitario en Ingeniera Telemtica por la Universidad Carlos III de Madrid', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313563', 'Mster Universitario en Acceso a la Abogaca por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313566', 'Mster Universitario en Abogaca por la Universidad Francisco de Vitoria', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313570', 'Mster Universitario en Ciencias Actuariales y Financieras por la Universidad de Alcal', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313371', 'Mster Universitario en Especializacin en Intervencin Logopdica por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313373', 'Mster Universitario en Comunicacin de las Organizaciones por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313376', 'Mster Universitario en Minera de Datos e Inteligencia de Negocios por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313385', 'Mster Universitario en Qumica Industrial e Introduccin a la Investigacin Qumica / Industrial Chemistry and Introduction to Chemical Research por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313394', 'Mster Universitario en Ciencias Aplicadas a la Prevencin y Readaptacin Funcional de Lesiones Deportivas  por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313397', 'Mster Universitario en Procura por la Universidad Jaume I de Castelln; la Universidad Miguel Hernndez de Elche; la Universidad de Alicante y la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313402', 'Mster Universitario en Investigacin e Intervencin Psicosocial por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313406', 'Mster Universitario en Alto rendimiento para deportes del motor. Automovilismo y Motociclismo por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313416', 'Mster Universitario en Direccin de Empresas por la Universidad Pblica de Navarra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313418', 'Mster Universitario en Planificacin Territorial y Gestin Ambiental por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313423', 'Mster Universitario en Contabilidad Directiva por la Universidad Pablo de Olavide', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313431', 'Mster Universitario en Gestin del Planeamiento Territorial y Urbanstico  por la Universidad Alfonso X El Sabio', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313437', 'Mster Universitario en Farmacovigilancia y Farmacoepidemiologa / Pharmacovigilance and Pharmacoepidemiology por la Universidad Autnoma de Barcelona; ERASMUS UNIVERSITEIT ROTTERDAM (Holanda); UNIVERSITE VICTOR SEGALEN BORDEAUX 2(Francia); UNIVERSIT', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313440', 'Mster Universitario en Asesora Jurdico-Mercantil, Fiscal y Laboral por la Universidad de Sevilla', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313442', 'Mster Universitario en Informtica Avanzada e Industrial por la Universidad de Almera', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313443', 'Mster Universitario en Humanidades: Arte, Literatura y Cultura Contemporneas por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313449', 'Mster Universitario en Abogaca por la Universidad Internacional de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313450', 'Mster Universitario en Abogaca por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313453', 'Mster Universitario en Direccin de los Recursos Humanos  por la Universidad de Cdiz', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313175', 'Mster Universitario Erasmus Mundus en Gestin del Turismo / European Master in Tourism Management por la Universidad de Girona; la Syddansk Universitet(Dinamarca) y la Univerzi v Ljubljani-University of Ljubljana(Eslovenia)', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313183', 'Mster Universitario en Anlisis del Entorno Econmico por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313196', 'Mster Universitario en Hogar Digital y Arquitectura Sostenible por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313200', 'Mster Universitario en Rehabilitacin Psicosocial en Salud Mental Comunitaria por la Universidad Jaume I de Castelln', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313203', 'Mster Universitario en Investigacin y Formacin Avanzada en Arquitectura por la Universidad San Jorge', NULL, 0, '73', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313211', 'Mster Universitario en Estudio de las Intervenciones en Emergencias, Catastrofes y Cooperacion Internacional por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313217', 'Mster Universitario en Ingeniera Industrial por la Universidad Ramn Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313223', 'Mster Universitario en Historia de la Ciencia: Ciencia, Historia y Sociedad por la Universidad Autnoma de Barcelona y la Universidad de Barcelona', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313240', 'Mster Universitario en Espondiloartritis y Enfermedades Relacionadas por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313588', 'Mster Universitario en Gestin de Recursos Pesqueros y Acuicultura por la Universidad de Murcia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313608', 'Mster Universitario en Intervencin Educativa en Alumnos con Discapacidad Intelectual por la Universidad Camilo Jos Cela', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313610', 'Mster Universitario en Gestin y Programacin de Actividades Fsicodeportivas Orientadas al Bienestar por la Universidad Ramon Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313621', 'Mster Universitario en GESTION AMBIENTAL por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313625', 'Mster Universitario en Alimentacin y Nutricin en Atencin Primaria  por la Universidad Catlica San Antonio', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313633', 'Mster Universitario en Mecnica de Materiales y Estructuras por la Universidad de Girona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313636', 'Mster Universitario en Planificacin y Polticas para las Ciudades, el Ambiente y el Paisaje por la Universidad Autnoma de Barcelona; la Universidad de Girona; Universidade Tcnica de Lisboa(Portugal); Universit Iuav di Venezia(Italia) y Universit', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313640', 'Mster Universitario en Ciencias, Tecnologas y Gestin Ambiental por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313647', 'Mster Universitario en  Acceso a la Abogaca  por la Universidad Nacional de Educacin a Distancia', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313652', 'Mster Universitario en Ingeniera Informtica por la Universidad de Burgos', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313664', 'Mster Universitario en Tecnologa del Agua en Ingeniera Civil por la Universidad de Crdoba', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313671', 'Mster Universitario en Tcnicas de Dilisis para Enfermera por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313672', 'Mster Universitario en Abogaca por la Universidad de Almera', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313678', 'Mster Universitario en Amrica Latina contempornea. Grandes desigualdades y expectativas por la Universidad Internacional Menndez Pelayo', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313680', 'Mster Universitario en Derecho Internacional Pblico y Relaciones Internacionales  por la Universidad Internacional Menndez Pelayo', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313687', 'Mster Universitario en Direccin de Marketing por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313692', 'Mster Universitario en Endodoncia y Odontologa Restauradora por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313693', 'Mster Universitario en Esttica Dental por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313698', 'Mster Universitario en Geomtica, Teledeteccin y Modelos Espaciales Aplicados a la Gestin Forestal  por la Universidad de Crdoba', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313702', 'Mster Universitario en BIOLOGA MOLECULAR APLICADA A EMPRESAS BIOTECNOLGICAS (BIOENTERPRISE) por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313705', 'Mster Universitario en Tecnologas Industriales por la Universidad de Las Palmas de Gran Canaria', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313728', 'Mster Universitario en Procuradura por la Universidad de A Corua; la Universidad de Santiago de Compostela y la Universidad de Vigo', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313732', 'Mster Universitario en Ingeniera de Telecomunicacin por la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313734', 'Mster Universitario en Urgencias, Emergencias y Crticos en Enfermera  por la Universidad Europea de Canarias', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313738', 'Mster Universitario en Lgica Pura y Aplicada por la Universidad Politcnica de Catalunya y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313746', 'Mster Universitario en Produccin y Sanidad Animal por la Universidad Complutense de Madrid y la Universidad Politcnica de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313759', 'Mster Universitario en Ingeniera Industrial por la Universidad de Deusto', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313764', 'Mster Universitario en Diseo en Pantallas: Diseo Grfico y de Interface para Nuevos Dispositivos por la Universidad Pontificia de Salamanca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313772', 'Mster Universitario en Biotecnologa Industrial y Molecular por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313776', 'Mster Universitario en Biotecnologa por la Universidad Catlica Santa Teresa de Jess de vila', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313778', 'Mster Universitario en Retina por la Universidad Autnoma de Barcelona; la Universidad de Santiago de Compostela y la Universidad de Valladolid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311159', 'Mster Universitario en Educacin Musical: Una Perspectiva Multidisciplinar', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310948', 'Mster Universitario en Empresa y Tecnologas de la Informacin', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000429', 'Mster Universitario en Energas Renovables, Pilas de Combustible e Hidrgeno', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310541', 'Mster Universitario en Espaol como Lengua Extranjera', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311930', 'Mster Universitario en Espaol como Segunda Lengua', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312171', 'Mster Universitario en Estudios Avanzados en Cerebro y Conducta', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001503', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001503', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310597', 'Mster Universitario en Estudios Ingleses Avanzados, Interpretacin Textual Cultural de las Sociedad', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310196', 'Mster Universitario en Innovacin e Investigacin en Educacin', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001314', 'Mster Universitario en inteligencia artificial avanzada: Fundamentos, Metodos y Aplicaciones', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311547', 'Mster Universitario en Formacin del Profesorado de Cataln para Personas Adultas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001693', 'Mster Universitario en Gestin de la Calidad', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312020', 'Mster Universitario en Gestin e Investigacin de la Comunicacin Empresarial', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002679', 'Mster Universitario en Gestin Estratgica y Negocios Internacionales', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001477', 'Mster Universitario en Gestin y Direccin Hostelera', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311635', 'Mster Universitario en Filosofa en un Mundo Global', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311436', 'Mster Universitario en Derecho de los Negocios y Litigacin Internacional', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001539', 'Mster Universitario en Desarrollo de Software', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002665', 'Mster Universitario en Direccin de Empresas', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002094', 'Mster Universitario en direccin de hoteles con carcter', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311191', 'Mster Universitario en Direccin de Proyectos', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311191', 'Mster Universitario en Direccin de Proyectos', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310078', 'Mster Universitario en Direccin Profesional de Personas', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002186', 'Mster Universitario en Direccin y Gestin Sanitaria', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312368', 'Mster Universitario en Educacin Especial', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002132', 'Mster Universitario en Educom@Med: Capacitacin en Gestin de Costas del Mediterrneo (Capacity Bui', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000080', 'Mster Universitario en Historia de Amrica Latina. Mundos Indgenas', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000212', 'Mster Universitario en Historia de la Ciencia: Ciencia, Historia y Sociedad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002999', 'Mster Universitario en Hydroinformatics and Water Management (EuroAquae)', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002060', 'Mster Universitario en Implantologa Oral y Prtesis Implantosoportada', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310852', 'Mster Universitario en Industria y Economa Lechera', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000865', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310569', 'Mster Universitario en Ingeniera Avanzada de Produccin, Logstica y Cadena de Suministro', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000201', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000201', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312005', 'Mster Universitario en Ingeniera de Materiales y Fabricacin ', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311650', 'Mster Universitario en Ingeniera Energtica Sostenible', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000563', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313040', 'Mster Universitario Cooperacin Internacional para el Desarrollo', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312160', 'Mster Universitario en Gestin Integrada de la Calidad, el Medioambiente y la Prevencin de Riesgos', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001398', 'Mster Universitario en Gestin Turstica', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311801', 'Mster Universitario en Gestin y Didctica del Patrimonio Cultural', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311643', 'Mster Universitario en Globalizacin: Procesos Sociales y Polticas Econmicas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310636', 'Mster Universitario en Historia Comparada, Siglos XVI-XX', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311553', 'Mster Universitario en Historia y Cultura de la Alimentacin', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312662', 'Mster Universitario en Igualdad y Gnero', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000888', 'Mster Universitario en Ingeniera Avanzada de Produccin, Logstica y Cadena de Suministro', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001137', 'Mster Universitario en Ingeniera en Energa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000218', 'Mster Universitario en Fsica Computacional y Aplicada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311954', 'Master Universitario en Cultura e Ideologa en la Gnesis de Europa por la Universidad de Alcal', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312699', 'Mster Universitario en Derecho Pblico', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310079', 'Mster Universitario en Deterioro de la Integridad Cutnea, lceras y Heridas', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312420', 'Mster Universitario en Direccin de Proyectos', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002876', 'Mster Universitario en Economia, Finances i Empresa', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000012', 'Mster Universitario en Vitivinicultura en Climas Clidos', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000012', 'Mster Universitario en Vitivinicultura en Climas Clidos', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310670', 'Mster Universitario Europeo en Ciencia de la Fusin Nuclear e Ingeniera Fsica / European Master i', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310670', 'Mster Universitario Europeo en Ciencia de la Fusin Nuclear e Ingeniera Fsica / European Master i', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312452', 'Mster Universitario en Arquitectura del Paisaje Juana de Vega', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312452', 'Mster Universitario en Arquitectura del Paisaje Juana de Vega', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312302', 'Mster Universitario en Asesora Jurdica de Empresas', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000635', 'Mster Universitario en Automtica y Robtica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312088', 'Mster Universitario en Bioderecho: Derecho, tica y Ciencia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001863', 'Mster Universitario en Conservacin del Patrimonio Arquitectnico', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000906', 'Mster Universitario en Contabilidad y Finanzas', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312912', 'Mster Universitario en Creacin de Guiones Audiovisuales', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311020', 'Mster Universitario en Biomedicina Experimental', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310231', 'Mster Universitario en Biotecnologa Alimentaria por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312557', 'Mster Universitario en Ciencia Cognitiva y Humanidades: Lenguaje, Comunicacin y Organizacin/Maste', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311544', 'Mster Universitario en Ciencia Cognitiva y Lenguaje', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310780', 'Mster Universitario en Ciencia y Tecnologa Aeroespacial', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312601', 'Mster Universitario en Ciencia y Tecnologa de Conservacin de Productos de Pesca', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313141', 'Mster Universitario en Teora e Historia de Arquitectura', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001260', 'Mster Universitario en Visin por Computador e Inteligencia Artificial', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311086', 'Mster Universitario Erasmus Mundus en Aprendizaje y Enseanza del Espaol en Contextos Multilinges', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002092', 'Mster Universitario Internacional en Direccin y Gestin Hotelera', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001331', 'Mster Universitario Internacional en Polticas Pblicas y Desarrollo Territorial: Gobernabilidad y ', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002986', 'Mster Universitario en Arquitectura de Computadores, Redes y Sistemas', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312261', 'Mster Universitario en Artes Visuales y Educacin: un Enfoque Construccionista', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310640', 'Mster Universitario en Astrofsica, Fsica de Prticulas y Cosmologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002043', 'Mster Universitario en Atencin Farmacutica', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001147', 'Mster Universitario en Atencin Integral al Enfermo Crtico y Emergencias', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000881', 'Mster Universitario en Contenidos y Aspectos Legales en la Sociedad de la Informacin', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312262', 'Mster Universitario en Criminalidad e Intervencin Social en Menores', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312139', 'Mster Universitario en Biologa y Conservacin de la Biodiversidad', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312067', 'Mster Universitario en Ciencias Forenses', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001780', 'Mster Universitario en Arqueologa Prehistrica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312318', 'Mster Universitario en Ingeniera Informtica', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311581', 'Mster Universitario en Investigacin en Enfermedades Hepticas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310296', 'Mster Universitario en Investigacin en Modelado de Sistemas de Ingeniera', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000576', 'Mster Universitario en Literatura Espaola', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001885', 'Mster Universitario en literaturas hispnicas (catalana, gallega y vasca) en el contexto europeo', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000293', 'Mster Universitario en Logstica, Transporte y Movilidad', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001603', 'Mster Universitario en Marketing', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310850', 'Mster Universitario en Neurociencia', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001698', 'Mster Universitario en neurociencia cognitiva y necesidades educativas especficas', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001900', 'Mster Universitario en neurociencia y cognicin', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310156', 'Mster Universitario en Nuevas Tendencias y Procesos de Innovacin en Comunicacin', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311793', 'Mster Universitario en Osteopata y Terapia Manual', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001272', 'Mster Universitario en Participacin y Polticas Locales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002785', 'Mster Universitario en psicologa clnica y salud', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002741', 'Mster Universitario en Qumica Sostenible', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001143', 'Mster Universitario en Radiacin de Sincrotrn y Aceleradores de Partculas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001480', 'Mster Universitario en Recursos Renovables e Ingeniera Energtica', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311876', 'Mster Universitario en Actividad Fsico-Deportiva, Personas con Discapacidad e Integracin Social', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310109', 'Mster Universitario en Administracin de Organizaciones y Recursos Tursticos (Direccin Hotelera)', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311886', 'Mster Universitario en Anlisis Sanitarios', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311286', 'Mster Universitario en Estudios Interdisciplinares de Gnero', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002529', 'Mster Universitario en Estudios Interdisciplinares de Gnero', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310294', 'Mster Universitario en Propiedad Intelectual', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001368', 'Mster Universitario en Investigacin en Ciencias de la Gestin', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000076', 'Mster Universitario en Investigacin en Direccin y Administracin de Empresas', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310110', 'Mster Universitario en Investigacin en la Enseanza y el Aprendizaje de las Ciencias Experimentale', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310110', 'Mster Universitario en Investigacin en la Enseanza y el Aprendizaje de las Ciencias Experimentale', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002915', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312062', 'Mster Universitario en Literatura Comparada Europea', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310745', 'Mster Universitario en Metodologa de las Ciencias del Comportamiento y de la Salud', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310745', 'Mster Universitario en Metodologa de las Ciencias del Comportamiento y de la Salud', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002814', 'Mster Universitario en Nanociencia y Nanotecnologa Molecular', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002814', 'Mster Universitario en Nanociencia y Nanotecnologa Molecular', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001822', 'Mster Universitario en Nanociencia y Nanotecnologa Molecular', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000194', 'Mster Universitario en Nutricin y Metabolismo', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312544', 'Mster Universitario en Osteopata', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311465', 'Mster Universitario en Psicologa del Trabajo y de las Organizaciones y Gestin de Recursos Humanos', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311735', 'Mster Universitario en Psicologa del Trabajo, de las Organizaciones y en Recursos Humanos', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310166', 'Mster Universitario en Qumica Aplicada', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312072', 'Mster Universitario en Qumica Fina y Molecular', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311428', 'Mster Universitario en Qumica Terica y Computacional', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310178', 'Mster Universitario en Riesgos Naturales', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001262', 'Mster Universitario en Salud y Bienestar Comunitario', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000697', 'Mster Universitario en Tecnologa e investigacin en ciencias biomdicas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311880', 'Mster Universitario en Tecnologas de la Informacin y la Comunicacin en Educacin y Formacin', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310475', 'Mster Universitario en Investigacin en Ingeniera de Procesos Qumicos ', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311608', 'Mster Universitario en Investigacin Matemtica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312365', 'Mster Universitario en Investigacin Odontolgica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311248', 'Mster Universitario en Lenguajes y Sistemas Informticos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001422', 'Mster Universitario en medicina del trabajo y gestin de salud laboral', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001877', 'Mster Universitario en Metodologa de las Ciencias del Comportamiento y de la Salud', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310547', 'Mster Universitario en Msicas, Comunicacin e Industrias Culturales de la Espaa Contempornea', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000130', 'Mster Universitario en Oceanografa', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000566', 'Mster Universitario en ptica, Optometra y Visin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001250', 'Mster Universitario en Paleontologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311228', 'Mster Universitario en Restauracin de Ecosistemas por la Universidad Complutense de Madrid; la Uni', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000152', 'Mster Universitario en Sistemas inteligentes', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310795', 'Mster Universitario en Sostenibilidad', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002610', 'Mster Universitario en Tecnologa Ambiental', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311675', 'Mster Universitario en Tecnologa de Apoyo a la Autonoma Personal', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001835', 'Mster Universitario en Tecnologas de la Informacin y la Comunicacin en Educacin y Formacin', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310504', 'Mster Universitario en Territorio, Infraestructura y Medio Ambiente ', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311687', 'Mster Universitario en Trastornos del Comportamiento Alimentario y Obesidad', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502408', 'Graduado o Graduada en Fisioterapia', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501144', 'Graduado o Graduada en Geologa', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500753', 'Graduado o Graduada en Historia y Ciencias de la Msica', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502276', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501993', 'Graduado o Graduada en Ingeniera de Sistemas Electrnicos', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501214', 'Graduado o Graduada en Ingeniera de Sistemas Electrnicos', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501995', 'Graduado o Graduada en Ingeniera de Sonido e Imagen', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500793', 'Graduado o Graduada en Ingeniera del Software', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502483', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502392', 'Graduado o Graduada en Ingeniera Electrnica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502403', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500199', 'Graduado o Graduada en Ingeniera en Electrnica Industrial', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501879', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502210', 'Graduado o Graduada en Ingeniera Informtica ', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500791', 'Graduado o Graduada en ptica y Optometra', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501400', 'Graduado o Graduada en Pedagoga', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502431', 'Graduado o Graduada en Qumica', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502254', 'Graduado o Graduada en Qumica', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500989', 'Graduado o Graduada en Qumica ', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500225', 'Graduado o Graduada en Qumica ', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502152', 'Graduado o Graduada en Tecnologa de las Industrias Agrarias y Alimentarias', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500095', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500888', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500376', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502192', 'Graduado o Graduada en Ciencias del Mar', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502012', 'Graduado o Graduada en Enfermera', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501392', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500802', 'Graduado o Graduada en Estudios Semticos e Islmicos', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500663', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501015', 'Graduado o Graduada en Derecho', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501438', 'Graduado o Graduada en Derecho por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500515', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500596', 'Graduado o Graduada en Comunicacin', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500731', 'Graduado o Graduada en Enfermera', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500232', 'Graduado o Graduada en Enfermera', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502511', 'Graduado o Graduada en Enfermera', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500669', 'Graduado o Graduada en Estadstica', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500277', 'Graduado o Graduada en Filologa Catalana', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500179', 'Graduado o Graduada en Derecho', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501557', 'Graduado o Graduada en Derecho', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500364', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500381', 'Graduado o Graduada en Educacin Social', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500825', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500460', 'Graduado o Graduada en Administracin y Direccin de Empresas ', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002923', 'Mster Universitario en Sanidad y Produccin Porcina', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310558', 'Mster Universitario en Sistemas y Servicios Informticos para Internet', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310586', 'Mster Universitario en Tcnicas para la Gestin del Medio Ambiente y del Territorio', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311919', 'Mster Universitario en Trastornos de la Comunicacin', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310436', 'Mster Universitario Internacional en Estudios de Paz, Conflictos y Desarrollo', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500798', 'Graduado en Educacin Primaria', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001244', 'Mster Universitario en Biologa Celular', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312272', 'Mster Universitario en Biomedicina Regenerativa', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311302', 'Mster Universitario en Ciencia e Ingeniera Computacional', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001363', 'Mster Universitario en Ciencia en Tecnologa Geoespacial', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311624', 'Mster Universitario en Ciencia y Tecnologa Espacial', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000722', 'Mster Universitario en Ciencias de la Salud: Especialidad en Salud Pblica', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312033', 'Mster Universitario en Acuicultura', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000736', 'Mster Universitario en Agrobiologa Ambiental', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312024', 'Mster Universitario en Agrobiotecnologa', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312525', 'Mster Universitario en Anlisis del Cambio Medioambiental Global/Global Environmental Change Analys', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312353', 'Mster Universitario en Finanzas - in Finance-', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311999', 'Mster Universitario en Finanzas y Contabilidad Directiva', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312571', 'Mster Universitario en Cuidados Paliativos', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312176', 'Mster Universitario en Derecho Constitucional', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000375', 'Mster Universitario en Derecho de la Empresa', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730090000', 'Ingeniero Tcnico de Minas, Especialidad en Recursos Energticos, Combustibles y Explosivos', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730090000', 'Ingeniero Tcnico de Minas, Especialidad en Recursos Energticos, Combustibles y Explosivos', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740050000', 'Ingeniero Tcnico Naval, Especialidad en Propulsin y Servicios del Buque', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '28', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '62', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51140000000', 'Ingeniero Tcnico Forestal, Especialidad en Explotaciones Forestales', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51140000000', 'Ingeniero Tcnico Forestal, Especialidad en Explotaciones Forestales', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51140000000', 'Ingeniero Tcnico Forestal, Especialidad en Explotaciones Forestales', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51140000000', 'Ingeniero Tcnico Forestal, Especialidad en Explotaciones Forestales', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51150000000', 'Ingeniero Tcnico Forestal, Especialidad en Industrias Forestales', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60500000000', 'PERITO EN TEJIDOS DE PUNTO', 'N', 1, NULL, 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311298', 'Mster Universitario en Investigacin en Economa de la Empresa', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311298', 'Mster Universitario en Investigacin en Economa de la Empresa', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502057', 'Graduado en Comunicacin Audiovisual', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500564', 'Graduado en Ciencias de la Actividad Fsica y el Deporte', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500063', 'Graduado en Farmacia', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500390', 'Graduado en Educacin Social', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00004312929', 'Mster Universitario Investigacin en Arquitectura', 'N', 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501423', 'Graduado o Graduada en Ciencias Criminolgicas y de la Seguridad', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501600', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500546', 'Graduado o Graduada en Comunicacin', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500318', 'Graduado o Graduada en Comunicacin Audiovisual ', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501838', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500129', 'Graduado o Graduada en Diseo', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501651', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502178', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad Miguel Hernndez de', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502205', 'Graduado o Graduada en Arquitectura Naval por la Universidad de A Corua', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501484', 'Graduado o Graduada en Bellas Artes', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500774', 'Graduado o Graduada en Lenguas Modernas y sus Literaturas', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501137', 'Graduado o Graduada en Maestro de Educacin Infantil por la Universidad Catlica de Valencia San Vic', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501753', 'Graduado o Graduada en Marketing e Investigacin de Mercados', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502044', 'Graduado o Graduada en Fisioterapia', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500759', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500970', 'Graduado o Graduada en Ingeniera del Software', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501005', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo de Producto', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500927', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo de Productos', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500865', 'Graduado o Graduada en Ingeniera en Sistemas Audiovisuales', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502394', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501762', 'Graduado o Graduada en Ingeniera Marina por la Universidad de Cdiz', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501945', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501606', 'Graduado o Graduada en Ingeniera Minera', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502456', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500060', 'Graduado o Graduada en Medicina', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501447', 'Graduado o Graduada en Periodismo', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500451', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500995', 'Graduado o Graduada en Publicidad y Relaciones Pblicas ', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500881', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500900', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000001', 'Master en comunicacion con fines sociales:Estrategias y campaas.', 'N', 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000002', 'Mster en Ingeniero en automocin', 'S', 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000002', 'Mster en Ingeniero en automocin', 'S', 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '68', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240010000', 'Licenciado en Derecho (Plan Hispano-Francs)', 'N', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240010000', 'Licenciado en Derecho (Plan Hispano-Francs)', 'N', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250010000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Ciencias de la Educacin', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30260190000', 'Licenciado en Geografa e Historia, Seccin Historia de Amrica', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30260190000', 'Licenciado en Geografa e Historia, Seccin Historia de Amrica', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280000000', 'Licenciado en Filosofa y Letras', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Alemana', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010700', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Clsica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010700', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Clsica', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010700', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Clsica', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280010700', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Clsica', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020000', 'LICENCIADO EN FILOSOFIA Y LETRAS DIVISIN GEOGRAFIA E HISTORIA', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020500', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia del Arte.', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020500', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia del Arte.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020500', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia del Arte.', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020604', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia Moderna.', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020608', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia General.', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280021600', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia de Amrica.', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030100', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. Educacin, Especialidad CC. de Educacin', 'N', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030200', 'Licenciado en Filosofa y Letras.(Filosofa y Ciencias de la Educacin).Filosofa.', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030400', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. de la Educacin, Especialidad Psicologa', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030400', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. de la Educacin, Especialidad Psicologa', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280030400', 'Licenciado en Filosofa y Letras, Seccin Filosofa y CC. de la Educacin, Especialidad Psicologa', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280250000', 'Licenciado en Filosofa y Letras, Seccin Geografa', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30290000000', 'Licenciado en Ciencias del Mar', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30330000000', 'Licenciado en Geologa', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30330000000', 'Licenciado en Geologa', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30340000000', 'Licenciado en Matemticas', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '57', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '45', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '70', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '39', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30410000000', 'Licenciado en Sociologa', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '52', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30430000000', 'Licenciado en Traduccin e Interpretacin', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30450000000', 'Licenciado en Filologa Alemana', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30460000000', 'Licenciado en Filologa rabe', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480010000', 'Licenciado en Filologa Clsica.(Filologa Griega).', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480010000', 'Licenciado en Filologa Clsica.(Filologa Griega).', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480020000', 'Licenciado en Filologa Clsica.(Filologa Latina).', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30490000000', 'Licenciado en Filologa Eslava', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30560000000', 'Licenciado en Filologa Portuguesa', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30570000000', 'Licenciado en Filologa Romnica', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30580000000', 'Licenciado en Filologa Vasca', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30590000000', 'Licenciado en Teora de la Literatura y Literatura Comparada', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30590000000', 'Licenciado en Teora de la Literatura y Literatura Comparada', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610040000', 'Licenciado en Historia, Seccin Historia Moderna y Contempornea', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '62', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '69', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '59', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '59', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30770000000', 'Licenciado en Ciencias Ambientales', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '58', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30800000000', 'Licenciado en Historia y Ciencias de la Msica', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30800000000', 'Licenciado en Historia y Ciencias de la Msica', 'S', 2, '72', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30800000000', 'Licenciado en Historia y Ciencias de la Msica', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30810000000', 'Licenciado en Enologa', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30830000000', 'Licenciado en Biotecnologa', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30830000000', 'Licenciado en Biotecnologa', 'S', 2, '58', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30830000000', 'Licenciado en Biotecnologa', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30840000000', 'Licenciado en Estudios de Asia Oriental', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30850000000', 'Licenciado en Criminologa', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010000000', 'Diplomado en Profesorado de E.G.B.', 'N', 1, NULL, 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010120000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Fsica.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020030000', 'Diplomado en Informtica.Gestin.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40050000000', 'Diplomado en Biblioteconoma y Documentacin', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40070000000', 'Diplomado en Traduccin e Interpretacin', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '67', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '56', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '62', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '62', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40230000000', 'Diplomado en Mquinas Navales', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '30', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '47', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '28', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40280000000', 'Diplomado en Empresas y Actividades Tursticas', 'N', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '47', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '51', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310330', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310330', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310377', 'Mster en Instrumentacin en fsica', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310379', 'Mster en Msica hispana', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310943', 'Mster en investigacin en ingeniera termodinmica de fluidos', 'S', 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310997', 'Mster en Gestin de la prevencin de riesgos laborales, calidad y medio ambiente', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311024', 'Lseres y Aplicaciones en Quimica', 'N', 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311024', 'Lseres y Aplicaciones en Quimica', 'N', 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311024', 'Lseres y Aplicaciones en Quimica', 'N', 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '62', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010010000', 'Arquitecto.Edificacin.', 'N', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010020000', 'Arquitecto.Urbanismo.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010020000', 'Arquitecto.Urbanismo.', 'N', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10030000000', 'Ingeniero Aeronutico', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10040000000', 'Ingeniero de Caminos, Canales y Puertos', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10040000000', 'Ingeniero de Caminos, Canales y Puertos', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10050000000', 'Ingeniero de Minas', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10060000000', 'Ingeniero de Montes', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090150000', 'Ingeniero Industrial.Electricidad.Intensificacin Automtica y Electrnica.', 'N', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '73', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '56', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '32', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10160000000', 'Ingeniero en Geodesia y Cartografa', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10210000000', 'Ingeniero Gelogo', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10210000000', 'Ingeniero Gelogo', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500978', 'Graduado en Ingenieria Informtica de Servicios y Aplicaciones', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500998', 'Graduado en Matemticas', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501688', 'Graduado en Fsica', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502320', 'Graduado en Ingeniera Forestal:Industrias Forestales', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000140', 'Mster Investigacin en Economa de la Empresa', 'S', 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001015', 'Master en Docencia e Interpretacin en Lenguas de Seas', 'S', 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001020', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002531', 'Mster Oficial en Estudios Avanzados de Filosofia', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060010000', 'Licenciado en Ciencias Econmicas y Empresariales.(Econmicas).', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060010000', 'Licenciado en Ciencias Econmicas y Empresariales.(Econmicas).', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060010000', 'Licenciado en Ciencias Econmicas y Empresariales.(Econmicas).', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130010000', 'Licenciado en Ciencias de la Informacin, Seccin Periodismo', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130020000', 'Licenciado en Ciencias de la Informacin, Seccin Publicidad y Relaciones Pblicas', 'N', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30180000000', 'Licenciado en Ciencias Qumicas', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020200', 'Licenciado en Ciencias.(Qumicas).Qumica Tcnica', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020500', 'Licenciado en Ciencias.(Qumicas).Bioqumica', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020700', 'Licenciado en Ciencias.(Qumicas).Qumica Fsica', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020700', 'Licenciado en Ciencias.(Qumicas).Qumica Fsica', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020700', 'Licenciado en Ciencias.(Qumicas).Qumica Fsica', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030500', 'Licenciado en Ciencias.(Matemticas).Matemtica Pura', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030500', 'Licenciado en Ciencias.(Matemticas).Matemtica Pura', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500973', 'Graduado o Graduada en Arquitectura', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500164', 'Graduado o Graduada en Bellas Artes', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500599', 'Graduado o Graduada en Lengua y Literatura Catalanas', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500493', 'Graduado o Graduada en Logopedia ', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500233', 'Graduado o Graduada en Fisioterapia', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500649', 'Graduado o Graduada en Gallego y Portugus: Estudios Lingsticos y Literarios', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501073', 'Graduado o Graduada en Historia', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501395', 'Graduado o Graduada en Historia del Arte', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502112', 'Graduado o Graduada en Ingeniera Aeroespacial en Aeronaves', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501036', 'Graduado o Graduada en Ingeniera Civil -Transportes y Servicios Urbanos', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500780', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502495', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500960', 'Graduado o Graduada en Maestro en Educacin Infantil ', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500486', 'Graduado o Graduada en Maestro en Educacin Primaria', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502027', 'Graduado o Graduada en Marketing', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501723', 'Graduado o Graduada en Marketing e Investigacin de Mercados', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502253', 'Graduado o Graduada en Matemticas', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500459', 'Graduado o Graduada en Fsica ', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501366', 'Graduado o Graduada en Fisioterapia', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500161', 'Graduado o Graduada en Fisioterapia', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500728', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500660', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501159', 'Graduado o Graduada en Historia del Arte', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311206', 'Mster Universitario en Recursos Renovables e Ingeniera Energtica ', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001172', 'Mster Universitario en restauracin de ecosistemas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311720', 'Mster Universitario en Sistemas y Servicios en la Sociedad de la Informacin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002048', 'Mster Universitario en Unin Europea', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312159', 'Mster Universitario en Unin Europea', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312627', 'Mster Universitario en Gestin Internacional de la Empresa e Idiomas', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311311', 'Mster Universitario en Gestin Pblica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001360', 'Mster Universitario en Gestin Pblica', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002694', 'Mster Universitario en Gestin y Evaluacin de la Contaminacin Acstica', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002795', 'Mster Universitario en Gestin y Planificacin del Desarrollo Local y del Empleo', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000450', 'Mster Universitario en Hidrologa y Gestin de los Recursos Hdricos', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000511', 'Mster Universitario en Humanidades', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001983', 'Mster Universitario en Igualdad y Gnero en el mbito Pblico y Privado', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000680', 'Mster Universitario en Informtica Grfica, Juegos y Realidad Virtual', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312976', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312114', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310216', 'Mster Universitario en Ingeniera Avanzada de Fabricacin ', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002798', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312703', 'Mster Universitario en Ingeniera de Computadores y Redes', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001308', 'Mster Universitario en Ingeniera de las Estructuras y sus Materiales', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311013', 'Mster Universitario en Profesor de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profe', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311037', 'Mster Universitario en Profesorado en Educacin Secundaria Obligatoria, Bachillerato, Formacin Pro', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312415', 'Mster Universitario en Investigacin en Ciencias Jurdicas', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310666', 'Mster Universitario en Investigacin en Documentacin', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311740', 'Mster Universitario en Investigacin en Medicina Clnica', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311831', 'Mster Universitario en Investigacin en Psicologa Aplicada', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000254', 'Mster Universitario en Investigacin Etnogrfica, Teora Antropolgica y Relaciones Interculturales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000151', 'Mster Universitario en la Enseanza del espaol como lengua extranjera', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310875', 'Mster Universitario en Literatura Comparada y Creacin Literaria', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310317', 'Mster Universitario en Logstica para los Sistemas de Seguridad y Defensa', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312705', 'Mster Universitario en Matemtica Computacional', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310476', 'Mster Universitario en Metodologa de la Investigacin en Ciencias de la Salud', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000584', 'Mster Universitario en metodologa de la Investigacin en Ciencias Sociales', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312381', 'Mster Universitario en Metodologa de la Investigacin en Ciencias Sociales: Innovaciones y Aplicac', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311077', 'Mster Universitario en Migraciones Internacionales: Investigacin, Polticas Migratorias y Mediaci', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001714', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001714', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001762', 'Mster Universitario en Musicologa y Educacin Musical', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311352', 'Mster Universitario en Nanotecnologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000669', 'Mster Universitario en Patologa Neurolgica: actuaciones de fisioterapia y terapia ocupacional', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312622', 'Mster Universitario en Psicologa del Trabajo, de las Organizaciones y de los Recursos Humanos por ', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000590', 'Mster Universitario en Psicologa del Trabajo, de las organizaciones y gestin de recursos humanos', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311478', 'Mster en Acstica y vibraciones', 'S', 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311482', 'Europa y el Mundo Atlntico: Poder , Cultura y Sociedad', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311731', 'Nanociencia y Nanotecnologa Molecular', 'S', 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312199', 'Mster en Historia Medieval de Castilla y Len', 'N', 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312201', 'Mster en Tcnicas Avanzadas en Qumica', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '17', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50350000000', 'Ingeniero Tcnico en Topografa', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '31', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '30', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '69', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '58', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '28', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '54', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '03', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600020000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Hidrologa', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50610000000', 'Ingeniero Tcnico Industrial', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '66', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710060000', 'Ingeniero Tcnico Agrcola, Especialidad en Mecanizacin y Construcciones Rurales', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501368', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501148', 'Graduado o Graduada en Trabajo Social', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501756', 'Graduado o Graduada en Turismo', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002099', 'Mster Universitario en Arquitectura Contempornea: Zoom Ciudad(es)', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312144', 'Mster Universitario en Atencin Farmacutica - Farmacia Asistencial', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001345', 'Mster Universitario en Computacin Centrada en el Negocio Electrnico y en la Red', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310221', 'Mster Universitario en Comunicacin Poltica y Corporativa ', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311632', 'Mster Universitario en Economa: Instrumentos del Anlisis Econmico', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000059', 'Mster Universitario en Educacin Fsico-Deportiva', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310493', 'Mster Universitario en Educacin Secundaria ', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310150', 'Mster Universitario en Eficiencia Energtica y Sostenibilidad en Instalaciones Industriales y Edifi', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000552', 'Mster Universitario en Tecnologa de Marcadores Moleculares', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310981', 'Mster Universitario en Tecnologa Energtica para el Desarrollo Sostenible', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001722', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles (TICRM)', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000634', 'Mster Universitario en Telemedicina y Bioingeniera', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312242', 'Mster Universitario en Traduccin e Interpretacin', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002653', 'Mster Universitario en Tratamientos Psicolgicos y de la Salud', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310800', 'Mster Universitario en Urbanismo', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001740', 'Mster Universitario en Arqueologa Profesional: Herramientas de Gestin Integral del Patrimonio Arq', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311926', 'Mster Universitario en Asistencia e Investigacin Sanitaria', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312252', 'Mster Universitario en Avances en Radiologa Diagnstica y Teraputica y Medicina Fsica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002984', 'Mster Universitario en Biblioteca Escolar y Promocin de la Lectura', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002526', 'Mster Universitario en Derecho Privado Patrimonial', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003043', 'Mster Universitario en Ingeniera Qumica y de Procesos (MEQIP)', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001982', 'Mster Universitario en prctica jurdica', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002757', 'Mster Universitario en produccin y gestin artstica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311539', 'Mster Universitario en Psicogerontologa', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311772', 'Mster Universitario en Investigacin en Economa Aplicada', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311774', 'Mster Universitario en Investigacin en Medicina y Sanidad Veterinarias', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311866', 'Mster Universitario en Investigacin en Periodismo, Discurso y Comunicacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310564', 'Mster Universitario en Investigacin en Psicologa de la Salud', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310931', 'Mster Universitario en Investigacin en Sociologa Aplicada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310546', 'Mster Universitario en Las Ciudades del Arco Atlntico. Patrimonio Cultural  y Desarrollo Urbano', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311401', 'Mster Universitario en Lingstica Aplicada a la Enseanza del Espaol como Lengua Extranjera ', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311402', 'Mster Universitario en Lingstica Aplicada a la Enseanza del Ingls como Lengua Extranjera ', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002188', 'Mster Universitario en Marketing y Comunicacin Corporativa', NULL, 0, '73', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000526', 'Mster Universitario en Mecnica Estructural Avanzada', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000282', 'Mster Universitario en Mtodos Numricos en Ingeniera', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311048', 'Mster Universitario en Nutricin', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001636', 'Mster Universitario en Ortodoncia y Ortopedia Dentofacial', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312682', 'Mster Universitario en Patrimonio Artstico Andaluz y su Proyeccin Iberoamericana', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000231', 'Mster Universitario en Psicologa de la Educacin - MIPE', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310455', 'Mster Universitario en Qumica Avanzada', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001488', 'Mster Universitario en Qumica Terica y Computacional', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001251', 'Mster Universitario en Qumica Terica y Computacional', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000110', 'Mster Interuniversitario en Ciencias de la Enfermera', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000110', 'Mster Interuniversitario en Ciencias de la Enfermera', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002611', 'Mster Universitario en Actividad Fsica y Salud', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313154', 'Mster Universitario en Actividad Fsica y Salud', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311795', 'Mster Universitario en Actividad Fsica, Salud y Entrenamiento Deportivo', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001552', 'Mster Universitario en Anlisis Geogrfico en la Ordenacin del Territorio: Tecnologas de Informac', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000924', 'Mster Universitario en Anlisis y Gestin de los Ecosistemas Mediterrneos', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001804', 'Mster Universitario en Filologa Clsica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001502', 'Mster Universitario en Culturas Medievales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312047', 'Mster Universitario en Derecho Ambiental y de la Sostenibilidad', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000508', 'Mster Universitario en Derecho Privado', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310077', 'Mster Universitario en Direccin de Comunicacin ', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000458', 'Mster Universitario en Direccin de Empresas de Turismo', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311803', 'Mster Universitario en Direccin de Empresas y Sistemas de Produccin', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310834', 'Mster Universitario en Direccin Internacional de Empresas ', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310866', 'Mster Universitario en Direccin y Planificacin del Turismo por la Universidad de Zaragoza', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311223', 'Mster Universitario en Documentacin por la Universidad de Alcal', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002564', 'Mster Universitario en Economa y Desarrollo Territorial', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000580', 'Mster Universitario en Economa y Gestin de la Innovacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002083', 'Mster Universitario en Ingls como Vehculo de Comunicacin Intercultural', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000102', 'Mster Universitario en Iniciacin a la Investigacin en Matemticas', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311655', 'Mster Universitario en Integracin Poltica y Unin Econmica en la Unin Europea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310552', 'Mster Universitario en Intervencin e Investigacin Socioeducativa', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312458', 'Mster Universitario en Intervencin en Convivencia Escolar', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310653', 'Mster Universitario en Intervencin Psicolgica en Contextos de Riesgo', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002675', 'Mster Universitario en Investigacin Biomdica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311321', 'Mster Universitario en Investigacin en Veterinaria', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000562', 'Mster Universitario en Investigacin Matemtica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311780', 'Mster Universitario en Medio Ambiente y Recursos Naturales', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311611', 'Mster Universitario en Mejora Gentica Vegetal', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311611', 'Mster Universitario en Mejora Gentica Vegetal', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311873', 'Mster Universitario en Metodologa de la Investigacin en Ciencias Sociales y Jurdicas y Lenguajes', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000505', 'Mster Universitario en Negocios Internacionales', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002959', 'Mster Universitario en Nutricin y Metabolismo', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002750', 'Mster Universitario en Optometra Avanzada y Ciencias de la Visin', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310697', 'Mster Universitario en Optometra Clnica', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311458', 'Mster Universitario en Planeamiento Urbano y Territorial', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312694', 'Mster Universitario en Psicologa de la Educacin. Avances en Intervencin Psicoeducativa y Necesid', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311732', 'Mster Universitario en Psicopatologa, Salud y Neuropsicologa', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312214', 'Mster Universitario en Qumica Aplicada', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001964', 'Mster Universitario en qumica avanzada', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311723', 'Mster Universitario en Qumica Orgnica Experimental e Industrial', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312329', 'Mster Universitario en Rehabilitacin Neuropsicolgica y Estimulacin Cognitiva', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311025', 'Mster Universitario en Religiones y Sociedades', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000713', 'Mster Universitario en Riesgo cardiovascular', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001149', 'Mster Universitario en Salud Internacional', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002018', 'Mster Universitario en Salud Mental: Investigacin en Psiquiatra, Neurotoxicologa y Psicofarmacol', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001640', 'Mster Universitario en Seguridad y Calidad de los Alimentos', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310610', 'Mster Universitario en Sistemas de Sofware Inteligentes y Adaptables ', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312275', 'Mster Universitario en Soft Computing y Sistemas Inteligentes', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001963', 'Mster Universitario en tcnicas estadsticas', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000066', 'Mster Universitario en Tecnologa Ambiental', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002946', 'Mster Universitario en Tecnologa Educativa: E-Learning y Gestin del Conocimiento', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310426', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002817', 'Mster Universitario en Tecnologas de la Traduccin y Localizacin', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312437', 'Mster Universitario en Traduccin Multimedia', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310705', 'Mster Universitario Erasmus Mundus en Formacin de Profesionales de la Formacin (Mundusfor)', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001542', 'Mster Universitario Erasmus Mundus en Formacin de Profesionales de la Formacin: Formacin para la', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311170', 'Mster Universitario Europeo de Ciencia en Nematologa / European Master of Sciencie in Ematology (E', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310522', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003049', 'Mster Universitario en formacin e investigacin literaria y teatral en el contexto europeo', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310116', 'Mster Universitario en Formulacin y Tecnologa del Producto', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002671', 'Mster Universitario en Fundamentos Humansticos para Profesionales', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310400', 'Mster Universitario en Gerontologa por la Universidad de A Corua y la Universidad de Santiago de ', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311442', 'Mster Universitario en Gestin Comercial', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001454', 'Mster Universitario en Gestin Cultural', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000224', 'Mster Universitario en Gestin de Contenidos Digitales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001243', 'Mster Universitario en Gestin de las Organizaciones', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310349', 'Mster Universitario en Gestin de Seguros: Anlisis y Cobertura de Riesgos Empresariales', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311605', 'Mster Universitario en Gestin y Seguridad Alimentaria', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312652', 'Mster Universitario en Gestin y Seguridad Integral en la Edificacin', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001651', 'Mster Universitario en Gobernabilidad para un Desarrollo Sostenible: Planificacin, Gestin y Evalu', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001469', 'Mster Universitario en Historia e Identidades Hispnica en el Mediterrneo Occidental (Siglos XV-XI', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002548', 'Mster Universitario en Ingenieria Ambiental', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312010', 'Mster Universitario en Ingenieria de Organizacin ', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310971', 'Mster Universitario en Ingeniera de Sistemas Electrnicos', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000326', 'Mster Universitario en Ingeniera de software Libre', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310872', 'Mster Universitario en Ingeniera Electrnica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310093', 'Mster Universitario en Ingeniera Geolgica y Geotcnia', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002900', 'Mster Universitario en Ingeniera Textil, Papelera y Grfica', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311344', 'Mster Universitario en Ingeniera y Control de Procesos Medioambientales / Environmental Process Co', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310767', 'Mster Universitario en Promocin de la Salud', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002572', 'Mster Universitario en Proyectos y Gestin de Plantas Agroindustriales', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311490', 'Mster Universitario en Investigacin en Emocin, Cognicin y Salud', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002826', 'Mster Universitario en Seguridad Alimentaria', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311416', 'Mster Universitario en Seguridad Informtica y Sistemas Inteligentes', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310550', 'Mster Universitario en Sntesis y Reactividad Qumica', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310148', 'Mster Universitario en Sostenibilidad y Responsabilidad Social Corporativa', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312306', 'Mster Universitario en Traduccin para el Mundo Editorial', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000570', 'Mster Universitario Profesional e Investigador en Pericia Sanitaria', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000481', 'Mster Universitario en Arqueologa y Patrimonio', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000740', 'Mster Universitario en Asesora Fiscal', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001108', 'Mster Universitario en assessorament lingstic i cultura literria: aplicacions al context valenci', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002680', 'Mster Universitario en Atencin Farmacutica y Farmacia Asistencial', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310368', 'Mster Universitario en Contabilidad, Auditora y Control de la Gestin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311797', 'Mster Universitario en Creacin, Diseo e Ingeniera Multimedia', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000959', 'Mster Universitario en Ciencias del Matrimonio y la Familia', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312380', 'Mster Universitario en Ciencias Documentales en el Entorno Digital', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312185', 'Mster Universitario en Ciudad y Arquitectura Sostenibles', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002912', 'Mster Universitario en Antropologa Social y Cultural /Social and Cultural Anthropology', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310087', 'Mster Universitario en Finanzas de Empresa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311763', 'Mster Universitario en Fiscalidad Internacional y Comunitaria', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002512', 'Mster Universitario en De lo Oral a lo Escrito: La lengua y la Literatura Catalanas desde la Perspe', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311798', 'Mster Universitario en Deporte, Ocio y Cambio Social: Estrategias para la Gestin y el Anlisis de ', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310985', 'Mster Universitario en Derecho de la Empresa por la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311911', 'Mster Universitario en Desarrollo de las Capacidades Musicales', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002720', 'Mster Universitario en Direccin de Empresa Familiar', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310685', 'Mster Universitario en Direccin de Hoteles con Carcter', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312300', 'Mster Universitario en Direccin y Administracin de Empresas - MBA', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001126', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310917', 'Mster Universitario en Ecologa Terrestre y Gestin de la Biodiversidad', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311536', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000864', 'Mster Universitario en Internacionalizacin Econmica: Integracin y Comercio Internacional', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312357', 'Mster Universitario en Intervencin Social en las Sociedades del Conocimiento', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311021', 'Mster Universitario en Investigacin Bsica y Aplicada en Recursos Cinegticos', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312174', 'Mster Universitario en Investigacin Biomdica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311584', 'Mster Universitario en Formacin de Profesores de Espaol como Lengua Extranjera', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312648', 'Mster Universitario en Gerontologa, Dependencia y Proteccin de los Mayores', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311204', 'Mster Universitario en Gestin de Calidad y Trazabilidad en Alimentos de Origen Vegetal ', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312423', 'Mster Universitario en Computacin de Altas Prestaciones', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311916', 'Mster Universitario en Comunicacin y Problemas Socioculturales', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310403', 'Mster Universitario en Contabilidad y Finanzas', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311818', 'Mster Universitario en Crtica y Argumentacin Filosfica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001417', 'Mster Universitario en Calidad, Medio Ambiente y Responsabilidad Social Corporativa', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311234', 'Mster Universitario en Ciencia del Lenguaje y Lingstica Hispnica', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000666', 'Mster Universitario en Ciencias Histricas: Investigacin, Documentacin y Nuevas Tecnologas', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000844', 'Mster Universitario en Estudios Internacionales y de la Unin Europea', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311340', 'Mster Universitario en Estudios Teatrales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003014', 'Mster Universitario en Artificial Intelligence', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312206', 'Mster Universitario en Asesoramiento Lingstico y Cultura Literaria. Aplicaciones al Contexto Vale', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310637', 'Mster Universitario en Astrofsica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312314', 'Master Universitario en Automatizacin de Procesos Industriales por la Universidad de Alcal', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000705', 'Mster Universitario en Comunicacin y Habilidades Directivas', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002568', 'Mster Universitario en Control de Procesos Industriales', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310815', 'Mster Universitario en Creacin Literaria', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001485', 'Mster Universitario en Biologa del Desarrollo y Gentica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001646', 'Mster Universitario en Biomedicina: Diseo y Desarrollo Preclnico de Frmacos', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312913', 'Mster Universitario en Biotecnologa Avanzada', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000830', 'Mster Universitario en Biotecnologa de la Reproduccin Humana Asistida', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002509', 'Mster Universitario en Cermica: Arte y Funcin', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310065', 'Mster Universitario en Ciencias Actuariales y Financieras', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312725', 'Mster Universitario en Accin Poltica, Fortalecimiento Institucional y Participacin Ciudadada en ', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000616', 'Mster Universitario en Acstica Arquitectnica y Medioambiental', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002121', 'Mster Universitario en Administracin y Logstica para los Sistemas de Seguridad y Defensa', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001037', 'Mster Universitario en European Masters in Transnational Trade law and Finance', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311339', 'Mster Universitario en Filosofa Contempornea: Tendencias y Debates', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311339', 'Mster Universitario en Filosofa Contempornea: Tendencias y Debates', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311488', 'Mster Universitario en Finanzas y Control de Gestin', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310744', 'Mster Universitario en Fsica Mdica', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311764', 'Mster Universitario en Fsica Nuclear y de Partculas y sus Aplicaciones Tecnolgicas y Mdicas', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311932', 'Mster Universitario en Cultura de Paz, Conflictos, Educacin y Derechos Humanos', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310464', 'Mster Universitario en Derecho: Especialidad en Estudios de la Unin Europea', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002949', 'Mster Universitario en Direccin Internacional y Gestin de la Innovacin Tecnolgica (MBA)', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001750', 'Mster Universitario en Economa', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311017', 'Mster Universitario en Economa Internacional y Relaciones Laborales', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311550', 'Mster Universitario en Psicologa de la Educacin - MIPE', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311550', 'Mster Universitario en Psicologa de la Educacin - MIPE', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311550', 'Mster Universitario en Psicologa de la Educacin - MIPE', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312693', 'Mster Universitario en Psicologa de la Intervencin Social y Comunitaria', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000494', 'Mster Universitario en Qumica Agrcola', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311893', 'Mster Universitario en Relaciones Internacionales', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311893', 'Mster Universitario en Relaciones Internacionales', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312730', 'Mster Universitario en Reporterismo e Investigacin Periodstica para Televisin', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001332', 'Mster Universitario en salud mental y terapias psicolgicas', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310942', 'Mster Universitario en Ingeniera Fsica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310358', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310557', 'Mster Universitario en Ingeniera Mecnica, Diseo, Construccin y Fabricacin', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312374', 'Mster Universitario en Primera Infancia: Perspectivas y Lneas de Intervencin', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002967', 'Mster Universitario en Psicogerontologa', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310968', 'Mster Universitario en Construcciones e Instalaciones Industriales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310369', 'Mster Universitario en Contaminacin y Toxicologa Ambientales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311937', 'Mster Universitario en Creacin y Gestin de Empresas en un Entorno Global/Global Entrepreneurship ', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002180', 'Mster Universitario en Criminologa Avanzada: la Intervencin con Delincuentes y Vctimas', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001976', 'Mster Universitario en Biologa Molecular, Celular y Gentica', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001523', 'Mster Universitario en Ciencia y Tecnologa de las Industrias Lcteas', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000704', 'Mster Universitario en Ciencias Religiosas', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311217', 'Mster Universitario en Administracin de Sistemas Informticos por la Universidad de Alcal', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002524', 'Mster Universitario en Anlisis Econmico del Derecho y las Polticas Pblicas', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311681', 'Mster Universitario en Gestin de Salud Laboral', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000109', 'Mster Universitario en Gestin del Patrimonio Cultural', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000825', 'Mster Universitario en Gestin del Sector Pblico', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310535', 'Mster Universitario en Gestin,  Tratamiento y Valorizacin de Residuos Orgnicos', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001805', 'Mster Universitario en Historia y Ciencias de la Antigedad', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311734', 'Mster Universitario en Igualdad y Gnero en el mbito Pblico y Privado', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312085', 'Mster Universitario en Porcinocultura Profesional y Cientfica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312285', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311710', 'Mster Universitario en Investigacin en Lenguas y Literatura', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311189', 'Mster Universitario en Investigacin en Medicina', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310576', 'Mster Universitario en Investigacin en Medicina Clnica', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311449', 'Mster Universitario en Investigacin en Sistemas Hadware y Software Avanzados ', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311212', 'Mster Universitario en Investigacin y Estudios Avanzados en Historia', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312549', 'Mster Universitario en Investigacin y Rol Avanzado en Enfermera', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001506', 'Mster Universitario en Lingstica Aplicada y Adquisicin de Lenguas en Contextos Multilinges', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002913', 'Mster Universitario en Marketing e Investigacin de Mercados', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312246', 'Mster Universitario en Matemticas', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312246', 'Mster Universitario en Matemticas', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001313', 'Mster Universitario en Mejora Gentica Animal y Biotecnologa de la Reproduccin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310482', 'Mster Universitario en Metodologa de la Investigacin en Ciencias de la Salud', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310040', 'Mster Universitario en Biotecnologa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310272', 'Mster Universitario en Biotecnologa Agroforestal', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001834', 'Mster Universitario en Calidad y Mejora de la Educacin', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312286', 'Mster Universitario en Clnica Veterinaria e Investigacin Teraputica', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002947', 'Mster Universitario en Comisariado de Arte en Nuevos Medios', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001483', 'Mster Universitario en Actividad Motriz y Educacin', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310880', 'Mster Universitario en Agroalimentacin', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311960', 'Mster Universitario en Antropologa de Orientacin Pblica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000426', 'Mster Universitario en Estudios Literarios', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000426', 'Mster Universitario en Estudios Literarios', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001038', 'Mster Universitario en European Masters in Law and Ethics in Biotechnology', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001801', 'Mster Universitario en Finanzas de Empresa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001797', 'Mster Universitario en Democracia y Gobierno', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000845', 'Mster Universitario en Derecho de la Empresa', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312724', 'Mster Universitario en Derecho Espaol Vigente y Comparado', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310012', 'Mster Universitario en Dianas Teraputicas en Sealizacin Celular: Investigacin y Desarrollo', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310829', 'Mster Universitario en Direccin Internacional y Gestin de la Innovacin Tecnolgica (MBA)', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312204', 'Mster Universitario en Direccin y Administracin de Empresas-MBA', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001753', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002088', 'Mster Universitario en Diseo Industrial', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001129', 'Mster Universitario en Diseo Urbano: Arte, Ciudad, Sociedad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002045', 'Mster Universitario en Dolor Orofacial y Craneomandibular', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311438', 'Mster Universitario en Economa de la Escuela Austriaca', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311169', 'Mster Universitario en Energas Renovables', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000599', 'Mster Universitario en Energas Renovables', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310063', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310063', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002125', 'Mster Universitario en multimedia y comunicaciones', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000062', 'Mster Universitario en Patrimonio Histrico y Natural', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002534', 'Mster Universitario en Psicologa de la Educacin', NULL, 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310016', 'Mster Universitario en Qumica Inorgnica Molecular', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001886', 'Mster Universitario en Qumica Inorgnica Molecular', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311213', 'Mster Universitario en Qumica Sostenible', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311983', 'Mster Universitario en Retos de la Paz, Seguridad y Defensa', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001760', 'Mster Universitario en sanidad y produccin porcina', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000137', 'Mster Universitario en Seguridad y Biotecnologa Alimentarias', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002150', 'Mster Universitario en Tcnicas Avanzadas en Investigacin y Desarrollo Agrario y Alimentario', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001662', 'Mster Universitario en tcnicas de anlisis, evaluacin y gestin sostenible de procesos y riesgos ', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310361', 'Mster Universitario en Tcnicas Estadsticas por la Universidad de A Corua; la Universidad de Sant', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000671', 'Mster Universitario en Tecnologa y Recursos Energticos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312496', 'Mster Universitario en Tecnologas de la Informacin Geogrfica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311073', 'Mster Universitario en Tecnologas del Sonido y de la Msica/ Soun and Music Computing', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312292', 'Mster Universitario en Telemtica y Redes de Telecomunicacin ', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000388', 'Mster Universitario en Theoretical Chemistry and Computational Modelling', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002736', 'Mster Universitario Europeo en Estadstica BAyesiana y Anlisis de Decisiones', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312283', 'Mster Universitario en Arte, Territorio y Paisaje', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310945', 'Mster Universitario en Computacin', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312145', 'Mster Universitario en Comunicacin de Nutricin y Salud', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312152', 'Mster Universitario en Comunicacin Multimedia', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310457', 'Mster Universitario en Fsica Avanzada', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310722', 'Mster Universitario en Dependencias e Igualdad en la Autonoma Personal', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311105', 'Mster Universitario en Derecho Empresarial', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312445', 'Mster Universitario en Derecho Privado', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000509', 'Mster Universitario en Derecho Pblico', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311984', 'Mster Universitario en Derechos Humanos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312194', 'Mster Universitario en Direccin y Gestin de Recursos Humanos', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001353', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311047', 'Mster Universitario en Edicin', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312669', 'Mster Universitario en Educacin para el Desarrollo, Sensibilizacin Social y Cultura de Paz', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313144', 'Mster Universitario en Enseanza Bilinge en Centros Educativos de Educacin Primaria e Inmersin e', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312582', 'Mster Universitario en Estudio y Edicin de Textos Literarios Espaoles y Latinoamericanos', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001985', 'Mster Universitario en Estudios Contemporneos e Investigacin Avanzada', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000367', 'Mster Universitario en Estudios Culturales Mediterrneos', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311548', 'Mster Universitario en Inmunologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002873', 'Mster Universitario en Innovaci i qualitat televisives', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001946', 'Mster Universitario en Intervencin en la Discapacidad y en la Dependencia', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002085', 'Mster Universitario en Investigacin Bsica y Aplicada en Biologa Molecular y Celular', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310407', 'Mster Universitario en Fsica y Tecnologas Fsicas', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002976', 'Mster Universitario en Formacin de las Personas Adultas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310498', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001142', 'Mster Universitario en Fotnica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310393', 'Mster Universitario en Fotnica y Tecnologas del Lser', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000709', 'Mster Universitario en Gerontologa: Evaluacin, Fragilidad y Dependencia', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000775', 'Mster Universitario en Gestin de Empresas Cooperativas', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311953', 'Mster Universitario en Desarrollo de Aplicaciones y Servicios Web', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312036', 'Mster Universitario en Desarrollo Local e Innovacin Territorial', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312520', 'Mster Universitario en Dibujo - Creacin, Produccin y Difusin', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311100', 'Mster Universitario en Direccin de Empresas-MBA', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001670', 'Mster Universitario en Direccin de Marketing (Empresas Tursticas)', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001382', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001383', 'Mster Universitario en Diseo Molecular en Qumica Mdica / Master Medicinal Chemistry and Molecula', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311733', 'Mster Universitario en Diseo y Fabricacin', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311357', 'Mster Universitario en Ecologa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002608', 'Mster Universitario en Economa y Desarrollo Territorial', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310763', 'Mster Universitario en Economa: Aplicaciones Empricas y Polticas / Master in Economics: Empirica', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001238', 'Mster Universitario en Economa: Instrumentos del Anlisis Econmico', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001389', 'Mster Universitario en Educacin en la Diversidad', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003050', 'Mster Universitario en el mundo clsico y su proyeccin en la cultura occidental', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000643', 'Mster Universitario en Electrnica Industrial', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312537', 'Mster Universitario en Energas Renovables', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310718', 'Mster Universitario en Enseanza del Espaol como Lengua Extranjera', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312683', 'Mster Universitario en Enseanza del Espaol como Lengua Extranjera y de otras Lenguas Modernas', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001806', 'Mster Universitario en Estudios rabes e Islmicos Contemporneos', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001504', 'Mster Universitario en Estudios Avanzados en Historia del Arte', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310402', 'Mster Universitario en Iniciacin a la Investigacin en Ciencias Veterinarias', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310396', 'Mster Universitario en Innovacin Industrial y Optimizacin de Procesos por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501483', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502197', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501613', 'Graduado o Graduada en Psicologa', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500413', 'Graduado o Graduada en Psicologa ', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311405', 'Mster Universitario en Intervencin y Mediacin Familiar', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311405', 'Mster Universitario en Intervencin y Mediacin Familiar', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002850', 'Mster Universitario en Gesti Pblica Avanada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311389', 'Mster Universitario en Gestin e Innovacin en la Industria Alimentaria', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500556', 'Graduado o Graduada en Ingeniera Informtica ', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501218', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500734', 'Graduado o Graduada en Ciencias del Deporte', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501086', 'Graduado o Graduada en Ciencias del Mar', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501258', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500719', 'Graduado o Graduada en Derecho', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500453', 'Graduado o Graduada en Economa ', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002745', 'Mster Universitario en Enseanza y Adquisicin de la Lengua Inglesa en Contextos Multilinges', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312163', 'Mster Universitario en Estudios Americanos', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312178', 'Mster Universitario en Estudios Avanzados en Direccin de Empresas', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001597', 'Mster Universitario en Estudios Avanzados en Documentacin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000158', 'Mster Universitario en Estudios de la Unin Europea', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311178', 'Mster Universitario en Estudios Europeos', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310830', 'Mster Universitario en Innovacin y Gestin Hotelera', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311076', 'Mster Universitario en Innovacin, Orientacin y Evaluacin Educativa', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001237', 'Mster Universitario en integracin econmica', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310723', 'Mster Universitario en Intervencin Psicolgica en mbitos Clnicos y de la Salud ', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311679', 'Mster Universitario en Fisioterapia Deportiva', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310140', 'Mster Universitario en Fisioterapia y Evidencia Cientfica ', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312528', 'Mster Universitario en Formacin de Profesorado de Educacin Secundaria Obligatoria y Bachillerato,', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001490', 'Mster Universitario en Geologa', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000821', 'Mster Universitario en Gestin de Empresas Cooperativas, Sociales y Solidarias', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002184', 'Mster Universitario en Gestin de Seguros, Anlisis y Cobertura de Riesgos Empresariales', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311990', 'Mster Universitario en Historia de Amrica Latina. Mundos Indgenas', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003065', 'Mster Universitario en Igualdad de Gnero en Ciencias Humanas, Sociales y Jurdicas', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002727', 'Mster Universitario en Ingeniera de la Edificacin y Construcciones Industriales', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311613', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311577', 'Mster Universitario en Investigacin en Ciencias Odontolgicas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001145', 'Mster Universitario en Investigacin en Didctica de la Lengua y la Literatura', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310305', 'Mster Universitario en Investigacin para Economa y Empresa', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312256', 'Mster Universitario en Investigacin y Avances en Medicina Preventiva y Salud Pblica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312060', 'Mster Universitario en Investigacin y Gestin del Patrimonio Histrico-Artstico y Cultural', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311393', 'Mster Universitario en Lenguas Aplicadas', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001148', 'Mster Universitario en Medicina Respiratoria', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312561', 'Mster Universitario en Nacionalismo en El Siglo XXI:  El Caso Vasco/Euskal Nacionalismoa XXI. Mende', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000203', 'Mster Universitario en Neurociencias', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002523', 'Mster Universitario en Nutricin Humana y Calidad de los Alimentos', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310439', 'Mster Universitario en Oceanografa', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312248', 'Mster Universitario en ptica y Optometra Avanzadas', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311243', 'Mster Universitario en Inteligencia Artificial: Fundamentos, Mtodos y Aplicaciones ', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001405', 'Mster Universitario en Interaccin Persona-Ordenador', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311023', 'Mster Universitario en Intervencin Psicolgica en el Desarrollo y la Educacin', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002777', 'Mster Universitario en Fisioterapia en el Abordaje Neurlogico del Nio y el Adulto', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312628', 'Mster Universitario en Gestin de Conflictos a Travs de la Mediacin', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000684', 'Mster Universitario en Gestin de la Comunicacin en Instituciones Pblicas y Estudios de Opinin', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310530', 'Mster Universitario en Gestin Deportiva', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001764', 'Mster Universitario en Gestin Pblica', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311792', 'Mster Universitario en Gestin y Produccin Audiovisual Multiplataforma', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312688', 'Mster Universitario en Guin, Narrativa y Creatividad Audiovisual', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311730', 'Mster Universitario en Historia e Identidades Hispnicas en el Mediterrneo Occidental (siglos XV-X', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310543', 'Mster Universitario en Historia y Anlisis Sociocultural', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311468', 'Mster Universitario en Ingeniera de Mquinas y Transportes', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502406', 'Graduado o Graduada en Espaol: Lengua y Literaturas ', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502522', 'Graduado o Graduada en Estadstica y Empresa', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500331', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500067', 'Graduado o Graduada en Farmacia', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500760', 'Graduado o Graduada en Filosofa', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500547', 'Graduado o Graduada en Derecho', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502476', 'Graduado o Graduada en Economa', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500033', 'Graduado o Graduada en Administracin y Direccin de Empresas por la Universidad Catlica de Valenci', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501469', 'Graduado o Graduada en Antropologa Social', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501623', 'Graduado o Graduada en Antropologa Social y Cultural', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500882', 'Graduado o Graduada en Biologa', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501881', 'Graduado o Graduada en Ingeniera Qumica Industrial', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500557', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500633', 'Graduado o Graduada en Maestro de Educacin Primaria', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500306', 'Graduado o Graduada en Maestro en Educacin Infantil', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500742', 'Graduado o Graduada en Fisioterapia', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502065', 'Graduado o Graduada en Fisioterapia', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500863', 'Graduado o Graduada en Fotografa y Creacin Digital', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502193', 'Graduado o Graduada en Geologa', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501260', 'Graduado o Graduada en Historia', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501378', 'Graduado o Graduada en Historia', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501428', 'Graduado o Graduada en Ingeniera Aeroespacial', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500738', 'Graduado o Graduada en Ingeniera de Materiales', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502369', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502180', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502207', 'Graduado o Graduada en Ingeniera Elctrica por la Universidad de A Corua', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500166', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo de Producto', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500035', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo de Producto', NULL, 0, '61', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502452', 'Graduado o Graduada en Ingeniera en Electrnica Industrial y Automtica', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501346', 'Graduado o Graduada en Ingeniera en Sistemas Audiovisuales por la Universidad Europea de Madrid', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501770', 'Graduado o Graduada en Ingeniera Martima', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500145', 'Graduado o Graduada en Ingeniera Multimedia', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502170', 'Graduado o Graduada en Medicina', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501411', 'Graduado o Graduada en Ingeniera Electrnica Industrial por la Universitat de Valncia (Estudi Gene', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502490', 'Graduado o Graduada en Qumica', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502491', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos ', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500848', 'Graduado o Graduada en Trabajo Social ', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501465', 'Graduado o Graduada en Biotecnologa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500388', 'Graduado o Graduada en Ciencia Poltica y de la Administracin', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501172', 'Graduado o Graduada en Ciencias Polticas y de la Administracin', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500343', 'Graduado o Graduada en Espaol: Lengua y Literatura', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501624', 'Graduado o Graduada en Derecho', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501749', 'Graduado o Graduada en Derecho ', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500941', 'Graduado o Graduada en Economa', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500965', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500332', 'Graduado o Graduada en Lengua y Literatura Catalanas', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500666', 'Graduado o Graduada en Lenguas y Literaturas Modernas', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500178', 'Graduado o Graduada en Medicina por la Universidad Autnoma de Barcelona y la Universidad Pompeu Fab', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501475', 'Graduado o Graduada en Pedagoga', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500156', 'Graduado o Graduada en Periodismo', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500185', 'Graduado o Graduada en Publicidad', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500817', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500980', 'Graduado o Graduada en Traduccin e Interpretacin ', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500887', 'Graduado o Graduada en Estudios de Gallego y Espaol', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500612', 'Graduado o Graduada en Derecho ', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500932', 'Graduado o Graduada en Economa', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500498', 'Graduado o Graduada en Economa ', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500379', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500427', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501823', 'Graduado o Graduada en Educacin Social', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500852', 'Graduado o Graduada en Educacin Social', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501481', 'Graduado o Graduada en Arquitectura Naval', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500982', 'Graduado o Graduada en Matemticas', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502510', 'Graduado o Graduada en Geografa y Ordenacin del Territorio', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501750', 'Graduado o Graduada en Gestin y Administracin Pblica', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500176', 'Graduado o Graduada en Humanidades', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501622', 'Graduado o Graduada en Ingeniera Agroalimentaria y Agroambiental por la Universidad Miguel Hernnde', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501140', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501032', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501500', 'Graduado o Graduada en Arquitectura', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500182', 'Graduado o Graduada en Bellas Artes', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501507', 'Graduado o Graduada en Biologa', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501901', 'Graduado o Graduada en Ingeniera Radioelectrnica Naval', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501332', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500411', 'Graduado o Graduada en Fisioterapia', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502137', 'Graduado o Graduada en Fundamentos de la Arquitectura', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500974', 'Graduado o Graduada en Historia del Arte', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501714', 'Graduado o Graduada en Humanidades ', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502231', 'Graduado o Graduada en Ingeniera Agrcola y del Medio Rural ', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500733', 'Graduado o Graduada en Ingeniera de Diseo Industrial y Desarrollo del Producto', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500349', 'Graduado o Graduada en Ingeniera de Edificacin ', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502036', 'Graduado o Graduada en Ingeniera del Automvil', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501385', 'Graduado o Graduada en Ingeniera del Software', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501895', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502247', 'Graduado o Graduada en Ingeniera en Organizacin Industrial', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502128', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500575', 'Graduado o Graduada en Psicologa', NULL, 0, '57', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501320', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501594', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500317', 'Graduado o Graduada en Veterinaria', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501451', 'Graduado o Graduada en Ciencias Polticas y Gestin Pblica por la Universidad Miguel Hernndez de E', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500257', 'Graduado o Graduada en Criminologa ', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313000', 'Mster Universitario en Neurociencia Cognitiva del Lenguaje / Master in Cognitive Neuroscience of Language por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313003', 'Mster Universitario en Comunicacin Estratgica para Gobiernos e Instituciones', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313006', 'Mster Universitario en Jardinera y Paisajismo por la Universidad Politcnica de Madrid', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313007', 'Mster Universitario en Pensamiento Espaol e Iberoamericano  por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313008', 'Mster Universitario en Investigacin de Direccin de Empresas, Marketing y Contabilidad', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313024', 'Mster Universitario en Relaciones Pblicas Estratgicas, Empresariales e Institucionales por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313027', 'Mster Universitario en Abogado de Empresa Franco-Espaol / Master Juriste D&#39;affaires Franco-Espagnol por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea y Universit de Pau et du Pays de l&#39;Adour (F  PAU01)(Francia)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313046', 'Mster Universitario en Energa y Electrnica de Potencia por la Mondragn Unibertsitatea', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312988', 'Mster Universitario en Estudios Avanzados de Proyectos Arquitectnicos por la Universidad  San Pabl', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311205', 'Mster Universitario en Estudios Filosficos', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310818', 'Mster Universitario en Innovacin y Calidad Televisivas', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310818', 'Mster Universitario en Innovacin y Calidad Televisivas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310622', 'Master Universitario en Innovacin y Desarrollo de Proyectos de Negocio', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002137', 'Mster Universitario en interpretacin de conferencias', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311574', 'Mster Universitario en Intervencin Psicosocial', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311574', 'Mster Universitario en Intervencin Psicosocial', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3004003', 'Mster Universitario en Intervencin y Mediacin Familiar: Especialidad en Mediacin Familiar', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312172', 'Mster Universitario en Fisiologa y Neurociencia', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310479', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria, Bachillerato,', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312364', 'Mster Universitario en Gentica y Evolucin', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002176', 'Mster Universitario en Gestin Cultural', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310660', 'Mster Universitario en Gestin Cultural ', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311388', 'Mster Universitario en Gestin de Suelos y Aguas', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311388', 'Mster Universitario en Gestin de Suelos y Aguas', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001349', 'Mster Universitario en Gestin y Polticas Pblicas', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311003', 'Mster Universitario en Habilitacin Docente para el Ejercicio de las Profesiones de Profesor de Edu', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000397', 'Mster Universitario en Historia Contempornea', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001695', 'Mster Universitario en Historia e Identidades Hispnicas en el Mediterrneo occidental (Siglos XV-X', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310598', 'Mster Universitario en Historia, Territorio y Recursos Patrimoniales por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312115', 'Mster Universitario en Ingeniera de la Energa', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001725', 'Mster Universitario en Ingeniera de Procesos Qumicos y Desarrollo sostenible', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000644', 'Mster Universitario en Ingeniera del Territorio y sus Sistemas de Infraestructuras', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500247', 'Graduado o Graduada en Lengua y Literatura Catalanas', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500525', 'Graduado o Graduada en Periodismo', NULL, 0, '70', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500797', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501044', 'Graduado o Graduada en Biotecnologa', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501339', 'Graduado o Graduada en Finanzas y Contabilidad', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501059', 'Graduado o Graduada en Fsica', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500598', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501654', 'Graduado o Graduada en Ingeniera Agroalimentaria y del Medio Rural', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501942', 'Graduado o Graduada en Ingeniera Agroambiental por la Universidad de Len', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501585', 'Graduado o Graduada en Ingeniera Biomdica', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501794', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502067', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502075', 'Graduado o Graduada en Ingeniera de Recursos Minerales y Energa', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500147', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502329', 'Graduado o Graduada en Ingeniera Mecatrnica', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501477', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500180', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502474', 'Graduado o Graduada en Biotecnologa', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500570', 'Graduado o Graduada en Biotecnologa ', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502364', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500295', 'Graduado o Graduada en Derecho', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501118', 'Graduado o Graduada en Derecho', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501242', 'Graduado o Graduada en Derecho por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501843', 'Graduado o Graduada en Educacin Social', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500573', 'Graduado o Graduada en Biologa', NULL, 0, '57', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501932', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500079', 'Graduado o Graduada en Marketing y Direccin Comercial', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500605', 'Graduado o Graduada en Filosofa', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501205', 'Graduado o Graduada en Humanidades', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502416', 'Graduado o Graduada en Ingeniera Ambiental', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502277', 'Graduado o Graduada en Ingeniera de Diseo y Tecnologa Textil', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502337', 'Graduado o Graduada en Ingeniera de Tecnologas y Servicios de Telecomunicacin', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501057', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501058', 'Graduado o Graduada en Ingeniera Electrnica Industrial', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502280', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502383', 'Graduado o Graduada en Ingeniera en Sistemas de Telecomunicacin', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501737', 'Graduado o Graduada en Ingeniera Informtica por la Universidad de Burgos', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500929', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502198', 'Graduado o Graduada en ptica y Optometra', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501890', 'Graduado o Graduada en Pedagoga', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501754', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501147', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000147', 'Mster Universitario en Estrategias de Intervencin para la Atencin a la Diversidad', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312112', 'Mster Universitario en Estructuras de la Edificacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312980', 'Mster Universitario en Arquitectura del Paisaje por la Universidad San Pablo-CEU', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312982', 'Mster Universitario en Investigacin y Diagnstico en Parasitologa y Enfermedades Tropicales (INDIPAET) por la Universidad de Granada y la Universidad de La Laguna', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312987', 'Mster Universitario en Marketing y Publicidad Digital', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312997', 'Mster Universitario en Biologa Marina por la Universidad de A Corua; la Universidad de Santiago de Compostela y la Universidad de Vigo', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502545', 'Graduado o Graduada en Economa por la Universidad Europea de Madrid', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502556', 'Graduado o Graduada en Maestro Educacin Infantil por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502581', 'Graduado o Graduada en Fisioterapia por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502583', 'Graduado o Graduada en Ingeniera de la Energa por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502597', 'Graduado o Graduada en Anlisis Econmico por la Universidad Pablo de Olavide', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502601', 'Graduado o Graduada en Ingeniera Electrnica, Robtica y Mecatrnica por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502601', 'Graduado o Graduada en Ingeniera Electrnica, Robtica y Mecatrnica por la Universidad de Mlaga y la Universidad de Sevilla', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502607', 'Graduado o Graduada en Economa y Finanzas por la Universidad San Pablo-CEU', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502629', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502650', 'Graduado o Graduada en Maestro en Educacin Primaria por la Universidad Catlica Santa Teresa de Jess de vila', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502652', 'Graduado o Graduada en Cine', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502680', 'Graduado o Graduada en Enfermera por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502685', 'Graduado o Graduada en Diseo Integral y Gestin de la Imagen por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502695', 'Graduado o Graduada en Ingeniera en Tecnologas de Telecomunicacin por la Universidad de Deusto', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502699', 'Graduado o Graduada en Ingeniera de Recursos Energticos y Mineros por la Universidad Politcnica de Catalunya', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502702', 'Graduado o Graduada en Criminologa y Seguridad por la Universitat Abat Oliba CEU', NULL, 0, '70', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502706', 'Graduado o Graduada en Nutricin Humana y Diettica por la Universidad Rovira i Virgili', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310841', 'Mster Universitario en  Tecnologa Educativa: e-learning  y Gestin del Conocimiento por la Universidad Rovira i Virgili; la Universidad de Lleida; la Universidad de Murcia y la Universidad de las Illes Balears', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310902', 'Mster Universitario en Peritacin y Reparacin de Edificios', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311062', 'Mster Universitario Avanzado en Ciencias Jurdicas', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311128', 'Mster Universitario en Ciencia y Tecnologa de Coloides e Interfases', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311128', 'Mster Universitario en Ciencia y Tecnologa de Coloides e Interfases', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311411', 'Mster Universitario en Antropologa Mdica y Salud Internacional', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311423', 'Mster Universitario en Qumica en la Industria', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311498', 'Mster Universitario en Psicologa del Trabajo, de las Organizaciones y de los Recursos Humanos por la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311704', 'Mster Universitario en Derecho Administrativo y de la Administracin Pblica por la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311832', 'Mster Universitario en Organizacin Constitucional', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311869', 'Mster Universitario en Ingeniera Trmica', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311939', 'Mster Universitario en Derecho Social', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311941', 'Mster Universitario en Estudios Interdisciplinares de Gnero', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311961', 'Mster Universitario en Estudios Avanzados de Historia Moderna. Monarqua  de Espaa. Siglos XVI-XVIII', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312125', 'Mster Universitario en Economa y Finanzas', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312127', 'Mster Universitario en Relaciones Internacionales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312137', 'Mster Universitario en Tcnicas de Anlisis e Innovacin Turstica', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312153', 'Mster Universitario en Comunicacin para Internet y los Nuevos Medios', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312219', 'Mster Universitario en Diseo Estratgico de Productos  y Servicios Asociados', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312325', 'Mster Universitario en Agua y Medio Ambiente en reas Semiridas', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312340', 'Mster Universitario en Moda, Gestin del Diseo y Operaciones', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502717', 'Graduado o Graduada en Fundamentos de Arquitectura y Urbanismo por la Universidad de Alcal', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502724', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte por la Universidad de Almera', NULL, 0, '48', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502725', 'Graduado o Graduada en Fundamentos de Arquitectura y Urbanismo por la Universidad de Alcal', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502745', 'Graduado o Graduada en Ingeniera Electromcanica Industrial por la Universidad Catlica San Antonio', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502750', 'Graduado o Graduada en Antropologa Social y Cultural por la Universidad de La Laguna', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502753', 'Graduado o Graduada en Pedagogia por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502756', 'Graduado o Graduada en Podologa por la Universidad Catlica San Antonio', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502783', 'Graduado o Graduada en Publicidad y Relaciones Pblicas por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502788', 'Graduado o Graduada en Direccin y Creacin de Empresas por la Universidad Europea de Canarias', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502789', 'Graduado o Graduada en Comunicacin Publicitaria por la Universidad Europea de Canarias', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502802', 'Graduado o Graduada en Derecho por la Universidad Alfonso X El Sabio', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310122', 'Mster Universitario en Tecnologa Ambiental', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310125', 'Mster Universitario en Diseo del Espacio de Trabajo por la IE Universidad', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310139', 'Mster Universitario en Tratamiento Matemtico de la Informacin', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310264', 'Mster Universitario en Estadstica e Investigacin Operativa', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310270', 'Mster Universitario en Ingeniera y Ciencia de Materiales Avanzados / Advanced Materials Science and Engineering', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310366', 'Mster Universitario en Qumica Sostenible', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310428', 'Mster Universitario en Estudios de Asia y Pacfico', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310585', 'Mster Universitario en Economa Social (Cooperativas y Entidades no Lucrativas) por la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310650', 'Mster Universitario en Vitivinicultura en Climas Clidos', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310822', 'Mster Universitario en Economa y Finanzas', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501285', 'Graduado o Graduada en Relaciones Laborales y Ocupacin', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501425', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '70', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501576', 'Graduado o Graduada en Conservacin-Restauracin de Bienes Culturales', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501672', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501695', 'Graduado o Graduada en Biologa', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501696', 'Graduado o Graduada en Tecnologa y Gestin Alimentaria', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501842', 'Graduado o Graduada en Economa', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501915', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501947', 'Graduado o Graduada en Fisioterapia', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501955', 'Graduado o Graduada en Arquitectura', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501974', 'Graduado o Graduada en Ingeniera de Aeronavegacin', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501976', 'Graduado o Graduada en Ingeniera de Aeropuertos', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501989', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502129', 'Graduado o Graduada en Turismo  por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502154', 'Graduado o Graduada en Composicin de Msicas Contemporneas', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502190', 'Graduado o Graduada en Ingeniera Informtica en Tecnologas de la Informacin por la Universidad de Extremadura', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502261', 'Graduado o Graduada en Enfermera', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502340', 'Graduado o Graduada en Ingeniera en Tecnologas Industriales', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502356', 'Graduado o Graduada en Ingeniera Forestal', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502412', 'Graduado o Graduada en Bellas Artes', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502420', 'Graduado o Graduada en Fisioterapia', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502442', 'Graduado o Graduada en Medicina', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502444', 'Graduado o Graduada en Qumica', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502446', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502536', 'Graduado o Graduada en Ciencias Matemticas y de la Computacin', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312959', 'Mster Universitario en Sistemas de Transporte', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312961', 'Mster Universitario en Educacin Social: Investigacin y Desarrollo Profesional por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312970', 'Mster Universitario en Claves del Mundo Contemporneo por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313056', 'Mster Universitario en Cinematografa por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313068', 'Mster Universitario en Banca y Finanzas por la Universidad Pompeu Fabra', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313071', 'Mster Universitario en Arquitectura por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313075', 'Mster Universitario Erasmus Mundus en Sistemas Energticos Sostenibles / Master Erasmus Mundus in Environomical Pathways for Sustainable Energy Systems por la Universidad Politcnica de Catalunya; la Helsingin Yliopisto-University of Helsinki(Finlan', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313080', 'Mster Universitario en Arte y Educacin. La Expresin Plstica y sus Didcticas por la Universidad Cardenal Herrera-CEU', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313081', 'Mster Universitario en Biotica y Formacin por la Universidad Catlica Santa Teresa de Jess de Avila y la Universidad San Pablo-CEU', NULL, 0, '59', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313083', 'Master Universitario en Asesora Jurdica de Empresas por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313110', 'Mster Universitario en Gestin Financiera  por la Universidad Cardenal Herrera-CEU', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313111', 'Mster Universitario en Turismo Urbano y Gestin de Empresas Tursticas por la Universidad de Santiago de Compostela', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313113', 'Mster Universitario en Direccin Artstica para Cine y Televisin por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313118', 'Mster Universitario en Integridad y Durabilidad de Materiales, Componentes y Estructuras por la Universidad de Burgos; la Universidad de Cantabria y la Universidad de Oviedo', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313125', 'Mster Universitario en Gestin y Direccin de Marketing Global y Nuevos Mercados', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313150', 'Mster Universitario en Derecho, Empresa y Justicia', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313155', 'Mster Universitario en Tecnologa de los Sistemas de Energa Solar Fotovoltaica', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312363', 'Mster Universitario en Estudios Superiores de Filologa y Tradicin Clsicas', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312375', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312376', 'Mster Universitario en Rendimiento Deportivo y Salud', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312432', 'Mster Universitario en Psicologa, Salud y Calidad de Vida', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312449', 'Mster Universitario en Estudios Avanzados de Derecho Financiero y Tributario por la Universidad Complutense de Madrid y la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312504', 'Mster Universitario en Formacin en Portugus para Profesorado de Enseanza Primaria y Secundaria', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312507', 'Mster Universitario en Investigacin en Economa, Gestin y Comercio Internacional', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312510', 'Mster Universitario en Ingeniera de Telecomunicacin por la Universidad de Extremadura', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312533', 'Mster Universitario en Fsica Aplicada', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312552', 'Mster Universitario en Ingeniera de Telecomunicacin', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312568', 'Mster Universitario en Emprendizaje e Innovacin', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312593', 'Mster Universitario en Psicopedagoga', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312659', 'Mster Universitario en Desarrollo Integral de Destinos Tursticos', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312707', 'Mster Universitario en Direccin de Empresas - MBA', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312726', 'Mster Universitario en Innovacin en Diseo para el Sector Turstico', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312734', 'Mster Universitario en Patrimonio Arquitectnico por la Universidad Politcnica de Cartagena', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312763', 'Mster Universitario en Investigacin en Humanidades por la Universidad Internacional de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312765', 'Mster Universitario en Geomtica y Navegacin  por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312782', 'Mster Universitario en Relaciones Euromediterrneas', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312784', 'Mster Universitario en Psicologa de la Educacin por la Universitat Abat Oliba CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312805', 'Mster Universitario en Biologa Funcional de Microorganismos Eucariotas por la Universidad de Salamanca', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312807', 'Mster Universitario en Plasma, Lser y Tecnologas de Superficie por la Universidad Politcnica de Madrid; la Universidad de Crdoba y la Universidad de Mlaga', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312810', 'Mster Universitario en Ingeniera de Montes por la Universidad de Lleida', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312811', 'Mster Universitario en Investigacin Traslacional en Fisioterapia por la Universidad Autnoma de Barcelona y la Universidad de Cantabria', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312821', 'Mster Universitario en Cultura de los Cuidados', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312822', 'Mster Universitario en Prevencin y Readaptacin de las Lesiones Deportivas por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312823', 'Mster Universitario en Ingeniera Informtica por la Universidad de Lleida', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312831', 'Mster Universitario en Filosofa y Cultura Moderna por la Universidad de Sevilla', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312840', 'Mster Universitario en Investigacion en Ciencias de la Enfermeria', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312842', 'Mster Universitario en Arquitectura Sanitaria y Asistencial por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312846', 'Mster Universitario en Investigacin, Desarrollo, Control e Innovacin de Medicamentos por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312892', 'Mster Universitario en Recursos Geolgicos e Ingeniera Geolgica por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312895', 'Mster Universitario en Ciencia y Tecnologa en Termalismo y Balneoterapia por la Universidad de A Corua y la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312905', 'Mster Universitario en Medio Ambiente y Desarrollo Sostenible por la Universidad Catlica Santa Teresa de Jess de Avila y la Universidad Europea Miguel de Cervantes', NULL, 0, '59', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312905', 'Mster Universitario en Medio Ambiente y Desarrollo Sostenible por la Universidad Catlica Santa Teresa de Jess de Avila y la Universidad Europea Miguel de Cervantes', NULL, 0, '69', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312914', 'Mster Universitario en Actividad Fsica: Creacin, Recreacin y Bienestar', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313274', 'Mster Universitario en Actividad Motriz, Educacin e Intervencin Social por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313277', 'Mster Universitario en Microbiologa Avanzada por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313283', 'Mster Universitario en Investigacin en Empresa por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313288', 'Mster Universitario en Administracin y Direccin de Empresas por la Universidad Pompeu Fabra', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313289', 'Mster Universitario en Bibliotecas y Colecciones Patrimoniales por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313295', 'Mster Universitario Erasmus Mundus en Polticas Pblicas (Mundus MAPP) / Master in Public Policy (Mundus MAPP) por la Universidad Autnoma de Barcelona; la Universidad Pompeu Fabra; la Universidad de Barcelona; Erasmus Universiteit Rotterdam(Holanda', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313308', 'Mster Universitario en Innovacin y Gestin Hotelera/Innovative Hospitality Management por la Universidad Ramn Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313342', 'Mster Universitario en Agua. Anlisis Interdisciplinario y Gestin Sostenible por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313345', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana por la Universidad Autnoma de Barcelona; la Universidad Politcnica de Catalunya; la Universidad Pompeu Fabra; la Universidad Rovira i Virgili; la Universidad de Barcelona; la Universi', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313355', 'Mster Universitario en Gestin de Empresas por la Universidad Rovira i Virgili', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313366', 'Mster Universitario en Bioinformtica por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313367', 'Mster Universitario en Mediacin, Arbitraje y Gestin de Conflictos en Derecho Privado por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313474', 'Mster Universitario en Administracin de Empresas (MBA) por la Universidad de Jan', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313492', 'Mster Universitario en Prctica de la Abogaca por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313503', 'Mster Universitario en Gestin de la Informacin por la Universidad Politcnica de Valencia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313505', 'Mster Universitario en Investigacin en Podologa por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313518', 'Mster Universitario en Matemticas Avanzadas por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313523', 'Mster Universitario en Mecnica Industrial por la Universidad Carlos III de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313531', 'Mster Universitario en Acceso a la Profesin de Abogado por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313542', 'Mster Universitario en Traduccin Literaria por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313557', 'Mster Universitario en Gestin Aeroportuaria y de Empresas Aeronuticas por la Universidad San Pablo-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313559', 'Mster Universitario en Periodismo 360 por la Universidad Camilo Jos Cela', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313581', 'Mster Universitario en Audiologa por la Universidad Catlica San Antonio', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313582', 'Mster Universitario en Abogaca por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313583', 'Mster Universitario en Investigacin en Rendimiento Deportivo: Fuerza y Acondicionamiento Fsico por la Universidad Catlica San Antonio', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313375', 'Mster Universitario en Instituciones y Mercados Financieros por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313377', 'Mster Universitario en Psicogerontologa por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313378', 'Mster Universitario en Prevencin de Riesgos Laborales. Especialidad en Ergonoma y Psicosociologa Aplicada por la Universidad Complutense de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313384', 'Mster Universitario en Investigacin Aplicada en Economa y Empresa / Applied Research in Economics and Business por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313391', 'Mster Universitario en Administracin y Direccin de Empresas por la Universidad de Alicante', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313393', 'Mster Universitario en Traduccin e Interpretacin Institucional por la Universidad de Alicante', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313398', 'Mster Universitario en Criminologa y Seguridad por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313401', 'Mster Universitario en Documental y Nuevos Formatos por la Universidad Rey Juan Carlos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313438', 'Mster Universitario en Abogaca por la Universidad de Sevilla', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313464', 'Mster Universitario en Enfermedades Infecciosas y Salud Internacional por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313159', 'Mster Universitario en Periodismo en Televisin por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313161', 'Mster Universitario en Orientacin e Intermediacin Laboral por la Universidad Politcnica de Cartagena y la Universidad de Murcia', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313165', 'Mster Universitario en Evaluacin del Cambio Global por la Universidad de Almera', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313178', 'Mster Universitario en Literatura Comparada: Estudios Literarios y Culturales por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313181', 'Mster Universitario en Direccin y Gestin de Centros Educativos por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313189', 'Mster Universitario en Educacin Internacional y Bilingismo por la Universidad Camilo Jos Cela', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313198', 'Mster Universitario en Protocolo, Comunicacin y Organizacin Integral de Eventos por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313202', 'Mster Universitario en Direccin y Administracin de Empresas por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313215', 'Mster Universitario en Ingeniera Qumica por la Universidad Ramn Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313243', 'Mster Universitario en Investigacin Biotecnolgico, Agroalimentario y Forestal por la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313246', 'Mster Universitario en Lengua y Civilizacin del Antiguo Egipto por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313259', 'Mster Universitario en Incendios Forestales. Ciencia y Gestin Integral por la Universidad de Crdoba; la Universidad de Len y la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313585', 'Mster Universitario en Acceso a la Procura por la Universidad Nacional de Educacin a Distancia', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313591', 'Mster Universitario en Anlisis Transaccional por la Universidad Camilo Jos Cela', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313606', 'Mster Universitario en Direccin y Gestin de Centros Educativos por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313626', 'Mster Universitario en Abogaca por la Universidad Pablo de Olavide', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313637', 'Mster Universitario en Tecnologas de Edificacin Sostenible por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313639', 'Mster Universitario en Ingeniera  Naval y Ocenica por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313641', 'Mster Universitario en Abogaca por la Universidad de Extremadura', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313642', 'Mster Universitario en Ingeniera Biomdica por la Universidad de Extremadura', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313644', 'Mster Universitario en Ingeniera Informtica por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313646', 'Mster Universitario en Materiales Complejos: Anlisis Trmico y Reologa por la Universidad de A Corua', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313657', 'Mster Universitario en Ingeniera del Agua por la Universidad de A Corua y HOCHSCHULE MAGDEBURG-STENDAL (FH) (D  MAGDEBU04)(Alemania)', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313670', 'Mster Universitario en Cuidados de Enfermera Intensiva por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313674', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Enseanza de Idiomas por la Universidad Antonio de Nebrija', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313676', 'Mster Universitario en Alta Direccin Pblica por la Universidad Internacional Menndez Pelayo', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313682', 'Mster Universitario en Cuidados Crticos por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313689', 'Mster Universitario en Mtodos de Investigacin en Ciencias Sociales y Polticas por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313694', 'Mster Universitario en Auditora y Finanzas por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313716', 'Mster Universitario en Direccin y Gestin de Recursos Humanos por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313719', 'Mster Universitario en Abogaca por la Universidad de Salamanca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313729', 'Mster Universitario en Innovacin e Investigacin en Informtica/Master in Innovation and Research in Informatics por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313733', 'Mster Universitario en Marketing Avanzado por la Universidad de Deusto', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313740', 'Mster Universitario en Criminologa Aplicada e Investigacin Policial por la Universidad Catlica Santa Teresa de Jess de vila', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313743', 'Mster Universitario en Traduccin Profesional y Mediacin Intercultural por la Universidad de Las Palmas de Gran Canaria', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313745', 'Mster Universitario en Produccin y Sanidad Animal por la Universidad Complutense de Madrid y la Universidad Politcnica de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313750', 'Mster Universitario en Ingeniera de Telecomunicacin por la Universidad de Navarra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313751', 'Mster Universitario en Estudios Narrativos de Artes Visuales por la Universidad Rey Juan Carlos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313766', 'Mster Universitario en Gestin de Empresas Europeas e Internacionales, European and Internacional Business Management, Management des Entreprises Europennes et Internationales  por la Universidad de Deusto; Audiencia Nantes - Ecole de Managemen(Fra', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313768', 'Mster Universitario en Anlisis y Gestin del Patrimonio Artstico por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313773', 'Mster Universitario en Direccin de Empresas Industriales por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312243', 'Mster Universitario en Estadstica Aplicada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001605', 'Mster Universitario en innovacin docente en educacin infantil y educacin primaria', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310734', 'Mster Universitario en Intervencin e Investigacin en  Ejercicio Fsico, Salud y Dependencia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312466', 'Mster Universitario en Gentica y Biologa Celular', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002525', 'Mster Universitario en Gestin de Riesgos Laborales', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312019', 'Mster Universitario en Gestin de Seguridad, Crisis y Emergencias', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311028', 'Mster Universitario en Gestin Estrattiga e Innovacin en Comunicacin', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002100', 'Mster Universitario en Gestin Integral de Tecnologas de la Informacin', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311361', 'Mster Universitario en Filologa Clsica ', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312211', 'Mster Universitario en Filosofa de la Historia:  Democracia y Orden Mundial', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312227', 'Mster Universitario en Danza y Artes del Movimiento', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000665', 'Mster Universitario en Derecho Autonmico y Local', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310162', 'Mster Universitario en Desarrollo Regional, Formacin y Empleo', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311629', 'Mster Universitario en Desarrollo y Cooperacin Internacional', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311786', 'Mster Universitario en Direccin de Empresas - MBA', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002715', 'Mster Universitario en Direccin de Proyectos', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310480', 'Mster Universitario en Direccin de Proyectos Informticos', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002712', 'Mster Universitario en Direccin Integrada de Proyectos', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001568', 'Mster Universitario en Direccin y Gestin de Empresas Hoteleras', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310020', 'Mster Universitario en Direccin y Gestin de Proyectos', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312049', 'Mster Universitario en Economa Cuantitativa', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000742', 'Mster Universitario en Economa y Finanzas', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000144', 'Mster Universitario en Energas Renovables', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311386', 'Mster Universitario en Enseanza de Espaol / Cataln para Inmigrantes', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001343', 'Mster Universitario en Historia, Espacio y Patrimonio', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002054', 'Mster Universitario en Ingeniera de la Edificacin', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310882', 'Mster Universitario en Ingeniera del Diseo', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311809', 'Mster Universitario en Ingeniera Electrnica y Automtica', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312317', 'Mster Universitario en Ingeniera Industrial', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310608', 'Mster Universitario en Ingeniera Telemtica ', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311252', 'Mster Universitario en Poltica y Democracia', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501694', 'Graduado en Ingeniera de Sistemas Electrnicos ', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('38030000000', 'Licenciado en Biotecnologa', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311787', 'Mster Universitario en Gestin de Empresas Cooperativas', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310386', 'Mster Universitario en Gestin del Desarrollo Sostenible', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001366', 'Mster Universitario en Gestin Internacional', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310636', 'Mster Universitario en Historia Comparada, Siglos XVI-XX', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001783', 'Mster Universitario en Historia Contempornea', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310275', 'Mster Universitario en Ingeniera Aeroespacial', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310787', 'Mster Universitario en Ingeniera de Gestin Costera y Martima (COMEM)', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312733', 'Mster Universitario en Ingeniera de Sistemas y de Control', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312287', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001720', 'Mster Universitario en Farmacologa. Desarrollo, Evaluacin y Utilizacin Racional de Medicamentos', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311051', 'Mster Universitario en Fsica Aplicada', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311515', 'Mster Universitario en Culturas y Lenguas de la Antigedad', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311384', 'Mster Universitario en Deporte Sostenible y Bienestar', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000438', 'Mster Universitario en Derecho', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311587', 'Mster Universitario en Derecho de la Empresa', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311147', 'Mster Universitario en Desarrollo Rural', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000703', 'Mster Universitario en Direccin de Comunicacin', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002930', 'Mster Universitario en Direccin de Proyectos de Conservacin-Restauracin: Colecciones y Conjuntos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000430', 'Mster Universitario en Economa y Finanzas', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310389', 'Mster Universitario en Economa, Evaluacin y Gestin del Medio Marino y los Recursos Pesqueros ', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311054', 'Mster Universitario en Arqueologa y Patrimonio: Ciencia y Profesin', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000611', 'Mster Universitario en Arte Contemporneo', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310680', 'Mster Universitario en Asesora Fiscal', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311505', 'Mster Universitario en Atencin Integral al Enfermo Crtico y Emergencias', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002713', 'Mster Universitario en Atencin Sanitaria, Gestin y Cuidados', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002918', 'Mster Universitario en Biblioteca Escolar y Promocin de la Lectura', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311621', 'Mster Universitario en Biodiversidad, Funcionamiento y Gestin de Ecosistemas ', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002135', 'Mster Universitario en Comunicacin Digital Interactiva', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000068', 'Mster Universitario en Biologa Celular y Molecular', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311544', 'Mster Universitario en Ciencia Cognitiva y Lenguaje', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000626', 'Mster Universitario en Ciencia y Tecnologa Nuclear', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001006', 'Mster Universitario en Tratamiento de Soporte y Cuidados Paliativos en el Enfermo Oncolgico.', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001543', 'Mster Universitario Erasmus Mundus en Estudios de las Mujeres y de Gnero / Master''s Degreein Gende', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310773', 'Mster Universitario Erasmus Mundus en Sector Elctrico', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310596', 'Mster Universitario en Artes Escnicas', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310747', 'Mster Universitario en Asesora Fiscal', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002575', 'Mster Universitario en Atencin Farmacutica (EuroPharmNes)', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311796', 'Mster Universitario en Comisariado de Arte en Nuevos Medios', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002032', 'Mster Universitario en Comunicacin Cultural', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001881', 'Mster Universitario en comunicacin, redes y gestin de contenidos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310967', 'Mster Universitario en Conservacin y Restauracin de Bienes Culturales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311146', 'Mster Universitario en Control de los Procesos Industriales', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002948', 'Mster Universitario en Creacin, Diseo e Ingeniera Multimedia', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000204', 'Mster Universitario en Biotecnologa Molecular', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002928', 'Mster Universitario en Arqueologia Clsica', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311287', 'Mster Universitario en Estudios Latinoamericanos', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001109', 'Mster Universitario en Investigacin en la Enseanza y el Aprendizaje de las Ciencias Experimentale', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001178', 'Mster Universitario en lingstica inglesa: nuevas aplicaciones y comunicacin internacional', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311568', 'Mster Universitario en Lgica Pura y Aplicada', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000457', 'Mster Universitario en Management y Gestin del Cambio', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001392', 'Mster Universitario en Mecnica de Materiales y Estructuras', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001576', 'Mster Universitario en medio ambiente, dimensiones humanas y socioeconmicas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312399', 'Mster Universitario en Microbiologa y Salud', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310850', 'Mster Universitario en Neurociencia', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000094', 'Mster Universitario en Organizacin industrial y Gestin de empresas', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000717', 'Mster Universitario en Planificacin estratgica del territorio', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310360', 'Mster Universitario en Qumica Orgnica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310360', 'Mster Universitario en Qumica Orgnica', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002741', 'Mster Universitario en Qumica Sostenible', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002741', 'Mster Universitario en Qumica Sostenible', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312729', 'Mster Universitario en Radio', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312296', 'Mster Universitario en Regulacin Econmica y Territorial', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312442', 'Mster Universitario en Representacin y Diseo en Ingeniera y Arquitectura', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311136', 'Mster Universitario en Residuos de Plaguicidas y Contaminantes. Control Alimentario y Ambiental', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310469', 'Mster Universitario en Ciencia, Tecnologa y Aplicaciones de los Materiales Cermicos', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312401', 'Mster Universitario en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310588', 'Mster Universitario en Ciencias Odontolgicas', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000543', 'Mster Interuniversitario en Multimedia y Comunicaciones', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000543', 'Mster Interuniversitario en Multimedia y Comunicaciones', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003069', 'Mster Universitario "European Mster in Business Administration - MBA"', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002002', 'Mster Universitario en Actividad Fsica, Salud y Entrenamiento Deportivo', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311326', 'Mster Universitario en Anlisis y Gestin del Patrimonio Artstico', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310579', 'Mster Universitario en Profesor de Educacin Secundaria Obligatoria, Bachillerato, Formacin Profes', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310110', 'Mster Universitario en Investigacin en la Enseanza y el Aprendizaje de las Ciencias Experimentale', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002954', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001790', 'Mster Universitario en Lengua Espaola y Literatura Hispnica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000472', 'Mster Universitario en Mercado del Arte y Gestin de Empresas Relacionadas', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310331', 'Mster Universitario en Mtodos Matemticos Avanzados en Fsica', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002814', 'Mster Universitario en Nanociencia y Nanotecnologa Molecular', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001582', 'Mster Universitario en periodismo', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311428', 'Mster Universitario en Qumica Terica y Computacional', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312158', 'Mster Universitario en Relaciones Internacionales', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001320', 'Mster Universitario en Sistemas Electrnicos Avanzados. Sistemas Inteligentes', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311137', 'Mster Universitario en Tcnicas Informticas Avanzadas', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310146', 'Mster Universitario en Tecnologa e Instrumentacin Qumica', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000895', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310157', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311815', 'Mster Universitario en Prevencin y Gestin de Riesgos en la Comunidad', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001130', 'Mster Universitario en Producciones Artsticas e Investigacin', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310500', 'Mster Universitario en Investigacin en Letras y Humanidades', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311375', 'Mster Universitario en Juventud y Sociedad', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001505', 'Mster Universitario en Lxico y Comunicacin Lingstica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312023', 'Mster Universitario en Literatura Espaola e Hispanoamericana. Estudios Avanzados', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001818', 'Mster Universitario en Materiales Avanzados y Nanotecnologas', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001819', 'Mster Universitario en Mtodos Cuantitativos de Investigacin en Epidemiologa', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311491', 'Mster Universitario en Negocios Internacionales', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310937', 'Mster Universitario en Participacin y Polticas Locales', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001763', 'Mster Universitario en Patrimonio Artstico en Catalua', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310854', 'Mster Universitario en Pensamiento Filosfico Contemporneo ', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000739', 'Mster Universitario en Qumica Sostenible', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001241', 'Mster Universitario en Relaciones de Gnero', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310130', 'Mster Universitario en Relaciones Internacionales', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002565', 'Mster Universitario en Sistema Penal, Criminalidad y Polticas de Seguridad', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000677', 'Mster Universitario en Sistemas Telemticos e Informticos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001981', 'Mster Universitario en Sostenibilidad y Responsabilidad Social Corporativa', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310437', 'Mster Universitario en Tcnicas Cromatogrficas Aplicadas', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310799', 'Mster Universitario en Teora e Historia de la Arquitectura', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310212', 'Mster Universitario en Tratamiento Educativo de la Diversidad', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500350', 'Graduado o Graduada en Historia ', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501775', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501997', 'Graduado o Graduada en Ingeniera de Tecnologa de Telecomunicacin', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502481', 'Graduado o Graduada en Ingeniera de Tecnologas Industriales', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501796', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501850', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501176', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501414', 'Graduado o Graduada en Ingeniera Multimedia', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500600', 'Graduado o Graduada en Multimedia', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502259', 'Graduado o Graduada en Podologa', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501104', 'Graduado o Graduada en Qumica', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500625', 'Graduado o Graduada en Biotecnologa', NULL, 0, '60', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502459', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500565', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '69', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501404', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500087', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501120', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502467', 'Graduado en Ingeniera Mecnica', 'N', 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312924', 'Mster Universitario en Antropologa de Iberoamrica   ', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501787', 'Graduado o Graduada en Veterinaria', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500354', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500024', 'Graduado o Graduada en Ciencias Polticas', NULL, 0, '36', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502093', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502071', 'Graduado o Graduada en Comunicacin Audiovisual ', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502162', 'Graduado o Graduada en Enfermera', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501810', 'Graduado o Graduada en Estadstica', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500355', 'Graduado o Graduada en Estudios Hispnicos: Lengua y Literatura ', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502418', 'Graduado o Graduada en Filologa Catalana', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500858', 'Graduado o Graduada en Filologa Hispnica', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500940', 'Graduado o Graduada en Filologa Moderna. Ingls', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501394', 'Graduado o Graduada en Filosofa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501525', 'Graduado o Graduada en Economa', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501681', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500336', 'Graduado o Graduada en Educacin Social', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500796', 'Graduado o Graduada en Educacin Social', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501399', 'Graduado o Graduada en Educacin Social', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501253', 'Graduado o Graduada en Administracin y Gestin Pblica', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311174', 'Mster Universitario en Sostenibilidad y Eficiencia Energtica en los Edificios y en la Industria', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000064', 'Mster Universitario en Tcnicas Instrumentales en Qumica', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003081', 'Mster Universitario en Tecnologa Elctrica ENDESA-ICAI', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312017', 'Mster Universitario en Tecnologa para el Desarrollo Humano y la Cooperacin', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310698', 'Mster Universitario en Terapias Manuales', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311976', 'Mster Universitario en Trabajo Social Comunitario, Gestin y Evaluacin de Servicios Sociales', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001791', 'Mster Universitario en Tratamiento de la Informacin y Comunicacin Multilinge', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310300', 'Mster Universitario en Tributacin y Fiscalidad Internacional', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002607', 'Mster Universitario en Turismo: Direccin de Empresas Tursticas', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312700', 'Mster Universitario Erasmus Mundus en Estudios Urbanos en Regiones Mediterrneas', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311589', 'Mster Universitario Europeo en Aprendizaje a lo Largo de la Vida: Polticas y Gestin / European Ma', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312645', 'Mster Universitario en Cuidados de Salud para la Promocin de la Autonomia de las Personas y la Ate', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312250', 'Mster Universitario en Biologa Agraria y Acuicultura', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311537', 'Mster Universitario en Biologa Humana', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001786', 'Mster Universitario en Cataln y Castellano como Lenguas Extranjeras', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312691', 'Mster Universitario en Ciencias Odontolgicas', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000579', 'Mster Universitario en Arqueologa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312345', 'Mster Universitario en Etologa', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310706', 'Mster Universitario en Fsica y Matemticas', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312634', 'Mster Universitario en Cultura Contempornea: Literatura, Instituciones Artsticas y Comunicacin C', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002029', 'Mster Universitario en Cultura Hispnica', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000375', 'Mster Universitario en Derecho de la Empresa', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310066', 'Mster Universitario en Derecho Privado', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730010000', 'Ingeniero Tcnico de Minas, Especialidad en Explotacin de Minas', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730030000', 'Ingeniero Tcnico de Minas, Especialidad en Sondeos y Prospecciones Mineras', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730090000', 'Ingeniero Tcnico de Minas, Especialidad en Recursos Energticos, Combustibles y Explosivos', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730090000', 'Ingeniero Tcnico de Minas, Especialidad en Recursos Energticos, Combustibles y Explosivos', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50730090000', 'Ingeniero Tcnico de Minas, Especialidad en Recursos Energticos, Combustibles y Explosivos', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740040000', 'Ingeniero Tcnico Naval, Especialidad en Estructuras Marinas', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50740050000', 'Ingeniero Tcnico Naval, Especialidad en Propulsin y Servicios del Buque', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50950000000', 'Ingeniero Tcnico Industrial, Especialidad en Mecnica', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50960000000', 'Ingeniero Tcnico Industrial, Especialidad en Qumica Industrial', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '33', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50970000000', 'Ingeniero Tcnico Industrial, Especialidad en Electrnica Industrial', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50980000000', 'Ingeniero Tcnico Industrial, Especialidad en Electricidad', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51000000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Telemtica', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51020000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas Electrnicos', 'S', 1, '55', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51030000000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sistemas de Telecomunicacin', 'S', 1, '60', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '59', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51100000000', 'Ingeniero Tcnico Agrcola, Especialidad en Explotaciones Agropecuarias', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51110000000', 'Ingeniero Tcnico Agrcola, Especialidad en Hortofruticultura y Jardinera', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51120000000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrarias y Alimentarias', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('51140000000', 'Ingeniero Tcnico Forestal, Especialidad en Explotaciones Forestales', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60240000000', 'Intendente Mercantil', 'N', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60240000000', 'Intendente Mercantil', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('60250000000', 'Perito Mercantil', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311298', 'Mster Universitario en Investigacin en Economa de la Empresa', 'S', 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('43125970000', 'Mster en Investigacin de la Comunicacin', 'N', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501650', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '27', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502460', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500351', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501227', 'Graduado en Enfermera', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500108', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501397', 'Graduado o Graduada en Enfermera', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500681', 'Graduado o Graduada en Enfermera', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500440', 'Graduado o Graduada en Enfermera ', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500438', 'Graduado o Graduada en Enologa', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500665', 'Graduado o Graduada en Filologa Romnica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500843', 'Graduado o Graduada en Derecho', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500871', 'Graduado o Graduada en Derecho', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500926', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501914', 'Graduado o Graduada en Educacin Social', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500821', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '59', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500595', 'Graduado o Graduada en Administracin y Direccin de Empresas ', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500281', 'Graduado o Graduada en Biologa', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500487', 'Graduado o Graduada en Biologa ', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502290', 'Graduado o Graduada en Bioqumica', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502086', 'Graduado o Graduada en Lingstica y Lenguas Aplicadas', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500939', 'Graduado o Graduada en Fsica', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501579', 'Graduado en Ingenieria en Edificacion', 'N', 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501578', 'Graduado o Graduada en Historia y Patrimonio', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501035', 'Graduado o Graduada en Ingeniera Civil - Hidrologa', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502592', 'Graduado o Graduada en Ingeniera de Organizacin Industrial', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502144', 'Graduado o Graduada en Ingeniera de Tecnologas y Servicios de Telecomunicacin', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502167', 'Graduado o Graduada en Ingeniera Electromecnica ', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502404', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo de Producto', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500128', 'Graduado en Comunicacin Publicitaria', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500555', 'Graduado o Graduada en Ingeniera en Organizacin Industrial ', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501934', 'Graduado o Graduada en Ingeniera en Tecnologa Naval', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500622', 'Graduado o Graduada en Ingeniera Informtica ', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500404', 'Graduado o Graduada en Periodismo por la Universidad Pompeu Fabra', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501011', 'Graduado o Graduada en Podologa ', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500268', 'Graduado o Graduada en Psicologa ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501985', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502025', 'Graduado o Graduada en Relaciones Internacionales', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500002', 'Graduado o Graduada en Traduccin', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501406', 'Graduado o Graduada en Traduccin y Mediacin Interlingstica', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500198', 'Graduado o Graduada en Turismo', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502054', 'Graduado en Ingeniera Civil', 'N', 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000003', 'Mster en Gestin y Tecnologa Ambiental', 'N', 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000005', 'Mster en Estudios Ingleses Avanzados:Lenguas y Culturas de contacto', 'N', 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('00003035000', 'Licenciado en Biolgicas', 'N', 2, NULL, 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030600', 'Licenciado en Ciencias.(Matemticas).Estadstica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030600', 'Licenciado en Ciencias.(Matemticas).Estadstica', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190060000', 'Licenciado en Ciencias, Seccin de Geolgicas', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30210000000', 'Licenciado en Bellas Artes', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30220000000', 'Licenciado en Educacin Fsica', 'N', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '50', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30230000000', 'Licenciado en Psicologa', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '58', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '70', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240000000', 'Licenciado en Derecho', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240010000', 'Licenciado en Derecho (Plan Hispano-Francs)', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30240010000', 'Licenciado en Derecho (Plan Hispano-Francs)', 'N', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250010000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Ciencias de la Educacin', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250070000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Filosofa', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30250090000', 'Licenciado en Filosofa y Ciencias de la Educacin, Seccin Psicologa', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30260300000', 'Licenciado en Geografa e Historia, Seccin Musicologa', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011100', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Hispnica.', 'N', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280011500', 'LICENCIADO EN FILOSOFIA Y LETRAS SECCIN FILOLOGIA INGLESA', 'N', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280012000', 'Licenciado en Filosofa y Letras.(Filologa).Filologa Romnica.(Francs).', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020000', 'LICENCIADO EN FILOSOFIA Y LETRAS DIVISIN GEOGRAFIA E HISTORIA', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020500', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia del Arte.', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020600', 'Licenciado en Filosofa y Letras.(Geografa e Historia).Historia.', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020603', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia Medieval.', 'N', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280020604', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia Moderna.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280021600', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Historia de Amrica.', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280022200', 'Licenciado en Filosofa y Letras.(Geografia e Historia).Geografa.', 'N', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30280180000', 'Licenciado en Filosofa y Letras, Seccin Historia', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30300000000', 'Licenciado en Odontologa', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30310000000', 'Licenciado en Medicina', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30320000000', 'Licenciado en Fsica', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30330000000', 'Licenciado en Geologa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30330000000', 'Licenciado en Geologa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30350000000', 'Licenciado en Biologa', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30360000000', 'Licenciado en Bioqumica', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '58', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '61', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '40', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '62', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30370000000', 'Licenciado en Administracin y Direccin de Empresas', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30380000000', 'Licenciado en Economa', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30390000000', 'Licenciado en Investigacin y Tcnicas de Mercado', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30400000000', 'Licenciado en Ciencias Polticas y de la Administracin', 'S', 2, '70', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '52', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30420000000', 'Licenciado en Publicidad y Relaciones Pblicas', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30440000000', 'Licenciado en Filosofa', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30450000000', 'Licenciado en Filologa Alemana', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30460000000', 'Licenciado en Filologa rabe', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30460000000', 'Licenciado en Filologa rabe', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30470000000', 'Licenciado en Filologa Catalana', 'S', 2, '54', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30480000000', 'Licenciado en Filologa Clsica', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30500000000', 'Licenciado en Filologa Francesa', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30510000000', 'Licenciado en Filologa Gallega', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30520000000', 'Licenciado en Filologa Hebrea', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30530000000', 'Licenciado en Filologa Hispnica', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30540000000', 'Licenciado en Filologa Inglesa', 'S', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30570000000', 'Licenciado en Filologa Romnica', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30600000000', 'Licenciado en Geografa', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30610000000', 'Licenciado en Historia', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '42', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '57', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30620000000', 'Licenciado en Historia del Arte', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '66', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30630000000', 'Licenciado en Antropologa Social y Cultural', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30640000000', 'Licenciado en Ciencia y Tecnologa de los Alimentos', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '69', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '57', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30650000000', 'Licenciado en Comunicacin Audiovisual', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '52', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30660000000', 'Licenciado en Periodismo', 'S', 2, '41', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30670000000', 'Licenciado en Mquinas Navales', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30680000000', 'Licenciado en Documentacin', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '53', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30690000000', 'Licenciado en Humanidades', 'S', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30700000000', 'Licenciado en Lingstica', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30710000000', 'Licenciado en Nutica y Transporte Martimo', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30720000000', 'Licenciado en Pedagoga', 'S', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30730000000', 'Licenciado en Psicopedagoga', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '29', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '05', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30740000000', 'Licenciado en Qumica', 'S', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30760000000', 'Licenciado en Ciencias Actuariales y Financieras', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '69', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '44', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30780000000', 'Licenciado en Ciencias de la Actividad Fsica y del Deporte', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30800000000', 'Licenciado en Historia y Ciencias de la Msica', 'S', 2, '23', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30810000000', 'Licenciado en Enologa', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '58', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30820000000', 'Licenciado en Ciencias del Trabajo', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30830000000', 'Licenciado en Biotecnologa', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010010000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010030000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Preescolar.', 'N', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010040000', 'Diplomado en Profesorado de Educacin General Bsica.Educacin Especial.', 'N', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010060000', 'Diplomado en Profesorado de Educacin General Bsica.Ciencias Humanas.', 'N', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40010070000', 'Diplomado en Profesorado de Educacin General Bsica.Filologa.', 'N', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020000000', 'Diplomado en Informtica', 'N', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020020000', 'Diplomado en Informtica.Sistemas Fsicos.', 'N', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020030000', 'Diplomado en Informtica.Gestin.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40020030000', 'Diplomado en Informtica.Gestin.', 'N', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40030000000', 'Diplomado en ptica', 'N', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40040000000', 'Diplomado en Estadstica', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '10', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40080000000', 'Diplomado en Enfermera', 'S', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40090000000', 'Diplomado en Fisioterapia', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40100000000', 'Diplomado en Trabajo Social', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110000000', 'Diplomado en Ciencias Empresariales', 'S', 1, '54', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110400000', 'Diplomado en Ciencias Empresariales.Poltica Comercial.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40110610000', 'Diplomado en Ciencias Empresariales.Contabilidad y Control de Gestin.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40130000000', 'Diplomado en Podologa', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '45', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40140000000', 'Graduado Social.', 'N', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40150000000', 'Graduado Social Diplomado.', 'N', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40160000000', 'Diplomado en ptica y Optometra', 'S', 1, '53', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '66', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '23', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40170000000', 'Diplomado en Terapia Ocupacional', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '62', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '39', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40180000000', 'Diplomado en Gestin y Administracin Pblica', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '18', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '56', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '50', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40190000000', 'Diplomado en Relaciones Laborales', 'S', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40200000000', 'Diplomado en Logopedia', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '44', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40210000000', 'Diplomado en Educacin Social', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40230000000', 'Diplomado en Mquinas Navales', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '64', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40270000000', 'Diplomado en Turismo', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '46', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40290000000', 'Diplomado en Nutricin Humana y Diettica', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '38', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '49', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40300000000', 'Maestro-Especialidad de Educacin Infantil', 'S', 1, '40', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40310000000', 'Maestro-Especialidad de Educacin Primaria', 'S', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '61', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40320000000', 'Maestro-Especialidad de Lengua Extranjera', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '06', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40330000000', 'Maestro-Especialidad de Educacin Fsica', 'S', 1, '01', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '15', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '43', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '04', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40340000000', 'Maestro-Especialidad de Educacin Musical', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '32', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '29', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '20', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40350000000', 'Maestro-Especialidad de Educacin Especial', 'S', 1, '22', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '72', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('40360000000', 'Maestro-Especialidad de Audicin y Lenguaje', 'S', 1, '13', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310081', 'Mster en Investigacin en ciencias de la visin', 'S', 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310081', 'Mster en Investigacin en ciencias de la visin', 'S', 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310330', 'Mster en Lgica y Filosofia de la Ciencia', 'S', 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310380', 'Master en Traduccin Profesional e Institucional', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310943', 'Mster en investigacin en ingeniera termodinmica de fluidos', 'S', 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310996', 'Energa: Generacin, Gestin y Uso Eficiente', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310998', 'Mster en Gestin y Tecnologa Ambiental', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311024', 'Lseres y Aplicaciones en Quimica', 'N', 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010000000', 'Arquitecto', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010010000', 'Arquitecto.Edificacin.', 'N', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010010000', 'Arquitecto.Edificacin.', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010020000', 'Arquitecto.Urbanismo.', 'N', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10010020000', 'Arquitecto.Urbanismo.', 'N', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10020000000', 'Ingeniero Agrnomo', 'S', 2, '09', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10040000000', 'Ingeniero de Caminos, Canales y Puertos', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10050000000', 'Ingeniero de Minas', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10070000000', 'Ingeniero Naval', 'N', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '64', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10080000000', 'Ingeniero de Telecomunicacin', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '27', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '17', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '35', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '47', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '36', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090000000', 'Ingeniero Industrial', 'S', 2, '49', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090040000', 'Ingeniero Industrial.Organizacin Industrial.', 'N', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090140000', 'Ingeniero Industrial.Electricidad.Intensificacin Electrotcnia.', 'N', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090140000', 'Ingeniero Industrial.Electricidad.Intensificacin Electrotcnia.', 'N', 2, '07', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10090150000', 'Ingeniero Industrial.Electricidad.Intensificacin Automtica y Electrnica.', 'N', 2, '38', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '13', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '46', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '65', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '43', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10110000000', 'Ingeniero en Informtica', 'S', 2, '70', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '11', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10120000000', 'Ingeniero en Electrnica', 'S', 2, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '15', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '33', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10130000000', 'Ingeniero en Automtica y Electrnica Industrial', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '30', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10140000000', 'Ingeniero de Organizacin Industrial', 'S', 2, '60', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '34', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10150000000', 'Ingeniero Qumico', 'S', 2, '48', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10160000000', 'Ingeniero en Geodesia y Cartografa', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10160000000', 'Ingeniero en Geodesia y Cartografa', 'S', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10170000000', 'Ingeniero Naval y Ocenico', 'S', 2, '37', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '55', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('10190000000', 'Ingeniero de Materiales', 'S', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500465', 'Graduado en Educacon Primaria', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501363', 'Graduado en Fisioterapia', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501415', 'Graduado en Espaol: Lengua y Literatura', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501692', 'Graduado en Publicidad y Relaciones Pblicas', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501693', 'Graduado en Turismo', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502316', 'Graduado en Ingeniera en Diseo Industrial y Desarrollo del Producto', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502319', 'Graduado en Ingenieria Forestal y del Medio Natural', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502472', 'Graduado en Logopedia', 'N', 0, '19', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000141', 'Mster en investigacin en ingeniera termodinmica de fluidos', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000160', 'Mster en Traduccin y mediacin intercultural en ambitos profesionales', 'S', 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000168', 'Mster en Modelizacin matemtica y computacin', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000182', 'Mster en Retina', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000185', 'Mster en Investigacin en ciencias de la visin', 'S', 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '18', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30010000000', 'Licenciado en Medicina y Ciruga', 'N', 2, '12', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001013', 'Master Europa y el Mundo Atlantico:Poder,Cultura y Sociedad', 'S', 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001016', 'Master en Integracin Europea', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30020000000', 'Licenciado en Farmacia', 'S', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002540', 'Master Oficial en comunicacion con fines sociales:Estrategias y campaas.', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '02', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30030000000', 'Licenciado en Veterinaria', 'S', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30040020000', 'Licenciado en Ciencias Polticas y Sociologa, Seccin Sociologa', 'N', 2, '28', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060011600', 'Licenciado en Ciencias Economicas y Empresariales, Seccin Econmicas, Especialidad Anlisis Econmico', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '16', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020000', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060020200', 'Licenciado en Ciencias Econmicas y Empresariales, Seccin Empresariales, Especialidad Financiacin', 'N', 2, '26', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30060021500', 'Licenciado en Ciencias Econmicas y Empresariales.(Empresariales).Direccin Comercial.', 'N', 2, '08', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30080000000', 'Licenciado en Ciencias Econmicas y Comerciales', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30120000000', 'Licenciado en Informtica', 'N', 2, '99', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130010000', 'Licenciado en Ciencias de la Informacin, Seccin Periodismo', 'N', 2, '67', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130010000', 'Licenciado en Ciencias de la Informacin, Seccin Periodismo', 'N', 2, '31', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130030000', 'Licenciado en Ciencias de la Informacin, Seccin Ciencias de la Imagen Visual y Auditiva', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30130040000', 'Licenciado en Ciencias de la Informacin, Seccin Publicidad', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30140000000', 'Licenciado en Ciencias Biolgicas', 'N', 2, '14', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '22', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190010000', 'Licenciado en Ciencias.(Fsicas)', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '06', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '04', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020000', 'Licenciado en Ciencias.(Qumicas)', 'N', 2, '03', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020300', 'Licenciado en Ciencias.(Qumicas).Qumica Analtica', 'N', 2, '01', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020400', 'Licenciado en Ciencias.(Qumicas).Qumica Inorgnica', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020500', 'Licenciado en Ciencias.(Qumicas).Bioqumica', 'N', 2, '10', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020600', 'Licenciado en Ciencias.(Qumicas).Qumica Orgnica', 'N', 2, '21', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190020700', 'Licenciado en Ciencias.(Qumicas).Qumica Fsica', 'N', 2, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190021200', 'Licenciado en Ciencias.(Qumicas).Geoqumica', 'N', 2, '51', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('30190030000', 'Licenciado en Ciencias.(Matemticas)', 'N', 2, '19', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501803', 'Graduado o Graduada en Bellas Artes', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501390', 'Graduado o Graduada en Bellas Artes por la Universidad Miguel Hernndez de Elche', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501177', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501021', 'Graduado o Graduada en Ingeniera de Diseo Industrial y Desarrollo del Producto', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500650', 'Graduado o Graduada en Ingls: Estudios Lingsticos y Literarios', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501664', 'Graduado o Graduada en Logopedia', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500861', 'Graduado o Graduada en Magisterio de Educacin Primaria', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501829', 'Graduado o Graduada en Marketing e Investigacin de Mercados', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502487', 'Graduado o Graduada en Matemticas', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501189', 'Graduado o Graduada en Fsica', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502026', 'Graduado o Graduada en Gestin y Marketing Empresarial', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500117', 'Graduado o Graduada en Historia del Arte', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502345', 'Graduado o Graduada en Historia y Patrimonio', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501776', 'Graduado o Graduada en Ingeniera de la Tecnologa Minera', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501708', 'Graduado o Graduada en Ingeniera de Organizacin Industrial', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501215', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500597', 'Graduado o Graduada en Educacin Social', NULL, 0, '54', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501204', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501784', 'Graduado o Graduada en Bioqumica', NULL, 0, '06', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501156', 'Graduado o Graduada en Lengua y Literatura Hispnica', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500398', 'Graduado o Graduada en Lenguas Aplicadas por la Universidad Pompeu Fabra', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501811', 'Graduado o Graduada en Matemticas', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501867', 'Graduado o Graduada en Finanzas y Contabilidad ', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500846', 'Graduado o Graduada en Geografa e Historia', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500686', 'Graduado o Graduada en Historia', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500762', 'Graduado o Graduada en Historia del Arte', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001012', 'Mster Universitario en Servicios Pblicos y Polticas Sociales', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003028', 'Mster Universitario en Sistemas Agrcolas Periurbanos', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311229', 'Mster Universitario en Sistemas Informticos y Redes', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001705', 'Mster Universitario en tcnicas de caracterizacin de materiales', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311215', 'Mster Universitario en Tecnologas de la Informacin Geogrfica para la Ordenacin del Territorio: ', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310314', 'Mster Universitario en Hidrologa y Gestin de los Recursos Hdricos', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312359', 'Mster Universitario en Historia del Arte. Conocimiento y Tutela del Patrimonio Histrico', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000857', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000857', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310059', 'Mster Universitario en Ingeniera de Componentes de Automocin', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001723', 'Mster Universitario en ingeniera de sistemas empotrados', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311164', 'Mster Universitario en Polticas Territoriales de Empleo', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002794', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002751', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311183', 'Mster Universitario en Investigacin en Bases Psicolgicas de la Actividad Fsico Deportiva', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310529', 'Master Universitario en Investigacin en Ciberntica', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311580', 'Mster Universitario en Investigacin en Didcticas Especficas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000577', 'Mster Universitario en Investigacin en Lengua Espaola', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312059', 'Mster Universitario en Investigacin Musical', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312245', 'Mster Universitario en Investigacin y Avances en Microbiologa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311777', 'Mster Universitario en Investigacin y Desarrollo de Medicamentos', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000628', 'Mster Universitario en Investigacin, Modelizacin y Anlisis de Riesgo en Medio Ambiente', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311841', 'Mster Universitario en La Espaa Contempornea en el Contexto Internacional', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000307', 'Mster Universitario en Laboratorio de anlisis clnicos (BIOLAC)', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001492', 'Mster Universitario en Liderazgo y Gestin de los Servicios de Enfermera', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001714', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311007', 'Mster Universitario en Modelizacin y Fsica de Sistemas Complejos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310306', 'Mster Universitario en Modelos y Estrategias de Accin Social y Educativa en la Infancia y la Adole', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310566', 'Mster Universitario en Planificacin de Proyectos de Desarrollo Rural y Gestin Sostenible', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310165', 'Mster Universitario en Psicologa de la Educacin', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311360', 'Mster Universitario en Qumica Terica y Modelizacin Computacional', 'N', 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311485', 'Mster en Retina', 'S', 0, '19', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '26', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '35', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50070000000', 'Ingeniero Tcnico en Explotaciones Agropecuarias.', 'N', 1, '48', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50090000000', 'INGENIERO TECNICO EN INDUSTRIAS AGRICOLAS', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '36', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '09', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50360000000', 'Ingeniero Tcnico en Mecnica.', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '19', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '34', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50370000000', 'Ingeniero Tcnico en Electricidad.', 'N', 1, '02', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '07', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50380000000', 'Ingeniero Tcnico en Qumica Industrial.', 'N', 1, '05', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50470000000', 'Ingeniero Tcnico en Diseo Industrial', 'S', 1, '39', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '67', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '42', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '11', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '37', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50480000000', 'Ingeniero Tcnico en Informtica de Gestin', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '14', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '12', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '28', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '08', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '62', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50490000000', 'Ingeniero Tcnico en Informtica de Sistemas', 'S', 1, '41', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600010000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Construcciones Civiles', 'S', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50600030000', 'Ingeniero Tcnico de Obras Pblicas, Especialidad en Transportes y Servicios Urbanos', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50610050000', 'Ingeniero Tcnico Industrial, Especialidad Textil', 'S', 1, '24', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630010000', 'Ingeniero Tcnico de Telecomunicacin.Equipos Electrnicos.', 'N', 1, '16', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50630030000', 'Ingeniero Tcnico de Telecomunicacin, Especialidad en Sonido e Imagen', 'S', 1, '27', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '69', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '25', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '20', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50670000000', 'Arquitecto Tcnico', 'S', 1, '24', 
    2);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50700020000', 'Ingeniero Tcnico Aeronutico, Especialidad en Aeromotores', 'S', 1, '25', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('50710030000', 'Ingeniero Tcnico Agrcola, Especialidad en Industrias Agrcolas', 'N', 1, '21', 
    1);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501174', 'Graduado o Graduada en Sociologa', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501054', 'Graduado o Graduada en Traduccin e Interpretacin: Ingls-Francs', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002662', 'Mster Universitario en Bioinformtica', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310587', 'Mster Universitario en Computacion Avanzada y Sistemas Inteligentes ', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000465', 'Mster Universitario en Comunicacin Audiovisual', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312253', 'Mster Universitario en Condicionantes Genticos, Nutricionales y Ambientales del Crecimiento y Desa', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002586', 'Mster Universitario en Condicionantes Genticos, Nutricionales y Ambientales en el Crecimiento y el', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310018', 'Mster Universitario en Educacin Intercultural', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312238', 'Mster Universitario en Educacin Superior', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312266', 'Mster Universitario en El Anlisis Geogrfico en la Ordenacin del Territorio. Tecnologas de la In', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311241', 'Mster Universitario en Elaboracin de Diccionarios y Control de Calidad del Lxico Espaol', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311241', 'Mster Universitario en Elaboracin de Diccionarios y Control de Calidad del Lxico Espaol', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310160', 'Mster Universitario en Tecnologas de la Traduccin y Localizacin', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311807', 'Mster Universitario en Terapia Familiar', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002704', 'Mster Universitario Internacional en Direccin Profesional de Personas', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000928', 'Mster Universitario Internacional en Estudios de Paz, Conflictos y Desarrollo', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002551', 'Mster Universitario Internacional en Lengua y Cultura Extranjeras para Negocios', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312371', 'Mster Universitario en Arquitectura Biodigital', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310176', 'Mster Universitario en Asesora Jurdica de Empresa', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312513', 'Mster Universitario en Banca y Finanzas', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002000', 'Mster Universitario en Bioingeniera', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001618', 'Mster Universitario en ingeniera quimica. Investigacin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310209', 'Mster Universitario en Problemas Sociales', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311539', 'Mster Universitario en Psicogerontologa', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000070', 'Mster Universitario en Investigacin en Actividad Fsica y Deporte', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311276', 'Mster Universitario en Investigacin en Ingeniera de Biosistemas', NULL, 0, '09', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311813', 'Mster Universitario en Investigacin en Qumica e Ingeniera Qumica', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001449', 'Mster Universitario en los retos de la educacin del siglo XXI: interculturalidad y plurilingsmo', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000474', 'Mster Universitario en MBA en Direccin de Empresas Tecnolgicas', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003029', 'Mster Universitario en Mejora Gentica Vegetal', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002014', 'Mster Universitario en migraciones y mediacin social', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311658', 'Mster Universitario en Migraciones: Conocimiento y Gestin de los Procesos Migratorios', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311856', 'Mster Universitario en Nano y Biofotnica Molecular para Telecomunicaciones y Biotecnologas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310729', 'Mster Universitario en Neurociencia Cognitiva y Necesidades Educativas Especficas', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310729', 'Mster Universitario en Neurociencia Cognitiva y Necesidades Educativas Especficas', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310751', 'Mster Universitario en Neurociencia y Cognicin', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002730', 'Mster Universitario en Nutricin', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310716', 'Mster Universitario en Nutricin Humana y Calidad de los Alimentos', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312071', 'Mster Universitario en Qumica Agrcola', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310455', 'Mster Universitario en Qumica Avanzada', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311044', 'Mster Universitario en Radiocomunicacin e Ingeniera Electromagntica', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000110', 'Mster Interuniversitario en Ciencias de la Enfermera', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313154', 'Mster Universitario en Actividad Fsica y Salud', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000205', 'Mster Universitario en Acuicultura', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001845', 'Mster Universitario en Adquisicin y Gestin de Informacin Geoespacial', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002179', 'Mster Universitario en Alta Especializacin en Plsticos y Caucho (MAEPyC)', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000924', 'Mster Universitario en Anlisis y Gestin de los Ecosistemas Mediterrneos', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002536', 'Mster Universitario en Antropologa Fsica: Evolucin y Biodiversidad Humanas', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002981', 'Mster Universitario en Arqueologia', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312037', 'Mster Universitario en Estudios Literarios', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001010', 'Mster Universitario en Estudios Sociales de la Ciencia y la Tecnologa.', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002869', 'Mster Universitario en Estudis Avanats en Comunicacin Social', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310846', 'Mster Universitario en Evaluacin y Medida de la Conducta', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310086', 'Mster Universitario en Farmacia y Tecnologa Farmacutica', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001804', 'Mster Universitario en Filologa Clsica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312240', 'Mster Universitario en Filosofa Contempornea', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001650', 'Mster Universitario en Filosofa, Cultura y Sociedad: Especialidad de Investigacin en Filosofa; E', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310859', 'Mster Universitario en Fsica  Mdica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002945', 'Mster Universitario en Derecho de la Empresa: Asesora y Gestin Tributaria y Derecho de los Negoci', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002945', 'Mster Universitario en Derecho de la Empresa: Asesora y Gestin Tributaria y Derecho de los Negoci', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312590', 'Mster Universitario en Direccin de Negocios Internacionales', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003046', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311522', 'Mster Universitario en Ecologa Fundamental y Aplicada', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001184', 'Mster Universitario en Economa', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002564', 'Mster Universitario en Economa y Desarrollo Territorial', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311240', 'Mster Universitario en El Mundo Clsico y su Proyeccin en la Cultura  Occidental', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002149', 'Mster Universitario en Electrnica Industrial', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311940', 'Mster Universitario en Emprendedores', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000469', 'Mster Universitario en Empresas y Mercados Tursticos', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002933', 'Mster Universitario en Estudios Avanzados y  Aplicados en Lengua y Literatura Catalanas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311177', 'Mster Universitario en Estudios de Gnero y Desarrollo Profesional', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000102', 'Mster Universitario en Iniciacin a la Investigacin en Matemticas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310930', 'Mster Universitario en Investigacin en Psicologa Social', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002706', 'Mster Universitario en Investigacin y Avances en Inmunologa Molecular y Celular', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312030', 'Mster Universitario en Lingstica', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312100', 'Mster Universitario en Nuevas Tecnologas en Informtica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001765', 'Mster Universitario en Pensar y Gobernar las Sociedades Complejas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312021', 'Mster Universitario en Periodismo Econmico', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312636', 'Mster Universitario en Periodismo Multimedia Profesional', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000232', 'Mster Universitario en Psicologa del Trabajo, las Organizaciones y los Recursos Humanos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311665', 'Mster Universitario en Psicologa: Individuo, Grupo, Organizacin y Cultura', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000471', 'Mster Universitario en Publicidad', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311723', 'Mster Universitario en Qumica Orgnica Experimental e Industrial', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000106', 'Mster Universitario en Qumica sostenible', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001894', 'Mster Universitario en seguridad de la informacin', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000066', 'Mster Universitario en Tecnologa Ambiental', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002754', 'Mster Universitario en Tecnologa Energtica para el Desarrollo Sostenible', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310426', 'Mster Universitario en Tecnologas de la Informacin y Comunicaciones en Redes Mviles', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002732', 'Mster Universitario en Tecnologas y Procesos en la Industria del Automvil', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001702', 'Mster Universitario en Traduccin Creativa y Humanstica', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002574', 'Mster Universitario en Arqueologa Prehistrica, del mundo Antiguo y Medieval', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310261', 'Mster Universitario en Arquitectura de Computadores, Redes y Sistemas', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000682', 'Mster Universitario en Artes Escnicas', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310116', 'Mster Universitario en Formulacin y Tecnologa del Producto', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000014', 'Mster Universitario en Gnero, Identidad y Ciudadana', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000014', 'Mster Universitario en Gnero, Identidad y Ciudadana', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310090', 'Mster Universitario en Geologa Ambiental y Recursos Geolgicos', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311310', 'Mster Universitario en Gestin Aeronutica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312796', 'Mster Universitario en Gestin de las Tecnologas de la Informacin y la Comunicacin por la Univer', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311600', 'Mster Universitario en Gestin de Recursos Humanos. Intervencin Psicolgica y Pedaggica', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000065', 'Mster Universitario en Gestin Integral del Agua', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000872', 'Mster Universitario en Gestin y Seguridad Alimentaria', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000027', 'Mster Universitario en Hidrulica Ambiental', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310887', 'Mster Universitario en Implantologa Oral Avanzada', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001136', 'Mster Universitario en Ingeniera Ambiental', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310748', 'Mster Universitario en Ingeniera Biomdica', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002156', 'Mster Universitario en Ingeniera Civil y Medioambiental', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311210', 'Mster Universitario en Ingeniera de Sistemas e Informtica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310872', 'Mster Universitario en Ingeniera Electrnica', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310070', 'Mster Universitario en Ingeniera Informtica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311313', 'Mster Universitario en Ingeniera Micro y Nanoelctrica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312099', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312478', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311165', 'Mster Universitario en Profesorado de Enseanza Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311173', 'Mster Universitario en Profesorado de Enseanza Secundaria Obligatoria y Bachillerato, Formacin Pr', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002167', 'Mster Universitario en Professional Communication in English', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002740', 'Mster Universitario en Psicogerontologa', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311193', 'Mster Universitario en Investigacin en Artes y Humanidades ', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311349', 'Mster Universitario en Investigacin en Psicologa de la Salud', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000407', 'Mster Universitario en Qumica Ambiental y Fundamental', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001624', 'Mster Universitario en qumica avanzada', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001681', 'Mster Universitario en qumica terica y modelacin computacional', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001681', 'Mster Universitario en qumica terica y modelacin computacional', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310633', 'Mster Universitario en Rehabilitacin, Mantenimiento y Recuperacin de Edificios', NULL, 0, '47', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003059', 'Mster Universitario en seguridad', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001151', 'Mster Universitario en Seguridad y Salud en el Trabajo - Prevencin de Riesgos Laborales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310806', 'Mster Universitario en Sistemas Electrnicos para Entornos Inteligentes ', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003082', 'Mster Universitario en Sistemas Ferroviarios', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001386', 'Mster Universitario en Tcnicas Cromatogrficas Aplicadas', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312293', 'Mster Universitario en Tecnologas de Telecomunicacin', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001474', 'Mster Universitario en Traduccin Institucional', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311254', 'Mster Universitario en Unin Europea', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001862', 'Mster Universitario en Banca y Finanzas', NULL, 0, '26', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002612', 'Mster Universitario en Bioinformtica', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311472', 'Mster Universitario en Computacin Centrada en la Red y el Negocio Electrnico', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311750', 'Mster Universitario en Comunicacin e Industrias Creativas', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312416', 'Mster Universitario en Comunicacin Poltica y Social', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311903', 'Mster Universitario en Comunicacin Social', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311511', 'Mster Universitario en Comunidad Sorda, Educacin y Lengua de Signos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001751', 'Mster Universitario en Contabilidad y Finanzas', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311198', 'Mster Universitario en Contaminacin Ambiental: Prevencin, Vigilancia y Correccin', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002857', 'Mster Universitario en Creaci Literria', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002880', 'Mster Universitario en Bioingeniera', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000114', 'Mster Universitario en Biotecnologa Alimentaria', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311602', 'Mster Universitario en Biotecnologa Biomdica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001458', 'Mster Universitario en Business Administration (MBA)', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001785', 'Mster Universitario en Ciencia Cognitiva y Lenguaje', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310843', 'Mster Universitario en Ciencia e Ingeniera de Materiales', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000389', 'Mster Universitario en Ciencia y Tecnologa de la Carne', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311845', 'Mster Universitario en Ciencias Avanzadas de las Telecomunicaciones Modernas / Advanced Sciences of', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000721', 'Mster Universitario en Ciencias de la Salud: Especialidad en Gestin de Cuidados de Enfermera.', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312076', 'Mster Universitario en Ciencias Odontolgicas y Estomatolgicas', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310311', 'Mster Universitario en Cine, Televisin y Medios Interactivos', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000083', 'Mster Universitario en Ciudad y Arquitectura Sostenible', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002062', 'Mster Universitario en Anlisis Funcional en Contextos Clnicos y de la Salud', NULL, 0, '48', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310238', 'Mster Universitario en Anlisis y Procesamiento del Lenguaje / Hizkuntzaren Azterketa eta Prozesame', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000348', 'Mster Universitario en Antropologa Urbana', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002983', 'Mster Universitario en Estudios Latinoamericanos', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001042', 'Mster Universitario en European Master in Lifelong Learning: Policy and Management (Erasmus Mundus)', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003057', 'Mster Universitario en fsica mdica', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002163', 'Mster Universitario en Danza y Artes del Movimiento', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002720', 'Mster Universitario en Direccin de Empresa Familiar', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000093', 'Mster Universitario en Electrnica, Tratamiento de la Seal y Comunicaciones', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310222', 'Mster Universitario en Espaol e Ingls como Lenguas Extranjeras y Nuevas Lenguas', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000103', 'Mster Universitario en Iniciacin a la investigacin en geologa', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310867', 'Mster Universitario en Iniciacin a la Investigacin en Medicina', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311943', 'Mster Universitario en Visin Artificial', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001236', 'Mster Universitario en Banca y Finanzas Cuantitativas', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312394', 'Mster Universitario en Banca y Regulacin Financiera', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311702', 'Mster Universitario en Biodiversidad: Conservacin y Evolucin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311078', 'Mster Universitario en Computacin', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000875', 'Mster Universitario en Computacin Paralela y Distribuida', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310370', 'Mster Universitario en Creacin y Gestin de Empresas Innovadoras y de Base Tecnolgica', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001645', 'Mster Universitario en Biomedicina: Neurociencia', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000544', 'Mster Universitario en Ciencia y Tecnologa Informtica', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310509', 'Mster Universitario en Ciencias Actuariales y Financieras', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313174', 'Mster Universitario en Ciencias de la Enfermera', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312029', 'Mster Universitario en Ciencias del Mar: Oceanografa y Gestin del Medio Marino', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001721', 'Mster Universitario en Anlisis Forense', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310219', 'Mster Universitario en Atencin Farmacutica en Geriatra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002703', 'Mster Universitario en Atencin Integral a Personas con Discapacidad Intelectual', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310907', 'Mster Universitario en Biblioteca Escolar y Promocin de la Lectura', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310342', 'Mster Universitario en Biotica', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312151', 'Mster Universitario en Comunicacin e Informacin Social y Religiosa', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000747', 'Mster Universitario en Comunicacin Poltica y Corporativa', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001644', 'Mster Universitario en Biomedicina: Investigacin Biomdica', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312444', 'Mster Universitario en Ciencia y Tecnologa Qumicas', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310343', 'Mster Universitario en Ciencias del Matrimonio y de la Familia', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310099', 'Mster Universitario en Comercio Exterior e Internacionalizacin de Empresas', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311145', 'Mster Erasmus Mundus en Gestin Costera y del Agua / Erasmus Mundus in Water and Coastal Management', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310064', 'Mster Universitario en Anlisis Econmico', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312210', 'Mster Universitario en Estudios Medievales Hispnicos', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312527', 'Mster Universitario en Estudios sobre Terrorismo', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312651', 'Mster Universitario en Estudios Superiores de Lengua Espaola', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311932', 'Mster Universitario en Cultura de Paz, Conflictos, Educacin y Derechos Humanos', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311825', 'Mster Universitario en Democracia y Gobierno', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311084', 'Mster Universitario en Direccin y Gestin de Centros Educativos', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311084', 'Mster Universitario en Direccin y Gestin de Centros Educativos', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310898', 'Mster Universitario en Direccin y Gestin de Proyectos', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002546', 'Mster Universitario en Diseo del Espacio de Trabajo', NULL, 0, '57', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310657', 'Mster Universitario en Economa y Desarrollo Territorial', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310657', 'Mster Universitario en Economa y Desarrollo Territorial', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001810', 'Mster Universitario en Economa y Gestin de la Innovacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000386', 'Mster Universitario en Seguridad y Salud Laboral', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312193', 'Mster Universitario en Sistemas de Energa Trmica', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000398', 'Mster Universitario en Ingeniera Matemtica', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002533', 'Mster Universitario en Psicogerontologa', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002533', 'Mster Universitario en Psicogerontologa', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312326', 'Mster Universitario en Investigacin Clnica Aplicada en Ciencias de la Salud', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312554', 'Mster Universitario en Control de Procesos, Electrnica Industrial e Ingeniera Elctrica', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001647', 'Mster Universitario en Biotecnologa', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310702', 'Mster Universitario en Ciencia y Tecnologa del Agua', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310805', 'Mster Universitario en Ciencias de la Actividad Fsica y del Deporte ', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001134', 'Mster Universitario en Ciencias del Mar: Oceanografa y Gestin del Medio Marino', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311381', 'Mster Universitario en Agentes de Igualdad de Oportunidades para las Mujeres: mbito Rural', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312472', 'Mster Universitario en Gestin de la Conservacin y el Mantenimiento del Patrimonio Inmobiliario', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310831', 'Mster Universitario en Gestin Internacional', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001594', 'Mster Universitario en Gestin y Administracin del Agua', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310329', 'Mster Universitario en Gestin y Coordinacin de Seguridad en Obras de Construccin', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310954', 'Mster Universitario en Gestin y Promocin del Desarrollo Local', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311312', 'Mster Universitario en Gestin, Organizacin y Economa de la Empresa / Management, Organization an', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001735', 'Mster Universitario en Globalizacin y Desarrollo', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310411', 'Mster Universitario en Historia Contempornea', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310411', 'Mster Universitario en Historia Contempornea', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002908', 'Mster Universitario en Historia Econmica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311734', 'Mster Universitario en Igualdad y Gnero en el mbito Pblico y Privado', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311489', 'Mster Universitario en Imagen, Publicidad e Identidad Corporativa', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311766', 'Mster Universitario en Ingeniera de Procesos Qumicos y Ambientales', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001869', 'Mster Universitario en Ingeniera del Hormign', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000889', 'Mster Universitario en Ingeniera Mecnica y Materiales', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000288', 'Mster Universitario en Ingeniera Textil, Papelera y Grfica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311612', 'Mster Universitario en Postproduccin Digital por la Universidad Politcnica de Valencia', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311614', 'Mster Universitario en Produccin Artstica', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310105', 'Mster Universitario en Produccin, Proteccin y Mejora Vegetal', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311973', 'Mster Universitario en Investigacin en Arte y Creacin', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311316', 'Mster Universitario en Investigacin en Asia Oriental Contempornea', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001984', 'Mster Universitario en investigacin en atencin primaria en lnea', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310295', 'Mster Universitario en Investigacin en Economa y Empresa ', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000748', 'Mster Universitario en Investigacin, Desarrollo e Innovacin de Medicamentos', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002616', 'Mster Universitario en Lingstica Aplicada a la Enseanza del Ingls como Lengua Extranjera', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001306', 'Mster Universitario en matemtica computacional', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000475', 'Mster Universitario en MBA en Direccin de Empresas Energticas', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001313', 'Mster Universitario en Mejora Gentica Animal y Biotecnologa de la Reproduccin', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310643', 'Mster Universitario en Meteorologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001626', 'Mster Universitario en Bioqumica y Biologa Molecular Aplicada', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310719', 'Mster Universitario en Cambio Global', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002990', 'Mster Universitario en Ciencia e Ingeniera de Materiales', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000546', 'Mster Universitario en Ciencia e Ingeniera de Materiales', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311059', 'Mster Universitario en Ciencia y Tecnologa Ambiental', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312344', 'Mster Universitario en Cinematografa', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311499', 'Mster Universitario en Actividad Fsica y Deporte', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312040', 'Mster Universitario en Anlisis y Gestin de Ecosistemas Mediterrneos', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311195', 'Mster Universitario en Aprendizaje a lo largo de la Vida en Contextos Multiculturales', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001733', 'Mster Universitario en Estudios Internacionales', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311935', 'Mster Universitario en Filosofa: Humanismo y Trascendencia', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310696', 'Mster Universitario en Derecho Sanitario', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002142', 'Mster Universitario en Derechos Humanos, Interculturalidad y Desarrollo', NULL, 0, '63', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002181', 'Mster Universitario en Direccin de Negocios de Turismo y Ocio', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311117', 'Mster Universitario en Diseo Galnico y Biofarmacia', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312588', 'Mster Universitario en Diseo y Desarrollo de Productos e Instalaciones Industriales', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313143', 'Mster Universitario en Diseo y Gestin de Proyectos Tecnolgicos', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000582', 'Mster Universitario en Economa Internacional y Desarrollo', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310933', 'Mster Universitario en Microbiologa Aplicada', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310063', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310063', 'Mster Universitario en Modelizacin Matemtica, Estadstica y Computacin', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001034', 'Mster Universitario en Modelos y Mtodos de Economa Cuantitativa / Models and Methods of Quantitat', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002939', 'Mster Universitario en Mundus for-Formation de professionnels de la formation', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312084', 'Mster Universitario en Optometra Clnica', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312612', 'Master Universitario en Patologa, Peritacin y Rehabilitacin Sostenible del Patrimonio', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312918', 'Mster Universitario en Pensamiento Iberoamericano', NULL, 0, '32', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002030', 'Mster Universitario en Periodismo', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310057', 'Mster Universitario en Psicopedagoga', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002126', 'Mster Universitario en redes y servicios de la comunicacin mviles (resmvil)', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310429', 'Mster Universitario en Rendimiento Deportivo: Tecnificacin y Alto Nivel', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311397', 'Mster Universitario en Sociedad de la Informacin y el Conocimiento', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002078', 'Mster Universitario en Tecnologas Informticas Avanzadas', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310921', 'Mster Universitario en Trabajo y Poltica Social', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312065', 'Mster Universitario en Traduccin Editorial', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310614', 'Mster Universitario en Unin Europea', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002577', 'Mster Universitario Erasmus Mundus en Color in Informatics and Media Technology (CIMET)', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002734', 'Mster Universitario en Asesora Fiscal', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000751', 'Mster Universitario en Biotica', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311356', 'Mster Universitario en Contabilidad, Auditora y sus Efectos en los Mercados de Capitales', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310908', 'Mster Universitario en Biologa Celular', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311713', 'Mster Universitario en tica y Democracia', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311713', 'Mster Universitario en tica y Democracia', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311016', 'Mster Universitario en Filosofa Terica y Prctica', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000834', 'Mster Universitario en Fsica Avanzada', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310922', 'Mster Universitario en Fsica Avanzada y Profesional', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310198', 'Mster Universitario en Derecho de Seguros', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002698', 'Mster Universitario en Deterioro de la Integridad Cutnea, lceras y Heridas', NULL, 0, '72', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001544', 'Mster Universitario en Didctica de la Matemtica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000115', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001395', 'Mster Universitario en Direccin y Planificacin del Turismo', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312680', 'Mster Universitario en Documentos y Libros. Archivos y Bibliotecas', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002625', 'Mster Universitario en Economa y Desarrollo Territorial', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313147', 'Mster Universitario en Edicin, Produccin y Nuevas Tecnologas Periodsticas', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312094', 'Mster Universitario en Educacin y Museos: Patrimonio, Identidad y Mediacin Cultural', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002796', 'Mster Universitario en Energas Renovables', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311269', 'Mster Universitario en Envejecimiento Activo y Satisfactorio: Bases para la Prevencin y la Atenci', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311333', 'Mster Universitario en Estudios Avanzados y Aplicados en Lengua y Literatura Catalanas', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312230', 'Mster Universitario en Ingeniera y Toxicologa Medioambiental', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310414', 'Mster Universitario en Iniciacin a la Investigacin en Ciencia y Tecnologa de los Alimentos', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312205', 'Mster Universitario en Integracin Econmica Regional y Polticas Comunitarias', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311709', 'Mster Universitario en Interculturalidad y Polticas Comunicativas en la Sociedad de la Informacin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311410', 'Mster Universitario en Intervencin Social y Comunitaria', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001639', 'Mster Universitario en Intervencin y Mediacin Familiar: Especialidad en Intervencin Familiar', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310144', 'Mster Universitario en Fontica y Fonologa', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001867', 'Mster Universitario en Ingeniera del Diseo', NULL, 0, '27', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000954', 'Mster Universitario en Ingeniera del Diseo', NULL, 0, '67', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001330', 'Mster Universitario en Derechos Humanos y Democratizacin (Mster Europeo Conjunto)', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003048', 'Mster Universitario en Desarrollo de Aplicaciones y Servicios Web', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001669', 'Mster Universitario en Direccin de Empresas (MBA)', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312591', 'Mster Universitario en Direccin Econmico-Financiera', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001379', 'Mster Universitario en Direccin Estratgica de la Empresa', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310024', 'Mster Universitario en Diseo de Sistemas de Telecomunicacin', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001238', 'Mster Universitario en Economa: Instrumentos del Anlisis Econmico', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001238', 'Mster Universitario en Economa: Instrumentos del Anlisis Econmico', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312654', 'Mster Universitario en Educacin Fsico-Deportiva', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311985', 'Mster Universitario en Ejecutivo en Direccin de Empresas / Executive Master in Business Administra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312530', 'Mster Universitario en E-Learning y Redes Sociales', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003000', 'Mster Universitario en Enginyeria del Cuir', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312491', 'Mster Universitario en Estudios Avanzados en Antropologa Social y Cultural', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312492', 'Mster Universitario en Estudios Avanzados en Educacin Infantil', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312195', 'Mster Universitario en Estudios Hispnicos Avanzados. Aplicaciones e Investigacin', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502045', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500132', 'Graduado o Graduada en Periodismo', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500623', 'Graduado o Graduada en Periodismo', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501862', 'Graduado o Graduada en Psicologa', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000817', 'Mster Universitario en Integracin Europea', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310788', 'Mster Universitario en Inteligencia Artificial', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312919', 'Mster Universitario en Intervencin y Mediacin Social', NULL, 0, '32', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311153', 'Mster Universitario en Investigacin Biomdica Traslacional', NULL, 0, '06', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311002', 'Mster Universitario en Formacin del Profesorado de Secundaria y Bachillerato, Formacin Profesiona', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001248', 'Mster Universitario en Fotnica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001489', 'Mster Universitario en Geofsica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312068', 'Mster Universitario en Gestin de Recursos Pesqueros y Acuicultura', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501064', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502360', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501247', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500200', 'Graduado o Graduada en Traduccin y Comunicacin Intercultural', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500301', 'Graduado o Graduada en Ciencia y Tecnologa de los Alimentos', NULL, 0, '51', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500789', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500009', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501610', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501287', 'Graduado o Graduada en Ciencias Empresariales', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500611', 'Graduado o Graduada en Ciencias Polticas ', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500827', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500466', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502255', 'Graduado o Graduada en Enfermera', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500531', 'Graduado o Graduada en Enfermera por la Universidad Cardenal Herrera-CEU ', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500138', 'Graduado o Graduada en Enfermera por la Universidad Catlica San Antonio', NULL, 0, '66', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501837', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500495', 'Graduado o Graduada en Estudios Ingleses. Lengua, Literatura y Cultura', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500684', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '10', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501950', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500816', 'Graduado o Graduada en Filosofa', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501445', 'Graduado o Graduada en Derecho', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501078', 'Graduado o Graduada en Economa ', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002901', 'Mster Universitario en EPCE. Environmental Process Control Engineering', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000668', 'Mster Universitario en Epidemiologa y Salud Pblica', NULL, 0, '56', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001369', 'Mster Universitario en Estrategia y Creatividad Publicitarias', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310408', 'Mster Universitario en Iniciacin a la Investigacin en Geologa', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311373', 'Mster Universitario en Iniciacin a la Investigacin en Humanidades: Historia, Arte, Filosofa, Len', NULL, 0, '43', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310616', 'Mster Universitario en Iniciacin a la Investigacin en Ingeniera Qumica y Medioambiente', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310189', 'Mster Universitario en Innovacin Empresarial y Direccin de Proyectos', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002855', 'Mster Universitario en Intervencin Psicosocial', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310142', 'Mster Universitario en Investigacin Bsica en Odontologa y Biomedicina ', NULL, 0, '62', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001648', 'Mster Universitario en Fsica: Estructura de la Materia: Teora y Computacin', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002815', 'Mster Universitario en Fisioterapia de los Procesos de Envejecimiento', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002872', 'Mster Universitario en Gesti de Continguts Digitales', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001980', 'Mster Universitario en Gestin de la Calidad', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002154', 'Mster Universitario en Gestin y Desarrollo de Turismo Deportivo en Entornos Naturales', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310690', 'Mster Universitario en Hogar Digital, Infraestructuras y Servicios ', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310651', 'Mster Universitario en Ingeniera Acstica: Contaminacin Acstica', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312723', 'Mster Universitario en Ingeniera de Caminos, Canales y Puertos por la Universidad Politcnica de C', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002007', 'Mster Universitario en Ingeniera Electrnica y Automtica', NULL, 0, '41', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312014', 'Mster Universitario en Ingeniera Mecnica', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310607', 'Mster Universitario en Ingeniera Qumica ', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310803', 'Mster Universitario en Ingeniera Telemtica', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310138', 'Mster Universitario en Polticas de Igualdad y Prevencin de la Violencia de Gnero', NULL, 0, '03', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001667', 'Mster Universitario en prehistoria y arqueologa', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311559', 'Mster Universitario en Producciones Artsticas e Investigacin', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311184', 'Mster Universitario en Investigacin en Economa de la Empresa', NULL, 0, '45', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002970', 'Mster Universitario en Investigacin en Empresas, Finanzas y Seguros', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310054', 'Mster Universitario en Investigacin en Personalidad y Comportamiento', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312121', 'Mster Universitario en Investigacin Forestal Avanzada', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000837', 'Mster Universitario en Investigacin y Uso Racional del Medicamento', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312268', 'Mster Universitario en Marketing y Comportamiento del Consumidor', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312268', 'Mster Universitario en Marketing y Comportamiento del Consumidor', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312920', 'Mster Universitario en Mediacin Familiar Integral', NULL, 0, '32', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001148', 'Mster Universitario en Medicina Respiratoria', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000228', 'Mster Universitario en Nanociencia y Nanotecnologa', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000203', 'Mster Universitario en Neurociencias', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3000843', 'Mster Universitario en Patrimonio Cultural', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310855', 'Mster Universitario en Patrimonio Cultural: Identificacin, Anlisis y Gestin ', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312684', 'Mster Universitario en Estudios Hispnicos Superiores', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311879', 'Mster Universitario en Innovacin, Evaluacin y Calidad en Educacin Fsica', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312649', 'Mster Universitario en Intervencin Psicopedaggica', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310571', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato', NULL, 0, '32', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002805', 'Mster Universitario en Gestin del Patrimonio y Culturas del Agua', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310530', 'Mster Universitario en Gestin Deportiva', NULL, 0, '44', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310450', 'Mster Universitario en Gestin y Produccin en la Industria Farmacutica', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311551', 'Mster Universitario en Historia Econmica', NULL, 0, '21', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002835', 'Mster Universitario en Histria Econmica', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3003033', 'Mster Universitario en Information technology', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001620', 'Mster Universitario en ingeniera ambiental.  Investigacin', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002151', 'Mster Universitario en Ingeniera del Agua y del Terreno', NULL, 0, '64', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501702', 'Graduado o Graduada en Estudios Ingleses', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500276', 'Graduado o Graduada en Estudios Literarios', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501468', 'Graduado o Graduada en Farmacia', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501259', 'Graduado o Graduada en Filosofa', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500420', 'Graduado o Graduada en Direccin de Empresas Tecnolgicas ', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501119', 'Graduado o Graduada en Economa', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501906', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501170', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501479', 'Graduado o Graduada en Arquitectura', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500375', 'Graduado o Graduada en Bioqumica ', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501413', 'Graduado o Graduada en Ingeniera Qumica por la Universitat de Valncia (Estudi General)', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501099', 'Graduado o Graduada en Lengua y Literatura Inglesas', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502022', 'Graduado o Graduada en Lenguas Modernas y Gestin', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501262', 'Graduado o Graduada en Fisioterapia', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501958', 'Graduado o Graduada en Historia', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501567', 'Graduado o Graduada en Humanidades', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500043', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502402', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500393', 'Graduado o Graduada en Ingeniera Electrnica, Industrial y Automtica', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500990', 'Graduado o Graduada en Ingeniera en Diseo Industrial y Desarrollo de Productos', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501167', 'Graduado o Graduada en Ingeniera en Sistemas de Telecomunicacin', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502375', 'Graduado o Graduada en Ingeniera Informtica en Tecnologas de la Informacin', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500383', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502164', 'Graduado o Graduada en Medicina', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502393', 'Graduado o Graduada en Ingeniera Electrnica Industrial y Automtica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501570', 'Graduado o Graduada en Ingeniera Electrnica y Automtica Industrial', NULL, 0, '52', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502097', 'Graduado o Graduada en Ingeniera en Tecnologas de la Telecomunicacin', NULL, 0, '29', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501094', 'Graduado o Graduada en Ingeniera Forestal y del Medio Natural-Explotaciones Forestales', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500082', 'Graduado o Graduada en Ingeniera Informtica por la Universidad Europea de Madrid', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500285', 'Graduado o Graduada en Medicina', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500361', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500572', 'Graduado o Graduada en Periodismo ', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502079', 'Graduado o Graduada en Protocolo y Organizacin de Eventos', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502123', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos ', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500662', 'Graduado o Graduada en Terapia Ocupacional', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501432', 'Graduado o Graduada en Trabajo Social', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500680', 'Graduado o Graduada en Trabajo Social', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500177', 'Graduado o Graduada en Traduccin e Interpretacin', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500857', 'Graduado o Graduada en Turismo', NULL, 0, '28', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500562', 'Graduado o Graduada en Turismo ', NULL, 0, '30', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500253', 'Graduado o Graduada en Biotecnologa ', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501026', 'Graduado o Graduada en Ciencia Poltica y Administracin Pblica', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500282', 'Graduado o Graduada en Ciencias Biomdicas', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500563', 'Graduado o Graduada en Ciencias de la Danza ', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501107', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '07', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502350', 'Graduado o Graduada en Enfermera', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501191', 'Graduado o Graduada en Farmacia', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501637', 'Graduado o Graduada en Derecho', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501908', 'Graduado o Graduada en Derecho', NULL, 0, '26', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501443', 'Graduado o Graduada en Derecho', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500144', 'Graduado o Graduada en Diseo', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500590', 'Graduado o Graduada en Economa ', NULL, 0, '31', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501299', 'Graduado o Graduada en Economa Financiera y Actuarial', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500710', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500362', 'Graduado o Graduada en Administracin y Direccin de Empresas ', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502291', 'Graduado o Graduada en Antropologa Social y Cultural', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500342', 'Graduado o Graduada en Bellas Artes', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501464', 'Graduado o Graduada en Bioqumica y Biologa Molecular', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500885', 'Graduado o Graduada en Nutricin Humana y Diettica', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501816', 'Graduado o Graduada en Odontologa', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501626', 'Graduado o Graduada en Psicologa', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500790', 'Graduado o Graduada en Qumica', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500805', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501520', 'Graduado o Graduada en Trabajo Social', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500088', 'Graduado o Graduada en Trabajo Social por la Universidad Pontificia Comillas', NULL, 0, '33', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500056', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501820', 'Graduado o Graduada en Ciencias Polticas y de la Administracin', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500794', 'Graduado o Graduada en Ciencias y Lenguas de la Antigedad', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501291', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501813', 'Graduado o Graduada en Farmacia por la Universidad de Granada', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500370', 'Graduado o Graduada en Filologa Clsica', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501274', 'Graduado o Graduada en Derecho', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501682', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '46', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500581', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '62', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500448', 'Graduado o Graduada en Educacin Social', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501351', 'Graduado o Graduada en Enfermera', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501986', 'Graduado o Graduada en Arquitectura', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502324', 'Graduado o Graduada en Lenguas Modernas', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501030', 'Graduado o Graduada en Filosofa', NULL, 0, '72', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501433', 'Graduado o Graduada en Ingeniera Civil', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501038', 'Graduado o Graduada en Ingeniera de las Industrias Agrarias y Alimentarias', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501370', 'Graduado o Graduada en Economa y Finanzas', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500984', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500365', 'Graduado o Graduada en Educacin Social', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502353', 'Graduado o Graduada en Enfermera', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502384', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500126', 'Graduado o Graduada en Arquitectura', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501463', 'Graduado o Graduada en Biologa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500723', 'Graduado o Graduada en Biotecnologa', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502061', 'Graduado o Graduada en Marketing', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500266', 'Graduado o Graduada en Fsica ', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500116', 'Graduado o Graduada en Historia', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500274', 'Graduado o Graduada en Historia del Arte', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500854', 'Graduado o Graduada en Informacin y Documentacin', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501849', 'Graduado o Graduada en Ingeniera Agrcola', NULL, 0, '49', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500907', 'Graduado o Graduada en Ingeniera de Diseo Industrial y Desarrollo de Productos por la Universidad ', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500168', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500394', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502391', 'Graduado o Graduada en Ingeniera Elctrica', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502454', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500849', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '45', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502271', 'Graduado o Graduada en Ingeniera Mecnica ', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502052', 'Graduado o Graduada en Medicina', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500395', 'Graduado o Graduada en Medios Audiovisuales', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502018', 'Graduado o Graduada en Odontologa', NULL, 0, '20', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500338', 'Graduado o Graduada en Pedagoga', NULL, 0, '03', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500538', 'Graduado o Graduada en Periodismo', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501444', 'Graduado o Graduada en Qumica', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500778', 'Graduado o Graduada en Traduccin e Interpretacin por la Universidad Jaume I de Castelln', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501049', 'Graduado o Graduada en Ciencias Ambientales', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312999', 'Master Universitario en Materiales Avanzados', NULL, 0, '23', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313013', 'Mster Universitario en Direccin de Personas y Desarrollo Organizativo por la Universidad Miguel Hernndez de Elche', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313014', 'Mster Universitario en Ingeniera de Sistemas Interactivos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313017', 'Mster Universitario en Actividad Fsica y Salud', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313034', 'Mster Universitario en Evolucin Humana por la Universidad de Alcal y la Universidad de Burgos', NULL, 0, '51', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313043', 'Mster Universitario en Derecho Ambiental por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310820', 'Mster Universitario en Estudios Avanzados en Comunicacin Social', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002851', 'Mster Universitario en Estudios Avanzados y Aplicados en Lengua y Literatura Catalanas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001447', 'Mster Universitario en Estudios de Mujeres, Gnero y Ciudadana', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001951', 'Mster Universitario en Ingeniera y Tecnologa Industrial', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312915', 'Mster Universitario en Interpretacin de Conferencias', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002136', 'Mster Universitario en Formacin de Profesorado de Cataln para Personas Adultas', NULL, 0, '60', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310570', 'Mster Universitario en Formacin de Profesorado de Educacin Secundaria Obligatoria y Bachillerato,', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311388', 'Mster Universitario en Gestin de Suelos y Aguas', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3001494', 'Mster Universitario en Gestin Pblica', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311456', 'Mster Universitario en Ingeniera de Redes y Servicios Telemticos', NULL, 0, '25', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310297', 'Mster Universitario en Ingeniera de Sistemas Ferroviarios', NULL, 0, '33', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500246', 'Graduado o Graduada en Filosofa', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500263', 'Graduado o Graduada en Ingeniera en Organizacin Industrial', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500290', 'Graduado o Graduada en Maestro de Educacin Infantil', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500327', 'Graduado o Graduada en Educacin Social', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500329', 'Graduado o Graduada en Turismo', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500330', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500367', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '44', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500399', 'Graduado o Graduada en Enfermera', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500406', 'Graduado o Graduada en Ingeniera de Diseo Industrial', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500499', 'Graduado o Graduada en Logopedia', NULL, 0, '41', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500503', 'Graduado o Graduada en Informtica y Servicios', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500520', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500527', 'Graduado o Graduada en Publicidad y Relaciones Pblicas', NULL, 0, '70', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500534', 'Graduado o Graduada en Ingeniera de la Edificacin', NULL, 0, '67', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500898', 'Graduado o Graduada en Ingeniera de Sistemas de Telecomunicacin', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501043', 'Graduado o Graduada en Biologa', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501979', 'Graduado o Graduada en Marketing e Investigacin de Mercados', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500729', 'Graduado o Graduada en Historia del Arte', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501066', 'Graduado o Graduada en Ingeniera Agrcola', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502069', 'Graduado o Graduada en Ingeniera de la Hortofruticultura y Jardinera', NULL, 0, '64', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501359', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '32', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500928', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500273', 'Graduado o Graduada en Ingeniera Qumica', NULL, 0, '23', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501772', 'Graduado o Graduada en Medicina', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500449', 'Graduado o Graduada en Pedagoga', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500340', 'Graduado o Graduada en Periodismo', NULL, 0, '40', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502195', 'Graduado o Graduada en Qumica', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501123', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos por la Universidad de Vigo', NULL, 0, '38', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501892', 'Graduado o Graduada en Sociologa', NULL, 0, '15', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500966', 'Graduado o Graduada en Ciencia Poltica y Gestin Pblica', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501171', 'Graduado o Graduada en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '58', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500183', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '73', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501748', 'Graduado o Graduada en Criminologa y Seguridad', NULL, 0, '05', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501154', 'Graduado o Graduada en Enfermera', NULL, 0, '50', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502409', 'Graduado o Graduada en Estudios rabes e Islmicos', NULL, 0, '01', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500873', 'Graduado o Graduada en Estudios Hebreos y Arameos', NULL, 0, '14', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501554', 'Graduado o Graduada en Derecho', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501012', 'Graduado o Graduada en Administracin y Direccin de Empresas', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500353', 'Graduado o Graduada en Biotecnologa', NULL, 0, '09', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500737', 'Graduado o Graduada en Ingeniera Telemtica', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501380', 'Graduado o Graduada en Lenguas y Literaturas Modernas, Frnces - Ingls', NULL, 0, '34', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501597', 'Graduado o Graduada en Geologa', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501489', 'Graduado o Graduada en Ingeniera Agroalimentaria y del Medio Rural', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501022', 'Graduado o Graduada en Ingeniera de Edificacin', NULL, 0, '37', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502494', 'Graduado o Graduada en Ingeniera de la Energa', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502482', 'Graduado o Graduada en Ingeniera de Tecnologas y Servicios de Telecomunicacin', NULL, 0, '21', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500866', 'Graduado o Graduada en Ingeniera en Informtica', NULL, 0, '39', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501412', 'Graduado o Graduada en Ingeniera Informtica', NULL, 0, '18', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502306', 'Graduado o Graduada en Ingeniera Mecnica', NULL, 0, '17', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502059', 'Graduado o Graduada en Medicina', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501618', 'Graduado o Graduada en Periodismo', NULL, 0, '55', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2500505', 'Graduado o Graduada en Qumica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3002602', 'Mster Universitario en Estrategias Territoriales y Ambientales en el mbito Local', NULL, 0, '49', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312985', 'Mster Universitario en Gestin y Direccin de Pequeas y Medianas Empresas en una Economa Globalizada por la Universidad San Pablo-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502549', 'Graduado o Graduada en Estudios Hispnicos', NULL, 0, '16', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502579', 'Graduado o Graduada en Relaciones Internacionales por la Universidad Rey Juan Carlos', NULL, 0, '56', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502586', 'Graduado o Graduada en Ingeniera Civil por la Universidad de Oviedo', NULL, 0, '13', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502618', 'Graduado o Graduada en Humanidades', NULL, 0, '74', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502635', 'Graduado o Graduada en Educacin Infantil', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502648', 'Graduado o Graduada en Biotecnologa por la Universidad Politcnica de Madrid', NULL, 0, '25', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502656', 'Graduado o Graduada en Maestro en Educacin Infantil por la Universidad Catlica Santa Teresa de Jess de vila', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502657', 'Graduado o Graduada en Ingeniera Electromecnica Industrial por la Universidad Catlica San Antonio', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502659', 'Graduado o Graduada en Educacin Social por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502664', 'Graduado o Graduada en Gestin de Pequeas y Medianas Empresas por la Universidad de Santiago de Compostela', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502669', 'Graduado o Graduada en Biotecnologa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502679', 'Graduado o Graduada en Criminologa por la Universidad Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502681', 'Graduado o Graduada en Gestin Deportiva', NULL, 0, '53', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502688', 'Graduado o Graduada en Psicologa por la Universidad Privada Internacional Isabel I de Castilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502689', 'Graduado o Graduada en Publicidad y Relaciones Pblicas por la Universidad Tecnologa y Empresa', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502697', 'Graduado o Graduada en Ingeniera de Tecnologa de Minas y Energa por la Universidad Alfonso X El Sabio', NULL, 0, '47', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502712', 'Graduado o Graduada en Ingeniera Qumica por la Universidad de Extremadura', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310844', 'Mster Universitario en Enologa', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310905', 'Mster Universitario en Traduccin Creativa y Humanstica', NULL, 0, '40', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311027', 'Mster Universitario en Educador/a Ambiental', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311090', 'Mster Universitario en Biologa Molecular y Biomedicina', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311258', 'Mster Universitario en Psicologa del Trabajo, de las Organizaciones y en los Recursos Humanos', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311307', 'Mster Universitario en Estudios Medievales. Arte, Historia y Literatura', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311622', 'Mster Universitario en Biologa Molecular y Biomedicina', NULL, 0, '16', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311669', 'Mster Universitario en Sistema de Justicia Penal', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311724', 'Mster Universitario en Gestin y Promocin del Desarrollo Rural', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311727', 'Mster Universitario en Historia Contempornea', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311728', 'Mster Universitario en Fisioterapia de los Procesos de Envejecimiento: Estrategias Sociosanitarias', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311729', 'Mster Universitario en Historia del Arte y Cultura Visual', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311842', 'Mster Universitario en Orientacin Profesional', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311872', 'Mster Universitario en Integracin Regional', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311872', 'Mster Universitario en Integracin Regional', NULL, 0, '29', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311901', 'Mster Universitario en Investigacin en Derecho de la Cultura', NULL, 0, '28', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4311928', 'Mster Universitario en Gerontologa Social: Longevidad, Salud y Calidad de Vida', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312107', 'Mster Universitario Erasmus Mundus en Minera de Datos y Gestin del Conocimiento / Master Eramus Mundus in Data Mining and Knowledge Management', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312108', 'Mster Universitario en Seguridad y Salud en el Trabajo - Prevencin de Riesgos Laborales', NULL, 0, '04', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312126', 'Mster Universitario en Polticas Pblicas y Desarrollo Internacional por la Universidad Autnoma de Barcelona; la Universidad Pompeu Fabra; la Universidad de Barcelona y Erasmus Universiteit Rotterdam(Holanda)', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312336', 'Mster Universitario en Corrupcin y Estado de Derecho', NULL, 0, '14', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502723', 'Graduado o Graduada en Relaciones Laborales y Recursos Humanos por la Universidad Francisco de Vitoria', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502737', 'Graduado o Graduada en Ingeniera Mecnica por la Universidad Pblica de Navarra', NULL, 0, '35', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502741', 'Graduado o Graduada en Ingeniera Civil por la Universidad San Pablo-CEU', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502744', 'Graduado o Graduada en Economa Poltica / Political Economy por la Universidad San Pablo-CEU', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502755', 'Graduado o Graduada en Farmacia por la Universidad Catlica San Antonio', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502762', 'Graduado o Graduada en Enfermera por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502768', 'Graduado o Graduada en Derecho por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502771', 'Graduado o Graduada en Relaciones Internacionales /  Bachelor in International Relations por la IE Universidad', NULL, 0, '57', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502772', 'Graduado o Graduada en Medio Ambiente por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502793', 'Graduado o Graduada en Ciencia y Tecnologa de Edificacin por la Universidad de Sevilla', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502797', 'Graduado o Graduada en Periodismo por la Universidad Antonio de Nebrija', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('3004006', 'Mster Universitario en Derecho de la Empresa', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310262', 'Mster Universitario en Ciencia de las Tecnologas de la Informacin y la Comunicacin / Science in Information and Communication Technologies', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310351', 'Mster Universitario en Acuicultura', NULL, 0, '07', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310652', 'Mster Universitario en Gestin Integral del Agua', NULL, 0, '05', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310789', 'Mster Universitario en Investigacin en Tecnologas de la Informacin y Comunicacin', NULL, 0, '24', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4310836', 'Mster Universitario en Tecnologas del Sonido y de la Msica', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501232', 'Graduado o Graduada en Empresa y Tecnologa', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501313', 'Graduado o Graduada en Administracin y Direccin de Empresa', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501509', 'Graduado o Graduada en Ingeniera Agroalimentaria', NULL, 0, '43', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501818', 'Graduado o Graduada en Estudios de Francs y Cataln', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501827', 'Graduado o Graduada en Maestro de Educacin Infantil', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501828', 'Graduado o Graduada en Maestro de Educacin Primaria', NULL, 0, '08', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501913', 'Graduado o Graduada en Estudios de Ingls y Francs', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501922', 'Graduado o Graduada en Nanociencia y Nanotecnologa', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501928', 'Graduado o Graduada en Comunicacin Audiovisual', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501933', 'Graduado o Graduada en Periodismo', NULL, 0, '22', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501977', 'Graduado o Graduada en Educacin Primaria', NULL, 0, '11', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501982', 'Graduado o Graduada en Ingeniera de Materiales', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2501994', 'Graduado o Graduada en Ingeniera Geomtica y Topografa', NULL, 0, '24', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502013', 'Graduado o Graduada en Piloto de Aviacin Comercial y Operaciones Areas', NULL, 0, '42', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502070', 'Graduado o Graduada en Cine', NULL, 0, '65', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502104', 'Graduado o Graduada en Periodismo', NULL, 0, '78', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502188', 'Graduado o Graduada en Ingeniera Informtica en Ingeniera de Computadores', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502189', 'Graduado o Graduada en Ingeniera Informtica en Ingeniera del Software', NULL, 0, '02', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502447', 'Graduado o Graduada en Ingeniera Biomdica', NULL, 0, '04', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502498', 'Graduado o Graduada en Ciencias Polticas y Sociologa', NULL, 0, '12', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502538', 'Graduado o Graduada en Farmacia', NULL, 0, '68', 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('2502540', 'Graduado o Graduada en Trabajo Social por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    5);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312954', 'Master Universitario en Sociedad, Administracin y Poltica por la Universidad Pablo de Olavide', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312956', 'Mster Universitario en Derecho de los Negocios por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312960', 'Mster Universitario en Derecho, Democracia y Gobierno por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313048', 'Mster Universitario en Prevencin de Riesgos Laborales por la Universidad de Jan', NULL, 0, '50', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313055', 'Master Universitario en Planificacin y Gestin de Destinos y Nuevos Productos Tursticos por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313057', 'Mster Universitario en Gestin Sanitaria por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313063', 'Mster Universitario en Anlisis Poltico por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313064', 'Mster Universitario en Seguridad Informtica por la Universidad Internacional de La Rioja', NULL, 0, '77', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313072', 'Mster Universitario en Banca y Finanzas por la Universidad Internacional Menndez Pelayo', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313104', 'Mster Universitario Iberoamericano de Historia Comparada por la Universidad de Huelva', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313114', 'Mster Universitario en Edicin y Postproduccin por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313115', 'Mster Universitario en Prevencin de Riesgos Laborales', NULL, 0, '65', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313117', 'Mster Universitario en Direccin y Planificacin del Turismo Interior y de Salud por la Universidad de Vigo', NULL, 0, '38', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313118', 'Mster Universitario en Integridad y Durabilidad de Materiales, Componentes y Estructuras por la Universidad de Burgos; la Universidad de Cantabria y la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313137', 'Mster Universitario en Prehistoria, Antigedad y Edad Media por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312449', 'Mster Universitario en Estudios Avanzados de Derecho Financiero y Tributario por la Universidad Complutense de Madrid y la Universidad a Distancia de Madrid', NULL, 0, '10', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312508', 'Mster Universitario en Direccin TIC', NULL, 0, '02', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312541', 'Mster Universitario en Investigacin en Territorio y Paisaje', NULL, 0, '55', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312665', 'Mster Universitario en Aplicaciones Multimedia', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312709', 'Mster Universitario en Investigacin e Intervencin en Ciencias de la Actividad Fsica y del Deporte', NULL, 0, '18', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312713', 'Mster Universitario en Ecosistemas Agrcolas Sostenibles', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312714', 'Mster Universitario en Ingeniera Acstica por la Universidad de Mlaga', NULL, 0, '11', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312716', 'Mster Universitario en Investigacin en Sociologa y Demografa', NULL, 0, '39', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312717', 'Mster Universitario en Informtica Aplicada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312736', 'Mster Universitario en Desafos Jurdicos del Reconocimiento y Garanta de Derechos en la Sociedad Global por la Universidad de Almera', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312773', 'Mster Universitario en Ingeniera Nuclear por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312776', 'Mster Universitario en Tcnicas de Computacin en Economa por la Universidad Pblica de Navarra', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312778', 'Mster Universitario en Estudios Avanzados en Administracin y Derecho Pblico', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312779', 'Master Universitario en Investigacin en Ingeniera Qumica y de Procesos por la Universidad Rovira i Virgili', NULL, 0, '42', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312783', 'Mster Universitario en Gestin y Atencin en la Oficina de Farmacia', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312799', 'Mster Universitario en Ingeniera Informtica por la Universidad de Castilla-La Mancha', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312837', 'Mster Universitario en Ingeniera Informtica', NULL, 0, '01', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312839', 'Mster Universitario en Criminologa, Seguridad y Ciencias Forenses por la Universidad de Alicante', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312850', 'Mster Universitario en Ingeniera Industrial', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312858', 'Mster Universitario en Diseo', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312875', 'Mster Universitario en Gestin Integrada de Prevencin, Calidad y Medio Ambiente por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312879', 'Mster Universitario en Biotecnologa Aplicada a la Conservacin y Gestin Sostenible de Recursos Vegetales por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312884', 'Mster Universitario en Ingeniera Informtica  por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312888', 'Mster Universitario en Psicologa de la Salud por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312894', 'Mster Universitario en Teledeteccin y Sistemas de Informacin Geogrfica por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312898', 'Mster Universitario en Seguridad de las Tecnologas de la Informacin y de las Comunicaciones por la Universidad Autnoma de Barcelona; la Universidad Rovira i Virgili y la Universitat Oberta de Catalunya', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312903', 'Mster Universitario en Derecho Deportivo', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312934', 'Mster Universitario en Investigacin, Ordenacin y Evaluacin de Servicios Sociosanitarios por la Universidad de A Corua', NULL, 0, '37', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312942', 'Mster Universitario en Gestin y Administracin Ambiental por la Universidad Internacional Menndez Pelayo', NULL, 0, '71', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4312951', 'Mster Universitario en Administracin y Direccin de Empresas por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313262', 'Mster Universitario en Entorno Juridico de la Empresa por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313265', 'Mster Universitario en Investigacin en Comportamiento y Cognicin por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313271', 'Mster Universitario en Gentica y Genmica por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313278', 'Mster Universitario en Culturas y Lenguas de la Antigedad por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313281', 'Mster Universitario en Nutricin y Metabolismo por la Universidad Rovira i Virgili y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313290', 'Mster Universitario en Ciencias Actuariales y Financieras por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313293', 'Mster Universitario en Estudios Medievales Europeos. La Gnesis de Europa, una Perspectiva Cultural por la Universidad de La Laguna', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313297', 'Mster Universitario en Derecho de la Empresa y de la Contratacin por la Universidad Rovira i Virgili', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313303', 'Mster Universitario en Gestin y Tecnologas de Procesos de Negocio por la Universidad de Granada', NULL, 0, '08', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313318', 'Mster Universitario en Ingeniera de Sistemas Automticos y Electrnica Industrial por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313320', 'Mster Universitario en Ingeniera de Automocin por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313324', 'Mster Universitario en Automtica y Robtica por la Universidad Politcnica de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313330', 'Mster Universitario en Estudios Literarios y Teatrales por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313337', 'Mster Universitario en Lingstica Terica y Aplicada por la Universidad de Murcia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313339', 'Mster Universitario en Tecnologa del Agua en Ingeniera Civil por la Universidad de Crdoba', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313341', 'Mster Universitario en Gestin Pblica Avanzada por la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313348', 'Mster Universitario en Inmunologa Avanzada por la Universidad Autnoma de Barcelona y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313350', 'Mster Universitario en Lgica Pura y Aplicada por la Universidad Politcnica de Catalunya y la Universidad de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313360', 'Mster Universitario en Gestin de la Fauna Silvestre por la Universidad de Murcia', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313362', 'Mster Universitario en BIOLOGA MOLECULAR APLICADA A EMPRESAS BIOTECNOLGICAS (BIOENTERPRISE) por la Universidad de Granada', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313479', 'Mster Universitario en Bases Biolgicas para la Gestin del Medio Natural por la Universidad de Jan', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313495', 'Mster Universitario en Abogaca por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313496', 'Mster Universitario en Marketing Digital por la Mondragon Unibertsitatea', NULL, 0, '61', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313506', 'Mster Universitario en Acceso al Ejercicio de la Abogaca por la Universidad Carlos III de Madrid', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313535', 'Mster Universitario en Acceso a la Profesin de Abogado por la Universidad San Pablo-CEU', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313539', 'Mster Universitario en Gestin y Auditora Medioambiental por la Universitat Internacional Valenciana', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313554', 'Mster Universitario en Liderazgo Poltico y Gestin Pblica por la Universidad San Pablo-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313555', 'Mster Universitario en Abogaca por la Universidad Jaume I de Castelln', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313561', 'Mster Universitario en Fisioterapia Invasiva por la Universidad San Pablo-CEU', NULL, 0, '46', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313565', 'Mster Universitario en Direccin de Empresas. MBA Executive por la Universidad Francisco de Vitoria', NULL, 0, '68', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313579', 'Mster Universitario en Investigacin en Comunicacin por la Universidad de Navarra', NULL, 0, '31', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313368', 'Mster Universitario en Biologa Evolutiva Integrativa por la Universitat de Valncia (Estudi General)', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313387', 'Mster Universitario en Electroqumica. Ciencia y Tecnologa por la Universidad Autnoma de Barcelona; la Universidad Autnoma de Madrid; la Universidad Politcnica de Cartagena; la Universidad de Alicante; la Universidad de Barcelona; la Universidad', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313389', 'Mster Universitario en Ingeniera Geolgica por la Universidad de Alicante', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313390', 'Mster Universitario en Investigacin en Traduccin e Interpretacin por la Universidad de Alicante', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313392', 'Mster Universitario en Prevencin de Riesgos Laborales por la Universidad de Alicante', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313395', 'Mster Universitario en Estudios de Gnero y Polticas de Igualdad por la Universidad de La Laguna', NULL, 0, '15', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313403', 'Mster Universitario en Sociologa Aplicada: Realidades y Dinmicas Sociales por la Universidad de Murcia', NULL, 0, '12', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313409', 'Mster Universitario en Psicologa del Trabajo, Organizaciones y Recursos Humanos  por la Universidad Ramn Llull', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313424', 'Mster Universitario en Finanzas y Banca por la Universidad Pablo de Olavide', NULL, 0, '58', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313433', 'Mster Universitario en Mster Universitario de Acceso a la Profesin de Abogado  por la Universidad Alfonso X El Sabio', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313434', 'Mster Universitario en Polticas Lingsticas y Planificacin por la Universidad del Pas Vasco/Euskal Herriko Unibertsitatea', NULL, 0, '20', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313439', 'Mster Universitario en Derecho de la Unin Europea por la Universidad de Sevilla', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313447', 'Mster Universitario en Derechos Humanos, Democracia y Globalizacin por la Universitat Oberta de Catalunya', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313463', 'Mster Universitario en Gestin y Diseo de Proyectos e Instalaciones por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313465', 'Mster Universitario en Ingeniera Industrial por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313469', 'Mster Universitario en Neurociencia: de la Investigacin a la Clnica por la Universidad Miguel Hernndez de Elche', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313157', 'Mster Universitario en Estudios Ingleses Avanzados / Advanced English Studies por la Universidad Autnoma de Barcelona', NULL, 0, '22', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313164', 'Mster Universitario en Ingeniera Matemtica por la Universidad Carlos III de Madrid', NULL, 0, '36', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313184', 'Mster Universitario en Direccin de las Organizaciones en la Economa del Conocimiento por la Universitat Oberta de Catalunya', NULL, 0, '54', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313201', 'Mster Universitario en Digital Living: Creatividad e Innovacin en el Mundo Digital por la Universidad Carlos III de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313205', 'Mster Universitario en Antropologa Aplicada: entre la Diversidad y la Globalizacin por la Universidad de Castilla-La Mancha', NULL, 0, '34', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313226', 'Mster Universitario en Gestin de Infraestructuras Inteligentes de Transporte por carretera por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313244', 'Mster Universitario en Investigacin en Salud  por la Universidad de Lleida', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313252', 'Mster Universitario en Ingeniera de Caminos, Canales y Puertos  por la Universidad Europea de Madrid', NULL, 0, '53', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313584', 'Mster Universitario en Cuidados Paliativos por la Universidad Catlica de Valencia San Vicente Mrtir', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313592', 'Mster Universitario en Acceso a la Abogaca por la Universidad Pblica de Navarra', NULL, 0, '35', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313593', 'Mster Universitario en Desarrollo de Tcnicas de Neuromanagement en Organizaciones  Empresariales por la Universidad Rey Juan Carlos', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313599', 'Mster Universitario en Derecho Social Comunitario y Dilogo Social por la Universidad Catlica San Antonio', NULL, 0, '66', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313603', 'Mster Universitario en Contabilidad y Auditora por la Universidad de las Illes Balears', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313616', 'Mster Universitario en Direccin y Gestin de Empresas MBA por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313620', 'Mster Universitario en Tecnologa y Gestin Medioambiental: Gestin de Residuos por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313627', 'Mster Universitario en Especializacion en Ciencias de la Salud por la Universidad Cardenal Herrera-CEU', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313630', 'Mster Universitario en Derecho de Daos por la Universidad de Girona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313651', 'Mster Universitario en Mediacin y Gestin de Conflictos por la Universidad Internacional de La Rioja', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313660', 'Mster Universitario en Abogaca por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313661', 'Mster Universitario en Lengua Inglesa para el Aula Bilnge de Educacin Secundaria por la Universidad de Oviedo', NULL, 0, '13', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313668', 'Mster Universitario en Atencin y Cuidados Paliativos por la Universidad de Barcelona y la Universidad de Vic', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313669', 'Mster Universitario en Acceso a la Abogaca por la Universidad de la Rioja', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313684', 'Mster Universitario en Formacin del Profesorado de Educacin Secundaria Obligatoria y Bachillerato, Formacin Profesional y Enseanza de Idiomas por la Universidad Antonio de Nebrija', NULL, 0, '52', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313688', 'Mster Universitario en Mtodos de Investigacin en Ciencias Econmicas y Empresariales por la Universidad Loyola Andaluca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313704', 'Mster Universitario en Arquitectura del Software por la Universidad a Distancia de Madrid', NULL, 0, '74', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313711', 'Mster Universitario en Ingeniera de Mantenimiento e Instalaciones del Buque por la Universidad de A Corua', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313712', 'Mster Universitario Erasmus Mundus en Diagnosis y Reparacin de Edificios EMDIREB (European Master in Diagnosis and Repair of Buildings) por la Universidad de Sevilla; Politechnika Lubelska(Polonia) y Universit degli Studi Mediterranea ', NULL, 0, '17', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313717', 'Mster Universitario en Psicogerontologa por la Universidad Complutense de Madrid', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313742', 'Mster Universitario en Comunicacin e Informacin Deportiva por la Universidad Pontificia de Salamanca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313752', 'Mster Universitario en Orientacion y Mediacin Familiar por la Universidad Pontificia de Salamanca', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313760', 'Mster Universitario Erasmus Mundus en Eurocultura / Master of Arts in Euroculture por la Universidad de Deusto; Georg-August-Universitt Gttingen(Alemania); Indiana University - Purdue University Indianapolis(EE.UU.); Osaka University(Japn); Pune ', NULL, 0, '30', 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313767', 'Mster Universitario en Lengua Espaola, Literatura Hispnica y Espaol como Lengua Extranjera por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313774', 'Mster Universitario en Ecologa Terrestre y Gestin de la Biodiversidad por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313775', 'Mster Universitario en Microbiologa Aplicada por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
Insert into P_ESTUDIOS_MEC
   (CODIGO_MEC, DES_CODIGO_MEC, RENOVADA, CICLO, UNIVERSIDAD, 
    TIPO_ESTUDIO)
 Values
   ('4313781', 'Mster Universitario en Derecho Empresarial por la Universidad Autnoma de Barcelona', NULL, 0, NULL, 
    6);
COMMIT;









/******* PG_PLAZAS *******/


CREATE TABLE PG_PLAZAS
(
  ANO_ACADEMICO        NUMBER,
  COD_PLAN             NUMBER(10)               NOT NULL,
  PLAZAS_OFERTADAS     NUMBER(10)               NOT NULL,
  PLAZAS_ADJUDICADAS   NUMBER(10),
  PLAZAS_MATRICULADAS  NUMBER(10),
  INDBAJA              VARCHAR2(1 BYTE)
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 499, 15, 1, 14, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 434, 15, 2, 12, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 430, 25, 3, 10, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 424, 25, 10, 19, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 431, 20, 0, 4, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 432, 25, 25, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 433, 10, 0, 1, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 435, 25, 1, 5, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 392, 15, 2, 4, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 427, 60, 0, 13, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 428, 60, 9, 22, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 359, 30, 3, 8, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 362, 25, 3, 8, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 363, 10, 10, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 364, 20, 10, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 367, 60, 12, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 368, 14, 6, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 358, 35, 3, 0, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 365, 20, 7, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 366, 50, 19, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 369, 30, 1, 7, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 370, 25, 5, 21, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 349, 30, 11, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 371, 45, 2, 6, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 320, 50, 47, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 372, 40, 27, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 380, 30, 4, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 381, 30, 4, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 324, 30, 2, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 325, 40, 10, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 376, 30, 9, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 377, 3, 3, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 378, 3, 1, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 379, 3, 1, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 535, 10, 0, 0, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 382, 35, 35, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 373, 45, 0, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 539, 75, 0, 3, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 388, 25, 25, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 387, 60, -1, 4, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 360, 15, -2, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 361, 20, 5, 0, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 383, 37, 3, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 384, 25, 0, 1, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 389, 30, 12, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 393, 40, 1, 21, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 533, 20, 8, 9, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 374, 30, 30, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 375, 30, 8, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 397, 25, 0, 6, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 517, 40, 1, 12, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 485, 30, 1, 5, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 488, 80, 0, 0, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 486, 40, 1, 3, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 487, 40, 1, 0, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 489, 30, 20, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 495, 10, 1, 0, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 494, 17, 3, 15, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 497, 40, 7, 37, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 496, 30, 2, 7, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 425, 40, 5, 11, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 426, 14, 2, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 429, 50, 4, 9, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 484, 25, 2, 14, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 501, 40, 0, 0, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 506, 30, 50, 0, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 530, 5, 0, 5, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 527, 25, 0, 6, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 529, 10, 1, 9, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 523, 30, 0, 2, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 522, 30, 3, 7, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 531, 14, 3, 4, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 532, 30, 13, 14, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 515, 60, 1, 12, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 520, 20, 0, 4, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 509, 50, 0, 11, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 507, 50, 4, 7, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 508, 10, 0, 2, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 524, 15, 2, 3, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 525, 40, 0, 5, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 518, 25, 2, 23, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 519, 50, 2, 40, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 526, 30, 2, 17, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 521, 30, 1, 8, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 511, 60, 4, 20, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 514, 30, 5, 19, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 513, 30, 2, 8, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 510, 50, 3, 13, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 408, 360, 360, 0, 
    'S');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 540, 14, 3, 0, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 537, 35, 1, 1, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 536, 20, 2, 3, 
    'N');
Insert into PG_PLAZAS
   (ANO_ACADEMICO, COD_PLAN, PLAZAS_OFERTADAS, PLAZAS_ADJUDICADAS, PLAZAS_MATRICULADAS, 
    INDBAJA)
 Values
   (2014, 538, 15, 0, 2, 
    'N');
COMMIT;


/******* PM_ROLESAUTENTICACION *******/



CREATE TABLE PM_ROLESAUTENTICACION
(
  COD_ID       NUMBER(11)                       NOT NULL,
  NOMBRE       VARCHAR2(50 BYTE)                NOT NULL,
  DESCRIPCION  VARCHAR2(300 BYTE)               NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_ROLESAUTENTICACION ON PM_ROLESAUTENTICACION
(COD_ID)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_ROLESAUTENTICACION ADD (
  CONSTRAINT PK_PM_ROLESAUTENTICACION
  PRIMARY KEY
  (COD_ID)
  USING INDEX PK_PM_ROLESAUTENTICACION
  ENABLE VALIDATE);

Insert into PM_ROLESAUTENTICACION
   (COD_ID, NOMBRE, DESCRIPCION)
 Values
   (1, 'Administrador', 'Solicitante');
Insert into PM_ROLESAUTENTICACION
   (COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2, 'Gestor', 'Gestor');
Insert into PM_ROLESAUTENTICACION
   (COD_ID, NOMBRE, DESCRIPCION)
 Values
   (3, 'Coordinador', 'Coordinador');
Insert into PM_ROLESAUTENTICACION
   (COD_ID, NOMBRE, DESCRIPCION)
 Values
   (4, 'Solicitante', 'Solicitante');
COMMIT;

/******* PM_ACCESO *******/


CREATE TABLE PM_ACCESO
(
  DNI_PASAPORTE  VARCHAR2(16 BYTE)              NOT NULL,
  NOMBRE         VARCHAR2(200 BYTE)             NOT NULL,
  APELLIDO1      VARCHAR2(200 BYTE)             NOT NULL,
  APELLIDO2      VARCHAR2(200 BYTE)             NOT NULL,
  COD_ROL        NUMBER(11)                     NOT NULL,
  EMAIL          VARCHAR2(300 BYTE),
  DENEGAR        NUMBER(11)
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_ACCESO ON PM_ACCESO
(DNI_PASAPORTE)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_ACCESO ADD (
  CONSTRAINT PK_PM_ACCESO
  PRIMARY KEY
  (DNI_PASAPORTE)
  USING INDEX PK_PM_ACCESO
  ENABLE VALIDATE);

ALTER TABLE PM_ACCESO ADD (
  CONSTRAINT FK_PM_ACC_ROL_PM_ROL_ID 
  FOREIGN KEY (COD_ROL) 
  REFERENCES PM_ROLESAUTENTICACION (COD_ID)
  ENABLE VALIDATE);

Insert into PM_ACCESO
   (DNI_PASAPORTE, NOMBRE, APELLIDO1, APELLIDO2, COD_ROL, 
    EMAIL, DENEGAR)
 Values
   ('COO1', 'coo1', 'ape1', 'ape2', 3, 
    NULL, 0);
Insert into PM_ACCESO
   (DNI_PASAPORTE, NOMBRE, APELLIDO1, APELLIDO2, COD_ROL, 
    EMAIL, DENEGAR)
 Values
   ('COO2', 'coo2', 'ape1', 'ape2', 3, 
    NULL, 0);
Insert into PM_ACCESO
   (DNI_PASAPORTE, NOMBRE, APELLIDO1, APELLIDO2, COD_ROL, 
    EMAIL, DENEGAR)
 Values
   ('COO3', 'coo3', 'ape1', 'ape2', 3, 
    NULL, 0);
Insert into PM_ACCESO
   (DNI_PASAPORTE, NOMBRE, APELLIDO1, APELLIDO2, COD_ROL, 
    EMAIL, DENEGAR)
 Values
   ('COO0', 'coo0', 'ape1', 'ape2', 3, 
    NULL, 0);
Insert into PM_ACCESO
   (DNI_PASAPORTE, NOMBRE, APELLIDO1, APELLIDO2, COD_ROL, 
    EMAIL, DENEGAR)
 Values
   ('GES', 'gestor', 'ape1', 'ape2', 2, 
    NULL, 0);
Insert into PM_ACCESO
   (DNI_PASAPORTE, NOMBRE, APELLIDO1, APELLIDO2, COD_ROL, 
    EMAIL, DENEGAR)
 Values
   ('ADM', 'adm', 'ape', 'ape', 1, 
    NULL, 0);
COMMIT;

/*******  PM_CURSO_CONVOCATORIA *******/


CREATE TABLE PM_CURSO_CONVOCATORIA
(
  ANO_ACADEMICO       NUMBER(5)                 NOT NULL,
  CONVOCATORIA        NUMBER(2)                 NOT NULL,
  FECHA_INICIO        DATE,
  FECHA_FIN           DATE,
  ESTADO              VARCHAR2(20 BYTE),
  PUBLICAR_ADMITIDOS  NUMBER                    DEFAULT 0
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_CURSO_CONVOCATORIA ON PM_CURSO_CONVOCATORIA
(ANO_ACADEMICO, CONVOCATORIA)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_CURSO_CONVOCATORIA ADD (
  CONSTRAINT PK_PM_CURSO_CONVOCATORIA
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA)
  USING INDEX PK_PM_CURSO_CONVOCATORIA
  ENABLE VALIDATE);

Insert into PM_CURSO_CONVOCATORIA
   (ANO_ACADEMICO, CONVOCATORIA, FECHA_INICIO, FECHA_FIN, ESTADO, 
    PUBLICAR_ADMITIDOS)
 Values
   (2014, 1, TO_DATE('05/01/2014 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), TO_DATE('07/01/2014 00:00:00', 'MM/DD/YYYY HH24:MI:SS'), 1, 
    0);


/******* PM_SOLICITANTES *******/


CREATE TABLE PM_SOLICITANTES
(
  ANO_ACADEMICO       NUMBER(5)                 NOT NULL,
  CONVOCATORIA        NUMBER(2)                 NOT NULL,
  TIPO_DOCUMENTO      VARCHAR2(3 BYTE)          DEFAULT 'OTR'                 NOT NULL,
  DNI_PASAPORTE       VARCHAR2(16 BYTE)         NOT NULL,
  NIP_ALUMNO          NUMBER(10)                NOT NULL,
  APE1_ALUMNO         VARCHAR2(32 BYTE)         NOT NULL,
  APE2_ALUMNO         VARCHAR2(32 BYTE)         DEFAULT ' '                   NOT NULL,
  NOMB_ALUMNO         VARCHAR2(32 BYTE)         NOT NULL,
  SEXO_ALUMNO         VARCHAR2(1 BYTE)          NOT NULL,
  COD_PAIS_NACION     VARCHAR2(3 BYTE)          NOT NULL,
  DOMICILIO_HABIT     VARCHAR2(80 BYTE)         NOT NULL,
  COD_POST_HABIT      VARCHAR2(5 BYTE)          NOT NULL,
  ORD_LOCALIZ_HABIT   NUMBER(5),
  LOCALIDAD1_HABIT    VARCHAR2(50 BYTE),
  PROVINCIA_HABIT     NUMBER(3),
  COD_PAIS_HABIT      VARCHAR2(3 BYTE)          DEFAULT ' '                   NOT NULL,
  TELEFONO_HABIT      VARCHAR2(15 BYTE),
  TELEFONO2_HABIT     VARCHAR2(15 BYTE),
  FECHA_NAC_ALUMNO    DATE,
  COD_POST_NACIM      VARCHAR2(5 BYTE)          DEFAULT ' '                   NOT NULL,
  LOCALIDAD1_NACIM    VARCHAR2(50 BYTE),
  PROVINCIA_NACIM     NUMBER(3),
  COD_PAIS_NACIM      VARCHAR2(3 BYTE)          DEFAULT ' '                   NOT NULL,
  ORD_LOCALIZ_NACIM   NUMBER(5)                 DEFAULT 0                     NOT NULL,
  FECHA_MODIFICACION  TIMESTAMP(6)              DEFAULT SYSDATE               NOT NULL,
  CORREO_ELEC_2       VARCHAR2(70 BYTE)         DEFAULT ' '                   NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_SOLICITANTES ON PM_SOLICITANTES
(ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


/* Formatted on 27/05/2014 13:40:47 (QP5 v5.227.12220.39724) */
CREATE OR REPLACE TRIGGER PM_SOLICITANTES_TRG1
   BEFORE UPDATE
   ON PM_SOLICITANTES
   REFERENCING NEW AS NEW OLD AS OLD
   FOR EACH ROW
BEGIN
   :NEW.FECHA_MODIFICACION := SYSDATE;
END PM_SOLICITANTES_TRG1;
/


ALTER TABLE PM_SOLICITANTES ADD (
  CONSTRAINT PK_PM_SOLICITANTES
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE)
  USING INDEX PK_PM_SOLICITANTES
  ENABLE VALIDATE);

ALTER TABLE PM_SOLICITANTES ADD (
  CONSTRAINT FK_PM_SOL_ANOCON_PM_CUR_ANOCON 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_SOL_CPHABIT_CODIGO_POST 
  FOREIGN KEY (COD_POST_HABIT, ORD_LOCALIZ_HABIT) 
  REFERENCES CODIGOS_POSTALES (COD_POSTAL,ORDEN_LOCALIZACION)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_SOL_CPNACIM_CODIGO_POST 
  FOREIGN KEY (COD_POST_NACIM, ORD_LOCALIZ_NACIM) 
  REFERENCES CODIGOS_POSTALES (COD_POSTAL,ORDEN_LOCALIZACION)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_SOL_PAISHABIT_PAISES 
  FOREIGN KEY (COD_PAIS_HABIT) 
  REFERENCES PAISES (COD_PAIS)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_SOL_PAISNACIM_PAISES 
  FOREIGN KEY (COD_PAIS_NACIM) 
  REFERENCES PAISES (COD_PAIS)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_SOL_PAISNACION_PAISES 
  FOREIGN KEY (COD_PAIS_NACION) 
  REFERENCES PAISES (COD_PAIS)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_SOL_PROVH_PROVINCIAS 
  FOREIGN KEY (PROVINCIA_HABIT) 
  REFERENCES PROVINCIAS (COD_PROVINCIA)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_SOL_PROVN_PROVINCIAS 
  FOREIGN KEY (PROVINCIA_NACIM) 
  REFERENCES PROVINCIAS (COD_PROVINCIA)
  ENABLE VALIDATE);

/******* PM_ESTADO *******/



CREATE TABLE PM_ESTADO
(
  ANO_ACADEMICO  NUMBER(5)                      NOT NULL,
  CONVOCATORIA   NUMBER(2)                      NOT NULL,
  ID_ESTADO      NUMBER(11)                     NOT NULL,
  ESTADO         VARCHAR2(100 BYTE)             NOT NULL,
  DESCRIPCION    VARCHAR2(500 BYTE)
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_ESTADO ON PM_ESTADO
(ANO_ACADEMICO, CONVOCATORIA, ID_ESTADO)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_ESTADO ADD (
  CONSTRAINT PK_PM_ESTADO
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, ID_ESTADO)
  USING INDEX PK_PM_ESTADO
  ENABLE VALIDATE);

ALTER TABLE PM_ESTADO ADD (
  CONSTRAINT FK_PM_EST_ANOCON_PM_CUR_ANOCON 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE);

Insert into PM_ESTADO
   (ANO_ACADEMICO, CONVOCATORIA, ID_ESTADO, ESTADO, DESCRIPCION)
 Values
   (2014, 1, 1, 'Completa', NULL);
Insert into PM_ESTADO
   (ANO_ACADEMICO, CONVOCATORIA, ID_ESTADO, ESTADO, DESCRIPCION)
 Values
   (2014, 1, 2, 'Incompleta', NULL);
Insert into PM_ESTADO
   (ANO_ACADEMICO, CONVOCATORIA, ID_ESTADO, ESTADO, DESCRIPCION)
 Values
   (2014, 1, 3, 'No necesita', NULL);
COMMIT;

/******* PM_CAB_PREINSCRIPCION *******/



CREATE TABLE PM_CAB_PREINSCRIPCION
(
  ANO_ACADEMICO            NUMBER(5)            NOT NULL,
  CONVOCATORIA             NUMBER(2)            NOT NULL,
  DNI_PASAPORTE            VARCHAR2(16 BYTE)    NOT NULL,
  COD_ESTUDIOS_MEC         VARCHAR2(11 BYTE)    NOT NULL,
  UNIVERSIDAD_ORIGEN       VARCHAR2(2 BYTE)     NOT NULL,
  OTRA_UNIVERSIDAD_ORIGEN  VARCHAR2(100 BYTE),
  FECHA_INICIAL            TIMESTAMP(6)         DEFAULT SYSDATE               NOT NULL,
  FECHA_MODIFICACION       TIMESTAMP(6)         DEFAULT SYSDATE               NOT NULL,
  OTRO_ESTUDIO_ORIGEN      VARCHAR2(255 BYTE),
  PAIS_ORIGEN              VARCHAR2(3 BYTE)     NOT NULL,
  FECHA_PAGO               DATE,
  ESTADO_SOLICITUD         NUMBER(1),
  NIVEL_BLOQUEO            NUMBER(2),
  ORDEN_MASTER             NUMBER(3),
  OBSERVACIONES            VARCHAR2(500 BYTE)
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_CAB_PREINSCRIPCION ON PM_CAB_PREINSCRIPCION
(ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


/* Formatted on 28/05/2014 9:03:31 (QP5 v5.227.12220.39724) */
CREATE OR REPLACE TRIGGER PM_CAB_PREINSCRIPCION_TRG1
   BEFORE UPDATE
   ON PM_CAB_PREINSCRIPCION
   REFERENCING NEW AS NEW OLD AS OLD
   FOR EACH ROW
BEGIN
   :NEW.FECHA_MODIFICACION := SYSDATE;
END PM_CAB_PREINSCRIPCION_TRG1;
/


ALTER TABLE PM_CAB_PREINSCRIPCION ADD (
  CONSTRAINT PK_PM_CAB_PREINSCRIPCION
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE)
  USING INDEX PK_PM_CAB_PREINSCRIPCION
  ENABLE VALIDATE);

ALTER TABLE PM_CAB_PREINSCRIPCION ADD (
  CONSTRAINT FK_PM_CAB_ANOCON_PM_CUR_ANOCON 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_CAB_DNI_PM_SOLIC 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE) 
  REFERENCES PM_SOLICITANTES (ANO_ACADEMICO,CONVOCATORIA,DNI_PASAPORTE)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_CAB_ESTADO_PM_ESTADO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, ESTADO_SOLICITUD) 
  REFERENCES PM_ESTADO (ANO_ACADEMICO,CONVOCATORIA,ID_ESTADO)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_CAB_PAIS_PM_PAIS 
  FOREIGN KEY (PAIS_ORIGEN) 
  REFERENCES PAISES (COD_PAIS)
  ENABLE VALIDATE);






/******* PM_PLAN *******/


CREATE TABLE PM_PLAN
(
  ANO_ACADEMICO     NUMBER(5)                   NOT NULL,
  CONVOCATORIA      NUMBER(2)                   NOT NULL,
  COD_PLAN          NUMBER(11)                  NOT NULL,
  ENLACE            VARCHAR2(300 BYTE),
  DESCRIPCION       VARCHAR2(300 BYTE),
  PLAZAS_OFERTADAS  NUMBER(4),
  BLOQUEADO         NUMBER(2)                   DEFAULT 0
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_PLAN ON PM_PLAN
(ANO_ACADEMICO, CONVOCATORIA, COD_PLAN)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_PLAN ADD (
  CONSTRAINT PK_PM_PLAN
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN)
  USING INDEX PK_PM_PLAN
  ENABLE VALIDATE);

ALTER TABLE PM_PLAN ADD (
  CONSTRAINT FK_PM_PLAN_ANOCO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE);

Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 499, NULL, NULL, 
    15, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 434, NULL, NULL, 
    15, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 430, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 424, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 431, NULL, NULL, 
    20, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 432, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 433, NULL, NULL, 
    10, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 435, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 392, NULL, NULL, 
    15, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 427, NULL, NULL, 
    60, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 428, NULL, NULL, 
    60, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 359, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 362, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 363, NULL, NULL, 
    10, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 364, NULL, NULL, 
    20, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 367, NULL, NULL, 
    60, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 368, NULL, NULL, 
    14, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 358, NULL, NULL, 
    35, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 365, NULL, NULL, 
    20, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 366, NULL, NULL, 
    50, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 369, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 370, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 349, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 371, NULL, NULL, 
    45, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 320, NULL, NULL, 
    50, 1);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 372, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 380, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 381, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 324, NULL, NULL, 
    30, 1);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 325, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 376, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 377, NULL, NULL, 
    3, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 378, NULL, NULL, 
    3, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 379, NULL, NULL, 
    3, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 535, NULL, NULL, 
    10, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 382, NULL, NULL, 
    35, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 373, NULL, NULL, 
    45, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 539, NULL, NULL, 
    75, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 388, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 387, NULL, NULL, 
    60, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 360, NULL, NULL, 
    15, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 361, NULL, NULL, 
    20, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 383, NULL, NULL, 
    37, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 384, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 389, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 393, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 533, NULL, NULL, 
    20, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 374, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 375, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 397, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 517, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 485, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 488, NULL, NULL, 
    80, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 486, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 487, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 489, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 495, NULL, NULL, 
    10, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 494, NULL, NULL, 
    17, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 497, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 496, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 425, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 426, NULL, NULL, 
    14, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 429, NULL, NULL, 
    50, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 484, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 501, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 506, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 530, NULL, NULL, 
    5, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 527, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 529, NULL, NULL, 
    10, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 523, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 522, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 531, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 532, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 515, NULL, NULL, 
    60, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 520, NULL, NULL, 
    20, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 509, NULL, NULL, 
    50, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 507, NULL, NULL, 
    50, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 508, NULL, NULL, 
    10, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 524, NULL, NULL, 
    15, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 525, NULL, NULL, 
    40, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 518, NULL, NULL, 
    25, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 519, NULL, NULL, 
    50, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 526, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 521, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 511, NULL, NULL, 
    60, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 514, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 513, NULL, NULL, 
    30, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 510, NULL, NULL, 
    50, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 408, NULL, NULL, 
    360, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 540, NULL, NULL, 
    14, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 537, NULL, NULL, 
    35, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 536, NULL, NULL, 
    37, 0);
Insert into PM_PLAN
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, ENLACE, DESCRIPCION, 
    PLAZAS_OFERTADAS, BLOQUEADO)
 Values
   (2014, 1, 538, NULL, NULL, 
    15, 0);
COMMIT;



/******* PM_COORDINADORES *******/


CREATE TABLE PM_COORDINADORES
(
  ANO_ACADEMICO  NUMBER(5)                      NOT NULL,
  CONVOCATORIA   NUMBER(2)                      NOT NULL,
  DNI_PASAPORTE  VARCHAR2(16 BYTE)              NOT NULL,
  COD_PLAN       NUMBER(11)                     NOT NULL,
  NOMBRE         VARCHAR2(200 BYTE)             NOT NULL,
  APELLIDO1      VARCHAR2(200 BYTE)             NOT NULL,
  APELLIDO2      VARCHAR2(200 BYTE)             NOT NULL,
  EMAIL          VARCHAR2(300 BYTE)
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_COORDINADORES ON PM_COORDINADORES
(ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, COD_PLAN)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_COORDINADORES ADD (
  CONSTRAINT PK_PM_COORDINADORES
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, COD_PLAN)
  USING INDEX PK_PM_COORDINADORES
  ENABLE VALIDATE);

ALTER TABLE PM_COORDINADORES ADD (
  CONSTRAINT FK_PM_COOR_ANOCO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE);

Insert into PM_COORDINADORES
   (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, COD_PLAN, NOMBRE, 
    APELLIDO1, APELLIDO2, EMAIL)
 Values
   (2014, 1, 'COO1', 511, 'pepito', 
    'palotes', 'perez', 'kk@gmail.com');
Insert into PM_COORDINADORES
   (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, COD_PLAN, NOMBRE, 
    APELLIDO1, APELLIDO2, EMAIL)
 Values
   (2014, 1, 'COO3', 325, 'pepe', 
    'pepito', 'grillo', 'prueba@gmail.com');
Insert into PM_COORDINADORES
   (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, COD_PLAN, NOMBRE, 
    APELLIDO1, APELLIDO2, EMAIL)
 Values
   (2014, 1, 'COO3', 425, 'pepe', 
    'pepito', 'grillo', 'prueba@gmail.com');
Insert into PM_COORDINADORES
   (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, COD_PLAN, NOMBRE, 
    APELLIDO1, APELLIDO2, EMAIL)
 Values
   (2014, 1, 'COO2', 510, 'pepe', 
    'pepito', 'pepon', 'prueba2@gmail.com');
Insert into PM_COORDINADORES
   (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, COD_PLAN, NOMBRE, 
    APELLIDO1, APELLIDO2, EMAIL)
 Values
   (2014, 1, 'COO2', 325, 'pepe', 
    'pepito', 'pepon', 'prueba2@gmail.com');
COMMIT;




/******* PM_NODOS *******/


CREATE TABLE PM_NODOS
(
  ANO_ACADEMICO  NUMBER(5)                      NOT NULL,
  CONVOCATORIA   NUMBER                         NOT NULL,
  COD_PLAN       NUMBER(11)                     NOT NULL,
  NODO           NUMBER(11)                     NOT NULL,
  DESCRIPCION    VARCHAR2(512 BYTE),
  ACLARACION     VARCHAR2(512 BYTE)
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_NODOS ON PM_NODOS
(ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_NODOS ADD (
  CONSTRAINT PK_PM_NODOS
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO)
  USING INDEX PK_PM_NODOS
  ENABLE VALIDATE);

ALTER TABLE PM_NODOS ADD (
  CONSTRAINT FK_PM_NODO_ANOCO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_NODOS_PLAN_PM_PLAN 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN) 
  REFERENCES PM_PLAN (ANO_ACADEMICO,CONVOCATORIA,COD_PLAN)
  ENABLE VALIDATE);

Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 361, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 368, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 511, 901, 'ITI, Especialidad Electrnica Industrial ITI, Especialidad Electrnica Industrial + 2 Ciclo de Ingeniero en Atomtica y Electrnica Industrial ITI, Especialidad Electrnica Industrial + 2  Ciclo de Ingeniero en Organizacin Industrial', 
    '121');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 522, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 523, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 361, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 510, 900, 'Otros Licenciados/Graduados/Ingenieros Cursan 30 crditos de complementos formativos adicionales', 
    '90+30 crditos');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 511, 904, 'Grado en Ingeniera Elctrica ', 
    '94');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 511, 905, 'Grado en Ingeniera Electrnica Industrial y Automtica', 
    '94');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 511, 908, 'Grado en Ingenieria en Organizacin Industrial', 
    '105');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 517, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 523, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 533, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 539, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 510, 0, 'Licenciados/Graduados/Ingenieros en Informtica', 
    '90 crditos');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 511, 900, 'ITI, Especialdiad Mecnica ITI, Especialdiad Mecnica + 2 Ciclo de Inginiero en Automtica y Electrnica Industrial ITI, Especialidad Mecnica + 2 ciclo de Ingeniero en Organizacin Industrial', 
    '121');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 532, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 510, 901, 'Ingenieros Tcnicos en Informtica', 
    '90+crditos optativos hasta alcanzar, sumados a los de su titulacin, los 300 crditos ECTS');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 519, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 535, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 368, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 384, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 511, 902, 'ITI, Especialidad Qumica Industrial ITI, ESpecialidad Qumica Industrial + 2 ciclo de Ingeniero en Automtica y Elecgtrnica Industrial ITI, Especialdiad Qumica Industrial + 2 Ciclo de Ingeniero en Organizacin Industrial', 
    '121');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 517, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 519, 901, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 522, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 539, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 511, 0, 'ITI, Especialidad Electricidad ITI, Especialidad Electricidad + 2 ciclo de Ingeniero en Automtica y Electrnica Industrial ITI, Especialidad Electricidad + 2 Ciclo de Ingeniero en Organizacin Industrial', 
    '124 (90+30+4)');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 511, 907, 'Grado en Ingenieria qumica', 
    '94');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 511, 903, 'Grado en Ingeniera en Tecnologas Industriales', 
    '90');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 519, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 535, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 360, 0, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 360, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 384, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 511, 906, 'Grado en Ingenieria en Tecnologias Industriales', 
    '90');
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 532, 900, NULL, 
    NULL);
Insert into PM_NODOS
   (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN, NODO, DESCRIPCION, 
    ACLARACION)
 Values
   (2014, 1, 533, 900, NULL, 
    NULL);
COMMIT;

/******* PM_DET_PREINSCRIPCION *******/


CREATE TABLE PM_DET_PREINSCRIPCION
(
  ANO_ACADEMICO       NUMBER(5)                 NOT NULL,
  CONVOCATORIA        NUMBER(2)                 NOT NULL,
  DNI_PASAPORTE       VARCHAR2(16 BYTE)         NOT NULL,
  OPCION              NUMBER(4)                 NOT NULL,
  COD_PLAN_OPC        NUMBER(11)                NOT NULL,
  NODO_OPC            NUMBER(11),
  PREADMITIDO         VARCHAR2(1 BYTE)          NOT NULL,
  ORDENLISTAESPERA    NUMBER(11)                DEFAULT 0,
  FECHA_MODIFICACION  TIMESTAMP(6)              DEFAULT SYSDATE               NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_DET_PREINSCRIPCION ON PM_DET_PREINSCRIPCION
(ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, OPCION)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


/* Formatted on 28/05/2014 8:58:42 (QP5 v5.227.12220.39724) */
CREATE OR REPLACE TRIGGER PM_DET_PREINSCRIPCION_TRG1
   BEFORE UPDATE
   ON PM_DET_PREINSCRIPCION
   REFERENCING NEW AS NEW OLD AS OLD
   FOR EACH ROW
BEGIN
   :NEW.FECHA_MODIFICACION := SYSDATE;
END PM_DET_PREINSCRIPCION_TRG1;
/


ALTER TABLE PM_DET_PREINSCRIPCION ADD (
  CONSTRAINT PK_PM_DET_PREINSCRIPCION
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, OPCION)
  USING INDEX PK_PM_DET_PREINSCRIPCION
  ENABLE VALIDATE);

ALTER TABLE PM_DET_PREINSCRIPCION ADD (
  CONSTRAINT FK_PM_DET_ANOCO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_DET_DNI_PM_SOLIC 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE) 
  REFERENCES PM_SOLICITANTES (ANO_ACADEMICO,CONVOCATORIA,DNI_PASAPORTE)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_DET_PLAN_PM_PLAN 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, COD_PLAN_OPC) 
  REFERENCES PM_PLAN (ANO_ACADEMICO,CONVOCATORIA,COD_PLAN)
  ENABLE VALIDATE);








/******* PM_DOC_REQUERIDA *******/


CREATE TABLE PM_DOC_REQUERIDA
(
  ANO_ACADEMICO  NUMBER(5)                      NOT NULL,
  CONVOCATORIA   NUMBER(2)                      NOT NULL,
  COD_ID         NUMBER(3)                      NOT NULL,
  NOMBRE_DOC     VARCHAR2(200 BYTE)             NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_DOC_REQUERIDA ON PM_DOC_REQUERIDA
(ANO_ACADEMICO, CONVOCATORIA, COD_ID)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_DOC_REQUERIDA ADD (
  CONSTRAINT PK_PM_DOC_REQUERIDA
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, COD_ID)
  USING INDEX PK_PM_DOC_REQUERIDA
  ENABLE VALIDATE);

ALTER TABLE PM_DOC_REQUERIDA ADD (
  CONSTRAINT FK_PM_DREQ_ANOCO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE);

Insert into PM_DOC_REQUERIDA
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE_DOC)
 Values
   (2014, 1, 1, 'Pasaporte');
Insert into PM_DOC_REQUERIDA
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE_DOC)
 Values
   (2014, 1, 2, 'Certificado de estudios');
Insert into PM_DOC_REQUERIDA
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE_DOC)
 Values
   (2014, 1, 3, 'Certificado Universitario');
Insert into PM_DOC_REQUERIDA
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE_DOC)
 Values
   (2014, 1, 4, 'Titulo');
COMMIT;

/******* PM_DOC_PRESENTADA_SOLICITUD *******/


CREATE TABLE PM_DOC_PRESENTADA_SOLICITUD
(
  ANO_ACADEMICO  NUMBER(5)                      NOT NULL,
  CONVOCATORIA   NUMBER(2)                      NOT NULL,
  COD_ID         NUMBER(5)                      NOT NULL,
  DNI_PASAPORTE  VARCHAR2(16 BYTE)              NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_DOC_PRESENTADA_SOLICITUD ON PM_DOC_PRESENTADA_SOLICITUD
(ANO_ACADEMICO, CONVOCATORIA, COD_ID, DNI_PASAPORTE)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_DOC_PRESENTADA_SOLICITUD ADD (
  CONSTRAINT PK_PM_DOC_PRESENTADA_SOLICITUD
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, COD_ID, DNI_PASAPORTE)
  USING INDEX PK_PM_DOC_PRESENTADA_SOLICITUD
  ENABLE VALIDATE);

ALTER TABLE PM_DOC_PRESENTADA_SOLICITUD ADD (
  CONSTRAINT FK_PM_DOC_PRESEN_PM_DOCR 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, COD_ID) 
  REFERENCES PM_DOC_REQUERIDA (ANO_ACADEMICO,CONVOCATORIA,COD_ID)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_DOC_PRESEN_PM_SOLIC 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE) 
  REFERENCES PM_SOLICITANTES (ANO_ACADEMICO,CONVOCATORIA,DNI_PASAPORTE)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_DPRES_ANOCO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE);



/******* PM_TIPO_DOCUMENTO *******/



CREATE TABLE PM_TIPO_DOCUMENTO
(
  ANO_ACADEMICO  NUMBER(5)                      NOT NULL,
  CONVOCATORIA   NUMBER(2)                      NOT NULL,
  COD_DOCUMENTO  NUMBER(4)                      NOT NULL,
  NOMBRE         VARCHAR2(100 BYTE)             NOT NULL,
  DESCRIPCION    VARCHAR2(500 BYTE)
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_TIPO_DOCUMENTO ON PM_TIPO_DOCUMENTO
(ANO_ACADEMICO, CONVOCATORIA, COD_DOCUMENTO)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_TIPO_DOCUMENTO ADD (
  CONSTRAINT PK_PM_TIPO_DOCUMENTO
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, COD_DOCUMENTO)
  USING INDEX PK_PM_TIPO_DOCUMENTO
  ENABLE VALIDATE);

ALTER TABLE PM_TIPO_DOCUMENTO ADD (
  CONSTRAINT FK_PM_TIPDOC_ANO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE);

Insert into PM_TIPO_DOCUMENTO
   (ANO_ACADEMICO, CONVOCATORIA, COD_DOCUMENTO, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 1, 'Documento de identificacion', NULL);
Insert into PM_TIPO_DOCUMENTO
   (ANO_ACADEMICO, CONVOCATORIA, COD_DOCUMENTO, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 2, 'Titulo', NULL);
Insert into PM_TIPO_DOCUMENTO
   (ANO_ACADEMICO, CONVOCATORIA, COD_DOCUMENTO, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 3, 'Certificado de los estudios realizados', NULL);
Insert into PM_TIPO_DOCUMENTO
   (ANO_ACADEMICO, CONVOCATORIA, COD_DOCUMENTO, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 4, 'Curriculum', NULL);
Insert into PM_TIPO_DOCUMENTO
   (ANO_ACADEMICO, CONVOCATORIA, COD_DOCUMENTO, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 5, 'Certificado de universidad extranjera acreditan', NULL);
Insert into PM_TIPO_DOCUMENTO
   (ANO_ACADEMICO, CONVOCATORIA, COD_DOCUMENTO, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 6, 'Otra documentacion', NULL);
COMMIT;






/******* PM_DOCUMENTO *******/



CREATE TABLE PM_DOCUMENTO
(
  ANO_ACADEMICO     NUMBER(5)                   NOT NULL,
  CONVOCATORIA      NUMBER(2)                   NOT NULL,
  DNI_PASAPORTE     VARCHAR2(16 BYTE)           NOT NULL,
  NOMBRE_DOCUMENTO  VARCHAR2(100 BYTE)          NOT NULL,
  NOMBRE_ORIGINAL   VARCHAR2(500 BYTE)          NOT NULL,
  DESCRIPCION       VARCHAR2(500 BYTE),
  TIPO_DOCUMENTO    NUMBER(4),
  FECHA_GRABACION   TIMESTAMP(6)                DEFAULT SYSDATE               NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_DOCUMENTO ON PM_DOCUMENTO
(ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, NOMBRE_DOCUMENTO)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_DOCUMENTO ADD (
  CONSTRAINT PK_PM_DOCUMENTO
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE, NOMBRE_DOCUMENTO)
  USING INDEX PK_PM_DOCUMENTO
  ENABLE VALIDATE);

ALTER TABLE PM_DOCUMENTO ADD (
  CONSTRAINT FK_PM_DOCU_ANO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_DOCU_DNI_PM_SOLIC 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE) 
  REFERENCES PM_SOLICITANTES (ANO_ACADEMICO,CONVOCATORIA,DNI_PASAPORTE)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_DOCU_DOC_PM_TIPO_DOC 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, TIPO_DOCUMENTO) 
  REFERENCES PM_TIPO_DOCUMENTO (ANO_ACADEMICO,CONVOCATORIA,COD_DOCUMENTO)
  ENABLE VALIDATE);


/******* PM_MOTIVOS_EXCLUSION*******/



CREATE TABLE PM_MOTIVOS_EXCLUSION
(
  ANO_ACADEMICO  NUMBER(5)                      NOT NULL,
  CONVOCATORIA   NUMBER(2)                      NOT NULL,
  CODIGO         NUMBER(3)                      NOT NULL,
  DESCRIPCION    VARCHAR2(300 BYTE)             NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_MOTIVOS_EXCLUSION ON PM_MOTIVOS_EXCLUSION
(ANO_ACADEMICO, CONVOCATORIA, CODIGO)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_MOTIVOS_EXCLUSION ADD (
  CONSTRAINT PK_PM_MOTIVOS_EXCLUSION
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, CODIGO)
  USING INDEX PK_PM_MOTIVOS_EXCLUSION
  ENABLE VALIDATE);

ALTER TABLE PM_MOTIVOS_EXCLUSION ADD (
  CONSTRAINT FK_PM_MOTEX_ANO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE);

Insert into PM_MOTIVOS_EXCLUSION
   (ANO_ACADEMICO, CONVOCATORIA, CODIGO, DESCRIPCION)
 Values
   (2014, 1, 1, 'No documentacion');
Insert into PM_MOTIVOS_EXCLUSION
   (ANO_ACADEMICO, CONVOCATORIA, CODIGO, DESCRIPCION)
 Values
   (2014, 1, 2, 'Duplicado');
Insert into PM_MOTIVOS_EXCLUSION
   (ANO_ACADEMICO, CONVOCATORIA, CODIGO, DESCRIPCION)
 Values
   (2014, 1, 3, 'Doc.Incompleta');

/******* PM_EXCLUIDOS *******/


CREATE TABLE PM_EXCLUIDOS
(
  ANO_ACADEMICO  NUMBER(5)                      NOT NULL,
  CONVOCATORIA   NUMBER(2)                      NOT NULL,
  DNI_PASAPORTE  VARCHAR2(16 BYTE)              NOT NULL,
  OBSERVACIONES  VARCHAR2(300 BYTE),
  COD_EXCLUSION  NUMBER(2)                      NOT NULL
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_EXCLUIDOS ON PM_EXCLUIDOS
(ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_EXCLUIDOS ADD (
  CONSTRAINT PK_PM_EXCLUIDOS
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE)
  USING INDEX PK_PM_EXCLUIDOS
  ENABLE VALIDATE);

ALTER TABLE PM_EXCLUIDOS ADD (
  CONSTRAINT FK_PM_EXC_ANO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_EXC_COD_PM_MOTIEXC 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, COD_EXCLUSION) 
  REFERENCES PM_MOTIVOS_EXCLUSION (ANO_ACADEMICO,CONVOCATORIA,CODIGO)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_EXC_DNI_PM_SOLIC 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, DNI_PASAPORTE) 
  REFERENCES PM_SOLICITANTES (ANO_ACADEMICO,CONVOCATORIA,DNI_PASAPORTE)
  ENABLE VALIDATE);

/******* PM_HISTORICO_TIPO_ACCION *******/


CREATE TABLE PM_HISTORICO_TIPO_ACCION
(
  ANO_ACADEMICO  NUMBER(5)                      NOT NULL,
  CONVOCATORIA   NUMBER(2)                      NOT NULL,
  COD_ID         NUMBER(3)                      NOT NULL,
  NOMBRE         VARCHAR2(100 BYTE)             NOT NULL,
  DESCRIPCION    VARCHAR2(300 BYTE)
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_HISTORICO_TIPO_ACCION ON PM_HISTORICO_TIPO_ACCION
(ANO_ACADEMICO, CONVOCATORIA, COD_ID)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          128K
            NEXT             128K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_HISTORICO_TIPO_ACCION ADD (
  CONSTRAINT PK_PM_HISTORICO_TIPO_ACCION
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, COD_ID)
  USING INDEX PK_PM_HISTORICO_TIPO_ACCION
  ENABLE VALIDATE);

ALTER TABLE PM_HISTORICO_TIPO_ACCION ADD (
  CONSTRAINT FK_PM_HISTACC_ANO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE);

Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 1, 'INSERT_DATOS_PERSONALES', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 2, 'UPDATE_DATOS_PERSONALES', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 3, 'INSERT_DATOS_ACADEMICOS', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 4, 'UPDATE_DATOS_ACADEMICOS', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 5, 'INSERT_OPCIONES', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 6, 'INSERT_DOCUMENT', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 7, 'DELETE_DOCUMENT', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 8, 'INSERT_EXCLUIDO', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 9, 'DELETE_EXCLUIDO', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 10, 'BLOQUEAR_SOLICITANTE', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 11, 'DESBLOQUEAR_SOLICITANTE', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 12, 'ACTUALIZAR_DOC_PRESENTADA', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 13, 'ACTUALIZAR_EQUIVALENCIA', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 14, 'BLOQUEAR_MASTER', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 15, 'DESBLOQUEAR_MASTER', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 16, 'CERRAR_LISTAS_COORDINADOR', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 17, 'PREADMITIR_SOLICITUD', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 18, 'NO_PREADMITIR_SOLICITUD', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 19, 'UPDATE_ORDEN_LISTA_ESPERA', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 20, 'BORRAR_LISTA_ESPERA', NULL);
Insert into PM_HISTORICO_TIPO_ACCION
   (ANO_ACADEMICO, CONVOCATORIA, COD_ID, NOMBRE, DESCRIPCION)
 Values
   (2014, 1, 21, 'UPDATE_ITINERARIO', NULL);
COMMIT;

/******* PM_HISTORICO_CAMBIOS *******/


CREATE TABLE PM_HISTORICO_CAMBIOS
(
  ANO_ACADEMICO    NUMBER(5)                    NOT NULL,
  CONVOCATORIA     NUMBER(2)                    NOT NULL,
  DNI_SOLICITANTE  VARCHAR2(16 BYTE)            NOT NULL,
  DNI_USUARIO      VARCHAR2(16 BYTE)            NOT NULL,
  FECHA            TIMESTAMP(6)                 DEFAULT SYSDATE               NOT NULL,
  ID_ACCION        NUMBER(11)                   NOT NULL,
  DESCRIPCION      VARCHAR2(2000 BYTE)
)
TABLESPACE PREINS_EXT_DAT
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX PK_PM_HISTORICO_CAMBIOS ON PM_HISTORICO_CAMBIOS
(ANO_ACADEMICO, CONVOCATORIA, DNI_SOLICITANTE, DNI_USUARIO, FECHA, 
ID_ACCION)
LOGGING
TABLESPACE PREINS_EXT_DAT
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
NOPARALLEL;


ALTER TABLE PM_HISTORICO_CAMBIOS ADD (
  CONSTRAINT PK_PM_HISTORICO_CAMBIOS
  PRIMARY KEY
  (ANO_ACADEMICO, CONVOCATORIA, DNI_SOLICITANTE, DNI_USUARIO, FECHA, ID_ACCION)
  USING INDEX PK_PM_HISTORICO_CAMBIOS
  ENABLE VALIDATE);

ALTER TABLE PM_HISTORICO_CAMBIOS ADD (
  CONSTRAINT FK_PM_HISTCAM_ANO_PM_CUR_ANOCO 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA) 
  REFERENCES PM_CURSO_CONVOCATORIA (ANO_ACADEMICO,CONVOCATORIA)
  ENABLE VALIDATE,
  CONSTRAINT FK_PM_HISTCAM_ID_PM_HISTTIPACC 
  FOREIGN KEY (ANO_ACADEMICO, CONVOCATORIA, ID_ACCION) 
  REFERENCES PM_HISTORICO_TIPO_ACCION (ANO_ACADEMICO,CONVOCATORIA,COD_ID)
  ENABLE VALIDATE);